ZVAB Help Homepage

Welcome to the R&S ZVA Network Analyzers

Measurement Systems Meeting the Highest Standards

This help system is intended to provide you with all information that is necessary for setup, manual and remote control of the R&S ZVA network analyzers. Please use the navigation tools to the left or directly access the main chapters:

Preparing for Use | GUI Reference
Getting Started | Remote Control: General
System Overview | Command Reference
Measurement Examples | Programming Examples

We also invite you to find out what's new in the current revision of the firmware and learn how to make best use of our documentation and of the help system.

If you have any questions or comments, please contact your partners at Rohde & Schwarz and give us your feedback!

Copyright ©2002 Rohde & Schwarz GmbH & Co. KG
Last updated: May 31, 2011


Contact

Your Rohde & Schwarz Partners

If you have any comments on the ZVA help system or any suggestions for improving our user documentation, please write to the help authors: Documentation-Div1@Rohde-Schwarz.com. Please let us also know if you have general questions or comments regarding our documentation.

For queries regarding technical aspects of our products, please contact our customer support (send e-mail) or call our hotline: +49 180 512 4242.

For international services, please contact our customer service (http://www.service.rohde-schwarz.com).

Please read section Obtaining Technical Support for useful tips about troubleshooting.

More Information...

For general information about Rohde & Schwarz and our products, please visit our homepage on the R&S Internet (http://www.rohde-schwarz.com).

For information on our network analyzers, please visit our product pages on

  • R&S ZVB Network Analyzers(http://www.rohde-schwarz.com/product/zvb)

  • R&S ZVT Network Analyzers (http://www.rohde-schwarz.com/product/zvt)

  • R&S ZVA Network Analyzers (http://www.rohde-schwarz.com/product/zva)

  • R&S ZVL Network Analyzers(http://www.rohde-schwarz.com/product/zvl)


What's new

  • HCOPy:MITem... and HCOPy:MPAGe:WINDow, configure the output to a printer file

  • MMEMory:LOAD:CORRection:MERGe, supports merging of power calibrations

  • [SENSe<Ch>:]CORRection:STIMulus?, queries the current stimulus value

  • SYSTem:COMMunicate:RDEVice:AKAL:PREDuction[:STATe], enables or disables automatic power reduction during an automatic calibration

  • SOURce<Ch>:POWer:CORRection:CONVerter<Converter_Number>:STATe, enables or disables the source power calibration for a frequency converter with electronic attenuators

  • CALCulate<Chn>:FORMat:WQUType POWer | VOLTage, selects voltage or power units for wave quantities.

  • MMEMory:AKAL:USER:CONVersion, copies an arbitrary (e.g. user-defined) set of calibration data for the active calibration unit to a directory.

  • New command group [SENSe<Ch>]:UDSParams<Pt>..., defines user-defined (virtual) analyzer ports

  • New command MMEMory:LOAD:CORRection:MERGe, merges several cal group files for a channel.

  • New command SYSTem:SHUTdown, switches the analyzer to standby mode.

  • New command [SENSe<Ch>:]AVERage:COUNt:CURRent?, returns currently measured sweep (progress of sweep average).

  • New parameter CALCulats<Chn>:DATA? TSData, used to retrieve the raw measurement data in pulse profile mode.

  • New command SOURce<Ch>:POWer<Pt>[:LEVel][:IMMediate]LLIMit:DGRaccess, optimizes the automatic level control (ALC) for test setups where the additional connectors of option R&S ZVA-B16 are used.

  • New parameter IPORts for MMEMory:LOAD:VNETworks:SENDed:DEEMbeddingetc., interchanges port numbers in imported *.s2p files.

  • New parameter ALL for MMEMory:LOAD:CORRectionand MMEMory:LOAD:CORRection:RESolve, used to apply a calibration to all channels or resolve the pool link for all channels.

  • New commands CALCulate<Chn>:STATistics:DOMain:USER:SHOW, CALCulate<Chn>:MARKer<Mk>:FUNCtion:DOMain:USER:SHOW, display or hide range limit lines.

  • New commands PROGram[:SELected]:INIParameter, PROGram[:SELected]:INIMessage, configure the preferences file (*.ini) for external applications.

  • New command SYSTem:FREQuency?, queries the frequency range of the analyzer.

  • New command SYSTem:PRIority, selects the priority of the running NWA application.

  • New command DISPlay[:WINDow<Wnd>]:TRACe<WndTr>:SHOW, display or hides all data or memory traces

  • New commands for external generators and power meters: SYSTem:COMMunicate:RDEVice:GENerator:COUNt?, SYSTem:COMMunicate:RDEVice:GENerator:CATalog?, SYSTem:COMMunicate:RDEVice:PMETer:COUNt?, SYSTem:COMMunicate:RDEVice:PMETer:CATalog?

  • New reference marker commands CALCulate<Chn>:MARKer<Mk>:REFerence:MODE and CALCulate<Chn>:MARKer<Mk>:REFerence[:STATe]

  • New command SOURce<Ch>:POWer<Pt>:GENerator<Gen>:STATe, turns an external generator on or off

  • Command CALCulate:DATA can be used to write a memory trace.

  • Commands SOURce<Ch>:POWer<Pt>:ALC:CONTrol and SOURce<Ch>:POWer<Pt>:ALC[:STATe], define channel-specific ALC settings.

  • New command [SENSe<Ch>:]SEGMent<Seg>:SWEep:TIME:SUM?, returns the total duration of a segmented sweep.

The new features are also available via remote control; the SCPI commands are reported in the relevant reference sections. Besides the following remote-control features have been added:

  • New command SOURce:POWer:CORRection:COLLect[:ACQuire]:DEFault ON | OFF, enables the analyzer to generate a default source power calibration with no need of using a power meter.

  • New command CALCulate<Chn>:GDAPerture:SCOunt, defines the aperture steps for the group delay calculation.

  • New command CALCulate<Ch>:DATA:ALL?, return the response values of all traces in the active setup.

  • Align *RST to User Defined Preset switch in the System Config – Preset tab causes *RST and SYSTem:PRESet restore the user-defined settings.

  • New command [SENSe<Ch>:]CORRection:CKIT:LABel, assigns a label to a user-defined or imported calibration kit.

  • New command CALCulate<Chn>:DATA:NSWeep:FIRSt?, reads the sweep results in single sweep mode in ascending order. CALCulate<Chn>:DATA:NSWeep:COUNt? returns the number of completed sweeps.

  • New command SOURce<Ch>:GROup<group_no>:PORTs defines a port group with an arbitrary, not necessarily continuous port range. SOURce<Ch>:GROup<group_no>:COUNt queries the number of port groups.

The new features are also available via remote control; the SCPI commands are reported in the relevant reference sections. Besides the following remote-control features have been added:

  • A default directory 'C:\C:\Rohde&Schwarz\Nwa' can be set using MMEMory:CDIRectory DEFault.

  • New command [SENSe<Ch>:]CORRection:CKIT:DELete 'ckit_name>', deletes a user-defined or imported cal kit.

  • New command SYSTem:LANGuage selects the remote language for the analyzer.

The new features are also available via remote control; the SCPI commands are reported in the relevant reference sections. Besides the following remote-control features have been added:

  • New command CALCulate<Ch>:PARameter:DELete:SGRoup, deletes an S-parameter group

  • New command SYSTem:COMMunicate:RDEVice:PMETer<pmeter_no>:AZERo, starts auto zeroing of an exernal power meter.

  • New parameter SENSe:CORRection:COLLect:DELete ALL, deletes all system error correction data.

  • New command MMEMory:STORe:TRACe:CHANnel, stores the trace data of all data traces in the specified channel to a trace file.

  • New command SYSTem:COMMunicate:RDEVice:PMETer<pmeter_no>:CONFigure:AUTO[:STATe], enables or disables Auto Config NRP-Zxx.

  • New command CALCulate<Ch>:LIMit:SEGMent:COUNt?, queries the number of limit line segments.

  • New command SYSTem:LOGGing:REMote[:STATe], enables logging of all remote control commands transferred to the analyzer.

  • New commands [SENSe<Ch>:] CORRection:COLLect:AUTO:PORTs:TYPE and [SENSe<Ch>:] CORRection:COLLect:AUTO:TYPE, start an automatic calibration with a specific calibration type.

The new features are also available via remote control; the SCPI commands are reported in the relevant reference sections. Besides the following remote-control features have been added:

  • New queries for the channel names and number of a particular trace: CONFigure:TRACE:CHANnel:NAME?, CONFigure:TRACE:CHANnel:NAME:ID?

  • Extended preset: SYSTem:FPReset.

  • New statistical parameter GAIN is command CALCulate<Chn>:STATistics:RESult?

  • New command DISPlay[:WINDow<Wnd>]:TRACe:EFEed displays a trace in a diagram area without numbering it.

  • New command DISPlay:CMAP<Element>:TRACe:RGB for trace color definition.

  • New commands for harmonic power calibration

The new features are also available via remote control; the SCPI commands are reported in the relevant reference sections. Besides the following remote-control features have been added:

  • New status registers STATus:QUEStionable:INTegrity... monitor hardware failures.

  • Extended command MMEMory:LOAD:LIMit, can load limit lines from Touchstone files, assigning a response and stimulus offset.

  • Extended command MMEMory:STORe:TRACe, can store traces with various data formats.

  • New command CALCulate<Chn>:PARameter:DEFine:SGRoup creates the traces for all S-parameters associated with a group of logical ports. CALCulate<Chn>:DATA:SGRoup? returns the results.

  • New command [SENSe<Ch>:]BANDwidth|BWIDth[:RESolution]:SELect defines the selectivity of the IF filters for unsegmented sweeps.

  • New command CALCulate<Chn>:MARKer<Mk>SEARch:BFILter:RESult[:STATe]to display or hide the results of a bandfilter search.

  • New commands CALCulate<Chn>:STATistics:MMPTpeak[:STATe], CALCulate<Chn>:STATistics:MSTDev[:STATe], CALCulate<Chn>:STATistics:RMS[:STATe], CALCulate<Chn>:STATistics:EPDelay[:STATe] to display or hide statistical information about traces.

  • New command FORMat:DEXPort:SOURce, defines the format for traces retrieved with the ZVR-compatible command TRACe[:DATA][:RESPonse][:ALL]?

  • New command SOURce<Ch>:POWer<Pt>:CORRection:GENerator<Gen>:LEVel:OFFSetdefines an attenuation or gain in the signal path between an external generator and the calibrated reference plane.

The new features are also available via remote control; the SCPI commands are reported in the relevant reference sections. Besides the following remote-control features have been added:

  • Optional trace name parameter (replaces numeric trace suffix) in the DISPlay:WINDow:SCALE... commands.

The new features are also available via remote control; the SCPI commands are reported in the relevant reference sections. Besides the following remote-control features have been added:

  • Export of marker values to an ASCII file (MMEMory:MARKer<Mk>:STORe)

  • Optional port restriction parameters in the [SENSe<Ch>:] CORRection:CKIT:<std_type> command

  • New parameter MDATa for CALCulate:DATA to read unformatted data after evaluation of the trace mathematics

  • A trace generated with CALCulate<Ch>:PARameter:SDEFine automatically becomes the active trace

  • The new command [SENSe<Ch>:]CORRection:COLLect:AUTO:PORTs:CONNection? queries the port assignment between the analyzer and a calibration unit.

  • SYSTem:KLOCk locks or unlocks the local controls of the analyzer.

  • New command [SENSe<Ch>:] CORRection:COLLect:SCONnection<port_no> selects the connector type of the ports using a string variable.

  • New command [SENSe<Ch>:]CORRection:FACTory[:STATe] enables or disables the factory calibration

  • New command CONFigure:CHANnel<Ch>:NAME:ID? '<Ch_name>' returns the channel number for a named channel.

  • New command SYSTem:USER:DISPlay:TITLe changes the title of the remote display.

  • Refined calibration unit settings: SYSTem:COMMunicate:AKAL:CONNection, SYSTem:COMMunicate:AKAL:MMEMory[:STATe], MMEMory:AKAL:FACTory:CONVersion, [SENSe<Ch>:]CORRection:COLLect:AUTO:CKIT

  • New commands for calibration: [SENSe<Ch>:]CORRection:DATE?, [SENSe<Ch>:]CORRection:DATA:PARameter?,
    [SENSe<Ch>:]CORRection:SSTate?

  • New commands DISPlay:MENU:KEY:EXECute and DISPlay:MENU:KEY:SELect combine remote and manual control.

  • New command [SENSe<Ch>:] CORRection:CKIT:SELect '<conn_type>', '<ckit_name>' selects a calibration kit for a connector type with arbitrary name.

Release Notes for R&S ZVA Firmware Version V2.80

New features:

  • Enhanced mixer measurement

  • Gain-corrected noise figure measurement

  • Noise figure setup guide

  • Calibration unit support for vector mixer measurement calibration (option R&S ZVA-K5)

  • Enhanced wave correction

  • Configurable RF Off behavior; see System Configuration –Power

  • Defined coherence mode support for certain frequency-converting configurations

  • Support for data set-based advanced power transfer model for frequency converters. Calibration data can be acquired by means of the R&S ZVA Frequency Converter Leveling Tool; see Power Transfer Models.

Product improvements:

  • Improved stability under low memory conditions

  • Additional correction of non driving port wave quantities in defined coherence mode

  • Improved calibration speed for setups with a large number of points (for devices with maximum frequency above 8 GHz)

  • Existence of error log entries is signaled by status bar icon

  • Support for new revision of CPU boards

  • Support for option R&S ZVAX-B203, Low-Noise Preamplifier. Refer to sections ZVAX Path Configuration and Noise Figure Measurement.

  • Support for Windows XP Embedded Service Pack 3

  • New version of the GPIB Explorer tool

  • SYSTem:USER:DISPlay:TITle supports multiple text lines lines.

  • New menu entry for easy access of two port UOSM calibration

  • Support for demo option keys with longer duration

  • Reference for power stimulus axis is indicated in channel info line

  • Global system configuration is retained in case of firmware crash

  • Improvements of true differential and defined coherence mode in frequency converting configurations

  • Safely remove USB stick now possible when storing setup on USB stick

  • Option R&S-ZBAB-B14: New commands CONTrol:AUXiliary:A, CONTrol:AUXiliary:B, write the active channel number to the handler ports A and B.

  • New remote commands CALCulate<Ch>:DATA:CALL:CATalog? and CALCulate<Ch>:DATA:CALL?, return all S-parameter traces in the active channel or in the active system error correction.

  • Support of DC measurements in true differential mode

  • Support for S-parameter measurements with average detector; see More S-Parameters

  • Possibility to set the channel power stimulus axis out of the power calibration dialog

Resolved issues for the following measurements / operating modes:

  • Combo box problems during bandfilter search for certain dialogs

  • Minor corrections for extended power transfer mode for converters

  • Defined coherence mode when port 1 is not involved

  • Reference marker default value in special cases

  • Bandfilter marker tracking in delta mode

  • Moving delta marker with mouse freezes trace under special conditions.

  • Delta markers in discrete marker mode

  • No error code was returned for ZVAX extension unit remote commands if no unit was present.

  • Reset values of Handler-IO board R&S ZVAB-B14

  • Port power limit not considered for defined coherence mode

  • CALCulate:PARameter:SELect did not change the active trace in diagram area for memory traces.

  • Misleading display of Calint calibration label in true differential and defined coherence mode

  • Several calibration unit dialog issues

  • HCOPy remote command image artifacts under certain conditions

  • Pulse profile mode in frequency converting configurations

  • R&S SMF signal generator driver file frequency limits extended

  • Scalar mixer power cal dialog issues when no LO port is selected

  • Firmware crash when creating new channel when a mixer delay trace is active

  • Improved convergence of true differential and defined coherence mode

  • R&S ZVA67 output power issues under rare conditions

  • Corrected documentation for remote command [SENSe<Ch>:]EUNit:PGENerator:ASSignment

  • Corrected unit of "Detector Meas Time has been limited" warning

  • Issues with "Offset / Mechanical Length" softkey

  • Display update after remote command DISPlay:WINDow1:TRACe1:Y:SCALe:AUTO ONCE

  • Missing 1 mm, 1.85 mm and 2.4 mm connector definitions for [SENSe]:CORRection:COLLect:CONNection

  • Calibration issues in certain frequency-converting configurations

To check your R&S ZVA firmware version, click Help – About Nwa... in the network analyzer's main application window. Refer to section Firmware Update in the help system for information about an upgrade of your network analyzer firmware.

New Features in Firmware V2.79 (Compared to V2.78)

  • Arbitrary (one or two-port) S-parameters may be exported to a *.s1p Touchstone file. Use Export S-Matrix to export a full set of S-parameters.

  • New command [SENSe<Ch>:]CORRection:PSTate?, queries the power calibration label.

Product improvements:

  • Improved compatibility of SYSTem:ERRor? and SYSTem:ERROR:ALL? response for PNA emulation

  • Measurement info (extended header) for Touchstone export; see Touchstone Files.

Resolved issues for the following measurements / operating modes:

  • Power Calibration dialog when pressing "Take Cal Sweep" several times

  • Scalar mixer power calibration IF range

  • Display of PCao and PCal Off attributes

  • Scroll bars in Fixture Compensation and Step Attenuators dialogs

  • Sporadic measurement delays with external generators over GPIB under special conditions

  • Calibration Unit: automatic port assignment detection for Defined Coherence mode

  • Sweep progress marker, special cases

  • Defined Coherence and True Differential mode amplitude accuracy for special cases

New Features in Firmware V2.78 (Compared to V2.76)

  • Power meter correction list

  • Extended power transfer mode for converters with and without electronic attenuators

  • True differential mode in combination with frequency converters; see True Diff Mode

  • True differential mode in combination with frequency-converting mode; see True Differential Mode on Frequency-Converting DUTs

  • Possibility to generate a system report; see Obtaining Technical Support

  • Isolation term can be considered for one path two port and TOSM calibrations

  • Customization of BUSY signal

  • Password protection for calibration unit characterizations

  • Set all traces to zero on sweep restart; see System Configuration – General

  • Password protection for frequency info; see System Configuration – General

  • Sweep progress marker; see Marker Tracking

  • Short form of bandfilter search info for small displays; see System Configuration – General

  • Phase preview in Calibration – Measure Standards dialog is optional

  • Center frequency calculation for bandfilter search is configurable; see System Configuration – General

  • New remote control commands

Product improvements:

  • New checkbox in the mixer delay calibration dialog to divide the calibration data by two

  • Improved support of device clear (remote command *DCL) for cancelling long operations

  • Better signaling if time grid is too close in time sweep mode

  • Added default .calkit files for several Anritsu/Wiltron calibration kits

  • Frequency converter default .calkit files are loaded as read-only files to prevent issues when changing the connector settings.

  • New GPIB driver

  • New version of the GPIB Explorer tool

  • Improvements of TOM calibration procedure (consideration of non-ideal Match and Through)

  • The setting of the sync generator type is preserved when temporarily setting the pulse type to constant high or low

  • Changed handling of the up/down arrows when navigating trace lists

Resolved issues for the following measurements / operating modes:

  • Combination of S-parameter measurements with frequency conversion in one channel

  • Power correction of b1 wave in special conditions with active scalar mixer mode

  • ZVAB-K9 calibration under special conditions

  • Hanging power meters in rare cases

  • Connector gender issue with sexless connectors

  • Intermodulation measurement at fixed intermediate frequency

  • Saving of setups via remote command under certain conditions

  • Calculation of the sideband filter ranges for vector mixer measurements

  • Stopped power cal verification sweep with high number of points

  • Irregularities with PCal attribute under certain conditions

  • Problems with CALC:DATA:ALL? when deleting traces

  • Display problems in intermodulation distortion power calibration dialog

  • Global ALC settings with more than one open setup

  • Distributed LXI configuration setup in certain cases

  • Calibration unit characterization with sexless connectors

  • Output power stability for R&S ZVA67 under certain conditions at high IF bandwidths

  • Reduced power stability

  • TRL with multiple lines, when through standard is longer than the line standards

  • Loading .calkit files with special characters in the connector name

New Features in Firmware V2.76 (Compared to V2.75)

  • Support for vector network analyzers R&S ZVA80

  • Support for timed and unregistered option keys

  • Support for frequency converter R&S ZVA-500 (with calibration kit R&S ZV-WR02)

  • New remote command [SENSe<Ch>:] CORRection:COLLect:CONNection:GENDers, qualifies whether the genders of the connectors at the analyzer ports (but not their types) are equal or independent.

New Features in Firmware V2.75 (Compared to V2.70)

  • Support for frequency converter R&S ZVA-Z220 (with calibration kit R&S ZV-WR05)

  • Extensions to the mixer delay measurement: external receiver with LXI connection.

  • Extensions to Virtual Transform: port pair (de-)embedding

  • Configurable ALC settings

  • Port-specific trigger delay

  • Extensions to source power calibration: auto zero and sensitivity correction for power meter

  • Extensions to the vector mixer measurement (option R&S ZVA-K5): Independent power setting and remote control commands for auxiliary LO signal (Aux LO).

  • Extended LXI pages: Utilities for event and status logging and for connection tests

  • New calibration types for calibration units R&S ZV-Z51 ... -Z59: Bidirectional, forward or reverse transmission normalization. Selection of node port for one path two port calibration.

  • IF Gain a setting in the Port Configuration table; defines the IF gain in the reference receiver path.

  • New remote control features

New Features in Firmware V2.71 (Compared to V2.70)

  • Support for network analyzer R&S ZVA67 with 4 ports

  • Support for frequency converters R&S ZVA-Z140 and R&S ZVA-Z170 (with calibration kits R&S ZV-WR08 and R&S ZV-WR06)

  • Primed wave quantities for two-tone measurements with a port-specific frequency offset.

  • New source power calibration modes: Use Reference Receiver only, Use Reference Receiver after n Power Meter Readings. See Modify Source Power Cal Settings.

  • New remote control features

New Features in Firmware V2.70 (Compared to V2.62)

  • Support for network analyzer R&S ZVA67

  • Support for frequency converter R&S ZVA-Z90E (with calibration kit R&S ZV-WR12)

  • Noise figure measurement (option R&S ZVAB-K30)

  • Average detector, calculates the arithmetic mean value of the complex results over a selectable measurement time

  • Ground loop (de-)embedding, adds (compensates) the effect of a non-ideal ground connection of the DUT.

  • Support of Universal Interface (option R&S ZVAB-B14)

  • New trace functions, calculate the linearity deviation of the active trace

  • Extended parameter lists for the commands MMEMory:LOAD:CKIT:SDATa, [SENSe<Ch>:]CORRection:COLLect[:ACQuire], [SENSe<Ch>:]CORRection:COLLect[:ACQuire]:SELected, select multiple offset short standards

  • New commands to query connector types, calibration kits, and standards:
    [SENSe<Ch>:]     CORRection:CONNection:CATalog?
    [SENSe<Ch>:]     CORRection:CKIT:CATalog?
    [SENSe<Ch>:]     CORRection:CKIT:STANdard:CATalog?

Product improvements:

  • Simplified menu for limit check and ripple limit check; common fail beep

  • Frequency Conversion Off softkeys for various frequency-converting measurements renamed: Reset Frequency Conversion

New Features in Firmware V2.62 (Compared to V2.61)

  • Performance improvements for ZVB20 and ZVT20

New Features in Firmware V2.61 (Compared to V2.60)

  • Port-specific source power limits

  • New commands CALCulate<Chn>:MARKer<Mk>:NAME, CALCulate<Chn>:MARKer<Mk>:REFerence:NAME, define marker names.

  • Automatic configuration for all USB-connected NRP-Zxx power meters

  • Frequency Conversion Off softkeys, disable an active Intermodulation or Mixer Delay measurement

  • Export of system error corrected but incomplete S-parameter sets to Touchstone (*.snp) files is possible.

Product improvements:

  • Remote control of frequency converters with electronic attenuators R&S ZVA-Z110E improved.

New Features in Firmware V2.60 (Compared to V2.53)

  • Support for extension unit R&S ZVAX24

  • Support for frequency converter with electronic attenuator R&S ZVA-Z110E

  • Internal pulse generator (option R&S ZVA-K27)

The pulse generator option R&S ZVA-K27 requires network analyzers equipped with motherboards part no. 1305.6470.02 (see Info - Hardware Info). Please contact your Rohde & Schwarz service representative should you experience any problems on older network analyzers.

  • Mixer delay measurement without LO control (option R&S ZVA-K9) with support of primed wave quantities and ratios

To ensure accurate mixer delay results, network analyzers R&S ZVA40 and R&S ZVA50 must be equipped with reflectometer (RM) control boards part no. 1305.3042.40 or newer (see Info - Hardware Info, e.g. Rm 1 Generator RM44 CONTROL 1305.3042.40). Please contact your Rohde & Schwarz service representative should you experience any problems.

  • Vector mixer measurement (option R&S ZVA-K5)

  • Min Hold mode for traces

  • Faster algorithm for the correction of measurement results based on the system error correction data (Fast Multiport Correction)

  • New calibration types: Forward transmission normalization, reverse transmission normalization

  • Convergence Factor for source power calibration

  • New remote control features

Product improvements:

  • Frequency values queried via remote control are returned as 12-digit numbers. This ensures a frequency resolution of 1 Hz at RF frequencies >10 GHz

  • Support of new external power sensor and generator types. The supported types are listed in the System Configuration – External Power Meters – Add External Power Meter and in the System Configuration – External Generators – Add External Generator dialogs.

  • Network analyzers are configured with enabled virtual memory paging file.

  • Improved bandfilter search functions

  • Data lines in Touchstone files are terminated with a newline character

New Features in Firmware V2.53 (Compared to V2.52)

  • Support for calibration unit R&S ZV-Z55.

Fixed issues:

  • Occasional problems with stimulus range definition solved.

  • The port groups for system error correction data and power calibration data stored together in a cal group file are independent from each other. In firmware versions V2.50 and V2.51, the power-calibrated ports (including drive ports) had to be a subset of the system error-corrected ports.

New Features in Firmware V2.52 (Compared to V2.51)

  • Fixture Compensation, corrects the measurement result for the effects of a text fixture.

  • New command CALCulate:DATA:DALL?, returns the trace data of all data traces.

  • New parameter HCOPy:DESTination 'DEFPRT', selects the default printer for printing.

New Features in Firmware V2.51 (Compared to V2.50)

  • The network analyzer application can be started with a minimized window; see Startup Procedure.

  • CALCulate<Chn>:DATA can be used to write memory traces.

  • Bandstop Search ref to Marker searches the absolute minimum in the active search range. The response value for the lower and upper band edges is calculated as the response value at the active marker position plus / minus x dB, where x is equal to the <x dB Bandwidth> value.

Product improvements:

  • Corrections to the help system: [SENSe<Ch>:]CORRection:LOSS<port_no>:OFFSet <DC_loss> defines the frequency-independent part (DC value) of the offset loss. R&S ZVR-compatible command [SENSe<Ch>:]CORRection:OFFSet<port_no>:MAGNitude <DC_loss> defines the frequency-independent part (DC value) of the offset loss. [SENSe<Ch>:]CORRection:LOSS<port_no> <ref_loss> defines the offset loss at the reference frequency.

New Features in Firmware V2.50 (Compared to V2.47)

  • Wizard for intermodulation distortion measurement and detailed intermodulation distortion results (with option R&S ZVA-K4)

  • New "Defined Coherence Mode" (with option R&S ZVA-K6)

  • New "Low Noise" mode for generator step attenuators

  • Export of full sets of single-ended S-parameters to Touchstone files, irrespective of the balanced port configuration and the measured quantities.

  • New LXI browser interface

  • Extended functionality of DATA ENTRY keys (entry of characters).

  • Absolute bandpass search (bandpass/bandstop absolute level)

  • Fast power calibration mode

  • Adjustable Font Size in diagrams

  • Channel Info, shows or hides the channel list below the diagrams

  • System Configuration –Matrix Configuration tab

  • New remote control features

Product improvements:

  • A system error calibration during a power sweep can be started using the [SENSe<Ch>:]CORRection:COLLect[:ACQuire]:SELected. Restrictions in earlier firmware versions do not apply any longer.

  • Improved automatic full n-port calibration with automatic adjustment of frequency step size during the calibration.

  • Equidistant time sweep for the full set of 60001 sweep points.

  • The version of the data sheet that corresponds to the current firmware version is displayed in the Info dialog.

New Features in Firmware V2.47 (Compared to V2.46)

  • Support for frequency converter model R&S ZVA-Z75 (for analyzers with a maximum frequency of at least 20 GHz)

Fixed issues:

  • In a mixer power calibration, the external power meter is controlled correctly.

New Features in Firmware V2.46 (Compared to V2.45)

  • Added emergency power off in single sweep mode by means of command OUTPut<Ch>[:STATe].

New Features in Firmware V2.45 (Compared to V2.40)

  • Support for frequency converter model R&S ZVA-Z325 (for analyzers with a maximum frequency of at least 20 GHz)

New Features in Firmware V2.40 (Compared to V2.30)

  • Extension to the TRL calibration: Calibration with three lines.

  • Renormalization of port impedances can be based on two alternative waveguide circuit theories.

  • The sweep segments for Segmented Frequency sweep type can overlap.

  • Selectable field separators (semicolon, comma, tabulator, space) for trace export files (Export Complex Data, Export Formatted Data).

  • New remote control features

Product improvements:

  • In the Port Configuration dialog the source Power Result is always displayed.

New Features in Firmware V2.30 (Compared to V2.21)

  • Ripple limit test

  • Characterization of R&S calibration units

  • Support of One Path Two Port calibration by R&S calibration units

  • Directory for Additionally Available Cal Kits and Conn Types: Cal kit files will be (re-)loaded automatically every time the NWA application is started (System Config. –General).

  • Possibility to raise the priority of the running NWA application (System Config. –General).

  • Transparent info fields for markers and trace statistics (System Config. –General).

  • The analyzer supports sweeps with a single sweep point. The maximum Number of Points is 60001.

  • The NWA application is available for restricted users without administrator rights. Firmware update still requires administrator rights.

  • New remote control features

New Features in Firmware V2.21 (Compared to V2.20)

  • Support of R&S ZVA50 vector analyzers including generator and receiver attenuators. Notice the maximum attenuation factors: 50 dB for generator attenuators, 35 dB for receiver attenuators.

  • New remote control commands, define diagram names (DISPlay:WINDow<Wnd>:NAME '<Name>') return diagram numbers and names (DISPlay:WINDow<Wnd>:CATalog?) and traces in diagrams (DISPlay:WINDow<Wnd>:TRACe<WndTr>:CATalog?).

New Features in Firmware V2.20 (Compared to V2.13)

  • Support for frequency converters (for analyzers with a maximum frequency of at least 20 GHz)

  • Compliance with LXI class C

  • Selectable source power settings in true differential mode

  • Alternative use of compensated a-waves in amplitude and phase imbalance sweeps

  • New source power calibration parameters: Includes Flatness Cal, Includes Reference Receiver Cal

  • Extended harmonic power calibration dialog

  • New Resolution Enhancement Factorfor time domain measurements

  • Automatic calibration of n > 2 ports with full one-port, separate full two-port and full n-port calibrations possible

  • New remote control features

New Features in Firmware V2.13 (Compared to V2.11)

  • Support for new front module controller FMR7

New Features in Firmware V2.12 (Compared to V2.11)

Fixed issues:

  • Corrected function of the Measure "a" Waves at radio buttons in the Port Configuration dialog.

  • Corrected marker formats for complex reference impedance settings

New Features in Firmware V2.11 (Compared to V2.10)

  • Occasional problems with Automatic Level Control (ALC) in combination with active automatic generator attenuation fixed (no error message "Port <n> output power unleveled").

New Features in Firmware V2.10 (Compared to V2.02)

  • True differential mode (option R&S ZVA-K6)

  • Automatic calibration for arbitrary combinations of ports in manual control

  • Extended trace statistics: Gain/Slope/Flatness

  • New commands for trace names and numbers (CONFigure:TRACe<Trc>:CATalog?, CONFigure:TRACe<Trc>:NAME, CONFigure:TRACe<Trc>:NAME:ID?)

  • New command OUTPut[:STATe] switches internal and external power sources on or off.

  • New command for verification of a source power calibration SOURce<Ch>:POWer<Pt>:CORRection[:ACQuire]:VERification:RESult?

New Features in Firmware V2.02 (Compared to V2.01)

  • New commands to change trace names: CONFigure:CHANnel<Ch>:TRACe:REName, CONFigure:TRACe<Trc>:REName.

New Features in Firmware V2.01 (Compared to V2.00)

  • Keyboard control of Eval. Range and Define Limit Line dialogs improved.
  • Ready for Trigger signal switched off for pulsed measurements.
  • Preset performance improved (delay time eliminated).
  • Mixer measurements extended to the frequency range <50 MHz.
  • Dialog performance improved compared to firmware version V2.00.

Extended Functionality

  • The C:\Program Files\Rohde&Schwarz\Network Analyser\Rsib directory contains the files needed for remote control via RSIB protocol (for programming in C/C++ and Visual Basic).

New Features in Firmware V2.00 (Compared to V1.92)

  • Pulsed measurements (with option R&S ZVA-K7)

  • Extension of the Offset menu: compensation of a frequency-dependent, port-specific loss.

  • Selectable reference for stimulus value definitions in the Port Configuration dialog (Stimulus dialog).

  • Selectable reference for power and frequency definitions for mixer measurements.

  • Low-frequency extension for TRL calibration with an additional match or sliding match.

  • Optional display of time gate limits in the diagram area.

  • Import of cal kit files (*.prn) generated with the PNA Cal Kit Editor.

  • Improved display of hardware error messages.

  • Extension of the frequency range for ZVA 24 vector network analyzers up to 25 GHz (specified range 10 MHz to 24 GHz).

  • New remote control features

New Features in Firmware V1.92 (Compared to V1.91)

  • Support of configurable generator step attenuators.

  • The generator step attenuators can be controlled from the Port <Port_no> Source Power dialog.

Fixed Issues

  • Interchanged remote control parameter names for FORMat:BORDer NORMal | SWAPped.

New Features in Firmware V1.91 (Compared to V1.90)

  • Support of ZVA40 vector network analyzers.

  • Extended frequency range of TRL calibration due to a second line standard.

  • A tooltip for remote command errors, to be activated in the GPIB Settings tab of the System Configuration dialog, is available. The tooltip is to provide information that can be useful for program development and optimization; it does not necessarily indicate that a remote control script is faulty or non-executable.

  • Extended GPIB Language selection in the GPIB Settings tab of the System Configuration dialog.

  • New remote control features

Fixed Issues

  • In time domain representation the exported formatted trace files contain the actual stimulus (time) values.

  • Memory traces can be handled in remote control (e.g. CALCulate:PARameter...) without limitation.

New Features in Firmware V1.90 (Compared to V1.86)

  • Extensions to the TOSM calibration type: unknown through.

  • New Imbalance parameter for balanced port configurations.

  • Automatic identification of the port assignment between the analyzer and the calibration unit. The numbers of the connected ports must no longer match.

  • Several calibration units may be USB-connected simultaneously. See also remote control commands SYSTem:COMMunicate:RDEVice:AKAL:ADDRess...

  • Extended diagram scaling functions: Max and Min.

  • Max Hold function for the active trace.

  • Global Limit Check returns the result of a composite limit check (on several traces).

  • In the Presets tab of the System Configuration dialog, it is possible to specify a user-defined preset configuration.

  • In the remote screen, it is possible to define user-defined softkeys and assign the functionality of function softkeys to them.

  • A single menu command All S-Params displays all S-parameters.

  • Improved calibration wizard for calibrations using a sliding match.

  • Port frequencies for ports with a common synthesizer are no longer coupled unless the ports are used as permanent signal sources.

  • New remote control features

New Features in Firmware V1.86 (Compared to V1.84 and V1.85)

  • Systematic protection of the analyzer's RF amplifiers against excess input levels. An update to firmware version V1.86 is highly recommended to eliminate any possibility of damaging the instrument hardware.

Improvements in Firmware V1.84 (Compared to V1.83)

  • The system error correction data is acquired at a constant IF gain. During the calibration sweep, the IF Gain b in the Receiver section of the Port Configuration menu is set to Low Distortion. A possible AGC (Auto) setting is suspended.

New Features in Firmware V1.83 (Compared to V1.80/V1.82)

  • Support of calibration unit R&S ZV-Z52 (models 72 and 30 for frequencies up to 18 GHz and 24 GHz, respectively).

  • Improvement of the power calibration process with active Automatic Level Control (ALC).

  • Power calibration data acquired in Power sweep mode can be re-used for Time and CW Mode sweeps (for frequency sweeps this feature was already implemented in firmware V1.80).

  • The sweep average (Average On, Average Factor) and the Trigger settings are also valid for calibration sweeps.

New Features in Firmware V1.80 (Compared to V1.78)

  • New measurement mode: Frequency Conversion (option R&S ZVA-K4, including Harmonic Distortion measurements and Mixer Mode)

  • New calibration type: Power calibration

  • Support for external test devices: External generators and power meters can be controlled via USB, LAN, GPIB bus, or other interface types

  • Adaptive Gain Control (AGC) of the receiver

  • Automatic Level Control (ALC) of the source

  • Low Phase Noise mode

  • Extended bandfilter search mode: Bandpass Search Ref to Marker

  • Improved access to the time domain and frequency domain stimulus values in the Transform –Time Domain Stimulus Axis menu.

  • Frequency Step Size is a setting parameter for frequency sweeps

  • Marker values can be exported to an ASCII file.

  • New remote control command [SENSe<Ch>:]CORRection:COLLect:METHod? returns a list of all calibration types for channel <Ch>.

  • New remote control commands [SENSe<Ch>:] CORRection:CONNection and [SENSe<Ch>:] CORRection:CONNection:DELete configure and delete user-defined connector types.

  • New remote control command [SENSe<Ch>:] CORRection:CKIT:<std_type> defines the parameters of arbitrary connector types.

  • New remote control commands SYSTem:SOUNd:ALARm[:STATe] and SYSTem:SOUNd:ALARm[:STATe] switch alarm and status sounds on or off.

Fixed Issues

  • Trace mathematics can distinguish between voltages and dimensionless quantities (Result is Wave Quantity).

  • Zero Delay at Marker can now be used for all ports, the arithmetic problems have been solved.


Documentation

This help system represents an up-to-date version of the ZVA documentation including all new features of the current firmware version. An updated printable (.pdf) file and CD-ROM is provided for each major (usually 2-digit) firmware version.

Documentation for Network Analyzers R&S ZVA

The R&S ZVA documentation is delivered as follows:

  • Help system

  • Quick start guide

  • CD-ROM

The text book "Fundamentals of Vector Network Analysis" by Michael Hiebel is an ideal complement for the information given in the R&S ZVA user documentation. The book combines theoretical background and practical measurements on an R&S ZVA network analyzer.
In case of interest please contact your local R&S office.

Help System

The help system is embedded in the instrument, offering quick, context-sensitive reference to the information needed for operation and programming. The help contains the complete user documentation for the network analyzer including the contents of the present quick start guide.

You can also transfer the help file RSZVAhelp.chm to your PC and use it as a standalone help.

Contents of this help and of your documentation CD-ROM

Quick Start Guide

The quick start guide describes everything that is needed to put the instrument into operation and helps you to get familiar with the analyzer. The quick start guide gives an introduction to the instrument’s functionality and provides procedures for typical measurement tasks.

CD-ROM

The CD-ROM provides the complete user documentation for the R&S ZVA/ZVB/ZVT network analyzer family:

  • The online help system as a compiled HTML file

  • A printable (*.pdf) version of the online help

  • The quick start manual in printable form

  • Additional user manuals for accessories, e.g. calibration kits, frequency converters, extension units

  • Brochures and data sheets in printable form

  • The service manual in printable form

  • Links to different useful sites in the R&S internet


About this help

In the context menu you can:

  • Open all books in the TOC.

  • Close all books in the TOC.

  • Print the selected topic or a range of topics arranged below a common heading, using the Print dialog. As an alternative, use the printable (*.pdf) version of the Help system.

  • Customize your TOC (View Entry..., not supported).

  • Jump to an URL to be specified in an input box.

  • A search expression may consist of any combination of letters (a to z) and numbers (0 to 9). The search is not case-sensitive and ignores punctuation marks except the ones reserved as operators.

  • Quotation marks, the question mark and the asterisk are reserved for grouping expressions and for wildcards. See table below.

  • The Boolean operators AND, OR, NOT, NEAR define relationships between two or more search words. See table below.

Search for all topics containing... | Example
Several words | reference frequency, reference AND frequency
An expression consisting of several words | "reference frequency"
At least one of several words | reference OR frequency
A word but not another word | reference NOT frequency
Several words close together | reference NEAR frequency
A word with an undefined character or several words differing by one character | referenc?
A word with one or more undefined characters or several words differing by groups of characters | ref*

About this Help

This Help system contains the complete user and programming documentation for the network analyzers R&S ZVA. The following sections show you how to make efficient use of the help system and the complementary printed documentation.

Launching Help

Closing Help

Help contents

Navigating Help

Working with Help on your PC

Obtaining more assistance

To Launch this Help System...

Use one of the following methods:

  • With an active softkey/menu command or an open dialog, press the front panel Help key to access context-sensitive help.

  • While no softkey is active, press the front panel Help key to access the Help home page.

  • Press the Help Topics softkey or click the corresponding command in the Help menu to access the home page.

Accessing context-sensitive help is even easier if you use an external keyboard or mouse:

  • With an active softkey/menu command, press F1 on your keyboard.

  • With an open dialog, press F1 on your keyboard or click the Help button in the dialog.

You can also use Help on a PC.

To Close the Help System and Return to the NWA...

Use one of the following methods:

  • Press the ESC CANCEL key in the DATA ENTRY keypad.

  • Click either the Close button in the title bar, the Close command in the control menu, or File – Close.

Help Contents

The Help system comprises the complete user and programming documentation for the network analyzers R&S ZVA. For an overview of the contents use the Contents tab of the navigation pane and the introductory topics at the beginning of each main chapter.

To navigate within the Help system...

Use one of the following methods:

  • Use a mouse and/or a keyboard, connected to the analyzer or your PC.

  • Use the analyzer's front panel keys – see navigation with keys.

The Help window is divided into the following main areas:

  • The title bar with the control menu, the caption R&S Network Analyzer Help, and the active window, minimize, maximize and close buttons known from other Windows™ applications.

  • The menu bar with different menus used to print topics and navigate within the help system by means of the front panel keys.

  • The toolbar with the Hide, Back, Forward, Home and Options buttons.

  • The navigation pane with the Contents, Index, Search, Favorites and Glossary tabs.

  • The topic pane to view the selected contents.

Hover your mouse over the following picture to obtain a definition of the controls or click an area to obtain detailed information.

Title Bar

The title bar is known from other Windows™ applications:

  • (Single)-click the Control icon to open the Control menu. Double-clicking Control is the same as clicking the Close icon.

  • Click Minimize to reduce the Help window to an icon.

  • Click Maximize to enlarge the Help window to fill the available space.

  • Click Restore to return the active window to its size and position after you chose the Maximize or Minimize command.

  • Click Close to close the Help system. This is the same as double-clicking the Control icon. To re-launch Help use one of the methods described in Launching Help.

Hover your mouse over the following picture to identify the controls.

Menu Bar

The menu bar provides access to the different areas of the Help system by means of the front panel keys. See navigation with keys to learn more about help navigation without a mouse.

  • Select the File menu to print the current Help topic or close the Help system.

  • Select the Navigate menu to browse back or forward through a sequence of opened views or access the Help's home topic.

  • Select the View menu to access the different tabs of the navigation pane or show/hide the entire navigation pane.

  • Select the Switch Pane! menu to access the topic pane and activate its active elements.

Toolbar

The toolbar is displayed across the top of the Help window, below the title bar. The toolbar provides quick mouse access to frequent tasks:

  • Click the Hide icon to hide the navigation pane and gain more space for the topic pane. After hiding the navigation pane the Hide icon changes to Show so you can easily reopen the hidden navigation pane. Alternatively, drag-and-drop the frame separating the navigation pane and the topic pane to enlarge or reduce the panes.

  • Click Back or Forward to browse through a sequence of opened views.

  • Click Home to access the Help's home topic.

  • Click Print to print the selected topic or a range of topics arranged below a common heading, using the Print dialog. As an alternative, use the printable (*.pdf) version of the Help system.

Navigation Pane

The navigation pane forms the left part of the Help window and provides several tools to access information.

  • Open (click) the Contentstab to learn how the help is organized and access the individual topics.

  • Open the Index tab to find information about a particular subject.

  • Open the Search tab to list all topics containing a particular expression, even if it is not listed in the index.

  • Open the Favorites tab to store or recall frequently needed topics.

  • Open the Glossary tab to look up the definition of important terms used in the Help.

  • Click the Hide icon in the toolbar to hide the navigation pane and gain more space for the topic pane. After hiding the navigation pane the Hide icon changes to Show so you can easily reopen the hidden navigation pane. Alternatively, drag-and-drop the frame separating the navigation pane and the topic pane to enlarge or reduce the panes.

The following picture shows the navigation pane with all tabs. With an narrower pane, two browse buttons let you access the individual tabs.

Contents

Shows how the help is organized and provides access to the individual topics. The table of contents (TOC) is synchronized with the currently displayed topic: The corresponding book is opened and the page is displayed on a gray background.

  • Left-click a book or page to display the associated topic.

  • Double-click a closed book to open it and expand the related topics.

  • Double-click an open book to close it and collapse the associated branch of related topics.

  • Right-click any point inside the Contents window to open the context menu.

  • Use the scrollbars to browse through the TOC.

Hover your mouse over the following picture to identify the elements in the Contents tab.

Index

Helps you find information about a particular subject or keyword.

  • Type a keyword or expression in the Type in... field and click Display to open the associated topic. If needed, select from a Topics Found dialog.

  • Use the scrollbar to browse through the index, then double-click a keyword to open the topic.

Hover your mouse over the following picture to identify the elements in the Index tab.

Search

Lists all topics containing a particular expression, even if it is not listed in the index.

  1. Type a keyword or expression in the Type in... field and click List Topics to display all topics containing the expression in the ordered Select Topic... list.

  2. Double-click a topic in the list or click a topic and then Display to open the topic.

Rules for search expressions

Hover your mouse over the following picture to identify the elements in the Search tab.

Favorites

Contains your own list of favorites where you can store or recall frequently needed topics.

  • Open a topic to be displayed and click Add to add it to the list of Topics.

  • Click an item in the Topics list to select the topic to be displayed or removed.

  • Click a selected topic for a second time or click Display to view the topic.

  • Click Remove to remove a topic from the Topics list.

Hover your mouse over the following picture to identify the elements in the Favorites tab.

Glossary

Provides a definition of important terms as they are used in the Help.

  • Select a word or expression (type initial character or browse using the scrollbar) and read the definition.

Some glossary terms are often also defined in the topics where they are needed: Click on a green word or expression to get its definition in a popup window.

Topic Pane

The topic pane forms the right (main) part of the Help window and displays the current topic.

Hover your mouse over the following picture to identify the elements in the topic pane.

To work with Help on your PC...

Simply copy the Help file RSZVAhelp.chm into a directory and double-click to open it. The Help file is located in the Resources\Help subdirectory of the NWA program directory. It is also provided on the User Documentation CD-ROM provided with each analyzer and on the R&S internet.

Working with the Help file on a PC offers a number of advantages:

  • You can use a mouse and keyboard to make full use of the Help's navigation tools.

  • You are not limited to the screen size of the analyzer display.

  • You can copy and paste text and program code while working in another application.

To obtain more assistance...

Refer to one of the following sources of information:

  • Click About Nwa... in the Help menu to retrieve information about the network analyzer and the current firmware version.

  • Visit our web or refer to one of our contact addresses.


Navigation with Keys

  • An expandable tree view represents the table of Contents (TOC).

  • The Index and Glossary tabs contain alphabetical list of keywords.

  • The Index and Search tabs contain input fields to specify a keyword to find.

  • Various types of links within the topics open text popups, expand additional text and initiate a jump to another topic.

  • Press the Cursor Up and Cursor Down keys in the NAVIGATION keypad or turn the rotary knob to scroll up and down in the table of contents, in a list of keywords or in the topic text.

  • Press OK ENTER in the NAVIGATION or DATA ENTRY keypads or the rotary knob to expand/compress chapters in the table of contents and activate links. Links can start from books in the table of contents, buttons, index keywords, search lists or hot (colored) text in topics.

  • Use the Cursor Right key in the NAVIGATION keypad to expand the TOC tree. Use the Cursor Right and Cursor Left keys to move one TOC level down or up.

  • Use the Left Field or Right Field keys in the NAVIGATION keypad to switch between several active elements in the tabs (e.g. the input field, list of keywords and Display button in the Index tab) or different links in the topic.

...

The keys in the DATA ENTRY field allow you to enter the numeric characters 0 to 9 and the letters G, M and K. To enter other characters, a mouse or external keyboard is required.

With a mouse but no external keyboard installed, you can call up Windows XP's On-Screen Keyboard, and simply click the characters needed.

Key-Controlled Help Navigation

Although a mouse is the most convenient tool for navigating within the R&S ZVA Help system, it is possible to access all active and interactive elements by means of the front panel keys. The following sections give an overview.

Accessing the tabs in the navigation pane

Accessing the topic pane and its active elements

Controlling active elements

Entering characters

To access the tabs in the navigation pane...

  1. Press the MENU key in the SUPPORT keypad to activate the menu bar.

  2. Press the Cursor Right key in the NAVIGATION keypad twice to move the cursor to the View menu.

  3. Press OK ENTER in the NAVIGATION keypad to expand the menu.

  4. Press the Cursor Down key in the NAVIGATION keypad repeatedly until you reach the desired tab.

The tab is activated and the cursor is automatically moved into the tab.

To access the topic pane and its active elements...

By default, one of the tabs in the navigation pane is active when the Help is opened. To switch over to the topic pane (and back), use the Switch Pane menu command.

  1. Press the MENU key in the SUPPORT keypad to activate the menu bar.

  2. Press the Cursor Right key in the NAVIGATION keypad three times to move the cursor to the Switch Pane! menu.

  3. Press OK ENTER in the NAVIGATION keypad to switch over to the topic pane.

To control active elements...

The navigation and topic panes of the Help system contain various types of active elements.

The list below only contains the most important control keys for Help navigation. Some setup keys provide additional shortcuts. While the Help is open, all front panel controls do not act on the NWA application, so there is no risk of corrupting the measurement by inadvertently hitting keys.

  • Scrolling up and down

  • Activating links

  • Handling Table of Contents (TOC) hierarchies

  • Accessing active elements


Front Panel

Front Panel Tour

This section gives an overview of the front panel controls and connectors of the network analyzer.

Click on the sections of the front panel to obtain information.


Display

The analyzer is equipped with a color display providing all control elements for the measurements and the diagram areas for the results.

  • Refer to Navigation Tools of the Screen to learn how to use menus, keys and softkeys.

  • Refer to Display Elements to obtain information about the results in the diagram area.

  • Refer to Display Menu and learn how to customize the screen.

  • Refer to the data sheet for the technical specifications of the display.

Screen Saver
The screen saver function of the operating system switches off the display if the analyzer receives no command for more than 8 minutes. It is switched on again if any front panel key is pressed. To change the screen saver properties press the Windows key in the SUPPORT keypad and click Control Panel –Display – Screen Saver.

Short screen flicker
On instruments equipped with an FMR7 front module controller, you may observe a short screen flicker when accessing the Windows desktop. The flicker does not occur while the network analyzer is running; it does not impair the functionality of the instrument.


Disk Drive

Removable Hard Disk

Option R&S ZVA-B18, Removable Hard Disk, replaces the internal hard disk by a removable compact flash card. The option is mounted on the right of the NAVIGATION and SUPPORT keypads. The compact flash card can then be inserted at the front panel of the instrument. To ensure failure-free operation, avoid placing external cables close to the compact flash card.

Contact your R&S service representative, if you wish to obtain and install option R&S ZVA-B18.

Older network analyzers are equipped with a 3.5'' floppy disk drive which you may use for storing and loading smaller amounts of data (e.g. cal kit data, setups, memory traces).


Setup Keys

The keys in the TRACE, CHANNEL, DISPLAY, SYSTEM and SUPPORT keypads call up groups of related measurement settings. Each key corresponds to a drop-down menu or menu command of the graphical user interface.

The TRACE keys give access to all trace settings and the functions to select, modify and store different traces. In addition the menu provides the marker, search and limit check functions.

The CHANNEL keys give access to all channel settings and the functions to activate, modify and store different channels.

The DISPLAY keys give access to all display settings and to the functions to activate, modify and arrange different diagram areas.

The SYSTEM keys give access to the functions to return to a defined instrument state and select general system settings.

A second group of keys (uncolored) provides standard Windows™ functions to save, recall or printsetups and call up the measurement wizard.

The SUPPORT keys give access to the functions to reverse operations, retrieve information on the instrument and obtain assistance.

A second group of keys (uncolored) is used to navigate within the graphical user interface:

  • MENU sets the cursor to the first item (File) in the menu bar of the active application (network analyzer or help system) if no dialog is open. In the network analyzer (NWA) application, menus are equivalent to softkeys and provide fast access to all instrument functions. The menus in the help system are required for accessing all help functions by means of the front panel keys. In NWA dialogs, the MENU key opens the control menu to move or close the dialog.

  • The Windows key opens the startup menu of Windows XP Embedded from where it is possible to perform system configurations and call up additional software utilities.


Navigation Keys

The keys in the NAVIGATION keypad are used to navigate within the NWA screen and the Help system, to access and control active elements.

The Left Field (= Tab) or Right Field (= Shift Tab) keys switch between several active elements in dialogs and panes, e.g. in order to access:

  • All control elements (e.g. buttons, numerical or text input fields, radio buttons, checkmarks, combo boxes etc.) in a dialog

  • All links in a Help topic

The Cursor Up and Cursor Down keys are used to:

  • Scroll up and down in lists, e.g. among menu items, in a list of keywords, in the Help table of contents, or in the Help topic text

  • Increase and decrease numeric input values

Cursor Up (Down) become inactive as soon as the beginning of the list is reached. Cursor Up (Down) is equivalent to a rotation of the rotary knob to the right (left).

The Cursor Left and Cursor Right keys are used to:

  • Move the cursor to the left or right within input fields

  • Compress or expand menus or the Help table of contents

  • Move the highlighted item in the menu bar of the active application

OK ENTER is used to:

  • Activate the selected active control element, e.g. a button in a dialog or a link in the Help

  • Confirm selections and entries made and close dialogs

OK ENTER is equivalent to pressing the rotary knob or the OK ENTER key in the DATA ENTRY keypad.

The Checkmark (= Space) key switches a checkmark control in a dialog on or off.

The CANCEL ESC key is used to:

  • Close dialogs without activating the entries made (equivalent to the Close button)

  • Close the Help

CANCEL ESC is equivalent to the CANCEL ESC key in the DATA ENTRY keypad.


Data Entry Keys

The keys in the DATA ENTRY keypad are used to enter numbers, units, and characters.

The data entry keys are only enabled while the cursor is placed on a data input field in a dialog or in the Help navigation pane.

...

The keys 0 to 9 enter the corresponding numbers.

The function of the . and – keys depends on the data type of the active input field:

  • In numeric input fields, the keys enter the decimal point and change the sign of the entered numeric value. Multiple decimal points are not allowed; pressing – for a second time cancels the effect of the first entry.

  • In character input fields, the keys enter a dot and a hyphen, respectively. Both entries can be repeated as often as desired.

...

The function of the four unit keys depends on the data type of the active input field; see Data Entry section.

  • In numeric input fields (e.g. in the numeric entry bar), the G/n, M/μ, k/m or x1 keys multiply the entered value with factors of 10(-)9, 10(-)6, 10(-)3 or 1 and add the appropriate physical unit. x1 is equivalent to OK ENTER. It confirms the previous entry and deactivates the input field (closes the numeric entry bar).

  • In character input fields, the G/n, M/μ, k/m keys enter the letters G, M, K, respectively. x1 is equivalent to OK ENTER. It confirms the previous entry and deactivates the input field.

The ESC CANCEL and OK ENTER keys are equivalent to the corresponding keys in the NAVIGATION keypad.

BACK deletes the last character before the cursor position or the selected character sequence. If an entire numeric value is selected, BACK moves the cursor in front of the first digit.


Roll Key

Rotary Knob

The rotary knob increases and decreases numerical values, scrolls within lists, activates controls and confirms entries.

Turning or pressing the rotary knob is equivalent to the action of the Cursor Up and Cursor Down keys or the ENTER key in the NAVIGATION keypad.

STEP SIZE opens an input box to select the steps (in units of the current physical parameter) between two consecutive values if the rotary knob is turned to increase or decrease numeric values. See Dialogs.


On/Standby Key

Standby Key

The STANDBY toggle switch is located in the bottom left corner of the front panel.

The key serves two main purposes:

  • Toggle between standby and ready state.

  • Shut down the instrument.


Front Panel Connectors

The test ports and various additional connectors are located on the front panel of the analyzer.

Test Ports

N-connectors (or smaller connectors for microwave analyzer types), numbered 1, 2 ... The test ports serve as outputs for the RF stimulus signal and as inputs for the measured RF signals from the DUT (response signals).

  • With a single test port, it is possible to generate a stimulus signal and measure the response signal in reflection.

  • With 2, 3 or 4 test ports, it is possible to perform full two-port, 3-port or 4-port measurements; see S-Parameters section in Chapter 3. Note that pairs of test ports (1and 2, 3 and 4) are supplied by a common generator; see Coupled Test Ports.

  • Each test port may be complemented by three pairs of additional connectors used to test high power devices and extend the dynamic range, see section Direct Generator and Receiver Access.

Attention!

The maximum input levels at all test ports according to the front panel labeling or the data sheet must not be exceeded.

In addition, the maximum input voltages of the other input connectors at the front and rear panel must not be exceeded.

The three LEDs above each test port indicate the connector state:

  • The amber LED is on while the connector is used as a source port.

  • The green LED is on while the connector is used as a bidirectional (source and receive) port.

  • The blue LED is on while the connector is used as a receive port.

It is recommended to use a torque wrench when screwing RF cables on the test port connectors. Standard IEEE 287 specifies a torque of (1.5 [image] 0.2) Nm for N connectors, (0.9 [image] 0.1) Nm for the other connector types.

USB Connector

Double Universal Serial Bus connector of type A (master USB), used to connect e.g a keyboard, mouse or other pointing devices, the Calibration Unit (accessory R&S ZV-Z5x), a printer or an external storage device (USB stick, CD-ROM drive etc.).

The USB connector can be used for data transfer from and to the analyzer, in particular to do the following:

  • Store data files from the analyzer, e.g. store a setup to be used on another instrument or at a later time.

  • Load data files, e.g. calibration kits, memory traces, setups.

  • Perform a firmware update.

To control external devices (e.g. power meters, generators) via USB connector, a VISA installation on the network analyzer is required. Use the USB-to-IEC/IEEE Adapter (option R&S ZVAB-B44) to control devices equipped with a GPIB interface.

The length of passive connecting USB cables should not exceed 1 m. The maximum current per USB port is 500 mA.
See also EMI Suppression

Pin No. | Name | Input (I) or Output (O) or Bidirectional (B) | Voltage Range | Function
1 | +5.2VD | – | +5.2V | Supply voltage (rt)
2 | USBD0M | B | TTL | Data D– (ws)
3 | USVD0P | B |  | Data D+ (gn)
4 | GNDD | – | 0 V | Digital ground (sw)
5 | +5.2VD | – | +5.2V | Supply voltage (rt)
6 | USBD1M | B | TTL | Data D– (ws)
7 | USBD1P | B |  | Data D+ (gn)
8 | GNDD | – | 0 V | Digital ground (sw)

Ground Connector

Connector providing the ground of the analyzer's supply voltage.

Attention!

Electrostatic discharge (ESD) may cause damage to the electronic components of the DUT and the analyzer. Use the wrist strap and cord supplied with the instrument to connect yourself to the GND connector.


Direct Generator and Receiver Access

Option R&S ZVA<n>-B16, Direct Generator/Receiver Access, provides 3 pairs of SMA connectors (or smaller connectors, for microwave analyzers) for each test port. <n> corresponds to the network analyzer type. For detailed ordering information refer to the product brochure. See also section Converter Control.

The connectors give direct access to various RF input and output signals. They can be used to insert external components (e.g. external signal separating devices, power amplifiers, a ZVAX extension unit etc.) into the signal path in order to develop custom measurements, e.g. to test high power devices and extend the dynamic range. If no external components are connected, each OUT/IN loop should be closed using a jumper.

  • The SOURCE OUT signal comes from the internal RF signal source. The SOURCE IN signal goes to the test port. A power amplifier can be inserted between SOURCE OUT and SOURCE IN in order to boost the test port power.

  • The REF OUT signal comes from the coupler and provides the reference signal. The REF IN signal goes to the receiver input for the reference signal.

  • The MEAS OUT signal comes from the coupler and provides the received (measured) signal. The MEAS IN signal goes to the receiver input for the measured signal.

Attention!

The maximum RF input levels at all SMA inputs according to the front panel labeling or the data sheet must not be exceeded.

In addition, it is important that the signal fed in at the SMA inputs contains no DC offset, as this may impair the measurements and even cause damage to the instrument.


Rear Panel

Rear Panel Tour

This section gives an overview of the rear panel controls and connectors of the R&S ZVA network analyzer.

Click on the sections of the rear panel to obtain information.

The rear connectors are described in detail in the annex Hardware Interfaces.

Attention!

The maximum input levels and voltages of the input connectors at the front and rear panel must not be exceeded.

The EXT TRIGGER input connector and pin 2 of the USER CONTROL connector must never be used simultaneously as inputs for external trigger signals.

Use double shielded cables at the BNC rear panel connectors (10 MHz REF, PORT BIAS, EXT. TRIGGER) and match signals with 50 Ω in order to comply with EMC directives!


Putting into Operation

Putting the Instrument into Operation

This section describes the basic steps to be taken when setting up the analyzer for the first time.

  1. Unpacking the instrument

  2. Setting up the instrument on a benchtop or in a rack

  3. Connecting to the AC power supply

  4. Switching on

Attention!

Before turning on the instrument, please make sure that the following conditions are fulfilled:

  • Instrument covers are in place and all fasteners are tightened.

  • Fan openings are free from obstructions.

  • Signal levels at the input connectors are all within the specified maxima.

  • Signal outputs are correctly connected and not overloaded.

  • The instrument is dry and shows no condensation.

Non-observance may cause damage to the instrument!

Unpacking and Checking the Instrument

To remove the instrument from its packaging and check the equipment for completeness proceed as follows:

  1. Pull off the polyethylene protection pads from the instrument's rear feet and then carefully remove the pads from the instrument handles at the front.

  2. Pull off the corrugated cardboard cover that protects the rear of the instrument.

  3. Carefully unthread the corrugated cardboard cover at the front that protects the instrument handles and remove it.

  4. Check the equipment for completeness using the delivery note and the accessory lists for the various items.

  5. Check the instrument for any damage. If there is damage, immediately contact the carrier who delivered the instrument.

Retain the original packing material. If the instrument needs to be transported or shipped at a later date, you can use the material to prevent control elements and connectors from being damaged.

Instrument Setup

The network analyzer is designed for use under laboratory conditions, either on a bench top or in a rack. The general ambient conditions required at the operating site are as follows:

  • The ambient temperature must be in the ranges specified for operation and for compliance with specifications (see data sheet).

  • All fan openings including the rear panel perforations must be unobstructed. The distance to the wall should be at least 10 cm.

Attention!

To avoid damage of electronic components of the DUT and the analyzer, the operating site must be protected against electrostatic discharge (ESD). ESD is most likely to occur when you connect or disconnect a DUT or test fixture to the analyzer's test ports.

To prevent ESD damage use the wrist strap and grounding cord supplied with the instrument and connect yourself to the GND connector at the front panel.

Bench Top Operation

If the analyzer is operated on a bench top, the surface should be flat.

The instrument can be used in horizontal position, standing on its feet, or with the support feet on the bottom extended.

Caution!

The feet must be fully folded in or out. Only in this way can the stability of the analyzer be guaranteed and reliable operation be ensured.

The total weight on the extended feet (including the analyzer's weight and other units placed on top) must not exceed 500 N. The units must be secured against slipping (e.g. by locking the feet at the upper front frame).

When moving the unit with expanded feet, the feet might collapse and fold in. To avoid injuries, the unit must therefore not be moved with the feet out.

Mounting in a 19" Rack

Using the adapter R&S ZZA-611 (order number 1096.3302.00) the instrument can be mounted in 19" racks according to the mounting instructions supplied with the rack adapter.

Attention!

  • Allow for sufficient air supply in the rack.

  • Make sure that there is sufficient space between the ventilation holes and the rack casing.

EMI Suppression

To suppress generated Electromagnetic Interference (EMI), operate the instrument only while it is closed, with all shielding covers fitted. Note the EMC classification in the data sheet.

Use appropriate shielded cables to ensure successful control of electromagnetic radiation during operation, especially for the following connector types:

  • BNC rear panel connectors (10 MHz REF, EXT. TRIGGER): Use double shielded cables and terminate open cable ends with 50 Ω.

  • USER CONTROL, UNIVERSAL INTERFACE: Use only well shielded cables or disconnect the input pins of the USER CONTROL connector in order to avoid spurious input signals which may cause undesirable events. This is of particular importance for the external trigger input (pin no. 2 of USER CONTROL) if the EXT TRIGGER input is used.

  • USB: Use double-shielded USB cables and ensure that external USB devices comply with EMC regulations.

  • GPIB (IEEE/IEC 625): Use a shielded GPIB cable.

  • LAN: Use CAT6 or CAT7 cables.

  • Test ports: For instruments with 3.5 mm and smaller connector types (2.92 mm, 2.4 mm ...), use double-shielded measurement cables.

The use of external accessories for the network analyzers may introduce additional connector, cable, and cable length requirements. Refer to the relevant documentation.

Connecting the Instrument to the AC Supply

The network analyzer is automatically adapted to the AC supply voltage supplied. The supply voltage must be in the range 100 V to 240 V; 50 Hz to 60 Hz. The mains connector is located at the bottom left corner of the rear panel.

  • Connect the network analyzer to the AC power source using the AC power cable delivered with the instrument.

The maximum power consumption of the analyzer is 450 W. The typical power consumption is listed in the "Specifications".

The network analyzer is protected by two fuses as specified on the label on the power supply. The fuses are located on an AC Fuse Board (order no. 1145.3906.02) which must be replaced to change the fuses. Replacing the AC Fuse Board requires opening the instrument and is described in the service manual.

Power on and off

The mains connector is located at the bottom left corner of the rear panel.

  • To turn the power on or off, press the AC power switch to position I (On) or 0 (Off).

After power-on, the analyzer is in standby or ready state, depending on the state of the STANDBY toggle switch at the front panel when the instrument was switched off for the last time.

The AC power switch can be permanently on. Switching off is required only if the instrument must be completely removed from the AC power supply.

Standby and Ready State

The STANDBY toggle switch is located in the bottom left corner of the front panel.

  • After switching on the AC power, press the STANDBY key briefly to switch the analyzer from the standby to ready state or vice versa.

  • In standby state, the right, amber LED is on. The standby power only supplies the power switch circuits and the optional oven quartz (OCXO, 10 MHz reference oscillator, option ZVAB-B4, order no. 1164.1757.02). In this state it is safe to switch off the AC power and disconnect the instrument from the power supply.

  • In ready state, the left, green LED is on. The analyzer is ready for operation. All modules are power-supplied and the analyzer initiates its startup procedure.

Caution!

The instrument is still power-supplied while it is in standby mode.

Remote control:

SYSTem:SHUTdown

Replacing Fuses

The DC inputs PORT BIAS at the rear panel are each protected by a fuse IEC 127 - F 250 L (250 mA quick acting).

  • To replace the fuses open the fuse holder by slightly turning the lid counterclockwise.


Startup Procedure

Starting the Analyzer and Shutting down

To start the analyzer, proceed as follows:

  1. Make sure that the instrument is connected to the AC power supply and the power switch on the rear panel is in position I (On).

  2. If necessary, press the STANDBY toggle switch on the front panel to switch the instrument to ready state (the green LED is on).

In ready state, the analyzer automatically performs a system check, boots the Windows XP operating system and then starts the network analyzer (NWA) application. If the last analyzer session was terminated regularly, the NWA application uses the last setup with all instrument settings.

To shut down the analyzer, proceed as follows:

  1. Press the STANDBY key to save the current setup, close the NWA application, shut down Windows XP and set the instrument to standby state. Of course you can also perform this procedure step by step like in any Windows session.

  2. If desired, set the AC power switch to position 0 (Off).

Attention!

It is strongly recommended to switch the analyzer to standby state before disconnecting it from the AC supply. If you set the power switch to 0 while the NWA application is still running, you will lose the current settings. Moreover, loss of program data can not be excluded if the application is terminated improperly.

With a minimized NWA application, you can access your analyzer's Windows® desktop or run other applications (see Control Menu). To start the NWA application with a minimized window on a continuing basis, right-click the NWA shortcut icon on the desktop and open the Properties dialog. In the Shortcut tab, select Run: Minimized.

After a software update the NWA application is started with a maximized window again. Moreover, if a second NWA application is started after a first, minimized application, this will cause the first application to come to the foreground.


External Accessories

A great variety of printer drivers is available on the analyzer. To obtain the complete list, access Windows XP (press the Windows key) and open the Add Printer Wizard in the Start –Control Panel – Printer and Faxes menu.

You can load updated and improved driver versions or new drivers from an installation disk, USB memory stick or another external storage medium. Alternatively, if the analyzer is integrated in a network, you can install driver data stored in a network directory. In either case, use the Add Printer Wizard to complete the installation.

With two LAN connections, it is possible to use the analyzer in two alternative ways:

  • As a client participating in two independent networks, one comprising the home network including the analyzer, the second consisting of the additional test instrument plus the analyzer.

  • As a data router between the additional test instrument and the home network. This configuration means that the analyzer and the additional test instrument are integrated into a single network.

The network topology is defined in Windows XP's Control Panel –Network Connections – Local Area Connection Status – Local Area Connection Properties – Internet Protocol (TCP/IP) Properties – Advanced TCP/IP Settings dialog. Both instruments must have independent IP addresses; see Assigning an IP Address. Contact your LAN administrator for details.

Connecting External Accessories

The equivalent USB ports on the front and rear panel of the analyzer can be used to connect a variety of accessories:

  • A mouse simplifies operation of the instrument using the controls and dialogs of the Graphical User Interface (GUI).

  • A keyboard simplifies the entry of data.

  • A printer generates hard copies of the screen contents.

In addition the analyzer provides interfaces for monitor connection and network integration:

  • An external monitor shows the magnified Graphical User Interface (GUI) with all diagram areas and controls.

  • A LAN connection can be established in order to access the hard disk or control the analyzer from an external PC.

Connecting a Mouse

A USB mouse can be connected to one of the Universal Serial Bus connectors on the front panel or on the rear panel (double USB connectors).

The mouse is detected automatically when it is connected. It is safe to connect or disconnect the mouse during the measurement.

Use the Start –Control Panel – Mouse menu of Windows XP to configure the mouse properties. To access Windows XP, press the Windows key on the external keyboard or on the front panel.
Operating the analyzer does not require a mouse. You can access all essential functions using the keys on the front panel.

Connecting a Keyboard

A keyboard can be connected to one of the Universal Serial Bus connectors on the front panel or on the rear panel (double USB connectors).

The keyboard is detected automatically when it is connected. The default input language is English –US. It is safe to connect or disconnect the external keyboard during the measurement.

Use the Start –Control Panel – Keyboard or Regional and Language Options menu of Windows XP to configure the keyboard properties. To access Windows XP, press the Windows key on the external keyboard or on the front panel.
Operating the analyzer does not require a keyboard. You can access all essential functions using the keys on the front panel. In combination with a mouse, the front panel keys provide access to all instrument functions.

Connecting a Printer

A printer can be connected to one of the Universal Serial Bus connectors on the front panel or on the rear panel (double USB connectors).

It is safe to connect or disconnect the printer during the measurement. When printing a copy (File – Print), the analyzer checks whether a printer is connected and turned on and whether the appropriate printer driver is installed. If required, printer driver installation is initiated using Windows XP's Add Printer Wizard. The wizard is self-explanatory. A printer driver needs to be installed only once, even though the printer may be temporarily removed from the analyzer.

Printer driver installation

Use the Page Setup dialog or the Start –Control Panel – Printers and Faxes menu of Windows XP to configure the printer properties. To access Windows XP, press the Windows key on the external keyboard or on the front panel.

Connecting a Monitor

A standard VGA monitor or LCD display can be connected to the 15-pole Sub-Min-D MONITOR connector on the rear panel of the analyzer.

Attention!

The monitor must be connected while the instrument is switched off (or in standby mode). Otherwise correct operation can not be guaranteed.

The monitor displays the magnified analyzer screen with all diagram areas, measurement results and control elements. No extra configuration is required.

With an additional mouse or keyboard connected to the analyzer, you can control the measurement from the external monitor. If desired, add the Hardkey Bar (front panel key bar) to the analyzer screen.

It is possible to increase the resolution of the external VGA monitor; see Increasing the Monitor Resolution.

Connecting a LAN Cable

A LAN cable can be connected to one of the LAN connectors on the rear panel of the analyzer. To establish a LAN connection proceed as follows:

  1. Refer to section Assigning an IP Address and learn how to avoid connection errors.

  2. Connect a CAT6 or CAT7 RJ-45 (LAN, Ethernet) cable to one of the LAN ports.

The LAN ports of the analyzer are auto-crossover Ethernet ports. You can connect them to a network that is equipped with Ethernet hardware (hub, switch, router), but you can also set up a direct connection to a computer or another test instrument. For both connection types, you can use either crossover or standard straight-through Ethernet cables.
The IP address information is displayed in the Info –Setup Infodialog.

Test Setups with Two LAN Connections

The two LAN connectors on the rear panel of the analyzer are equivalent. With one LAN connector used to establish a connection to a home/company network, the other one can be used to connect an additional instrument, e.g. an additional analyzer or signal generator.

Defining the network topology: Router vs. network client

Attention!

Never use both LAN connectors to connect the analyzer in parallel to the same network as this will result in connection errors.


Remote Control in a LAN

To disable dynamic TCP/IP configuration and enter the TCP/IP address information manually proceed as follows:

  • Obtain the IP address and subnet mask for the analyzer and the IP address for the local default gateway from your network administrator. If needed, also obtain the name of your DNS domain and the IP addresses of the DNS and WINS servers on your network. If you use both LAN connectors, you need two different sets of address information.

  • Press the Windows key to access Windows XP.

  • Open the Control Panel –Network Connections – Local Area Connection Status – Local Area Connection Properties – Internet Protocol (TCP/IP) Properties dialog and enter the address information, e.g.:

For more information refer to the Windows XP Help.

Remote Operation in a LAN

A LAN connection is used to integrate the analyzer into a home/company network. This offers several applications, e.g.:

  • Transfer data between a controller and the analyzer, e.g. in order run a remote control program.

  • Control the measurement from a remote computer using the Remote Desktop application.

  • Use external network devices (e.g. printers).

Attention!

An efficient virus protection is a prerequisite for secure operation in the network. Never connect your analyzer to an unprotected network because this may cause damage to the instrument software.

To establish the connection proceed as follows:

  1. Press the Windows button and open Windows XP's control panel.

  2. Select System and open the Remote tab in the System Properties dialog. Enable Allow users to connect remotely to this computer.

  3. Assign an IP address to the analyzer following the directions below and connect the analyzer to the network as described in Connecting a LAN Cable.

  4. Create a Remote Desktop Connection using the analyzer's IP address.

The analyzer uses a user name and password as credentials for remote access. In the factory configuration, instrument is preset for both the user name and the password. To protect the analyzer from unauthorized access, it is recommended to change the factory setting.

The analyzer complies with LXI class C. LXI gives you direct access to the LAN settings described below; see LXI Configuration.

Assigning an IP Address

Depending on the network capacities, the TCP/IP address information for the analyzer can be obtained in different ways.

  • If the network supports dynamic TCP/IP configuration using the Dynamic Host Configuration Protocol (DHCP), all address information can be assigned automatically.

  • If the network does not support DHCP, or if the analyzer is set to use alternate TCP/IP configuration, the addresses must be set manually.

By default, the analyzer is configured to use dynamic TCP/IP configuration and obtain all address information automatically. This means that it is safe to establish a physical connection to the LAN without any previous analyzer configuration.

Attention!

If your network does not support DHCP, or if you choose to disable dynamic TCP/IP configuration, you must assign valid address information before connecting the analyzer to the LAN. Contact your network administrator to obtain a valid IP address, because connection errors can affect the entire network.

Manual TCP/IP configuration

Remote Desktop Connection

Remote Desktop is a Windows application which can be used to access and control the analyzer from a remote computer through a LAN connection. While the measurement is running, the analyzer screen contents are displayed on the remote computer, and Remote Desktop provides access to all of the applications, files, and network resources of the analyzer.

To set up a Remote Desktop connection

  1. Connect the analyzer to a LAN and determine its IP address; see Remote Operation in a LAN.

  2. Set up your remote computer (integrated in the LAN) to use Remote Desktop and create the Remote Desktop connection to the analyzer.

For detailed information about Remote Desktop and the connection refer to the Windows XP Help.


Windows XP

The analyzer is equipped with a Windows XP operating system which has been configured according to the instrument's features and needs. Changes in the system configuration can be necessary in order to

  • Establish a LAN connection

  • Customize the properties of the external accessories connected to the analyzer

  • Call up additional software tools

Attention:

The operating system is adapted to the network analyzer. To avoid impairment of instrument functions, only change the settings described in this Help. Existing software must be modified only with update software released by Rohde & Schwarz. Likewise, only programs authorized by Rohde & Schwarz for use on the instrument must be executed.

The Start menu of the operating system is accessed by pressing the Windows key in the SUPPORT keypad. All necessary settings can be accessed from the Start menu, in particular from the Control Panel.


Firmware Update

Upgrade versions of the analyzer firmware are supplied as single setup files *.msi. To perform a firmware update

  1. Copy the setup file to any storage medium accessible from the analyzer. This may be the internal hard disk, an external storage medium (USB memory stick, external CD-ROM drive) or a network connection (LAN, GPIB bus).

  2. Double-click the setup file (or use the front panel keys to select and start the setup file; see Using Front Panel Keys) and follow the instructions of the setup wizard.

Setup files can be stored and installed again. The default drive name of the internal hard disk is C:. External storage devices are automatically mapped to the next free drive, i.e. D:, E: etc.

A firmware update does not affect the factory calibration.

Attention!

The Calibration Unit (accessory R&S ZV-Z5x) and the Extension Unit (accessory R&S ZVAXxx) must be disconnected during a firmware update.


About Getting Started

The different dialogs of the S-parameter wizard correspond to the typical stages of any measurement:

  1. Select the test setup

  2. Select the measurement parameters and the diagram areas

  3. Define the sweep range

  4. Adjust the receiver and source settings (measurement bandwidth, source power)

  5. Perform a calibration

Getting Started

The following chapter presents a sample session with an R&S ZVA network analyzer and explains how to solve basic tasks that you will frequently encounter when working with the instrument.

Before starting any measurement on your network analyzer, please note the instructions given in Chapter Preparing for Use.

In the System Overview you will find detailed information on customizing the instrument and the display according to your personal preferences. For a systematic explanation of all menus, functions and parameters and background information refer to the GUI Reference reference.

Use the S-Parameter Wizard in the System menu to perform a standard S-parameter measurement in a straightforward way. The wizard provides a series of dialogs where you can select the test setup, screen configuration and measurement parameters, configure the essential channel settings and perform a guided calibration.

Measurement stages in the wizard

Reflection Measurements

Basic Tasks

In the following we assume that you are familiar with standard Windows dialogs and mouse operation. Refer toUsing Front Panel Keys and Data Entry to learn how to access instrument functions and control dialogs without a mouse and keyboard.


Reflection Measurements

Performing a Reflection Measurement

In a reflection measurement, the analyzer transmits a stimulus signal to the input port of the device under test (DUT) and measures the reflected wave. A number of trace formats allow you to express and display the results. depending on what you want to learn from the data. Only one analyzer test port is required for reflection measurements.

In the following example, the analyzer is set up for a reflection measurement, a frequency sweep range and measurement parameter is selected, the instrument is calibrated and the result is evaluated using various formats.

Instrument setup for reflection measurements

Parameter and sweep range selection

Calibration

Evaluation of data

Saving and printing data

Instrument Setup for Reflection Measurements

In order to prepare a reflection measurement, you have to connect your DUT (which is assumed to have a male N 50 Ω connector) to one of the (equivalent) analyzer test ports. Besides, it is recommended to preset the instrument in order to set it to a definite, known state.

  1. Proceed as described in section Starting the Analyzer and Shutting Down to switch on the instrument and start the NWA application.

  2. Connect the input port of your DUT to test port 1 of the network analyzer.

  3. Press the PRESET key in the SYSTEM keypad to perform a factory preset of the analyzer.

The analyzer is now set to its default state. The default measured quantity is the transmission S-parameter S21. This quantity is zero in the current test setup, so the trace shows the noise level.

Press the TRACE SELECT key in the TRACE keypad and use the softkeys in the Trace Select menu if you wish to create a new trace or a new diagram area.

Parameter and Sweep Range Selection

After preset the display shows a diagram with a dB Mag scale. The sweep range (scale of the horizontal axis) is equal to the maximum frequency range of the analyzer, and the S-parameter S21 is selected as a measured quantity.

To obtain information about the reflection characteristics of your DUT you have to select an appropriate measured quantity and specify the sweep range.

  1. In the CHANNEL keypad, press START CENTER and enter the lowest frequency you want to measure in the Start Frequency numeric entry bar (e.g. 5 GHz).

If you use the DATA ENTRY keys at the front panel for data entry, simply type 5 and terminate the entry with the G/n key. Refer to section Data Entry to learn more about entering numeric values and characters.

  2. Press STOP SPAN and enter the highest frequency you want to measure in the Stop Frequency numeric entry bar (e.g. 5.5 GHz).

In addition to the linear frequency sweep considered in this example the analyzer provides various other sweep types. Refer to Setting up a Sweep for more application examples.

  3. In the TRACE keypad, press MEAS and select the forward reflection coefficient S11 as a measured quantity.

  4. In the TRACE keypad, press SCALE and activate the Autoscale function.

The analyzer adjusts the scale of the diagram to fit in the entire S11 trace, leaving an appropriate display margin.

Refer to section Scaling Diagrams to learn more about the different methods and tools for diagram scaling.

Instrument Calibration

The analyzer provides a wide range of sophisticated calibration methods for all types of measurements. Which calibration method is selected depends on the expected system errors, the accuracy requirements of the measurement, on the test setup and on the types of calibration standards available.

In the following we assume that the calibration kit R&S ZV-Z21 contains an appropriate male short standard with known physical properties. With a single short standard, it is possible to perform a normalization, compensating for a frequency-dependent attenuation and phase shift in the signal path.

Due to the analyzer's calibration wizard, calibration is a straightforward, menu-guided process.

  1. Unscrew the DUT and connect the male short standard from calibration kit R&S ZV-Z21.

  2. In the CHANNEL keypad, press CAL to open the calibration menu.

  3. Activate Start Cal – One Port P1 – Normalization (Short) to open the calibration wizard for the selected calibration type.

  4. In the first dialog of the wizard, select the calibration kit (here: ZV-Z21) and the test port connector (here: N 50 Ω (f), corresponding to a male calibration standard), and click Next.

The next dialog of the calibration wizard shows that only a single calibration standard needs to be measured.

  5. Click the box Short (m)... to initiate the measurement of the connected short standard.

The analyzer performs a calibration sweep and displays a message box with a progress bar. After completing the sweep the analyzer generates a short sound and a green checkmark appears in the checkbox.

  6. Click Apply to close the wizard, calculate and store the system error correction data and apply them to the current measurement.

  7. Remove the short standard and connect the DUT again.

Evaluation of Data

The analyzer provides various tools to optimize the display and analyze the measurement data. For instance, you can use markers determine the maximum of the reflection coefficient, and change the display format to obtain information about the phase shift of the reflected wave and the impedance of your DUT.

  1. In the TRACE keypad, press MARKER. This places Marker 1 to its default position (center of the sweep range).

A marker symbol (triangle) appears on the trace. The stimulus value (frequency) and response value (magnitude of the reflection coefficient converted to a dB value) at the marker position is displayed in the marker info field in the upper right corner of the diagram.

  2. Press MARKER FUNCT and activate Min Search.

The marker jumps to the absolute minimum of the curve in the entire sweep range. The marker info field shows the coordinates of the new marker position.

  3. In the TRACE keypad, press FORMAT and select the Phase of the reflection coefficient to be displayed.

The phase is shown in a Cartesian diagram with a default vertical scale of –225 deg to +225 deg. The marker info field shows the frequency and phase at the marker position.

  4. Still in the FORMAT menu, select Smith.

The Smith chart shows lines of constant real and imaginary part of the impedance in the reflection coefficient plane.

Refer to section Display Formats and Diagram Types to learn more about the diagram properties.

Saving and Printing Data

The analyzer provides standard functions for saving measurement settings and for printing the results. You can use these functions as if you were working on a standard PC. Moreover you can export your trace data to an ASCII file and reuse it in a later session or in an external application.

Data transfer is made easier if external accessories are connected to the analyzer or if the instrument is integrated into a LAN. Refer to sections External Accessories and Remote Operation in a LAN to obtain information about the necessary steps.

  1. Press TRACE FUNCT and activate Import/Export Data –Export.

  2. In the Export Data dialog opened, select a file location, format and name and activate Save.

The active trace data is written to an ASCII file.

Refer to section Trace File Formats to learn more about trace files and their use.

  2. Press PRINT in the SYSTEM keypad and select Print Now to create a hardcopy of your diagram.

  3. Select Print to File... or Print to Clipboard to copy the diagram to a file or an external application.

  4. Press SAVE in the SYSTEM keypad.

  5. In the Save As dialog opened, select a file location, format and name and activate Save.

The active setup is stored to a file and can be reused in a later session.

Proceed as described in section Starting the Analyzer, Shutdown to shut down your analyzer.


Transmission Measurements

A transmission measurement involves the same steps as a reflection measurement. Note the following differences:

  • The test setup for transmission measurements involves two or more DUT and analyzer ports. For a two-port transmission measurement, you can connect the input of your DUT to port 1 of the analyzer, the output to port 2. After a preset, the analyzer will measure the forward transmission S-parameter S21.

  • The analyzer provides special calibration types for transmission measurements. Use the calibration wizard and select an appropriate type. A TOSM calibration will correct the system errors for all transmission and reflection S-parameters.

  • The S-parameter wizard (System – Measurement Wizard – S-parameter wizard) will guide you through the essential steps of a standard transmission measurement.


About Basic Tasks

Basic Tasks

The following sections describe how to solve basic tasks that you will frequently encounter when working with the instrument. In particular you can learn how to access instrument functions and control dialogs without a mouse and keyboard.

Using Front Panel Keys

Data Entry

Scaling Diagrams


Using Front Panel Keys

Control via Front Panel Keys

Although a mouse and external keyboard simplify the operation of the instrument, you can access all essential functions using the keys on the front panel. The following examples are intended to make you familiar with front panel key operation.

Accessing menus and menu commands

Working with dialogs

To Access a Particular Menu Command ...

  1. Press the MENU key in the SUPPORT keypad to access the menu bar and open the File menu.

  2. Use the keys in the NAVIGATION keypad or the rotary knob to navigate between and within the menus.

  • Use the Cursor Left and Cursor Right keys to change between the different menus in the menu bar. When the first option in a pull-down menu is a submenu, the submenu will be opened first before proceeding to the next option in the menu bar.

  • Use the Cursor Up and Cursor Down keys and the rotary knob (if rotated) to scroll up and down in a menu.

  • OK ENTER and the rotary knob (if pressed) expand a submenu, open a dialog, or initiate an action, depending on the selected command type.

  • CANCEL ESC compresses the current submenu and moves the cursor one menu level up or closes the active dialog, depending on the selected softkey type.

  3. As soon as you reach the desired menu command (which must not be one opening a submenu) press OK ENTER or press the rotary knob to initiate an action or open a dialog.

After command execution or after closing the dialog, the menu bar is deactivated and the cursor returns to the diagram/softkey area.

To Make a Selection in a Dialog...

  1. Press a softkey with three dots to open a dialog.

  2. Use the keys in the NAVIGATION keypad and the rotary knob to access the controls in the dialog.

  • Press Left Field or Right Field to switch between the control elements in a dialog.

  • Press the cursor keys or turn the rotary knob to switch between several entries in a list of alternative or independent settings.

  3. Use the DATA ENTRY keys or the rotary knob to enter characters and numbers. For more details refer to Data Entry.

  4. Press OK ENTER, CANCEL ESC or press the rotary knob to close the active dialog.


Data Entry

  1. Place the cursor into a numeric data input field in a dialog or in the numeric entry bar.

  2. Press the DATA ENTRY keys.

...

  • Use 0 to 9 to enter the corresponding numbers.

  • Use . and - to enter a decimal point or change the sign of the value.

...

  • Use . G/n, M/μ, k/m, or x1 to multiply the entered value with factors of 10(-)9, 10(-)6, 10(-)3 or 1 and add the appropriate physical unit.

  1. Place the cursor into a character data input field in a dialog.

  2. Press the DATA ENTRY keys as if you were writing a short message on your mobile phone.

...

  • Press 0 to 9 once to enter the corresponding numbers.

...

  • Use . or – to enter a dot or a hyphen.

...

  • Use G/n, M/μ, or k/m to enter the letters G, M or K (case-insensitive).

  • Use the BACK key to correct wrong entries, deleting the character to the left of the current cursor position.

  • Press OK ENTER to complete an entry.

  • Press ESC CANCEL to close the dialog, discarding the entries made.

  3. To enter letters other than G, M or K, you can also use one of the following methods:

  • Turn the rotary knob until the desired letter appears in the character input field.

  • If the active input field has a [image] symbol, then use the analyzer's on-screen keyboard.

  • Otherwise, use a mouse and Windows XP's on-screen keyboard.

  1. Place the cursor into a character data input field in a dialog or in the numeric entry bar.

  2. Press OK or the [image] key in the NAVIGATION keypad to open the on-screen keyboard.

  3. Use the cursor keys in the NAVIGATION keypad or turn the rotary knob to move the cursor to a character.

  4. Press OK ENTER or the rotary knob to select the character for the input string.

  5. After completing the input string use the [image] key to move to the OK button.

  6. Press OK ENTER or the rotary knob to apply your selection and close the keyboard.

  1. Click the [image] symbol to open the on-screen keyboard.

  2. Click a sequence of characters and OK to apply your selection and close the keyboard.

Data Entry

The analyzer provides dialogs with various types of input fields where you can enter numeric values and character data. Data entry with a mouse and an external keyboard is a standard procedure known from other Windows applications. However, there are various alternative ways to enter data.

Using front panel keys

Using the analyzer's on-screen keyboard

Using a mouse and Windows XP's on-screen keyboard

Using Front Panel Keys

If no mouse and no external keyboard is connected to the analyzer, you can use the keys in the DATA ENTRY keypad to enter numbers, units, and characters.

To enter a numeric value

To enter a character string

Using the Analyzer's On-Screen Keyboard

The on-screen keyboard allows you to enter characters, in particular letters, without an external keyboard. It is available for all character input fields which have a [image] symbol.

Operation with front panel keys

Operation with a mouse

Using Windows XP's On-Screen Keyboard

Windows XP's on-screen keyboard allows you to enter characters, in particular letters, even if an input field cannot call up the analyzer's own on-screen keyboard. Examples of such fields are the input fields in the Index and Search tabs of the Help system. A mouse is required for using Windows XP's on-screen keyboard.

To call up the on-screen keyboard,

  1. Press the Windows key in the SUPPORT keypad to access Windows XP and open the start menu.

  2. Select the On-Screen Keyboard from the start menu or double click the OSK.exe icon on the desktop.

The System – External Tools submenu contains a shortcut to Windows XP's on-screen keyboard. Simply click Mouse Keyboard.lnk to open the keyboard.


Scaling Diagrams

  1. Create two normal markers, e.g. the markers M 1 and M 2, and place them to the desired start and stop values of the sweep range.

  2. Activate M 1 and click Trace –Marker Funct. – Start = Marker.

  3. Activate M 2 and click Trace –Marker Funct. – Stop = Marker.

  1. Create a marker and set it to delta mode.

The analyzer automatically creates a reference marker in addition to the delta marker.

  2. Place the reference marker to the desired start value of the sweep range.

  3. Set the value of the delta marker equal to the desired (positive or negative) span.

  4. Activate the delta marker and click Trace –Marker Funct. – Span = Marker.

Scaling Diagrams

The analyzer provides several alternative tools for setting the sweep range and customizing the diagrams. Choose the method that is most convenient for you.

Setting the Sweep range

Reference value and position

Autoscale

Circular diagrams

Marker functions

Enlarging the diagram area

Setting the Sweep Range

The sweep range for all channels is displayed in the channel list across the bottom of the diagram area:

To change the sweep range, use one of the following methods:

  • Press the START CENTER or STOP SPAN keys in the CHANNEL keypad.

  • Right-click the start or stop value in the channel list and select Start, Stop, Center, Span from the context menu.

  • Select Start, Stop, Center, Span from the Channel –Stimulus menu.

  • Use the marker functions (MARKER FUNCT key).

Reference Value and Position

The analyzer provides three parameters for changing the scale of the vertical (response) axis:

  • Changing the Reference Value or Reference Position shifts the trace in vertical direction and adjusts the labels of the vertical axis. Reference Value also works for radial diagrams.

  • Changing the Scale/Div. modifies the value of the vertical or radial diagram divisions and thus the entire range of response values displayed.

The Scale/Div. and the Reference Value are indicated in the scale section of the trace list.

To change one of the parameters use one of the following methods:

  • Press the SCALE key in the TRACE keypad.

  • Right-click the scale section in the trace list and select the parameters from the context menu.

  • Select the parameters from the Trace –Scale menu.

  • Use the marker functions (MARKER FUNCT key).

Autoscale

The Autoscale function adjusts the scale divisions and the reference value so that the entire trace fits into the diagram area. To access Autoscale, use one of the following methods:

  • Press the SCALE key in the TRACE keypad.

  • Right-click the scale section in the trace list and select Autoscale from the context menu.

  • Select Autoscale from the Trace –Scale menu.

Circular Diagrams

The radial scale of a circular (Polar, Smith or Inverted Smith) diagram can be changed with a single linear parameter, the Reference Value. The reference value defines the radius of the outer circumference.

  • Increasing the Reference Value scales down the polar diagram.

  • Decreasing the Reference Value magnifies the polar diagram.

The Reference Value is indicated in the scale section of the trace list.

To change the Reference Value use one of the following methods:

  • Press the SCALE key in the TRACE keypad.

  • Right-click the scale section in the trace list and select the parameter from the context menu.

  • Select the parameter from the Trace –Scale menu.

  • Use the marker functions.

The Autoscale function also works for polar diagrams.

Using Marker Functions

Marker functions are a convenient tool for scaling (in particular: magnifying) diagrams without entering explicit numeric values. You simply place a marker to a trace point and use the marker values to change the sweep range or move the trace relative to the vertical axis. A mouse makes it easier to activate (click) or move (drag and drop) markers.

To set the sweep range use one of the following methods:

  • Define Start and Stop values

  • Use a definite Span

To move the trace relative to the vertical axis proceed as follows:

  1. Create a normal marker, e.g. the marker M 1, and place it to a particular trace point. E.g. you can use the marker Search functions to locate a maximum or minimum on the trace.

  2. Click Trace –Marker Funct. – Max = Marker to move the trace towards the upper diagram edge, leaving the values of the vertical divisions (Scale Div.) and the overall vertical scale unchanged. Analogously, click Min = Marker to move the trace towards the lower diagram edge, or click Ref Value = Marker to move the trace towards the Reference Value.

Enlarging the Diagram Area

The analyzer provides different tools for customizing the contents and size of the diagram areas:

  • Maximize allows you to enlarge the active diagram area to occupy the whole window. A double-click on any point in the diagram area is equivalent to the Maximize function.

  • The Title, the Softkey Labels, the Status Bar and the Hardkey Bar are optional display elements which you can hide in order to gain space for the diagram.

  • Use the context menu of the diagram area, the keys in the DISPLAY keypad or the Display menu to access the scaling functions above.


About System Overview

System Overview

The following chapter provides an overview of the analyzer's capabilities and their use. This includes a description of the basic concepts that the analyzer uses to organize, process and display measurement data, of the screen contents, possible measured quantities, calibration methods and typical test setups.

Basic Concepts

Screen elements

Measured Quantities

Calibration

Optional extensions

For a systematic explanation of all menus, functions and parameters and background information refer to the reference description on the graphical user interface (GUI Reference).


Basic Concepts

The analyzer provides a variety of functions to perform a particular measurement and to customize and optimize the evaluation of results. To ensure that the instrument resources are easily accessible and that user-defined configurations can be conveniently implemented, stored and reused the instrument uses a hierarchy of structures:

  • Global resources can be used for all measurements, irrespective of the current measurement session or setup.

  • A setup comprises a set of diagram areas with all displayed information that can be stored to a setup file.

  • The diagram areas show traces which are assigned to channels. See section Traces, Channels and Diagram Areas.

Global Resources

The analyzer provides global settings that are mostly hardware-related and can be used for all measurements, irrespective of the current measurement session or setup. The settings are stored in independent files and do not enter into any of the setup files. The following settings correspond to global resources:

  • Calibration kits

  • Connector types

  • Cal pool data including system error correction and power correction data

  • Color schemes

The data related to global resources are not affected by a Preset of the analyzer. However, it is possible to delete or reset global resource data using the Resets tab in the System Configdialog.

Selecting a color scheme

Setups

A setup comprises a set of diagram areas with all displayed information that can be stored to a NWA setup file (*.zvx) and reused. Each setup is displayed in an independent window. The setup file contains the following information:

  • General settings related to the setup

  • The trace settings for all traces in the diagram areas

  • The channel settings for all channels associated to the traces

  • The display settings for each diagram area

The File menu is used to organize setups.

In the System –External Tools submenu, you can find demo setups *.vbs for various measurement scenarios. You can modify the demo setups and store them to a *.zvx file for later use. Moreover the S-Parameter Wizard provides predefined, optimized setups for many measurements.


Traces, Channels, and Diagram Areas

The analyzer arranges, displays or stores the measured data in traces which are assigned to channels and displayed in diagram areas. To understand the menu structure of the instrument and quickly find the appropriate settings, it is important to understand the exact meaning of the three terms.

  • A trace is a set of data points that can be displayed together in a diagram area. The trace settings specify the mathematical operations used in order to obtain traces from the measured or stored data and to display them.

  • A channel contains hardware-related settings to specify how the network analyzer collects data.

  • A diagram area is a rectangular portion of the screen used to display traces. Diagram areas belonging to the same setup are arranged in a common window.

A diagram area can contain a practically unlimited number of traces, assigned to different channels. Diagram areas and channels are completely independent from each other.

Trace Settings

The trace settings specify the mathematical operations used in order to obtain traces from the measured or stored data. They can be divided into several main groups:

  • Selection of the measured quantity (S-parameters, wave quantities, ratios, impedances,...)

  • Conversion into the appropriate display format and selection of the diagram type

  • Scaling of the diagram and selection of the traces associated to the same channel

  • Readout and search of particular values on the trace by means of markers

  • Limit check

The Trace menu provides all trace settings. They complement the definitions of the Channel menu. Each trace is assigned to a channel. The channel settings apply to all traces assigned to the channel.

If a trace is selected in order to apply the trace settings, it becomes the active trace. In manual control there is always exactly one active trace, irrespective of the number of channels and traces defined. The active channel contains the active trace. In remote control, each channel contains an active trace; see Active Traces in Remote Control.

Channel Settings

A channel contains hardware-related settings to specify how the network analyzer collects data. The channel settings can be divided into three main groups:

  • Control of the measurement process (Sweep, Trigger, Average)

  • Description of the test setup (Power of the internal source, IF filter Bandwidth and Step Attenuators, Port Configuration)

  • Correction data (Calibration, Offset)

The Channel menu provides all channel settings.

After changing the channel settings or selecting another measured quantity, the analyzer needs some time to initialize the new sweep. This preparation period increases with the number of points and the number of partial measurements involved. It is visualized by a Preparing Sweep symbol in the status bar:

All analyzer settings can still be changed during sweep initialization. If necessary, the analyzer terminates the current initialization and starts a new preparation period.
During the first sweep after a change of the channel settings, an additional red asterisk symbol appears in the status bar:


Data Flow

The analyzer processes the raw measurement data in a sequence of stages in order to obtain the displayed trace. The following diagram gives an overview.

The diagram consists of an upper and a lower part, corresponding to the data processing stages for the entire channel and for the individual traces. All stages in the diagram are configurable. Note that the channel data flow for S-parameters (and quantities derived from S-parameters such as impedances, admittances, stability factors etc.) differs from the channel data flow for wave quantities (and derived quantities such as ratios, PAE etc.).

Click on a stage in the diagram to obtain more information.

.


Navigation Tools of the Screen

  • The Control [image] menu provide standard Windows functions to control windows.

  • The File menu provides standard Windows functions to create, save, recall or print setups, to copy the current screen and to shut down the application.

  • The Trace menu provides all trace settings and the functions to create, select, modify and store different traces. In addition the menu provides the marker, search and limit check functions.

  • The Channel menu provides all channel settings and the functions to create, select, modify and store different channels.

  • The Display menu provides all display settings and the functions to create, select, modify and arrange different diagram areas.

  • The System menu provides functions to reverse operations, return to a defined instrument state, retrieve information on the instrument and access service functions. Besides, it configures the remote control operation, starts the Measurement Wizard and provides print options.

  • The Window menu provides standard Windows™ functions to arrange different windows on the screen.

  • The Info menu provides information and selftest options for service purposes and troubleshooting.

  • The Help menu provides assistance with the network analyzer and its operation.

The heading shows the two lowest level menu commands in the current branch of the menu tree. The lowest-level command appears on a shaded background.

...

...

Up to 8 softkeys, each corresponding to a command of the active menu. The function of the softkeys and their labels are strictly equivalent to the corresponding menu commands.

  • A large dot in the lower right corner indicates the current selection in a list of alternative settings.

  • Three dots indicate that the softkey calls up a dialog providing several related settings.

  • A right arrow [image] indicates a submenu with further related settings.

  • A softkey with no arrow or dots directly initiates an action.

Softkey no. 8 or softkeys no. 7 and no. 8 are reserved for navigation:

  • More 1/2 and More 2/2 toggle between two groups of softkeys which belong to the same menu. The softkeys are provided whenever the active menu contains more than 7 commands.

  • Menu Up activates the higher-level menu and is provided in all menus except the top-level one listing the main menus in the menu bar.

Navigation Tools of the Screen

The main window of the analyzer provides all control elements for the measurements and contains the diagram areas for the results. There are several alternative ways to access an instrument function:

  • Using the menus and submenus of the menu bar (provides all settings)

  • Using the softkeys of the softkey bar (alternative to the previous method)

  • Using the hardkey bar (preselection of the most important menus)

Click on an area to learn its function.

Menu Bar

All analyzer functions are arranged in drop-down menus. The menu bar is located across the top of the diagram area:

Menus can be controlled in different ways:

  • With a mouse, like the menus in any Windows application. A left mouse click expands a menu or submenu. If a menu command has no submenu assigned, a left mouse click opens a dialog or directly activates the menu command.

  • Using the front panel keys.

  • With a combination of the previous methods, using the hardkey bar (front panel key bar, activated via Display – Config./View).

The active menu is the menu containing the last executed command. If the softkey bar or hardkey bar is displayed (Display – Config./View –Softkey Labels on), then the active menu is indicated on top of the softkey/hardkey bar.

When you select a command in a new menu the softkey bar is updated to reflect the new active menu with all commands. You can continue operation using the softkeys.

Overview of menu functions

Menu Structure

All menus show an analogous structure. Click on the different elements of the following example to obtain information.

  • A menu command with a right arrow [image] expands a submenu with further related settings.

  • A menu command with three dots appended calls up a dialog providing several related settings.

  • A menu command with no arrow or dots directly initiates an action.

  • A dot preceding the menu command indicates the current selection in a list of alternative settings.

Softkey Bar

The softkey bar displays the commands of the active menu so that they can be activated by hitting the associated keys on the front panel. It consists of three elements:

  • Heading

  • Function softkeys

  • Navigation softkey (optional)

The softkey bar is automatically updated when the active menu is changed.

You can hide the softkey bar and gain screen space for the diagram areas if you use a mouse to control the analyzer (see Softkey Bar). All settings are accessible from the menus listed in the menu bar across the top of the screen. Moreover, you don't have to display the softkey bar permanently in order to make use of its functionality. Hitting any of the keys associated to the softkey bar will make it visible for a period of time sufficient to select the next instrument function.

Hardkey Bar

The hardkey bar (front panel key bar) represents the most commonly used front panel keys of the analyzer. Clicking a key symbol executes the action of the corresponding key.

The hardkey bar corresponds to the TRACE, CHANNEL, DISPLAY and SYSTEM keypads:

The hardkey bar provides access to the basic groups of settings with a single mouse click. It is particularly useful if the analyzer is controlled from an external monitor or Remote Desktop. Alternatively the settings are accessible from the menus of the menu bar or from the softkey bar.

The hardkey bar is hidden by default to gain screen space for the diagram areas (see Hardkey Bar).

Status Bar

The status bar shows the statistics for the sweep average (if sweep average is on), the progress of the sweep, the LXI status, and the control mode of the analyzer (LOCAL or REMOTE). A green LXI status symbol indicates that a LAN connection has been established; a red symbol indicates that no LAN cable is connected.

During sweep initialization, the progress bar for the sweep is replaced by a [image] symbol. During the first sweep after a change of the channel settings, an additional red asterisk symbol appears:

You can hide the status bar and gain screen space for the diagram areas (see Status Bar).


Display Elements

A diagram area is a rectangular portion of the screen used to display traces. Diagram areas are arranged in windows; they are independent of trace and channel settings. A diagram area can contain a practically unlimited number of traces, assigned to different channels (overlay mode).

Diagram areas are controlled and configured by means of the functions in the Displaymenu and the following additional settings:

  • The settings in the Windowmenu arrange several windows containing one or more diagram areas within the entire screen. Each window corresponds to a setup. Only one setup can be active at a time, and only the traces of the active setup are updated by the current measurements.

  • Various settings to assign traces to diagram areas are provided in the Trace – Tracessubmenu.

(for all traces): The Reference Valueis indicated with a triangle [image] at the right edge of the diagram and a dashed, horizontal line. The value and position of the triangle can be changed in order to modify the diagram scale and shift the trace vertically.

(for the active trace): The measured quantity is indicated in the left upper corner of the diagram.

A right mouse click on any point of the diagram area (except the marker info field and the measured quantity info) opens a context menu:

The settings correspond to the most common commands in the Display –Area Selectand Display –Config Viewmenus.

show the current measurement data and are continuously updated as the measurement goes on. Data traces are dynamic traces.

are generated by storing the data trace to the memory. They represent the state of the data trace at the moment when it was stored. Memory traces are static traces which can be stored to a file and recalled.

are calculated according to a mathematical relation between constants and the data or memory traces of the active setup. A mathematical trace that is based on the active data trace is dynamic.

indicates the current trace name. The default names for new traces are Trc<n> where <n> is a current number. A Mem... preceding the trace name indicates a memory trace.
Right-click the section and call the Trace Managerfrom the context menu to change the trace name.

indicates the measured quantity, e.g. an S-parameter or a ratio. The measured quantity of the active trace is also displayed in the diagram area below the trace list.

If an AVG, RMS, or Peak (Pk) detector is active, the detector setting appears behind the measured quantity. The AVG detector is available for S-parameters, ratios, and wave quantities. The other detectors are available for ratios and wave quantities. See section Detector.

shows how the measured data is presented in the graphical display (trace format).

shows the value of the vertical or radial diagram divisions (Scale Div.) and the Reference Value.

shows the channel that each trace is assigned to. The channel section is omitted if the all traces in the diagram area are assigned to the same channel.

shows Invisible if a trace is hidden and Math if the trace is a mathematical trace. GAT indicates that a time gate is active for the trace.
Right-click the trace name and click Show Dataor Show Memfrom the context menu to display and hide data and memory traces. Use the Trace Funct(ions)to define mathematical traces.

A right mouse click on the trace name, the measured quantity, and the format and scale section of the trace list opens the following context menus, respectively:

The settings correspond to the most common commands in the Trace –Trace Select, Trace –Trace Funct, Trace –Meas, Trace –Formatand Trace –Scalemenus.

To change the position, appearance or contents of the marker info field use one of the following methods:

  • Double-click the info field to open the Mkr Properties dialog with extended settings for all markers of the active trace. Select the options in the Show Info panel to customize the information in the info field (Active Trace Only, Stimulus Info Off).

  • Right-click the info field to open a context menu providing frequently used marker settings.

  • To change the position of the marker info field, select Movable Marker Info from the context menu. Drag-and-drop the info field to any position in the active diagram area.

  • To change the format of the active marker, select Mkr Format.

  • To express the coordinates of the active marker relative to the reference marker, activate the Delta Mode.

In addition to the marker info field, the analyzer provides an info table with extended marker information.

The table is hidden by default. To display the table double-click the marker info field to open the Marker Properties dialog.

A right mouse click on the marker info field opens a context menu:

Movable Marker Info allows the marker info field to be placed to any position in the diagram area. The remaining settings correspond to the most common commands in the Trace –Markerand Trace –Searchmenus.

indicates the current channel name. The default names for new channels are Ch<n> where <n> is a current number.
Right-click the section and call the Channel Managerfrom the context menu to change the channel name.

indicates a special test mode of the channel, e.g. the measurement of a 2nd harmonic (H2), a 3rd harmonic (H3), or the mixer mode (Mix).

indicates the lowest value of the sweep variable (e.g. the lowest frequency measured), corresponding to the left edge of the Cartesian diagram.

shows the display color of all traces assigned to the channel. The colors are different, so the number of colors is equal to the numbers of traces assigned to the channel.

shows either the power of the internal signal source (for frequency sweeps and time sweeps), including the power stimulus axis defined in the Channel –Mode –Port Configuration – Stimulus dialog, or the CW frequency (for power sweeps).

indicates the highest value of the sweep variable (e.g. the highest frequency measured), corresponding to the right edge of the Cartesian diagram.

A right mouse click on the channel name, the sweep range, and the additional parameter section of the channel list opens the following context menus, respectively:

The settings correspond to the most common commands in the Channel –Channel Select, Channel –Stimulusand Channel –Power Bandwidth Averagemenus.

Display Elements in the Diagram Area

The central part of the screen is occupied by one or several diagram areas.

Diagram Areas

Diagram areas may contain:

  • Measurement results, in particular the traces and marker values

  • An indication of the basic channel and trace settings

  • Context menus providing settings related to the current screen

The examples in this section have been taken from Cartesian diagrams. All other diagram types provide the same display elements.

Click on an area to learn its function.

Scaling diagrams

Title

Across the top of the diagram area, an optional title describes the contents of the area. Different areas within a setup are distinguished by area numbers in the upper right corner.

Use the context menu or the functions in the Display menu to display, hide or change the title and to add and customize diagram areas.

Traces

A trace is a set of data points displayed together in the diagram area. The individual data points are connected so that each trace forms a continuous line.

The trace can be complemented by the following display elements, plotted with the same color:

  • Reference value

  • Measured quantity

A trace can be either a data trace, a memory trace, or a mathematical trace; see Trace Types.

Context menu of the diagram area

Operations on traces

Trace Types

The analyzer uses traces to display the current measurement result in a diagram area but is also capable of storing traces to the memory, recalling stored traces, and defining mathematical relations between different traces. There are three basic trace types:

  • Data traces

  • Memory traces

  • Mathematical traces

It is possible to generate an unlimited number of memory traces from a data trace and display them together, see Data -> Mem. Markers and marker functions are available for all trace types.

The trace type of each trace in a diagram area is indicated in the trace list. You can also make each trace Invisible without deleting it.

Trace List and Trace Settings

The main properties of all traces assigned to the diagram area are displayed in the trace list in the upper left corner.

Each line in the trace list describes a single trace. The active trace is highlighted. The lines are divided into several sections with the following contents (from left to right):

  • Trace name

  • Measured quantity

  • Detector

  • Format

  • Scale

  • Channel

  • Type

Right-click any of the sections in the trace list (except Type) to open a context menu and access the most common tasks related to the section.

Context menus of the trace list

A red label Cal Off ! appears behind the trace list if the system error correction no longer applies to one or more traces; see Calibration Overview.

Markers

Markers are tools for selecting points on the trace and for numerical readout of measured data. The analyzer provides three different basic marker types.

  • A (normal) marker(Mkr 1, Mkr 2, ...) determines the coordinates of a measurement point on the trace. Up to 10 different normal markers can be assigned to a trace.

  • A reference marker(Ref) defines the reference value for all delta markers.

  • A delta marker(Δ) indicates the coordinates relative to the reference marker.

  • The stimulus value of a discrete marker always coincides with a sweep point so that the marker does not show interpolated measurement values.

The markers 1 to 4 are also used for bandfilter search mode. The examples below show a bandpass search and a bandstop search, respectively.

  • Mkr 1 indicates the maximum (minimum) of the peak.

  • Mkr 2 and Mkr 3 indicate the lower and upper band edge where the trace value has decreased (increased) by a definite Level value.

  • Mkr 4 indicates the center of the peak, calculated as the arithmetic mean value of the LBE and UBE positions.

Marker Info Field

The coordinates of all markers defined in a diagram area are displayed in the info field, which by default is located in the upper right corner.

The list contains the following information:

  • Mkr 1, Mkr 2, ... denote the marker numbers. Markers are displayed with the same color as the associated trace.

  • The marker coordinates are expressed in one of the marker formats selected via Marker Format. The formats of the markers assigned to a trace are independent of each other and of the trace format settings.

  • The active marker has a dot placed in front of the marker line.

  • A Δ sign placed in front of the marker line indicates that the marker is in Delta Mode.

C ustomizing the marker info field

For more information: Show Info Table

Context menu of the marker info field

Channel Settings

The main properties of all channels assigned to the traces in the diagram area are displayed in the channel list below the diagram.

Each line in the channel list describes a single channel. The channel of the active trace is highlighted. The lines are divided into several sections with the following contents (from left to right):

  • Channel name

  • Measurement mode identifier (optional)

  • Start value of the sweep

  • Color legend

  • Additional stimulus parameter

  • Stop value of the sweep

Right-click any of the sections in the trace list (except Color legend) to open a context menu and access the most common tasks related to the section.

Context menus of the channel list

Context Menus

To provide access to the most common tasks and speed up the operation, the analyzer offers context menus (right-click menus) for the following display elements:

  • Diagram area

  • Marker info field

  • Trace list (separate context menus for trace name section, measured quantity section, format section, scale section, and channel section)

  • Channel list (separate context menus for channel name section, sweep range section, additional parameter section)

Working with context menus requires a mouse. Click inside the display element that you want to work with using the right mouse button.

Except from some particular screen configurations, anything you can do from a context menu you can also do from the menu bar or using front panel keys and softkeys. Use whatever method is most convenient for you.


Dialogs

Dialogs provide groups of related settings and allow to make selections and enter data in an organized way. All softkeys with three dots behind their labeling (as in Marker Properties...) call up a dialog. The dialogs of the analyzer have an analogous structure and a number of common control elements.

The Dialog Transparency function in the System Configmenu varies the transparency of all dialogs. With an appropriate setting, you can control the dialogs and at the same time view the underlying traces and display elements.

We assume that you are familiar with standard Windows dialogs and mouse operation. Refer to Using Front Panel Keys to learn how to control dialogs without a mouse and keyboard.

Click on an area to learn its function.

Immediate vs. Confirmed Settings

In some dialogs, the settings take effect immediately so that the effect on the measurement is observable while the dialog is still open. This is especially convenient when a numeric value is incremented or decremented, e.g. via the rotary knob.

In most dialogs, however, it is possible to cancel an erroneous input before it takes effect. The settings in such dialogs must be confirmed explicitly.

The two types of dialogs are easy to distinguish:

  • Dialogs with immediate settings provide a Close button but no OK button. Example: Step Size dialog.

  • Dialogs with confirmed settings provide both an OK button and a Cancel button. Example: On-screen keyboard.

You can also cancel an immediate setting using System –Undo!.

On-Screen Keyboard

A keyboard [image] symbol next to a character input field opens the analyzer's on-screen keyboard.

The on-screen keyboard contains two sets of characters plus the following additional controls:

  • Shift changes between the two character sets containing lower case letters/numbers and upper case letters/special characters, respectively.

  • <= BS deletes the current string in the alphanumeric input field.

  • OK applies the current selection and closes the keyboard. The current string is written into the input field of the calling dialog. See also Immediate vs. Confirmed Settings.

  • Cancel discards the current selection and closes the keyboard. The input field of the calling dialog is left unchanged.

The on-screen keyboard allows you to enter characters, in particular letters, without an external keyboard; see Data Entry. To enter numbers and units, you can also use the DATA ENTRY keys on the front panel of the instrument.

Step Size

A step [image] symbol next to a numeric input field opens the Step Size dialog to define an increment for data variation using the Cursor Up/Down [image] buttons in the dialogs or the rotary knob.

  • The input value for the step size takes effect immediately; see Immediate vs. Confirmed Settings.

  • Auto activates the default step size for the current input parameter.

  • Close closes the Step Size dialog.

Paste Marker List

A pull-down list symbol next to a numeric input field opens a list of all current stimulus and response marker values of the active trace. Any of the marker values can be selected as a numeric entry. If the physical unit of the selected marker value is inconsistent (mismatch of stimulus and response values) then the numeric value is used without the unit.

The response values in the paste marker list are not updated as the analyzer continues measuring, so they may differ from the values in the marker info field.

To open the paste marker list you can also click on the input field and use the space bar of your keyboard or the checkmark key in the NAVIGATION keypad at the front panel of the analyzer.

Numeric Entry Bar

Single numeric values can be entered using the input field of the numeric entry bar. The numeric entry bar appears just below the menu bar as soon as a function implying a single numeric entry is activated. In contrast to dialogs, it does not hide any of the display elements in the diagram area.

The numeric entry bar contains the name of the calling function, a numeric input field including the Cursor Up/Down [image] buttons for data variation and a step symbol [image], and a Close button. Besides it is closed automatically as soon as an active display element in the diagram area is clicked or a new menu command is activated.


Display Formats and Diagram Types

If the measured quantity is a complex reflection coefficient (S11, S22 etc.), then the center of the polar diagram corresponds to a perfect load Z0 at the input test port of the DUT (no reflection, matched input), whereas the outer circumference (|Sii| = 1) represents a totally reflected signal.

Examples for definite magnitudes and phase angles:

  • The magnitude of the reflection coefficient of an open circuit (Z = infinity, I = 0) is one, its phase is zero.

  • The magnitude of the reflection coefficient of a short circuit (Z = 0, U = 0) is one, its phase is –180 deg.

In a Smith chart, the impedance plane is reshaped so that the area with positive resistance is mapped into a unit circle.

The basic properties of the Smith chart follow from this construction:

  • The central horizontal axis corresponds to zero reactance (real impedance). The center of the diagram represents Z/Z0 = 1 which is the reference impedance of the system (zero reflection). At the left and right intersection points between the horizontal axis and the outer circle, the impedance is zero (short) and infinity (open).

  • The outer circle corresponds to zero resistance (purely imaginary impedance). Points outside the outer circle indicate an active component.

  • The upper and lower half of the diagram correspond to positive (inductive) and negative (capacitive) reactive components of the impedance, respectively.

If the measured quantity is a complex reflection coefficient Γ (e.g. S11, S22), then the unit Smith chart can be used to read the normalized impedance of the DUT. The coordinates in the normalized impedance plane and in the reflection coefficient plane are related as follows (see also: definition of matched-circuit (converted) impedances):

Z / Z0 = (1 + Γ) / (1 – Γ)

From this equation it is easy to relate the real and imaginary components of the complex resistance to the real and imaginary parts of G:

in order to deduce the following properties of the graphical representation in a Smith chart:

  • Real reflection coefficients are mapped to real impedances (resistances).

  • The center of the Γ plane (Γ = 0) is mapped to the reference impedance Z0, whereas the circle with |Γ| = 1 is mapped to the imaginary axis of the Z plane.

  • The circles for the points of equal resistance are centered on the real axis and intersect at Z = infinity. The arcs for the points of equal reactance also belong to circles intersecting at Z = infinity (open circuit point (1,0)), centered on a straight vertical line.

Examples for special points in the Smith chart:

  • The magnitude of the reflection coefficient of an open circuit (Z = infinity, I = 0) is one, its phase is zero.

  • The magnitude of the reflection coefficient of a short circuit (Z = 0, U = 0) is one, its phase is –180 deg.

The inverted Smith chart is point-symmetric to the Smith chart:

The basic properties of the inverted Smith chart follow from this construction:

  • The central horizontal axis corresponds to zero susceptance (real admittance). The center of the diagram represents Y/Y0 = 1, where Y0 is the reference admittance of the system (zero reflection). At the left and right intersection points between the horizontal axis and the outer circle, the admittance is infinity (short) and zero (open).

  • The outer circle corresponds to zero conductance (purely imaginary admittance). Points outside the outer circle indicate an active component.

  • The upper and lower half of the diagram correspond to negative (inductive) and positive (capacitive) susceptive components of the admittance, respectively.

If the measured quantity is a complex reflection coefficient Γ (e.g. S11, S22), then the unit inverted Smith chart can be used to read the normalized admittance of the DUT. The coordinates in the normalized admittance plane and in the reflection coefficient plane are related as follows (see also: definition of matched-circuit (converted) admittances):

Y / Y0 = (1 - Γ) / (1 + Γ)

From this equation it is easy to relate the real and imaginary components of the complex admittance to the real and imaginary parts of Γ

in order to deduce the following properties of the graphical representation in an inverted Smith chart:

  • Real reflection coefficients are mapped to real admittances (conductances).

  • The center of the Γ plane (Γ = 0) is mapped to the reference admittance Y0, whereas the circle with |Γ| = 1 is mapped to the imaginary axis of the Y plane.

  • The circles for the points of equal conductance are centered on the real axis and intersect at Y = infinity. The arcs for the points of equal susceptance also belong to circles intersecting at Y = infinity (short circuit point (–1,0)), centered on a straight vertical line.

Examples for special points in the inverted Smith chart:

  • The magnitude of the reflection coefficient of a short circuit (Y = infinity, U = 0) is one, its phase is –1800.

  • The magnitude of the reflection coefficient of an open circuit (Y = 0, I = 0) is one, its phase is zero.

Display Formats and Diagram Types

A display format defines how the set of (complex) measurement points is converted and displayed in a diagram. The display formats in the Trace – Format menu use the following basic diagram types:

  • Cartesian (rectangular) diagrams are used for all display formats involving a conversion of the measurement data into a real (scalar) quantity, i.e. for dB Mag, Phase, Delay, SWR, Lin Mag, Real, Imag and Unwrapped Phase.

  • Polar diagrams are used for the display format Polar and show a complex quantity as a vector in a single trace.

  • Smith charts are used for the display format Smith. They show a complex quantity like polar diagrams but with grid lines of constant real and imaginary part of the impedance.

  • Inverted Smith charts are used for the display format Inverted Smith. They show a complex quantity like polar diagrams but with grid lines of constant real and imaginary part of the admittance.

The analyzer allows arbitrary combinations of display formats and measured quantities (Trace – Measure). Nevertheless, in order to extract useful information from the data, it is important to select a display format which is appropriate to the analysis of a particular measured quantity; see Measured Quantities and Display Formats.

Cartesian Diagrams

Cartesian diagrams are rectangular diagrams used to display a scalar quantity as a function of the stimulus variable (frequency / power / time).

  • The stimulus variable appears on the horizontal axis (x-axis), scaled linearly (sweep types Lin Frequency, Power, Time, CW Mode) or logarithmically (sweep type Log Frequency).

  • The measured data (response values) appears on the vertical axis (y-axis). The scale of the y-axis is linear with equidistant grid lines although the y-axis values may be obtained from the measured data by non-linear conversions.

The following examples show the same trace in Cartesian diagrams with linear and logarithmic x-axis scaling.

Scaling diagrams

Conversion of Complex into Real Quantities

The results in the Trace – Measure menu can be divided into two groups:

  • S-Parameters, Ratios, Wave Quantities, Impedances, Admittances, Z-Parameters, and Y-Parameters are complex.

  • Stability Factors and DC Input values (voltages, PAE) are real.

The following table shows how the response values in the different Cartesian diagrams are calculated from the complex measurement values z = x + jy (where x, y, z are functions of the sweep variable). The formulas also hold for real results, which are treated as complex values with zero imaginary part (y = 0).

Trace Format | Description | Formula
dB Mag | Magnitude of z in dB | |z| = sqrt ( x2 + y2 ) dB Mag(z) = 20 * log|z| dB
Lin Mag | Magnitude of z, unconverted | |z| = sqrt ( x2 + y2 )
Phase | Phase of z | φ (z) = arctan (y/x)
Real | Real part of z | Re(z) = x
Imag | Imaginary part of z | Im(z) = y
SWR | (Voltage) Standing Wave Ratio | SWR = (1 + |z|) / (1 – |z|)
Delay | Group delay, neg. derivative of the phase response | – d φ (z) / dΩ (Ω = 2p * f)

An extended range of formats and conversion formulas is available for markers. To convert any point on a trace, create a marker and select the appropriate marker format. Marker and trace formats can be selected independently.

Polar Diagrams

Polar diagrams show the measured data (response values) in the complex plane with a horizontal real axis and a vertical imaginary axis. The grid lines correspond to points of equal magnitude and phase.

  • The magnitude of the response values corresponds to their distance from the center. Values with the same magnitude are located on circles.

  • The phase of the response values is given by the angle from the positive horizontal axis. Values with the same phase are on straight lines originating at the center.

The following example shows a polar diagram with a marker used to display a pair of stimulus and response values.

Example: Reflection coefficients in polar diagrams

Scaling circular diagrams

Reflection measurements

Smith Chart

The Smith chart is a circular diagram that maps the complex reflection coefficients Sii to normalized impedance values. In contrast to the polar diagram, the scaling of the diagram is not linear. The grid lines correspond to points of constant resistance and reactance.

  • Points with the same resistance are located on circles.

  • Points with the same reactance produce arcs.

The following example shows a Smith chart with a marker used to display the stimulus value, the complex impedance Z = R + j X and the equivalent inductance L (see marker format).

A comparison of the Smith chart, the inverted Smith chart and the polar diagram reveals many similarities between the two representations. In fact the shape of a trace does not change at all if the display format is switched from Polar to Smith or Inverted Smith – the analyzer simply replaces the underlying grid and the default marker format.

Smith chart construction

Example: Reflection coefficients in the Smith chart

Scaling circular diagrams

Reflection measurements

Inverted Smith Chart

The inverted Smith chart is a circular diagram that maps the complex reflection coefficients Sii to normalized admittance values. In contrast to the polar diagram, the scaling of the diagram is not linear. The grid lines correspond to points of constant conductance and susceptance.

  • Points with the same conductance are located on circles.

  • Points with the same susceptance produce arcs.

The following example shows an inverted Smith chart with a marker used to display the stimulus value, the complex admittance Y = G + j B and the equivalent inductance L (see marker format).

A comparison of the inverted Smith chart with the Smith chart and the polar diagram reveals many similarities between the different representations. In fact the shape of a trace does not change at all if the display format is switched from Polar to Inverted Smith or Smith – the analyzer simply replaces the underlying grid and the default marker format.

Inverted Smith chart construction

Example: Reflection coefficients in the inverted Smith chart

Scaling circular diagrams

Reflection measurements

Measured Quantities and Display Formats

The analyzer allows any combination of a display format and a measured quantity. The following rules can help to avoid inappropriate formats and find the format that is ideally suited to the measurement task.

  • All formats are suitable for the analysis of reflection coefficients Sii. The formats SWR, Smith and Inverted Smith lose their original meaning (standing wave ratio, normalized impedance or admittance) if they are used for transmission S-parameters, Ratios and other quantities.

  • The complex Impedances, Admittances, Z-parameters, and Y-parameters are generally displayed in one of the Cartesian diagrams with linear vertical axis scale or in a polar diagram.

  • The real Stability Factors, DC Inputs, and the PAE is generally displayed in a linear Cartesian diagram (Lin Mag or Real). In complex formats, real numbers represent complex numbers with zero imaginary part.

The following table gives an overview of recommended display formats.

 | Complex dimensionless quantities: S-parameters and ratios | Complex quantities with dimensions: Wave quantities, Z-parameters, Y-parameters, impedances, admittances | Real quantities: Stability Factors, DC Input 1/2, PAE
Lin Mag |  | (default for Z-parameters, Y-parameters, impedances, admittances) | (default)
dB Mag | (default) | (default for wave quantities) | –
Phase |  |  | –
Real |  |  |
Imag |  |  | –
Unwrapped Phase |  |  | –
Smith | (reflection coefficients Sii) | – | –
Polar |  | – | –
Inverted Smith | (reflection coefficients Sii) | – | –
SWR | (reflection coefficients Sii) | – | –
Delay | (transmission coefficients Sij) | – | –

The default formats are activated automatically when the measured quantity is changed.


S-Parameters

The figure above is sufficient for the definition of S-parameters but does not necessarily show the complete signal flow. In fact, if the source and load ports are not ideally matched, part of the transmitted waves are reflected off the receiver ports so that an additional a2 contribution occurs in forward measurements, an a1 contribution occurs in reverse measurements.

The 7-term calibration types Txx take these additional contributions into account.

The four 2-port S-parameters can be interpreted as follows:

  • S11 is the input reflection coefficient, defined as the ratio of the wave quantities b1/a1, measured at PORT 1 (forward measurement with matched output and a2 = 0).

  • S21 is the forward transmission coefficient, defined as the ratio of the wave quantities b2/a1 (forward measurement with matched output and a2 = 0).

  • S12 is the reverse transmission coefficient, defined as the ratio of the wave quantities b1 (reverse measurement with matched input, b1,rev in the figure above and a1 = 0) to a2.

  • S22 is the output reflection coefficient, defined as the ratio of the wave quantities b2 (reverse measurement with matched input, b2,rev in the figure above and a1 = 0) to a2, measured at PORT 2.

The squared amplitudes of the incident and outgoing waves and of the matrix elements have a simple meaning:

|a1|2 | Available incident power at the input of a two-port (= the power provided by a generator with a source impedance equal to the reference impedance Z0)
|a2|2 | Available incident power at the output
|b1|2 | Reflected power at the input of a two-port
|b2|2 | Reflected power at the output
10*log|S11|2 (= 20*log|S11|) | Reflection loss at the input
10*log|S22|2 | Reflection loss at the output
10*log|S21|2 | Insertion loss at the input
10*log|S12|2 | Insertion loss at the output

Measured Quantities

This section gives an overview of the measurement results of the network analyzer and the meaning of the different measured quantities. All quantities can be selected in the Trace submenu.

The definitions in this and the following sections apply to general n-port DUTs. An analyzer with a smaller number of test ports provides a subset of the n-port quantities.

S-Parameters

S-parameters are the basic measured quantities of a network analyzer. They describe how the DUT modifies a signal that is transmitted or reflected in forward or reverse direction. For a 2-port measurement the signal flow is as follows.

Extensions to the signal flow

The scattering matrix links the incident waves a1, a2 to the outgoing waves b1, b2 according to the following linear equation:

The equation shows that the S-parameters are expressed as S<out>< in>, where <out> and <in> denote the output and input port numbers of the DUT.

Meaning of 2-port S-parameters

Meaning of squared amplitudes

Multiport Parameters

The multiport S-parameters extend the standard 2-port S-parameters to a larger number of incoming and outgoing waves. For a 4-port DUT,

,

where again ai (i = 1 to 4) denote the incident, bi (i = 1 to 4) denote the outgoing waves, and the S-parameters are expressed as S<out>< in>.

The indices of the S-parameters described so far number the output and input ports of a DUT; the parameters are referred to as single-ended S-parameters. The S-parameter description can also be used to differentiate between different propagation modes of the waves at the output and input ports. This results in the so-called mixed mode S-parameters. The analyzer measures either single-ended or mixed mode S-parameters.


Impedance Parameters

The converted impedances Zii are calculated from the reflection S-parameters Sii according to:

The transmission parameters are calculated according to:

The converted admittances are defined as the inverse of the impedances.

The four 2-port open-circuit Z-parameters can be interpreted as follows:

  • Z11 is the input impedance, defined as the ratio of the voltage V1 to the current I1, measured at port 1 (forward measurement with open output, I2 = 0).

  • Z21 is the forward transfer impedance, defined as the ratio of the voltage V2 to the current I1 (forward measurement with open output, I2 = 0).

  • Z12 is the reverse transfer impedance, defined as the ratio of the voltage V1 to the current I2 (reverse measurement with open input, I1 = 0).

  • Z22 is the output impedance, defined as the ratio of the voltage V2 to the current I2, measured at port 2 (reverse measurement with open input, I1 = 0).

Impedance Parameters

An impedance is the complex ratio between a voltage and a current. The analyzer provides two independent sets of impedance parameters:

  • Converted impedances (each impedance parameter is obtained from a single S-parameter)

  • Z-parameters (complete description of the n-port DUT)

Converted Impedances

The converted impedance parameters describe the input impedances of a DUT with fully matched outputs. In the figures below the indices i and j number the analyzer/DUT ports, Z0i is the reference impedance at the DUT port i.

The analyzer converts a single measured S-parameter to determine the corresponding converted impedance. As a result, converted Z-parameters cannot completely describe general n-port DUTs:

  • A reflection parameter Zii completely describes a one-port DUT. For n-port DUTs (n>1) the reflection parameters Zii describe the input impedances at ports i (i = 1 to n) under the condition that each of the other ports is terminated with its reference impedance (matched-circuit parameters).

  • A two-port transmission parameter Zij (i ≠ j) can describe a pure serial impedance between the two ports.

Relation with S-parameters

Examples:

  • Z11 is the input impedance of a 2-port DUT that is terminated at its output with the reference impedance Z0 (matched-circuit impedance measured in a forward reflection measurement).

  • The extension of the impedances to more ports and mixed mode measurements is analogous to S-parameters. Zdd44 is the differential mode input impedance at port 4 of a DUT that is terminated at its other ports with the reference impedance Z0. See More Impedances for detailed information.

You can also read the converted impedances in a reflection coefficient measurement from the Smith chart.

Z-Parameters

The Z-parameters describe the impedances of a DUT with open output ports (I = 0). The analyzer provides the full set of Z-parameters including the transfer impedances (i.e. the complete nxn Z-matrix for an n port DUT).

This means that Z-parameters can be used as an alternative to S-parameters (or Y-parameters) in order to completely characterize a linear n-port network.

2-Port Z-Parameters

In analogy to S-parameters, Z-parameters are expressed as Z<out>< in>, where <out> and <in> denote the output and input port numbers of the DUT.

The Z-parameters for a two-port are based on a circuit model that can be expressed with two linear equations:

Meaning of Z-parameters

Z-parameters can be easily extended to describe circuits with more than two ports or several modes of propagation; see section More Z-Parameters.


The converted admittances Yii are calculated from the reflection S-parameters Sii according to:

The transmission parameters are calculated according to:

The four 2-port Y-parameters can be interpreted as follows:

  • Y11 is the input admittance, defined as the ratio of the current I1 to the voltage V1, measured at port 1 (forward measurement with output terminated in a short circuit, V2 = 0).

  • Y21 is the forward transfer admittance, defined as the ratio of the current I2 to the voltage V1 (forward measurement with output terminated in a short circuit, V2 = 0).

  • Y12 is the reverse transfer admittance, defined as the ratio of the current I1 to the voltage V2 (reverse measurement with input terminated in a short circuit, V1 = 0).

  • Y22 is the output admittance, defined as the ratio of the current I2 to the voltage V2, measured at port 2 (reverse measurement with input terminated in a short circuit, V1 = 0).

Admittance Parameters

An admittance is the complex ratio between a current and a voltage. The analyzer provides two independent sets of admittance parameters:

  • Converted admittances (each admittance parameter is obtained from a single S-parameter)

  • Y-parameters (complete description of the n-port DUT)

Converted Admittances

The converted admittance parameters describe the input admittances of a DUT with fully matched outputs.The converted admittances are the inverse of the converted impedances.

The analyzer converts a single measured S-parameter to determine the corresponding converted admittance. As a result, converted Y-parameters cannot completely describe general n-port DUTs:

  • A reflection parameter Yii completely describes a one-port DUT. For n-port DUTs (n>1) the reflection parameters Yii describe the input admittances at ports i (i = 1 to n) under the condition that each of the other ports is terminated with its reference impedance (matched-circuit parameters).

  • A two-port transmission parameter Yij (i ≠ j) can describe a pure serial impedance between the two ports.

Relation with S-parameters

Examples:

  • Y11 is the input admittance of a 2-port DUT that is terminated at its output with the reference impedance Z0 (matched-circuit admittance measured in a forward reflection measurement).

  • The extension of the admittances to more ports and mixed mode measurements is analogous to S-parameters. Ydd44 is the differential mode input admittance at port 4 of a DUT that is terminated at its other ports with the reference impedance Z0. See More Admittances for detailed information.

You can also read the converted admittances in a reflection coefficient measurement from the inverted Smith chart.

Y-Parameters

The Y-parameters describe the admittances of a DUT with output ports terminated in a short circuit (V = 0). The analyzer provides the full set of Y-parameters including the transfer admittances (i.e. the complete n x n Y-matrix for an n port DUT).

This means that Y-parameters can be used as an alternative to S-parameters (or Z-parameters) in order to completely characterize a linear n-port network.

2-Port Y-Parameters

In analogy to S-parameters, Y-parameters are expressed as Y<out>< in>, where <out> and <in> denote the output and input port numbers of the DUT.

In analogy to Z-parameters, the Y-parameters for a two-port are based on a circuit model that can be expressed with two linear equations:

Meaning of Y-parameters

Y-parameters can be easily extended to describe circuits with more than two ports or several modes of propagation; see section More Y-Parameters.


Wave Quantities and Ratios

The wave quantities provide the power at the different receive ports of the analyzer. This is different from an S-parameter measurement, where the absolute power of a linear device is cancelled. Wave quantities are therefore suitable for the following measurement tasks:

  • Analysis of non-linearities of the DUT.

  • Use of the analyzer as a selective power meter.

To increase the accuracy or correct a possible attenuation in the input signal path, it is recommended to perform a power calibration.

A measurement of ratios is particularly suitable for the following test scenarios:

  • The test setup or some of its components (e.g. active components or non-reciprocal devices) do not allow a system error correction so that a complete S-parameter measurement is not possible.

  • The test setup contains frequency-converting components so that the transmitted and the received waves are at different frequencies.

  • A ratio of two arbitrary waves that is not an element of the S-matrix (e.g. a ratio of the form ai/aj) is needed.

Wave Quantities and Ratios

The elements of the S-, Z- and Y-matrices represent fixed ratios of complex wave amplitudes. As long as the assumption of linearity holds, the S-, Z- and Y-parameters are independent of the source power.

The network analyzer provides two additional sets of measurement parameters which have a unambiguous meaning even if the DUT is measured outside its linear range:

  • Wave Quantities provide the power of any of the transmitted or received waves.

  • Ratios provide the complex ratio of any combination of transmitted or received wave quantities.

In contrast to S-, Z- and Y-parameters, wave quantities and ratios are not system-error corrected. A power calibration can be applied to wave quantities and ratios; see Data Flow.

With option R&S ZVA-K6, True Differential Mode, the analyzer can also determine balanced wave quantities and ratios.

Wave Quantities

A wave quantity measurement provides the power of any of the transmitted or received waves. The power can be displayed in voltage units (e.g. V or dBmV) or equivalent power units (e.g. W or dBm).

Examples for using wave quantities

The notation for wave quantities includes the direction and the test port number. Additionally, the source port must be specified. The letter a indicates a transmitted wave, b a received wave.

Examples:

  • a1 Src Port 1 is the outgoing wave at test port 1. In a standard S-parameter measurement, this wave is fed to the input port (port 1) of the DUT (forward measurement).

  • b1 Src Port 1 is the incoming wave at test port 1. In a standard S-parameter measurement, this is the reflected wave at port 1 of the DUT (forward measurement).

Ratios

A ratio measurement provides the complex ratio of any combination of transmitted or received wave amplitudes. Ratios complement the S-parameter measurements, where only ratios of the form bi/aj (ratio of the incoming wave to the outgoing wave at the test ports i and j of the DUT) are considered.

Examples for using ratios

The notation for ratios includes the two waves with their directions and test port numbers. Additionally, the source port must be specified. In analogy to wave quantities, the letter a indicates an outgoing wave, b an incoming wave.

Examples:

  • b2/a1 Src Port 1 is the ratio of the outgoing wave b2 at port 2 and the incident wave a1 at port 1; this corresponds to the S-parameter S21 (forward transmission coefficient).

  • b1/a1 Src Port 1 is the ratio of the wave quantities b1 and a1, measured at PORT 1; this corresponds to the S-parameter S11 (input reflection coefficient).


Balance - Unbalance Conversion

Unbalance-Balance Conversion

Unbalance-balance conversion is the simulation of one or more unbalance-balance transformers (baluns) integrated in the measurement circuit in order to convert the DUT ports from an unbalanced state into a balanced state and virtually separate the differential and common mode signals. The analyzer measures the unbalanced state but converts the results and calculates mixed mode parameters, e.g. mixed mode S-parameters. No physical transformer is needed.

With option R&S ZVA-K6, True Differential Mode, the analyzer can generate balanced waves at arbitrary reference planes in the test setup and determine balanced results such as S-parameters, wave quantities and ratios. The true differential mode also provides two additional sweep types, the amplitude imbalance and phase imbalance sweeps. What is said below is valid for both the simulated balanced mode and the true differential mode.

To perform balanced measurements, a pair of physical analyzer ports is combined to form a logical port. The balanced port of the DUT is directly connected to the analyzer ports

Unbalance-balance conversion avoids the disadvantages of real transformers:

  • There is no need to fabricate test fixtures with integrated baluns for each type of DUT.

  • The measurement is not impaired by the non-ideal characteristics of the balun (e.g. error tolerances, limited frequency range).

  • Calibration can be performed at the DUT's ports. If necessary (e.g. to compensate for the effect of a test fixture), it is possible to shift the calibration plane using length offset parameters.

  • Differential and common mode parameters can be evaluated with a single test setup.

Balanced Port Configurations

Defining a logical ports requires two physical analyzer ports. The ports of an analyzer are equivalent and can be freely combined. Moreover, it is possible to assign arbitrary, independent reference impedance values to each unbalanced port and to the differential and common mode of each logical port. The following types of balanced devices can be measured with 2-port, 3-port and 4-port analyzers:

  • 2-port analyzers: Reflection measurements on 1 balanced port

  • 3-port analyzers: Reflection and transmission measurements on 1 balanced port

  • 4-port analyzers: Reflection and transmission measurements on 1 or 2 balanced ports

A balanced port configuration is defined by simply selecting the pairs of physical ports that are combined to form balanced ports and defining the two reference impedances for the differential and common mode at each balanced port. All this is done in the Balanced Ports and Port Groups dialog. The most commonly used balanced port configurations and impedances are predefined and can be selected in the Measurement Wizard.

Depending on the test setup, the analyzer provides different types of mixed mode parameters.

Performing a balanced measurement


Mixed_Mode_Parameters

The mixed mode 2-port S-parameters can be interpreted as follows:

  • S<mout><min>11 is the mixed mode input reflection coefficient, defined as the ratio of the wave quantities b1 (mode mout) to a1 (mode min), measured at PORT 1 (forward measurement with matched output and a2 = 0).

  • S<mout><min>21 is the mixed mode forward transmission coefficient, defined as the ratio of the wave quantities b2 (mode mout) to a1 (mode min) (forward measurement with matched output and a2 = 0).

  • S<mout><min>12 is the mixed mode reverse transmission coefficient, defined as the ratio of the wave quantities b1 (mode mout) (reverse measurement with matched input, b1' in the figure above and a1 = 0) to a2 (mode min).

  • S<mout><min>22 is the mixed mode output reflection coefficient, defined as the ratio of the wave quantities b2 (mode mout) (reverse measurement with matched input, b2' in the figure above and a1 = 0) to a2 (mode min), measured at PORT 2.

If <mout> is different from <min>, the S-parameters are called mode conversion factors.

Mixed Mode Parameters

Mixed mode parameters are an extension of normal mode parameters (e.g. S-parameters, impedances and admittances) for balanced measurements. The analyzer can measure mixed mode parameters as soon as a balanced port configuration is selected.

Mixed mode parameters are used to distinguish the following three port modes:

  • s: Single-ended (for unbalanced ports)

  • d: Differential mode (for balanced ports)

  • c: Common mode (for balanced ports)

The notation of a general S-parameter is S<mout><min><out><in>, where <mout> and <min> denote the output and input port modes, <out> and <in> denote the output and input port numbers.

Meaning of 2-port mixed mode S-parameters

Mixed Mode Parameters for Different Test Setups

Which types of mixed mode parameter are available depends on the measured device and the port configuration of the analyzer. The following examples of mixed more parameters can all be obtained with a 4-port analyzer.

  1. DUT with only single-ended ports: No balanced port definition necessary, the analyzer provides single-ended multiport parameters.

  2. DUT with one balanced port: Only reflection and mode conversion measurements with differential and common mode parameters.

  3. DUT with one balanced and one single-ended port.

  3. DUT with two balanced ports or one balanced and two single-ended ports. Both device types are fully characterized by 4x4 mixed mode S-matrices.


Calibration Overview

Calibration is the process of eliminating systematic, reproducible errors from the measurement results (system error correction). The process involves the following stages:

  1. A set of calibration standards is selected and measured over the required sweep range. For many calibration types the magnitude and phase response of each calibration standard (i.e. its S-parameters if no system errors occur) must be known within the entire sweep range. In some calibration procedures (TRL, TNA, TRM), part of the characteristics of the standards can be auto-determined due to implicit redundancy (self-calibration).

  2. The analyzer compares the measurement data of the standards with their known, ideal response. The difference is used to calculate the system errors using a particular error model (calibration type) and derive a set of system error correction data.

  3. The system error correction data is used to correct the measurement results of a DUT that is measured instead of the standards.

Calibration is always channel-specific because it depends on the hardware settings, in particular on the sweep range. The means that a system error correction data set is stored with the calibrated channel.

The analyzer provides a wide range of sophisticated calibration methods for all types of measurements. Which calibration method is selected depends on the expected system errors, the accuracy requirements of the measurement, on the test setup and on the types of calibration standards available.

Due to the analyzer's calibration wizard, calibration is a straightforward, menu-guided process. Moreover, it is possible to perform the entire calibration process automatically using a Calibration Unit (accessories R&S ZV-Z5x).

The system error correction data determined in a calibration procedure are stored on the analyzer. You can read these correction data using the remote control command [SENSe<Ch>:] CORRection:CDATa. You can also replace the correction data of the analyzer by your own correction data sets.

A red label Cal Off ! appears behind the trace list if the system error correction no longer applies to one or more traces:

This may happen for one of the following reasons:
– The sweep range is outside the calibrated frequency range.
– The channel calibration is not sufficient for the measured quantity (e.g. a one-port calibration has been performed, but the measured quantity is a transmission parameter).
– The system error correction has been switched off deliberately (Correction Off).
The analyzer provides other labels to indicate the status of the current calibration; see Calibration Labels.


Calibration Kits

Calibration Standards and Calibration Kits

A calibration kit is a set of physical calibration standards for a particular connector type. The magnitude and phase response of the calibration standards (i.e. their S-parameters) must be known or predictable within a given frequency range.

The standards are grouped into several types (Open, Through, Match,...) corresponding to the different input quantities for the analyzer's error models. The standard type also determines the equivalent circuit model used to describe its properties. The circuit model depends on several parameters that are stored in the cal kit file associated with the calibration kit.

As an alternative to using circuit models, it is possible to describe the standards by means of S-parameter tables stored in a file.

The analyzer provides a large number of predefined cal kits but can also import cal kit files and create new kits:

  • A selection of predefined kits is available for all connector types. The parameters of these kits are displayed in the Add/Modify Standards dialog, however, it is not possible to change or delete the kits.

  • Imported and user-defined kits can be changed in the Calibration Kits dialog and its various sub-dialogs.

Calibration kits and connector types are global resources; the parameters are stored independently and are available irrespective of the current setup.


The network analyzer supports different connector types at its test ports in order to measure DUTs with different port connectors. To perform a TOSM calibration, the DUT must be replaced by a through connection, which generally involves an adapter between the two connector types.

An adapter represents a through standard with unknown characteristics (in particular, with unknown delay time/transmission phase). The analyzer can perform a TOSM calibration with an unknown through, provided that it is reciprocal (S21 = S12). The modified TOSM calibration is referred to as UOSM (Unknown through – Open – Short – Match) calibration. It can be selected as follows:

  • If different connector types are assigned to the test ports, the analyzer automatically replaces TOSM –> UOSM.

  • If the same connector types are used but the appropriate through standard is not defined, the analyzer also replaces TOSM –> UOSM.

  • UOSM can be selected explicitly using Channel –Calibration –Start Cal –Other....

After acquiring the calibration sweep data for the unknown through, the analyzer automatically determines its delay time/transmission phase; see Unknown Through Standard.

UOSM calibration is not compatible with segmented frequency sweeps.

Calibration Types

The analyzer provides a wide range of calibration types for one, two or more ports. The calibration types differ in the number and types of standards used, the error terms, i.e. the type of systematic errors corrected and the general accuracy. The following table gives an overview.

Calibration Type | Standards | Parameters | Error Terms | General Accuracy | Application
Reflection Normalization | Open or Short | S11 (or S22, ...) | Reflection tracking | Low to medium | Reflection measurements on any port.
Transmission Normalization | Through | S12, S21 (or S13,...) | Transmission tracking | Medium | Transmission measurements in any direction and between any combination of ports.
Full One-Port | Open, Short, Match1) | S11 (or S22, ...) | Reflection tracking, Source match Directivity, | High | Reflection measurements on any port.
One-Path Two-Port | Open, Short, Match1) (at source port), Through2) | S11, S21 (or S22,...) | Reflection tracking, Source match, Directivity, Transmission tracking | Medium to high | Unidirectional transmission measurements in any direction and between any combination of ports.
TOSM (2-port, 3-port or 4-port) or UOSM | Open, Short, Match1) (at each port), Through2) (between all combinations of 2 ports) | All | Reflection tracking, Source match, Directivity, Load match, Transmission tracking, | High | Reflection and transmission measurements on DUTs with 2, 3, or 4 ports; classical 12-term error correction model.
TOM (2-port, 3-port or 4-port) | Open, Match (at both ports), Through | All | Reflection tracking, Source match, Directivity, Load match, Transmission tracking | High | Reflection and transmission measurements on DUTs with 2, 3, or 4 ports.
TRM (2-port, 3-port or 4-port) | Reflect (equal at both ports), Match, Through | All | Reflection tracking, Source match, Directivity, Load match, Transmission tracking | High | Reflection and transmission measurements on DUTs with 2, 3, or 4 ports, especially in test fixtures.
TRL (2-port, 3-port or 4-port) | Reflect (at both ports), Through, Line1, Line2/3 (optional), combination with TRM (optional) | All | Reflection tracking, Source match, Directivity, Load match, Transmission tracking | High, high directivity | Reflection and transmission measurements on DUTs with 2, 3, or 4 ports, especially for planar circuits. Limited bandwidth.
TNA (2-port, 3-port or 4-port) | Through, Attenuation, Symmetric network | All | Reflection tracking, Source match, Directivity, Load match, Transmission tracking | High, lowest requirements on standards | Reflection and transmission measurements on DUTs with 2, 3, or 4 ports, especially for planar circuits.

1) Or any other 3 known one-port standards. To be used in a guided calibration, the known standards must be declared to be open, short, and match irrespective of their properties; see Add/Modify Standard dialog.

2) Or any other known two-port standard. See remark above.

The calibration type must be selected in accordance with the test setup. Select the calibration type for which you can obtain or design the most accurate standards and for which you can measure the required parameters with best accuracy.

Normalization

A normalization is the simplest calibration type since it requires the measurement of only one standard for each calibrated S-parameter:

  • One-port (reflection) S-parameters (S11, S22, ...) are calibrated with an open or a short standard providing the reflection tracking error term.

  • Two-port (transmission) S-parameters (S12, S21, ...) are calibrated with a through standard providing the transmission tracking error term.

Normalization means that the measured S-parameter at each sweep point is divided by the corresponding S-parameter of the standard. A normalization eliminates the frequency-dependent attenuation and phase shift in the measurement path (reflection or transmission tracking error). It does not compensate for directivity or mismatch errors. This limits the accuracy of a normalization.

Full One-Port Calibration

A full one-port calibration requires a short, an open and a match standard to be connected to a single test port. The three standard measurements are used to derive all three reflection error terms:

  • The short and open standards are used to derive the source match and the reflection tracking error terms.

  • The match standard is used to derive the directivity error.

A full one-port calibration is more accurate than a normalization but is only applicable for reflection measurements.

One-Path Two-Port Calibration

A one-path two-port calibration combines a full one-port calibration with a transmission normalization. The fully calibrated port is termed the node port. This calibration type requires a short, an open and a match standard to be connected to a single test port plus a through standard between this calibrated source port and a second load port. The four standard measurements are used to derive the following error terms:

  • The short and open standards are used to derive the source match and the reflection tracking error terms at the source port.

  • The match standard is used to derive the directivity error at the source port.

  • The through standard provides the transmission tracking error term.

A one-path two-port calibration requires only four standards to be connected (instead of 7 for a full two-port TOSM calibration). It is suitable when only the forward (e.g. S11 and S21) or reverse S-parameters (e.g. S22 and S12) are needed, and if the DUT is well matched, especially at the load port.

TOSM Calibration

A TOSM (Through – Open – Short – Match) calibration requires the same standards as the one-path two-port calibration, however, all measurements are performed in the forward and reverse direction. TOSM is also referred to as SOLT (Short – Open – Load = Match – Through) calibration. The four standards are used to derive 6 error terms for each signal direction:

  • In addition to the source match and reflection tracking error terms provided by the one-path two-port calibration, TOSM also provides the load match.

  • The directivity error is determined at both source ports.

  • The transmission tracking is determined for each direction.

TOSM calibration is provided for 2-port, 3-port or 4-port measurements. The number of required standard measurements and of error terms increases as shown in the following table.

Number of ports | Number of standards to be connected | Number of standard measurements | Number of error terms
2 | 2 * 3 +1 = 7 | 2 * 3 +2 * 1 = 8 | 2 * 3 + 2 * 2 = 10
3 | 3 * 3 + 2 + 1 = 12 | 3 * 3 +2 * (2 + 1) = 15 | 3 * 3 + 2 * 2 * 3 = 21
4 | 4 * 3 +3 + 2 + 1 = 18 | 4 * 3 +2 * (3 + 2 + 1) = 24 | 4 * 3 + 2 * 2 * 6 = 36

An open, through and match measurement is required at each port; in addition, a through must be measured between any combination of ports and in both directions. Therefore the number N of standard measurements for an n-port TOSM calibration is equal to

The analyzer automatically performs each through measurement in both directions, so the number of connected standards is smaller than the number of measurements.

TOSM with unknown Through, UOSM

TOM Calibration

A TOM (Through – Open – Match) calibration requires a low-reflection, low-loss through standard with an electrical length that may be different from zero, an open, and a match. The characteristics of all standards must be fully known; the match may have non-ideal characteristics.

TRM Calibration

A TRM (Through – Reflect – Match) calibration requires a low-reflection, low-loss through standard with an electrical length that may be different from zero, a reflect, and a match. The magnitude of the reflection coefficient of the reflect standard can be unknown but must be nonzero; its phase must be roughly known ( [image] 90 deg). The magnitude and phase of the reflection coefficient must be the same at both test ports.

TRM calibration is especially useful for DUTs in test fixtures.

TRL Calibration

A TRL (Through – Reflect – Line) calibration requires the two-port standards through and line, which are both assumed to be ideally matched. Beyond that, the through must be lossless, and its length must be exactly known. The length of the line standard must be known approximately.

Furthermore, a reflecting one-port standard (reflect) is needed. The magnitude of the reflection coefficient of the reflect standard can be unknown but must be nonzero; its phase must be roughly known ( [image] 90 deg). The magnitude and phase of the reflection coefficient must be the same at both test ports.

TRL calibration is especially useful for DUTs in planar line technology (e.g. test fixtures, on-wafer measurements) where it is difficult to design and connect accurately modeled open, short or match standards. If TRL is not practicable, TNA may be an alternative.

The system of equations solved to derive the error terms is such that singularities occur whenever the length difference ΔL between the through and the line is an integer multiple of half of the wave length:

Refer to TRL Extensions to learn how to avoid singularities (extension with two lines, combination with TRM).

TNA Calibration

A TNA (Through – Network – Attenuation) calibration requires two-port standards only. Again, the through standard must be ideally matched and lossless. The symmetric network must have the same properties as the reflect standard used for a TRL calibration, i.e. the magnitude of its reflection coefficient can be unknown but must be nonzero; its phase must be roughly known ( [image] 90 deg). The magnitude and phase of the reflection coefficient must be the same at both test ports. The attenuation standard must be well matched on both sides and cause an attenuation different from 0 dB; the exact value of the transmission coefficient is not important.

As with TRL, TNA calibration is especially useful for planar DUTs. If TNA is not practicable, TRL may be an alternative.


Automatic Calibration (Introduction)

Automatic calibration is generally faster and more secure than manual calibration, because:

  • There is no need to connect several standards manually. The number of connections to be performed quickly increases with the number of ports; see TOSM Calibration.

  • Invalid calibrations due to operator errors (e.g. wrong standards or improper connections) are almost excluded.

  • No need to handle calibration kit data.

  • The internal standards don't wear out because they are switched electronically.

Automatic Calibration

A Calibration Unit is an integrated solution for automatic system error correction of vector network analyzers. For analyzers of the R&S ZVAB family, Rohde & Schwarz provides different types of calibration units:

  • The 2- and 4-port calibration units R&S ZV-Z51, R&S ZV-Z52, R&S ZV-Z53, R&S ZV-Z54, and R&S ZVA-Z55 are especially suited for R&S ZVB and R&S ZVA vector network analyzers.

Calibration unit | Recommended for | Frequency range | Connector type | No. of ports | Order no.
R&S ZV-Z51 | R&S ZVB4, R&S ZVB8, R&S ZVA8 | 300 kHz to 8 GHz | 3.5 mm (f) | 4 | 1164.0515.30
R&S ZV-Z51 | R&S ZVB4, R&S ZVB8, R&S ZVA8 | 300 kHz to 8 GHz | type N (f) | 4 | 1164.0515.70
R&S ZV-Z52 | R&S ZVB14, R&S ZVB20, R&S ZVA24 | 10 MHz to 24 GHz | 3.5 mm (f) | 4 | 1164.0521.30
R&S ZV-Z53 | R&S ZVB14, R&S ZVB20, R&S ZVA24 | 300 kHz to 24 GHz | 3.5 mm (f) | 2 | 1164.0473.32
R&S ZV-Z53 | R&S ZVB14 | 300 kHz to 18 GHz | type N (f) | 2 | 1164.0473.72
R&S ZV-Z54 | R&S ZVA40 | 10 MHz to 40 GHz | 2.92 mm (f) | 2 | 1164.0467.92
R&S ZV-Z55 | R&S ZVA50 | 10 MHz to 50 GHz | 2.4 mm (f) | 2 | 1164.0480.42

  • The 8- and 6-port calibration units R&S ZV-Z58 and R&S ZV-Z59 are especially suited for R&S ZVT vector network analyzers.

Calibration unit | Recommended for | Frequency range | Connector type | No. of ports | Order no.
R&S ZV-Z58 | R&S ZVT8 | 300 kHz to 8 GHz | type N | 8 | 1164.0638.78
R&S ZV-Z58 | R&S ZVT8 | 300 kHz to 8 GHz | 3.5 mm | 8 | 1164.0638.78
R&S ZV-Z59 | R&S ZVT20 | 10 MHz to 20 GHz | 3.5 mm | 6 | 1164.0450.36

The units contain calibration standards that are electronically switched when a calibration is performed. The calibration kit data for the internal standards are also stored in the calibration unit, so that the analyzer can calculate the error terms and apply the calibration without any further input.

  • Advantages of automatic calibration

  • Limitations: Some calibration types (TOM, TRM, TRL, TNA) are not available.

Attention!

Please observe the safety instructions in the "Technical Information" provided with the calibration unit to avoid any damage to the unit and the network analyzer. Safety-related aspects of the connection and operation of the units are also reported in the sections below.

The use of the calibration units is described in the following sections:

  • Connecting the calibration unit

  • Performing an automatic calibration

  • Calibration procedure

  • Manual characterization of calibration units


Power Calibration

The purpose of a power calibration is to ensure accurate source power levels and power readings at a particular position (reference plane) in the test setup. Power calibration is essentially different from the system error correction described in section Calibration Overview. For best accuracy, a power calibration should be performed in addition to a system error correction.

In general, a power calibration involves two stages:

1. Source power calibration: An external power meter is connected to the reference plane. The analyzer modifies its source power until the power meter reading corresponds to the desired source power value.

2. Receiver power calibration: The analyzer uses the calibrated source signal to adjust the power reading at the receiver port.

The analyzer provides power calibration wizards for various measurement modes.

Offset Parameters

Offset parameters complement the system error correction and power calibration, compensating for the known length and loss of a (non-dispersive and perfectly matched) transmission line between the calibrated reference plane and the DUT. The analyzer can also auto-determine length and loss parameters, assuming that the actual values should minimize the group delay and loss across the sweep range.


Optional Extensions

Optional R&S ZVA Extensions

The network analyzer can be upgraded with a number of hardware and software options, providing enhanced flexibility and an extended measurement functionality. The available options are listed in the Info –Option Info dialog. The R&S ZVA options listed below are described in detail in the reference chapters. For a complete list of options, accessories, and extras refer to the R&S ZVA product brochure.

Option | Option Name | Functionality
RS& ZVAB-K2 | Time Domain | Transformation of the trace to time domain in order to analyze responses, transformation back to the frequency domain
R&S ZVA-K4 | Arbitrary gen. and rec. frequencies, includes scalar Mixer and Harmonics measurements | Measurements at arbitrary (not necessarily equal) generator and receiver frequencies; scalar measurements on external RF mixers, harmonic distortion measurements, intermodulation distortion measurements
R&S ZVA-K5 | Vector Mixer Measurement | Measurement of the parameters of an external mixer including phase, e.g. the complex conversion loss or reflection coefficients.
R&S ZVA-K6 | True Differential Mode | Generation of true differential and common mode stimuli at arbitrary reference planes in the test setup and measurement of the mixed-mode S-parameters, wave quantities and ratios. Alternatively: Defined coherence mode, provides several source signals with defined phase and amplitude relation
R&S ZVA-K7 | Measurements on Pulsed Signals | Pulsed measurements in analogy to a time sweep (i.e. at constant receiver frequency), but with a much higher sampling rate of 12.5/ns.
R&S ZVA-K8 | Converter Control | Measurements at frequencies beyond the analyzer's operating range
R&S ZVA-K9 | Mixer Delay Measurements | Measurement of the absolute or relative group delay of a mixer
R&S ZVA-K10 | Long Distance Mixer Delay Measurements | Mixer delay measurements with an external receiver
R&S ZVA-K27 | Pulse Generator | Provides two pulsed control signals to control pulsed measurements.
R&S ZVAB-K30 | Noise Figure Measurement | Provides the noise figure of a DUT which operates in its linear range.
R&S ZVA<frequency>-B16 | Direct Generator/Receiver Access | Give direct access to various RF input and output signals, e.g. to insert external components into the signal path or develop custom measurements.
R&S ZVA<frequency>-Bxxx | Receiver Step Attenuators | Control the received power, e.g. to avoid damage to the analyzer
R&S ZVB8-B21 / 22 / 23 | Generator Step Attenuators | Control the source power, e.g. to protect sensitive DUTs from excess input levels

The following sections provide a short introduction to the software options.

Time Domain (R&S ZVAB-K2)

The network analyzer measures and displays complex S-parameters and other quantities as a function of the frequency. The measurement results can be filtered and mathematically transformed in order to obtain the time domain representation, which often gives a clearer insight into the characteristics of the DUT.

Time domain transforms can be calculated in band pass or low pass mode. For the latter the analyzer offers the impulse and step response as two alternative transformation types. A wide selection of windows can be used to optimize the time domain response and suppress sidelobes due to the finite sweep range. Moreover, it is possible to eliminate unwanted responses by means of a time gate and transform the gated result back into the frequency domain.

Arbitrary Generator and Receiver Frequencies (R&S ZVA-K4)

Measurements at arbitrary (not necessarily equal) generator and receiver frequencies provide a wealth of applications, e.g. intermodulation measurements vs. frequency and power, hot S-parameter measurements.

For intermodulation distortion measurements, the analyzer provides a measurement and calibration wizard. Intermodulation products and intercept points of order 3, 5, 7, 9 can be measured at the input and at the output of the DUT.

The frequency conversion option also includes Mixer and Harmonicsmeasurements.

Scalar Mixer and Harmonics (R&S ZVA-K4)

RF mixers convert an RF signal at one frequency into a signal at another frequency. The frequency that is to be shifted is applied at the RF input and the frequency shifting signal (from a local oscillator, LO) is applied to the RF mixer's LO port, resulting in an output signal at the mixer's Intermediate Frequency (IF) port.

For a given RF signal, an ideal mixer would produce only two IF outputs: one at the frequency sum of the RF and LO (IF = RF + LO), and another at the frequency difference between the RF and LO (IF = |RF – LO|). Filtering can be used to select one of these IF outputs and reject the unwanted one.

In the scalar mixer mode the analyzer provides the following functionality:

  • Configuration of the RF and LO signals and measurement of the generated IF signal.

  • Power calibration of the signal sources and of the IF receiver.

  • The mixer mode can be used also to test important performance parameters of RF mixers such as frequency ranges, conversion loss, compression, and isolation.

Harmonics are signals at an integer multiple of the fundamental frequency. The fundamental is the first harmonic, the nth harmonic is n times the frequency of the fundamental. The production of harmonic frequencies by an electronic system when a signal is applied at the input is known as harmonic distortion.

The purpose of the harmonics measurement is to measure the harmonic distortion of a DUT. To this end the source remains at the fundamental frequency whereas the receiver is set to n times the fundamental frequency. Two different types of results are provided:

  • In the direct measurement, the nth harmonic of the stimulus signal is measured.

  • In the relative measurement, the nth harmonic of the stimulus signal is divided by 1st harmonic (fundamental) received from the DUT. The result corresponds to the nth harmonic distortion factor.

Vector Mixer Measurement (R&S ZVA-K5)

Measurement of the parameters of an external mixer including phase, e.g. the complex conversion loss or reflection coefficients. In contrast to scalar mixer measurements (with option R&S ZVA-K4), vector mixer measurements provide magnitude and phase information, including group delay, about the mixer under test (MUT). To assess the phase information, the IF signal at the mixer output is converted back to the original RF frequency using a second MEAS mixer. A third REF mixer ensures that the reference wave is converted back to the RF frequency.

True Differential Mode (R&S ZVA-K6)

Differential transmission lines and circuits are widely used, because their characteristics give them a lower susceptibility to electromagnetic interference. Linear balanced devices can be tested with sufficient accuracy using the virtual differential mode, where the vector network analyzer generates unbalanced stimulus signals and uses a mathematical transformation to convert unbalanced wave quantities into balanced S-parameters. A different behavior is expected for nonlinear balanced devices, where the transmission characteristics of the DUT may depend on how closely the stimulus signal matches real operating conditions.

In True Differential Mode, the vector network analyzer generates true differential and common mode stimuli at arbitrary reference planes in the test setup and determines mixed-mode S-parameters, wave quantities and ratios. The true differential mode also provides two additional sweep types, the amplitude imbalance and phase imbalance sweeps.

As an alternative to true differential mode, the Defined Coherence Mode provides several source signals with defined phase and amplitude relation.

Measurements on Pulsed Signals (R&S ZVA-K7)

Measurements on pulsed RF signals are required in many areas of RF and microwave technology. Pulsed signals are used in mobile phone applications and radar systems, and amplifiers are typically designed for pulsed rather than continuous wave (CW) conditions.

The analyzer performs pulsed measurements in analogy to a time sweep (i.e. at constant receiver frequency), but with a much higher sampling rate of 12.5/ns. The raw I/Q amplitudes are written into a ring buffer and processed at the end of each sweep. The buffer size allows for a maximum recording time (sweep time) of 3 ms. Due to the high sampling rate and the large IF bandwidths available, it is possible to obtain profiles for pulse widths from approx. 200 ns to the maximum recording time. Of course it is also possible to measure a sequence of pulses up to the maximum recording time.

Converter Control (R&S ZVA-K8)

Measurements at frequencies beyond the analyzer's operating range (mm-wave measurements) are achieved by combining a frequency-converting measurement with an external test set (frequency converter). The frequency converters use frequency multipliers to transform the RF source signal from one of the network analyzer ports into a high-frequency stimulus signal. A dual directional coupler separates the reference and measurement channels from the waveguide test port. A second signal (Local Oscillator, LO) is used for down-conversion of the reference and measurement channels. The LO signal can be provided either by a second analyzer port or by an external generator. The down-converted signals are fed to the REF IN and MEAS IN input connectors of the analyzer port providing the RF source signal.

Option R&S ZVA-K8 also comprises option ZVA-K4, Frequency Conversion.

Mixer Delay Measurements (R&S ZVA-K9 / -K10)

Measurement of the absolute or relative group delay of a mixer. The mixer delay measurement is an extension of the scalar mixer measurement: The network analyzer generates a two-tone RF signal as a mixer input signal and measures the converted IF signal at the mixer output. The mixer delay is derived from the relative phases of the two-tone signals at the mixer input and the mixer output.

Compared to conventional measurement methods, the mixer delay measurement offers several additional advantages.

  • No external mixers are needed.

  • A network analyzer with standard functionality is sufficient, see description of test setups below.

  • Easy calibration using a calibration mixer.

An additional option R&S ZVA-K10, Long Distance Mixer Delay, enables mixer delay measurements with an external receiver.

Pulse Generator (R&S ZVA-K27)

Provides two independent control signals at the CASCADE output connector on the rear panel of the network analyzer. The signals can be used to control an R&S ZVAXxx Extension Unit equipped with a pulse modulator option.

Noise Figure Measurement (R&S ZVAB-K30)

Provides the noise figure of a DUT which operates in its linear range. The noise figure of a device is the ratio of the output signal-to-noise ratio (SNR) to the input SNR, provided that a thermal noise signal is fed to the input. It is a measure of the degradation of the SNR caused by the device.

The method of measurement offers several advantages:

  • No additional noise source is required.

  • The result can be obtained in a single sweep.

  • The test setup is as simple as for a basic transmission measurement: The DUT must be connected only once. Moreover, it is possible to perform S-parameter measurements in parallel to the noise figure measurement.


About Meas Examples

Measurement Examples

This chapter provides examples for typical measurement tasks to be performed on the network analyzer.

Simple measurement tasks

Optimization

Calibration

Trace evaluation

Port conversion

Harmonics measurements

Pulse pro file measurements

Noise figure measurement

To make yourself familiar with the instrument, use the simple measurement examples outlined in the Getting Started chapter. For a systematic explanation of all menus, functions and parameters and background information refer to the Manual Control reference.


Screen Control

Control of the analyzer's display elements is based on the standard Windows™ functionality. The following examples show you how to make efficient use of the functions.

Moving a window

Sizing a window

To move an active setup window within the available space ...

  1. Make sure that the window is not maximized (If necessary, click Window – Cascade to display all windows with their title bar).

  2. Click the [image] icon in the title bar to open the setup control menu.

  3. Click Move.

After the pointer changes to the four-headed arrow:

  4. Press one of the direction keys (left, right, up, or down arrow key) to move the entire window without changing its size.

  5. Press ENTER or left-click the window when it is at the position you want.

To size the active setup window ...

  1. Make sure that the window is not maximized (If necessary, click Window – Cascade to display all windows with their title bar).

  2. Click the [image] icon in the title bar to open the setup control menu.

  3. Click Size.

After the pointer changes to the four-headed arrow:

  4. Press one of the direction keys (left, right, up, or down arrow key) to move the pointer to the border you want to move.

  5. Press a direction key to move the border.

Press ENTER or left-click the window when it is the size you want.


Display Configuration

The analyzer provides various tools that you can use to customize the diagram areas and control elements. The following examples show how to change the display colors.

Selecting a color scheme

Changing the marker colors

To select or define a color scheme for the diagrams and their display elements ...

  1. Click Display — Display Config — Color Scheme... to open the Color Schemedialog.

  2. Select the Predefined Scheme that is most appropriate for your needs.

  3. Click Define User Scheme... to open the Define User Color Schemedialog.

  4. Select a display element from the Element drop-down list.

  5. Click the Color field to open a standard Color dialog and assign the color.

You can repeat the last 2 steps for as many elements as you like. For traces, you can also select a Trace Style and Trace Width. Your settings apply to all setups, they are permanent even after you close the network analyzer application.

  6. If you wish to use several color schemes in parallel, click Save to save your current color scheme to a file.

  7. If you wish to restore the original Predefined Scheme, click System — System Config... — Resets — Reset Colors.

To change the marker colors...

When you create markers, their color is the same as the color of the associated trace. You can change the marker colors using the Color Schemedialog.

  1. Click Display — Display Config — Color Scheme...

  2. Click Define User Scheme... to open the Define User Color Schemedialog.

  3. Select Same Color for all Markers from the Element drop-down list.

  4. Click the Color field to open a standard Color dialog and assign the color.

  5. Click Use same Color for all Markers.

All markers are displayed with the same color, irrespective of the trace colors.


Data Transfer

The following examples show you how to perform basic tasks related to data transfer from and to the analyzer.

Copying the current setup to a USB memory stick

Loading a setup stored on a USB memory stick

To copy the active setup ...

  1. Plug a USB stick into any of the USB type A connectors on the front or rear panel of the analyzer.

  2. Click File —Save to open the Save As dialog.

  3. Open the Save in: drop-down list and select the network drive labeled Removable Disk (most likely, drive E:) as file location.

  4. Select a File name and click Save to store the data to the disk and close the Save As dialog.

The default extension for setup files (*.zvx) is appended automatically.

To load a setup stored on a USB memory stick...

  1. Plug a USB stick into any of the USB type A connectors on the front or rear panel of the analyzer.

  2. Click File —Open to open the Open dialog.

  3. Open the Look in: drop-down list and select the network drive labeled Removable Disk (most likely, drive E:) as file location.

The setup files are displayed in the center of the dialog.

  4. Select a file and click Open to load the setup as the active setup.


Setting up a Sweep

Configurations of the different sweep types require different procedures. The following examples list the essential settings for various sweep types.

Lin. Frequency

Log. Frequency

Segmented Frequency

Power Sweep...

Time Sweep...

CW Mode Sweep...

Pulse Profile...

To Set up a Lin. Frequency Sweep...

  1. Press the Sweep key in the Channel keypad or click Channel - Sweep to access the Sweep submenu.

  2. Click Sweep Type – Lin. Frequency.

  3. Click Channel – Stimulus to access the submenu defining the sweep range.

  4. To define a sweep range confined by a start and a stop frequency, use Start and Stop. Alternatively, to define a sweep range of definite width around a known center frequency (e.g. an expected peak), use Center and Span.

  5. To vary the number of measurement points (e.g. to improve the resolution of the sweep or reduce the sweep time), click Channel – Sweep – Number of Points.

If the active diagram is a Cartesian diagram, the x-axis is linearly scaled and labeled with the Start and Stop frequencies.

To Set up a Log. Frequency Sweep...

  1. Press the Sweep key in the Channel keypad or click Channel - Sweep to access the Sweepsubmenu.

  2. Click Sweep Type - Log. Frequency.

  3. Click Channel - Stimulus to access the submenu defining the sweep range.

  4. To define a sweep range confined by a start and a stop frequency, use Start and Stop. Alternatively, to define a sweep range of definite width around a known center frequency (e.g. an expected peak), use Center and Span.

  5. To vary the number of measurement points (e.g. to improve the resolution of the sweep or reduce the sweep time), click Channel - Sweep - Number of Points.

If the active diagram is a Cartesian diagram, the x-axis is logarithmically scaled and labeled with the Start and Stop frequencies.

To Set up a Segmented Frequency Sweep...

  1. Press the Sweep key in the Channel keypad or click Channel - Sweep to access the Sweep submenu.

  2. Click Sweep Type - Define Segments to call up the dialog defining the individual sweep segments. Proceed as described in Define Segments to customize your sweep range. Make sure to define at least 2 distinct sweep frequencies.

  3. Use the controls in the Individual Settings panel to define the internal generator power, measurement (IF) bandwidth and other measurement settings for each sweep segment.

  4. Close the Define Segments dialog.

  5. Click Sweep Type - Segmented Frequency.

If the active diagram is a Cartesian diagram, the x-axis is linearly scaled and ranges from the lowest to the highest frequency in all segments.

To Set up a Power Sweep...

  1. Press the Sweep key in the Channel keypad or click Channel - Sweep to access the Sweepsubmenu.

  2. Click Sweep Type - Power.

  3. In the CW Frequency entry bar opened, enter the fixed stimulus frequency for the power sweep.

  4. Click Channel - Stimulus to access the submenu defining the sweep range.

  5. To define the start and stop power, use Start and Stop.

  6. To vary the number of measurement points (e.g. to improve the resolution of the sweep or reduce the sweep time), click Channel - Sweep - Number of Points.

If the active diagram is a Cartesian diagram, the x-axis is linearly scaled (in dB) and labeled with the Start and Stop powers.

To Set up a Time Sweep...

  1. Press the Sweep key in the Channel keypad or click Channel - Sweep to access the Sweepsubmenu.

  2. Click Sweep Type - Time.

  3. In the Time Sweep entry bar opened, enter the fixed stimulus frequency (CW Frequency) and the internal generator power (Source Power) for the Time sweep.

  4. Click Channel - Stimulus to access the submenu defining the sweep range.

  5. To vary (extend) the sweep time, use Stop.

  6. To vary the number of measurement points (e.g. to improve the resolution of the sweep or reduce the sweep time), click Channel - Sweep - Number of Points.

If the active diagram is a Cartesian diagram, the x-axis is linearly scaled and labeled with the start time 0 s and the Stop time.

To Set up a CW Mode Sweep...

  1. Press the Sweep key in the Channel keypad or click Channel - Sweep to access the Sweepsubmenu.

  2. Click Sweep Type - CW Mode.

  3. In the CW Mode entry bar opened, enter the fixed stimulus frequency (CW Frequency) and the internal generator power (Source Power) for the sweep.

  4. Click Channel - Stimulus to access the submenu defining the sweep range.

  5. To vary the number of measurement points (implying a longer sweep time), use Stop.

If the active diagram is a Cartesian diagram, the x-axis is linearly scaled and labeled with the current numbers of the trigger events (measurement points).


Optimizing the Measurement Speed

Minimizing the measurement time per sweep contributes to a high measurement throughput. The following parameters have an influence on the sweep time:

Selection of sweep points

Measurement sequence: Sweep Time, Trigger, Alternate

Noise reduction settings

Additional Hints (R&S ZVA67)

To find the best set of sweep points...

Limit the measurement to the stimulus range that you need for your device:

  1. Click Channel - Stimulus to access the submenu defining the sweep range.

  2. To define a sweep range confined by a start and a stop frequency, use Start and Stop. Alternatively, to define a sweep range of definite width around a known center frequency (e.g. an expected peak), use Center and Span. For power and time sweeps, proceed as described in Setting up a Sweep.

  3. Alternatively, use the marker functions to define the sweep range.

Use the minimum number of points that will produce an acceptable resolution:

  1. Click Channel – Sweep – Number of Points and reduce the number of sweep points.

Use the segmented sweep to focus on different subranges of the sweep, using optimized channel settings for each subrange:

  1. Set up a segmented frequency sweep as described in Segmented Frequency.

  2. Optimize the number of points and the noise reduction settings for each individual sweep segment.

The sweep time increases with the Frequency Step Size.

To obtain the fastest measurement sequence...

Avoid delay times between the different partial measurements:

  1. Click Channel – Sweep – Sweep Time and check Auto.

The analyzer determines the minimum sweep time according to the current channel settings. The sweep is performed at maximum speed without delay.

Avoid delay times between the end of the measurement sequence and the next trigger event:

  2. If you don't need a special trigger mode, click Channel – Sweep – Trigger and make sure that Free Run is selected.

Avoid delay times between adjacent frequency points.

  3. Click Channel – Mode and select Alternating Sweeps if the settling time between adjacent frequency points is larger than the settling time between the partial measurements.

To find the appropriate noise reduction settings...

Use the fastest IF filter that will produce acceptable dynamic range:

  1. Press the POWER BW AVG key in the Channel keypad or click Channel – Power Bandwidth Average to access the corresponding submenu.

  2. Select the widest bandwidth compatible with your measurement task.

  3. If possible, click Fine Adjust to further increase the bandwidth. Avoid selecting High Selectivity unless it is required for your measurement.

Reduce the number of repeated measurements made to obtain an averaged result. Averaging does not slow down the measurement, however, several consecutive sweeps must be performed until an average result is available.

  1. If averaging is not necessary, open the Channel – Power Bandwidth Average menu and make sure that Average On is not active.

  2. Alternatively, click Average Factor and reduce the factor to a minimum.

Additional Hints (R&S ZVA67)

On R&S ZVA67 instruments, the alternating sweep mode speeds up all measurements which require several partial measurements. Select Channel – Mode – Alternating Sweeps to obtain the fastest measurement. See alsoAlternating Sweeps.


Calibration (Example)

Calibrating a Measurement Channel

Calibration is the process of eliminating systematic, reproducible errors from the measurement results (system error correction). A measurement channel can be calibrated either manually or automatically using the Calibration Unit (accessories R&S ZV-Z51.. -Z55 or R&S ZV-Z58/-Z59):

Manual calibration

Automatic calibration

Creating a user-defined calibration kit

TRL calibration with two lines

TRL calibration with low-frequency TRM extension

Select and perform a manual calibration

In the following example a 2-port TOSM calibration is performed manually using the Calibration Wizard. Other calibrations can be performed in an analogous way.

  1. Perform all channel settings for your measurement.

  2. Click Channel – Calibration – Start Cal – Two Port P1 P2 – Manual... to open the calibration wizard for the desired calibration type.

  3. In the Select Physical Port Connector(s) dialog, select the connector type that you use at port 1 and 2 (both connector types must be equal) and the calibration kit. Click Next > to access the Measure Standards dialog.

  4. Connect an open standard to port 1 and click the corresponding box in the Measured Standards list to initiate the calibration sweep and acquire the calibration data for this standard.

  5. Repeat the last step for a short and a match connected to port 1, an open, short and match connected to port 2, and for a through between both ports.

  6. Click Apply to start the calculation of the system error correction data, apply them to the current channel and close the calibration wizard.

  7. Replace the last measured standard with your DUT and perform calibrated measurements without changing the channel settings used for calibration.

You can also access manual calibration from the S-Parameter Wizard.

Perform an automatic calibration

In the following example a 4-port TOSM calibration is performed using the calibration unit (accessories R&S ZV-Z51.. -Z55 or R&S ZV-Z58/-Z59). The calibration of other numbers of ports is analogous; see Performing an Automatic Calibration.

Connect the calibration unit:

  1. Switch on and start-up your network analyzer and establish a USB connection to the calibration unit; see Connecting the calibration unit.

  2. Connect ports 1 the unit to port 1 of the analyzer; repeat this for ports 2 to 4.

Perform the calibration:

  3. Click Channel – Calibration – Start Cal – Four Port P1 P2 P3 P4 – Calibration Unit and wait until the calibration is completed. If a message box All test port connectors will be changed to <Connector type> pops up, confirm with OK.

  4. Remove the connecting cables from the unit, connect your DUT instead and perform calibrated measurements.

You can also access automatic calibration from the S-Parameter Wizard.

Creating a user-defined calibration kit

Predefined calibration kits do not always contain all necessary calibration standards for a particular calibration type. For advanced calibration types such as TRL with two or more lines, you will have to create your own calibration kit. This is most conveniently done by copying an existing kit and adding new standards. To add a second line standard to a kit containing a single line,

  • Click Channel – Calibration – Cal Kits... and use the Calibration Kits dialog to select an existing kit.

  • Click Copy Kit to... and create a copy of the old kit using a new cal kit name.

  • Select the kit from the Calibration Kits in Use table, click View/Modify Kit, and add the second line standard with appropriate delay time. See TRL calibration with 2 lines below.

Note that the gender combinations (mm, ff or mf) of both lines must be equal.

TRL calibration with 2 lines

Suppose you want to perform a TRL calibration using coaxial air lines for the sweep range between 1 GHz and 40 GHz. The through standard has length lthr. The ratio of the stop frequency to the start frequency is 40, therefore an accurate calibration with a single line standard is not possible. However, it is possible to calibrate the entire sweep range with two lines of different (electrical) lengths llong and lshort; see TRL Extensions.

To determine the electrical lengths of the two lines...

  1. Select the length of the longer line such that the transmission phase of (llong – lthr) at the start frequency of 1 GHz is equal to 20 deg: llong = λ (1 GHz) / 18 + lthr = c0 / (18 * 1 GHz) + lthr = 1.666 cm + lthr, where c0 is the velocity of light. This length corresponds to a delay time of Δtlong = 55.55 ps + lthr/c0.

  2. Select the length of the shorter line such that the transmission phase of (lshort – lthr) at the stop frequency of 40 GHz is equal to 160 deg: lshort = 4 * λ (40 GHz) / 9+ lthr = 4* c0 / (9 * 40 GHz)+ lthr = 0.333 cm+ lthr. This length corresponds to a delay time of Δtshort = 11.11 ps + lthr/c0.

To perform the calibration...

  3. Make sure that the two lines are included in a calibration kit, together with the through and the reflect standard required for the TRL calibration. See Creating a user-defined calibration kit.

  4. Still in the Calibration Kits dialog, click Export Kit... to save your settings to a cal kit file.

  5. Close the Calibration Kits dialog.

  6. Click Channel – Calibration – Start Cal – Two Port P1 P2 – TRL... to open the calibration wizard (see also Manual calibration).

  7. In the Physical VNA Test Port Connector(s) dialog, select your Connector type and Calibration Kit. Click Next >.

  8. In the Measured Standards dialog opened, perform the calibration sweeps for all standards including the two displayed lines Line 1 and Line 2.

  9. Click Apply to start the calculation of the system error correction data, apply them to the current channel and close the calibration wizard.

  10. Replace the last measured standard with your DUT and perform calibrated measurements without changing the channel settings used for calibration.

TRL calibration with low-frequency TRM extension

Suppose you want to perform a TRL calibration using coaxial air lines for the sweep range between 300 MHz and 4 GHz using a line standard with an electrical length of llong = 16.6666 cm and a through standard of lthr. << llong. TRL calibration is known to become inaccurate in the frequency range below fTRM = c0/(18*llong) = 1 GHz; see TRL Extensions. It is therefore advisable to perform a combined TRL/TRM calibration using an additional match or sliding match standard.

  1. Make sure that the calibration kit contains a match or sliding match standard, in addition to the line, the through and the reflect standards required for the TRL calibration. If necessary generate a cal kit file as described in section TRL calibration with 2 lines.

  2. Click Channel – Calibration – Start Cal – Two Port P1 P2 – TRL... to open the calibration wizard (see also Manual calibration).

  3. In the Physical VNA Test Port Connector(s) dialog, select your Connector type and Calibration Kit. Click Next >.

  4. In the Measured Standards dialog opened, perform the calibration sweeps for the match (or sliding match) and the reflect standard at all ports. In addition, perform the calibration sweeps for the through and the line (Line 1) between any combination of ports.

  9. Click Apply to start the calculation of the system error correction data, apply them to the current channel and close the calibration wizard.

  10. Replace the last measured standard with your DUT and perform calibrated measurements without changing the channel settings used for calibration.


Calibration with ZV-WR10

  • Thermal fluctuations cause linear expansion of the waveguide components and result in phase drift. An environment with a stable temperature within the range stated in the data sheet is a prerequisite for accurate measurements.

  • A power calibration must be performed previous to system error correction. Refer to the documentation of your frequency converter for instructions.

  • If you readjust the output power of the frequency converter (using the knurled knob at the top of the converter) an already performed system error correction is no longer valid. For that reason adjust the output power of the frequency converter before system error correction.

Waveguide Calibration using Kit R&S ZV-WR10

The waveguide calibration kit R&S ZV-WR10 allows to calibrate network analyzers for test setups involving frequency converters, in particular R&S ZVA-Z110.

Accuracy considerations

TOSM Calibration

The following example reports a TOSM calibration for a four port R&S ZVA analyzer which is connected to two frequency converters; see Connecting the Converter. It is suitable for transmission and reflection measurements on two-port waveguide DUTs in the frequency range of the converters.

The calibration procedure using the analyzer’s “Calibration Wizard” is straightforward (for details refer to the analyzer help system, section “Guided Calibration”):

  1. Activate the Frequency Converter Mode (“System” > “System Config…” > “Frequency Converter”) and connect the two converters.

  2. Click “Channel” > “Start Cal” > “Two Port P1 P2” > “TOSM”.

The calibration kit R&S ZV-WR10 is preinstalled. It is displayed in the “Select Physical VNA Test Port Connector(s)” dialog, together with the appropriate connector type.

  3. 3. Click “Next” to proceed to the “Measure Standards” dialog.

  4. Connect the Short standard from the calibration kit to the frequency converter no. 1 (the converter with RF IN connected to the analyzer port no. 1) and click “Port 1: WR10” > “Short” to initiate the calibration sweep.

  5. Proceed in a similar way, using the Short and the Shim in the calibration kit (producing an “Offset Short”) and the fixed Match.

  6. Repeat the three one-port calibration sweeps at frequency converter no. 2 (the converter with RF IN connected to the analyzer port no. 2).

  7. Connect the two waveguide flanges directly and click “Port 1: WR10 – Port 2: WR10” > “Through” to initiate the transmission calibration sweep.

  8. Click “Apply” to calculate and apply the system error correction data and close the wizard.

You can use the sliding match instead of the fixed match in order to improve the accuracy of the system error correction. Both standards cover the same frequency range.

You can check the calibration by measuring a standard that was not used during the system error correction. If you use the sliding match for system error correction, you can use the fixed match to check the calibration. Note that this check is incomplete (e.g. the transmission is not verified when using a one-port standard like a fixed match).

UOSM Calibration

UOSM calibration uses an unknown through and yields two solutions related to different transmission phase values. The two solutions differ by 180 deg - only one solution is valid. Any two-port network whose S-parameters fulfill the reciprocity condition S21=S12 can be used as an unknown through (e.g. a waveguide bend).

Within a coaxial system the analyzer selects the correct solution automatically. This is not possible in a waveguide system because the delay time is frequency-dependent (dispersive propagation). The valid solution has to be selected manually. For this purpose the following dialog opens during calculation of the system error correction data (see step 8 above):

Check “Dispersive” and select the right solution from the "Phase" drop-down list.


Calibration with ZV-WR03

  • Thermal fluctuations cause linear expansion of the waveguide components and result in phase drift. An environment with a stable temperature within the range stated in the data sheet is a prerequisite for accurate measurements.

  • A power calibration must be performed previous to system error correction. Refer to the documentation of your frequency converter for instructions.

  • If you readjust the output power of the frequency converter (using the knurled knob at the top of the converter) an already performed system error correction is no longer valid. For that reason adjust the output power of the frequency converter before system error correction.

Waveguide Calibration using Kit R&S ZV-WR03

The waveguide calibration kit R&S ZV-WR03 allows to calibrate network analyzers for test setups involving frequency converters, in particular R&S ZVA-Z325.

Accuracy considerations

TRL Calibration

The following example reports a TRL calibration for a four port R&S ZVA analyzer which is connected to two frequency converters; see Connecting the Converter. It is suitable for transmission and reflection measurements on two-port waveguide DUTs in the frequency range of the converters.

The calibration procedure using the analyzer’s “Calibration Wizard” is straightforward (for details refer to the analyzer help system, section “Guided Calibration”):

  1. Activate the Frequency Converter Mode (“System” > “System Config…” > “Frequency Converter”) and connect the two converters.

  2. Click “Channel” > “Start Cal” > “Two Port P1 P2” > “TRL”.

The calibration kit R&S ZV-WR03 is preinstalled. It is displayed in the “Select Physical VNA Test Port Connector(s)” dialog, together with the appropriate connector type.

  3. Click “Next” to proceed to the “Measure Standards” dialog.

  4. 4. Connect the Short standard from the calibration kit to the frequency converter no. 1 (the converter with RF IN connected to the analyzer port no. 1) and click “Port 1: WR03” > “Reflect” to initiate the calibration sweep.

  5. Proceed in a similar way, using the Short at Port 2.

  6. Establish the through connection using the Shim #1 between the ports.

  7. Establish the line connection using the Shim #2 between the ports.

  8. Click “Apply” to calculate and apply the system error correction data and close the wizard.

With calibration techniques involving a match standard (M) you can use the sliding match instead of the fixed match in order to improve the accuracy of the system error correction. Both standards cover the same frequency range.

You can check the calibration by measuring a standard that was not used during the system error correction (e.g. the fixed match to check a TRL calibration). Note that this check is incomplete (e.g. the transmission is not verified when using a one-port standard like a fixed match).

UOSM Calibration

UOSM calibration uses an unknown through and yields two solutions related to different transmission phase values. The two solutions differ by 180 deg - only one solution is valid. Any two-port network whose S-parameters fulfill the reciprocity condition S21=S12 can be used as an unknown through (e.g. a waveguide bend).

Within a coaxial system the analyzer selects the correct solution automatically. This is not possible in a waveguide system because the delay time is frequency-dependent (dispersive propagation). The valid solution has to be selected manually. For this purpose the following dialog opens during calculation of the system error correction data (see step 8 above):

Check “Dispersive” and select the right solution from the "Phase" drop-down list.


Trace Statistics (Meas. Examples)

Trace Statistics

After measuring a quantity across the selected sweep range, the analyzer can analyze the trace and determine various statistical results.

Measuring the x-dB compression point

To determine the x-dB compression point...

  1. Press the Sweep key in the Channel keypad or click Channel - Sweep to access the Sweep submenu.

  2. Click Sweep Type - Power. In the CW Frequency input field opened, enter the fixed stimulus frequency for the power sweep.

  3. Click Channel - Stimulus - Start and Channel - Stimulus - Stop to define the power sweep range.

  4. Click Trace – Measure and select an S-Parameter or a Ratio to be measured.

  5. Click Trace – Format and ensure that the trace format is dB Mag.

  6. Click Trace Funct – Trace Statistics –Compression Point to activate the compression point evaluation.

A marker is placed to the compression point. To refine the measurement, you can vary the Compression Value and the Evaluation Range in the Trace Statistics submenu.


Time Domain (Meas. Examples)

Time Domain Measurements

With option ZVAB-K2, Time Domain, you can view the measurement results as a function of time.

Setting up a time domain measurement

Using a time gate

To set up a time domain measurement...

  1. Reset the analyzer to ensure that the following operating mode is set: Sweep Type: Lin. Frequency, Trace - Meas.: S21, Trace - Format: dB Mag.

  2. Open the Trace - Meas menu and select the measured quantity to be transformed (preferably: an S-parameter or ratio).

  3. Click Trace - Trace Func - Transform - Time Domain to transform the active trace to the time domain.

The transformed trace is displayed in the active diagram area. To refine the analysis, you can modify the number and position of the sweep points (Channel - Sweep - Number of Points, Channel - Stimulus), select a different transform type and window for profiling (Trace - Trace Func - Transform - Define Transform...) and vary the time range (Trace - Trace Func - Transform - Time Domain Stimulus Axis...).

To eliminate an unwanted response from the measured trace...

  1. Calculate a time domain transform as described above, Setting up a time domain measurement.

  2. Click Trace - Trace Func - Transform - Define Time Gate and place a time gate on the transformed trace. To remove a single response use a Notch gate type. To remove everything outside a specified area, use a Bandpass gate type.

  3. Click Trace - Trace Func - Transform - Time Gate to enable the time gate. If necessary, go back to the Define Time Gate dialog to correct your time gate settings.

  4. Click Trace - Trace Func - Transform - Frequency Domain.

The frequency domain trace now corresponds to the modified time domain trace which is transformed back into the frequency domain.


Balanced Ports Examples

Defining a Balanced Ports Configuration

The Balanced Ports and Port Groups dialog comprises the functions for balanced port definition. The following examples show how to define and use balanced ports.

Performing a balanced measurement

Using a predefined port configuration

Defining a new port configuration

To perform a balanced measurement...

The following example shows how to perform S-parameter measurements on a 2-port DUT with balanced input and balanced output using a 4-port network analyzer. You can either use a predefined port configuration with fixed port assignments or define your own port configuration.

To use a predefined port configuration,

  1. Click Trace – Measure – More S-Params... – Balanced Ports and Port Groups....

  2. In the Predefined Configs tab of the Balanced Ports and Port Groups dialog opened, select the port configuration that is suitable for your DUT.

  3. Open the Def Balanced Port tab and assign the appropriate differential and common mode reference impedances to both logical ports.

  4. Connect your DUT to ports 1 to 4 of the network analyzer as shown in the figure above.

  5. Click OK to close the Balanced Ports and Port Groups dialog.

  6. Back in the More S-Parameters dialog, select the balanced S-parameter that you wish to measure.

  7. Click OK to close the More S-Parameters dialog and perform the measurement.

You can also access all the described settings from the Measurement Wizard.

To use your own port configuration,

  1. Click Trace – Measure – More S-Params... – Balanced Ports and Port Groups....

  2. In the Def Balanced Port tab of the Balanced Ports and Port Groups dialog opened, select Logical Port # 1 and assign two Physical Port Numbers, e.g. 1 and 2.

  3. Assign the appropriate differential and common mode reference impedances to logical port no. 1 and Click Define.

  4. Select Logical Port # 2 and assign the two remaining Physical Port Numbers, e.g. 3 and 4.

  5. Assign the appropriate differential and common mode reference impedances to logical port no. 2 and Click Define.

The Def Balanced Port tab shows the balanced port configuration:

  1. Connect one balanced port of your DUT to ports 1 and 2 of the network analyzer, the other balanced port of your DUT to ports 3 and 4 of the network analyzer, in accordance with the selected reference impedances.

  2. Click OK to close the Balanced Ports and Port Groups dialog.

  3. Back in the More S-Parameters dialog, select the balanced S-parameter that you wish to measure.

  4. Click OK to close the More S-Parameters dialog and perform the measurement.


(De)embedding

Using Virtual Networks (Embedding/Deembedding)

The Virtual Transform menu provides the functions for embedding/deembedding a DUT into/from virtual networks. The following examples show how to use the functions.

Single port embedding

Single port deembedding

Balanced port embedding

Balanced port deembedding

To add a virtual transformation network to a single-ended port...

Suppose that your DUT is a 2-port DUT with single ended ports.

  1. Connect the DUT to your analyzer: For a two-port measurement, connect the DUT between test ports 1 and 2 of the analyzer.

  2. Establish the necessary Channel settings (port configuration, sweep range and type etc.) and select the measured quantities (Trace – Measure).

  3. Click Channel – Mode – Virtual Transform – Single Port Embedding to open the Single Port Embedding... dialog.

  4. In the dialog, select the Physical Port to which you want to add a virtual transformation network (e.g. Physical Port 1) and do one of the following:

  5. If you wish to define the added network by an imported set of 2-port S-parameters, select the 2-Port transformation network, click Read Data From File, and load the parameters from a 2-port (*.s2p) Touchstone file.

  6. If you wish to define the added network by an equivalent circuit, select the circuit type and adjust the parameters R, C, and L displayed in the right half of the dialog.

  7. Click Embed DUT and Close the dialog.

The traces of the active channel show the characteristics of the DUT including the virtual transformation network inserted between port 1 of the analyzer and the DUT.

You can also assign two-port networks to balanced ports; see Combination of 2-Port and 4-Port (De-)Embedding Networks.

To remove a real transformation network from a single-ended port...

Suppose that your 2-port DUT has a real, known 2-port transformation network at port 1.

  1. Connect the DUT (including the transformation network) between test ports 1 and 2 of the analyzer so that the transformation network is placed between port 1 of the analyzer and the DUT.

  2. Establish the necessary Channel settings (port configuration, sweep range and type etc.) and select the measured quantities (Trace – Measure).

  3. Click Channel – Mode – Virtual Transform – Single Port Deembedding to open the Single Port Deembedding... dialog.

  4. In the dialog, select the Physical Port connected to the physical transformation network (e.g. Physical Port 1) and do one of the following:

  5. If your transformation network is described by an imported set of 2-port S-parameters, select the 2-Port transformation network, click Read Data From File, and load the data from a 2-port (*.s2p) Touchstone file.

  6. If your transformation network can be described by an equivalent circuit, select the circuit type and adjust the parameters R, C, and L displayed in the right half of the dialog.

  7. Click Deembed DUT and Close the dialog.

The traces of the active channel show the characteristics of the DUT without the effects of the removed physical transformation network.

You can also assign two-port networks to balanced ports; see Combination of 2-Port and 4-Port (De-)Embedding Networks.

To add a virtual transformation network to a balanced port...

Suppose that your DUT has a single-ended and a balanced port and that you want to add a virtual 4-port network to the balanced port.

  1. Connect ports 1 and 3 of a 3- or 4-port analyzer to the balanced ports of the DUT, connect port 2 to the single ended port of the DUT.

  2. Click Channel – Mode – Port Config... – Balanced Ports and Port Groups... Predefined Configs and define the appropriate balanced port configuration (see also Balanced Measurement Examples), combining ports 1 and 3 of the analyzer to logical port no. 1.

  3. Establish the necessary Channel settings (sweep range and type etc.) and select the measured quantities (Trace – Measure).

  4. Click Channel – Mode – Virtual Transform – Balanced Port Embedding to open the Balanced Port Embedding... dialog.

In the dialog, the Logical Port no. 1 (the only balanced port) is already selected. To add a virtual network, do one of the following:

  5. If you wish to define the added network by an imported set of 4-port S-parameters, select the 4-Port transformation network, click Read Data From File, and load the parameters from a 4-port (*.s4p) Touchstone file.

  6. If you wish to define the added network by an equivalent circuit, select the circuit type and adjust the parameters R, C, and L displayed in the right half of the dialog.

  7. If you wish to use a combination of 2-port S-parameters and lumped circuit elements, select the appropriate Serial 2-Port.. transformation network, import the 2-port files for each of the physical ports 1 and 3, and adjust the remaining R, C, and L parameters.

  8. Click Embed DUT and Close the dialog.

The traces of the active channel show the characteristics of the DUT including the virtual transformation network inserted between the logical port 1 of the analyzer and the balanced DUT port.

To remove a real transformation network from a balanced port...

Suppose that your DUT has a single-ended and a balanced port and a real, known 4-port transformation network at the balanced port.

  1. Connect the DUT (including the transformation network) to your 3- or 4-port analyzer: Connect ports 1 and 3 of the analyzer to the outer connectors of the transformation network, connect port 2 to the single ended port of the DUT.

  2. Click Channel – Mode – Port Config... – Balanced Ports and Port Groups... Predefined Configs and define the appropriate balanced port configuration (see also Balanced Measurement Examples), combining ports 1 and 3 of the analyzer to logical port no. 1.

  3. Establish the necessary Channel settings (sweep range and type etc.) and select the measured quantities (Trace – Measure).

  4. Click Channel – Mode – Virtual Transform – Balanced Port Deembedding to open the Balanced Port Deembedding... dialog.

In the dialog, the Logical Port no. 1 (the only balanced port) is already selected. To virtually remove the physical network, do one of the following:

  5. If you wish to describe the network by an imported set of 4-port S-parameters, select the 4-Port transformation network, click Read Data From File, and load the parameters from a 4-port (*.s4p) Touchstone file.

  6. If you wish to describe the network by an equivalent circuit, select the circuit type and adjust the parameters R, C, and L displayed in the right half of the dialog.

  7. If you wish to use a combination of 2-port S-parameters and lumped circuit elements, select the appropriate Serial 2-Port.. transformation network, import the 2-port files, and adjust the remaining R, C, and L parameters.

  8. Click Deembed DUT and Close the dialog.

The traces of the active channel show the characteristics of the DUT without the effects of the removed physical transformation network.


Using True Differential Mode

In True Differential Mode, the analyzer can generate balanced waves at arbitrary reference planes in the test setup and determine balanced results. The true differential mode also provides two additional sweep types.

Measuring balanced wave quantities and ratios

Measuring mixed mode S-parameters

Performing an amplitude or phase imbalance sweep

Measurements on frequency-converting DUTs

Measuring balanced wave quantities and ratios...

The following example shows how to activate the true differential mode in order to perform balanced measurements on a 2-port DUT with balanced input and balanced output using a 4-port network analyzer. You can use a predefined port configuration with fixed port assignments.

To prepare the measurement,

  1. Perform a full calibration of all four (single-ended) analyzer ports, preferably using a calibration unit for automatic (TOSM) calibration. You can also use the calibration wizard, e.g. if you want to use one of the 7-term calibration types (TNA, TRL, ...); see Calibrating a Measurement Channel.

  2. Preferably, perform a source power calibration at the input of your DUT.

To obtain balanced ratios,

  1. Click Trace – Measure – Ratios – More Ratios...

  2. In the Port Configuration panel of the More Ratios dialog opened, click Balanced Ports and Port Groups.

  3. In the Predefined Configs tab of the Balanced Ports and Port Groups dialog opened, select the port configuration that is suitable for your DUT.

The true differential mode requires logical port combinations with independent power sources. Do not use ports 1/2 or ports 3/4 to create a logical port.
Exception: On R&S ZVA-Z67 network analyzers, all ports have independent internal sources. You can use true differential mode with an arbitrary combination of two source ports.

  4. Still in the Predefined Configs tab, enable True Differential Mode.

  5. Open the Def Balanced Port tab and assign the appropriate differential and common mode reference impedances to both logical ports.

  6. Click OK to close the Balanced Ports and Port Groups dialog.

  7. Connect one balanced port of your DUT to ports 1 and 3 of the network analyzer, the other balanced port of your DUT to ports 2 and 4 of the network analyzer, in accordance with the selected port combination and reference impedances.

  8. Back in the More Ratios dialog, select the balanced ratio that you wish to measure.

  9. Click OK to close the More Ratios dialog and perform the measurement.

To obtain balanced wave quantities,

  1. Calibrate your test setup, define the balanced port configuration and set the reference impedances as described above.

  2. Click Trace – Measure – Wave Quantities – More Wave Quantities...

  3. Select the balanced wave quantity that you wish to measure.

  4. Click OK to close the More Wave Quantities dialog and perform the measurement.

Measuring balanced S-parameters...

The following example shows how to activate the true differential mode in order to obtain mixed-mode S-parameters. We use a 2-port DUT with balanced input and balanced output and a 4-port network analyzer as described above.

  1. Calibrate your test setup as outlined above (Measuring balanced wave quantities and ratios)

  2. Click Trace – Measure – More S-Params...

  3. In the Port Configuration panel of the More S-Parameters dialog opened, click Balanced Ports and Port Groups.

  4. In the Predefined Configs tab of the Balanced Ports and Port Groups dialog opened, select the port configuration that is suitable for your DUT.

The true differential mode requires logical port combinations with independent power sources. Do not use ports 1/2 or ports 3/4 to create a logical port.

  5. Open the True Diff Mode tab and enable True Differential Mode.

  6. Open the Def Balanced Port tab and assign the appropriate differential and common mode reference impedances to both logical ports.

  7. Click OK to close the Balanced Ports and Port Groups dialog.

  8. Connect one balanced port of your DUT to ports 1 and 3 of the network analyzer, the other balanced port of your DUT to ports 2 and 4 of the network analyzer, in accordance with the selected port combination and reference impedances.

  9. Back in the More S-Parameters dialog, select the mixed-mode S-parameter that you wish to measure.

  10. Click OK to close the More S-Parameters dialog and perform the measurement.

You can also access all the described settings from the Measurement Wizard.

Performing an amplitude or phase imbalance sweep...

Amplitude or phase imbalance sweeps are special sweep types in true differential mode. The analyzer generates a balanced signal at one of its logical ports, however, the amplitude of one signal component or the relative phase of the two components is varied according to a selected sweep range.

In the following examples we use a 2-port DUT with balanced input and balanced output and a 4-port network analyzer as described above.

  1. Calibrate your test setup, define the appropriate port configuration and enable true differential mode as outlined above (Measuring balanced wave quantities and ratios).

To perform an amplitude imbalance sweep,

  2. Click Channel – Sweep – Sweep Type: Amplitude Imbalance.

  3. In the Amplitude Imbalance Sweep dialog opened, select the logical Port 1 (comprising the physical ports 1 and 3) as the swept port. The second logical port will continue providing an undisturbed balanced stimulus signal.

  4. Select the CW Frequency and the reference power (Source Power at 0 dB) for the sweep.

  5. Close the dialog, click Channel – Stimulus – Start to define the start power of port 3 relative to the Source Power at 0 dB.

  6. Click Channel – Stimulus – Stop to define the stop power of port 3 relative to the Source Power at 0 dB.

  7. Click Trace – Measure – More S-Params... and select the measured mixed-mode S-parameter.

  8. Click OK to close the More S-Parameters dialog and perform the measurement.

To perform a phase imbalance sweep,

  2. Click Channel – Sweep – Sweep Type: Phase Imbalance.

  3. In the Phase Imbalance Sweep dialog opened, select the logical Port 1 (comprising the physical ports 1 and 3) as the swept port. The second logical port will continue providing an undisturbed balanced stimulus signal.

  4. Select the CW Frequency and the constant Source Power for the sweep.

  5. Close the dialog, click Channel – Stimulus – Start to define the start phase difference between the physical ports 3 and 1.

  6. Click Channel – Stimulus – Stop to define the stop phase difference between the physical ports 3 and 1.

  7. Click Trace – Measure – More S-Params... and select the measured mixed-mode S-parameter.

  8. Click OK to close the More S-Parameters dialog and perform the measurement.

Measuring frequency converting DUTs...

In a true differential measurement on frequency-converting DUTs, accurate powers are of particular importance. This means that a system error calibration and a subsequent power calibration is required (see True Differential Mode on Frequency-Converting DUTs).

The following example shows how to perform scalar mixer measurements on a differential mixer with balanced RF input and IF output ports and a single-ended LO input. With a four-port analyzer, a possible test setup involves the following connections:

  • Analyzer ports 1 and 3 to the mixer's RF input port

  • Analyzer ports 2 and 4 to the mixer's IF output port

  • LO signal provided by an external generator (must be configured in the System Configuration dialog)

Perform the measurement steps in the following order:

  1. Activate scalar mixer mode: Click Channel – Mode – Scalar Mixer – Define Scalar Mixer Meas. Select the external generator as LO source and define the RF frequency range.

  2. System error correction: Connect a calibration to the four (single-ended) analyzer ports and perform a full four-port (UOSM) calibration.

  3. Power calibration: Perform a source power calibration at ports 1 and 3 (one power calibration for each true differential port).

  4. Activate true differential mode: Open the Balanced Ports and Port Groups dialog as described above, combine ports 1 / 3 and ports 2/ 4 to balanced ports, and enable true differential mode.

  5. Measurement: Connect the DUT and measure the desired balanced or mixed mode S-parameters (Trace – Measure...).


Harmonics Measurements

In the Harmonic Distortion menu you can measure arbitrary harmonics or ratios between harmonics and the fundamental wave (harmonic distortion factor).

Measuring harmonics

Measuring harmonic distortion factors

To measure a harmonic of arbitrary order n...

  1. Reset the analyzer to ensure that the following operating mode is set: Sweep Type: Lin. Frequency, Trace - Meas.: S21, Trace - Format: dB Mag.

  2. Open the Channel - Stimulus menu and reduce the Stop frequency to the maximum frequency of your analyzer divided by n where n is the order of the harmonic you want to measure.

  3. Click Channel - Mode - Harmonics - More Harmonics. In the dialog opened select the Harmonic Order you want to measure.

  4. Adjust the Source port and the receive port (Harmonics Measured at) to your test setup (for a DUT connected between port 1 and 2 of the analyzer you can keep the default settings).

  5. Close the More Harmonics dialog to enable the harmonics measurement and observe the changed default trace Trc1.

The trace shows the nth harmonic as a wave quantity b2. The measured quantity is changed automatically when the harmonics measurement is enabled.

Use 2nd Harmonic Port1 to Port2 and 3rd Harmonic Port1 to Port2 to activate the measurement of the second and third harmonics with a single menu command.

To obtain a harmonic distortion factor...

  1. Reset the analyzer to ensure that the following operating mode is set: Sweep Type: Lin. Frequency, Trace - Meas.: S21, Trace - Format: dB Mag.

  2. Open the Channel - Stimulus menu and reduce the Stop frequency to the maximum frequency of your analyzer divided by n where n is the order of the harmonic distortion factor you want to measure.

  3. Click Channel - Mode - Harmonics - More Harmonics. In the dialog opened select the Harmonic Order you want to measure.

  4. Adjust the Source port and the receive port (Harmonics Measured at) to your test setup (for a DUT connected between port 1 and 2 of the analyzer you can keep the default settings).

  5. Close the More Harmonics dialog to enable the harmonics measurement.

  6. Click Relative Measurement and observe the new mathematical trace Trc2.

The trace belongs to a new channel Ch2 and shows the nth harmonic distortion factor as a wave quantity b2. With the default trace format the result is displayed in dB units.


Pulse Profile

Pulsed Measurements

With option ZVA-K7, Pulsed Measurements, the analyzer provides pulse profile measurements. The pulsed signal must be generated by external means (e.g. using an R&S ZVAXxx extension unit); see introduction to Pulsed Measurements and Using Pulse Modulators.

Activating a basic pulse profile measurement

Measuring a DUT with a transmission delay.

Activating a Basic Pulse Profile Measurement

In this example we assume that a pulsed signal (e.g. a signal from an external signal generator) is fed to the SOURCE IN connector of the analyzer port 1 so that it can be used as a port 1 source signal. A DUT is connected between the test ports 1 and 2 of the analyzer; the transmitted pulsed signal is measured at port 2.

We also assume that the signal generator provides a trigger signal which is synchronized to the pulses and applied to the BNC connector EXT TRIGGER on the rear panel of the analyzer. Synchronization of the analyzer and the signal generator by means of a common reference clock is preferable.

The analyzer measures the pulse profile, i.e. the magnitude of the received wave quantity (typically b2) vs. time.

  1. Select the appropriate measured quantity and trace format (Trace – Measure – Wave Quantities – b2 Source Port 1 and Trace – Format – dB Mag).

  2. Click Channel – Sweep – Trigger: External and trigger the measurement on the Rising Edge of the trigger signal.

  3. Click Channel – Sweep – Sweep Type – Pulse Profile.

  4. Click Define Pulse Profile to access the basic measurement settings.

  5. Adjust the Start and Stop times to the pulse width of your signal: Make sure that Stop – Start exceeds the width of a single pulse.

  6. Adjust the Center Freq to the carrier RF frequency of your pulsed signal.

  7. Observe the pulse profile in the diagram area. If desired, vary the If Bandwidth and the Number of Points.

The x-axis of the active diagram is linearly scaled and labeled with the Start and Stop times.

Switching off the internal RF generator while an external generator is used can improve the measurement accuracy. Channel – Power Bandwidth Average – RF Off also deactivates external generators, so you have to use the settings in the Source section of the Port Configuration dialog (with option R&S ZVA-K4).

Measuring a DUT with a Transmission Delay

In this example we introduce a chopper between the SOURCE OUT and the SOURCE IN connectors of the analyzer port 1 (see Direct Generator/Receiver Access). The chopper transforms the CW source signal at port 1 into a pulsed signal. In addition a DUT with an attenuation factor of 16 dB and a transmission delay of 100 ns is inserted between port 1 and Port 2 of the analyzer.

The analyzer measures the pulse profile of the reflected and transmitted waves, i.e. the magnitudes of the wave quantities a1 and b2 vs. time and calculates the forward transmission coefficient S21.

  1. Create three traces and select the measured quantities and trace formats (Trace – Measure – Wave Quantities – a1 etc., Source Port 1 and Trace – Format – dB Mag).

  2. Press Channel – Sweep – Trigger: External and trigger the measurement on the Rising Edge of the trigger signal.

  3. Click Channel – Sweep – Sweep Type – Pulse Profile.

  4. Click Define Pulse Profile to access the basic measurement settings.

  5. Adjust the Start and Stop times to the pulse width of your signal: Make sure that Stop – Start exceeds the width of a single pulse.

  6. Adjust the Center Freq to the frequency of your pulsed signal.

  7. Observe the pulse profile in the diagram area. If desired, vary the If Bandwidth and the Number of Points.

Due to the delay and the attenuation introduced by the DUT, the wave b2 is shifted with respect to a1.as shown below.

The magnitude of the S-parameter S21 is distorted at the beginning and at the end of the pulses because the analyzer divides the two wave quantities at equal times.

  9. Re-open the Define Pulse Profile dialog and click Receiver Settings...

  10. In the upper part of the Receiver Settings dialog, select the following values:

  11. Close the configuration dialogs and observe the offset-corrected traces.

In the diagram area, the wave quantity is shifted so that the a1 and b2 pulses coincide. This also removes the distortions of the S-parameter.


Using Pulse Modulators

In combination with an extension unit R&S ZVAX24, the R&S ZVA vector analyzer can create a pulsed RF signal and perform pulse profile measurements. Other R&S ZVAX measurements involve similar measurement stages.

Required Equipment

Measurement Principle

Connecting the Extension Unit

ZVAX Path Configuration

Pulse Generator Signals

Pulse Profile Mode

Measurement

Required Equipment

The pulse profile measurement can be carried out with the following equipment:

  • Network analyzer (NWA) R&S ZVA24 with a firmware version V2.60 or higher and a motherboard ID number 1305.6470.02 (see "Info > Hardware Info ...")

  • Option R&S ZVA-K27, "Pulse Generator"

  • Option R&S ZVA-K7, "Pulsed Measurements"

  • Option R&S ZVA<n>-B16, "Direct Generator/Receiver Access" at source port 1

  • One R&S ZVAX24 extension unit equipped with option R&S ZVAX24-B271, "Pulse Modulator Port 1"

Measurement Principle

The pulse modulator option R&S ZVAX24-B271 provides a pulsed source signal at the NWA port 1. Pulse width and period are determined by the used pulse generator, which can e.g. be the internal pulse generator of the NWA provided by option R&S ZVA-B27. This option also provides a second "Sync" signal that can be used to synchronize the measurement to the rising edge of the generated pulses.

The DUT is connected between the test ports 1 and 2 of the analyzer; the transmitted pulsed signal is measured at port 2 using the analyzer's "Pulse Profile" mode.

The measurement involves the following steps:

  1. Connection of the extension unit

  2. Configuration of the extension unit for the selected measurement and test setup ("ZVAX Path Configuration")

  3. Definition of the pulse generator and the trigger settings

  4. Configuration of the "Pulse Profile" mode

  5. Calibration

  6. Connection of the DUT and measurement

Power calibrations and system error corrections for test setups with an extension unit can be performed in the ordinary way.

Connecting the Extension Unit

The pulse profile measurement requires the following connections between the network analyzer and the extension unit.

  • RF connection: Connect SOURCE IN (ZVAX) to SOURCE OUT (NWA) and SOURCE OUT (ZVAX) to SOURCE IN (NWA).

  • Control connection: Connect USB FROM NWA (ZVAX) to any of the USB type A connectors at the front or rear panel of the NWA.

  • Pulse generator connection: Connect CASCADE IN (ZVAX) to CASCADE (NWA) using the using the RJ-45 cable supplied with the extension unit.

The DUT is connected between the analyzer ports 1 and 2. The schematic test setup is shown below.

ZVAX Path Configuration

When the extension unit is connected to the network analyzer as described before, it is possible to select the modules to be looped into the signal path(s) and the routing of the pulse generator signals. This is done in the "ZVAX Path Configuration" dialog ("Channel > Mode > ZVAX Path Configuration"). The schematic in this dialog shows all RF modules installed in the extension unit.

The dialog below corresponds to a fully equipped extension unit. The source signal path for port 1 corresponds to the highlighted section in the center.

  1. Use the radio buttons in the "ZVAX Path Configuration" dialog to activate the "Src 1 Pulse Modulator". If your extension unit contains a harmonic filter or combiner, select the corresponding through paths.

  2. Press "Pulse Generators" and make sure that the "Modulator Source" and the "Modulator Assignment" settings are as shown below.

Pulse Generator Signals

The pulse generator provides single pulses with defined width and period or sequences of pulses (pulse trains). In the example below, a single pulse with a width of 1.4 μs is generated. The pulse is repeated after a pulse period of 5 μs. The second pulse generator signal ("Sync" signal) can be used to synchronize the measurement to the pulse or pulse period.

  1. Click "Channel > Sweep > Sweep Type > Pulse Generator" to activate the pulse generator signal.

  2. Click "Def Pulse Generator..." and configure the "Pulse Parameters" as shown above.

  3. In the "Define Pulse Generator" dialog, click "Define Sync Generator..." and ensure that the "Sync" signal is configured as shown below.

  4. Click "Channel > Sweep > Trigger > Pulse Gen..." to select the pulse generator as trigger source. The dialog "Pulse Gen Trigger" opens. Close it without modifying the default setting ("Rising Edge Sync").

Pulse Profile Mode

The pulse profile mode of the network analyzer is particularly suited for measurements on pulsed signals. The parameters must be adjusted to the pulse generator settings. In the example below, the start and stop time have been adjusted to view the 1.4 μs pulse width defined previously.

  1. Click "Channel > Sweep > Sweep Type > Pulse Profile" to activate the pulse profile mode.

  2. Click "Define Pulse Profile..." and configure the "Time Parameters" as shown above.

Measurement

After power calibration and system error correction, the pulsed measurement can be performed as outlined in section Pulse Profile Mode. All measured quantities (S-parameters, wave quantities, ratios etc.) and other trace settings are available.

The following example shows the reflected wave a1, the transmitted wave b2, and the forward transmission coefficient S21 of a DUT with the settings of the previous sections.

The steepness of the edges of the S21 pulse arises from ratioing (b/a) and does not provide a measure for the rise and fall times of the pulse itself.


Noise Figure Measurement

The following example outlines the essential steps for a noise figure measurement. The measurement comprises the following stages:

  1. Activating the measurement and basic settings

  2. Power and noise figure calibration

  3. S-Parameter calibration

  4. Measurement

The procedure described below is valid for a test setup with the following external devices:

  • An attenuator between the NWA source port and the DUT input limits the source power.

  • A pre-amplifier between the DUT output and the NWA receive port can reduce the noise figure of the NWA receiver.

The Noise Figure Setup Guide guides you through the measurement procedure outlined below. All required settings and dialogs are accessible from the setup guide.

Test setup for noise figure measurement

We assume that Port 1 is used as the NWA source port, Port 2 is used as the receive port. Generalization to other port assignments or to test setups without external attenuator and/or pre-amplifier is self-explanatory.

To activate the measurement...

  1. Reset the analyzer to ensure that the basic operating mode is set: Sweep Type: Lin. Frequency, Trace - Measure: S21, Trace - Format: dB Mag.

  2. Adjust the sweep range to your DUT, e.g. Channel - Stimulus - Start: 1GHz, Stop: 6 GHz.

  3. Open the Channel - Mode - Noise Figure Meas menu and select Define Noise Figure Measurement.

  4. Keep the default settings for measurement time and mode; click OK to activate the noise figure measurement.

After activating the measurement, the Noise Figure Calibration function is available.

Performing a power and noise figure calibration...

Calibration involves several stages. The first stage is a regular power calibration of the NWA source and receiver.

  1. Connect an external power meter to the end of the cable between the NWA source port (port 1) and the attenuator input.

  2. Select Channel - Calibration - Start Power Cal - Source Power Cal and calibrate the port 1 source power in the usual way. Ensure that the calibrated source power will not overdrive the pre-amplifier / NWA receiver system.

  3. Remove the external power sensor and close the connection between port 1 and port2.

  4. Select Channel - Calibration - Start Power Cal - Receiver Power Cal and calibrate the port 2 receiver power (wave quantity b2) in the usual way. For high input powers at the NWA receive port, it is recommended to set the IF Gain b to Low Distortion (Channel - Mode - Port Configuration). Make sure that the power calibration is applied to the active channel.

The power calibration is complemented by a Noise Figure Calibration.

  5. Select Channel - Mode - Noise Figure Meas - Noise Figure Cal to open the calibration wizard.

  6. Perform the three calibration steps as described in section Noise Figure Calibration. Make sure that the calibration is applied to the active channel.

Performing an S-parameter calibration...

An S-parameter calibration is required for S-parameter measurements in parallel to the noise figure measurement. You can choose between a one path two port and a full two port calibration for the analyzer ports 1 and 2. It is recommended to select the AVG detector in the calibration wizard.

Perform a manual or automatic calibration for your test setup as outlined in the Calibration example.

To measure the noise figure...

The default trace shows the forward transmission coefficient S21, which is a measure of the gain, if the measured DUT is an amplifier. For a wide class of test setups the noise figure of the DUT can be measured and displayed in parallel to the S-parameters.

  1. Establish the measurement test setup, connecting the external attenuator and the DUT as shown above (see Test setup for noise measurement).

  2. Select Trace - Trace Select - Add Trace + Diag Area to create a new trace Trc2.

  3. Select Trace - Measure - Noise Figure. In the dialog opened, ensure matching port assignments (Dut Input: Port 1, Dut Output: Port 2) and click OK.

The new trace Trc2 shows the noise figure of the DUT. You do not have to repeat any of the preliminary steps (activation, calibration ...) if you wish to measure several DUTs using the same channel settings.

The figure below shows the noise figure and gain of a 3 dB amplifier. For convenience, the two traces Trc1 and Trc2 were renamed Noise_Figure and Gain, respectively. The second trace was assigned to a second channel.


About MMI Refererence

GUI Reference

This chapter explains all functions of the analyzer and their application. It is organized according to the menus/softkey groups of the user interface.

Control Menu

File Menu

Trace Menu

Channel Menu

Display Menu

System Menu

Window Menu

Info Menu

Help Menu

The topics in this chapter can be called up directly using the HELP key or the Help buttons in the dialogs. A link at the end of each function description leads to the corresponding remote control command.

For a general overview of the analyzer's capabilities and their use refer to the System Overview.


Control Menu

Control Menus

The Control menus provide standard Windows™ functions to control windows. The analyzer provides two types of Control menus with analogous function:

  • Clicking the [image] icon opens the Control menu for the main application window. To access this icon the Title Bar of the main application window must be open.

  • Clicking a [image] icon opens the Control menu for an individual setup window. If a setup window is maximized, the icon is placed to the left of the File menu.

Double-clicking a control icon is the same as clicking the [image] icon or the Close menu command.

(No direct access via front panel keys)

The Control menu contains the following functions:

  • Restore returns the active window to its size and position.

  • Move displays a cursor symbol to moves the active window within the available space.

  • Size displays a cursor symbol to size the active window.

  • Minimize reduces the active window to an icon.

  • Maximize enlarges the active window to fill the available space.

  • Close closes the application.

  • Next switches to the next open setup window.

Restore

Returns the maximized or minimized active window to its size and position. Restore is available after a Maximize or Minimize command only.

Move

Displays a four-headed arrow to move the active window with the arrow keys or with the mouse.

Moving a setup window

This command is unavailable for maximized windows.

Size

Displays a four-headed arrow to change the size of the active window using the arrow keys or the mouse.

Sizing a setup window

Minimize

Reduces the active window to an icon.

You can also configure the NWA application to be started with a minimized window; see Startup Procedure.

Maximize

Enlarges the active window to fill the available space.

Close

Closes the active setup window (setup control menu) or ends the analyzer session (application control menu).

  • In a setup window the analyzer suggests to save changes to the setup before closing it. If a setup is closed without saving, all changes made since the last time it was saved are lost.

  • In the application window the analyzer prompts you to save setups with unsaved changes.

The Close application command is equivalent to the Exit command in the File menu. Moreover Close is the same as double-clicking a Control menu icon or clicking the [image] icon in the title bar of the active window.

Next

Selects the next diagram area as the active diagram area. This command is available in setup control menus only and is disabled if only one setup is defined.


A setup comprises a set of diagram areas with all displayed information that can be stored to a NWA setup file (*.zvx). Each setup is displayed in an independent window.

  • The Window menu commands arrange different windows on the screen.

  • The File menu is used to organize setups.

The relation between global settings, setups, channels and traces is described in the Basic Concepts section.

The default R&S logo (file Logo.gif) is stored in the Resources\Images subdirectory of the NWA program directory and can be replaced by another logo.

File Menu

The File menu provides standard Windows™ functions to create, save, recall or print setups, to copy the current screen and to shut down the application.

Setups

The File menu contains the following functions:

  • New creates a new setup and opens a new setup window.

  • Close closes an opened setup window.

  • Print prints a setup.

  • Print Preview displays the setup on the screen as it would appear printed.

  • Page Setup... selects a printer and printer connection.

  • Print to Clipboard copies the screen contents to the clipboard in order to be pasted into another application.

  • Print to File... opens a dialog to select a file and file format to store the screen contents.

  • Save saves an opened setup to a specific file.

  • Open/Recall recalls an existing setup from a file.

  • Window displays the softkeys of the Window menu.

  • Trace Data opens a submenu to store one or several data or memory traces to a file or loads a memory trace from a file. The submenu is also part of the Trace menu (Trace – Trace Funct –Import/Export Data).

  • 1 Set<n>.zvx etc. is a list of the last 4 setups stored in the current or in previous sessions.

  • Exit closes the application.

New

Creates a new setup and opens a new setup window. The new setup is named Setup<n> where <n> is the current number for all created setups.

To open an existing setup, select File – Open / Recall. To rename a setup, use File – Save As.

Remote control:

MEMory:DEFine "<setup_name>"

Close

Closes an opened setup window. The analyzer suggests to save changes to the setup before closing it. If a setup is closed without saving, all changes made since the last time it was saved are lost.

Remote control:

MEMory:DELete[:NAME] "<setup_name>"

Print

Prints the active setup. This command opens a standard Windows™Print dialog box to, specify the range of pages to be printed, the number of copies, the destination printer, and other printer setup options.

Remote control:

The commands in the HCOPy... system provide the printer settings.
HCOPY[:IMMediate] initiates the print.

Print Dialog

Provides options to specify how the setup should be printed. Print is opened by means of the File – Print... command.

The following printer options are remembered when the dialog is closed:

  • Select Printer displays the active printer and printer connection. The printers and printer connections can be selected from the Name drop-down list.

  • Preferences opens a dialog to select the layout and paper format and specify further printer options.

  • Find Printer opens a dialog to select and install a printer that is not yet installed on the instrument.

  • Page Range specifies the pages to be printed. The analyzer prints the entire setup.

  • Number of Copies specifies the number of copies to be printed for the above page range.

To select further printer options, open the Print Setupdialog.

Remote control:

HCOPy:DESTination
HCOPY[:IMMediate].

Print Preview

Displays the active setup as it would appear when printed. The analyzer generates one printed page for each diagram area in the setup. The main window is replaced with a print preview window in which one or two pages/diagram areas are displayed in their printed format.

Across the top of the screen the print preview toolbar offers options to view either one or two pages/diagram areas at a time; move back and forth through the setup; zoom in and out of pages/diagram areas (2 steps possible); initiate a print job or close the preview without printing:

Remote control:

No commands for check on screen.
HCOPY[:IMMediate] initiates the print.

Page Setup

Selects a printer and a printer connection. This command presents a Page Setup dialog box to specify the printer and its connection.

Page Setup Dialog

Provides options to specify how the document should be printed. Page Setup is opened by means of the File –Page Setup...command.

  • Paper – Size specifies the size of paper that the document is to be printed on.

  • Paper – Source specifies the paper source, because some printers offer multiple trays for different paper sources.

  • The radio buttons in the Print panel specify whether or not different diagram areas are printed on different pages.

  • The radio buttons in the Orientation panel specify whether the pages are printed in Portrait or Landscape format.

  • The Margins panel contains input fields to define a margin on each of the four edges of the pages.

  • The check boxes in the Add panel select additional information to be included in the printed document.

  • Printer... opens the Page Setup dialog to select the printer and printer connection. The printers can be selected from the Name drop-down list. Network... opens a dialog to configure the printer connections. Properties opens a dialog to select the layout and paper format and specify further printer options.

  • Preview shows the active setup as it would appear when printed.

To select the Print Range and start printing, open the Print dialog. To install printers and configure ports use the Control Panel.

Remote control:

HCOPy:DESTination
HCOPy:DEVice:LANGuage
HCOPy:ITEM:ALL
HCOPy:ITEM...
HCOPy:PAGE...
HCOPy:ORIentation
HCOPY[:IMMediate].

Print to Clipboard

Copies the current screen or a portion of it to the clipboard in order to be pasted into another application.

Use Print to File to copy the screen contents to a file with a selectable bitmap format. Print to File also provides options to specify which portion of the screen is copied to the clipboard.

Print to File

Opens a Print to File dialog to select a file and file format to store the current screen contents.

Remote control:

HCOPy:DESTination 'MMEM'

Print to File Dialog

Provides options to specify how the screen contents are stored to a file. Copy Display is opened by means of the File –Copy Screen to File command.

  • Save in specifies the drive and directory in which the screen contents are stored. The icons to the right of the pull-down list are provided for easy navigation in the file system (place the cursor on the icons to obtain What's this? help).

  • File Name specifies a file name to save the screen contents. The analyzer adds the extension (e.g. *.emf) selected in the Save As Type box.

  • Save saves the screen contents in the selected file and directory and closes the dialog. The print options are maintained and can be reused when Print to File is used for the next time.

  • Cancel closes the dialog without saving the screen contents.

  • The Options... panel provides options to specify whether the entire screen (All Diag. Areas) or a portion of it (Active Diag. Area, Marker Table Only) is copied, whether or not the logo, date and time is placed above the selected output, and whether the analyzer displays a message to be confirmed before overwriting an existing file. The options are remembered when the dialog is closed.

After a file has been saved, the selected copy Options are also used if the screen is copied to the clipboard.

Remote control:

HCOPy:DESTination 'MMEM'
HCOPy:DEVice:LANGuage
HCOPy:MITEM...
HCOPy:MPAGe:WINDow
HCOPY[:IMMediate].

Save

Saves and names the active setup. The analyzer opens a standard Windows™Save As dialog box to select a NWA setup file name (*.zvx) and location for the setup file.

Remote control:

MMEMory:STORe:STATe 1,"<file_name>"

Save As Dialog

Specifies the name and location of a particular file (e.g. a NWA setup file) to save:

  • File Name specifies a file name to save the current data (e.g. the setup). The analyzer adds the extension (e.g. *.zvx) in the Save As Type box.

  • Save in specifies the drive and directory in which the data is stored. The icons to the right of the pull-down list are provided for easy navigation in the file system (place the cursor on the icons to obtain What's this? help).

  • Save saves the data (e.g. the active setup) in the selected file and directory and closes the dialog.

  • Cancel closes the dialog without saving the data.

The Save As dialog is used to store various data types (e.g. cal kit data, limit lines, sweep segment lists, ...). Depending on its use the dialog is opened with different file locations and data types. File locations (directories) are remembered when the dialog is closed. To restore default directories use the System –System Configuration – Resets dialog.

Open / Recall

Recalls an existing setup from a file. The analyzer opens a standard Windows™Open File dialog box to select the file from all NWA setup files (*.zvx) stored on the file system.

It is not possible to open the same setup in different windows. If an opened setup is changed and an attempt is made to open the same setup again the analyzer displays a warning:

Yes overwrites the changes in the opened setup, No closes the message box, leaving the opened setup unchanged.

It is possible to create and open several setup files with the same contents but different names or locations. To open/recall a setup file (*.zvx) you can also use the Windows Explorer and simply double-click the file or drag and drop the file into the NWA application. The imported setup becomes the active setup.

Remote control:

MMEMory:LOAD:STATe 1,"<file_name>"

Open File Dialog

Specifies the name and location of a particular file (e.g. a NWA setup file) to open:

  • Look in specifies the drive and directory in which the file to open is stored. The icons to the right of the pull-down list are provided for easy navigation in the file system (place the cursor on the icons to obtain What's this? help).

  • File Name specifies a file name (e.g. a setup file, *.zvx) to open. The file can be selected by clicking on the directory overview above.

  • Open opens selected file and closes the dialog.

  • Cancel closes the dialog without opening a setup file.

Recent File

Is a placeholder which is replaced by a list of the last 4 setups stored in the current or in previous sessions. Clicking an item in the list opens the corresponding setup.

Use the setup list in the Window menu to switch between different open setups.

Remote control:

MEMory:CAT? (returns a list of the loaded files).

Exit

Ends the analyzer session. The analyzer prompts you to save setups with unsaved changes.

This command is equivalent to the Close command on the application Control menu.


A trace is a set of data points that can be displayed together in a diagram area. The trace settings specify the mathematical operations used in order to obtain traces from the collected data. They can be divided into several main groups:

  • Selection of the measured quantity (S-parameters, wave quantities, ratios, impedances,...)

  • Conversion into the appropriate display format and selection of the diagram type

  • Scaling of the diagram and selection of the traces associated to the same channel

  • Readout and search of particular values on the trace by means of markers

  • Limit check

The trace settings complement the definitions of the Channel menu. Each trace is assigned to a channel; see Traces, Channels and Diagram Areas. The channel settings apply to all traces assigned to the channel.

Trace Menu

The Trace menu provides all trace settings and the functions to select, modify and store different traces. In addition the menu provides the marker, search and limit check functions.

Traces

The Trace menu contains the following functions and submenus:

  • Measure selects the quantity to be measured and displayed.

  • Format defines how the measured data is presented in the graphical display.

  • Scale defines how the current trace is presented in the diagram selected in the Format submenu.

  • Trace Select provides functions to handle traces and diagram areas, and assign traces to channels.

  • Trace Funct(ions) store traces to the memory and perform mathematical operations on traces.

  • Marker positions markers on a trace, configures their properties and selects the format of the numerical readout.

  • Search uses markers to locate specific points on the trace.

  • Marker Funct(ions) define the sweep range, scale the diagram and introduce an electrical length offset using the active marker.

  • Lines defines limits for measured values and activates the limit check.


Trace - Measure

S-parameters S<out>< in> characterize the Device Under Test, so the indices <out> and < in> denote the output and input ports of the DUT. Analogously the waves a1 and a2 are referred to as incident waves, b1 and b2 to as outgoing waves.

The analyzer measures the waves a1, b1, ... at its own test ports in order to obtain S-parameters, ratios and other derived quantities. The test ports of the analyzer are numbered, so it is convenient to use them as a reference, defining port number n of the DUT as the port connected to test port n of the analyzer. With this convention the waves an and bn have the following meaning:

  • an is the wave transmitted at test port no. n of the analyzer (stimulus signal) and fed to port number n of the DUT (incident wave).

  • bn is the wave transmitted at port number n of the DUT (response signal) and received at test port no. n of the analyzer (received wave).

The settings made in the Balanced and Measured Ports dialog are channel settings and therefore apply to all traces assigned to the channel (Balanced and Measured Ports is also accessible through Channel –Mode –Port Config...). Within a channel the analyzer measures either single-ended or mixed mode parameters. If a balanced test port configuration is selected the single-ended parameters assigned to the channel are converted into mixed mode parameters.

Measure

The Measure submenu selects the quantity to be measured and displayed.

Measured quantities

  • S11 , S12, S21, S22 select the four elements of the standard 2-port scattering matrix (S-parameters).

  • More S-Parameters opens a dialog to select S-parameters for multiport measurements or mixed mode S-parameters.

  • Ratios opens a submenu to select and define ratios of wave quantities.

  • Wave Quantities opens a submenu to select the absolute (unratioed) power of the analyzed signals (wave quantities).

  • Intermod Distortion Quantities provides the results of the intermodulation distortion measurement (intermodulation products, intercept points, noise level).

  • Mixer Delay Meas provides the group delay of a mixer and derived results

  • Impedance opens a submenu to convert reflection S-parameters into matched-circuit impedances (converted Z-parameters).

  • Admittance opens a submenu to convert reflection S-parameters into matched-circuit admittances (converted Y-parameters).

  • Z-Parameters opens a dialog to select arbitrary open-circuit impedance parameters describing a linear circuit.

  • Y-Parameters opens a dialog to select arbitrary short-circuit admittance parameters describing a linear circuit.

  • Stability Factor selects one of the three factors K, μ1 or μ2 to assess the stability of linear circuits (e.g. amplifiers).

  • Imbalance opens a dialog to select the imbalance for balanced ports.

  • All S-Params displays all S-parameters that the analyzer can measure in the appropriate diagram areas.

  • DC Inputs selects and configures the measurement of DC powers and the Power Added Efficiency (PAE).

  • Power Sensor opens a configuration dialog for the measurement of wave quantities using an external power meter.

  • Noise Figure selects the results of the Noise Figure measurement (with option R&S ZVAB-K30).

Port assignments of the DUT and the analyzer

The analyzer offers various diagrams and display formats to visualize the results. The analyzer places no restriction on the formats that are available for each measured quantity. However, to keep the interpretation simple, it is recommended to select an appropriate display format; see Trace - Format.

S11, S12, S21, S22

Select one of the four elements of the standard 2-port scattering matrix (S-parameters).

The S-parameters are the basic measured quantities of a network analyzer. They describe how the DUT modifies a signal that is transmitted or reflected in forward or reverse direction. S-parameters are expressed as S<out>< in>, where <out> and <in> denote the output and input port numbers of the DUT.

Meaning of S-parameters

A full 2-port S-parameter measurement involves 2 stages (referred to as partial measurements) with interchanged drive and receive ports. The analyzer automatically switches the internal power sources and the receivers to obtain the desired S-parameters.

Remote control:

CALCulate<Ch>:PARameter:MEASure "<Trace_Name>", "S11" | "S12" | "S21" | "S22"
[SENSe<Chn>:]FUNCtion[:ON] "...:POWer:S<11 | 12 | 21 | 22>"

Create new trace and select name and measurement parameter:
CALCulate<Ch>:PARameter:SDEFine "<Trace_Name>", "S11" | "S12" | "S21" | "S22"

Use CALCulate<Ch>:PARameter:DEFine:SGRoup to create traces for all S-parameters associated with a group of logical ports.

S-Parameters in Frequency-Converting Modes

The concept of S-parameters can be extended to a- and b-waves with different frequencies. The network analyzer supports S-parameters for the following frequency-converting measurement scenarios:

  • Reflection measurements (S11, S22 ...) at ports with a source frequency fb (channel base frequency), provided that the source port waves are measured at the source frequency (see Port Configuration dialog) and a one-port calibration is available.

  • Vector mixer measurements

At present, S-parameter measurements are not suited for general port configurations with different frequencies. The system error correction of S-parameters in frequency-converting measurement modes is subject to change in future firmware versions.

More S-Parameters

Opens a dialog to select S-parameters for multiport measurements (including the 2-port S-parameters) or mixed mode S-parameters.

The More S-Parameters dialog provides the following settings:

  • S-Parameter selects the type (left pull-down list) and the port number assignment (right pull-down list) of the S-parameter. Mixed mode parameters are only available if a balanced port configuration is active. They are expressed as S<mout><min>, where <mout> and <min> denote the output and input port modes. The port numbers are assigned in the order S<out>< in>, where <out> and <in> denote the output (response) and input (stimulus) port numbers of the DUT.

  • The graphics in the Port Configuration panel depicts the current port configuration. Balanced and Measured Ports opens the Balanced Port and Port Groups dialog to define the properties of the test ports. Single-ended (unbalanced) S-parameters are assigned to the physical test ports of the analyzer. Balanced S-parameters are assigned to logical test ports. Selecting a balanced port configuration with logical test ports means that the unbalance-balance conversion is switched on and that the analyzer provides mixed mode S-parameters.

  • Detector selects the algorithm that is used to calculate the displayed trace from the individual measurement points. In the average (AVG) detector mode, it is possible to define the detector observation time (Meas. Time) for each single measurement point. The average detector is particularly suitable for S-parameter measurements in parallel to a noise figure measurement (option R&S ZVAB-K30), where an alternative reduction of the measurement bandwidth is not possible. For an overview of detector settings refer to section Detector.

The port configuration is valid for all traces in the channel

Single-ended and mixed mode S-parameters

Remote control:

CALCulate<Ch>:PARameter:MEASure "<Trace_Name>", "S11" | "S12" | "S21" | "S22"
[SENSe<Chn>:]FUNCtion[:ON] "...:POWer:S<11 | 12 | 21 | 22>"

Create new trace and select name and measurement parameter:
CALCulate<Ch>:PARameter:SDEFine "<Trace_Name>", "S11" | "S12" | "S21" | "S22"

Use CALCulate<Ch>:PARameter:DEFine:SGRoup to create traces for all S-parameters associated with a group of logical ports.

Single-Ended and Mixed Mode Parameters

The analyzer measures single-ended (unbalanced) parameters (S-parameters, impedances, admittances, Z-parameters, Y-parameters) unless a balanced port configuration is selected. In the More S-Parameters dialog and the analogous dialogs for the other quantities, the left parameter selection field shows the parameter type (S, Y, Z) and is disabled (grayed). The range of output and input port numbers <out> and <in> depends on the analyzer model.

The analyzer switches to mixed mode parameter measurement if a balanced port configuration is selected. The left parameter selection field is enabled and offers a selection of matrices S<mout><min> (or Z<mout><min>, ...) where <mout> and <min> denote the output and input port modes. The following three output or input modes are available:

  • s: Single-ended (for unbalanced ports)

  • d: Differential mode (for balanced ports)

  • c: Common mode (for balanced ports)

All possible combinations of mixed mode parameters (e.g. Sss, Scs, Sds, Sdd,..., Zss, Zcs,...) are provided. Sss is used for unbalanced S-parameters if the balanced-unbalanced conversion is active; otherwise the port mode indices ss are omitted.

The selected modes must be compatible with the port configuration. If an attempt is made to select an incompatible parameter (e.g. a single-ended parameter for a balanced port), the analyzer displays an error message.


Ratios

Ratios of balanced wave quantities are only available if the True Differential Mode is active; see background information below. The input (stimulus) or output (response) port number is selected in the right pull-down list. The range of output and input port numbers depends on the analyzer model.

The measurement process for external generators Gen 1, Gen2... in the Source Port list differs from the measurement process for internal source ports:

  • An external generator always represents a permanent signal source that is switched on for all partial measurements. In contrast, an analyzer port is switched off for partial measurements that do not require a source signal. Exception: Internal ports can be configured as permanent sources (see Gen setting in the Sourcesection of the Port Configuration dialog).

  • The external source is measured in the first partial measurement where an internal source is active. This means that no separate partial measurement for the external generator signal is needed. If no internal source is needed at all, the external source is measured in the first partial measurement.

If a balanced port configuration is selected and the True Differential Mode is active, the left Numerator and Denominator pull-down lists contain the following wave types:

  • as, bs: Single-ended incident (a) or outgoing (b) wave. To select this wave type, the selected port must be unbalanced. If the port configuration contains no unbalanced ports, the single-ended wave quantities are hidden.

  • ad, ac, bd, bc: Balanced incident (a) or outgoing (b) waves. d and c distinguish between the differential and common mode; see Wave Quantities and Ratios.

selects the default detector mode where each measurement point is displayed without modification as soon as it is recognized to be valid. The analyzer then proceeds to the next sweep point. Normal detector mode ensures that the measurement is performed at maximum speed and that a meaningful complex result is obtained.

collects all valid results at each sweep point during the Meas. Time set in the More S-Parameters, More Ratios or More Wave Quantities dialog and calculates the complex arithmetic mean value of these results. This yields the complex average of the wave quantities or ratios. Averaging tends to remove statistical fluctuations (e.g. noise contributions) from the measured signal.
The average(AVG) detector is also used for the noise figure measurement.

collects all valid results at each sweep point during the Meas. Time set in the More Ratios or More Wave Quantities dialog and selects the result with the maximum magnitude (maximum power) as the measurement point. Note that the phase is not evaluated in this process so that complex conversions (e. g. the calculation of real and imaginary values) do not really make sense.

collects all valid results at each sweep point during the Meas. Time set in the More Ratios or More Wave Quantities dialog and calculates the root mean square (RMS) of the linear magnitude of these results. This yields the magnitude of the measurement point. Note that the phase is not evaluated in this process so that complex conversions (e. g. the calculation of real and imaginary values) do not really make sense.

In the Peak, RMS, and AVG detector settings, the sweep time cannot be smaller than the detector observation time (Meas. Time) set in the More Ratios or More Wave Quantities dialogs. The sweep time can be larger if additional delays are taken into account. Changing the Meas. Time affects the sweep time. On the other hand, increasing the Sweep Time in the Channel – Sweep menu leaves the Meas. Time unchanged

The detector setting in the More Ratios menu affects the ratio of a numerator and a denominator wave quantity. This does not place any restrictions on the measurement functionality of the analyzer, because ratios can also be formed by measuring the numerator and denominator individually and using the trace functions. A possible application is the comparison of different detector settings for a particular trace.

The second analyzer and the quantities a'1, b'1, a's1, a'c1,... are suited for a comparison of two signals or signal components at different frequencies (two tone signals). Typical examples are:

  • Measurement of intermodulation products

  • Adjacent Channel Power (ACP) measurements

The maximum frequency offset between primed and unprimed waves is limited by the cutoff frequency of the analog low-pass filer. The minimum frequency offset is determined by the bandwidth of the digital IF filters (Channel Power Bandwidth Average Meas Bandwidth). It is recommended to use IF filters with high selectivity.

Ratios

The Ratios submenu selects and defines ratios of wave quantities.

Ratios

  • b2/a1 Src Port 1,b1/a1 Src Port 1, b2/b1 Src Port 1, and b1/b2 Scr Port 1 select predefined ratios of the standard 2-port wave quantities a1, a2, b1, and b2, to be measured in forward direction with port 1 providing the stimulus signal.

  • More Ratios opens a dialog to define and select arbitrary ratios of wave quantities for different detectors and source ports or higher port numbers or frequency offsets. In true differential mode, the dialog also offers ratios of balanced wave quantities.

In contrast to S-parameters, ratios are not system error corrected. A power calibration can be applied to ratios; see Data Flow.

b2/a1 Src Port 1, b1/a1 Src Port 1, b2/b1 Src Port 1, b1/b2 Src Port 1

Select predefined complex ratios of the standard 2-port wave quantities a1, a2, b1, and b2:

The predefined wave quantities are all obtained with the same test set configuration, port 1 providing the stimulus signal (source port 1, forward measurement if the stimulus signal is fed to the input of the DUT).

  • b2/a1 Src Port 1 is the ratio of the wave quantities b2 and a1 and corresponds to the S-parameter S21 (forward transmission coefficient).

  • b1/a1 Src Port 1 is the ratio of the wave quantities b1 and a1, measured at PORT 1, and corresponds to the S-parameter S11 (input reflection coefficient).

  • b2/b1 Src Port 1 is the ratio of the transmitted to the reflected wave quantities in a forward measurement.

  • b1/b2 Src Port 1 is the inverse of b2/a1 Src Port 1.

The analyzer can also measure arbitrary ratios for other source ports; see More Ratios.

Remote control:

CALCulate<Ch>:PARameter:MEASure "<Trace_Name>", "B2/A1" | ...
[SENSe<Chn>:]FUNCtion[:ON] "... POWer:RATIO B2, A1" etc.

Create new trace and select name and measurement parameter:
CALCulate<Ch>:PARameter:SDEFine "<Trace_Name>", "B2/A1" | ...

More Ratios

Opens a dialog to select arbitrary ratios of wave quantities, e.g. for different source ports or higher port numbers. In true differential mode, the dialog also offers ratios of balanced wave quantities.

The notation for ratios and the functionality of the More Ratios dialog is analogous to the definition of S-parameters.

  • Numerator selects the type (left pull-down list) and the port number assignment (right pull-down list) of the wave that forms the numerator of the ratio.

  • Denominator selects the type (left pull-down list) and the port number assignment (right pull-down list) of the wave that forms the denominator of the ratio. The same waves as for the Numerator are available.

  • Ratio indicates the selected ratio.

  • Source Port contains all analyzer ports or external generators which can be used as a source for the stimulus signal. The list contains all analyzer ports Port 1 to Port n. Generators (Gen 1, Gen 2, ...) must be configured explicitly in the System Configuration –External Generators dialog before they appear in the list.

  • Detector selects the algorithm that is used to calculate the displayed trace from the individual measurement points. In the Max. and RMS detector modes, it is possible to define the detector observation time (Meas. Time) for a single measurement point. The Detector and Meas. Time controls are both unavailable in true differential mode, because only the Normal detector provides consistent phase information.

External generators

Ratios of single-ended and balanced wave quantities

Remote control:

CALCulate<Ch>:PARameter:MEASure "<Trace_Name>", "B2/A1" | ...
[SENSe<Chn>:]FUNCtion[:ON] "... POWer:RATIO B2, A1" etc.

Create new trace and select name and measurement parameter:
CALCulate<Ch>:PARameter:SDEFine "<Trace_Name>", "B2/A1" | ...

Detector

Selects the algorithm that is used to calculate the displayed measurement points from the raw data. The Detector can be selected in the More S-Parameters, More Ratios and More Wave Quantities dialogs.

The following detectors are available:

  • Normal

  • AVG

R&S ZVA and R&S ZVT analyzers provide the following additional detectors for ratios and wave quantities:

  • Peak

  • RMS

The detector settings have an influence on the displayed trace. They do not affect the number of measurement points in a sweep (or in a subset of the sweep range) but may increase the sweep time. The AVG, Peak, and RMS detector settings appear in the trace line.

Combining different detectors

The analyzer generates a warning if the selected measurement time for AVG, Peak or RMS detectors is too long. At the same time, bit no. 15 in the ...INTegrity:HARDware status register is set. Reduce the measurement time and/or reduce the IF bandwidth until the warning disappears.
A warning also appears if the measurement time for RMS detectors is too short. Increase the measurement time and/or increase the IF bandwidth until the warning disappears.

Remote control:

CALCulate<Ch>:PARameter:MEASure "<Trace_Name>", "<Par>"
CALCulate<Ch>:PARameter:SDEFine "<Trace_Name>", "<Par>"
(the parameter name <Par> also contains the detector)
[SENSe<Ch>:]SWEep:DETector:TIME

Measurements at Two Different Frequencies

The More Ratios and More Wave Quantities dialogs provide the wave quantities a1, b1... These wave quantities are measured at the common receiver frequency, which is equal for all ports: If no frequency-converting mode is active, the common receiver frequency is equal to the stimulus frequency of the NWA source (channel base frequency fb).

With option ZVA-K4, Arbitrary Generator and Receiver Frequencies, the network analyzer provides an additional set of "primed" wave quantities a'1, b'1..., to be measured at fixed, but port-specific frequency offsets from the common receiver frequency. Primed wave quantities can also be used to calculate ratios.

The basic and the primed results are measured in two different analyzer paths. The two signals are separated in the digital part of the receiver, after down-conversion of the RF input signal in the first mixer, a low-pass filter stage, and analog/digital conversion. The digital paths contain mixer stages with two independent numerically controlled oscillators NCO 1 and NCO 2. Each of the NCOs converts one signal component to the analyzer frequency.

The port-specific frequency offset between primed and unprimed waves can be set in the Receiver section of the Port Configuration dialog (D Freq a', b').

Measurement application, bandwidth considerations

The port-specific frequency offset extends the receiver frequency conversion in the Receiver Frequencydialog, which is equal for all analyzer ports.
In remote control, it is possible to define an additional port-specific offset to the basic frequencies; see remote control commands below. The additional offset is not displayed in the Port Configuration dialog. The total frequency offset between primed and basic wave quantities is equal to (D Freq a', b' –D Freq a, b).

Remote control:


Wave_Quantities

Balanced wave quantities are only available if the True Differential Mode is active; see background information below. The output (transmit) or input (receive) port number of the analyzer (corresponding to the input (stimulus) or output (response) port number of the DUT, respectively) is selected in the right pull-down list. The range of output and input port numbers depends on the analyzer model.

The measurement process for external generators Gen 1, Gen2... in the Source Port list differs from the measurement process for internal source ports:

  • An external generator always represents a permanent signal source that is switched on for all partial measurements. In contrast, an analyzer port is switched off for partial measurements that do not require a source signal. Exception: Internal ports can be configured as permanent sources (see Gen setting in the Sourcesection of the Port Configuration dialog).

  • The external source is measured in the first partial measurement where an internal source is active. This means that no separate partial measurement for the external generator signal is needed. If no internal source is needed at all, the external source is measured in the first partial measurement.

If a balanced port configuration is selected and the True Differential Mode is active, the left Wave Quantity pull-down list contains the following wave types:

  • as, bs: Single-ended incident (a) or outgoing (b) wave. To select this wave type, the selected port must be unbalanced. If the port configuration contains no unbalanced ports, the single-ended wave quantities are hidden.

  • ad, ac, bd, bc: Balanced incident (a) or outgoing (b) waves. d and c distinguish between the differential and common mode; see Wave Quantities and Ratios.

In addition to the wave quantities a and b, the analyzer provides "primed" wave quantities a', b'; see Measurements at Different Frequencies.

If a mixer delay measurement is active, the unprimed wave quantities correspond to the lower tone, the primed wave quantities correspond to the upper tone.

Wave Quantities

The Wave Quantities submenu selects a wave quantity to be measured and displayed.

Wave quantities

  • a1 Src Port 1, b1 Src Port 1, b2 Src Port 1, a2 Src Port 2, b1 Src Port 2 and b2 Src Port 2 select the standard 2-port wave quantities a1, b1, a2, and b2, to be measured in forward or reverse direction with port 1 or 2 providing the stimulus signal.

  • More Wave Quantities opens a dialog to define and select arbitrary wave quantities for different detectors and source ports or higher port numbers or frequency offsets. In true differential mode, the dialog also offers balanced wave quantities.

In contrast to S-parameters, wave quantities are not system error corrected. A power calibration can be applied to wave quantities; see Data Flow.

a1 Src Port 1, b1 Src Port 1, b2 Src Port 1, a2 Src Port 2, b1 Src Port 2, b2 Src Port 2

Select the standard 2-port wave quantities a1, a2, b1, and b2 for different source ports:

The predefined wave quantities are obtained with different source ports. a1 Src Port 1, b1 Src Port 1 and b1 Src Port 2 are measured at Port 1 of the analyzer. a2 Src Port 2, b2 Src Port 1 and b2 Src Port 2 are measured at Port 2 of the analyzer.

  • a1 Src Port 1 is the wave transmitted at test port 1. In a standard S-parameter measurement, this wave is fed to the input port (port 1) of the DUT (forward measurement).

  • b1 Src Port 1 is the wave received at test port 1. In a standard S-parameter measurement, this is the reflected wave at port 1 of the DUT (forward measurement).

  • b2 Src Port 1 is the wave received at test port 2. In a standard S-parameter measurement, this wave is transmitted at port 2 of the DUT (forward measurement).

  • a2 Src Port 2 is the wave transmitted at test port 2. In a standard S-parameter measurement, this wave is fed to the output port (port 2) of the DUT (reverse measurement).

  • b1 Src Port 2 is the wave received at test port 1. In a standard S-parameter measurement, this wave is transmitted at port 2 of the DUT (reverse measurement).

  • b2 Src Port 2 is the wave received at test port 2. In a standard S-parameter measurement, this wave is fed to the output port (port 2) of the DUT (reverse measurement).

The analyzer can also measure wave quantities for other source ports; see More Wave Quantities.

Remote control:

CALCulate<Ch>:PARameter:MEASure "<Trace_Name>", "A1" | ...
[SENSe<Chn>:]FUNCtion[:ON] "...POWer:A1" etc.

Create new trace and select name and measurement parameter:
CALCulate<Ch>:PARameter:SDEFine "<Trace_Name>", "A1" | ...

More Wave Quantities

Opens a dialog to define and select arbitrary wave quantities for different detectors and source ports or higher port numbers. In true differential mode, the dialog also offers balanced wave quantities.

The notation for wave quantities and the functionality of the More Wave Quantities dialog is analogous to the definition of S-parameters.

  • Wave Quantity selects the type (left pull-down list) and the port number assignment (right pull-down list) of the wave quantity.

  • Show as selects the physical unit of the displayed trace. It is possible to display the measured Voltage V or convert the wave quantity into an effective power according to P = V2/Re(Z0). Z0 denotes the reference impedance of the source port (for wave quantities an) or of the receive port (for wave quantities bn). The reference impedances are defined in the Port Configuration dialog. This function is also available for memory traces where the remaining control elements of the dialog are grayed.

  • Source Port contains all analyzer ports or external generators which can be used as a source for the stimulus signal. The list contains all analyzer ports Port 1 to Port n. Generators (Gen 1, Gen 2, ...) must be configured explicitly in the System Configuration –External Generators dialog before they appear in the list. The analyzer places no restriction on the combination of source ports and port numbers of the measured wave quantity, so it is even possible to measure a2 while the source port is port 1 (e.g. in order to estimate the directivity of the coupler in the internal test set).

  • Detector selects the algorithm that is used to calculate the displayed trace from the individual measurement points. In the Max. and RMS detector modes, it is possible to define the observation time (Meas. Time) for a single measurement point. The Detector and Meas. Time controls are both unavailable in true differential mode, because only the Normal detector provides consistent phase information.

External generators

Single-ended and balanced wave quantities

Primed wave quantities

Remote control:

CALCulate<Ch>:PARameter:MEASure "<Trace_Name>", "A1" | "AP1"...
[SENSe<Chn>:]FUNCtion[:ON] "... POWer:A1" etc.

Create new trace and select name and measurement parameter:
CALCulate<Ch>:PARameter:SDEFine "<Trace_Name>", "A1" | "AP1" ...

CALCulate<Chn>:FORMat:WQUType POWer | VOLTage


Intermod Distortion Quantities

A nonlinear DUT that is supplied with a two-tone signal with the lower/upper frequencies fL and fU causes emissions at frequencies which correspond to sums and differences of the upper and lower tone frequencies and their integer multiples:

fU – fL, fU + fL, 2*fU – fL, 2*fU + fL, fU + 2*fL, 2*fL – fU ...

The order of these intermodulation products is defined by the number of fL and fU terms. The analyzer measures the intermodulation products of kth order IMk (where k = 3, 5, 7, 9) at the lower tone frequency minus (k – 1)/2 times the tone distance and at the upper tone frequency plus (k – 1)/2 times the tone distance. Intermodulation products can be measured at the DUT input (reflected wave a1) or at the DUT output (transmitted wave b2).

The intermodulation suppression IMkrel is the ratio of the power of an intermodulation product to the power of the lower tone fundamental wave in dB, measured at the DUT input or output.

For each intermodulation product, an intercept point IPk is defined as follows:

IPk = PL + IMkrel / (k – 1)

In this formula, PL denotes the lower tone power in dBm, measured either at the DUT input or at the DUT output. The intermodulation suppression generally decreases with increasing stimulus power. The intercept point is equal to the lower tone power for which the intermodulation suppression would reach 0 dB. The intercept point is a mathematical concept. For most DUTs, it is beyond the nominal power operating range.

Intermodulation measurements require frequency-selective filter settings. When an intermodulation result is selected, the analyzer checks whether the IF bandwidth of the active channel is below 1/10 of the Tone Difference (see Define Intermodulation Distortion). If not, the IF bandwidth is reduced and a high sensitivity filter is selected. The analyzer displays a tooltip.

Intermod Distortion Quantities

The Intermod Distortion Quantities submenu provides the results of the intermodulation distortion measurement. The intermodulation measurement requires option R&S ZVA-K4. The results are available as soon as the measurement has been properly configured using the intermodulation wizard(Channel – Mode – Intermod Distortion Meas – Define Intermod Distortion Meas).

Intermodulation distortion quantities

Automatic filter settings

  • The Lower IM3 Product at DUT Out is the third-order lower intermodulation product at the output of the DUT. This quantity corresponds to the outgoing wave quantity (b wave) at the output of the DUT, measured at the frequency of the lower tone minus the tone distance. The lower IM3 frequency is also displayed in the Set Frequencies and Powers dialog.

  • The Upper IM3 Product at DUT Out is the third-order upper intermodulation product at the output of the DUT. This quantity corresponds to the outgoing wave quantity (b wave) at the output of the DUT, measured at the frequency of the upper tone plus the tone distance.

  • The Major IM3 Product at DUT Out is the lower or upper IM3 product at DUT out, whichever is larger. The Major IM3 Product reveals the worst-case performance of the DUT.

  • The Intercept Point 3 at DUT Out is the third-order intercept point at the output of the DUT. This quantity corresponds to the fictitious DUT output level (Lower Tone at DUT Out), measured at the lower tone frequency, where the major third-order intermodulation suppression (the ratio of the Major IM3 Product at DUT Out to the Lower Tone at DUT Out) reaches 0 dB (see background information above).

  • More Intermod Products opens a dialog to select intermodulation products of higher order and intermodulation products which are measured at the input of the DUT.

  • More Intercept Points opens a dialog to select intercept points of higher order and intercept points which are measured at the output of the DUT.

  • Noise Level at DUT Out is a measure for the noise level and therefore the dynamic range of the intermodulation distortion measurement. The noise level is measured at the frequency of the lower tone minus half the tone distance.

  • Lower Tone at DUT In, Lower Tone at DUT Out, Upper Tone at DUT In, Upper Tone at DUT Out is a measurement of the two fundamental waves that are used for the intermodulation measurement.

The measurement of higher-order intermodulation products must be enabled explicitly in the Define Intermodulation Distortion Measurement dialog.

The labels for the intermodulation quantities in the trace list are identical to the parameters used for remote control; see CALCulate<Ch>:PARameter:SDEFine "<Trace_Name>", "IP3LI" | "IM3LI" | "LTI" | ....

Remote control:

CALCulate<Ch>:PARameter:MEASure "<Trace_Name>", "IP3LI" | "IM3LI" | "LTI" | ...

Create new trace and select name and measurement parameter:
CALCulate<Ch>:PARameter:SDEFine "<Trace_Name>", "IP3LI" | "IM3LI" | "LTI" | ...

More Intermod Products
This dialog selects general intermodulation products. The controls in the dialog define the order of the intermodulation product, measurement at the DUT input or output, and the position of the intermodulation product relative to the lower and upper tones.

  • The Lower intermodulation products are measured at frequencies below the lower tone.

  • The Upper intermodulation products are measured at frequencies above the upper tone.

  • Major denotes the lower or upper intermodulation product, whichever is larger. The Major intermodulation product reveals the worst-case performance of the DUT.

If Relative is selected, the intermodulation product is displayed in dB units relative to the measured lower tone level at the DUT input or output, depending on the At DUT setting (intermodulation suppression). In the case of a frequency sweep with constant source power settings, the power-calibrated input level should be equal to the CW Power.

Remote control:

CALCulate<Ch>:PARameter:MEASure "<Trace_Name>", "IM3LI" | ...

Create new trace and select name and measurement parameter:
CALCulate<Ch>:PARameter:SDEFine "<Trace_Name>", "IM3LI" | ...

More Intercept Points

This dialog selects general intercept points.

The controls in the dialog define the order of the intercept point, measured at the DUT input or output, and the position of the intercept point relative to the lower and upper tones.

  • The Lower intercept points are measured at frequencies below the lower tone.

  • The Upper intercept points are measured at frequencies above the upper tone.

  • Major denotes the lower or upper intercept point, whichever is smaller. The Major intercept point reveals the worst-case performance of the DUT.

Remote control:

CALCulate<Ch>:PARameter:MEASure "<Trace_Name>", "MIXDLY" ...

Create new trace and select name and measurement parameter:
CALCulate<Ch>:PARameter:SDEFine "<Trace_Name>", "MIXDLY" ...

Mixer Meas

The Mixer Meas submenu provides the results of the mixer delay measurement. Mixer delay measurements require option R&S ZVA-K9. The results are available as soon as the measurement has been properly configured using the Define Mixer Delay Measurement without LO Access wizard (Channel – Mode – Mixer Delay Meas – Define Mixer Delay Meas).

  • Mixer Delay is the group delay of the mixer. This measured quantity is selected automatically when a mixer delay measurement is activated.

  • The Delay Derivative is the derivative of the Mixer Delay with respect to the sweep variable. It shows how much the mixer delay changes at each sweep point as the sweep variable (typically, the frequency) changes.

  • The Mixer Phase is the integral of the Mixer Delay over the sweep variable, multiplied by a factor of –360 deg. The domain of integration is the interval between the start of the sweep range and each sweep point. For frequency sweeps, this yields the transmission phase of the mixer relative to an initial phase at the first sweep point (see definition of the group delay). The initial phase is set to 0 deg.

Use the Linearity Deviation functions to calculate and display the deviation of the Mixer Phase from linearity. The linearity deviation does not depend on the arbitrary initial mixer phase.

Remote control:

CALCulate<Ch>:PARameter:MEASure "<Trace_Name>", "IM3LI" | ...

Create new trace and select name and measurement parameter:
CALCulate<Ch>:PARameter:SDEFine "<Trace_Name>", "IM3LI" | ...


The settings made in the Balanced and Measured Ports dialog are channel settings and therefore apply to all traces assigned to the channel (Balanced and Measured Ports is also accessible through Channel –Mode –Port Config...). Within a channel the analyzer measures either single-ended or mixed mode parameters. If a balanced test port configuration is selected the single-ended parameters assigned to the channel are converted into mixed mode parameters.

The relation between the generalized (multiport and mixed mode) impedance parameters and the S-parameters is analogous to the 2-port case. For reflection measurements:

and for transmission measurements:

where Z0i denotes the reference impedance of the analyzer port no. i.

Impedance

The Impedance submenu contains the functions to calculate converted impedances from the measured S-parameters.

Converted impedances and Z-parameters

  • Z <– S11, Z <– S12, Z <– S21, Z<– S22 select the converted impedances of a 2-port DUT.

  • More Impedances... opens a dialog to select converted impedances for more ports or mixed mode measurements.

Z <– S11, Z <– S12, Z <– S21, Z <– S22

Select the 2-port converted impedance parameters. The parameters describe the impedances of a 2-port DUT, obtained in forward and reverse transmission and reflection measurements:

  • Z11 is the input impedance at port 1 of a 2-port DUT that is terminated at port 2 with the reference impedance Z0 (matched-circuit impedance measured in a forward reflection measurement).

  • Z22 is the input impedance at port 2 of a 2-port DUT that is terminated at port 1 with the reference impedance Z0 (matched-circuit impedance measured in a reverse reflection measurement).

  • Z12 and Z21 denote the forward and reverse converted transfer impedances, respectively.

The analyzer also provides converted impedances for more drive ports or balanced port configurations; see More Impedances.

Use the More Z-Parameters dialog to measure Z-parameters including the transfer parameters. Use the Smith chart to obtain an alternative, graphical representation of the converted impedances in a reflection measurement.

Remote control:

CALCulate<Ch>:PARameter:MEASure "<Trace_Name>", "Z-S11" | "Z-S12" | "Z-S21" | "Z-S22"
[SENSe<Chn>:]FUNCtion[:ON] "...:POWer:Z<11 | 12 | 21 | 22>"

Create new trace and select name and measurement parameter:
CALCulate<Ch>:PARameter:SDEFine "<Trace_Name>", "Z-S11" | "Z-S12" | "Z-S21" | "Z-S22"

More Impedances

Opens a dialog to select converted impedance parameters for more ports or balanced port measurements.

The notation for converted impedance parameters and the functionality of the More Impedances dialog is analogous to the definition of S-parameters.

  • Z<—selects the type (left pull-down list) and the port number assignment (right pull-down list) of the impedance parameter. Mixed mode parameters are only available if a balanced port configuration is active. They are expressed as Y<mout><min>, where <mout> and <min> denote the output and input port modes. The port numbers are assigned in the order Y<out>< in>, where <out> and <in> denote the output (response) and input (stimulus) port numbers of the DUT.

  • Balanced and Measured Ports opens the Balanced Port and Port Groups dialog to define the properties of the test ports. Single-ended (unbalanced) impedance parameters are assigned to the physical test ports of the analyzer. Balanced impedance parameters are assigned to logical test ports. Selecting a balanced port configuration with logical test ports means that the unbalance-balance conversion is switched on and that the analyzer provides mixed mode parameters.

  • The graphics above the Balanced and Measured Ports button illustrates the current port configuration.

The port configuration is valid for all traces in the channel

Single-ended and mixed mode parameters

Relation between impedances and S-parameters

Remote control:

CALCulate<Ch>:PARameter:MEASure "<Trace_Name>", "Z-S11" | "Z-S12" ...

Create new trace and select name and measurement parameter:
CALCulate<Ch>:PARameter:SDEFine "<Trace_Name>", "Z-S11" | "Z-S22" | ...


The settings made in the Balanced and Measured Ports dialog are channel settings and therefore apply to all traces assigned to the channel (Balanced and Measured Ports is also accessible through Channel –Mode –Port Config...). Within a channel the analyzer measures either single-ended or mixed mode parameters. If a balanced test port configuration is selected the single-ended parameters assigned to the channel are converted into mixed mode parameters.

Admittance

The Admittance submenu contains the functions to calculate converted admittances from the measured S-parameters.

Converted impedances and Z-parameters

  • Y <– S11, Y <– S12, Y <– S21, Y <– S22 select the converted admittances of a 2-port DUT.

  • More Admittances... opens a dialog to select converted admittances for more ports or mixed mode measurements.

Y <– S11, Y <– S12, Y <– S21, Y <– S22

Select the 2-port converted admittance parameters. The parameters describe the admittances of a 2-port DUT, obtained in forward and reverse transmission and reflection measurements:

  • Y11 is the input admittance at port 1 of a 2-port DUT that is terminated at port 2 with the reference impedance Z0 (matched -circuit admittance measured in a forward reflection measurement).

  • Y22 is the input admittance at port 2 of a 2-port DUT that is terminated at port 1 with the reference impedance Z0 (matched -circuit admittance measured in a reverse reflection measurement).

  • Y12 and Y21 denote the forward and reverse converted transfer admittances, respectively.

The analyzer also provides converted admittances for more drive ports or balanced port configurations; see More Admittances.

Use the More Y-Parameters dialog to measure Y-parameters including the transfer parameters. Use the Inverted Smith chart to obtain an alternative, graphical representation of the converted admittances in a reflection measurement.

Remote control:

CALCulate<Ch>:PARameter:MEASure "<Trace_Name>", "Y-S11" | "Y-S12" | "Y-S21" | "Y-S22"
[SENSe<Chn>:]FUNCtion[:ON] "...:POWer:Y<11 | 12 | 21 | 22>"

Create new trace and select name and measurement parameter:
CALCulate<Ch>:PARameter:SDEFine "<Trace_Name>", "Y-S11" | "Y-S12" | "Y-S21" | "Y-S22"

More Admittances

Opens a dialog to select converted admittances for more ports or balanced port measurements.

The notation for admittance parameters and the functionality of the More Admittances dialog is analogous to the definition of S-parameters.

  • Y<—selects the type (left pull-down list) and the port number assignment (right pull-down list) of the admittance parameter. Mixed mode parameters are only available if a balanced port configuration is active. They are expressed as Y<mout><min>, where <mout> and <min> denote the output and input port modes. The port numbers are assigned in the order Y<out>< in>, where <out> and <in> denote the output (response) and input (stimulus) port numbers of the DUT.

  • Balanced and Measured Ports opens the Balanced Port and Port Groupsdialog to define the properties of the test ports. Single-ended (unbalanced) admittance parameters are assigned to the physical test ports of the analyzer. Balanced admittance parameters are assigned to logical test ports. Selecting a balanced port configuration with logical test ports means that the unbalance-balance conversion is switched on and that the analyzer provides mixed mode parameters.

  • The graphics above the Balanced and Measured Ports button illustrates the current port configuration.

The port configuration is valid for all traces in the channel

Single-ended and mixed mode parameters

The relation between the generalized (multiport and mixed mode) admittance parameters and the S-parameters is analogous to the 2-port case and follows from the relations for impedance parameters.

Remote control:

CALCulate<Ch>:PARameter:MEASure "<Trace_Name>", "Y-S11" | "Y-S12" ...

Create new trace and select name and measurement parameter:
CALCulate<Ch>:PARameter:SDEFine "<Trace_Name>", "Y-S11" | "Y-S22" | ...


Z Parameters

The settings made in the Balanced and Measured Ports dialog are channel settings and therefore apply to all traces assigned to the channel (Balanced and Measured Ports is also accessible through Channel –Mode –Port Config...). Within a channel the analyzer measures either single-ended or mixed mode parameters. If a balanced test port configuration is selected the single-ended parameters assigned to the channel are converted into mixed mode parameters.

Z-Parameters...

Opens the Z-Parameterdialog to select arbitrary Z-parameters for different ports or mixed mode measurements. In analogy to the converted impedances, the Z-parameters are available for any combination of input and output ports.

Z-parameters can be used as an alternative to S-parameters (or Y-parameters) in order to completely characterize a linear n-port network.

Converted impedances and Z-parameters

Z-Parameter

Is a dialog to select Z-parameters for multiport measurements (including the 2-port Z-parameters) or mixed mode Z-parameters.

The notation for Z-parameters and the functionality of the Z-Parameter dialog is analogous to the definition of S-parameters. The dialog provides the following settings:

  • Z-Parameter selects the type (left pull-down list) and the port number assignment (right pull-down list) of the Z-parameter. Mixed mode parameters are only available if a balanced port configuration is active. They are expressed as Z<mout><min>, where <mout> and <min> denote the output and input port modes. The port numbers are assigned in the order Z<out>< in>, where <out> and <in> denote the output (response) and input (stimulus) port numbers of the DUT.

  • Balanced and Measured Ports opens the Balanced Port and Port Groups dialog to define the properties of the test ports. Single-ended (unbalanced) Z-parameters are assigned to the physical test ports of the analyzer. Balanced Z-parameters are assigned to logical test ports. Selecting a balanced port configuration with logical test ports means that the unbalance-balance conversion is switched on and that the analyzer provides mixed mode Z-parameters.

  • The graphics above the Balanced and Measured Ports button illustrates the current port configuration.

The port configuration is valid for all traces in the channel

Single-ended and mixed mode parameters

Remote control:

CALCulate<Ch>:PARameter:MEASure "<Trace_Name>", "Z11" | "Z12" | "Z21" | "Z22"

Create new trace and select name and measurement parameter:
CALCulate<Ch>:PARameter:SDEFine "<Trace_Name>", "Z11" | "Z12" | "Z21" | "Z22"


Y Parameters

The settings made in the Balanced and Measured Ports dialog are channel settings and therefore apply to all traces assigned to the channel (Balanced and Measured Ports is also accessible through Channel –Mode –Port Config...). Within a channel the analyzer measures either single-ended or mixed mode parameters. If a balanced test port configuration is selected the single-ended parameters assigned to the channel are converted into mixed mode parameters.

Y-Parameters

Opens the Y-Parameter dialog to select arbitrary Y-parameters for different ports or mixed mode measurements. In analogy to the converted admittances, the Y-parameters are available for any combination of input and output ports.

Y-parameters can be used as an alternative to S-parameters (or Z-parameters) in order to completely characterize a linear n-port network.

Converted impedances and Z-parameters

Y-Parameter

Opens a dialog to select Y-parameters for multiport measurements (including the 2-port Y-parameters) or mixed mode Y-parameters.

The notation for Y-parameters and the functionality of the Y-Parameter dialog is analogous to the definition of S-parameters. The dialog provides the following settings:

  • Y-Parameter selects the type (left pull-down list) and the port number assignment (right pull-down list) of the Y-parameter. Mixed mode parameters are only available if a balanced port configuration is active. They are expressed as Y<mout><min>, where <mout> and <min> denote the output and input port modes. The port numbers are assigned in the order Y<out>< in>, where <out> and <in> denote the output (response) and input (stimulus) port numbers of the DUT.

  • Balanced and Measured Ports opens the Balanced Port and Port Groups dialog to define the properties of the test ports. Single-ended (unbalanced) Y-parameters are assigned to the physical test ports of the analyzer. Balanced Y-parameters are assigned to logical test ports. Selecting a balanced port configuration with logical test ports means that the unbalance-balance conversion is switched on and that the analyzer provides mixed mode parameters.

  • The graphics above the Balanced and Measured Ports button illustrates the current port configuration.

The port configuration is valid for all traces in the channel

Single-ended and mixed mode parameters

Remote control:

CALCulate<Ch>:PARameter:MEASure "<Trace_Name>", "Y11" | "Y12" | "Y21" | "Y22"

Create new trace and select name and measurement parameter:
CALCulate<Ch>:PARameter:SDEFine "<Trace_Name>", "Y11" | "Y12" | "Y21" | "Y22"


Stability Factors

The stability factors K, μ1 and μ2 are real functions of the (complex) S-parameters, defined as follows:

where [image] denotes the complex conjugate of S.

Stability factors are calculated as functions of the frequency or another stimulus parameter. They provide criteria for linear stability of two-ports such as amplifiers. A linear circuit is said to be unconditionally stable if no combination of passive source or load can cause the circuit to oscillate.

  • The K-factor provides a necessary condition for unconditional stability: A circuit is unconditionally stable if K>1 and an additional condition is met. The additional condition can be tested by means of the stability factors μ1 and μ2.

  • The μ1 and μ2 factors both provide a necessary and sufficient condition for unconditional stability: The conditions μ1>1 or μ2>1 are both equivalent to unconditional stability. This means that μ1 and μ2 provide direct insight into the degree of stability or potential instability of linear circuits.

References: Marion Lee Edwards and Jeffrey H. Sinsky, "A New Criterion for Linear 2-Port Stability Using a Single Geometrically Derived Parameter", IEEE Trans. MTT, vol. 40, No. 12, pp. 2303-2311, Dec. 1992.

An ideal unbalance-balance transformer (balun) converts an unbalanced signal into a balanced one and vice versa. When it is driven with an unbalanced signal at its physical port k, unbalanced signals with equal amplitude and opposite phase appear at the physical ports m and n.

This means that the ratio –Skm/Skn of the physical transmission coefficients of an ideal balun equals to 1. This ratio is called imbalance; it is a measure for the deviation of the balun from ideality. The definition of the imbalance of a DUT with one or two balanced ports and physical port numbers m < n, k < l is given below.

  • The imbalance of a DUT with a single ended logical input port i and a balanced logical output port j is defined as Imb ij = –Skm/Skn and Imb ji = –Smk/Snk.

  • The imbalance of a DUT with a balanced logical input port i and a balanced logical output port j is defined as Imb ij = –(Skm – Skn)/(Slm – Sln) and Imb ji = –(Smk – Snk)/(Sml – Snl).

In general the imbalance is a quantity with two numeric indices numbering the logical output port and the logical input port of the DUT during the measurement (Imb<out><in>).

Stability Factor...

Opens a dialog to select one of the three two port stability factors K, μ1 or μ2. Stability factors cannot be calculated in balanced port configurations.

The Stability dialog provides the following settings:

  • Stability Factor selects the stability factor to be calculated; see definitions below.

  • Used Test Ports selects the test port number of the analyzer to be connected to the input (DUT Input) and the output of the DUT (DUT Output). The stability factor calculation is based on 2-port reflection and transmission S-parameters so that the input and output port numbers must be different.

  • The Port Topology panel is analogous to the corresponding panel in the More S Parameters dialog. Stability factors can be calculated for unbalanced ports only. If a balanced port configuration is selected, the analyzer generates an error message.

Values of any of the stability factors less than 1 indicate potential instability.

Definition of stability factors and stability criteria

Remote control:

CALCulate<Ch>:PARameter:MEASure "<Trace_Name>", "KFAC21" | "MUF121" | "MUF221" | ...
[SENSe<Chn>:]FUNCtion[:ON] "...:POWer:KFACtor | MUFactor1 | MUFactor2"

Create new trace and select name and measurement parameter:
CALCulate<Ch>:PARameter:SDEFine "<Trace_Name>", "SY11" | "SY12" | "SY21" | "SY22"

Imbalance...

Opens a dialog to select the imbalance for balanced ports. This result is available in the simulated (virtual) differential mode but not in true differential mode.

Definition of imbalance parameters

The Imbalance dialog provides the following settings:

  • Imbalance selects the imbalance parameter Imb<out><in> to be measured.

  • Balanced and Measured Ports opens the Balanced Port and Port Groups dialog to define the properties of the test ports. Single-ended (unbalanced) impedance parameters are assigned to the physical test ports of the analyzer. Balanced impedance parameters are assigned to logical test ports. Selecting a balanced port configuration with logical test ports means that the unbalance-balance conversion is switched on and that the analyzer provides mixed mode parameters. A unbalance-balance conversion is a prerequisite for the calculation of imbalance parameters.

Remote control:

CALCulate<Ch>:PARameter:MEASure "<Trace_Name>", "IMB21" | "IMB12" ...

Create new trace and select name and measurement parameter:
CALCulate<Ch>:PARameter:SDEFine "<Trace_Name>", "IMB21" | "IMB12" ...

All S-Params

Displays all S-parameters S<out><in> that the analyzer can calculate according to its port configuration. Reflection parameters Sii are displayed in Smith charts; transmission parameters are displayed in Cartesian (dB Mag) diagrams. For a four-port analyzer with four single-ended ports:

A n-port analyzer provides n2 independent S-parameters S<out><in>. If a balanced port configuration is defined, the normal S-parameters are replaced by mixed mode parameters.

Remote control:

–


DC Input

The PAE measurement is based on the standard test setup for forward S-parameter measurements on a 2-port DUT. An additional measurement to determine the supplied power PDC is required.

Definition:

The Power Added Efficiency (PAE) is the ratio of the added RF power generated by an active two-port device (e.g. an amplifier) to the supplied DC power PDC. The added RF power can be expressed as the difference between the power of the outgoing wave b2 at the output of the DUT and the power of the incident wave a1 at the input of the DUT; hence:

Positive PAE values indicate a gain in the RF power, negative values an attenuation. The PAE is always smaller than 1.

Assume that the DC power supply provides a constant current IDC and that the voltage applied to the DUT is measured via DC MEAS –10V...+10 V (R = 0). PDC = IDC * U(DC MEAS –10V...+10 V), hence the Constant c must be set equal to IDC. The unit field shows the SI unit of a current (W/V). The input field for k is disabled (k is not used).

Assume that the DC power supply provides a constant voltage UDC and that the current through the DUT is measured by means of a precision resistor R connected in series and DC INP 2. If R << RDUT the power consumption of the resistor can be neglected so that PDC = UDC / R * U(DC MEAS –1 V...+1 V), hence the Constant c must be set equal to UDC / R. The unit field shows the SI unit of a current (W/V). The input field for k is disabled (k is not used).

Assume that the DC power supply provides an arbitrary (not necessarily constant) voltage UDC and current IDC. The current through the DUT is measured by means of a precision resistor R connected in series and DC INP 2. The voltage applied to the DUT and R is measured via DC MEAS –10 V...+10 V. If R << RDUT the power consumption of the resistor can be neglected so that PDC = 1 / R * U(DC MEAS –10 V...+10 V) * U(DC MEAS –1 V...+1 V), hence the Constant k must be set equal to 1 / R. The unit field shows the SI unit of an inverse resistance (W/V2). The input field for c is disabled (c is not used).

Assume that the DC power supply provides a constant voltage UDC and that the current through the DUT is measured by means of a precision resistor R connected in series and DC INP 2. PDC = UDUT / R * U(DC MEAS –1 V...+1 V) = (UDC – UR) / R * U(DC MEAS –1 V...+1 V) = UDC / R * U(DC MEAS –1 V...+1 V) – 1 / R * U(DC MEAS –1 V...+1 V)2, hence the Constant c must be set equal to UDC / R and k must be set equal to 1/R. The unit fields for c and k show the SI units of a current (W/V) and an inverse resistance (W/V2), respectively.

The simplest test setup for a Power Sensor measurement involves one analyzer source port and a power sensor. The power sensor is connected e.g. to the analyzer's USB port and provides the (scalar) wave quantity results.

Zeroing calibrates the external power sensor by adjusting its reading at zero signal power. For this purpose, the RF power source must be switched off or disconnected from the sensor (see below!). R&S power sensors automatically detect the presence of any significant input power. This aborts zeroing and generates an error message. Zeroing can take a few seconds, depending on the sensor model; refer to the documentation of your external power sensor for more information.

Repeat zeroing

  • During warm-up after switching on or connecting the instrument

  • After a substantial change of the ambient temperature

  • After fastening the power sensor module to an RF connector at high temperature

  • After several hours of operation

  • When very low-power signals are to be measured, e.g. less than 10 dB above the lower measurement limit.

Switch off the RF power source for zeroing; do not disconnect it from the power sensor. In this way you will maintain the thermal equilibrium, and zeroing will also compensate for the noise superimposed on the measured signal (e.g. from a broadband amplifier).

A reset of the analyzer does not affect the last zeroing result.

DC Inputs

The DC Inputs submenu selects DC voltages or the Power Added Efficiency (PAE) of an active two-port DUT to be measured and displayed.

  • DC MEAS –1 V...+1 V and DC MEAS –10 V...+10 V select the DC voltages fed to the input connectors DC MEAS as measured quantities.

  • PAE... opens a dialog to select and configure the PAE measurement.

All DC and PAE measurements use the input connectors DC MEAS at the rear of the instrument. The measurement results are real-valued and displayed as a function of sweep variable (frequency, internal source power, time). The measurements can be performed in parallel to all RF measurements.

Exception: The PAE is not available in true differential mode.

DC MEAS –1 V...+1 V, DC MEAS –10 V...+10 V

Select the DC voltages between pins 6 and 8 of the DC MEAS input connectors as measured quantities. The input connectors are located at the rear panel of the instrument.

The two DC inputs cover different input voltage ranges; see data sheet or rear panel labelling.

  • The left input connector DC MEAS –1 V...+1 V provides the most accurate measurement for smaller voltages but has a restricted input voltage range.

  • The right input connector DC MEAS –10 V...+10 V can be used for larger voltages.

Remote control:

CALCulate<Ch>:PARameter:MEASure "<Trace_Name>", "DC+1V" | "DC+10V"
[SENSe<Chn>:]FUNCtion[:ON] "...:VOLTage[:DC] DCIN1 | DCIN2"

Create new trace and select name and measurement parameter:
CALCulate<Ch>:PARameter:SDEFine "<Trace_Name>", "DC+1V" | "DC+10V"

PAE...

Opens a dialog to select the Power Added Efficiency (PAE) of an active 2-port device as measured quantity and to define the parameters for the PAE measurement.

The PAE dialog provides the following settings:

  • Used Test Ports selects the analyzer port providing the input signal a1 (DUT Input) and the receiver port for the output signal b2 (DUT Output).

  • The radio buttons and input fields in the DC Power panel select the test model and the parameters for measuring the DC power PDC supplied to the DUT. The constants can be incremented with the step size defined by clicking the [image] buttons.

  • Select Topology opens the Port Configuration dialog to define the properties of the test ports. Either physical test ports or logical ports can be used as Input and Output instrument ports. The graphics and messages displayed in the Topology panel are identical to the ones shown in the More S-Parametersdialog. When the unbalance-balance conversion is switched on, the PAE is calculated from the single-ended and differential mode wave quantities (see also Mixed Mode Stability Factors).

To obtain reasonable results, the test model and the respective Constant must be selected in accordance to the test setup.

Definition and measurement of PAE

Remote control:

CALCulate<Ch>:PARameter:MEASure "<Trace_Name>", "PAE21" | "PAE12" |...

Create new trace and select name and measurement parameter:
CALCulate<Ch>:PARameter:SDEFine "<Trace_Name>", "PAE21" | "PAE12" |...

DC Power Measurement

The power PDC supplied to the DUT can be measured using either one of the DC inputs DC MEAS [image] 10V (for large voltages), DC MEAS [image] 1V (for small voltages) or both inputs. The DC Power panel in the PAE dialog suggests different models involving different test setups and approximations. The models are selected by means of the radio buttons in the DC Power panel; they depend on the properties of the DC power supply (constant current IDC or constant power UDC) and an optional precision resistor R used to measure the DC current. The values IDC, UDC, and R determine the Constants c and k. These constants must be entered in the DC Power panel, using the appropriate physical units, before a particular model can be activated.

  • IDC = const., R = 0 —> PDC = c * U (DC Meas –10 V...+10 V)

  • UDC = const., R << RDUT, PR = 0 —> PDC = c * U (DC MEAS –1 V...+1 V)

  • R << RDUT, PR = 0 —> PDC = k * U (DC MEAS –10 V...+10 V) * U (DC MEAS –1 V...+1 V)

  • UDC = const., PR = U (DC INP2)2/R —> PDC = c * U (DC MEAS –1 V...+1 V) + k * U (DC MEAS –1 V...+1 V)^2

Models 1 and 4 provide the exact DC power supplied to the DUT, the two other models are based on the approximation PR = 0.

Remote control:

[SENSe<Chn>:]PAE:EXPRession
[SENSe<Chn>:]PAE:C
[SENSe<Chn>:]PAE:K

Power Sensor...

Opens a configuration dialog for the measurement of wave quantities using an external power meter.

Power Sensor measurement example

  • The controls in the Power Meter panel show the configured power meters, open the System Configuration –External Power Meters dialog for adding and configuring external power meters, and start Auto Zeroing for the selected power meter.

  • Show as selects the physical unit of the displayed trace. It is possible to display the measured Voltage U or convert the wave quantity into an effective power according to P = V2/Re(Z0). Z0 denotes the reference impedance of the source port (for wave quantities an) or of the receive port (for wave quantities bn). The reference impedances are defined in the Port Configuration dialog.

  • Source Port selects one of the available test ports of the analyzer as a source of the stimulus signal.

Auto zero function

Remote control:

CALCulate<Ch>:PARameter:MEASure "<Trace_Name>", "Pmtr1D1" | ...
SYSTem:COMMunicate:RDEVice:PMETer<pmeter_no>:AZERo

Create new trace and select name and measurement parameter:
CALCulate<Ch>:PARameter:SDEFine "<Trace_Name>", " Pmtr1D1" |...


Noise Figure (Trace - Measure)

The purpose of the Adjust Channel Settings to Noise Cal function is to avoid inconsistencies between the noise figure results and a previous noise figure calibration. The function is available if a Noise Figure Calibrationhas been performed and applied to the active channel. An overview of the channel settings and the calibration characteristics appears in the Calibration Managerdialog.

The analyzer adjusts the channel settings which are specific to the noise figure measurement. These settings are essentially accessible from the Define Noise Figure Measurement and Noise Figure Calibration dialog. General channel settings (such as the Start and Stop values of the sweep range) are not adjusted.

Noise Figure...

The Noise Figure dialog selects the noise figure of a DUT as measured quantity (with option R&S ZVAB-K30).

The dialog provides the following settings:

  • DUT Connections selects the test port number of the analyzer to be connected to the input (DUT Input) and the output of the DUT (DUT Output). The noise figure may be measured in reflection or in transmission, so that arbitrary combinations of port numbers are allowed.

  • Adjust Channel Settings to Noise Cal overwrites the current channel settings with the ones that were used during the active Noise Figure Calibration; see background information below.

Adjust Channel Settings to Noise Cal

Remote control:

CALCulate<Ch>:PARameter:MEASure "<Trace_Name>", "NF11" | "NF12" | ... | "NF0101" | ...

Create new trace and select name and measurement parameter:
CALCulate<Ch>:PARameter:SDEFine "<Trace_Name>", "NF11" | "NF12" | ... | "NF0101" | ...

CALCulate<Ch>:PARameter:NFIGure:CSETtings


Trace - Format

The magnitude of each complex quantity can be displayed on a linear scale. It is possible to view the real and imaginary parts instead of the magnitude and phase. Both the magnitude and phase are displayed in the polar diagram.

The magnitude of each complex quantity can be displayed on a linear scale or on a logarithmic scale. It is possible to view the real and imaginary parts instead of the magnitude and phase. Both the magnitude and phase are displayed in the polar diagram. As an alternative to direct phase measurements, the analyzer provides the derivative of the phase response for a frequency sweep (Delay).

The group delay is defined as:

where

Φrad/deg = Phase response in radians or degrees

ω = Frequency/angular velocity in radians/s

f = Frequency in Hz

In practice, the analyzer calculates an approximation to the derivative of the phase response, taking a small frequency interval Δf and determining the corresponding phase change ΔΦ. The delay is thus computed as:

The aperture Δf must be adjusted to the conditions of the measurement.

If the delay is constant over the considered frequency range (non-dispersive DUT, e.g. a cable), then τg and τg,meas are identical and

where Δt is the propagation time of the wave across the DUT, which often can be expressed in terms of its mechanical length Lmech, the permittivity ε, and the velocity of light c. The product of Lmech . sqrt(ε) is termed the electrical length of the DUT and is always larger or equal than the mechanical length (ε > 1 for all dielectrics and ε = 1 for the vacuum).

With a given number of aperture steps n the delay at sweep point no. m is calculated as follows:

  • If n is even (n = 2k), then Δf (m) = f (m+k) – f (m–k) and ΔΦ(m) = ΔΦ (m+k) – ΔΦ (m–k).

  • If n is odd (n = 2k+1), then Δf (m) = f (m+k) – f (m–k–1) and ΔΦ (m) = ΔΦ (m+k) – ΔΦ (m–k–1).

The calculated phase difference (and thus the group delay) is always assigned to the frequency point no. m. For linear sweeps and odd numbers of aperture steps, the center of the aperture range is [f (m+k) + f (m–k–1)] / 2 = f (m–1/2), i.e. half a frequency step size below the sweep point f (m). This is why toggling from even to odd numbers of aperture steps and back can virtually shift the group delay curve towards higher/lower frequencies. It is recommended to use even numbers of aperture steps, especially for large frequency step sizes.

The delay calculation is based on the already measured sweep points and does not slow down the measurement.

Δf is constant over the entire sweep range, if the sweep type is a Lin. Frequency sweep. For Log. Frequency and Segmented Frequency sweeps, it varies with the sweep point number m.

The measurement uncertainty δτ of the delay τ is essentially due to the uncertainty of the phase measurement. Other effects, such as the frequency uncertainty of the analyzer, are negligible. From the definition of the measured delay:

From this equation, we can draw the following conclusions:

  • The accuracy of the group delay measurement is proportional to the aperture Δf; the uncertainty of the delay due to phase uncertainties increases when the aperture is reduced.

  • If the aperture Δf approaches a value of δ(ΔΦ)/(360° . τg,meas), then the delay uncertainty is comparable to the delay itself. Then the delay curve is noisy as shown below. The aperture in the example is set to 400 MHz / 200 = 2 MHz, the group delay uncertainty is approx. 0.5 ns. The estimated uncertainty of the phase difference measurement is δ(ΔΦ) < 0.4 deg, in accordance with the specified phase uncertainty of the network analyzer.

  • With a phase uncertainty δ(ΔΦ) < 0.4 deg, the uncertainty of the delay equals to δτ [image] 0.001/Δf. For vector network analyzers R&S ZVA8 and default settings (maximum span, 201 sweep points), the aperture is approx. 8 GHz * 10 / 200 = 400 MHz. The delay uncertainty is smaller than 2.5 ps.

  • In many instances an aperture around Δf = 0.3 / τg,meas provides optimum measurement accuracy. For a measured group delay of 1 ns (corresponding to a cable with an electrical length of approx. 30 cm), this condition results in an aperture of 300 MHz. Optimum apertures for other group delay values are listed below. In the following example, the measured group delay is approx. 3 ns. A 100 MHz aperture virtually eliminates the noise on the trace.

  • The 100 MHz aperture in the example above is actually too wide, because the phase shows strong distortions in a frequency interval with a width of approx. 80 MHz. The wide aperture results in a smoothing effect of the delay trace. A reduced aperture of 20 MHz yields a more accurate group delay in the vicinity of the minimum.

The following table lists "optimum" apertures Δf = 0.3 / τg,meas together with sample analyzer settings for a frequency sweep with 201 sweep points. Notice that the sweep span must be reduced or the number of frequency points increased to obtain small apertures.

Group delay τg,meas | Aperture Δf | Span | No. of aperture steps
1 ns | 300 MHz | 6 GHz | 10
10 ns | 30 MHz | 600 MHz | 10
100 ns | 3 MHz | 60 MHz | 10
1 μs | 300 kHz | 6 MHz | 10
10 μs | 30 kHz | 600 kHz | 10
10 μs | 3 kHz | 60 kHz | 10
1 ms | 300 Hz | 6 kHz | 10

The relationship between group delay and "optimum" aperture is also shown in the following diaram.

For more information about group and phase delay measurements refer to the application note 1EZ35_1E which is available for download on the Rohde & Schwarz internet.

http://www2.rohde-schwarz.com/en/products/test_and_measurement/network_analysis/?_view=downloads&downloadtype=20&type=20&downid=1550

The superposition of the incident wave I and the reflected wave R on the transmission line connecting the analyzer and the DUT causes an interference pattern with variable envelope voltage. The SWR is the ratio of the maximum voltage to the minimum envelope voltage along the line:

SWR = VMax/VMin = (|VI| + |VR|) / (|VI| – |VR|) = (1 + |Sii|) / (1 – |Sii|)

The magnitude of each complex quantity can be displayed on a logarithmic scale. It is possible to view the real and imaginary parts instead of the magnitude and phase.

It is possible to view the magnitude and phase of a complex quantity instead of the real and imaginary part. The magnitude can be displayed on a linear scale or on a logarithmic scale. Both the real and imaginary parts are displayed in the polar diagram.

It is possible to view the magnitude and phase of a complex quantity instead of the real and imaginary part. The magnitude can be displayed on a linear scale or on a logarithmic scale. Both the real and imaginary parts are displayed in the polar diagram.

Format

The Format submenu defines how the measured data is presented in the graphical display.

Display formats and diagram types

  • dB Mag selects a Cartesian diagram with a logarithmic scale of the vertical axis to display the magnitude of a complex measured quantity.

  • Phase selects a Cartesian diagram with a linear vertical axis to display the phase of a complex measured quantity in the range between –180 degrees and +180 degrees.

  • Smith selects a Smith diagram to display an S-parameter or ratio.

  • Polar selects a polar diagram to display an S-parameter or ratio.

  • Delay calculates the group delay from an S-parameter or ratio and displays it in a Cartesian diagram.

  • Aperture sets a delay aperture for the delay calculation.

  • SWR calculates the Standing Wave Ratio from the measured reflection S-parameters and displays it in a Cartesian diagram.

  • Lin Mag selects a Cartesian diagram with a linear scale of the vertical axis to display the magnitude of the measured quantity.

  • Real selects a Cartesian diagram to display the real part of a complex measured quantity.

  • Imag selects a Cartesian diagram to display the imaginary part of a complex measured quantity.

  • Inverted Smith selects an inverted Smith diagram to display an S-parameter or ratio.

  • Unwrapped Phase selects a Cartesian diagram with a linear vertical axis to display the phase of the measured quantity in an arbitrary phase range.

The Format settings are closely related to the settings in the Scale submenu and in the Displaymenu. All of them have an influence on the way the analyzer presents data on the screen.

The analyzer allows arbitrary combinations of display formats and measured quantities (Trace – Measure). Nevertheless, in order to extract useful information from the data, it is important to select a display format which is appropriate to the analysis of a particular measured quantity; see Measured Quantities and Display Formats.

An extended range of formats is available for markers. To convert any point on a trace, create a marker and select the appropriate marker format. Marker and trace formats can be applied independently.

dB Mag

Selects a Cartesian diagram with a logarithmic scale of the vertical axis to display the magnitude of the complex measured quantity.

Properties: The stimulus variable appears on the horizontal axis, scaled linearly. The magnitude of the complex quantity C, i.e. |C| = sqrt ( Re(C)2 + Im(C)2 ), appears on the vertical axis, scaled in dB. The decibel conversion is calculated according to dB Mag(C) = 20 * log(|C|) dB.

Application: dB Mag is the default format for the complex, dimensionless S-parameters. The dB-scale is the natural scale for measurements related to power ratios (insertion loss, gain etc.).

Alternative Formats

Remote control:

CALCulate<Chn>:FORMat MLOGarithmic

Phase

Selects a Cartesian diagram with a linear vertical axis to display the phase of a complex measured quantity in the range between –180 degrees and +180 degrees.

Properties: The stimulus variable appears on the horizontal axis, scaled linearly. The phase of the complex quantity C, i.e. φ (C) = arctan ( Im(C) / Re(C) ), appears on the vertical axis. φ (C) is measured relative to the phase at the start of the sweep (reference phase = 0°). If φ (C) exceeds +180° the curve jumps by –360°; if it falls below –180°, the trace jumps by +360°. The result is a trace with a typical sawtooth shape. The alternative Phase Unwrapped format avoids this behavior.

Application: Phase measurements, e.g. phase distortion, deviation from linearity.

Alternative Formats:

Remote control:

CALCulate< Chn>:FORMat PHASe

Smith

Selects a Smith chart to display a complex quantity, primarily a reflection S-parameter.

Properties: The Smith chart is a circular diagram obtained by mapping the positive complex semi-plane into a unit circle. Points with the same resistance are located on circles, points with the same reactance produce arcs. If the measured quantity is a complex reflection coefficient (S11, S22 etc.), then the unit Smith chart represents the normalized impedance. In contrast to the polar diagram, the scaling of the diagram is not linear.

Application: Reflection measurements, see application example.

The axis for the sweep variable is lost in Smith charts but the marker functions easily provide the stimulus value of any measurement point. dB values for the magnitude and other conversions can be obtained by means of the Marker Format functions.

Remote control:

CALCulate< Chn>:FORMat SMITh

Polar

Selects a polar diagram to display a complex quantity, primarily an S-parameter or ratio.

Properties: The polar diagram shows the measured data (response values) in the complex plane with a horizontal real axis and a vertical imaginary axis. The magnitude of a complex value is determined by its distance from the center, its phase is given by the angle from the positive horizontal axis. In contrast to the Smith chart, the scaling of the axes is linear.

Application: Reflection or transmission measurements, see application example.

The axis for the sweep variable is lost in polar diagrams but the marker functions easily provide the stimulus value of any measurement point. dB values for the magnitude and other conversions can be obtained by means of the Marker Format functions.

Remote control:

CALCulate< Chn>:FORMat POLar

Delay

Calculates the (group) delay from the measured quantity (primarily: from a transmission S-parameter) and displays it in a Cartesian diagram.

Properties: The group delay τg represents the propagation time of wave through a device. τg is a real quantity and is calculated as the negative of the derivative of its phase response. A non-dispersive DUT shows a linear phase response, which produces a constant delay (a constant ratio of phase difference to frequency difference).

Mathematical relations: Delay, Aperture, Electrical Length

Application: Transmission measurements, especially with the purpose of investigating deviations from linear phase response and phase distortions. To obtain the delay a frequency sweep must be active.

The cables between the analyzer test ports and the DUT introduce an unwanted delay, which often can be assumed to be constant. Use the Zero Delay at Marker function, define a numeric length Offset or use the Auto Length function to mathematically compensate for this effect in the measurement results. To compensate for a frequency-dependent delay in the test setup, a system error correction is required.

The delay for reflection factors corresponds to the transmission time in forward and reverse direction; see Offset – Auto Length –Length and Delay Measurements.

Remote control:

CALCulate< Chn>:FORMat GDELay

Aperture

Sets a delay aperture for the delay calculation. The aperture Δf is entered as an integer number of Aperture Steps:

An aperture step corresponds to the distance between two sweep points.

Properties: The delay at each sweep point is computed as:

where the aperture Δf is a finite frequency interval around the sweep point fo and the analyzer measures the corresponding phase change ΔΦ.

Calculation of Δf and ΔΦ

Application The aperture must be adjusted to the conditions of the measurement. A small aperture increases the noise in the group delay; a large aperture tends to minimize the effects of noise and phase uncertainty, but at the expense of frequency resolution. Phase distortions (i.e. deviations from linear phase) which are narrower in frequency than the aperture tend to be smeared over and cannot be measured.

Finding an optimum aperture

Remote control:

CALCulate<Chn>:GDAPerture:SCOunt

SWR

Calculates the Standing Wave Ratio (SWR) from the measured quantity (primarily: from a reflection S-parameter) and displays it in a Cartesian diagram.

Properties: The SWR (or Voltage Standing Wave Ratio, VSWR) is a measure of the power reflected at the input of the DUT. It is calculated from the magnitude of the reflection coefficients Sii (where i denotes the port number of the DUT) according to:

The superposition of the incident and the reflected wave on the transmission line connecting the analyzer and the DUT causes an interference pattern with variable envelope voltage. The SWR is the ratio of the maximum voltage to the minimum envelope voltage along the line.

Interpretation of the SWR

Application: Reflection measurements with conversion of the complex S-parameter to a real SWR.

Remote control:

CALCulate< Chn>:FORMat SWR

Lin Mag

Selects a Cartesian diagram with a linear vertical axis scale to display the magnitude of the measured quantity.

Properties: The stimulus variable appears on the horizontal axis, scaled linearly. The magnitude of the complex quantity C, i.e. |C| = sqrt ( Re(C)2 + Im(C)2 ), appears on the vertical axis, also scaled linearly.

Application: Real measurement data (i.e. the Stability Factors, DC Input 1/2, and the PAE) are always displayed in a Lin Mag diagram.

Alternative Formats

Remote control:

CALCulate< Chn>:FORMat MLINear

Real

Selects a Cartesian diagram to display the real part of a complex measured quantity.

Properties: The stimulus variable appears on the horizontal axis, scaled linearly. The real part Re(C) of the complex quantity C = Re(C) + j Im(C), appears on the vertical axis, also scaled linearly.

Application: The real part of an impedance corresponds to its resistive portion.

Alternative Formats

Remote control:

CALCulate< Chn>:FORMat REAL

Imag

Selects a Cartesian diagram to display the imaginary part of a complex measured quantity.

Properties: The stimulus variable appears on the horizontal axis, scaled linearly. The imaginary part Im(C) of the complex quantity C = Re(C) + j Im(C), appears on the vertical axis, also scaled linearly.

Application: The imaginary part of an impedance corresponds to its reactive portion. Positive (negative) values represent inductive (capacitive) reactance.

Alternative Formats

Remote control:

CALCulate< Chn>:FORMat IMAGinary

Inverted Smith

Selects an inverted Smith chart to display a complex quantity, primarily a reflection S-parameter.

Properties: The Inverted Smith chart is a circular diagram obtained by mapping the positive complex semi-plane into a unit circle. If the measured quantity is a complex reflection coefficient (S11, S22 etc.), then the unit Inverted Smith chart represents the normalized admittance. In contrast to the polar diagram, the scaling of the diagram is not linear.

Application: Reflection measurements, see application example.

The axis for the sweep variable is lost in Smith charts but the marker functions easily provide the stimulus value of any measurement point. dB values for the magnitude and other conversions can be obtained by means of the Marker Format functions.

Remote control:

CALCulate< Chn>:FORMat ISMith

Unwrapped Phase

Selects a Cartesian diagram with an arbitrarily scaled linear vertical axis to display the phase of the measured quantity.

Properties: The stimulus variable appears on the horizontal axis, scaled linearly. The phase of the complex quantity C, i.e. φ (C) = arctan ( Im(C) / Re(C) ), appears on the vertical axis. φ (C) is measured relative to the phase at the start of the sweep (reference phase = 0°). In contrast to the normal Phase format, the display range is not limited to values between –180° and +180°. This avoids artificial jumps of the trace but can entail a relatively wide phase range if the sweep span is large.

Application: Phase measurements, e.g. phase distortion, deviation from linearity.

After changing to the Unwrapped Phase format, use Trace – Scale – Autoscale to re-scale the vertical axis and view the entire trace.

Remote control:

CALCulate< Chn>:FORMat UPHase


Trace - Scale

The scaling parameters Scale / Div, Ref Value, Ref Position, Max, Min are coupled together in the following manner:

Max –
 Min = Scale / Div * <Number of graticule divisions>
Max = Ref Value when Ref Position is 10
Min = Ref Value when Ref Position is 0

Scale

The Scale settings define how the active trace is presented in the diagram selected in the Format submenu.

  • Autoscale adjusts the diagram scale in order to display the entire active trace in the diagram area.

  • Autoscale All adjusts the diagram scale in order to display all traces in the diagram area.

  • Scale/Div. sets the value of the vertical diagram divisions.

  • Ref. Value sets the reference line of a Cartesian diagram or the outer circumference of a polar diagram.

  • Ref. Position defines the position of the reference line in a Cartesian diagram.

  • Max and Min define the upper and lower edge of a Cartesian diagram.

  • Ref Val = Marker sets the reference value equal to the active marker value.

The Scale settings are closely related to the settings in the Format submenu and in the Display menu. All of them have an influence on the way the analyzer presents data on the screen.

The Scale settings depend on the diagram type (Trace – Format) because not all diagrams can be scaled in the same way:

  • In Cartesian diagrams, all scale settings are available.

  • In circular diagrams, no Scale/Div., no Ref. Position, and no Max and Min values can be defined.

The default scale is activated automatically when a display format (diagram type) is selected. Scale settings that are not compatible with the current display format are disabled (grayed).

Relations between the scaling parameters

The Marker Functions provide a convenient alternative to manual diagram scaling.

Autoscale

Adjusts the Scale Divisions and the Ref. Value in order to display the entire active trace in the diagram area, leaving an appropriate display margin.

  • In Cartesian diagrams, the analyzer re-calculates the values of the vertical divisions so that the trace fits onto 80% of the vertical grid. The reference value is chosen to center the trace in the diagram.

  • In circular diagrams (Polar, Smith, Inverted Smith), the analyzer re-calculates the values of the radial divisions so that the diagram is confined to approx. 80% of the outer circumference. The reference value is set to the value of the outer circumference.

Autoscale does not affect the stimulus values and the horizontal axis.

Scaling diagrams

Remote control:

DISPlay[:WINDow<Wnd>]:TRACe<WndTr>:Y[:SCALe]:AUTO ONCE

Autoscale All

Adjusts the Scale Divisions and the Ref. Value in order to display all traces in the diagram area, leaving an appropriate display margin. This scale settings are analogous to the Autoscale function. The traces in the active diagram area are taken into account irrespective of their channel assignment.

Scaling diagrams

Scale Div.

Sets the value of the vertical diagram divisions in Cartesian diagrams.

Scale /Div corresponds to the increment between two consecutive grid lines. The unit depends on the display format: dB for display format dB Mag, degrees for Phase and Unwrapped Phase, ns for Delay, U (units) for all other (dimensionless) formats.

Scale /Div is not available (grayed) for circular diagrams (Polar, Smith, Inverted Smith).

Scaling diagrams

Remote control:

DISPlay [:WINDow<Wnd>]:TRACe<WndTr>:Y:PDIVision

Ref. Value

Sets the reference line of a Cartesian diagram or the outer circumference of a circular diagram.

  • In Cartesian diagrams Ref. Value defines the value of the reference line, indicated by a [image] symbol at the right edge of the diagram area. The color of the symbol corresponds to the trace color. As the Ref. Value is varied, the position of the reference line (Ref. Position) is left unchanged, so that the current trace is shifted in vertical direction. The unit of the Ref. Value depends on the display format: dB for display format dB Mag, degrees for Phase and Unwrapped Phase, ns for Delay, U (units) for all other (dimensionless) formats.

  • In circular diagrams (Polar, Smith, Inverted Smith), Ref. Value defines the value of the outer circumference. Changing Ref. Value enlarges or scales down the diagram, leaving the center unchanged. The unit is U (units) for all circular diagrams.

Use the paste marker list for convenient entry of the reference value.

Scaling diagrams

Remote control:

DISPlay [:WINDow<Wnd>]:TRACe<WndTr>:Y:RLEVel

Ref. Position

Defines the position of the reference line in a Cartesian diagram.

The reference line is indicated by a [image] symbol at the right edge of the diagram area. The color of the symbol corresponds to the trace color. Ref. Position is defined on a linear scale between 0 (bottom line of the diagram) and 10 (top line of the diagram). As the Ref. Position is varied, the value of the reference line (Ref. Value) is left unchanged, so the current trace is shifted together with the Ref. Position.

Ref. Position is not available (grayed) for polar diagrams (Polar, Smith, Inverted Smith).

Use the analyzer's drag-and-drop functionality to move the reference line symbol to the desired position.

Scaling diagrams

Remote control:

DISPlay [:WINDow<Wnd>]:TRACe<WndTr>:Y:RPOSition

Max and Min

Define the upper and lower edge of a Cartesian diagram.

Max and Min are not available (grayed) for polar diagrams (Polar, Smith, Inverted Smith).

Scaling diagrams

Remote control:

DISPlay [:WINDow<Wnd>]:TRACe<WndTr>:Y:TOP
DISPlay [:WINDow<Wnd>]:TRACe<WndTr>:Y:BOTTom

Ref. Val = Marker

Sets the reference value equal to the response value of the active marker, leaving the values of the vertical divisions (Scale Div.) unchanged.

  • In Cartesian diagrams the operation shifts the trace in vertical direction.

  • In polar diagrams (Polar, Smith, Inverted Smith), the operation re-defines the value of the outer circumference and therefore enlarges or scales down the diagram, leaving the center unchanged.

Use the analyzer's drag-and-drop functionality to move the reference line symbol to the desired position.

Scaling diagrams

Remote control:

No command, display configuration only


Traces

The screen can display several diagram areas simultaneously, each with a variable number of traces.

  • In an active diagram area one of these traces is the active trace. The active trace is highlighted in the trace list on top of the diagram area (Trc 3 in the figure below):

  • If an inactive area is selected as the active area, the trace that was active last time when the area was active will again become the active trace. It is highlighted in the trace list of the inactive diagram area as shown for Trc6 in the figure below:

All settings in the Trace menu except the Trace Functions involving a memory trace apply to the active trace in the active diagram area.

In remote control each channel can contain an active trace. The active remote traces and the active manual trace are independent of each other; see Active Traces in Remote Control.

  • Name indicates the current trace name. The default names for new traces are Trc<n> where <n> is a current number. Current numbers in the trace names are necessary to make automatic assignments, e.g. decouple the channel settings in the Couplingdialog. To serve as an unambiguous reference, trace names must be unique across all channels and diagram areas.

  • On indicates whether the trace is displayed on the screen (On) or invisible.

  • Meas indicates the measured parameter.

  • Type indicates whether the trace is a data trace(DAT), displaying the current measurement data, or a memory trace(MEM).

  • Channel indicates the channel of each trace.

  • Area indicates the diagram area of each trace.

  • Scale shows which traces use common scaling and format settings.

The analyzer can define mathematical relations between different traces and calculate new mathematical traces (User Def Math). The trace names are used as operands in the mathematical expressions and must be distinguished from the mathematical operators +, -, *, /, (, ) etc. This places some restrictions on the syntax of trace names:

  • The first character of a trace name can be either one of the upper case letters A to Z, one of the lower case letters a to z, an underscore _ or a square bracket [ or ].

  • For all other characters of a trace name, the numbers 0 to 9 can be used in addition.

The analyzer does not accept illegal trace names. If an illegal name is specified, the input field in the Trace Manager turns red.

Trace Select

The Trace Select submenu provides functions to handle traces and diagram areas, and assign traces to channels.

  • Next Trace selects the next trace as the active trace (disabled if only one trace is defined).

  • Select Trace opens a box to select an arbitrary trace of the active setup as the active trace (disabled if only one trace is defined).

  • Add Trace creates a new trace in the current diagram area.

  • Add Trace + Diag. Area generates a new trace in a new diagram area.

  • Delete Trace deletes the active trace.

  • Assign Channel assigns the active trace to another channel.

  • Assign Diag. Area assigns the active trace to another diagram area.

  • Trace Manager opens a dialog to perform the previous actions systematically for all traces and diagram areas.

Active and inactive traces

Next Trace

Selects the next trace in a series of displayed traces as the active trace. This function is disabled if only one trace is defined.

Next Trace has the following meaning:

  • In a list of traces displayed in a common diagram area, the next trace is the trace below the current trace (in the figure above, Trc 3 is the active trace and Trc 4 is the next trace).

  • If the active trace is the last trace in the list, the next trace is the first trace in the trace list of the next diagram area.

Remote control:

The numeric suffix <Chn> appended to the first-level mnemonic of a command selects a trace as active trace.

Select Trace

Opens a box to select an arbitrary trace of the active setup as the active trace. This function is disabled if only one trace is defined.

Remote control:

The numeric suffix <Chn> appended to the first-level mnemonic of a command selects a trace as active trace.

Add Trace

Creates a new trace in the current diagram area and assigns it to the current channel. The new trace is created with the trace and channel settings of the former active trace but displayed with another color. The former and the new active trace are superimposed but can be easily separated, e.g. by changing the Reference Position.

The new trace is named Trc <n>, where <n> is the largest of all existing trace numbers plus one. The name can be changed in the Trace Manager.

To create a new trace in a new channel, use Channel – Channel Select – New Channel .

Remote control:

CALCulate<Ch>:PARameter:SDEFine <Trace Name>, < Meas Parameter>
DISPlay:WINDow<Wnd>:TRACe<WndTr>:FEED

Add Trace + Diag. Area

Creates a new trace in a new diagram area and assigns the trace to the current channel. The new trace is created with the trace and channel settings of the former active trace but displayed with another color.

The new trace is named Trc <n>, where <n> is the largest of all existing trace numbers plus one. The name can be changed in the Trace Manager.

Remote control:

CALCulate<Ch>:PARameter:SDEFine <Trace Name>, < Meas Parameter>
DISPlay:WINDow<Wnd>:STATe ON
DISPlay:WINDow<Wnd>:TRACe<WndTr>:FEED

Delete Trace

Deletes the current trace and removes it from the diagram area. Delete Trace is disabled if the setup contains only one trace: In manual control, each setup must contain at least one diagram area with one channel and one trace.

To restore a trace that was unintentionally deleted, use Undo.

Remote control:

CALCulate<Ch>:PARameter:DELete <Trace Name>

Assign Channel

Assigns the active trace to another channel. A popup window offers a list of all channels available:

  • Selecting one of the existing channel names assigns the current trace to the existing channel.

  • Selecting New creates a new channel and assigns the current trace to the new channel. The new channel is named Ch <n>, where <n> is the largest of all existing channel numbers plus one. The name can be changed in the Channel Manager.

Assign Channel is disabled if the current setup contains only one channel. To create an additional channel, select Channel – Channel Select – New Channel.

Remote control:

CALCulate<Ch>:PARameter:SDEFi ne <Trace Name>, < Meas Parameter>

Assign Diag. Area

Assigns the active trace to another diagram area. A popup window offers a list of all areas available:

  • Selecting one of the existing area numbers assigns the active trace to the existing diagram area: The active trace is removed from the previous area and displayed in the new diagram area.

  • Selecting New creates a new diagram area and assigns the active trace to the new area. The new area is numbered <n>, where <n> is the largest of all existing area numbers plus one.

Assign Diag. Area is disabled if the current setup contains only one area. To create an additional area, click Display – Area Select –New Diag. Area.

To go to another diagram area and activate the last active trace in this area, simply click a point inside the new area.

Remote control:

DISPlay:WINDow<Wnd>:TRACe<WndTr>:FEED <Trace Name>

Trace Manager

Opens a dialog to perform the actions in the Trace Select menu systematically for all traces and diagram areas.

All existing traces of the current setup are listed in a table with several editable (white) or non-editable (gray) columns. Below the table the Trace Manager provides the following buttons:

  • Add/Delete... opens a dialog to add a new trace or delete a trace.

  • Coupling opens a dialog to define coupling criteria (channel, scale) for all traces in the table.

  • Sort Table opens a dialog to change the order of the traces (rows) in the table.

Columns in the Trace Manager table

Rules for trace names

Remote control:

CALCulate<Ch>:PARameter:SDEFine <Trace Name>, < Meas Parameter>
CONFigure:CHANnel<Ch>:TRACe:REName
CONFigure:TRACe<Trc>:CATalog?
CONFigure:TRACe<Trc>:NAME
CONFigure:TRACe<Trc>:NAME:ID?
CONFigure:TRACe:REName

Add/Delete

Opens a dialog to add a new trace or delete a trace.

  • Add creates a new trace and adds it to the list in the Trace Manager, assigning it to the channel and diagram area selected in the drop-down lists. It is possible to create a New channel and/or diagram area for the new trace.

  • Delete deletes the selected trace, removing it from the list in the Trace Manager and from the screen. This button is disabled if the setup contains only one trace: In manual control, each setup must contain at least one diagram area with one channel and one trace.

Remote control:

CALCulate<Ch>:PARameter:SDEFine <Trace Name>, < Meas Parameter>
DISPlay:WINDow<Wnd>:TRACe<WndTr>:FEED <Trace Name>
DISPlay[:WINDow<Wnd>]:TRACe:EFEed <Trace Name>
CALCulate<Ch>:PARameter:DELete <Trace Name>

Coupling

Selects common channel or scale settings for all traces in the Trace Manager dialog.

The channel and scale coupling is set in two independent panels.

  • Decouple All assigns independent channel or scale settings to all traces in the Trace Manager. If the channel and trace names include numbers, the trace with the lowest number is assigned to the channel with the lowest number and so forth. Measurement or data traces and their associated memory traces are assigned to the same channel.

  • Couple All assigns all traces to the channel or scale settings selected in the corresponding drop-down lists. All channel or scale settings except the selected ones are lost. The analyzer displays a confirmation dialog box before deleting the unused channels.

Remote control:

–

Sort Table

Changes the order of the traces (table rows) in the Trace Manager dialog.

  • The drop-down list contains all trace properties that can provide the sorting criterion. The properties correspond to the column headers in the Trace Manager.

  • The two radio buttons qualify whether the traces in the table are sorted in ascending or descending order, according to the property selected in the pull-down list.

Remote control:

No command, display configuration only.


Trace Funct

When a memory trace is generated from a data trace, it is displayed in the same diagram area and inherits all channel and trace settings from the data trace.

The following display settings of a data trace and the associated memory traces are fully coupled. Changing a property of one trace affects the properties of all other traces.

  • All settings in the Trace – Format menu

  • All settings in the Trace – Scale menu

Selection of the measured quantity (Trace – Measure) is possible for the data trace but disabled for the memory traces.

Channel settings made for a memory trace act on the associated data trace. Some of the channel settings for a data trace (e.g. the Stimulus range) also affect the display of the memory traces.

If the sweep type of a data trace is changed so that the stimulus ranges of the data traces and the memory traces become incompatible, all coupled memory traces are removed from the diagram area and deleted.

The trace functions comprise the following mathematical operations:

  • Any mathematical relation applied to the trace (Math = Data/Mem, Math = User Def).

  • A shift of the trace in horizontal or vertical direction (Shift Response Value, Shift Stimulus Value).

Data —> Mem and Data —> New Mem store the raw trace without the trace functions, Data & Trace Funct —> Mem and Data & Trace Funct —> New Mem store the trace after it has been transformed using the trace functions.

The trace functions comprise the following mathematical operations:

  • Any mathematical relation applied to the trace (Math = Data/Mem, Math = User Def).

  • A shift of the trace in horizontal or vertical direction (Shift Response Value, Shift Stimulus Value).

Data —> Mem and Data —> New Mem store the raw trace without the trace functions, Data & Trace Funct —> Mem and Data & Trace Funct —> New Mem store the trace after it has been transformed using the trace functions.

Mathematical traces are either constant functions or functions of one or more data or memory traces. They are calculated on a point-to-point basis. Each trace point no. i of the mathematical trace is calculated from a set of constant values c1, ..., cn plus the trace points Trc1i, Trcmi of all traces 1 to m in the mathematical relation:

Mathi = Fct. (c1, ..., cn, Trc1i, Trcmi ), i = 1, no. of points

Different traces can be used in the same mathematical relation provided that they contain the same number of points. The analyzer places no further restriction on the compatibility of traces, e.g. the sweep points of the traces do not have to be the same.

The number of points belongs to the channel settings. Coupled data and memory traces are always compatible because they have the same channel settings.

The analyzer processes only numeric values without units in the mathematical formulas. No consistency check for units is performed.

clears the window, so it is possible to start editing a new expression.

deletes the last character before the current cursor position (backspace function). Deleting a character of an operand causes the operand to become invalid.

calls up an Open File dialog to load a mathematical expression from a trace math string file. Trace math string files are ASCII files with the default extension *.mth and contain the mathematical expression as it is written in the User Def Math... dialog. It is possible to change or create math string files using a text editor.

calls up a Save As... dialog to store the current expression to a trace math string file. Trace math string files are ASCII files with the default extension *.mth and contain the mathematical expression as it is written in the User Def Math... dialog. It is possible to change or create math string files using a text editor.

contains all data traces and memory traces of the active setup plus the constants pi (approx. 3.14159), e (approx. 2.71828) and the imaginary unit j. The trace operands denote unmodified data and memory traces. Mathematical relations for the traces are not taken into account, even if the mathematical mode is active (Math = User Def). The same applies to smoothing and Shift Response Value.

Contains operators for arithmetic operations and mathematical functions. The following table lists how the operators act on a complex quantity z = x + jy.

+, -, *, / | Basic arithmetic operations
() | Grouping parts of an expression
linMag | |z| = sqrt ( x2 + y2 )
dBMag | dB Mag(z) = 20 * log|z| dB
Arg | Phase φ (z) = arctan ( Im(z) / Re(z) )
Re, Im | x, y (Real and Imag)
log, ln | Common (base 10) or natural (base e) logarithm
Min, Max | Smaller or larger values of all points of two traces, e.g. Min(Trc1,Trc2)
StimVal | Stimulus value*)
tan, atan, sin, asin, cos, acos | Direct and inverse trigonometric functions.

*) The function StimVal can be used for all sweep types. Please note that - as with all user math operands - only the numerical value without unit is processed in the user math formula.

  • In frequency sweeps StimVal provides the stimulus frequency in Hz.

  • In power sweeps, StimVal provides the voltage in V that results from the source power in dBm. To obtain the correct source power in dBm (for dB Mag trace format), Result is Wave Quantity must be enabled. Note that, due to the conversion into a dBm value, the source power depends on the reference impedance of the port associated with the measured wave quantity, to be set in the Port Configurationdialog.

  • In time sweeps, StimVal is the stimulus time in s.

  • In CW mode sweeps, StimVal is the number of the point.

extends the Define Math dialog and opens the numeric input panel (toggle function):

The numeric input panel supports the entry of numeric values and constants. In addition to the numbers 0 to 9, the decimal point and the constants j (complex unit), pi (approx. 3.14159) and e (approx. 2.71828), it contains the following buttons:

  • +/- changes the sign

  • Exp defines a number in exponential representation, e.g. 12 exp 3 for 12*10^3 = 12000.

Products of numbers and constants may be entered in abbreviated form, e.g. 2e for 2*e.

In the More Wave Quantities dialog, the Show as: control element specifies whether wave quantities are displayed as voltages or equivalent powers, using the port impedances for a conversion between the two representations. Result is Wave Quantity is relevant for mathematical traces displayed in units of dBm (Show as: Power and trace format dB Mag):

  • If Result is Wave Quantity is on (checked), the mathematical trace values <W> are interpreted as voltages and first converted into equivalent powers (<W> —> <P> = <W>2/Re(Z0)). Results in dB Mag format are calculated according to <P>log = 10 * log (<P>/1mW).

  • If Result is Wave Quantity is off, the mathematical trace values <W> are interpreted as dimensionless quantities. Results in dB Mag format are calculated according to <W>log = 20 * log (<W>).

Example: A mathematical trace value amounts to 1 (real value); the port impedance is 50 Ω. If Result is Wave Quantity is on, the analyzer assumes the trace value to be 1 V, which is converted into a linear power of 20 mW, corresponding to approx. 13 dBm. With Result is Wave Quantity off, the trace value 1 is directly converted into a logarithmic power of 0 dBm.

See also example for CALCulate<Chn>:MATH:WUNit:STATe ON | OFF.

Trace Funct

The Trace Funct(ions) store traces to the memory and perform mathematical operations on traces

Refer to section Trace Types to learn more about data traces, memory traces, and mathematical traces.

  • Data -> Mem stores the active data trace as a memory trace.

  • Math = Data/Mem activates the mathematical mode where the data trace is divided by the memory trace.

  • Show Data shows or hides the active data trace.

  • Show Mem shows or hides the active memory trace.

  • More Mem opens a submenu to store traces as memory traces, show or hide traces.

  • Math = User Def activates the mathematical mode with a user-defined relation between traces.

  • User Def Math... opens a dialog to define a mathematical relation between traces.

  • Transform opens a submenu with the time domain transformation functions (with option ZVAB-K2, Time Domain).

  • Trace Statistics opens a submenu to evaluate statistical and phase information of the trace.

  • Smoothing On activates the smoothing function for the active trace.

  • Smoothing Aperture... defines how many measurement points are averaged to smooth the trace.

  • Import/Export Data stores the active trace to a file or loads a memory trace from a file.

  • Shift Response Value ... opens a dialog to define a user-correction to the measured values.

  • Shift Stimulus Value... shifts a memory trace in horizontal direction.

  • Max Hold On enables or disables the max hold (peak hold) function for the active trace.

  • Min Hold On enables or disables the min hold function for the active trace.

  • Restart Hold restarts the max hold (peak hold) or min hold function for the active trace, discarding the old maximum or minimum measurement results.

  • Linearity Deviation opens a submenu to compensate the active trace for the average slope and response value in order to show the deviation from linearity.

Many of the functions of the Trace Funct menu act on the active trace. Data traces and the associated memory traces share many of their properties; see coupling of memory traces.

Data -> Mem

Stores the current state of the active trace as a memory trace. The memory trace is displayed in the active diagram area with another color, and its properties are indicated in the trace list:

Memory traces are named Mem<n>[<Data_Trace>] where <n> counts all data and memory traces in the active setup in chronological order, and <Data_Trace> is the name of the associated data trace. Trace names can be changed in the Trace Manager dialog.

The exact function of Data -> Mem depends on the number of memory traces associated to the active data trace:

  • If no memory trace is associated with the active trace, a new memory trace is generated.

  • If several memory traces are associated with the active trace, the current measurement data overwrites the last generated or changed memory trace.

To store the current measurement data to a new memory trace (without overwriting an existing memory trace), or select and overwrite a particular memory trace, use the -> Mem dialog. You can also create multiple memory traces using the Import Data dialog. Notice that it is not possible to store Max. Hold traces to memory.

Coupling of data and memory traces

Remote control:

CALCulate<Chn>:MATH:MEMorize

Math = Data/Mem

Activates the mathematical mode where the active data trace is divided by the last generated memory trace. The division is calculated on a point-to-point basis: Each measurement point of the active trace is divided by the corresponding measurement point of the memory trace. The result of the division is a mathematical trace and replaces the active data trace in the diagram area. The mathematical trace is updated as the measurement goes on and the analyzer provides new active trace data.

This function is disabled unless a memory trace is coupled to the active data trace. Trace coupling ensures that the two traces have the same number of points so that the mathematical trace Data/Mem is well-defined.

Math = Data/Mem and Math = User Def are alternative options of the mathematical mode. Selecting one option disables the other. The mathematical expression defined via User Def Math is not affected.

Remote control:

CALCulate<Chn>:MATH[:EXPRession]:SDEFine <string>
CALCulate<Chn>:MATH:STATe ON

Show Data

Displays or hides the active data trace in the diagram area. If one of the mathematical options Math = Data/Mem or Math = User Def are active, then the active mathematical trace is displayed or hidden.

Remote control:

DISPlay[:WINDow<Wnd>]:TRACe<WndTr>:SHOW

Show Mem

Displays or hides the active memory trace in the diagram area or the memory trace associated with the active data trace.

  • If no memory trace is associated with the active data trace, Show Mem is disabled.

  • If several memory traces are associated with the active data trace (see -> Mem), Show Mem affects the last generated or changed memory trace.

Remote control:

DISPlay[:WINDow<Wnd>]:TRACe<WndTr>:SHOW

More Mem

Opens a submenu to store traces as memory traces, show or hide traces. The submenu complements the Data -> Mem menu commands.

  • Data —> Mem opens a dialog to store the active trace to a memory trace.

  • All Data —> Mem opens a dialog to store all traces in the active setup to memory traces.

  • The remaining functions hide or show all data traces or memory traces. Moreover it is possible to delete all memory traces in the active setup.

Remote control:

TRACe:COPY <memory_trc>, <data_trc> (copy data trace to memory trace)
DISPlay[:WINDow<Wnd>]:TRACe<WndTr>:SHOW DALL | MALL, ON | OFF (show or hide all data or memory traces)
CALCulate<Ch>:PARameter:DELete <Trace Name> (delete data or memory trace, repeat command to delete all memory traces)

Data -> Mem Dialog

The Data -> Mem dialog stores the active trace to a memory trace.

  • Store Trace <trace_name> to contains all memory traces associated with the active data trace. The selected memory trace can be replaced.

  • Data -> Mem stores the active data trace to the memory trace selected above. If no memory trace is associated with the current trace, then a new memory trace is created. The new trace is named Mem<n+1>[<Data_Trace>], where n is the largest of all existing memory trace indices.

  • Data -> New Mem stores the active data trace to a new memory trace, leaving the existing memory traces unchanged.

  • Data & Trace Funct. -> Mem stores the current state of the active data trace modified by the trace functions to the memory trace selected above. If no memory trace is associated with the current trace, then a new memory trace is created.

  • Data & Trace Funct. -> New Mem stores the current state of the active data trace modified by the trace functions to a new memory trace, leaving the existing memory traces unchanged.

Trace functions

Remote control:

TRACe:COPY <memory_trc>,<data_trc>
TRACe:COPY:MATH <memory_trace>, <data_trace>

All Data -> Mem

The All Data -> Mem dialog stores all traces in the active setup to memory traces.

  • Data -> Mem stores all data traces in the current setup to memory traces. If no memory trace is associated with a data trace, then a new memory trace is created. The new trace is named Mem<n+1>[<Data_Trace>], where n is the largest of all existing memory trace indices. If several memory traces are associated with a data trace, the newest memory trace is replaced.

  • Data -> New Mem stores all data traces in the current setup to memory traces, leaving the existing memory traces unchanged.

  • Data & Trace Funct. -> Mem stores the current state of all data traces modified by the trace functions to memory traces. If a trace has no memory trace, then a new memory trace is created.

  • Data & Trace Funct. -> New Mem stores the current state of all data traces modified by the trace functions to new memory traces, leaving the existing memory traces unchanged.

Trace functions

Remote control:

TRACe:COPY <memory_trc>,<data_trc>
TRACe:COPY:MATH <memory_trace>, <data_trace>

Math = User Def

Activates the mathematical mode and displays the mathematical trace defined via User Def. Math. The mathematical trace replaces the active data trace in the diagram area; it is updated as the measurement goes on and the analyzer provides new active trace data.

This function is disabled unless a user-defined mathematical trace is available.

Math = User Def and Math = Data/Mem are alternative options of the mathematical mode. Selecting one option disables the other. The mathematical expression defined via Define Math is not affected.

Remote control:

CALCulate<Chn>:MATH[:EXPRession]:SDEFine <string>
CALCulate<Chn>:MATH:STATe ON

User Def. Math...

Opens a dialog to define a mathematical relation between traces and calculate a new mathematical trace. Each measurement point of the active trace is replaced by the corresponding point of the mathematical trace.

Compatibility between traces in mathematical relations

In its upper part the dialog contains a window to view and edit the mathematical expression and four buttons:

  • Del. All

  • Del.

  • Recall...

  • Save...

To import a math file (*.mth) you can also use the Windows Explorer and simply double-click the file or drag and drop the file into the NWA application. You must enable the mathematical mode separately.

The operands and operators in the expression can be selected from two lists and the Numeric Value panel:

  • Operand

  • Operator

  • Numeric Value

If traces are used as operands, the unmodified, linear complex trace data (no dB-values) enter into the mathematical expression, irrespective of the current trace format. No mathematical traces are available as operands.

Result is Wave Quantity in the lower part of the dialog controls the conversion and formatting of the mathematic expression.

  • If Result is Wave Quantity is enabled the analyzer assumes that the result of the mathematical expression represents a voltage. Examples for voltage-type expressions are all terms proportional to a wave quantity (e.g. 1.1*Data, if a wave quantity is measured) or to a stimulus value of a power sweep. If Show As: Power is selected in the More Wave Quantities dialog, the result is converted into a linear power before the selected trace format is applied. Otherwise no conversion is performed, and dB Mag results are referenced to 1 μV.

  • If Result is Wave Quantity is disabled the analyzer assumes that the result of the mathematical expression is dimensionless. Examples for dimensionless expressions are all terms proportional to ratios of wave quantities, e.g. Data / Mem2[Trc1]. The selected trace format is applied without previous conversion.

Result is Wave Quantity acts on the result of the mathematical expression only. Wave quantities and power sweep stimulus values always enter into the expression as voltages.

Effect of Result is Wave Quantity and numeric example

Comparing two traces displayed in dB Mag format


Transform

The network analyzer measures and displays complex S-parameters and other quantities as a function of the frequency. The measurement results can be filtered and mathematically transformed in order to obtain the time domain representation, which often gives a clearer insight into the characteristics of the DUT.

Time domain transforms can be calculated in band pass or low pass mode. For the latter the analyzer offers the impulse and step response as two alternative transformation types. A wide selection of windows can be used to optimize the time domain response and suppress sidelobes due to the finite sweep range. Moreover, it is possible to eliminate unwanted responses by means of a time gate and transform the gated result back into the frequency domain.

For a detailed discussion of the time domain transformation including many examples refer to the application note 1EZ44_OE which is posted on the R&S internet.

The trace in the frequency domain depends on the state of the Time Gate:

  • If the gate is disabled, the frequency domain (FD) trace corresponds to the sweep results prior to the transformation.

  • If the gate is enabled, the frequency domain trace shown is calculated from the time domain (TD) trace which is gated and transformed back into the frequency domain.

The analyzer uses fixed No Profiling (Rectangle) window settings to transform the measured trace into time domain. The TD trace is gated using the selected time gate. The gated trace is transformed back into frequency domain using a No Profiling (Rectangle) window.

The shape, width and position of the time gate affect the gated frequency domain trace. The window type selection in the Define Transform dialog is ignored. The selected window is used again when the TD trace is displayed (Time Domain: On).

The rectangular No Profiling (Rectangle) windows minimize numerical inaccuracies near the boundaries of the measured frequency span. In the limit where the effect of the time gate vanishes (e.g. a gate of type Notch and a very small width), the time gated trace is equal to the original measured trace.

While the time domain representation is active the trace settings behave as follows:

  • The settings in the Time Domain Stimulus Axis submenu configure the time axis.

  • All Trace Formats including the circular diagrams are available.

  • Limit lines can be defined like the limit lines for time sweeps.

  • The bandfilter search functions are available for the transformed trace.

  • If marker coupling is active, then the markers in the time domain and in the frequency domain are coupled with each other.

The analyzer places no restriction on the measured quantities to be transformed into the time domain. Impedances and admittances are first converted back into the equivalent S-parameter, transformed, and restored after the transformation.

The Chirp z-transformation that the analyzer uses to compute the time domain response is an extension of the (inverse) Fast Fourier Transform (FFT). Compared to the FFT, the number of sweep points is arbitrary (not necessarily an integer power of 2), but the computation time is increased by approx. a factor of 2. This increased computation time is usually negligible compared to the sweep times of the analyzer.

The following properties of the Chirp z-transformation are relevant for the analyzer settings:

  • The frequency points must be equidistant.

  • The time domain response is repeated after a time interval which is equal to Δt = 1/Δf, where Δf is the spacing between two consecutive sweep points in the frequency domain. For a sweep span of 4 GHz and 201 equidistant sweep points, Δf = 4 GHz/200 = 2 * 107 Hz, so that Δt = 50 ns. Δt is termed measurement range (in time domain) or unambiguous range.

Additional constraints apply if the selected Chirp z-transformation is a lowpass transformation.

The interpretation of time and distance depends on the measurement type. For reflection measurements, the time axis represents the propagation time of a signal from the source to the DUT and back. For transmission measurement, it represents the propagation time from the source through the device to the receiver. The Distance calculation is consistent with this interpretation:

  • For reflection measurements (S-parameters Sii or ratios with equal port indices) the distance between the source and the DUT is half the propagation time multiplied by the velocity of light in the vacuum times the velocity factor of the receiving port defined in the Channel – Offset menu (Distance = 1/2 * Time * c0 * Velocity Factor). The factor 1/2 accounts for the return trip from the DUT to the receiver.

  • For transmission measurements, the distance is calculated as the propagation time times the velocity of light in the vacuum times the velocity factor of the receiving port defined in the Channel – Offset menu (Distance = Time * c0 * Velocity Factor).

: The time domain transform is based on the measurement results obtained in the sweep range between any set of positive start and stop values. The sweep points must be equidistant. No assumption is made about the measurement point at zero frequency (DC value). The time domain result is complex with a generally undetermined phase depending on the delay of the signal.

: The measurement results are continued towards f = 0 (DC value) and mirrored at the frequency origin so that the effective sweep range (and thus the response resolution) is more than doubled. Together with the DC value, the condition of equidistant sweep points implies that the frequency grid must be harmonic. Due to the symmetry of the trace in the frequency domain, the time domain result is harmonic.

A harmonic grid is formed by a set of equidistant frequency points fi (i = 1...n) with spacing Δf and the additional condition that f1 = Δf. In other words, all frequencies fi are set to harmonics of the start frequency f1.

If a harmonic grid, including the DC value (f = 0) is mirrored to the negative frequency range, the result is again an equidistant grid.

The point symmetry with respect to the DC value makes harmonic grids suitable for lowpass time domain transformations.

After calculating a harmonic grid, the analyzer must determine the value of the measured quantity at zero frequency and possibly at additional points in the range between f = 0 and f = fmin.

The following figure shows a scenario where the harmonic grid was calculated with fixed Stop Frequency and Number of Points. The DC value and the values at the two additional red points must be extrapolated or interpolated according to the measured sweep points (blue dots) and the properties of the DUT.

  • If the properties of the DUT at f = 0 are sufficiently well known, then it is recommendable to enter the DC value manually (Manual Entry) and let the analyzer calculate the remaining values (red dots) by linear interpolation of the magnitude and phase ( Examples:). Clicking the Extrapolate button will initiate an extrapolation of the measured trace towards f = 0 and overwrite the current DC value. This can be used for a consistency check.

  • Continuous Extrapolation initiates an extrapolation of the measured trace towards lower frequencies, so that the missing values (green and red dots) are obtained without any additional input. The extrapolation is repeated after each sweep.

At f = 0 the reflection factor of an open-ended cable is 1. It is –1 for a short-circuited cable and 0 for a cable with matched termination. If a cable with known termination is measured, then these real numbers should be entered as DC values.

(the spacing between the equidistant sweep points, i.e. the sweep Span divided by the Number of Points minus one)

The three types of harmonic grids have the following characteristics:

  • Keep Stop Frequency and Number of Points means that the stop frequency and the number of sweep points is maintained. The sweep points are re-distributed across the range between the minimum frequency of the analyzer and the stop frequency; the step width may be increased.

  • Keep Frequency Gap and Number of Points means that the number of sweep points and their relative spacing is maintained. If the start frequency of the sweep is sufficiently above the fmin, the entire set of sweep points is shifted towards lower frequencies so that the stop frequency is decreased.

If the start frequency of the sweep is close to fmin, then the sweep points may have to be shifted towards higher frequencies. If the last sweep point of the calculated harmonic grid exceeds the maximum frequency of the analyzer, then an error message is displayed, and another harmonic grid algorithm must be used.

  • Keep Stop Frequency and Approximate Frequency Gap means that the stop frequency is maintained and the number of sweep points is increased until the range between fmin and the stop frequency is filled. The frequency gap is approximately maintained.

The figures above are schematic and do not comply with the conditions placed on the number of sweep points and interpolated/extrapolated values.

The three types of harmonic grids have different advantages and drawbacks. Note that for a bandpass transformation the grid parameters have the following effect:

  • A wider sweep range (i.e. a larger bandwidth) increases the time domain resolution.

  • A smaller frequency gap extends the unambiguous range.

  • A larger number of points increases the sweep time.

With default analyzer settings, the difference between the grid types are small. The following table helps you find the appropriate grid.

Grid type: Keep | Sweep time | Time domain resolution | Unambiguous range | Algorithm fails if...
Stop freq. and no. of points |  |  |  | –
Freq. gap and no. of points |  |  |  | Stop frequency beyond upper frequency limit
Stop freq. and approx. freq. gap |  |  |  | Number of sweep points beyond limit

The properties of the time gates are analogous to the properties of the frequency domain windows. The following table gives an overview:

Window | Sidelobe suppression | Passband ripple | Best for...
Steepest Edges (Rectangle) | 13 dB | 0.547 dB | Eliminate small distortions in the vicinity of the useful signal, if demands on amplitude accuracy are low
Steep Edges (Hamming) | 43 dB | 0.019 dB | Good compromise between edge steepness and sidelobe suppression
Normal Gate (Hann) | 32 dB | 0.032 dB | Good compromise between edge steepness and sidelobe suppression
Maximum Flatness (Bohman) | 46 dB | 0 dB | Maximum attenuation of responses outside the gate span
Arbitrary Gate Shape (Dolph-Chebychev) | User defined between 10 dB and 120 dB | 0.071 dB | Adjustment to individual needs; tradeoff between sidelobe suppression and edge steepness

Transform

Opens a submenu to view the measurement results as a function of time. The time domain transformation requires option ZVAB-K2, Time Domain.

Time domain transformation

  • Frequency Domain and Time Domain select frequency domain or time domain representation of the active trace.

  • Time Domain Stimulus Axis opens a submenu to define the stimulus axis range for the time domain representation.

  • Define Transform ... opens a dialog to define the transformation type and the frequency domain window used to optimize the time domain response.

  • Time Gate switches the time gate defined with Define Time Gate... on or off.

  • Define Time Gate ... opens a dialog to select the time gate and define its parameters.

Frequency Domain

Selects the frequency domain representation for the active trace. The softkey is enabled if option ZVAB-K2, Time Domain, is available, and if a linear frequency sweep (Channel – Sweep – Sweep Type – Lin. Frequency) is active.

In frequency domain representation the diagram shows the measured trace as a function of the stimulus frequency applied to the DUT. The trace corresponds to the results obtained during the frequency sweep, however, the effect of a time gate is taken into account as long as the Time Gate function is active. The x-axis corresponds to the sweep range (stimulus range) selected via Channel – Stimulus.

Gated and ungated state of the frequency domain representation

In time domain representation, you can use the Time Gate settings in order to eliminate unwanted responses in your signal. After switching back to the frequency domain, you will receive the frequency response of your DUT without the contribution of the unwanted responses.

Setting up a time domain measurement

Using a time gate

Remote control:

CALCulate<Chn>:TRANsform:TIME:STATe OFF

Time Domain

Selects the time domain representation for the active diagram area. The softkey is enabled if option ZVAB-K2, Time Domain, is available, and if a linear frequency sweep (Channel – Sweep – Sweep Type – Lin. Frequency) is active. The analyzer automatically quits time domain representation as soon as a different sweep type is selected.

In time domain representation the diagram shows the measurement results as a function of time. The results are obtained by transforming the measured frequency sweep data into the time domain using an appropriate mathematical transformation type and frequency window (Define Transform...). The sweep range and the output power for the active channel is still displayed below the diagram; the displayed time interval is shown in a second line:

Trace settings in time domain representation

Properties of the Chirp z-transformation

Setting up a time domain measurement

Remote control:

CALCulate<Chn>:TRANsform:TIME:STATe ON

Time Domain Stimulus Axis

Opens a submenu to define the stimulus axis range for time domain representation.

  • Start Time Domain is the lowest displayed time and corresponds to the left edge of the Cartesian diagram.

  • Stop Time Domain is the highest displayed time and corresponds to the right edge of the Cartesian diagram.

  • Center Time Domain corresponds to the center of the Cartesian diagram, i.e. (Start + Stop)/2.

  • Span Time Domain corresponds to the diagram width, i.e. (Stop – Start).

  • Time and Distance switch over between the x-axis scaling in time units or distance units.

  • Mechanical Length opens the dialog which defines port-specific offset parameters (mechanical length, velocity factor, loss); see Mechanical Length. The velocity factor affects the relationship between distance and time units; see background information below.

Use the paste marker list for convenient entry of Start and Stop values.

Distance units for transmission and reflection parameters

Due to the properties of the Chirp z-transformation the trace is periodic in time and repeats after an unambiguous range of Δt = 1/Δf, where Δf is the spacing between two consecutive frequency points. To extend the unambiguous range, either reduce the sweep span (Channel – Stimulus) or increase the number of sweep points.

Setting up a time domain measurement

Remote control:

CALCulate<Chn>:TRANsform:TIME:STARt
CALCulate<Chn>:TRANsform:TIME:STOP
CALCulate<Chn>:TRANsform:TIME:CENTer
CALCulate<Chn>:TRANsform:TIME:SPAN
CALCulate<Chn>:TRANsform:TIME:XAXis TIME | DISTance

Define Transform

The Define Transform dialog selects the transformation type and the frequency domain window which is applied to the trace in order to optimize its time domain response.

  • The radio buttons in the Type panel select a band pass or low pass transform. To calculate a low pass transform the sweep points must be on a harmonic grid (otherwise the analyzer will only be able to calculate an approximate result and generate a warning). Low Pass Settings...opens a dialog to establish or change a harmonic grid (not available for memory traces).

  • The Impulse Response panel shows the impulse response of a constant trace over a finite sweep range (i.e. a rectangular function) that was filtered in the frequency domain using different windows. The selected window is applied to the active trace. The analyzer always uses a No Profiling (Rectangle) window to calculate the time-gated frequency domain trace, see background information in section Frequency Domain.

  • If an Arbitrary Sidelobes (Dolph-Chebychev) window is selected, the Arbitrary Sidelobe Level (sidelobe suppression) can be set below the Impulse Response diagrams. The entered value is the ratio of the power of the central lobe to the power of the first side lobe in dB.

  • The Resolution Enhancement Factor broadens the frequency range that the analyzer considers for the time domain transform by a linear factor. A factor of 1 means that the original sweep range and the measured sweep points are used; no additional assumptions are made. With higher resolution enhancement factors, the measurement data is extrapolated using a linear prediction method. As a result, the resolution in time domain can be improved.
    The ideal resolution enhancement factor depends on the properties of the DUT. In distance to fault measurements on cables, factors between 3 and 5 turned out to be a good choice.

For a comparison of the different transformation types and windows and for application examples please also refer to the application note 1EZ44_OE which is posted on the R&S internet.

The frequency domain window is used to filter the trace prior to the time domain transformation. An independent Time Gate can be used after the transformation in order to eliminate unwanted responses.

Setting up a time domain measurement

Remote control:

CALCulate<Chn>:TRANsform:TIME[:TYPE]
CALCulate<Chn>:TRANsform:TIME:STIMulus
CALCulate<Chn>:TRANsform:TIME:WINDow
CALCulate<Chn>:TRANsform:TIME:DCHebyshev
CALCulate<Chn>:TRANsform:TIME:RESolution:EFACtor

Band Pass and Low Pass Mode

The analyzer provides two essentially different types of time domain transforms:

  • Band pass mode

  • Low pass mode

The band pass and low pass modes are compared below.

Transform type | Band pass | Low pass
Advantages | Easiest to use: works with any set of equidistant sweep points | Higher response resolution (doubled) Includes information about DC value Real result Impulse and step response
Restrictions | No step response Undetermined phase | Needs harmonic grid
Use for... | Scalar measurements where the phase is not needed DUTs that don't operate down to f = 0 (e.g. pass band or high pass filters) | Scalar measurements where the sign is of interest DUT's with known DC value

Remote control:

CALCulate<Chn>:TRANsform:TIME[:TYPE]

Impulse and Step Response

In low pass mode, the analyzer can calculate two different types of responses:

  • The impulse response corresponds to the response of a DUT that is stimulated with a short pulse.

  • The step response corresponds to the response of a DUT that is stimulated with a voltage waveform that transitions from zero to unity.

The two alternative responses are mathematically equivalent; the step response can be obtained by integrating the impulse response:

Integrate impulse response

Obtain step response

The step response is recommended for impedance measurements and for the analysis of discontinuities (especially inductive and capacitive discontinuities). The impulse response has an unambiguous magnitude and is therefore recommended for most other applications.

Remote control:

CALCulate<Chn>:TRANsform:TIME:STIMulus

Windows in the Frequency Domain

The finite sweep range in a frequency domain measurement with the discontinuous transitions at the start and stop frequency broadens the impulses and causes sidelobes (ringing) in the time domain response. The windows offered in the Define Transformdialog can reduce this effect and optimize the time domain response. The windows have the following characteristics:

Window | Sidelobe suppression | Relative impulse width | Best for...
No Profiling (Rectangle) | 13 dB | 1 | –
Low First Sidelobe (Hamming) | 43 dB | 1.4 | Response resolution: separation of closely spaced responses with comparable amplitude
Normal Profile (Hann) | 32 dB | 1.6 | Good compromise between pulse width and sidelobe suppression
Steep Falloff (Bohman) | 46 dB | 1.9 | Dynamic range: separation of distant responses with different amplitude
Arbitrary Sidelobes (Dolph-Chebychev) | User defined between 10 dB and 120 dB | 1.2 (at 32 dB sidelobe suppression) | Adjustment to individual needs; tradeoff between sidelobe suppression and impulse width

Remote control:

CALCulate<Chn>:TRANsform:TIME:WINDow
CALCulate<Chn>:TRANsform:TIME:DCHebyshev

Low Pass Settings

The Low Pass Settings dialog defines the harmonic grid for low pass time domain transforms.

Harmonic grid

The dialog can be used to change the current grid of sweep points, which may or may not be harmonic.

  • The three buttons in the Set Harmonic Grid...panel provide alternative algorithms for calculation of a harmonic grid, based on the current sweep points.

  • The control elements in the DC Value panel define the measurement result at zero frequency and in the interpolation/extrapolation range between f = 0 and f = fmin. They are enabled after a harmonic grid has been established.

Defining the low frequency sweep points

Remote control:

CALCulate<Chn>:TRANsform:TIME:LPASs KFSTop | KDFRequency | KSDFrequency
CALCulate<Chn>:TRANsform:TIME:LPASs:DCSParam
CALCulate<Chn>:TRANsform:TIME:LPASs:DCSParam:CONTinuous
CALCulate<Chn>:TRANsform:TIME:LPASs:DCSParam:EXTRapolate
CALCulate<Chn>:TRANsform:TIME:LPFRequency

Set Harmonic Grid

In the Set Harmonic Grid... panel of the Low Pass Settings dialog, a harmonic grid can be calculated in three alternative ways:

  • Keep Stop Frequency and Number of Points calculates a harmonic grid based on the current stop frequency (Channel –Stimulus – Stop) and the current number of sweep points (Channel –Sweep – Number of Points). This may increase the frequency gap.

  • Keep Frequency Gap and Number of Points calculates a harmonic grid based on the current stop frequency (Channel –Stimulus – Stop) and the current frequency gap.

  • Keep Stop Frequency and Approximate Frequency Gap calculates a harmonic grid based on the current stop frequency (Channel –Stimulus – Stop), increasing the number of points (Channel –Sweep – Number of Points) in such a way that the frequency gap remains approximately the same. This may increase the sweep time, due to the additional sweep points introduced.

The three grids can be calculated repeatedly in any order; the analyzer always starts from the original set of sweep points.

Visualization of the harmonic grid algorithms

The harmonic grids can not be calculated for any set of sweep points. If the minimum number of sweep points is smaller than 5, then the interpolation/extrapolation algorithm for additional sweep points will not work. The same is true if the number of sweep points or stop frequency exceeds the upper limit. Besides, the ratio between the sweep range and the interpolation range between f = 0 and f = fmin must be large enough to ensure accurate results.
If the sweep range for the harmonic grid exceeds the frequency range of the current system error correction, a warning is displayed.

Finding the appropriate algorithm

Remote control:

CALCulate<Chn>:TRANsform:TIME:LPASs KFSTop | KDFRequency | KSDFrequency

Time Gate

Switches the time gate defined via Define Time Gate on or off. An active time gate acts on the trace in time domain as well as in frequency domain representation. Gat is displayed in the trace list while the time gate is active.

The time gate is independent of the frequency window used to filter the trace prior to the time domain transformation.

In time domain representation, you can use the time gate settings in order to eliminate unwanted responses in your signal. After switching back to the frequency domain, you will receive the frequency response of your DUT without the contribution of the unwanted responses.

Using a time gate

Remote control:

CALCulate<Chn>:FILTer[:GATE]:TIME:STATe <Boolean>

Define Time Gate

The Define Time Gate defines the properties of the time gate used to eliminate unwanted responses that appear on the time domain transform.

  • Start and Stop or Center and Span define the size of the time gate. The analyzer generates a warning if the selected time span exceeds the unambiguous range which is given by Δt = 1/Df, where Δf is the spacing between two consecutive frequency points. Simply reduce the time span until the warning disappears.

  • The filter Type defines what happens to the data in the specific time region. A Band Pass filter passes all information in the specified time region and rejects everything else. A Notch filter rejects all information in the specified time region and passes everything else.

  • If the Show Gate Limits after Closing this Dialog check box is selected two red lines indicating the start and stop of the time gate are permanently displayed in the diagram area.

  • The Gate Shape panel visualizes how the time gate will affect a constant function after transformation back into the frequency domain. The selected window is applied to the active trace. The two red vertical lines represent the Start and Stop values defining the size of the time gate. The analyzer always uses a Steepest Edges (Rectangle) window to calculate the time-gated frequency domain trace, see background information is section Frequency Domain.

  • If an Arbitrary Gate Shape (Dolph-Chebychev) window is selected, the Arbitrary Sidelobe Level can be set below the Gate Shape diagrams.

Use the paste marker list for convenient entry of Start and Stop values.

Comparison of time gates

Using a time gate

Remote control:

CALCulate<Chn>:FILTer[:GATE]:TIME:STARt
CALCulate<Chn>:FILTer[:GATE]:TIME:STOP
CALCulate<Chn>:FILTer[:GATE]:TIME:CENTer
CALCulate<Chn>:FILTer[:GATE]:TIME:SPAN
CALCulate<Chn>:FILTer[:GATE]:TIME[:TYPE] BPASs | NOTCh
CALCulate<Chn>:FILTer[:GATE]:TIME:SHOW
CALCulate<Chn>:FILTer[:GATE]:TIME:WINDow RECT | HAMMing | HANN | BOHMan | DCHebyshev
CALCulate<Chn>:FILTer[:GATE]:TIME:DCHebyshev


Trace Statistics

The statistical quantities are calculated from all response values in the selected evaluation range. Suppose that the trace in the evaluation range contains n stimulus values xi and n corresponding response values yi (measurement points).

  • Min. and Max. are the largest and the smallest of all response values yi.

  • Pk-Pk is the peak-to-peak value and is equal to the difference Max. – Min.

  • Mean is the arithmetic mean value of all response values:

  • SDev is the standard deviation of all response values:

  • RMS is the root mean square (effective value) of all response values:

To calculate the Min., Max., Pk-Pk values and the SDev, the analyzer uses formatted response values yi (see trace formats). Consequently, the mean value and the standard deviation of a trace depend on the selected trace format.
In contrast, the RMS calculation is based on linear, unformatted values. The physical units for unformatted wave quantities is 1 Volt. The RMS value has zero phase. The selected trace format is applied to the unformatted RMS value, which means that the RMS result of a trace does depend on the trace format.

The phase parameters are obtained from an approximation to the derivative of the phase with respect to frequency in the selected evaluation range.

  • Delay is the phase delay, which is an approximation to the group delay and calculated as follows:

,

where Δf is the width of the evaluation range and DF is the corresponding phase change. See also note on transmission and reflection parameters below.

  • EL is the electrical length, which is the product of the phase delay times the speed of light in the vacuum.

If no dispersion occurs the phase delay is equal to the group delay. For more information see mathematical relations.

If a dispersive connector type (i.e. a waveguide; see Offset Modeldialog) is assigned to a test port related to a particular quantity, then the dispersion effects of the connector are taken into account for the calculation of the phase delay and the electrical length.

To account for the propagation in both directions, the delay and the electrical length of a reflection parameter is only half the delay and the electrical length of a transmission parameter. The formula for PD above is for transmission parameters. See also introduction to section Channel – Offset.

The phase parameters are available only if the evaluation range contains at least 3 measurement points.

The x-dB compression point of an S-parameter or ratio is the stimulus signal level where the magnitude of the measured quantity has dropped by x dB compared to its value at small stimulus signal levels (small-signal value). As an approximation for the small-signal value, the analyzer uses the value at the start level of the evaluation range (Eval Range...).

The compression point is a measure for the upper edge of the linearity range of a DUT. It is close to the highest input signal level for which the DUT shows a linear response (|an| —> x*|an| [image] |bn| —> x*|bn|, so that the magnitude of all S-parameters remains constant).

A large smoothing aperture enhances the smoothing effect but may also average out quick variations of the measured values and thus produce misleading results. To avoid errors, observe the following recommendations.

  • Start with a small aperture and increase it only as long as you are certain that the trace is still correctly reproduced.

  • As a general rule, the smoothing aperture should be small compared to the width of the observed structures (e.g. the resonance peaks of a filter). If necessary, restrict the sweep range or switch smoothing off to analyze narrow structures.

Trace Statistics

Opens a submenu to evaluate and display statistical and phase information of the entire trace or of a specific evaluation range and calculate the x-dB compression point.

  • Min/Max/Peak-Peak displays or hides the essential statistical parameters of the trace in the selected evaluation range.

  • Mean/Std Dev displays or hides the arithmetic mean value and the standard deviation of the trace in the selected evaluation range.

  • RMS displays or hides the RMS value of the trace in the selected evaluation range.

  • Phase Delay/El Length displays or hides the phase delay and the electrical length of the trace in the selected evaluation range (Eval Range...).

  • Compression Point starts the x-dB compression point evaluation

  • Define Compression Value... sets the compression level (x dB).

  • Gain/Slope/Flatnessdisplays or hides trace parameters for the current evaluation range.

  • Eval Range... opens a dialog to define the range for the statistical and phase evaluation and for the compression point measurement.

Statistical Evaluation

The first three commands in the Trace Statistics submenu display or hide the maximum (Max.), minimum (Min.), the peak-to-peak value (Pk-Pk), arithmetic mean value (Mean), the standard deviation (Std. Dev.), and the RMS value of all response values of the trace in the selected evaluation range (Eval Range...).

Definition of statistical quantities

Remote control:

CALCulate<Chn>:STATistics[:STATe]
CALCulate<Chn>:STATistics:RESult? MIN | MAX | PEAK2P | MEAN | STDDev | RMS
CALCulate<Chn>:STATistics:MMPTpeak[:STATe]
CALCulate<Chn>:STATistics:MSTDev[:STATe]
CALCulate<Chn>:STATistics:RMS[:STATe]

El. Length/Phase Delay

Displays or hides the phase delay (Delay) and the electrical length (EL) of the trace in the selected evaluation range (Eval Range...). The parameters are only available for trace formats that contain phase information, i.e. for the formats Phase, Unwrapped Phase, and the polar diagram formats Polar, Smith, Inverted Smith. Moreover, the sweep type must be a frequency sweep.

Definition of phase parameters

The phase evaluation can cause misleading results if the evaluation range contains a [image] 360 deg phase jump. The trace format Unwrapped Phase avoids this behavior.

The delay for reflection factors corresponds to the transmission time in one direction; see Offset – Auto Length –Length and Delay Measurements.

Remote control:

CALCulate<Chn>:STATistics[:STATe]
CALCulate<Chn>:STATistics:RESult? ELENgth | PDELay
CALCulate<Chn>:STATistics:EPDelay[:STATe]

Compression Point

Displays or hides all results related to the x-dB compression point of the trace, where x is the selected compression value. To obtain valid compression point results, a power sweep must be active, and the trace format must be dB Mag.

Compression point

When Compression Point is activated, a marker labeled Cmp is placed to compression point with the smallest stimulus level. Moreover the Trace Statistics info field shows the numerical results of the compression point measurement:

  • Cmp In is the stimulus level at the compression point in units of dBm. Cmp In always corresponds to the driving port level (e.g. the level from port no. j, if a transmission parameter Sij is measured).

  • Cmp Out is the sum of the stimulus level Cmp In and the magnitude of the measured response value at the compression point.
    The magnitude of a transmission S-parameter Sij is a measure for the attenuation (or gain) of the DUT, hence: Cmp Out = Cmp In + <Attenuation>. The example above is based on an attenuation of –14 dB, hence Cmp Out = –39.4 dB – 14 dB = –53.4 dBm.

The info field shows invalid results ('---') if the wrong sweep type or trace format is selected, or if the trace contains no x-dB compression points in the selected evaluation range.

Measuring the x-dB compression point

Remote control:

CALCulate:STATistics:NLINear:COMP[:STATe]
CALCulate:STATistics:NLINear:COMP:RESult?

Define Compression Value

Opens the numeric entry bar to define the compression value x (in dB) for the compression point measurement.

Remote control:

CALCulate:STATistics:NLINear:COMP:LEVel

Gain/Slope/Flatness

Displays or hides trace parameters that the analyzer calculates for the current evaluation range. If no evaluation range is defined, the parameters apply to the sweep range.

Suppose that A and B denote the trace points at the beginning and at the end of the evaluation range, respectively.

  • Gain is the larger of the two stimulus values of points A and B.

  • Slope is the difference of the stimulus values of point B minus point A.

  • Flatness is a measure of the deviation of the trace in the evaluation range from linearity. The analyzer calculates the difference trace between the active trace and the straight line between points A and B. The flatness is the difference between the largest and the smallest response value of this difference trace.

Remote control:

CALCulate<Chn>:STATistics:SFLatness[:STATe]
CALCulate<Chn>:STATistics:RESult? GAIN | SLOPe | FLATness

Eval Range

Opens a dialog to define the range for the statistical and phase evaluation and for the x-dB compression point measurement. The evaluation range is a continuous interval of the sweep variable.

It is possible to select, define and display up to ten different evaluation ranges for each setup. Full Span means that the search range is equal to the sweep range. The statistical and phase evaluation and the compression point measurement take into account all measurement points with stimulus values xi between the Start and Stop value of the evaluation range:

Start [image] xi [image] Stop

The evaluation ranges are identical to the marker search ranges. For more information see Search Range Dialog.

Trace statistics

Remote control:

CALCulate<Chn>:STATistics:DOMain:USER <numeric_value>
CALCulate<Chn>:STATistics:DOMain:USER:STARt <numeric_value>
CALCulate<Chn>:STATistics:DOMain:USER:STOP <numeric_value>
CALCulate<Chn>:STATistics:DOMain:USER:SHOW

Smoothing On

Activates the smoothing function for the active trace, which may be a data or a memory trace. With active smoothing function, each measurement point is replaced by the arithmetic mean value of all measurement points located in a symmetric interval centered on the stimulus value. The width of the smoothing interval is referred to as the Smoothing Aperture and can be adjusted according to the properties of the trace.

The sweep average is an alternative method of compensating for random effects on the trace by averaging consecutive traces. Compared to smoothing, the sweep average requires a longer measurement time but does not have the drawback of averaging out quick variations of the measured values.

Remote control:

CALCulate<Chn>:SMOothing[:STATe] <Boolean>

Smoothing Aperture

Defines how many measurement points are averaged to smooth the trace if smoothing is switched on. The Smoothing Aperture is entered as a percentage of the total sweep span.

An aperture of n % means that the smoothing interval for each sweep point i with stimulus value xi is equal to [xi – span*n/200, xi + span*n/200], and that the result of i is replaced by the arithmetic mean value of all measurement points in this interval. The average is calculated for every measurement point. Smoothing does not significantly increase the measurement time.

Finding the appropriate aperture

Remote control:

CALCulate<Chn>:SMOothing:APERture <numeric_value>


Import/Export Data

On loading data from a trace file, the analyzer displays a list box to select one of the traces stored in the file. The example below shows a Touchstone (*.s2p) file, containing all four 2-port S-parameters; see Trace File Formats.

Coupling between the imported memory trace and the active data trace implies that the stimulus values of the imported data and of the active trace must be compatible. Compatibility means that the Sweep Type of the two traces must match; the position and number of the sweep points do not have to be the same.

The analyzer checks for compatibility before importing data. The Select Parameter box remains empty if the selected files contains no compatible data.

When a *.s1p file is opened the Select Parameter box indicates the 1-port (reflection) parameter S11, irrespective of the actual S-parameter stored in the file.

Complex and formatted data is tapped at different stages of the data processing chain.

  • Complex trace values are the raw values at the beginning of the trace data flow. None of the following stages (trace mathematics, shift response, time domain gate, and smoothing) affects the complex data. Export Complex Data writes the raw stimulus values (frequency/power/time, according to the sweep type) and the raw, complex measurement points to a file.

  • Formatted trace values are the fully processed trace values displayed on the analyzer screen. All possible stages of the trace data flow (trace mathematics, shift response, time domain gate, and smoothing) are taken into account. Export Formatted Data writes the displayed stimulus values (e.g. a time scale if a time domain transformation is used) and the displayed measurement points to a file.

Both complex and formatted data can be converted into different output formats.

selects the format for the exported trace data. In the Real - Imag format, each complex measurement value is represented by its real and imaginary part. It is also possible to store the linear magnitude and phase(lin Mag-Phase) or dB magnitude and phase (dB Mag-Phase) of each value.

opens a dialog to define the port assignment for the created Touchstone (*.s<n>p) file.

activates a message box to be displayed before an older trace file with the same file name and directory is overwritten.

causes the analyzer to export the trace data for all channels in the current setup to separate Touchstone files. The selected Touchstone file name is automatically extended by the channel identifier, e.g.: <File name>ch1,s2p, <File Name>ch2.s2p ....

selects the format for the exported trace data. In the Real - Imag format, each complex measurement value is represented by its real and imaginary part. It is also possible to store the linear magnitude and phase(lin Mag-Phase) or dB magnitude and phase (dB Mag-Phase) of each value.

selects only the Active Trace or All Traces of (the) Active Channel (including all data and memory traces) for data export to an ASCII (*csv) file.

selects either the Point or the Comma (if needed to process the exported data with an external application) as a separator for decimal numbers exported to an ASCII (*.csv) file.

, the separator that the analyzer uses to separate different numbers in each line of an ASCII (*.csv) file.

opens a dialog to define the port assignment for the created Touchstone (*.s<n>p) file.

activates a message box to be displayed before an older trace file with the same file name and directory is overwritten.

causes the analyzer to export the trace data for all channels in the current setup to separate Touchstone files. The selected Touchstone file name is automatically extended by the channel identifier, e.g.: <File name>ch1,s2p, <File Name>ch2.s2p ....

includes the reference impedances Z0 for all analyzer ports in the file header of the ASCII (*csv) or Matlab file.

Use a Touchstone file format to export single-ended S-parameter data traces to a file that can be evaluated with applications such as Agilent's Microwave Design System (MDS) and Advanced Design System (ADS), and to convert mixed mode parameters back to single-ended parameters. The data must be acquired in a frequency sweep. Note the conditions for Touchstone file export in section Select Ports.

Use the ASCII (*.csv) format if you want to do one of the following:

  • Import the created file into a spreadsheet application such as Microsoft Excel.

  • Export an arbitrary number of traces, multiple traces with the same parameter or memory traces.

  • Export traces acquired in a power sweep or CW sweep.

  • Use export options.

Use a the Matlab (*.dat) format if you want to import and process the trace data in Matlab.

For more information see Trace File Formats.

selects the format for the exported trace data. In the Re/Im format, each complex measurement value is represented by its real and imaginary part. It is also possible to store the linear magnitude and phase(lin Mag-Phase) or dB magnitude and phase (dB Mag-Phase) of each value.

selects only the Active Trace or All Traces of (the) Active Channel (including all data and memory traces) for data export to an ASCII (*csv) file.

selects either the Point or the Comma (if needed to process the exported data with an external application) as a separator for decimal numbers exported to an ASCII (*.csv) file.

, the separator that the analyzer uses to separate different numbers in each line of an ASCII (*.csv) file.

activates a message box to be displayed before an older trace file with the same file name and directory is overwritten.

causes the analyzer to export the trace data for all channels in the current setup to separate Touchstone files. The selected Touchstone file name is automatically extended by the channel identifier, e.g.: <File name>ch1,s2p, <File Name>ch2.s2p ....

includes the reference impedances Z0 for all analyzer ports in the file header of the ASCII (*csv) or Matlab file.

Use a Touchstone file format to export single-ended S-parameter data traces to a file that can be evaluated with applications such as Agilent's Microwave Design System (MDS) and Advanced Design System (ADS), and to convert mixed mode parameters back to single-ended parameters. The data must be acquired in a frequency sweep. Note the conditions for Touchstone file export in section Select Ports.

Use the ASCII (*.csv) format if you want to do one of the following:

  • Import the created file into a spreadsheet application such as Microsoft Excel.

  • Export an arbitrary number of traces, multiple traces with the same parameter or memory traces.

  • Export traces acquired in a power sweep or CW sweep.

  • Use export options.

Use a the Matlab (*.dat) format if you want to import and process the trace data in Matlab.

For more information see Trace File Formats.

are ASCII files which can be imported and processed in Matlab.

specifies beginning of header line (required at top of file).

HZ / KHZ / MHZ / GHZ allowed for imported files. The analyzer always uses HZ for exported data.

at present: S for S-parameter files.

RI for Re/Im, MA for lin. Mag-Phase, DB for dB Mag-Phase. The data format for export files can be selected in the Export Data dialog.

Impedance system in which the data was defined. The analyzer uses 50.0000 Ω.

Freq Re(S11) Im(S11)

S11 can be replaced by an any S-parameter; the *s1p format is suitable for exporting an arbitrary data trace representing an S-parameter.

Freq    Re(S11)
   Im(S11)
    Re(S21)
   Im(S21)
    Re(S12)
   Im(S12)
    Re(S22)
   Im(S22)

(all values arranged in 1 line)

Freq    Re(S11)
   Im(S11)
    Re(S12)
   Im(S12)
    Re(S13)
   Im(S13)

Re(S21)   Im(S21)
    Re(S22)
   Im(S22)
    Re(S23)
   Im(S23)

Re(S31)   Im(S31)
    Re(S32)
   Im(S32)
    Re(S33)
   Im(S33)

(values arranged in 3 lines)

Freq    Re(S11)
   Im(S11)
    Re(S12)
   Im(S12)
    Re(S13)
   Im(S13)
    Re(S14)
   Im(S14)

Re(S21)   Im(S21)
    Re(S22)
   Im(S22)
    Re(S23)
   Im(S23)
    Re(S24)
   Im(S24)

Re(S31)   Im(S31)
    Re(S32)
   Im(S32)
    Re(S33)
   Im(S33)
    Re(S34)
   Im(S34)

Re(S41)   Im(S41)
    Re(S42)
   Im(S42)
    Re(S43)
   Im(S43)
    Re(S44)
   Im(S44)

(values arranged in 4 lines)

stimulus variable: freq for Frequency sweep, power for Power sweep, time for Time sweep, trigger for CW Mode sweep.

first response value of first trace: re<Trace_Name>, mag<Trace_Name> or db<Trace_Name> for output format Re/Im, lin. Mag-Phase or dB Mag-Phase, respectively. The data format for export files can be selected in the Export Data dialog.

second response value of first trace: im<Trace_Name> for output format Re/Im, ang<Trace_Name> for output formats lin. Mag-Phase or dB Mag-Phase. The data format for export files can be selected in the Export Data dialog.

first response value of second trace: re<Trace_Name>, mag<Trace_Name> or db<Trace_Name> for output format Re/Im, lin. Mag-Phase or dB Mag-Phase, respectively. The data format for export files can be selected in the Export Data dialog.

second response value of first trace: im<Trace_Name> for output format Re/Im, ang<Trace_Name> for output formats lin. Mag-Phase or dB Mag-Phase. The data format for export files can be selected in the Export Data dialog.

HZ / KHZ / MHZ / GHZ allowed for imported files. The analyzer alway uses HZ for exported data.

first response value of second trace.

second response value of second trace: im<Trace_Name> for output format Re/Im, ang<Trace_Name> for output formats lin. Mag-Phase or dB Mag-Phase. The data format for export files can be selected in the Export Data dialog.

The trace points are modified according to the formula displayed in the lower part of the dialog:

The formula and the different constants are adjusted to the different display formats of a trace:

  • The Magnitude factor shifts a dB Mag trace in vertical direction, leaving the phase of a complex parameter unchanged.

  • The Phase factor rotates a trace that is displayed in a polar diagram around the origin, leaving the magnitude unchanged.

  • The Real added constant shifts a real trace in vertical direction, leaving the imaginary part unchanged.

  • The Imaginary added constant shifts a imaginary trace in vertical direction, leaving the real part unchanged.

Import/Export Data

Stores one or several data or memory traces to a file or loads a memory trace from a file. Import or export is selected from a submenu:

  • Import Complex Data... calls up an Open File dialog to load a memory trace from a trace file.

  • Export S-Matrix... calls up a Save As... dialog to store a complete set of S-parameter data to a trace file.

  • Export Complex Data... calls up a Save As... dialog to store data or memory traces to a trace file.

  • Export Formatted Data... calls up a Save As... dialog to store data or memory traces with their current trace format and stimulus values to a trace file.

Import Complex Data...

Calls up a dialog to load a memory trace from a trace file. Trace files are ASCII files with selectable file format.

The loaded trace data is used to generate a memory trace which is coupled to the active data trace. Import Data corresponds to a standard Open File dialog with an additional checkbox:

  • Import Data to New Mem qualifies whether the loaded data overwrite the active memory trace (box unchecked, analogous to Data -> Mem) or whether they are used to generate a new memory trace (box checked, analogous to Data -> New Mem).

Trace file import and import conditions

To import a trace file (*.snp or *.csv) you can also use the Windows Explorer and simply double-click the file or drag and drop the file into the NWA application. The imported data generates a memory trace which is coupled to the active data trace.

Remote control:

MMEMory:LOAD:TRACe "<trc_name>","<file_name>"

Export S-Matrix...

Calls up a dialog to store a full set of S-parameters to a Touchstone (*.s<n>p) file. The analyzer exports the complex (raw) measurement data.

Complex vs. Formatted Data

Data export can serve many purposes, e.g.:

  • To process and evaluate measurement data in an external application.

  • To store measurement data and re-import it in a future measurement session.

Export S-Matrix corresponds to a standard Save As... dialog with an additional panel to specify various export options. The export options are remembered when the dialog is closed. The Touchstone file format depends on the number of selected ports (Select Ports button). Touchstone files use the point as Dec. Separator; see Trace File Formats.

  • Output Format

  • Select Ports

  • Ask before Overwriting

  • Export All Channels

Remote control:

MMEMory:STORe:TRACe
MMEMory:STORe:TRACe:CHANnel
MMEMory:STORe:TRACe:CHANnel:PORTs

Select Ports

Defines the port assignment for the created Touchstone (*.s<n>p) file.

The following conditions must be met for a Touchstone file export:

  • For a one-port Touchstone file *.s1p, the reflection coefficient for the specified port (e.g. S11 for port no. 1) must be measured. Use Export Complex Data to export an arbitrary S-parameter to a *.s1p file.

  • For a multiport Touchstone file *.s<n>p, either a full multiport system error correction or a complete set of <n>2 S-parameters must be available. Export of system error corrected, incomplete S-parameter sets is possible, too. If the port configuration contains balanced ports, the Touchstone file will contain the converted single-ended S-parameters.

Remote control:

MMEMory:STORe:TRACe:CHANnel:PORTs

Export Complex Data...

Calls up a dialog to store the active data or memory trace to a trace file. Trace files are ASCII files with selectable file format. See also Complex vs. Formatted Data.

Export Complex Data corresponds to a standard Save As... dialog with an additional panel to specify various export options. The export options are remembered when the dialog is closed. The Dec. Separator export option is not available for Matlab (*.dat) and Touchstone file export. The Export Complex Data dialog offers the *.s1p Touchstone file format for the active trace. Use Export S-Matrix to export several traces. Touchstone files use the point as Dec. Separator; see Trace File Formats.

The file header of the created Touchstone (*.s1p) file always contains the analyzer's 50 Ω reference impedance. This value may not correspond to the reference impedance of the active trace, in particular if differential or mixed mode S-parameters or wave quantities are exported. The analyzer displays a warning when creating a *.s1p file.

The dialog provides the following export settings:

  • Output Format

  • Contents

  • Dec. Separator

  • Field Separator

  • Select Ports

  • Ask before Overwriting

  • Export All Channels

  • Add Ref. Impedances

Selecting an appropriate file format

Remote control:

MMEMory:STORe:TRACe
MMEMory:STORe:TRACe:CHANnel
MMEMory:STORe:TRACe:CHANnel:PORTs

Export Formatted Data...

Calls up a dialog to store data or memory traces with their current trace format and stimulus values to a trace file. Trace files are ASCII files with selectable file format. Only the displayed values of the trace (e.g. the logarithmic magnitude, if trace format dB Mag is selected) are exported. Therefore the trace file doesn't necessarily contain the full (complex) information about the trace.

The exported formatted values correspond to the results in the marker info field. For trace formats involving Cartesian diagrams (dB Mag, Real, Imag...), the stimulus value and a single real response value is exported. For circular diagrams, both the real and imaginary part of the response value is exported. See also Complex vs. Formatted Data.

An exported formatted trace can be processed and evaluated in an external application. Re-import into the analyzer is only possible if the complex trace values are exported.

Export Formatted Data corresponds to a standard Save As... dialog with an additional panel to specify various export options. The Dec. Separator export option is not available for Matlab (*.dat) file export.

Touchstone files *.s<n>p contain either a single trace (*.s1p), system error corrected data, or the complete set of S-parameters of an n-port and use the point as Dec. Separator; see Trace File Formats; they are only available if complex trace values are exported (trace formats Polar, Smith, Inverted Smith). Moreover, Touchstone files cannot be used to export mathematical traces.

The following output options also depend on the trace format.

  • Output Format

  • Contents

  • Dec. Separator

  • Field Separator

  • Ask before Overwriting

  • Export All Channels

  • Add Ref. Impedances

Selecting an appropriate file format

Remote control:

MMEMory:STORe:TRACe
MMEMory:STORe:TRACe:CHANnel

Trace File Formats

Trace files are ASCII files with selectable file format. The analyzer provides several types of trace files:

  • Touchstone (*.s<n>p) files

  • ASCII (*.csv) files

  • Matlab (*.dat) files

The trace file formats complement each other; see Selecting an appropriate file format.

Touchstone files

All Touchstone files contain a header, a comment section, and the actual trace data:

# HZ S RI R 50.00

! Rohde & Schwarz ZVA8 4Ports - Version 2.79 - 1145.1010k10 SN: 100001

! Date: 2011-03-17 17:29:05

! Measurement: S21

!

3.000000000000000E5 4.974100772242758E-1 -4.765769749721549E-2

4.029850000000000E7 4.993215759551635E-1 -4.876783852224179E-2

8.029700000000000E7 4.947516929605214E-1 -7.533998081687453E-2

...

The header consists of the following data elements:

# <Frequency unit>

<Data file type>

<Data format>

<Normalizing impedance>

Comment lines start with the exclamation mark (!) and may contain any text used for documentation of the trace data file. Any number of comment lines may be inserted before or after the header line. A Touchstone file created by the network analyzer contains the comment lines shown above: Manufacturer of the network analyzer, properties of the instrument, current date and time, measured S-parameter(s).

The trace data section corresponds to a set of single-ended S-parameters. It depends on the number of ports <n> and the data format. For real and imaginary values (data format = Real-Imag) the trace data for each stimulus frequency is arranged as follows:

  • 1-port files (*.s1p)

  • 2-port files (*.s2p)

  • 3-port files (*.s3p)

  • 4-port files (*.s4p)

The stimulus frequencies are arranged in ascending order. If a lin. Mag-Phase (MA) or dB Mag-Phase (DB) data format is selected the real and imaginary S-parameter values Re(Sij), Im(Sij) are replaced by lin Mag(Sij), phase(Sij) or dB Mag(Sij), phase(Sij), respectively.

According to Touchstone file specifications, no more than four pairs of network data are allowed per data line. The entries in the data lines are separated by white space, and a data line is terminated by a new line character. All data sets are arranged in increasing order of frequency.

When exporting traces to a Touchstone file, it is recommended to set the analyzer to single sweep mode (Channel – Sweep – Single (All Chans)). This will ensure that a complete sweep is exported.

ASCII (*.csv) files

An ASCII file contains a header and the actual trace data:

freq;reTrc1_S21;imTrc1_S21;reMem2[Trc1]_S21;imMem2[Trc1]_S21;

300000.000000;0.000000;0.000000;0.000000;0.000000;

40499497.487437;0.000000;0.000000;0.000000;0.000000;

80698994.974874;0.494927;-0.065174;0.500833;-0.074866;

120898492.462312;0.497959;-0.111724;0.488029;-0.107375;

...

The header consists of the following data elements:

<Stimulus>

<reTrace1>

<imTrace1>

<reTrace2>

<imTrace2>...

The trace data is arranged as described in the header. Different values are separated by semicolons, commas or other characters, depending on the selected Decimal Separator in the Export ... Data dialogs. A semicolon is inserted before the end of each line.

The stimulus values are arranged in ascending order.

Shift Stimulus Value...

Shifts the active trace in horizontal direction, leaving the positions of all markers unchanged. The positive or negative offset value for the stimulus variable is entered into an input field. The unit depends on the sweep type.

Shift Stimulus Value can be used in Cartesian as well as in polar diagrams. The visible effect depends on the diagram type:

  • In Cartesian diagrams, the trace is shifted relative to the markers and the x-axis.

  • In polar diagrams, the trace is not affected, however, markers change their position.

Use a negative offset value to reset a shifted trace to its original position.

Remote control:

DISPlay:WINDow<Wnd>:TRACe<WndTr>:X:OFFset <numeric_value>

Shift Response Value...

Modifies all points of the active trace by means of an added and/or a multiplied complex constant. The constant complex values are entered in the four input fields of the Shift Response Value dialog.

The units of the constants are adjusted to the format of the active trace. Setting all values to zero (Clear All Values) restores the original trace.

Effect of the constants

Shifting the trace by means of constant values is a simple case of trace mathematics. Use the Define Math dialog to define more complicated mathematical operations.

Remote control:

DISPlay:WINDow<Wnd>:TRACe<WndTr>:Y:OFFset <Magnitude>[, <Phase>, <Real>, <Imag>]

Remote control:

CALCulate<Chn>:MATH:WUNit:STATe ON | OFF

Max Hold On, Min Hold On

Enables (if selected) or disables the max hold (peak hold) or min hold function for the active trace. With enabled max hold or min hold function, the displayed trace shows the maximum or minimum values that the analyzer acquired since the start of the measurement. The max hold and min hold trace is real, it is based on the magnitude of the trace values (the phase values are discarded).

The max hold or min hold process can be restarted any time using Restart Hold. It is also restarted automatically when the channel or trace settings are changed so that the previous measurement results are no longer compatible.

Depending on the selected export file format and trace format, a data export (Export Complex Data, Export Formatted Data) may require complex trace data. In such situations, the analyzer exports the last measured trace instead of the real max hold or min hold trace.
A memory trace is complex by definition. Therefore, Data --> Mem stores the last measured trace instead of the real max hold or min hold trace.

Remote control:

CALCulate<Chn>:PHOLd MAX | OFF

Restart Hold

Restarts the max hold (peak hold) function for the active trace, discarding the old maximum measurement results. This softkey has no effect unless Max Hold On is active.

Remote control:

CALCulate<Chn>:PHOLd MAX | OFF


Marker

Markers are tools for selecting points on the trace and for numerical readout of measured data. A marker is displayed with a symbol (a triangle, a crossbar or a line) on the trace, which may be a data trace or a memory trace. At the same time, the coordinates are displayed in a marker info field or in a table. Each marker can be defined as a normal marker, reference marker, delta marker or discrete marker.

Marker types

The most common tasks to be performed with markers can be achieved using the Marker menu functions:

  • Determine the coordinates of a measurement point on the trace. In polar diagrams where no x-axis is displayed, markers can be used to retrieve the stimulus value of specific points.

  • Determine the difference between two trace points or the relative measurement result (Delta Mode).

  • Convert a complex measurement result into other formats.

Markers also play an important role in performing the following advanced tasks:

  • Change the sweep range and the diagram scale (Marker Funct.).

  • Search for specific points on the trace (Search).

  • A (normal) marker(M 1, M 2, ...) determines the coordinates of a measurement point on the trace. Up to 10 different normal markers can be assigned to a trace.

  • A reference marker(Ref) defines the reference value for all delta markers.

  • A delta marker(Δ) indicates the coordinates relative to the reference marker.

  • The stimulus value of a discrete marker always coincides with a sweep point.

A special set of markers M 1 to M 4 is provided for bandfilter search mode.

Some of the Marker functions toggle between two alternative states when they are pressed repeatedly:

  • Delta Mode switches the delta mode for the active marker on or off.

  • Coupled Mkrs activates or deactivates marker coupling.

  • Marker 1, ..., Marker 10 and Ref. Marker create a marker or remove it from the display. A removed marker remembers its properties (stimulus value, format, delta mode, number) and will be restored with these properties when Marker <n> or Ref. Marker is selected again. The marker properties are definitely lost when the associated trace is deleted.

To select one of several markers as an active marker, do one of the following:

  • Click the marker symbol.

  • Click the marker line in the marker info field.

To change the position of the active marker on the trace use one of the following methods:

  • Drag-and-drop the marker symbol to the desired position.

  • Click the Marker <n> or Ref. Marker softkey to call up the entry bar for the new stimulus value.

  • Right-click the diagram area or select Mkr. Propertiesto call up the Marker Properties dialog and select the new stimulus value.

  • Use the Searchfunctions to place the marker to a specific point on the trace.

If the marker position is defined explicitly by entering a numeric value, the marker position can be outside the sweep range. If it is just varied using the rollkey, the mouse or the cursor keys, it always remains within the sweep range. If the position of a marker outside the sweep range is varied, it is automatically moved to the start or stop value of the sweep range, whichever is closer.

The concept of marker coupling means that corresponding markers on different traces (i.e. markers with the same number or reference markers) are positioned to the same stimulus values but keep their independent format and type settings. When a trace with markers is selected as the active trace and marker coupling is switched on, the following happens:

  • The active trace and all associated markers are left unchanged. The active trace markers become the master markers of the setup.

  • Markers on the other traces which have no corresponding master marker are removed but remember their properties and can be re-activated after the coupling is released.

  • The remaining markers on the other traces become slave markers and are moved to the position of the corresponding master markers. "Missing" slave markers are created so that each trace has the same number of markers placed at the same position.

  • If the position of a master marker is outside the sweep range of the slave trace, the slave marker is displayed at the edge of the diagram. The marker info field indicates an invalid measurement result:

While marker coupling is active, it is possible to:

  • Move a master marker and thus change the position of all corresponding slave markers.

  • Activate another trace in order to make the associated markers the new master markers.

The formats of the markers assigned to a trace are independent of each other and of the trace format settings. The following table gives an overview on how a complex marker value z = x + jy is converted.

Marker Format | Description | Formula
dB Mag | Magnitude of z in dB | |z| = sqrt ( x2 + y2 ) dB Mag(z) = 20 * log|z| dB
Lin Mag | Magnitude of z, unconverted | |z| = sqrt ( x2 + y2 )
Phase | Phase of z | φ (z) = arctan (y/x)
Real | Real part of z | Re(z) = x
Imag | Imaginary part of z | Im(z) = y
SWR | (Voltage) Standing Wave Ratio | SWR = (1 + |z|) / (1 – |z|)
Delay | Group delay, neg. derivative of the phase response*) | – d φ (z) / d ω
dB Mag and Phase | Magnitude of z in dB and phase in two lines | 20 * log|z| dB arctan ( Im(z) / Re(z) )
Lin Mag and Phase | Magnitude of z (unconverted) and phase in two lines | |z| arctan ( Im(z) / Re(z) )
Real and Imag | Real and imaginary part of z in two lines | x y
Default (Trace) | Marker format identical with trace format | –
R + j X | Unnormalized resistance and reactance; L or C in three lines (Smith diagram) | R X L or C**)
G + j B | Unnormalized conductance and susceptance; L or C in three lines (Inverted Smith diagram) | G B L or C**)

*) The delay aperture is defined in the Trace – Format menu.

**) The equivalent inductances or capacitances L or C are calculated from the imaginary part of the impedance according to

opens a drop-down list to select the Ref. Marker or one of the Marker 1, ... 10that may be associated to the active trace.

defines a marker name which may exceed the length of the input box and contain letters, numbers, blanks and special characters.

defines the stimulus value (in Cartesian diagrams: the x-axis position) of the marker.

defines the output format of the marker value.

displays the selected marker in the diagram and in the marker info field or removes it. Marker configurations are only available while the marker is switched On. A removed marker remembers its properties (stimulus value, format, delta mode, number ...) when it is switched on again. The marker properties are definitely lost if the associated trace is deleted.

freezes the current response value of the selected marker. The marker can still be shifted horizontally but the vertical position remains fixed if the other marker settings are changed. Markers must be inside the sweep range and have a valid response value when they are fixed.

sets the selected marker to delta mode and displays its values relative to the reference marker.

means that a marker can be set to discrete sweep points only. If discrete mode is switched off, the marker can be positioned on any point of the trace, and its response values are obtained by interpolation.

couples the markers of all traces in the active setup to the markers of the active trace; see Coupled Markers.

Marker

The functions in the Marker menu are used to position markers on a trace, configure their properties and select the format of the numerical readout.

Markers

The Marker menu contains the following functions:

  • Marker 1/2/3 creates the markers numbered 1, 2, and 3.

  • Ref. Marker... creates the reference marker which is used to measure relative values and distances.

  • Delta Mode activates the display of the active marker values relative to the reference marker.

  • Ref. Marker -> Marker places the reference marker to the position of the active marker.

  • All Markers Off removes all markers from all traces of the active setup.

  • Coupled Markers couples the markers on different traces.

  • Discrete Marker turns the active marker into a discrete marker and vice versa.

  • More Markers opens a submenu to create the markers numbered 4 to 10.

  • Marker Format defines an output format for the (complex) marker values.

  • More Markers opens a submenu to create the markers numbered 4 to 10.

  • Marker Properties... opens a dialog with extended marker settings.

  • Export Markers... exports the marker values to an ASCII file.

Toggle functions in the Marker menu

Markers are available for all diagram types (Trace – Format).

Marker 1/2/3

Creates the markers numbered 1, 2, and 3, respectively, and assigns them to the active trace (toggle function). Marker 1/2/3 opens the numeric entry bar to define the marker position (Stimulus M 1/2/3). The default position is the center of the sweep range.

On closing the Stimulus Mkr 1/2/3 numeric entry bar a marker symbol (triangle) labeled M <n> is positioned on the trace and the marker coordinates are displayed in the Info Field.

Activating and moving markers

Changing the marker colors

Remote control:

CALCulate<Chn>:MARKer<Mk>[:STATe] ON
CALCulate<Chn>:MARKer<Mk>:X
CALCulate<Chn>:MARKer<Mk>:Y?

Ref. Marker

Creates a reference marker and assigns it to the active trace (toggle function). Ref. Marker opens the numeric entry bar to define the marker position (Stimulus Ref Mkr). The default position is the center of the sweep range.

On closing the Stimulus Ref Mkr numeric entry bar a marker symbol (triangle) labeled Ref is positioned on the trace and a line indicating R plus the marker coordinates is inserted in the marker info field.

The reference marker defines the reference value for all markers that are in Delta Mode.

Remote control:

CALCulate<Chn>:MARKer<Mk>:REFerence[:STATe] ON
CALCulate<Chn>:MARKer<Mk>:REFerence:X
CALCulate<Chn>:MARKer<Mk>:REFerence:Y?

Delta Mode

Converts the active marker to a delta marker so that its values are measured and indicated relative to the reference marker (toggle function). A Δ sign placed in front of the marker line indicates that the marker is in Delta Mode.

The reference marker itself can not be set to delta mode but must be present when another marker is set to delta mode. The analyzer takes into account these conditions when Delta Mode is selected:

  • If Delta Mode is selected while the reference marker is active, the marker in the info list after the reference marker is activated and set to delta mode. If the current trace contains the reference marker only, a new M 1 is created and set to delta mode.

  • If Delta Mode is selected for a normal marker while the current trace contains no reference marker, a reference marker is created.

A delta marker is required to set the sweep span using marker functions (Span = Marker).

Remote control:

CALCulate<Chn>:MARKer<Mk>:DELTa[:STATe] ON

Ref. Marker -> Marker

Places the reference marker to the position of the active marker. Ref. Marker -> Marker is not active if the active marker is a reference marker.

Remote control:

–

All Markers Off

Removes all markers from the active trace. Markers on other traces are not affected. The removed markers remember their properties (stimulus value, format, delta mode, number) when they are restored. The marker properties are definitely lost when the associated trace is deleted.

Remote control:

CALCulate<Chn>:MARKer<Mk>:AOFF

Coupled Markers

Couples the markers of all traces in the active setup to the markers of the active trace (toggle function). While marker coupling is active, the active trace markers assume the role of master markers; the other markers behave as slave markers, following any change of position of the master marker.

Effects of marker coupling

Marker coupling makes sense only if the master and the slave traces use the same stimulus variable. Channels with a different stimulus variable (sweep type) are not coupled.

Remote control:

CALCulate<Chn>:MARKer<Mk>:COUPled[:STATe] ON

Discrete Marker

Turns the active marker into a discrete marker and vice versa.

The stimulus value of a discrete marker always coincides with a sweep point. Use discrete markers in order to avoid that the marker indicates an interpolated measurement value.

Remote control:

CALCulate<Chn>:MARKer<Mk>:MODE
CALCulate<Chn>:MARKer<Mk>:REFerence:MODE

Marker Format

Opens a submenu to select an output format for the (complex) active marker value in the marker info field. The default marker format is the format of the associated trace. The current format is indicated with a l.

All marker formats are available irrespective of the measured quantity. The output values are calculated by a simple conversion of a complex measurement result, where the marker format defines the conversion rules. This flexibility in the calculation must be kept in mind when interpreting the results and physical units displayed; see also Measured Quantities and Display Formats.

Short description of marker formats

Remote control:

CALCulate<Chn>:MARKer<Mk>:FORMat ...

More Markers

Opens a submenu to create the markers numbered 4 to 10. The markers are analogous to marker no. 1 to 3.

Remote control:

CALCulate<Chn>:MARKer<Mk>[:STATe] ON

Marker Properties...

Opens a dialog to define the properties of all markers of the active trace.

In the left part the dialog contains four input fields and drop-down lists to select a marker and define the basic properties of a selected marker which is switched on in the Mode panel.

  • Select Mkr.

  • Name

  • Stimulus

  • Format

The Mode panel contains check boxes to select properties that are related to the marker positions. All properties can be combined.

  • Marker On

  • Fixed Marker

  • Delta Mode

  • Discrete Mode

  • All Mkrs Coupled

Style defines how the selected marker is displayed on the screen.

Show Info selects the marker info to be displayed at the Marker Position, in the marker info field or in a separate Table below the diagram area. The display options may be selected simultaneously or all switched off. The table provides more information than the marker info field:

Remote control:

CALCulate<Chn>:MARKer<Mk>:NAME
CALCulate<Chn>:MARKer<Mk>[:STATe] ON
CALCulate<Chn>:MARKer<Mk>:TYPE NORMal | FIXed
CALCulate<Chn>:MARKer<Mk>:DELTa[:STATe] ON
CALCulate<Chn>:MARKer<Mk>:MODE CONTinuous | DISCrete
CALCulate<Chn>:MARKer<Mk>:COUPled[:STATe] ON

CALCulate<Chn>:MARKer<Mk>:REFerence:NAME
CALCulate<Chn>:MARKer<Mk>:REFerence:TYPE

Export Markers...

Calls up a Save As... dialog to store the current marker values to a marker file.

The analyzer uses a simple ASCII format to export marker values. By default, the marker file extension is *.txt. The file contains all traces in the active setup together with their names and measured quantities. Below each trace, the file shows a list of all markers with their names, stimulus and response values.

The following example of a marker file describes a setup with two traces Trc1 and its memory trace. Trc1 has no markers assigned, the memory trace has four markers named M 1, ..., M 4.

Remote control:

MMEMory:STORe:MARKer "file_name"


The search functions are tools for searching measurement data according to specific criteria. A search consists of analyzing the measurement points of the current trace (or of a user-defined subrange termed the Search Range) in order to find one of the following:

  • Absolute or relative (local) maxima and minima (minimum/maximum search).

  • Trace points with a specific response value (target search).

  • Trace segments with a shape that is characteristic for bandpass or bandstop filters (bandfilter search).

When the search is activated, the active marker is moved to the (next) point that meets the search criteria. If the trace contains no markers, a M 1 is created and used for the search. The search result is displayed in the marker info field. If no search result can be found, the marker remains at its original position.

Some search functions can be activated repeatedly in order to find all possible search results. Moreover the analyzer provides a Tracking mode where the search is repeated after each sweep.

Search

The Search menu uses markers to locate specific points on the trace.

Search functions

  • Max Search sets the active marker to the absolute maximum in the search range.

  • Min Search sets the active marker to the absolute minimum in the search range.

  • Next Peak sets the active marker to the next maximum or minimum in the search range, depending on the current search criterion.

  • Peak Search > sets the active marker to the next peak with higher stimulus value.

  • < Peak Search sets the active marker to the next peak with lower stimulus value.

  • Target opens a submenu to search for a specific value on the trace.

  • Marker Tracking causes the search to be repeated after each sweep.

  • Bandfilter opens a submenu to search for trace segments with characteristic bandfilter shape and calculate the filter parameters.

  • Define Peak defines the criteria for the peak search.

  • Search Range... assigns a search range to each marker of the current trace.

The search functions are available in all Cartesian and polar diagram types (see Trace – Format). In polar diagrams (Polar, Smith, Inverted Smith), where complex values are displayed, the magnitude of the response values provides the search criterion.

Max Search

Sets the active marker to the absolute maximum in the search range, i.e. to the largest of all response values. If a complex trace format (e.g. a polar diagram) is active, the marker is set to the measurement point with the maximum magnitude.

By default the search range coincides with the sweep range. If the active trace contains no markers, a marker M 1 is created to indicate the search result.

Remote control:

CALCulate<Chn>:MARKer<Mk>:FUNCtion:EXECute MAXimum
CALCulate<Chn>:MARKer<Mk>:FUNCtion:RESult?

Min Search

Sets the active marker to the absolute minimum in the search range, i.e. to the smallest of all response values. If a complex trace format (e.g. a polar diagram) is active, the marker is set to the measurement point with the minimum magnitude.

By default the search range coincides with the sweep range. If the active trace contains no markers, a marker M 1 is created to indicate the search result.

Remote control:

CALCulate<Chn>:MARKer<Mk>:FUNCtion:EXECute MINimum
CALCulate<Chn>:MARKer<Mk>:FUNCtion:RESult?

Next Peak

Sets the active marker to the next maximum or minimum in the search range, depending on the current search criterion.

  • If a Max Search or a Bandpass Search is active, then the marker is set to the next maximum. The next maximum is the maximum with the largest response value that is below the current marker response value.

  • If a Min Search or a Bandstop Search is active, then the marker is set to the next minimum. The next minimum is the minimum with the smallest response value that is above the current marker response value.

By default the search range coincides with the sweep range. If the active trace contains no markers, a marker M 1 is created to indicate the search result. Next Peak is disabled while a Target Search is active.

Remote control:

CALCulate<Chn>:MARKer<Mk>:FUNCtion:EXECute NPEak
CALCulate<Chn>:MARKer<Mk>:FUNCtion:RESult?

Peak Search >

Sets the active marker to the next peak with higher stimulus value. If the active trace contains no markers, a marker M 1 created to indicate the search result. The peak criteria are defined via Define Peak.

Remote control:

CALCulate<Chn>:MARKer<Mk>:FUNCtion:EXECute RPEak
CALCulate<Chn>:MARKer<Mk>:FUNCtion:RESult?

< Peak Search

Sets the active marker to the next peak with lower stimulus value. If the active trace contains no markers, a marker M 1 created to indicate the search result. The peak criteria are defined via Define Peak.

Remote control:


selects one of the ten markers that can be assigned to the trace. If a selected marker does not exist, it is created as soon as On is checked. A created marker is displayed in the center of the search range.

selects the target value to be assigned to the selected marker. The target Value is entered with the unit of the active trace.

Target

Opens a submenu to search for a specific value on the trace.

  • Target Search activates the search for the target value.

  • Target Search > activates the search for the target value to the right of the active marker.

  • < Target Search activates the search for the target value to the left of the active marker.

  • Target Value specifies the target value.

  • Search Range confines the search to a subrange of the sweep.

Target Search

Activates the search and sets the active marker to the defined target value. If the active trace contains no markers, a marker M 1 is created to indicate the search result.

If the target value occurs at several stimulus values, the marker is placed to the search result with the smallest stimulus value. The other measurement points with the same target value can be located using the Target Search >function.

If the target is not found (e.g. because the active trace doesn't contain the target value), then the active marker is not moved away from its original position.

Remote control:

CALCulate<Chn>:MARKer<Mk>:FUNCtion:EXECute TARGet
CALCulate<Chn>:MARKer<Mk>:FUNCtion:RESult?

Target Search >

Activates the search to the right of the active marker position and sets the active marker to the defined target value. The target search range is between the active marker position and the end (Stop) of the search range. If the active trace contains no markers, a marker M 1 is created to indicate the search result, and the target search range starts at the beginning (Start) of the search range.

If the target value occurs at several stimulus values, the marker is placed to the search result with the smallest stimulus value (i.e. the one which is closest to the active marker position). The other measurement points with the same target value can be located using Target Search > repeatedly.

If the target is not found (e.g. because the active trace doesn't contain the target value), then the active marker is not moved away from its original position.

Remote control:

CALCulate<Chn>:MARKer<Mk>:FUNCtion:EXECute RTARget
CALCulate<Chn>:MARKer<Mk>:FUNCtion:RESult?

< Target Search

Activates the search to the left of the active marker position and sets the active marker to the defined target value. The target search range is between the Start value of the search range and the active marker position. If the active trace contains no markers, a marker M 1 is created to indicate the search result, and the target search range starts at the end (Stop) of the search range.

If the target value occurs at several stimulus values, the marker is placed to the search result with the largest stimulus value (i.e. the one which is closest to the active marker position). The other measurement points with the same target value can be located using Target Search > repeatedly.

If the target is not found (e.g. because the active trace doesn't contain the target value), then the active marker is not moved away from its original position.

Remote control:

CALCulate<Chn>:MARKer<Mk>:FUNCtion:EXECute LTARget
CALCulate<Chn>:MARKer<Mk>:FUNCtion:RESult?

Target Value

Opens an dialog to select a marker for the target search and define the target value.

It is possible to define up to ten different target values for each trace and assign them to the markers no. 1 to 10. The input fields in the Target Search dialog are used to select the markers and define the associated search ranges:

  • Marker

  • Value

Remote control:

CALCulate<Chn>:MARKer<Mk>:TARget

Search Range...

Opens the Search Range Dialogto confine the target search to a subrange of the sweep.


Bandfilter

Bandpass and bandstop regions can be described with the same parameter set:

  • A bandpass region contains a local maximum around which the magnitude of the trace falls off by more than a specified x dB Bandwidth.

  • A bandstop region contains a local minimum around which the magnitude of the trace increases by more than a specified x dB Bandwidth.

The analyzer locates bandpass and bandstop regions and determines their position (Center frequency) and shape (Bandwidth, LBE, UBE, Quality factor Q; see Show Results). For a meaningful definition of the x dB Bandwidth criterion, the trace format must be dB Mag.

  • M 1 indicates the maximum of the peak (Max).

  • M 2 indicates the point on the left edge of the peak where the trace value is equal to the maximum minus x dB Bandwidth (Lower Band Edge, LBE).

  • M 3 indicates the point on the right edge of the peak where the trace value is equal to the maximum minus x dB Bandwidth (Upper Band Edge, UBE).

  • M 4 indicates the center of the peak, calculated as the geometric mean value of the LBE and UBE positions: fCenter = sqrt (fLBE * fUBE).

  • M 1 indicates the minimum of the peak (Min).

  • M 2 indicates the point on the left edge of the peak where the trace value is equal to the maximum in the search range (passband value) minus x dB Bandwidth (Lower Band Edge, LBE).

  • M 3 indicates the point on the right edge of the peak where the trace value is equal to the maximum in the search range (passband value) minus x dB Bandwidth (Upper Band Edge, UBE).

  • M 4 indicates the center of the peak, calculated as the geometric mean value of the LBE and UBE positions: fCenter = sqrt (fLBE * fUBE).

Selects a search range for the bandfilter search. Full Span means that the search range is equal to the sweep range. Besides, it is possible to store up to 10 customized search ranges.

defines the beginning of the search range. Start must be smaller than the Stop value, otherwise the search will not be initiated.

defines the end of the search range. Stop must be larger than the Start value, otherwise the search will not be initiated.

displays two vertical lines indicating the Start and the Stop value of the current bandfilter search range in the diagram area. This function is enabled as soon as one of the search ranges 1 to 10 is selected.

The ten search ranges are valid for the entire setup. Each of them can be assigned to any marker in the setup, irrespective of the trace and channel that the marker belongs to.

The default search range of any new marker is Full Span. The analyzer provides greatest flexibility in defining search ranges. In particular, two search ranges may overlap or even be identical. The search is confined to the part of the search range that belongs to the sweep range.

The following example shows how search ranges can be used to search a trace for several bandpass regions.

For a Bandpass/Bandstop Ref to Marker search, the info field contains the following search results:

  • Bandwidth is the n-dB bandwidth of the bandpass/bandstop region, where n is the selected x dB Bandwidth. The bandwidth is equal to the difference between the Upper Bandwidth Edge (UBE) and the Lower Bandwidth Edge (LBE).

  • Center is calculated as the geometric mean value of the LBE and UBE positions: fCenter = sqrt (fLBE * fUBE). If desired, the center frequency can be calculated as the arithmetic mean value fCenter = (fLBE + fUBE)/2; see System – System Config... –General.

  • Lower Band Edge is the closest frequency below the center frequency where the trace is equal to the center value minus n dB.

  • Upper Band Edge is the closest frequency above the center frequency where the trace is equal to the center value minus n dB.

  • The Quality Factor is the ratio between the Center frequency and the 3-dB Bandwidth; it does not depend on the selected x dB Bandwidth.

  • Loss is the loss of the filter at its center frequency and is equal to the response value of marker no. 4. For an ideal bandpass filter the loss is zero (0 dB), for an ideal bandstop filter it is – [image] dB.

For a Bandpass/Bandstop Ref to Marker search, the following modified definitions apply:

  • Lower Band Edge is the closest frequency below the active marker position where the trace is equal to the marker response value minus n dB.

  • Upper Band Edge is the closest frequency above the active marker position where the trace is equal to the marker response value minus n dB.

  • Loss is the response value of the active marker.

For a Bandpass/Bandstop Absolute Level search, the following modified definitions apply (x denotes the <x dB Bandwidth> value):

  • Lower Band Edge is the closest frequency below the peak frequency where the trace is equal to –x dB.

  • Upper Band Edge is the closest frequency above the peak frequency where the trace is equal to –x dB.

Bandfilter

Opens a submenu to search for trace segments with a bandpass or bandstop shape and determines characteristic filter parameters.

Bandfilter search and filter parameters

  • Bandpass Search Ref to Max activates the search for a bandpass region in the active trace.

  • Bandpass Search Ref to Marker activates the search for a bandpass region in the active trace, starting at the position of the active marker.

  • Bandstop Search Ref to Max activates the search for a bandstop region in the active trace.

  • Bandfilter Tracking causes the bandfilter search to be repeated after each sweep.

  • x dB Bandwidth... sets the level defining the filter bandwidth.

  • Search Range... confines the search to a subrange of the sweep.

  • Search Markers and Result Off hides the markers and bandfilter parameters in the diagram area.

Bandfilter mode can be selected for a broad range of measured quantities (Trace – Measure), provided that the display format is dB Mag. To obtain real filter parameters, the measured quantity must be a transmission S-parameter and a frequency sweep must be performed. For other quantities (e.g reflection parameters), the Bandfilter functions are still useful to analyze general trace properties. In some display formats (e.g. Phase) the bandfilter search is disabled.

Bandpass Search Ref to Max

Activates the search for a bandpass region on the active trace and activates bandfilter Tracking. A bandpass region is the tallest peak in the search range with a minimum excursion specified by means of the x dB Bandwidth parameter.

When Bandpass Search is activated the analyzer uses (or creates) the four markers M 1 to M 4 to locate the bandpass region.

The bandfilter search results are displayed in the bandfilter info field.

To search for a bandpass region in the vicinity of the active marker, use Bandpass Search Ref to Marker.

Remote control:

CALCulate<Chn>:MARKer<Mk>:FUNCtion:BWIDth:MODE BPASs
CALCulate<Chn>:MARKer<Mk>:FUNCtion:EXECute BFILter

Bandpass Search Ref to Marker

Activates the search for a bandpass region on the active trace in the vicinity of the active marker and activates bandfilter Tracking. The bandpass region is the frequency range between the lower and the upper band edge; the band edges are defined by the magnitude of the trace at the marker position minus the x dB Bandwidth parameter:

In contrast to a Bandpass Search Ref to Max, the Bandpass Search Ref to Marker does not change the position of the active markers. The Loss is the response value at the marker position; the bandfilter search results are displayed in the bandfilter info field. The Lower Band Edge and the Upper Band Edge must fall into the search range, otherwise the bandfilter search results are invalid.

Bandpass Search Ref to Marker is particularly suitable for bandfilters with known center frequency, with the active marker placed onto this center frequency. You can also use a peak search to place the active marker on the maximum of the trace. Notice that, if the active marker is off the peak, both band edges are more than x dB below the peak response value.
To search for a bandstop region in the vicinity of the active marker, use Bandfilter Tracking– Bandstop Search Ref to Marker.

Remote control:

CALCulate<Chn>:MARKer<Mk>:FUNCtion:BWIDth:MODE BPRMarker | BSRMarker
CALCulate<Chn>:MARKer<Mk>:FUNCtion:EXECute BFILter

Bandstop Search Ref to Max

Activates the search for a bandstop region on the active trace and activates bandfilter Tracking. A bandstop region is the lowest peak (local minimum) in the search range, provided that its level is at least <x dB Bandwidth> below the maximum (passband value).

When Bandstop Search is activated the analyzer uses (or creates) the four markers M 1 to M 4 to locate the bandstop region.

The bandfilter search results are displayed in the bandfilter info field.

To search for a bandpass region in the vicinity of the active marker, use Bandpass Search Ref to Marker. Use Bandfilter Tracking to select other search modes.

Remote control:

CALCulate<Chn>:MARKer<Mk>:FUNCtion:BWIDth:MODE BSTOP
CALCulate<Chn>:MARKer<Mk>:FUNCtion:EXECute BFILter

Bandfilter Tracking

Causes the bandfilter search to be repeated after each sweep: When tracking mode is active the markers typically change their horizontal and their vertical positions as the measurement goes on.

Tracking for the different bandfilter search modes is enabled or disabled in a selection box. Selecting a search mode for tracking also activates this mode.

The search modes have the following effect:

  • Bandpass Ref to Max / Bandstop Ref to Max: The bandpass / bandstop is the tallest / lowest peak in the search range.

  • Bandpass / Bandstop Ref to Marker: The bandpass / bandstop is the peak in the vicinity of the active marker position. The response values for the lower and upper band edges are calculated as the response values at the active marker position plus / minus x dB, where x is equal to the <x dB Bandwidth>. To be valid the peak must be above / below the response value for the band edges, and the band edges must fall into the search range.

  • Bandpass / Bandstop Absolute Level: The bandpass / bandstop is the tallest/lowest peak in the search range. To be valid, the peak must be above / below –x dB, where x is numerically equal to the <x dB Bandwidth> value. The Lower Band Edge and Upper Band Edge values are given by the frequencies where the trace is equal to –x dB.

Tracking is a toggle function: Selecting the function repeatedly switches the tracking mode on and off.

Remote control:

CALCulate<Chn>:MARKer<Mk>:FUNCtion:BWIDth:MODE
CALCulate<Chn>:MARKer<Mk>:FUNCtion:EXECute BFILter
CALCulate<Chn>:MARKer<Mk>:SEARch:TRACking

x dB Bandwidth

Opens the numeric entry bar for the minimum excursion of the bandpass and bandstop peaks.

  • A bandpass peak must fall off on both sides by the specified x dB Bandwidth to be considered a valid peak.

  • A bandstop peak must be x dB Bandwidth below the maximum level in the search range (bandpass value) to be considered a valid peak.

Remote control:

CALCulate<Chn>:MARKer<Mk>:BWIDth <Level>

Search Range...

Opens the Search Range Dialog to confine the bandfilter search to a subrange of the sweep.

It is possible to define and store up to ten different search ranges for each trace. The bandfilter search is performed using the markers M 1, ..., M 4, irrespective of the selected search range.

  • Search Range

  • Start

  • Stop

  • Range Limit Lines On

Search range properties

Remote control:

CALCulate<Chn>:MARKer<Mk>:FUNCtion:DOMain:USER
CALCulate<Chn>:MARKer<Mk>:FUNCtion:DOMain:USER:STARt
CALCulate<Chn>:MARKer<Mk>:FUNCtion:DOMain:USER:STOP

Search Markers and Result Off

Hides the info field with the results of a bandpass or a bandstop search and disables bandfiter tracking. The info field is displayed again (and tracking is re-enabled) when a new bandfilter search is performed.

The analyzer provides an alternative, short version of the bandfilter info field; see System – System Config... –General.

Bandfilter parameters

Remote control:


Search Range

Selects one of the ten markers that can be assigned to the trace. If a selected marker does not exist, it is created as soon as On is checked. A created marker is displayed in the center of the search range.

activates the peak search for local maxima only. The response value at a local maximum is larger than the values in the vicinity.

activates the peak search for local minima only. The response value at a local minimum is smaller than the values in the vicinity.

activates the peak search for both local maxima and minima.

Selects one of the ten markers that can be assigned to a trace in the current setup. If a selected marker does not exist, it is created as soon as On is checked. A created marker is displayed in the center of the search range.

Selects the search range to be assigned to the selected marker. Full Span means that the search range is equal to the sweep range. Besides, it is possible to store up to 10 customized search ranges.

defines the beginning of the search range. Start must be smaller than the Stop value, otherwise the search will not be initiated.

defines the end of the search range. Stop must be larger than the Start value, otherwise the search will not be initiated.

displays two vertical lines indicating the Start and the Stop value of the current search range in the diagram area. This function is enabled as soon as one of the search ranges 1 to 10 is selected.

The ten search ranges are valid for the entire setup. Each of them can be assigned to any marker in the setup, irrespective of the trace and channel that the marker belongs to.

The default search range of any new marker is Full Span. The analyzer provides the greatest flexibility in defining search ranges. In particular, two search ranges may overlap or even be identical. The search is confined to the part of the search range that belongs to the sweep range.

The following example shows how search ranges can be used to search a trace for several local maxima.

The tracking mode is available for all search modes, i.e. for minimum/maximum search, target search and bandfilter search. The Marker Tracking function in the Search submenu is valid for an active minimum/maximum and target search; bandfilter tracking can be activated separately. Tracking is marker-specific but can be switched on for several markers simultaneously.

A change of the marker positions of the search modes does not affect the tracking mode.

Define Peak

Opens a dialog to define the peak type to be searched for.

It is possible to select the peak type up to ten times for each trace and assign the selection to the markers no. 1 to 10.

  • Marker

The radio buttons in the Peak Type panel offer the following alternative peak types:

  • Local Max

  • Local Min

  • Local Min or Max

Search Range

Opens the Search Range Dialog to confine the minimum/maximum search to a subrange of the sweep.

Search Range Dialog

Defines search ranges for the maximum/minimum or target search.

It is possible to define up to ten different search ranges for each setup and assign them to the markers no. 1 to 10. The input fields in the Search Range dialog are used to select the markers and define the associated search ranges:

  • Marker

  • Search Range

  • Start

  • Stop

  • Range Limit Lines On

Search range properties

Use the paste marker list for convenient entry of Start and Stop values.

Remote control:

CALCulate<Chn>:MARKer<Mk>:FUNCtion:DOMain:USER
CALCulate<Chn>:MARKer<Mk>:FUNCtion:DOMain:USER:STARt
CALCulate<Chn>:MARKer<Mk>:FUNCtion:DOMain:USER:STOP
CALCulate<Chn>:MARKer<Mk>:FUNCtion:DOMain:USER:SHOW

Marker Tracking

Causes the active minimum/maximum or target search of the active marker to be repeated after each sweep: When tracking mode is active the marker typically changes its horizontal and its vertical position as the measurement goes on.

Tracking for the different search modes is enabled or disabled in a selection box. Selecting a search mode for tracking also activates this mode.

Sweep Progress tracking means that the active marker follows the latest valid measurement points and thus monitors the sweep progress. This complements the progress indication in the status bar below the diagram area.

Tracking mode properties

Tracking is a toggle function: Selecting the function repeatedly switches the tracking mode on and off.

Remote control:

CALCulate<Chn>:MARKer<Mk>:SEARch:TRACking


Marker Funct.

The Marker Functions use the active marker to define the sweep range, scale the diagram and introduce an electrical length offset.

The functions in the upper section are also provided in the Search submenu:

  • Max Search sets the active marker to the absolute maximum in the search range.

  • Min Search sets the active marker to the absolute minimum in the search range.

  • Next Peak sets the active marker to the next maximum or minimum in the search range, depending on the current search criterion.

The following functions use the stimulus value of the active marker to define the sweep range:

  • Center = Marker sets the center of the sweep range equal to the marker value.

  • Start = Marker sets the beginning of the sweep range equal to the marker value.

  • Stop = Marker sets the end of the sweep range equal to the marker value.

  • Span = Marker sets the span of the sweep range equal to the active delta marker value.

The following functions use the response value of the active marker to scale the y-axis of the diagram:

  • Ref. Value = Marker sets the reference value equal to the marker value.

  • Max = Marker sets the upper edge of the diagram equal to the marker value.

  • Min = Marker sets the lower edge of the diagram equal to the marker value.

  • Zero Delay at Marker corrects the measurement result by adding or subtracting a constant group delay.

Center = Marker

Sets the center of the sweep range equal to the stimulus value of the active marker, leaving the span unchanged. The active marker appears in the center of the diagram.

Using marker functions for diagram scaling

Remote control:

CALCulate<Chn>:MARKer<Mk>:FUNCtion:CENTer

Start = Marker

Sets the beginning (start) of the sweep range equal to the stimulus value of the active marker, leaving the end (stop) value unchanged. The active marker appears at the left edge of the diagram.

Using marker functions for diagram scaling

Remote control:

CALCulate<Chn>:MARKer<Mk>:FUNCtion:STARt

Stop = Marker

Sets the end (stop) of the sweep range equal to the stimulus value of the active marker, leaving the beginning (start) unchanged. The active marker appears at the right edge of the diagram.

Using marker functions for diagram scaling

Remote control:

CALCulate<Chn>:MARKer<Mk>:FUNCtion:STOP

Span = Marker

Sets the span of the sweep range equal to the absolute value of the first coordinate of the active delta marker, i.e. to the difference between the delta marker and the reference marker positions. The function is available only if the active marker is in Delta Mode. The reference marker appears at the right, the delta marker at the left edge of the diagram or vice versa, depending on which of the two markers has the smaller stimulus value.

Using marker functions for diagram scaling

Ref. Value = Marker

Sets the reference value equal to the response value of the active marker, leaving the values of the vertical divisions (Scale Div.) unchanged.

Using marker functions for diagram scaling

Max = Marker

Sets the upper edge of the diagram equal to the response value of the active marker, leaving the values of the vertical divisions (Scale Div.) unchanged.

Using marker functions for diagram scaling

Min = Marker

Sets the lower edge of the diagram equal to the response value of the active marker, leaving the values of the vertical divisions (Scale Div.) unchanged.

Using marker functions for diagram scaling

Zero Delay at Marker

Corrects the measurement result by adding or subtracting a constant group delay. This function must be applied to a trace which is displayed in group delay format. The trace is shifted in vertical direction so that the delay at the marker position vanishes.

The delay represents the propagation time of the wave across the DUT, so this operation corresponds to a electrical length compensation, i.e. to a shift of the reference plane by adding to or subtracting from the test port a simulated lossless transmission line of variable length. The correction must be carried out on the Delay trace but has an impact on all trace formats.

A standard application of Zero Delay at Marker is correction of the constant delay caused by the interconnecting cables between the analyzer test ports and the DUT (line stretch).

The Zero Delay at Marker function modifies the Offset parameters and therefore influences the entire channel.


Trace - Lines

A limit line is a set of data to specify the allowed range for some or all points of a trace. Typically, limit lines are used to check whether a DUT conforms to the rated specifications (conformance testing).

  • The upper limit line defines the maximum value for the trace points.

  • The lower limit line defines the minimum value for the trace points.

  • The ripple limit defines the maximum difference between the largest and the smallest response value of the trace.

A limit check consists of comparing the measurement results to the limit lines and display a pass/fail indication. An acoustic warning and a TTL signal at the USER CONTROL port can be generated in addition if a limit is exceeded.

Upper and lower limit lines are both defined as a combination of segments with a linear dependence between the measured quantity and the sweep variable (stimulus variable). Similar to this segmentation, ripple limits may be defined in several ranges. The limit lines can be stored to a file and recalled. Data or memory traces can be used to define the segments of an upper or lower limit line. Moreover it is possible to modify the upper and lower limit lines globally by adding an offset to the stimulus or response values.

Choose one of the following methods to efficiently create and handle limit lines:

  • To define a limit line with only a few segments, use Add Segment and edit each segment in the segment table individually.

  • Use the multiselection feature to edit several limit line segments at the same time.

  • Select a data or memory trace as a limit line (Import Trace) or import a trace stored in a file (Import File).

  • Save your limit lines to a file so you can re-use or modify them later sessions (Save Limit Line, Recall Limit Line).

adds a new segment to the list. The new segment is a copy of the previously active segment and inserted after that segment. The current segment numbers are adapted. The analyzer places no restriction on the number of segments in a limit line.

removes the selected segment from the list.

clears the entire segment list so it is possible to define or load a new limit line.

calls up an Open Filedialog to load a limit line from a limit line file. Limit line files are ASCII files with the default extension *.limit and a special file format.

calls up a Save As...dialog to store the current limit line configuration to a limit line file. Limit line files are ASCII files with the default extension *.limit and a special file format.

opens a box to select a trace that can be used to define a limit line.

The box contains all data or memory traces of the active channel. As soon as a trace is selected, the Properties of Imported Segmentsdialog with further global import options is opened.

Calls up a standard Import File dialog to load a limit line from a trace file. The limit line import is analogous to the import of traces. Trace files are ASCII files with selectable file format. After the trace file is selected, the Properties of Imported Segmentsdialog with further global import options is opened.

The table contains an automatically assigned current number for each segment plus the following editable columns:

  • Type indicates whether the segment belongs to an Upper or a Lower limit line, or if the limit check at the segment is switched Off. Switching off the limit check does not delete the segment but changes its screen color.

  • Start Stimulus is the stimulus (x-axis) value of the first point of the segment.

  • Stop Stimulus is the stimulus (x-axis) value of the last point of the segment.

  • Start Response is the response (y-axis) value of the first point of the segment.

  • Stop Response is the response (y-axis) value of the last point of the segment.

The limit line segment is calculated as a straight line connecting the two points (<Start Stimulus>, <Start Response>) and (<Stop Stimulus>, <Stop Response>); see Rules for Limit Line Definition.

The start and stop values of the new segment are given by the start values of the first selected segment and the stop value of the last selected segment. The type is taken from the first selected segment. The new segment replaces the selected segments.

contains two input fields to define constant offset values for all imported segments. The Response offset shifts all segments in vertical direction, the Stimulus offset shifts them in horizontal direction. The offsets are added to the start and stop values of all segments.

defines whether the imported segments belong to the Upper or Lower limit line. A third option is to import the segments but disable the limit check (Off).

The limit line:

is described by the limit line file:

Trace - Lines

The commands in the Lines submenu define limits for the measurement results, visualize them in the diagrams and activate/deactivate the limit check. The analyzer provides upper, lower, and ripple limits. Besides the menu provides a horizontal line for each trace.

Limit Lines

  • Define Limit Line opens a dialog to define, save or recall limit lines.

  • Show Limit Line displays or hides the limit line associated to the active trace.

  • Limit Check activates or deactivates the limit check.

  • The commands in the second section of the submenu configure the ripple check.

  • Global Beep activates or deactivates the acoustic signal indicating a limit or ripple limit excess.

  • Global Check activates a global (composite) limit and ripple limit check on all traces in the active setup.

  • TTL Out Pass 1/2 activates or deactivates a TTL output signal at the USER CONTROL connector indicating whether the trace was passed or failed.

  • Horizontal Line...displays or hides the horizontal line of the active trace and changes its position.

Limit lines are available for all Cartesian diagram types (Trace – Format). For polar diagrams, the functions of the Lines submenu except the Global Check are grayed. The limit lines are hidden and the limit check (except the global check and the global ripple check) is disabled when a Cartesian trace format is replaced by a polar diagram.

Define Limit Line

Opens a dialog to define the limit line for the active trace on a segment-by-segment basis. In each segment the limit line is defined as a straight line connecting two points.

Creating limit lines with minimum effort

The Define Limit Line dialog contains a table to edit the individual segments of the limit line; see below. The active trace is indicated in the title bar of the dialog. The three buttons below the table extend or shorten the segment list.

  • Add Segment

  • Del. Sel. Segment

  • Del All Segments

The buttons to the right of the table are used to import and export limit line data.

  • Recall Limit Line...

  • Save Limit Line...

  • Import Trace

  • Import File

Imported traces are polygonal curves with n points and n – 1 segments. The number of points n is set via Channel – Sweep –Number of Points. The n – 1 segments are appended to the current segment table for further editing. Existing limit line segments are not overwritten.

To import a limit line file (*.limit) you can also use the Windows Explorer and simply double-click the file or drag and drop the file into the NWA application. You have to switch on the limit check separately. Use the paste marker list for convenient entry of Start and Stop values.

Columns in the segment table

Remote control:

CALCulate<Chn>:LIMit:CONTrol[:DATA]
CALCulate<Chn>:LIMit:DATA
CALCulate<Chn>:LIMit:SEGment<Seg>...
CALCulate<Chn>:LIMit:UPPer...
CALCulate<Chn>:LIMit:LOWer...
CALCulate<Chn>:LIMit:DELete:ALL
MMEMory:STORe:LIMit
MMEMory:LOAD:LIMit

Multi-Selection of Limit Line Segments

In the Define Limit Line dialog it is possible to edit several limit line segments at the same time. Selection of one or more segments (use the left mouse key and the Shift key of an external keyboard) and a right-click on the dark grey Seg. area opens a context menu:

The context menu provides the following functions:

  • Modification of all entries in the segment table: Type, start and stop values for the stimulus and response variable.

  • Definition of an offset for response and stimulus values in analogy to the Properties of Imported Segments dialog.

  • Delete the selected segments.

  • Merge the selected segments to a single new segment.

Remote control:

CALCulate<Chn>:LIMit:UPPer...
CALCulate<Chn>:LIMit:LOWer...

Rules for Limit Line Definition

The analyzer places very few restrictions on the definition of limit line segments. The following rules ensure a maximum of flexibility:

  • Segments do not have to be sorted in ascending or descending order (e.g. the Start Stimulus value of segment no. n doesn't have to be smaller than the Start Stimulus value of segment no. n+1).

  • Overlapping segments are allowed. The limit check in the overlapping area is related to the tighter limit (the pass test involves a logical AND operation).

  • Gaps between segments are allowed and equivalent to switching off an intermediate limit line segment.

  • Limit lines can be partially or entirely outside the sweep range, however, the limits are only checked at the measurement points.

The following figure shows a limit line consisting of 3 upper and 2 lower limit line segments. To pass the limit check, the trace must be confined to the shaded area.

As a consequence of the limit line rules, the limit check will always pass a DUT if no limit lines are defined.

File Import Settings

The Properties of Imported Segments dialog appears before a trace is imported into the Define Limit Line dialog.

The dialog assigns common properties to all limit line segments generated by the imported trace.

  • Offsets

  • Type

Remote control:

CALCulate<Chn>:LIMit:LOWer:FEED <stimulus_offset>,<response_offset>[,<trace_name>]
CALCulate<Chn>:LIMit:UPPer:FEED <stimulus_offset>,<response_offset>[,<trace_name>]
MMEMory:LOAD:LIMit

File Format for Limit Lines

The analyzer uses a simple ASCII format to export limit line data. By default, the limit line file has the extension *.limit and is stored in the directory shown in the Export Limit Line and Import Limit Line dialogs. The file starts with a preamble containing the channel and trace name and the header of the segment list. The following lines contain the entries of all editable columns of the list.

Example of a limit line file

Remote control:

MMEMory:LOAD:LIMit "Trc_name","file_name"
MMEMory:STORe:LIMit "Trc_name","file_name"

Show Limit Line

Shows or hides the limit line associated with the active trace in a Cartesian diagram area. A checkmark appears next to the menu item when the limit line is shown.

In the diagram, upper and lower limit lines can be displayed with different colors. Limit line segments with disabled limit check (see Define Limit Line) can also be colored differently. The limit line colors are defined in the Define User Color Scheme dialog (Display – Display Config. – Color Scheme...).

Display of the limit line and limit check are independent of each other: Hiding the limit line does not switch off the limit check.

Remote control:

CALCulate<Chn>:LIMit:DISPlay[:STATe] ON | OFF

Limit Check

Switches the limit check of the active trace on or off. A checkmark appears next to the menu item when the limit check is enabled.

When the limit check is switched on, a PASS or FAIL message is displayed in the center of the diagram. If the limit check fails at a measurement point, the two trace segments to the left and right of the point can change their color. The Limit Fail Trace color is defined in the Define User Color Scheme dialog (Display – Display Config. – Color Scheme...). An acoustic signal (Global Beep) and a TTL signal indicating pass or fail can be generated in addition.

Limit check and display of the limit lines are independent of each other: With disabled limit check, the limit line can still be displayed.

If no limit lines are defined for the active trace, the limit check can be switched on but will always PASS the trace.

Limits are checked at the actual measurement points, whereas a limit failure is indicated for the trace segments on both sides of a failed point. A small number of points causes wide trace segments so that the out-of tolerance regions can appear wider as they are.

Markers show interpolated values. As a consequence, a trace segment can be failed, whereas a marker placed on the segment may show a response value within the allowed range. This is shown in the example below, with an upper limit line at 26 dB, and a marker response value of 25.968 dB. The small circles correspond to the sweep points; the orange part of the trace is failed.

Remote control:


Ripple Test

Choose one of the following methods to efficiently create and handle ripple limit ranges:

  • To configure a limit test with only a few ranges, use Add Range and edit each range in the table individually.

  • Use the Align All Ranges button to create non-overlapping, contiguous ranges of equal width.

  • Use the multiselection feature to edit several ranges at the same time.

  • Save your ripple ranges to a file so you can re-use or modify them in later sessions (Save Ripple Limit..., Recall Ripple Limit...).

adds a new range to the list. The new range is and inserted after the previously selected range. The current range numbers are adapted; the start and stop stimulus values are set so that an overlap is avoided. Moreover, the ripple limit is estimated according to the measured ripple of the trace in the created range. The analyzer places no restriction on the number of ranges assigned to each trace.

removes the selected range from the list.

subdivides the entire sweep range into contiguous ripple limit ranges of equal width. The ripple limits are estimated according to the measured ripple of the trace in the created ranges.

clears the entire range list so it is possible to define or load a new ripple limit line.

calls up an Open Filedialog to load a ripple limit line from a file. Ripple limit files are ASCII files with the default extension *.ripple and a special file format.

calls up a Save As...dialog to store the current ripple limit configuration to a ripple limit file. Ripple limit files are ASCII files with the default extension *.ripple and a special file format.

The table contains an automatically assigned current number for each range plus the following editable columns:

  • Range On/Off indicates whether the ripple limit check in the range is enabled (On) or Off. Switching off the ripple limit check does not delete the range but hides the entry in the info field.

  • Start Stimulus is the smallest stimulus (x-axis) value of the range.

  • Stop Stimulus is the largest stimulus (x-axis) value of the range.

  • Ripple Limit is the maximum allowed difference between the largest and the smallest trace value in the range.

The ripple limit range is displayed as two parallel, horizontal lines in the diagram. Stop Stimulus –Start Stimulus is the length of both lines; Ripple Limit is their distance; see Rules for Limit Line Definition.

The start and stop values of the new range are given by the start values of the first selected range and the stop value of the last selected range. The first range also provides the ripple limit and the information whether the merged range is on or off. The new, merged range replaces the selected ranges.

The ripple limit list:

is described by the ripple limit file:

If a channel contains several traces, is possible to assign them one after another to each pass/fail signal. The procedure divides the traces of the channel into four groups that are either assigned to signal 1, to signal 2, to both signals, or to none of them.

If several traces with independent limit check are assigned to a pass/fail signal, then the TTL signal is generated only if all traces are within limits. It is switched off as soon as one trace exceeds the limits.

The two pass/fail signals can be used to distinguish three quality levels of a DUT. The test is performed with a looser and a tighter set of limit lines that are assigned to two traces with identical channel and trace settings. The limit check for the two traces is monitored by means of the signals TTL Out Pass 1 / TTL Out Pass 2, respectively.

  • If the DUT is passed in both limit checks, the quality is good.

  • If the DUT is failed in the limit check with tighter limits, the quality is still sufficient.

  • If the DUT is failed in both limit checks, the quality is poor.

Instead of using two traces, it is possible to consider two groups of traces that are assigned to TTL Out Pass 1 and TTL Out Pass 2.

Ripple Test

The commands in the second section of the Lines submenu define the ripple test. A ripple test is a special type of limit test where the maximum difference between the largest and the smallest response value of the trace must not exceed the specified limit. This test is suitable e.g. to check whether the passband ripple of a filter is within acceptable limits, irrespective of the actual transmitted power in the passband. See also background information for Limit Lines.

  • Define Ripple Test... opens a dialog to define, save or recall ripple limits.

  • S how Ripple Limits displays or hides the ripple limit line associated to the active trace.

  • Ripple Check activates or deactivates the ripple limit check.

  • Show All Ripple Results shows or hides the info field for all traces in the active setup, irrespective of the active trace.

  • Global Beep activates or deactivates the acoustic signal indicating a limit or ripple limit excess.

  • Global Check activates a global (composite) limit and ripple limit check on all traces in the active setup.

  • TTL Out Pass 1/2 activates or deactivates a TTL output signal at the USER CONTROL connector indicating whether the trace was passed or failed.

  • Horizontal Line...displays or hides the horizontal line of the active trace and changes its position.

Ripple limit lines are available for all Cartesian diagram types (Trace – Format). For polar diagrams, the functions of the ripple check (except the Global Check) are grayed. The limit lines are hidden and the ripple limit check (except the global check) is disabled when a Cartesian trace format is replaced by a polar diagram.

Define Ripple Test...

Opens a dialog to define the ripple limits for the active trace on a range-by-range basis. A separate ripple limit can be assigned to each range.

Defining ripple limits with minimum effort

The Define Ripple Limit dialog contains a table to edit the individual ripple check ranges; see below. The active trace is indicated in the title bar of the dialog. The buttons below the table extend, shorten, or re-order the range list.

  • Add Range

  • Del. Range

  • Align All Ranges

  • Del All Ranges

The buttons to the right of the table are used to import and export limit line data.

  • Recall Ripple Limit...

  • Save Ripple Limit...

To import a ripple limit file (*.ripple) you can also use the Windows Explorer and simply double-click the file or drag and drop the file into the NWA application. You have to switch on the limit check separately. Use the paste marker list for convenient entry of Start and Stop values.

Columns in the range table

Remote control:

CALCulate<Chn>:RIPPle:CONTrol:DOMain
CALCulate<Chn>:RIPPle:DATA
CALCulate<Chn>:RIPPle:SEGment<Seg>...
CALCulate<Chn>:RIPPle:DELete:ALL
MMEMory:STORe:RIPPle
MMEMory:LOAD:RIPPle

Multi-Selection of Ripple Limit Ranges

In the Define Ripple Limit dialog it is possible to edit several limit ripple ranges at the same time. Selection of one or more ranges (use the left mouse key and the Shift key of an external keyboard) and a right-click on the dark grey Seg. area opens a context menu:

The context menu provides the following functions:

  • Modification of all entries in the range table: Range On/Off, stimulus start and stop values, ripple limit.

  • Definition of an offset for response and stimulus values in analogy to the Properties of Imported Ranges dialog.

  • Delete the selected ranges.

  • Merge the selected ranges to a single new range.

Remote control:

CALCulate<Chn>:RIPPle:SEGMent<Seg>...

Rules for Ripple Limit Definition

The analyzer places very few restrictions on the definition of ripple limit ranges. The following rules ensure a maximum of flexibility:

  • Ranges do not have to be sorted in ascending or descending order (e.g. the Start Stimulus value of range no. n doesn't have to be smaller than the Start Stimulus value of range no. n+1).

  • Overlapping ranges are allowed. The limit check in the overlapping area is related to the tighter limit (the pass test involves a logical AND operation).

  • Gaps between ranges are allowed and equivalent to switching off an intermediate ripple limit range.

  • Ripple limit ranges can be partially or entirely outside the sweep range, however, the limits are only checked at the measurement points.

The following figure shows a ripple limit test involving 3 ranges.

As a consequence of the limit line rules, the limit check will always pass a DUT if no limit lines are defined.

File Format for Ripple Limits

The analyzer uses a simple ASCII format to export ripple limit data. By default, the ripple limit file has the extension *.ripple and is stored in the directory shown in the Save Ripple Limit and Recall Ripple Limit dialogs. The file starts with a preamble containing the channel and trace name and the header of the range list. The following lines contain the entries of all editable columns of the list.

Example of a ripple limit file

Remote control:

MMEMory:LOAD:RIPPle "Trc_name","file_name"
MMEMory:STORe:RIPPle "Trc_name","file_name"

Show Ripple Limits

Shows or hides the ripple limit lines associated with the active trace in a Cartesian diagram area. A checkmark appears next to the menu item when the limit line is shown.

The vertical positions of the ripple lines are re-calculated after each sweep; only their stimulus range and distance (the ripple limit) is fixed. The limit line colors are defined in the Define User Color Scheme dialog (Display – Display Config. – Color Scheme...).

Display of the ripple limits and limit check are independent of each other: Hiding the limits does not switch off the limit check.

Remote control:

CALCulate<Chn>:RIPPle:DISPlay[:STATe] ON | OFF

Ripple Check

Switches the ripple limit check of the active trace on or off. A checkmark appears next to the menu item when the limit check is enabled.

When the limit check is switched on, an info field shows the pass/fail information and the measured ripple in each ripple limit range, and a PASS or FAIL message for the entire active trace is displayed in the center of the diagram. If the limit check fails in a particular ripple line range, the trace within the range can change its color. The Limit Fail Trace color is defined in the Define User Color Scheme dialog (Display – Display Config. – Color Scheme...). An acoustic signal (Global Beep) and a TTL signal indicating pass or fail can be generated in addition.

Ripple limit check and display of the limit lines are independent of each other: With disabled limit check, the limit line can still be displayed.
If no limit lines are defined for the active trace, the limit check can be switched on but will always PASS the trace.

Remote control:

CALCulate<Chn>:RIPPle:STATe ON | OFF
CALCulate<Chn>:RIPPle:FAIL?
CALCulate<Chn>:RIPPle:SEGment<Seg>:STATe ON | OFF
CALCulate<Chn>:RIPPle:SEGment<Seg>:RESult?

Show All Ripple Results

Shows or hides the info field for all traces in the active setup, irrespective of the active trace. If Show Result All Traces is disabled (and the ripple check is on), the info field covers the active trace only.

Remote control:

No direct equivalent (display configuration)

Global Beep

Activates or deactivates the fail beep. The fail beep is a low-tone acoustic signal that is generated each time the analyzer detects an exceeded limit. No fail beep can be generated if the limit check is switched off. A checkmark appears next to the menu item when the fail beep is enabled.

Remote control:

CALCulate<Chn>:RIPPle:SOUNd:STATe ON | OFF

Global Check

Activates or deactivates the global limit check including upper/lower limits and ripple limits. The global limit check is a composite limit check over all traces of the current setup. The result of the global check appears in a popup box whenever Global Limit Check is pressed.

or

  • PASS represents pass for all traces with enabled limit check. A trace without limit lines or with disabled individual limit check always passes the global check.

  • FAIL means that the limit check for one or more traces failed.

Remote control:

CALCulate<Chn>:CLIMits:FAIL?

TTL Out Pass 1/2

Assigns the active trace to the low-voltage (3.3 V) TTL output signals at the USER CONTROL connector. To select TTL Out Pass 1 / 2, the limit check of the active trace must be switched on.

  • If TTL Out Pass 1 is selected and the active trace passes the limit check (including upper/lower limits and ripple limits), then the TTL signal is applied to pin 13 of the USER CONTROL connector.

  • If TTL Out Pass 2 is selected and the active trace passes the limit check (including upper/lower limits and ripple limits), then the TTL signal is applied to pin 14 of the USER CONTROL connector.

If the active trace exceeds the limits, then no TTL signal is generated. It is possible to activate both pass/fail signals for the same trace or assign several traces to a signal.

Extension: Monitoring several traces

Application: Graduated limit check

Remote control:

CALCulate<Chn>:LIMit:TTLout<nr>[:STATe] ON | OFF

Horizontal Line

Shows or hides the horizontal line associated to the active trace in a Cartesian diagram area. A checkmark appears next to the menu item when the horizontal line is shown.

The horizontal line (or display line) is a red line which can be moved to particular trace points in order to retrieve the response values.

  • Pressing Horizontal Line for a first time shows the line for the active trace and opens the numeric entry bar to define its position (response value). The (rounded) position is displayed near the left edge of the screen.

  • Pressing Horizontal Line for a second time hides the horizontal line for the active trace.

Use the analyzer's drag-and-drop functionality to move the horizontal line symbol to the desired position.

Remote control:


A channel contains hardware-related settings to specify how the network analyzer collects data. The channel settings can be divided into three main groups:

  • Control of the measurement process (Sweep, Trigger, Average)

  • Description of the test setup (internal source power, IF filters and step attenuators)

  • Correction data (Calibration, Offset)

The channel settings complement the definitions of the Trace menu. Each trace is assigned to a channel, see Traces, Channels and Diagram Areas. The channel settings apply to all traces assigned to the channel.

Channel Menu

The Channel menu provides all channel settings and the functions to activate, modify and store different channels.

Channels

The Channel menu contains the following functions and submenus:

  • Stimulus defines the sweep range, depending on the sweep type.

  • Power Bandwidth Average defines the power of the internal signal source, sets the step attenuators and the IF bandwidths, and configures the sweep average.

  • Sweep defines the scope of measurement, including the sweep type, the trigger conditions and the periodicity of the measurement.

  • Mode opens the Port Configuration dialog to define the properties of the physical and logical (balanced) test ports.

  • Channel Select provides functions to handle and activate channels.

  • Calibration provides all functions that are necessary to perform a system error correction (calibration).

  • Offset provides a selection of length offset parameters to shift the measurement plane.


Channel - Stimulus

The frequency range depends on the instrument type; see SCPI command reference. The Stop frequency must be greater than the Start frequency; the Span must be  1 Hz. If a Stop frequency smaller than the current Start frequency is set, then the Start frequency is adjusted and vice versa.

A sweep must contain at least two different sweep points.

Start and Stop power are entered in absolute units (dBm) and over a wide range. The Center and Span softkeys are not active.

Start and Stop power must be different, the Stop power must be larger than the Start power. If a Stop power smaller than the Start power is set, then the Start power is adjusted automatically and vice versa.

The power corresponds to the actual output power at the test port that supplies the stimulus for the active channel or at the calibrated reference plane.

The Stop value represents the total sweep time. Start and the other parameters are not active as the sweep time is relative to the beginning of the sweep which starts immediately after the entry of the Stop value.

The sweep time is entered in seconds and must be positive; see also Time sweep.

The Stop value represents the number of trigger events during the measurement. Each trigger event triggers one measurement point. Start and the other softkeys are not active as the first trigger event is the one immediately after the beginning of the sweep which starts after the entry of the Stop value.

The behavior is analogous to the Time sweep type.

Start and Stop define the start and stop time in the diagram area relative to the trigger time. The stop time must be larger than the start time. Center and Span are not active.

Stimulus

The Stimulus submenu defines the sweep range in the current channel, depending on the sweep type.

  • In Cartesian diagrams, the sweep range corresponds to the diagram width and defines the scaling of the x-axis.

  • In polar diagrams and Smith charts the stimulus axis is lost but the marker functions easily provide the stimulus value of any measurement point.

  • Start is the lowest value of the sweep variable (e.g. the lowest frequency measured) and corresponds to the left edge of the Cartesian diagram.

  • Stop is the highest value of the sweep variable (e.g. the highest frequency measured) and corresponds to the right edge of the Cartesian diagram.

  • Center corresponds to the center of the Cartesian diagram, i.e. (Start + Stop)/2.

  • Span corresponds to the diagram width, i.e. (Stop – Start).

  • Power defines the power of the internal signal source.

  • CW Frequency sets the fixed frequency for the sweep types Power, Time and CW Mode.

  • START CENTER opens the input field for the Start frequency, if the range is currently defined by Start and Stop. It opens the input field for the Center frequency, if the range is currently defined by Center and Span.

  • STOP SPAN opens the input field for the Stop frequency, if the range is currently defined by Start and Stop. It opens the input field for the Span, if the range is currently defined by Center and Span.

The Marker Functions provide a convenient alternative to the manual entry of the sweep range parameters. Use the paste marker list for convenient entry of Start and Stop values.

Some of the Stimulus parameters and the STOP SPAN key are not provided for all sweep types; see Stimulus and Sweep Types.

Equivalence of settings: | For a frequency sweep the Start and Stop frequencies or the Center frequency and Span are alternative settings:
Remote control: | [SENSe<Ch>:]FREQuency:STARt [SENSe<Ch>:]FREQuency:STOP [SENSe<Ch>:]FREQuency:CENTer [SENSe<Ch>:]FREQuency:SPAN SYSTem:FREQuency?(query frequency range of the network analyzer)

Stimulus and Sweep Types

The function of the Start, Stop, Center and Span softkeys depends on the sweep type:

Sweep type | Start [dimension] | Stop [dimension] | Center [dimension] | Span [dimension]
Equivalent hotkey |  |  | (press twice) | (press twice)
Lin. Frequency Log. Frequency Segmented Frequency | Start frequency [Hz] | Stop frequency [Hz] | Center frequency [Hz] | Frequency span [Hz]
Power | Start power [dBm] | Stop power [dBm] | – | –
Time | – | Total sweep time [s] | – | –
CW Mode | – | Number of points [1] | – | –

The ranges of numerical values must be compatible with the instrument model.

If a frequency sweep is selected, then the START CENTER and STOP SPAN are both toggle keys. In Time or CW Mode sweep mode the Start, Center and Stop softkeys are inactive, still you can use the START CENTER hardkey to select the fixed CW frequency.

The conditions for the stimulus range depend on the sweep type:

  • Lin. Frequency/Log. Frequency/Segmented Frequency

  • Power

  • Time

  • CW Mode

  • Pulse Profile

The selected sweep range applies to all source and receive ports of the analyzer. The sweep range frequency is also used as the channel base frequency for frequency-converting measurements; see Port Configuration.

CW Frequency

Opens the numeric entry bar to set the fixed frequency for the sweep types Power, Time, CW Mode, and Pulse Profile. The CW frequency is also used as the channel base frequency for frequency-converting measurements; see Port Configuration.

Setting up a sweep

Remote control:


Power Bandwidth Average

Power sets the output power at the test port that supplies the stimulus for the active channel. The channel power can be varied over a wide dynamic range; the range can be further increased by means of generator step attenuators. This leaves enough flexibility to include an attenuation or gain in the test setup.

The channel power can be modified by the following settings:

  • Generator step attenuators decrease the output power by a definite factor astep. astep can be set individually for all test ports but should not change during a sweep. To ensure a sufficient dynamic range at the test ports, it is recommended to use automatic generator step attenuator setting.

  • The Source section of the Port Configuration dialog provides a port-specific constant power offset (for arbitrary sweeps) and a port and frequency-dependent power slope factor (for frequency sweeps).

  • A generator (source) power calibration generally modifies the channel power so that Power is equal to the power at the calibrated reference plane.

The Port <port_no> Source Powerdialog gives an overview of all power settings.

Receiver and generator step attenuators can be purchased as ZVA options. The following attenuators are available:

 | Port 1 | Port 2 | Port 3 | Port 4
ZVA8, generator | ZVA8-B21 | ZVA8-B22 | ZVA8-B23 | ZVA8-B24
ZVA8, receiver | ZVA8-B31 | ZVA8-B32 | ZVA8-B33 | ZVA8-B34
ZVA24, generator | ZVA24-B21 | ZVA24-B22 | ZVA24-B23 | ZVA24-B24
ZVA24, receiver | ZVA24-B31 | ZVA24-B32 | ZVA24-B33 | ZVA24-B34
ZVA40, generator | ZVA40-B21 | ZVA40-B22 | ZVA40-B23 | ZVA40-B24
ZVA40, receiver | ZVA40-B31 | ZVA40-B32 | ZVA40-B33 | ZVA40-B34
ZVA50, generator | ZVA50-B21 | ZVA50-B22 | ZVA50-B23 | ZVA50-B24
ZVA50, receiver | ZVA50-B31 | ZVA50-B32 | ZVA50-B33 | ZVA50-B34
ZVA67, generator | ZVA67-B21 | ZVA67-B22 | ZVA67-B23 | ZVA67-B24
ZVA67, receiver | ZVA67-B31 | ZVA67-B32 | ZVA67-B33 | ZVA67-B34

Refer to the data sheet for detailed ordering information and technical specifications.

are used to adjust the received signal levels to the input level range of the analyzer in order to avoid damage to the instrument, e.g. if the DUT is a power amplifier. The range of attenuation values depends on the analyzer model.

Port-specific attenuation factors can be set in the Receiversection of the Port Configuration dialog.

are used to protect a sensitive DUT from excess input levels. The attenuation values can be set automatically. The range of values depends on the analyzer model.

Port-specific attenuation factors can be set in the Sourcesection of the Port Configuration dialog.

The aim of the automatic attenuator setting is to ensure that the analyzer can perform the entire sweep without switching the generator step attenuators. The output power pel at each port depends on the following settings:

  • The channel power pch (the Powerset in the Channel –Power Bandwidth Average menu).

  • The port-specific power offset pb (for arbitrary sweeps) and the port and frequency-dependent power slope factor pSlope (for frequency sweeps) defined in the Receiver section of the Port Configuration dialog.

  • A port and stimulus-dependent correction factor pcorr introduced by a generator (source) power calibration.

  • The port-specific generator step attenuator setting astep.

If everything is expressed in dB units, the output power pel at each port must be equal to the sum of the channel power and all port and stimulus-dependent correction factors:

pel = pch + pb + pSlope + pcorr + astep

The automatic attenuator setting algorithm selects astep such that the variation range for pel is sufficient to account for the stimulus-dependent variations of pb and pSlope, and pcorr. If this is not possible in a particular subrange of the sweep (e.g. because the sweep settings are such that an excess variation range for pel or a negative attenuation factor astep would be required) then the analyzer generates an error message.

In "Low Noise" mode, the automatic attenuator setting algorithm is modified in order to minimize the broadband noise in the generator signal. The modification can narrow the dynamic range that the generator covers without switching the attenuator. Use this mode if the following criteria apply:

  • Your test setup contains a broadband power meter (that you use e.g. for a power calibration).

  • Your generator levels are not significantly above the broadband noise level; see table below.

  • Your analyzer supports a large frequency range (this applies to the high-frequency models, see table below).

The amount of broadband noise in the generator signal increases with the total bandwidth of the network analyzer. The following table gives an overview for the different R&S ZVA analyzer models.

R&S ZVA analyzer model | Typical broadband noise
R&S ZVA 8 | –32 dBm
R&S ZVA 24 | –25 dBm
R&S ZVA 40 | –21 dBm (< 24 GHz) and –25 dBm (> 24 GHz)
RZS ZVA 50 | –20 dBm (< 24 GHz) and –13 dBm (> 24 GHz)

A high selectivity and a small filter bandwidth both suppress the noise level around the measurement frequency and thus increase the dynamic range. On the other hand the time needed to acquire a single measurement point increases for small filter bandwidths and high selectivity. For small bandwidths, the filter settling time, which is inversely proportional to the bandwidth, is responsible for the predominant part of the measurement time.

The characteristics of the high selectivity filter makes it particularly suitable for isolating unexpected spurious responses or known mixer products.

The average trace is obtained as follows:

Let c be the Average Factor and assume that n sweeps have been measured since the start of the average cycle (start of the measurement or Restart Average). The following two situations are distinguished:

  • n < c: At each sweep point, the average trace no. n is calculated from the average trace no. n 1 and the current trace no. n according to the following recurrence:

The average trace represents the arithmetic mean value over all n sweeps.

  • n > c: At each sweep point, the average trace no. n is calculated from the average trace no. n 1 and the current trace no. n according to:

The formulas hold for Average Factor n = 1 where the average trace becomes equal to the current trace.

Power Bandwidth Average

The Power Bandwidth Average menu defines the power of the internal signal source, sets the step attenuators and the IF bandwidths, and configures the sweep average.

  • Power defines the power of the internal signal source.

  • Step Attenuators sets the attenuation for all received and generated waves.

  • Step Atten. b2...sets the attenuation for the received wave b2.

  • RF Off switches the internal and external power sources off (if checked) or on.

  • Meas. Bandwidth selects the bandwidth of the IF measurement filter.

  • Average On activates or de-activates the sweep average. With average on the measurement results are averaged over a selected number of consecutive sweeps (Average Factor).

  • Average Factor defines the number of consecutive sweeps to be averaged.

  • Restart Average starts a new average cycle, clearing all previous results and thus eliminating their effect on the new cycle. The new cycle is started as fast as possible; an ongoing sweep is terminated immediately.

Remote control
(for RF off and averaging):

DIAGnostic:SERVice:RFPower
[SENSe<Ch>:]AVERage[:STATe] ON | OFF
[SENSe<Ch>:]AVERage:COUNt
[SENSe<Ch>:]AVERage:CLEar

Power

Opens the numeric entry bar to set the power of the internal signal source (channel power).

The channel power determines the output power at the test ports if a Frequency Sweep, Time Sweep or CW Mode Sweep is active; see info below. The setting has no effect in Power Sweep mode, where the source power is varied over a continuous range.

The selected channel power applies to all source ports used in the active channel. Use the Port Configuration dialog to modify the output power ranges for the individual analyzer ports.

Output power at the test ports

Remote control:

SOURce<Ch>:POWer[:LEVel][:IMMediate][:AMPlitude]

Step Attenuators

Opens a dialog to set the attenuation for the received and generated waves. The generator attenuation can be set automatically; see Automatic generator attenuation. Step attenuators can also improve the measurement accuracy for special test scenarios; see "Low Noise" generator attenuation mode.

The Step Attenuators dialog contains the following columns:

  • Rec. Wave lists the received waves b1 to bn. n is equal to the total number of test ports of the analyzer.

  • Attenuation is used to enter the attenuation for each wave bn.

  • Gen. Wave lists the generated waves a1 to an.

  • Attenuation is used to enter the attenuation for each wave an. If Auto is selected, the analyzer automatically optimizes the generator attenuation according to the current channels settings. "Low Noise" setting minimizes the broadband noise, especially at low signal levels and for analyzers with a large frequency range; see background information below.

  • Src Pwr Result displays the source power according to the current channel and generator attenuator settings.

Attenuation factors can be entered only for ports where a receiver or generator step attenuator is installed.

Generator and receiver step attenuators

Attenuation factors for the received waves and the generated waves serve different purposes:

  • Received wave factors

  • Generated wave factors

Automatic generator attenuation

"Low Noise" generator attenuation mode

A new system error correction is recommended whenever the step attenuator settings are changed. A change of the generator step attenuator settings may also occur in Auto mode; see above.

The position and function of the step attenuators is illustrated in the following figure. The analyzer measures both the attenuated generated waves and the attenuated waves received from the DUT.

Remote control:

INPut<Pt>:ATTenuation
[SENSe<Ch>:]POWer:ATTenuation ARECeiver | BRECeiver | CRECeiver | DRECeiver, <attenuation>
OUTPut<Pt>:ATTenuation
SOURce<Ch>:POWer<Pt>:ATTenuation
SOURce<Ch>:POWer<Pt>:ATTenuation:AUTO ON | OFF
SOURce<Ch>:POWer<Pt>:ATTenuation:MODE AUTO | LNOise | MANual

Step Atten. b2

Opens the numeric entry bar to set the attenuation for the received wave b2. This function is available only if a receiver step attenuator is installed at port 2.

The attenuation is used to adjust the received signal level at port 2 to the input level range of the analyzer in order to avoid damage to the instrument, e.g. if the DUT is a power amplifier. The range of values depends on the analyzer model.

Using a single step attenuation b2 corresponds to a standard test setup with 0 dB generator attenuation and attenuation of the (amplified) wave received at test port 2. The attenuation factors for all received and generated waves can be set via Step Attenuators.

Remote control:

INPut<Pt>:ATTenuation
[SENSe<Ch>:]POWer:ATTenuation ARECeiver | BRECeiver | CRECeiver | DRECeiver, <attenuation>

RF Off

RF Off switches the internal and external power sources off (if checked) or on. Switching off the RF power helps to prevent overheating of a connected DUT while no measurement results are taken. The exact behavior of RF Off is part of the system configuration; refer to the description of the Power tab.

After the RF power is switched on, the start of the measurement is delayed by approx. 1 s while the amplifier stages of the analyzer are allowed to settle. To avoid this delay, reduce the base channel power setting or turn off the drive ports in the Port Configuration dialog instead of using RF Off.

Switching off the internal RF generator while an external generator is used can improve the measurement accuracy. RF Off also deactivates external generators, so you have to use the settings in the Sourcesection of the Port Configuration dialog (with option R&S ZVA-K4).

Remote control:

OUTPut<Ch>[:STATe]

Meas. Bandwidth

Sets the measurement bandwidth of the IF filter. Meas Bandwidth opens a submenu to select bandwidths between 10 Hz and 1 MHz:

Fine Adjust... opens a dialog where you can modify the selected measurement bandwidth and the selectivity of the IF filter.

  • The numeric entry field shows the last IF filter bandwidth selected. The arrow buttons increment and decrement the bandwidth in 1-2-5 steps for each decade. Entered values between the steps will be rounded up, values exceeding the maximum bandwidth rounded down.

  • Selectivity selects between two types of IF filters: Filters with Normal selectivity and short settling time, and filters with High selectivity but larger settling time.

The selected bandwidth and selectivity applies to all filters used in the current channel. This makes sense because the measurement speed is limited by the slowest filter in the channel. In Segmented Frequency sweeps, the bandwidth and selectivity can be set independently for each segment; see Define Segments.

Optimizing the filter settings

In general, the system error correction is no longer valid after a change of the IF filter bandwidth. The message Cal? appears in the trace list.

Optimizing the measurement speed

Remote control:

[SENSe<Ch>:]BANDwidth|BWIDth[:RESolution]
[SENSe<Ch>:] BANDwidth|BWIDth[:RESolution]:SELect

Average Factor

Opens the numeric entry bar to define the number of consecutive sweeps to be averaged.

An average over several sweeps reduces the influence of random effects in the measurement and therefore minimizes the noise level. The effect increases with the average factor, however, obtaining an averaged result requires several sweeps and therefore increases the measurement time.

In contrast to the sweep count (for single sweep mode), averaging is always channel-specific. Both features are completely independent from each other.
The average factor is also valid for calibration sweeps: The calculation of system correction data is based on the averaged trace.

Smoothing is an alternative method of compensating for random effects on the trace by averaging adjacent measurement points. Compared to the sweep average, smoothing does not significantly increase the measurement time but can eliminate narrow peaks and thus produce misleading results.

The sweep average is not frequency selective. To eliminate a spurious signal in the vicinity of the measurement frequency, alternative techniques (e.g. a smaller filter bandwidth) must be used.

Calculation of sweep average

Optimizing the measurement speed

Remote control:

[SENSe<Ch>:]AVERage[:STATe] ON | OFF
[SENSe<Ch>:]AVERage:COUNt
[SENSe<Ch>:]AVERage:COUNt:CURRent?(query current sweep)
[SENSe<Ch>:]AVERage:CLEar


Sweep Menu

A sweep is a series of consecutive measurements taken over a specified sequence of stimulus values. It represents the basic measurement cycle of the analyzer.

The analyzer can perform sweeps at constant power but variable frequency (frequency sweeps), sweeps at constant frequency but variable power (power sweeps), and sweeps at constant power and frequency that are repeated in time (Time/CW Mode sweeps); see Sweep Type.

The sweeps are further specified by the number of measurement points, the total measurement time and the trigger mode. A measurement may consist of a single sweep or a series of sweeps repeated continuously.

On the other hand, depending on the measurement task and the measured quantity, the measurement at each point can consist of several partial measurements with definite hardware settings.

Sweep

The Sweep submenu defines the scope of the measurement in the active channel. This includes the sweep type with various parameters, the trigger conditions and the periodicity of the measurement.

Sweeps

The Sweep menu provides the following settings:

  • Sweep Type defines the sweep variable (frequency/power/time/CW mode) and the position of sweep points in the sweep range.

  • Number of Points sets the total number of measurement points over the sweep range.

  • Frequency Step Size sets the distance between two consecutive frequency sweep points.

  • Sweep Time varies the measurement time for a sweep or delays the start of each sweep.

  • Trigger selects the trigger mode for the measurement.

  • Manual Trigger while the Manual trigger mode is active generates a trigger event. This softkey is also available in the Trigger submenu.

  • If Single (All Chans) is selected the measurement is terminated after a single sweep or a group of single sweeps defined in the Define Restart dialog.

  • Restart aborts the current measurement and restarts a new sweep sequence.

  • Define Restart opens a dialog to specify which channels are affected and how many sweeps are repeated.

  • Define Busy Signal opens a dialog to configure the output signal at pin no. 4 of the USER CONTROL connector.


Sweep Type

The power range defined for a power sweep replaces the internal generator power setting in the Power Bandwidth Average submenu.

The power corresponds to the actual output power at the test port that supplies the stimulus for the active channel or at the calibrated reference plane. Any generator power calibration or attenuation of the active generator step attenuators is taken into account. The wide range of power stimulus values leaves enough flexibility to include an attenuation or gain in the test setup.

The minimum sweep time depends on the number of measurement points, the measurement bandwidth, the delay time before each partial measurement and the number of partial measurements required for each measurement point. The analyzer estimates this time, taking into account the current measurement settings.

If the total sweep time entered via Channel - Stimulus - Stop is smaller than the estimated minimum sweep time, the analyzer opens a dialog to adjust (increase) the stop time.

The analyzer tries to keep the time intervals between any two consecutive time sweep points equal: The time sweep samples are equidistant. For unidirectional measurements, time sweeps up to the maximum number of 60001 sweep points are generally equidistant. For measurements with 4 drive ports, you can acquire between 18000 and 20000 equidistant results for each partial measurement. Equidistance also holds for sweeps which range over several channels.

If equidistance is no longer ensured, a tooltip is displayed. Reduce the number of points to restore equidistance. Equidistance is also impaired if an external power meter is active during the sweep.

The Time sweep is incompatible with the Periodic Trigger: If Periodic... is selected while a time sweep is active, the analyzer generates an error message:

To continue, click OK and select any other trigger source.

The time interval between two consecutive trigger pulses must not be smaller than the minimum measurement time for one measurement point described for Time sweeps.

Sweep Type

The Sweep Type submenu defines the sweep variable (frequency/power/time) and the position of the sweep points across the sweep range.

  • Lin. Frequency is the default sweep type. The stimulus frequency is swept in equidistant steps over the continuous frequency range. In a Cartesian diagram, the x-axis is a linear frequency axis.

  • Log. Frequency is analogous to Lin. Frequency, however, the frequency is swept in equidistant steps on a logarithmic scale. In a Cartesian diagram, the x-axis is a logarithmic frequency axis.

  • Segmented Frequency is analogous to Lin. Frequency but uses a sweep range that can be composed of several continuous frequency ranges or single frequency points defined via Define Segments. A valid segment list must be defined before activating Segment Frequency.

  • Power sweeps are performed at constant frequency but with variable generator power that is swept in linear, equidistant steps over a continuous range. In a Cartesian diagram, the x-axis is a dB-linear power axis.

  • Time sweeps are performed at constant frequency and stimulus power. The measurement is repeated over a specified period of time at constant time intervals.

  • CW Mode is a variant of the Time sweep where the individual measurements are triggered according to the current trigger settings.

  • Pulse Profile, Define Pulse Profile and Show Pulse Profile Settings control the pulsed sweep mode (with option R&S ZVA-K7).

  • Amplitude Imbalance and Phase Imbalance activate special sweep types for the true differential mode (with option R&S ZVA-K6).

  • Pulse Generator turns the pulse generator on or off.

  • Def Pulse Generator defines the properties of the pulse generator signals.

Lin. Frequency

In a Lin. Frequency sweep the stimulus frequency is swept in equidistant steps over the continuous frequency range. The frequency range (sweep range) is defined with the Stimulus settings. The step width between two consecutive sweep points is constant and given by <Span>/(n - 1) where n is the specified Number of Points (n > 1). The internal generator power can be set, if so desired, in the Power Bandwidth Average submenu.

Lin. Frequency is the default sweep type. In a Cartesian diagram the measurement result is displayed as a trace over a linear frequency scale (as known e.g. from spectrum analyzers). The following example shows a Lin. Frequency sweep with a stimulus range between 300 kHz and 4 GHz, the forward transmission parameter S21 as measured quantity, and a dB Mag scaled y-axis.

Setting up a Lin. Frequency sweep

Remote control:

[SENSe<Ch>:]SWEep:TPYE LINear
[SENSe<Chn>:]FUNCtion[:ON] "XFRequency:..."

Log. Frequency

In a Log. Frequency sweep the stimulus frequency is swept on a logarithmic scale over the continuous frequency range. The frequency range (sweep range) is defined with the Stimulus settings. The sweep points are calculated from the Span and the specified Number of Points (n > 1) with the condition that the step width is constant on the logarithmic scale. The internal generator power can be set, if so desired, in the Power Bandwidth Average submenu.

Log Frequency sweeps are suitable for the analysis of a DUT over a large frequency range, e.g. over several octaves. In a Cartesian diagram the measurement result is displayed as a trace over a logarithmic frequency scale. The following example shows a Log. Frequency sweep with a stimulus range between 50 MHz and 6 GHz, the forward transmission parameter S21 as measured quantity, and a dB Mag scaled y-axis.

Setting up a Log. Frequency sweep

Remote control:

[SENSe<Ch>:]SWEep:TPYE LOGarithmic
[SENSe<Chn>:]FUNCtion[:ON] "XFRequency:..."

Segmented Frequency

In a Segmented Frequency sweep the sweep range can be composed of several continuous frequency sub-ranges or single frequency points. The sub-ranges are termed sweep segments and defined in the Define Segments dialog. Sweep segments may overlap. The segment list must contain at least 2 distinct frequency points before a Segmented Frequency sweep can be started.

Instrument settings such as the internal generator power, the measurement (IF) bandwidth, the selectivity of the measurement filter, the frequency band of the local oscillator, and the measurement time can be set independently for the individual segments.

Due to this flexibility Segmented Frequency sweeps are suitable for any detailed analysis of a DUT at specified frequencies. In a Cartesian diagram the measurement result is displayed as a trace over a linear frequency scale ranging from the lowest to the highest frequency point of all segments. The following example shows a Segmented Frequency sweep with 3 segments in the stimulus range between 300 kHz and 4 GHz, the forward transmission parameter S21 as measured quantity, and a dB Mag scaled y-axis. In the frequency ranges between the sweep segments the trace is displayed as a straight line.

Setting up a Segmented Frequency sweep

Remote control:

[SENSe<Ch>:]SWEep:TPYE SEGMent
[SENSe<Chn>:]FUNCtion[:ON] "XFRequency:..."

Power

In a Power sweep the internal generator power is swept in linear, equidistant steps over a continuous power range. The generator power range (sweep range) is defined via Channel - Stimulus - Start and Channel - Stimulus - Stop; see Stimulus and Sweep Types. The numeric entry bar for the fixed frequency (CW Frequency) appears as soon as Power is activated.

Power sweeps are particularly suitable for the analysis of non-linear effects (saturation, compression) on active and passive DUTs (e.g. power amplifiers, mixers).

In a Cartesian diagram the measurement result is displayed as a trace over a dB-linear power scale. The following example shows a Power sweep with a linear DUT:

Generator power

Setting up a Power sweep

Remote control:

[SENSe<Ch>:]SWEep:TPYE POWer
SEGMent[SENSe<Chn>:]FUNCtion[:ON] "XPOWer:..."
SOURce<Ch>:FREQuency<Pt>:CW|FIXed

Time

Time sweeps are performed at constant frequency and stimulus power. A single sweep extends over a specified period of time. The sweep time is defined via Channel - Stimulus - Stop; see Stimulus and Sweep Types. The time intervals between two consecutive sweep points are calculated according to <Stop>/(n - 1) where n is the selected Number of Points. The frequency (CW Frequency) and internal generator power (Source Power) is fixed and entered into a field which pops up as soon as Time is activated:

A Time sweep corresponds to the analysis of a signal over the time; the function of the analyzer is analogous to an oscilloscope. In a Cartesian diagram the measurement result is displayed as a trace over a linear time scale (oscillographic representation). The following example shows a Time sweep with a DUT that does not change its characteristics in time:

Sweep time

Equidistance of sweep points

Trigger settings

In Time sweep mode the Start, Center and Stop softkeys are inactive, still you can use the START CENTER hardkey to select the fixed CW frequency.

Setting up a Time sweep

Remote control:

[SENSe<Ch>:]SWEep:TPYE CW
[SENSe<Chn>:]FUNCtion[:ON] "XTIMe:..."
SOURce<Ch>:FREQuency<Pt>:CW|FIXed
SOURce<Ch>:POWer[:LEVel][:IMMediate][:AMPlitude]

CW Mode

CW Mode sweeps, like Time sweeps, are performed at constant frequency and stimulus power. The measurement is triggered according to the current trigger settings; each trigger event triggers the first partial measurement of a measurement point. The total number of measurement points is defined via Channel - Stimulus - Stop; see Stimulus and Sweep Types. The time interval between two consecutive measurements depends on the trigger settings. Any trigger mode is allowed.

The frequency (CW) and internal generator power (Source Power) is fixed and entered into a field which pops up as soon as CW Mode is activated.

A CW Mode sweep corresponds to the analysis of a signal over the time with a time scale and resolution that is determined by the trigger events. In a Cartesian diagram the measurement result is displayed as a trace over a linear time scale (oscillographic representation). The diagram is analogous to the Time diagram. The following example shows a CW Mode sweep with a DUT that does not change its characteristics in time:

Sweep time

In CW Mode sweep mode the Start, Center and Stop softkeys are inactive, still you can use the START CENTER hardkey to select the fixed CW frequency.

Setting up a CW Mode sweep

Remote control:

[SENSe<Ch>:]SWEep:TPYE POINt
[SENSe<Chn>:]FUNCtion[:ON] "XTIMe:..."
SOURce<Ch>:FREQuency<Pt>:CW|FIXed
SOURce<Ch>:POWer[:LEVel][:IMMediate][:AMPlitude]


Define Segments

The table contains an automatically assigned current number for each segment plus the following editable or non-editable columns:

  • On provides check boxes to activate or deactivate each individual segment. Sweep points belonging to inactive segments only are not measured and not listed in the Point List.

  • Start is the stimulus (x-axis) value of the first point of the segment. If the segment contains more than one Point, then Start must be smaller than the Stop value. If a Start value equal to or larger than the current Stop value is set, Stop is adjusted to the new Start value plus 1 Hz.

  • Stop is the stimulus (x-axis) value of the last point of the segment. If the segment contains more than one Point, then Stop must be larger or equal than the Start value. If a Stop value equal to or smaller than the current Start value is set, Start is adjusted to the new Stop value minus 1 Hz.

  • Points is the number of sweep points in the segment. A single segment can consist of only one point. If Points is set to 1, then the Stop frequency is set equal to the Start frequency.

  • The remaining columns show the channel settings for each segment. They are displayed only if they are selected in the Individual Segment Settings panel.

adds a new segment to the list. The new segment is inserted after the active segment. The segment numbers (#) of all segments after the new segment are adapted.

The new segment ranges from the Stop value of the previously active segment to the maximum frequency of the analyzer. If the previously active segment ranges up to the maximum frequency, the new segment is created with minimum width. The analyzer places no restriction on the number of segments in a sweep range.

removes the selected segment from the list.

clears the entire segment list so it is possible to define or load a new segmented sweep range.

adds a column to assign a name to each segment. A segment name is a string that may contain letters, numbers and special characters.

defines the internal source Power for each individual sweep segment.

defines the Meas Bandwidth for each individual sweep segment.

defines the Selectivity of the IF filter used for each sweep segment.

defines whether the analyzer measures the segment with a local oscillator frequency LO below or above the RF input frequency. The parameter replaces the Spurious Avoidancesettings for a particular segment.

Enables the definition of a segment-dependent four-bit binary value to control four independent output signals at the USER CONTROL connector (lines 16, 17, 18, 19). The output signals are 3.3 V TTL signals which can be used to differentiate between up to 16 independent analyzer states. For an application example refer to the detailed remote control description. Setting the segment bits does not change the analyzer state.

defines the sweep time for each segment. The default configuration for a new segment is equal to the Sweep Time settings.

When Time is checked two new columns appear in the table. The first column reads Swp Tm or Meas Dly, depending on the selected radio button below the Time checkbox. The second column reads A(uto) and is used to activate automatic sweep time setting.

  • A(uto)

  • Sweep Time or Segment Sweep Time

  • Meas Delay

Changing the Meas. Delay modifies the Sweep Time and vice versa.

minimizes the sweep time. If this option is checked, the columns Swp Tm or Meas. Dly can not be edited. Swp Tm indicates the estimated sweep time, taking into account the current measurement settings, the Meas. Dly is 0 s. The segment sweep time and point delay values are maintained until changed explicitly if Auto is switched off.

is the total measurement time for the sweep segment. The minimum segment sweep time to be set is equal to the estimated value in the Auto mode.

sets a delay time allowing the DUT to settle before the hardware settings of the analyzer are changed and a new partial measurement is started.

opens a list of all active sweep points and their channel settings.

Points in inactive sweep segments (i.e. segments that are not switched On in the segment table) are not shown. The table provides a check of the settings made and can not be edited.

calls up an Open Filedialog to load a sweep segment list from a sweep segment file. Sweep segment files are ASCII files with the default extension *.seglist and a special file format.

calls up a Save As...dialog to store the current sweep segments to a sweep segment file. Sweep segment files are ASCII files with the default extension *.seglist and a special file format.

The segmented sweep range:

is described by the following sweep segment file:

The sweep segment file actually contains more columns listing all channel settings of the individual sweep segments. The headings of the additional columns read:

Source Power [dBm]; IF Bandwidth [Hz]; enIF Selectivity; en IF Sideband; Meas Delay [ms]; boSweep Time Auto;

Define Segments

Opens a dialog to define all channel settings for a Segmented Frequency sweep and to import and export segmented sweep settings.

The Define Segments dialog contains a table to edit the individual segments of the sweep range. Sweep segments may have common points or even overlap; see Columns in the Define Segments table.

Below the table, three groups of controls provide additional settings:

  • Inserting and Deleting Segments

  • Individual Segment Settings

  • Point List, Segment Import and Export

Columns in the Define Segments table

Limitations for overlapping segments
When overlapping sweep segments are created, the marker functions, trace evaluation functions, trace search functions and band filter functions are still available. It is possible, however, that these tools show an unexpected behavior when used in overlapping sweep segments.
The reason is that the assignment of markers to traces in overlapping segments is ambiguous. To avoid any problem, it is recommended to turn off the sweep segments that overlap with the one that needs to be analyzed in detail with the aid of a marker function.

Use the paste marker list for convenient entry of Start and Stop values.

Remote control:

The commands in the [SENSe<Chn>:]SEGMent... subsystem define all sweep segment settings.

Inserting and Deleting Segments

Three buttons on the left side below the table in the Define Segments dialog extend or shorten the segment list:

  • Add

  • Delete

  • Delete All

Remote control:

[SENSe<Chn>:]SEGMent<Seg>:INSert
[SENSe<Chn>:]SEGMent<Seg>:DELete
[SENSe<Chn>:]SEGMent<Seg>:DELete:ALL

Individual Segment Settings

The options in the Individual Segment Settings panel can be used to vary the channel settings of every individual segment in the list.

The first sweep segment is created with the channel settings defined for unsegmented sweep types. When any further sweep segment created, it uses the channel settings of the previously active segment. Each selected (checked) option adds a column to the segment list.

  • Name

  • Power

  • Meas Bandwidth

  • Selectivity

  • Spur Avoid

  • Segment Bits

  • Time

Remote control:

[SENSe<Chn>:]SEGMent<Seg>:POWer[:LEVel]
[SENSe<Chn>:]SEGMent<Seg>:BWIDth[RESolution]
[SENSe<Chn>:]SEGMent<Seg>:BWIDth[RESolution]:SELect
[SENSe<Chn>:]SEGMent<Seg>:DEFine
[SENSe<Chn>:]SEGMent<Seg>:INSert
[SENSe<Chn>:]SEGMent<Seg>:SWEep:TIME
[SENSe<Chn>:]SEGMent<Seg>:SWEep:DWELl
OUTPut<Ch>:UPORt:SEGMent<Seg>:STATe
OUTPut<Ch>:UPORt:SEGMent<Seg>[:VALue]

Point List, Segment Import and Export

The buttons on the right side below the table in the Define Segments dialog are used to retrieve the position of the defined sweep points import and export limit line data.

  • Show Point List

  • Import Segment List...

  • Export Segment List...

To import a segment list file (*.seglist) you can also use the Windows Explorer and simply double-click the file or drag and drop the file into the NWA application. You must enable the segmented sweep separately.

Remote control:

MMEMory:LOAD:SEGMent <Ch_no>,"file_name"
MMEMory:STORe:SEGMent <Ch_no>,"file_name"

File Format for Sweep Segments

The analyzer uses a simple ASCII format to export sweep segment data. By default, the sweep segment file extension is *.seglist. The file starts with two comment lines containing the version and a third line reproducing the header of the segment list. The following lines contain the entries of all columns of the segment list, including the Individual Segment Settingsthat may be actually hidden.

Example of a sweep segment file


Pulsed Measurements

Measurements on pulsed RF signals are required in many areas of RF and microwave technology. Pulsed signals are used in mobile phone applications and radar systems, and amplifiers are typically designed for pulsed rather than continuous wave (CW) conditions.

The analyzer performs pulsed measurements in analogy to a time sweep (i.e. at constant receiver frequency), but with a much higher sampling rate of 1/12.5 ns. The raw I/Q amplitudes are written into a ring buffer and processed at the end of each sweep. The buffer size allows for a maximum recording time (sweep time) of 3 ms. Due to the high sampling rate and the large IF bandwidths available, it is possible to obtain profiles for pulse widths from approx. 200 ns to the maximum recording time. Of course it is also possible to measure a sequence of pulses up to the maximum recording time.

Pulsed measurements require a trigger signal that is synchronized to the analyzed pulses. The analyzer's trigger system is idle while the data acquired in the last recording period is processed; it is re-armed after data processing is finished. To suppress the noise occurring at high IF bandwidths, sweep averaging is recommended.

The RF source signal of the vector network analyzer is continuous, so the pulsed stimulus signals must be generated by external means:

  • Preferably, an R&S ZVAX extension unit equipped with one or more pulse modulator options provides the pulsed signal. The pulse modulators are controlled using the internal pulse generator of the network analyzer; see measurement example for pulse modulators.

  • Alternatively, a chopper between the SOURCE OUT and the SOURCE IN connector of an analyzer port transforms the continuous source signal into a pulsed signal.

  • An external generator can provide pulsed signals.

  • The DUT can be switched on and off periodically to show a pulsed characteristic.

A pulsed RF signal ideally consists of a sequence of periodic rectangular pulses. The pulse width PW and pulse repetition period PRP are shown in the following figure; the ratio PW/PRP is often referred to as the duty cycle.

The spectrum of a pulsed signal in the frequency domain has a sin(x)/x envelope, where x is proportional to the duty cycle. The spectral components are equidistant with a spacing of 1/PRP. The analyzer measures and displays the pulses in time domain. To be detected properly, the pulse width must be larger than twice the rise/fall time of the receiver, which roughly corresponds to the inverse of the IF bandwidth. The figure below shows a rectangular pulse with a width of 1 μs, measured in a 10 MHz bandwidth. The rise and fall times are approximately 100 ns.

When the pulse profile measurement is activated (and then every time when the data of the last sweep has been processed) the analyzer immediately starts acquiring data, therefore it is possible to select negative start times (pre-trigger). Moreover, the time of the trigger event does not have to be within the displayed time range (i.e. start and stop time can both be negative or positive).

Shift Stimulus defines an offset time that is to compensate for a known transmission delay of a DUT. A non-zero shift stimulus value has the following effect:

  • The trace for the wave quantity assigned to the active receiver is shifted in horizontal direction. A positive value shifts the trace to the left (subtraction of a known delay), a negative value shifts it to the right.

  • All quantities depending on the shifted wave quantity are calculated with the corrected time reference. In the example below, the S-parameter S21 is calculated as S21(t) = b2(t + <Shift stimulus>)/a1(t).

  • The displayed Recording Time is extended to cover the delayed wave.

The example above illustrates the importance of a correct delay compensation for the calculation of S-parameters, ratios and other derived quantities in the time domain. Without compensation, the two pulses for a1 and b2 do not overlap so that no meaningful S-parameter calculation is possible.

Example: S-parameter measurement for a DUT with known delay Dfw and Drev in forward and reverse direction. The DUT is connected between port 1 and port 2 of the analyzer. The test setup is fully calibrated so that the reference planes are at the DUT's input and output ports.

Receiver: a1 Source: 1 Shift stimulus: 0 | Receiver: b1 Source: 1 Shift stimulus: 0 | Receiver: b2 Source: 1 Shift stimulus: Dfw
Receiver: a2 Source: 2 Shift stimulus: 0 | Receiver: b1 Source: 2 Shift stimulus: Drev | Receiver: b2 Source: 2 Shift stimulus: 0

Mean Value of Pulse Section has the following effect:

  • The trace for the wave quantity assigned to the active receiver is replaced by a constant trace.

  • All quantities depending on the wave quantity are based on the averaged values.

  • The displayed Recording Time is extended to cover the specified pulse section.

Section Start and Section Stop can be negative and even outside the displayed time range, however, Section Start must be smaller than Section Stop. A stimulus shift also shifts the Section Start and Section Stop values.

Pulsed Measurements

The softkeys in the lower part of the Sweep Type submenu control pulsed measurements (with option ZVA-K7, Pulsed Measurements).

Pulse profile mode

Basic relations: pulse width, repetition interval, IF bandwidth

  • Pulse Profile activates pulsed measurements.

  • Define Pulse Profile... gives access to the time parameters, the stimulus signal settings, and the receiver settings for pulsed measurements.

  • Show Pulse Profile Settings opens a screen with an overview of the current settings.

Activating a basic pulse profile measurement...

Measuring a DUT with a transmission delay...

Pulse Profile

Pulse Profile measurements are performed at constant receiver frequency and stimulus power; see background information on pulse profile mode. Pulsed measurements require a trigger signal that is synchronized to the analyzed pulses. Besides all settings are accessible in the Define Pulse Profile dialog.

Remote control:

[SENSe<Ch>:]SWEep:TYPE PULSe

Define Pulse Profile...

Opens a dialog to configure the time parameters, the stimulus signal settings, and the receiver settings for pulsed measurements.

The Time Parameters define the displayed time range and the IF bandwidth:

  • Start and Stop define the start and stop time in the diagram area relative to the trigger time; they are identical to the Stimulus – Start and Stimulus – Stop parameters. The stop time must be larger than the start time; negative values are allowed.

  • Bandwidth selects the IF bandwidth for the pulse profile measurements. The measurements are performed with a fixed sampling rate and at fixed frequency, so the bandwidth does not affect the measurement speed. To obtain short rise and fall times of the receiver and measure short pulses, it is preferable to use large bandwidths; see background information on basic relations.

Filter bandwidths above 10 MHz can be associated with increased measurement uncertainties. In particular, they tend to cause overshoot and ringing at the beginning and at the end of the pulses.

  • Recording Time indicates the width of the display range, i.e. the difference of Stop –Start time. The calculated recording time is possibly modified if Shift Stimulus or Coupled Section Limit Lines On is active; see Receiver Settings. An error message is displayed if the calculated recording time exceeds the maximum buffer recording time of 3 ms.

The hardware option R&S ZVA-B7, Pulsed Measurements, enhances the maximum buffer recording time to 25 ms.

The Stimulus parameters define fixed source and receiver settings for the pulse profile measurement. The parameter settings are also valid for other sweep types.

  • Source Power is the channel base power; see Power. This setting is relevant if the analyzer is used to generate the pulsed source signal, e.g. with an additional RF switch looped into the SOURCE path.

  • Center Freq. is the channel base frequency; see CW Frequency. Note that pulse profile measurements are compatible with the frequency-converting mode, so that it is possible to define port-specific corrections to the CW frequency.

  • No of Points is the number of sweep points displayed; see Number of Points. Due to the fixed sampling period of 12.5 ns and the fixed buffer size, this parameter does not directly affect the measurement speed. Results are interpolated if the number of points differs from the value (Stop – Start)/12.5 ns + 1 (Optimum No of Points).

Receiver Settings opens a dialog with advanced pulse profile settings.

Remote control:

[SENSe<Ch>:]PULSe:TIME...
SOURce<Ch>:POWer<Pt>[:LEVel][:IMMediate][:AMPlitude]
SOURce<Ch>:FREQuency<Pt>[:CW]|FIXed
[SENSe<Ch>:]SWEep:POINts

Retrieve raw measured data: CALCulate<Chn> DATA? TSData

Receiver Settings

This dialog provides advanced settings for the pulse profile mode. Most of the parameters can be set independently for the different receivers and source ports involved in the measurement.

The receiver and source port are selected in the upper part of the dialog.

  • Receiver selects a receiver for a received wave bi or a reference wave ai (see Receiver).

  • Source Port contains all analyzer ports and external generators that are available as source ports.

Receiver and source ports scan be selected although they may not be currently used. The analyzer can store predefined receiver settings for arbitrary port configurations.

  • Shift Stimulus defines an offset time for the current receiver and source port. This is important for measuring DUTs with a noticeable transmission delay.

Effect of shift stimulus and examples

  • The Evaluation Mode specifies how the wave quantity assigned to the current receiver and source port is displayed. In Normal mode, it is displayed as measured (pulse shape). If Mean Value of Pulse Section is selected, the wave quantity is replaced by its mean value (magnitude and phase) averaged over a configurable time interval [Section Start, Section Stop].

Effect of averaging, definition of the time interval

The remaining settings in the dialog are general; they do not depend on the selected receiver and source port.

  • Section Limit Lines On places two vertical lines into the diagram(s), indicating the selected Section Start and Section Stop. The section limits can be modified using drag-and-drop.

  • Coupled Section Limit Lines On couples the section limits (and the section limit lines) for all receivers and source ports and in all channels. The evaluation mode and the Shift Stimulus values are still independent. As a typical application, it is possible to create two channels, display the same wave quantity with different evaluation modes (pulse shape and average), vary the section limits in normal evaluation mode (pulse shape) and monitor the effect on the average trace.

  • Recording Time indicates the width of the display range, possibly modified if Shift Stimulus or Coupled Section Limit Lines On is active; see background information above. An error message is displayed if the calculated recording time exceeds the maximum buffer recording time of 3 ms.

  • Reset All Receiver Settings the parameters in the dialog for all receivers and source ports.

Measuring a DUT with a transmission delay...

Remote control:

[SENSe<Ch>:]PULSe:COUPled[:STATe]
[SENSe<Ch>:]PULSe:RECeiver...

Show Pulse Profile Settings

Gives an overview of the current time and stimulus settings for pulsed measurements. The info screen also display softkeys to Print the contents, save them to a file (Print to File) or Close the screen.

Remote control:

Settings can be retrieved using the query form of the commands.


Pulse Generator

Pulse generator signals consist of rectangular pulses which are repeated periodically. The signals serve as modulation signals for pulse modulators: During the high signal periods, the pulse modulator generates an RF signal, during the low signal periods, the RF signal is switched off. The R&S ZVA provides two different pulsed signals:

  • The Gen 1 signal (the actual "pulse generator signal") consists of a single pulse or a pulse train with selectable period. A pulse train is a series of pulses with individual timing and width. The pulse generator signal is not used internally.

  • The Gen 2 signal ("sync signal") is a single pulse which is repeated after the pulse period. The sync signal can be used as a trigger signal for pulsed measurements but also available as a modulation signal. In Chopped Pulse Profile mode, it is used chop the measured RF signal into short measurement intervals.

The pulse period of the pulse generator and sync signals are identical. An example for a pulse generator signal consisting of a pulse train (Gen1) and a sync signal (Gen 2) is shown below.

If not specified otherwise, the pulse generator settings are channel-specific.

A measurement example for pulse generators and pulsed measurements is reported in the Quick Start Guide for the extension unit R&S ZVAXxx, to be found on the R&S ZVA/B/T documentation CD-ROM.

To perform measurements on pulsed RF signals controlled by the pulse generator, the Pulse Gentrigger must be used. The trigger settings also control which of the trigger signals provides the trigger event.

Choose one of the following methods to efficiently create and handle pulse train segments:

  • To configure a pulse train with only a few segments, use Add Segment and edit each range in the table individually.

  • Use the Auto Arrange button to sort the segments in ascending order of the Start High Signal.

  • Save your pulse train definition to a file so you can re-use or modify it in later sessions (Save Pulse Train..., Recall Pulse Train...).

adds a new segment to the list, assigning a Start High Signal value of 0 s, a Stop High Signal value of 12.5 ns. If Auto Arrange is active the new segment is inserted at the beginning of the list. The analyzer places no restriction on the number of ranges assigned to each trace.

removes the selected segment from the list.

clears the entire segment list so it is possible to define or load a new pulse train definition.

sorts the segments in ascending order of the Start High Signal.

calls up an Open Filedialog to load a pulse train definition from a file.

calls up a Save As...dialog to store the current pulse train definition to a pulse train file.

The table contains an automatically assigned current number for each segment/pulse plus the following editable columns:

  • Active indicates whether the segment is active (checkbox selected) or inactive. Clearing the checkbox does not delete the segment but suppresses the pulse in the generator signal.

  • Start High Signal is the start time of the segment.

  • Stop High Signal is the stop time of the segment.

The minimum pulse width (the difference Stop High Signal –Start High Signal) is 12.5 ns. Segments/pulses may overlap, however, the largest Stop High Signal value must not exceed the pulse train Period.

Chopped pulsed profile mode is a means of achieving extremely small time resolutions for measurements on strictly periodic signals. Time resolution is the critical parameter for measurements on pulsed signals with very short pulse widths. In a normal time sweep at the default IF bandwidth of 10 kHz, the time resolution (i.e. the measurement time for each sweep point) is in the 100 μs range. In chopped pulse profile mode, the analyzer achieves time resolutions down to 12.5 ns.

A power calibration is generally not possible, however, the measurement provides accurate relative powers at consecutive sweep points. Hence the measurement result shows the profile of the measured RF signal.

Chopped pulse profile results are measured as follows:

  1. The signal is chopped into k measurement intervals of equal width. The interval width is equal to the time resolution. For each interval, the analyzer acquires measurement results in n consecutive pulse periods. Due to the periodicity of the signal, the amplitude in each of the measurement intervals is equal. The results from the individual intervals are integrated; the effective measurement time per interval is thus n times the interval length. With a suitable selection of the factor n, this method provides accurate results at common IF bandwidths.

  2. After integrating the n results for a given measurement interval, the analyzer steps to the next interval in order to repeat the procedure above. The total measurement for k measurement intervals covers k*n pulse periods. The measurement result is a time-domain trace consisting of k integrated measurement points.

The analyzer automatically selects a CW Time sweep mode and adjusts a number of data acquisition and pulse generator settings when the chopped pulse profile mode is activated:

  • The width of the sync signal pulse (Gen 1) is set equal to the time resolution. The sync signal controls the width and timing of the measurement intervals in chopped pulse profile mode. After each sequence of n measurements, the sync signal is delayed by one pulse width so that the next measurement interval is reached.

  • The period of the pulse generator signal (Single Pulse Period or Pulse Train Period, depending on the selected Pulse Type) is increased to the next integer multiple of the time resolution.

  • The number of sweep points k is calculated as the ratio of the extended pulse period to the time resolution.

  • The IF bandwidth is set to 1 over ten times the extended pulse period, and a high selectivity filter is used.

The pulse train definition:

is described by the pulse train file:

Pulse Generator

Turns the pulse generator on or off (with option R&S ZVA-K27). The pulse generator provides two independent control signals at the CASCADE output connector on the rear panel of the network analyzer. The signals can be used to control an R&S ZVAXxx Extension Unit equipped with a pulse modulator option.

The pulse generator signals are configured using the Define Pulse Generator dialog.

Pulse generator signals

Remote control:

[SENSe<Ch>:]PULSe:GENerator<gen_no>[:STATe]

Define Pulse Generator

Defines the properties of the pulse generator signals.

  • Pulse Type selects the shape of the pulse modulator (Gen 1) signal. For each pulse type, a subset of Pulse Parameters is available. A Single Pulse is a rectangular pulse with definite Pulse Width that is repeated after the Single Pulse Period. A Pulse Train is a series of single pulses; see Pulse Generator Signals. Constant signals (Constant High and Constant Low) need no further specification.
    When a Constant High or Constant Low signal is selected, the pulse type of the sync signal is set to Constant High or Constant Low, too. The previous pulse type of the sync signal is restored when the pulse generator signal is reset to Single Pulse or Pulse Train.

  • The controls in the Pulse Parameters section specify the properties of Single Pulse signals and Pulse Train signals (Gen 1). It is possible to invert the polarity of the pulse generator signal, i.e. to exchange the high signal and low signal periods. The three buttons in the panel open configuration dialogs for the Pulse Train, the Sync Generator (Gen 2), and the chopped pulse profile mode.

  • The section Settings valid for defines the scope of the pulse generator settings. By default, all settings are valid for the Active Channel. If All Channels (Continuous Mode) is selected, the pulse generator settings of the active channel are applied to all channels. This ensures continuous pulse generator signals at the CASCADE output of the network analyzer when another channel is selected. Use All Channels (Continuous Mode) mode for measurement on DUTs which could be damaged by variable pulse generator settings.

Remote control:

[SENSe<Ch>:]PULSe:GENerator1:TYPE
[SENSe<Ch>:]PULSe:GENerator1:WIDTh
[SENSe<Ch>:]PULSe:GENerator1:PERiod
[SENSe<Ch>:]PULSe:GENerator1:TRAin:PERiod
[SENSe<Ch>:]PULSe:GENerator1:POLarity
[SENSe<Ch>:]PULSe:GENerator1:MODE

Define Pulse Train

Defines a pulse train for the pulse modulator (Gen 1) signal on a segment-by-segment basis. This dialog is called from the Define Pulse Generator dialog.

Defining pulse trains with minimum effort

The Define Pulse Train dialog contains a table to edit the individual pulse segments; see below. The buttons below the table extend, shorten, or re-order the segment list.

  • Add Segment

  • Delete Segment

  • Del All Segments

  • Auto Arrange

The buttons above the table are used to import and export pulse train data. Pulse train files are ASCII files with the default extension *.train and a special file format.

  • Recall Pulse Train...

  • Save Pulse Train...

Period denotes the duration of the entire pulse train. The period of the sync signal is adjusted to the pulse train period as long as the pulse train signal type is active.

Columns in the segment table

Remote control:

[SENSe<Ch>:]PULSe:GENerator1:TRAin:DATA
[SENSe<Ch>:]PULSe:GENerator1:TRAin:SEGMent<Seg>[:STATe]
[SENSe<Ch>:]PULSe:GENerator1:TRAin:SEGMent<Seg>:STIMulus:STARt
[SENSe<Ch>:]PULSe:GENerator1:TRAin:SEGMent<Seg>:STIMulus:STOP
[SENSe<Ch>:]PULSe:GENerator1:TRAin:SEGMent<Seg>:COUNt?
[SENSe<Ch>:]PULSe:GENerator1:TRAin:PERiod
[SENSe<Ch>:]PULSe:GENerator1:TRAin:DELete:ALL
MMEMory:LOAD:PTRain
MMEMory:STORe:PTRain

Define Sync Generator

Defines the properties of the sync signal (Gen 2). This dialog is called from the Define Pulse Generator dialog.

The sync signal is either a single pulse signal with definite pulse width (Sync Width), following the pulse generator signal by a specified Sync Delay (to Pulse), or a constant signal. Constant signals (Constant High and Constant Low) need no further specification. It is possible to invert the polarity of the sync signal, i.e. to exchange the high signal and low signal periods.

While the pulse generator signal type is Constant High or Constant Low, the sync generator signal type is Constant High or Constant Low, too.

See also background information on Pulse Generator Signals.

Remote control:

[SENSe<Ch>:]PULSe:GENerator2:TYPE
[SENSe<Ch>:]PULSe:GENerator2:WIDTh
[SENSe<Ch>:]PULSe:GENerator1:DELay
[SENSe<Ch>:]PULSe:GENerator2:POLarity

Adjust Settings for Chopped Pulse Profile

Defines the time resolution for the chopped pulse profile mode and activates the mode. This dialog is called from the Define Pulse Generator dialog.

Chopped pulse profile mode

  • Time Resolution selects the distance between two CW time sweep points in the chopped pulse profile measurement; see background information above. The width of the sync signal is always equal to the time resolution. Changing one value also affects the other.

  • Activate enables the chopped pulse profile mode and adjusts the channel settings as described above.

  • Off disables the chopped pulse profile mode. All other settings are left unchanged.

In remote control it is possible to skip measurement intervals (and thus accelerate the measurement, at the expense of the number of sweep points) by increasing the Delay Increment parameter.

Remote control:

[SENSe<Ch>:]PULSe:GENerator2:WIDTh
[SENSe<Ch>:]PULSe:GENerator<gen_no>:CPPRofile
[SENSe<Ch>:]PULSe:GENerator<gen_no>:DINCrement

File Format for Pulse Train Definitions

The analyzer uses a simple ASCII format to export pulse train definitions. By default, the pulse train file has the extension *.train and is stored in the directory shown in the Save Pulse Train and Recall Pulse Train dialogs. The file starts with a preamble containing the channel, the Pulse Train Period, and the Pulse Delay (to Sync) value. The following lines contain the entries of all editable columns of the list.

Example of a pulse train definition file

Remote control:


A large number of points improves the resolution of the trace but increases the measurement time.

The overall measurement time is composed of a hardware settling time at the beginning of the sweep plus the sum of the measurement times at each individual sweep point. This implies that the measurement time increases roughly linearly with the number of points.

A delay time before the start of each partial measurement increases the accuracy, in particular in measurements on DUTs with long settling times (e.g. quartz oscillators, SAW filters). As an alternative to increasing the delay (and thus the total sweep time), it is possible to select Alternate sweep.

Number of Points

Sets the total number of measurement points per sweep. The minimum number of points is 1 (measurement at a single frequenc/power/time value).

Together with the sweep range defined with the Stimulus settings, this parameter defines the grid of sweep points. The sweep points are equidistantly distributed over the entire sweep range: The step width between two consecutive sweep points is constant on a linear scale (sweep typesLin. Frequency, Time and CW Mode) or on a logarithmic scale (sweep types Log. Frequency and Power).

In Segmented Frequency sweeps, the number of points can be set independently for each segment; see Define Segments.

As an alternative to the Number of Points, the Stimulus Step Size can be set.

Measurement time and screen resolution

After changing the channel settings or selecting another measured quantity, the analyzer needs some time to initialize the new sweep. This preparation period increases with the number of points and the number of partial measurements involved. It is visualized by a Preparing Sweep symbol in the status bar:

All analyzer settings can still be changed during sweep initialization. If necessary, the analyzer terminates the current initialization and starts a new preparation period.

Optimizing the measurement speed

Remote control:

[SENSe<Ch>:]SWEep:POINts

Frequency Step Size

Sets the distance between two consecutive frequency sweep points.

The step size is an alternative to the Number of Points setting:

  • If the sweep range is defined by means of the Start and Stop variables, both the Stop value and the Number of Points can vary as the Frequency Step Size is changed. The Stop value is changed as little as possible so that the condition Frequency Step Size = (Stop – Start) / (Number of Points – 1) can be fulfilled. Changing the Start and Stop values modifies the Frequency Step Size.

  • If the sweep range is defined by means of the Center and Span variables, both the Span value and the Number of Points can vary as the Stimulus Step Size is changed. The Span is reduced as little as possible so that the condition Frequency Step Size = (Stop – Start) / (Number of Points – 1) can be fulfilled. Changing the Span modifies the Frequency Step Size.

This setting is valid for linear frequency sweeps only. It does not apply to logarithmic and segmented sweeps, power, time or CW Mode sweeps. Increasing the Frequency Step Size generally increases the measurement time.

Optimizing the measurement speed

Remote control:

[SENSe<Ch>:]SWEep:STEP

Sweep Time

Opens a dialog to vary the measurement time for a sweep or delay the start of each sweep.

  • Auto minimizes the sweep time. If this option is checked, the input fields Sweep Time and Meas. Delay can not be edited. Sweep Time indicates the estimated sweep time, taking into account the current measurement settings, the Meas. Delay is 0 s. The Sweep Time and Meas. Delay values are maintained until changed explicitly if Auto is switched off.

  • Sweep Time is the total measurement time for the sweep. The minimum sweep time to be set is equal to the estimated value in the Auto mode. Setting a larger sweep time is equivalent to defining a Meas. Delay before each partial measurement.

  • Meas. Delay sets a delay time allowing the DUT to settle before the hardware settings of the analyzer are changed and a new partial measurement is started.

Meas. Delay

The Auto and Sweep Time settings are not active in the Time and CW Mode sweep types. The Meas. Delay is taken into account for all sweep types.

In Segmented Frequency sweeps, the sweep time parameters can be set independently for each segment; see Define Segments. Sweep Time opens a message box indicating to total sweep time, i.e. the sum of the individual sweep segment times.

In general, the system error correction is no longer valid after a change of the sweep time. The message Cal? appears in the trace list.

Optimizing the measurement speed

Remote control:


The trigger system is used to synchronize the analyzer's actions with events that can be provided by an internal or external signal or user-generated (Manual Trigger). Triggered measurements are an alternative to the default mode (Free Run, Continuous Sweep), where the measurement is continuously repeated without fixed time reference.

Any trigger event may start an entire sweep or a part of it. Moreover, it is possible to switch off the RF source between consecutive triggered measurement sequences, and to define a delay between trigger events and the measurement sequences.

The trigger settings are also valid for calibration sweeps (see Measure Standards dialog). This means that, in external trigger mode, the external trigger signal must be available during the system error correction, too. To start the calibration sweeps without delay, use the Free Run trigger type.

The periodic trigger is incompatible with Timesweeps: If a Time sweep is selected while the periodic trigger is active, the analyzer generates an error message:

To continue, click OK and select any other trigger or sweep type (e.g. CW Mode).

Trigger

The Trigger submenu selects the source of the trigger signal and provides additional Trigger Settings.

Trigger system of the analyzer

  • Free Run is the default trigger mode. A new measurement is started immediately without waiting for a trigger signal and without fixed time reference.

  • The External trigger signal is applied to the EXT TRIGGER or USER CONTROL connector at the rear panel.

  • The Pulse Gen trigger signal is generated by the internal pulse generator of the analyzer

  • The Periodic trigger signal is provided by an internal clock generator.

  • In Manual trigger mode, the trigger signal is generated on pressing the Manual Trigger softkey.

  • Trigger Settings opens a dialog to specify the operation that the analyzer carries out after receiving a trigger event.

Free Run

In Free Run mode a new measurement is started immediately without waiting for a trigger event and without fixed time reference. The Trigger Settings are not valid.

Free Run means that a measurement in Continuous Sweep mode is repeated as fast as possible.

Optimizing the measurement speed

Remote control:

TRIGger[:SEQuence]:SOURce IMMediate

External

In External trigger mode the measurement is triggered by a low-voltage (3.3 V) external TTL signal applied either to the BNC connector EXT TRIGGER or to pin 2 of the USER CONTROL connector at the rear panel. The two trigger inputs are equivalent; no additional setting for signal routing is required.

Selecting External opens a dialog to select whether the rising or the falling edge of the external trigger signal provides the trigger event.

The period of the external trigger signal should be adjusted to the triggered measurement sequence. If the analyzer receives a trigger event while the last sequence is still running, the trigger event is skipped and a message Trigger event missed is displayed.

Remote control:

TRIGger[:SEQuence]:SOURce EXTernal
TRIGger[:SEQuence]:SLOPe

Pulse Gen

In Pulse Gen trigger mode the measurement is triggered by the internal pulse generator signals. The pulse generator trigger must be enabled explicitly when the pulse generator is used for pulsed measurements. The trigger is unavailable while the pulse generator is turned off.

Selecting Pulse Gen opens a dialog to select whether the rising or the falling edge of the Sync signal (Gen 2) or of the Pulse generator signal (Gen 1) provides the trigger event.

The propagation time of the Pulse Gen Trigger signal delays the start of the measurement. For an R&S ZVA24 which is connected to an R&S ZVAX24 extension unit, data acquisition starts approx. 150 ns after the rising edge of the RF signal.

Remote control:

TRIGger[:SEQuence]:SOURce PGENerator
TRIGger[:SEQuence]:PULSe

Periodic

In Periodic trigger mode the measurement is triggered by the periodic signal of an internal clock generator. Selecting Periodic opens the numeric entry bar to select the trigger period.

The minimum trigger period that can be set corresponds to the estimated duration of the triggered measurement sequence.

Time sweep

Remote control:

TRIGger[:SEQuence]:SOURce TIMer
TRIGger[:SEQuence]:TIMer

Manual

In Manual trigger mode the trigger signal is generated on pressing the Manual Trigger softkey. Manual Trigger is disabled unless manual trigger mode is active.

Remote control:


Some sweep settings are logically incompatible with a particular selection of the Triggered Meas. Sequence:

  • If a Time sweep is performed, the Triggered Meas. Sequence is always a sweep.

  • Alternating sweep mode only differs from normal sweep mode if the measurement sequence comprises more than one sweep point and more than one partial measurement. If Point is selected, Alternating Sweeps has no effect.

Trigger Settings

Trigger Settings opens a dialog to specify the operation that the analyzer carries out after receiving a trigger event.

The dialog is divided into the following panels:

  • Triggered Meas. Sequence selects the measurement cycle or sequence of actions to be triggered.

  • Trigger Delay specifies a delay time between the trigger event and the start of the measurement. If the triggered measurement sequence is a Partial Measurement, it is possible to define source port-specific trigger delays.

The Trigger Settings are valid for all trigger modes except Free Run. Some trigger settings are incompatible with other measurement settings; see below.

Triggered Meas. Sequence

Selects the measurement cycle or sequence of actions to be triggered.

  • Sweep means that each trigger event starts an entire sweep, according to the current sweep configuration.

  • Sweep Segment means that each trigger event starts the next sweep segment within the current sweep. If a sweep type other than Segmented Sweepis active, this option is equivalent to Sweep.

  • Point means that each trigger event starts the measurement at the next sweep point.

  • Partial Measurement means that each trigger event starts the next partial measurement at the current or at the next sweep point. If each measurement points requires only one partial measurement , this option is equivalent to Point.

See also background information in section Alternating Sweeps.

Relation to other sweep settings

The period of the trigger events should be adjusted to the triggered measurement sequence. If the analyzer receives a trigger event while the last sequence is still running, the trigger event is skipped and a message Trigger event missed is displayed.

Remote control:

TRIGger[:SEQuence]:LINK

Trigger Delay

Specifies a delay time between the trigger event and the start of the measurement. If the triggered measurement sequence is a Partial Measurement, it is possible to define source port-specific trigger delays. For an overview of trigger timing scenarios see background information in section Alternating Sweeps.

The delay time entered must be zero or positive, so that the trigger event precedes the start of the measurement (post-trigger).

Remote control:


Single Sweep

Single (All Chans)

Toggles between single sweep and continuous sweep mode.

  • In continuous mode (Single (All Chans) not selected), the analyzer measures continuously, repeating the current sweep.

  • In single sweep mode, the measurement is stopped after the number of sweeps selected in the Define Restart dialog.

Press Single to activate the single sweep mode and start a single sweep sequence. To start further sweep sequences press Restart.

Remote control:

INITiate<Ch>:CONTinuous ON | OFF

Restart

Stops the ongoing measurement and restarts a new measurement sequence. In Single sweep mode a new single sweep sequence is started, according to the Define Restart settings.

It is possible to set all traces to zero when a Restart is executed; see System – System Config –General– Restart Behavior.

Remote control:

INITiate<Ch>[:IMMediate]

Define Restart

Opens a dialog to configure the Single sweep mode.

  • Number of Sweeps selects the number of sweeps to be measured in single sweep mode: either one (Single Sweep) or a group of consecutive sweeps.

  • Scope defines whether the active sweep mode (single or continuous) and the Number of Sweeps are valid for the Active Channel only or for All Channels in the active setup. If All Channels is selected, the number of sweeps in the single sweep sequence is equal to the selected Number of Sweeps times the number of channels. The sequence starts with the first sweep in channel no. 1.

In remote control, it is possible to retrieve the results acquired in any of the sweeps within a single sweep group; see Sweep History.

Remote control:

[SENSe<Ch>:]SWEep:COUNt
INITiate<Ch>:IMMediate:SCOPe

Define Busy Signal

Opens a dialog to configure the BUSY output signal at pin no. 4 of the USER CONTROL connector on the rear panel of the analyzer.

  • Auto couples the BUSY signal to the active triggered measurement sequence(Channel – Sweep – Trigger – Trigger Settings). After a Preset, the analyzer triggers an entire sweep. The BUSY signal is turned on ("High" state) when the analyzer acquires the fist partial measurement data of the first sweep point. It returns to "Low" state after the last partial measurement of the last sweep point has been acquired.

  • The remaining settings select a fixed behavior. The BUSY signal monitors the duration of a sweep, sweep segment, sweep point, or partial measurement.

In Alternating sweep mode, the BUSY signal can be used to monitor either each Partial Measurement or the entire Sweep. Avoid the busy signal settings Point or Sweep Segment in combination with alternating mode, since they may cause misleading results.
In multi-channel setups where the busy signal monitors an entire sweep, the exact behavior depends on the restart scope (Channel – Sweep – Define Restart – Scope). The busy signal is active over All Channels or over the Active Channel, depending on the restart scope settings.

The BUSY signal monitors the data acquisition phase, irrespective of the time required for sweep preparation and subsequent data processing stages.

Remote control:

OUTPut<Ch>:UPORt:BUSY:LINK


Channel - Mode

The ports that can be used for the measurement (as selected in the Balanced Ports and Port Groupsdialog) are indicated in the first column of the Port Configuration table (Meas). The selected ports are used for the calculation of derived (mixed mode, Z, Y) parameters; they can be source ports and/or receive ports.

After an n-port (automatic or manual) system error correction, only the calibrated ports are enabled. It is possible though to re-enable uncalibrated ports manually in order to obtain additional (uncalibrated) measurement results. Loading a set of calibration data does not affect the selection of measured ports.

A measured port can be configured as a pure receive port by selecting RF Off in the Source section.

If one or more port groups to be measured are defined in the Define Measured Portstab of the Balanced Ports and Port Groups dialog, then the column header changes from Meas. to Group and the column shows the group names (capital letters).

The default reference impedance for a physical port is equal to the reference impedance of the connector type assigned to the port but can be defined as an arbitrary complex value (renormalization of port impedances). By changing the reference impedance, it is possible to convert the measured values at 50 Ω (75 Ω) into values at arbitrary port impedances. For details refer to Virtual Transform –Reference Impedances.

For balanced ports it is possible to define separate complex reference impedances for differential and for common mode.

The default values for the balanced port reference impedances are derived from the default reference impedance of the physical analyzer ports (Z0 = 50 >Ω):

  • The default value for the differential mode is Z0d = 100 Ω = 2*Z0.

  • The default value for the common mode is Z0c = 25 Ω = Z0/2.

An (f) behind the connector type denotes female connectors, an (m) denotes male connectors. Symmetric (sexless) connectors (e.g. PC7) are not labeled. User-defined connectors can be added or removed in the Available Connector Types dialog, which is opened from the Channel –Calibration –Calibration Kits dialog.

To perform a system error correction, it is necessary that:

  • the physical port is available as a source port

  • both the measurement and the reference channel at the port can be measured

These conditions are met with the Port Configuration settings listed below.

Section | Parameter | Value
Meas | On | on
Source | On | on
 | Perm | off
Receiver | LO a | on
 | LO b | on

The column is disabled (grayed) while the RF power is switched off globally for the active channel. The settings are restored as soon as the RF power is switched on again. RF Off and Meas are independent from each other: While the RF power is switched off, the port is not necessarily excluded from the measurement, it can still be used as a receive port. On the other hand, an excluded port (Meas = Off) can still be used as an RF signal source. The exact behavior of RF Off is part of the system configuration; refer to the description of the Power tab.

Gen has no effect unless the RF source at the port is switched on (RF Off is not checked). A port which is excluded from the measurement (Meas = Off) can still be used as a permanent RF signal source. If Gen is on, then the source frequencies at port 1 and 2 and at port 3 and 4 are coupled; see note on coupled test ports below. Gen is unavailable in true differential mode.

An external generator always represents a permanent signal source that is switched on for all partial measurements. Gen qualifies whether or not the generator is actually available as a signal source in the test setup.

The analyzer provides two alternative ways of selecting a generator as a signal source:

  • Gen: On in the Port Configuration dialog, especially if the generator is not assigned to a particular measured quantity or drive port.

  • Selection as a source for a particular measured quantity or for a power calibration, see e.g. More Wave Quantities.

The two selection mechanisms are independent from each other.

Switching on the signal source permanently eliminates the power settling times of the DUT but may introduce measurement inaccuracies, e.g. due to crosstalk between two ports. Therefore, the parameter must be switched off to perform a system error correction.

Test ports 1 and 2 and test ports 3 and 4 are supplied by a common generator as shown below. For R&S ZVT analyzers, ports 5 and 6 and ports 7 and 8 (if available) are coupled in an analogous way.

If the RF signal is simultaneously fed to two coupled ports (i.e. if Gen is switched on so that at least one signal source is permanent), the port frequencies must be the same. For normal measurements (Gen switched off), this restriction does not apply because there is only one source port per partial measurement.

The frequency formula for a permanent signal source is also used for the second (coupled) test port.

On R&S ZVA-Z67 network analyzers, all ports have independent internal sources. You can configure and combine the ports without restrictions.

The channel base power pb is defined by the following sweep settings:

  • For a power sweep, the channel base power is equal to the stimulus range.

  • For a frequency or CW sweep, the channel base power is a fixed Powervalue.

The slope modifies the channel power pb so that the following source power ps is obtained at the ports:

ps = pb + <Slope> * f

In the formula above, f denotes the (current) source port frequency.

Examples:

1. Select a frequency sweep with a sweep range between 1 GHz and 4 GHz and set <Power> = 0 dBm, <Slope> = 2 dB/GHz. Across the sweep range, the stimulus power increases linearly between 2 dBm and 8 dBm.

2. Maintain the <Slope> setting and select a power sweep with a CW frequency of 1 GHz and a power sweep range between –25 dBm and 0 dBm. Due to the slope factor, the actual stimulus power varies between –23 dBm and +2 dBm.

With option R&S ZVA-K4, the source power can be modified; see Port-Specific Power.

The IF Gain settings are valid for all ports:

  • Auto means that the analyzer adapts the IF gain to the RF input level (Automatic or Adaptive Gain Control, AGC). The A/D converter is always operated at optimum input level.

The following settings accelerate the measurement:

  • Low Dist(ortion) corresponds to a small IF gain (i.e. a lower internal A/D converter input level). This setting allows for a high RF overdrive reserve and is appropriate for high RF input levels.

  • Low Noise corresponds to a large IF gain (i.e. a higher internal A/D converter input level). This setting increases the dynamic range and is appropriate for low RF input levels.

The Low Dist or Low Noise settings are appropriate whenever the characteristics of the input path must be constant, e.g. because:

  • Interfering signal contributions originating from the receiver (noise, nonlinear contributions) must not change during the measurement.

  • A large interfering signal in the vicinity of the measured signal must not overdrive the receiver.

The stimulus frequency fb is defined by the following sweep settings:

  • For a frequency sweep or segmented frequency sweep, the channel frequency is equal to the stimulus range.

  • For a power, time or CW Mode sweep, the channel frequency is equal to the fixed CW Frequency.

This linear frequency conversion formula has been modeled according to the needs of a typical frequency-converting measurement where mixer products and harmonics occur (see also the special Mixer Modeand Harmonic Distortionmeasurements). The port frequencies f (source frequency fs or receiver frequency for the reference channel and the measurement channel fra/frb) are related to the stimulus frequency as follows:

k and m must be integer numbers, l and n nonzero positive integers. c must a multiple of 1 Hz. Moreover the total port frequency is rounded to an integer Hz-value.

Assume that a DUT requires a constant input power of +35 dBm, and that the measurement path contains an amplifier with a 30 dB gain.

After a reset of the analyzer the channel power Pb is zero dBm. With a Port Power Offset of +5 dB at the calibrated source port and a Cal Power Offset of +30 dB, the source power calibration ensures that the constant input power of +35 dBm is maintained across the entire sweep range. The actual output power of the analyzer is +5 dBm.

Note that a power calibration with an appropriate Cal Power Offset will automatically prevent excess input levels at the DUT.

The channel base power pb is defined by the following sweep settings:

  • For a power sweep, the channel base power is equal to the stimulus range.

  • For a frequency or CW sweep, the channel base power is a fixed Powervalue.

The actual output power at the ports (source power ps) is related to the channel power pb as follows:

ps = pb + c + <Slope> * f , if the pb radio button is selected
ps = pb + <Slope> * f , if the 0 dBm radio button is selected

In the formulas above, f denotes the (current) source port frequency, c is the offset value entered in the Port <nr> Source Power dialog minus the Attenuator setting. The Slope parameter is set in the Sourcesection of the Port Configuration table.

Frequency converters like the R&S ZVA-Z110 have no electronic attenuators, however, their output power can be varied by means of a mechanical adjustment screw. The mechanical attenuation factor allows you to work with accurate output power settings for this type of converters, too. To avoid excess input powers at the converter input RF IN, it is recommended to decrease the port power of the analyzer by the desired attenuation factor (e.g. 3 dB). The procedure described below will then compensate for the power reduction and ensure a lower converter output power with a high spectral purity.

To adjust a converter no. <n> for a waveguide attenuation factor of 3 dB,

  • In the Port <n> Power dialog, reduce the Port Power Offset by 3 dB.

  • Open the converter's adjustment screw completely and measure the output power (wave quantity a<n>, measured at the analyzer port no. <n>).

  • Store the a<n> trace to the memory (Trace – Trace Funct – Data -> Mem).

  • Select the mathematical trace mode Trace – Trace Funct – Math = Data / Mem.

  • Slowly tighten the screw until the mathematical trace has been shifted down to –3 dB. Keep the screw at this position.

  • Enter +3 dB into the mechanical attenuation field in the Power Transfer dialog.

The waveguide attenuation caused by the adjustment screw is shown in the Converter Port <n> Power dialog, below the Power Transfer button. The analyzer will increase its port power, compensating for the power reduction selected in the first step. The converter's output power is reduced by 3 dB.

If the selected reference frequency or reference power is changed, the analyzer modifies all source and receiver frequencies/powers accordingly, leaving the frequency and power conversion formulas unchanged. The Stimulus dialog thus ensures that all system frequencies/powers can be modified consistently, based on an arbitrary reference frequency.

The power and frequency entries in the Stimulus dialog are unrestricted. A compatibility check is performed when the dialog is closed. Frequencies and powers beyond the analyzer's hardware limits are marked with a red input field in the calling Port Configuration dialog.

By default, all port frequencies/powers are referenced to the base frequency/power (Channel Base fb/Pb). If another port frequency or power, which was selected as a reference, becomes invalid (e.g. because it is set to a constant value), it is automatically replaced by the channel base frequency/power.

Mode

The Mode menu defines the properties of the physical and logical (balanced) test ports, configures the source signals and the receiver, and provides special measurement modes. Many of the measurement modes require option R&S ZVA-K4, Arbitrary Generator and Receiver Frequencies.

The items in the submenu depend on the analyzer type and on the installed options.

  • Port Config... opens a dialog to define the properties of the test ports, the source and the receiver.

  • ZVAX Path Config configures the RF signal paths in the Extension Unit R&S ZVAXxx and the installed hardware modules. The command is unavailable if no RZS ZVAXxx unit is connected.

  • Harmonics provides arbitrary harmonic distortion measurements including power calibration.

  • Scalar Mixer Meas measures the mixing products generated by an external mixer that is supplied with two independent RF signals.

  • Mixer Delay Meas gives access to the measurement of the absolute or relative group delay of a mixer.

  • Intermod Distortion Meas opens a submenu to control intermodulation distortion measurements including power calibration.

  • Noise Figure Meas configures and activates the measurement of the noise figure of a DUT.

  • Virtual Transform defines the parameters of a virtual matching network to be used for embedding/deembedding a DUT with single ended or balanced ports.

  • Defined Coherence Mode... activates the operating mode where the analyzer generates several continuous signals with specific relative amplitude and phase (with option R&S ZVA-K6, True Differential Mode)

  • Alternating Sweeps activates or deactivates the operating mode where the analyzer performs only one partial measurement per sweep.

  • Pulse Generator turns the pulse generator on or off.

  • Def Pulse Generator defines the properties of the pulse generator signals.

  • Spurious Avoidance defines the relative position of the local oscillator (LO) relative to the RF input signal.

  • ALC (All Chans) enables or disables the Automatic Level Control for all channels.

  • Low Phase Noise reduces the phase noise of the source signals.

Port Configuration

The Port Configuration dialog defines the properties of the test ports and configures the source signals and the receiver.

The table in the Port Configuration dialog contains the individual test port properties. Each table row corresponds to one logical or physical port; the number of rows is equal to the number of test ports of the analyzer.

Many measurement tasks can be performed with default port settings. Consequently the Port Configuration dialog does not show all columns in its default configuration. Use the Displayed Columns button to customize the table and display or hide columns.

Measured Ports (Meas/Group)

The settings are grouped together in four sections:

  • Logical Port shows the properties of the balanced ports after they have been defined in the Balanced Port and Port Groups dialog. This section is hidden if no balanced ports are defined.

  • Physical Port shows and/or defines the properties of the physical (unbalanced) ports of the analyzer.

  • Source shows and/or defines the generator settings at each physical port of the analyzer.

  • Receiver shows and/or defines the receiver settings at each physical port of the analyzer.

Below the table, three buttons open additional dialogs:

  • Displayed Columns... customizes the port configuration table by displaying or hiding columns.

  • Balanced Ports and Port Groups.. . selects a balanced port configuration and defines the reference impedances at the ports.

  • Stimulus modifies all sweep frequencies and powers in the active channel, based on an arbitrary frequency and power reference.

The dialog contains the following additional controls:

  • If Same Connector Type at All Ports is active, the connector types at all ports (but not necessarily their gender) are always adjusted to the current selection in the Connector column.

  • If Same Gender at All Ports is active, the connector genders at all ports (but not necessarily their types) are always adjusted to the current selection in the Connector column.

  • Measure Source Port Waves at qualifies whether the waves at each source port are measured at the selected receiver or source frequency. The setting affects both the reference receiver (waves an) and the measurement receiver (waves bn) while port n is used as a source port. Adjust the setting to the test setup and the measured quantity.

  • Freq Conv Off disables all power and frequency-converting modes, i.e. it resets all port frequencies to the basic channel frequency, sets the power to the base power of the channel, and disables frequency-converting measurements such as the Harmonics and the Mixer measurements (with option R&S ZVA-K4).

S-parameter measurements for port configurations with different frequencies are not fully supported; see S-Parameters in Frequency-Converting Modes.

Remote control:

[SENSe<Ch>:]CORRection:COLLect:CONNection:PORTs ALL | SINGle
[SENSe<Ch>:]CORRection:COLLect:CONNection:GENDers ALL | SINGle
[SENSe<Ch>:]FREQuency:CONVersion:AWReceiver[:STATe]

Logical Port

Defines the properties of the logical (balanced) ports defined in the Balanced Port and Port Groups dialog. To display this section, at least one balanced port configuration must be defined and Logical Ports – Ref Impedance must be selected in the Displayed Columns dialog.

  • # is the port number of the logical port. This number is independent of the physical port numbers and of the ports that are combined to form a balanced port.

  • Ref Impedance shows the complex reference impedances of the ports.

Reference impedance settings

Remote control:

SENSe:PORT<phys_port>:ZREFerence <real> [,<imaginary]
SENSe:LPORT<log_port>:ZCOMmon <real> [,<imaginary]
SENSe:LPORT<log_port>:ZDIFferent <real> [,<imaginary]
CALCulate<Chn>:TRANsform:IMPedance:RNORmal TWAVes | PWAVes

Physical Port

Shows and/or defines the properties of the physical (unbalanced) ports of the analyzer.

  • # is the test port number of the analyzer as shown on the front panel. External generators and power meters configured in the System Configuration dialog are also shown in the list of physical ports.

  • Instrum. shows the network analyzer type (e.g. ZVA8, ZVA24). The types of external generators and power meters are also displayed in this column.

  • Connector opens a drop-down list to select the connector type at the port and its gender. If Same Connector at All Ports is active, the connector types at all ports (but not their gender) are always adjusted to the current selection.

  • Ref. Impedance shows the adjustable complex reference impedances of the physical port. For background information refer to Reference Impedances. If a balanced port configuration is active the reference impedance settings for all ports are displayed in the Logical Port section.
    For external generators and frequency converters, no reference impedance settings are available. The reference impedance for external power meters must be real; no wave theory selection is required. If a value Re(Z0) other than 50 Ω is entered, the power result from the power meter is multiplied by the factor 50 Ω / Re(Z0) (conversion of the reported power to a voltage at 50 Ω, then re-conversion to a power using Re(Z0)).

To perform a system error correction, the physical port must be available as a source and receive port. This condition is met if it is selected as a measured port in the Balanced Ports and Port Groups dialog (Meas is on).

Remote control:

[SENSe<Ch>:]CORRection:COLLect:CONNection<port_no>
[SENSe<Ch>:]CORRection:COLLect:SCONnection<port_no>
[SENSe<Ch>:]CORRection:COLLect:CONNection:PORTs ALL | SINGle
SENSe:PORT<phys_port>:ZREFerence <real> [,<imaginary]

Source

Shows and/or defines the RF generator settings for each physical port of the analyzer and for each external generator. No source settings are provided for external power meters.

Most of the settings in this section require option ZVA-K4, Arbitrary Generator and Receiver Frequencies.

  • RF Off switches the RF signal source at the port off (box checked) or on. Dependencies:

The source must be switched on to perform a system error correction or a source power calibration for the source port.

  • Gen qualifies whether the RF signal source at the port is switched on for all partial measurements (box checked, permanent signal source) or only for the partial measurements that require the port as a drive port. Dependencies:

External generators

Permanent vs. intermittent RF signal source

  • Frequency opens an input box to define a port-specific stimulus frequency range (for frequency sweeps) or CW frequency (for power, time and CW Mode sweeps). In the default configuration the stimulus parameters (sweep range, CW Frequency) are used. The result is displayed in the Frequency Result column. A red Frequency field indicates that the hardware limits are exceeded, e.g. if the default sweep range of the analyzer is beyond the frequency range of the external generator. The port-specific frequency for frequency converter ports can be defined in a separate dialog; see Converter Port <n> Frequency.

Coupled test ports

  • Frequency Result displays the current frequency range (for frequency sweeps) or CW frequency (for power, time and CW Mode sweeps); see stimulus parameters.

  • Power opens an input box to define a port-specific source power range (for power sweeps) or fixed power (for frequency and CW sweeps). The result (not taking into account a possible Slope) is indicated in the Power Result column. In the default configuration the stimulus parameters (sweep range, internal source Power) are used. The port-specific power for frequency converter ports can be defined in a separate dialog; see Converter Port <n> Power.

  • Power Result displays the current power range (for power sweeps) or fixed internal source power (for frequency, time and CW Mode sweeps); see stimulus parameters.

  • PCor Off enables or disables a source power calibration for an individual port. This function is available only for ports where a source power calibration is available. It is identical with Source Power Correction Off in the Source Power Cal menu.

  • Slope defines a linear factor to modify the port-specific source power as a function of the stimulus frequency. The Slope factor increases the power at each sweep point by the following amount: Power --> Power + <Slope>*<Stimulus Frequency>. Slope is valid for all sweep types.

  • ALC defines port-specific Automatic Level Control (ALC) settings (entries a1, a2 ...) or general ALC settings (entries Off).

Impact of the Slope

Remote control:

SOURce<Ch>:POWer<Pt>:STATe ON | OFF
SOURce<Ch>:POWer<Pt>:GENerator:STATe ON | OFF
SOURce<Ch>:POWer<Pt>:PERManent[:STATe] ON | OFF
[SENSe<Ch>:]FREQuency:STARt?
[SENSe<Ch>:]FREQuency:STOP?
[SENSe<Ch>:]SWEep:CW|FIXed?
SOURce<Ch>:POWer<Pt>[:LEVel][:IMMediate]:OFFSet
SOURce<Ch>:POWer[:LEVel][:IMMediate][:AMPlitude]?
SOURce<Ch>:POWer<Pt>:CORRection[:STATe]
SOURce<Ch>:POWer<Pt>[:LEVel][:IMMediate]:SLOPe
SOURce<Ch>:POWer<Pt>:GENerator<Gen>:OFFSet
SOURce<Ch>:POWer<Pt>:GENerator<Gen>:PERManent[:STATe]

Receiver

Shows and/or defines the receiver settings for each physical port of the analyzer and each external power meter. No receiver settings are provided for external generators.

Some receiver settings can be defined independently for the reference channel a (the wave generated by the internal source and measured at the port) and the measurement channel b (the wave from the DUT) at each port.

Most of the settings in this section require option ZVA-K4, Arbitrary Generator and Receiver Frequencies.

  • LO a/b switch the two Local Oscillator amplifiers at the port on (box checked) or off.

Both LOs must be switched on to perform a system error correction.

  • Frequency opens an input box to define a converted receiver frequency range (for frequency sweeps) or CW frequency (for power, time and CW Mode sweeps). The converted receiver frequencies are valid for all ports. In the default configuration the stimulus parameters (sweep range, CW Frequency) are used. The result is indicated in the Frequency Result column.

  • Frequency Result displays the current frequency range (for frequency sweeps) or CW frequency (for power, time and CW Mode sweeps); see stimulus parameters.

  • PCor Off enables or disables a receiver power calibration for an individual port. This function is available only for ports where a receiver power calibration is available. It is identical with Receiver Power Correction Off in the Receiver Power Cal menu.

  • Δ Frequency a', b' defines the port-specific frequency offset of the primed wave quantities relative to the unprimed quantities; see Measurements at Different Frequencies. The port-specific offset is added to the common frequency offset (Frequency...). The result is indicated in the Frequency a', b' Result column.

  • Atten defines port-specific attenuation factors for the received wave. The settings are analogous to the global Step Attenuator settings and replace them.

  • IF Gain a and IF Gain b select the IF gain in the reference receiver and measurement receiver path, respectively. IF Gain a is not available on R&S ZVT20 analyzers.

Receiver path settings and AGC

Remote control:

[SENSe<Ch>:]LOMeasure
[SENSe<Ch>:]LOReference
[SENSe<Ch>:]FREQuency:STARt?
[SENSe<Ch>:]FREQuency:STOP?
[SENSe<Ch>:]SWEep:CW|FIXed?
[SENSe<Ch>:]CORRection:POWer[:STATe]
[SENSe<Ch>:]POWer:ATTenuation
[SENSe<Ch>:]POWer:IFGain:MEASure
[SENSe<Ch>:]POWer:IFGain:REFerence

Converted Frequencies

In the Source and Receiver sections of the Port Configuration table, it is possible to convert the source and receiver frequency ranges (for frequency sweeps) or CW frequencies (for power, time and CW Mode sweeps) in order to perform measurements on frequency-converting DUTs. The source frequency is port-specific whereas the receiver frequency must be the same at all ports.

Test ports 1 and 2 and test ports 3 and 4 are supplied by a common generator (see block diagrams in the data sheet). If the RF signal is simultaneously fed to two coupled ports (i.e. if Gen is switched on so that at least one signal source is permanent), the port frequencies must be the same. For normal measurements (Gen switched off), this restriction does not apply because there is only one source port per partial measurement.
The frequency formula for a permanent signal source is also used for the second (coupled) test port.

The port frequencies are calculated as a multiple of the stimulus frequency fb plus an offset. The coefficients of the linear transformation between fb and the port frequencies are entered in dialogs of the following type:

Relation between channel frequency and port frequencies

Use the Stimulus dialog to change all port frequencies based on an arbitrary reference frequency.

Remote control:

SOURce<Ch>:FREQuency<Pt>:CONVersion:ARBitrary:IFRequency
SOURce<Ch>:FREQuency<Pt>:CONVersion:ARBitrary:EFRequency<Gen>
[SENSe<Ch>:]FREQuency:CONVersion:ARBitrary
[SENSe<Ch>:]FREQuency:CONVersion:ARBitrary:PMETer<Meter>

Converted Frequencies for Frequency Converters

The Converter Port <n> Frequency dialog defines the frequency axis for the source power calibration; it does not actually affect the converter output frequency. The dialog is similar to the Port <n> Frequency dialog (for network analyzer ports). It can be opened from the Source section of the Port Configuration dialog if a frequency converter test setup is active.

For more information and an example refer to section Power and Frequency Settings.

Remote control:

SOURce<Ch>:FREQuency<Pt>:CONVersion:ARBitrary:CFRequency

Port <n> Power

The Port <n> Power dialog defines port-specific power settings. The exact meaning of the settings depends on the context from where the dialog was opened:

  • If opened from the Source section of the Port Configuration dialog, Port <n> Power defines the port-specific source power (with option R&S ZVA-K4). This is either a power range (for power sweeps) or a fixed power (for frequency and CW sweeps). The general purpose of the port power settings is to ensure a definite signal power at the input of the DUT, considering all possible sources of power variations in the test setup.

  • If opened from the Source Power Cal –Modify Source Power Cal Settings dialog, Port <n> Power defines the target power for the source power calibration.

The port-specific source power can be set to either the channel base power pb plus an offset or to a constant value. The coefficients of the linear relation between pb and the actual source power are entered in a dialog.

The Port <n> Power settings serve different purposes:

  • Port Power Offset defines a port-specific offset to the channel power, to be added to the step attenuator settings. The actual output power at the port is equal to the channel power Pb (Channel – Stimulus – Power) plus the Port Power Offset minus the Attenuator setting. It is equal to the Port Power Offset (in dBm) minus the Attenuator setting if 0 dBm is selected instead of Pb. For power sweep and the selection Pb, the actual port power varies across the sweep, for other configurations the port power is constant.

  • Attenuator defines the source step attenuator setting (with options R&S ZVABxx-B21); see Step Attenuators. If Auto is selected, the step attenuator is set such that it doesn't have to be switched over the entire sweep. The input field is unavailable and shows 0 dB if no generator step attenuator is installed.

  • Cal Power Offset is relevant for source power calibrations; see background information below. The parameter specifies a gain (positive values) or an attenuation (negative values) in the signal path between the source port and the calibrated reference plane. With a Cal Power Offset of n dB, the target power at the reference plane is equal to the actual output power at the port plus n dB. The Cal Power Offset has no impact on the source power.

  • Port <n> Power Result is the power at the reference plane of the power calibration (if available), considering all dialog settings, including the Cal Power Offset.

Use of an amplifier in the signal path

Relation between channel power and port powers

Use the Stimulus dialog to change all port powers based on an arbitrary reference power.
Use the ...Port Power Limits in the System Configuration –Power tab if you want to limit the source power at a physical port permanently.

The analyzer generates a warning if the power settings for one of the ports exceed the hardware limits. At the same time, bit no. 14 in the ...INTegrity:HARDware status register is set. Reduce or increase the power result until the warning disappears.

Remote control:

SOURce<Ch>:POWer[:LEVel][:IMMediate]:OFFSet <numeric_value>, ONLY | CPAD
SOURce<Ch>:POWer<Pt>:GENerator<Gen>:OFFSet <numeric_value>, ONLY | CPAD
SOURce<Ch>:POWer<Pt>:CORRection:LEVel:OFFSet(for Cal Power Offset)
SOURce<Ch>:POWer<Pt>:CORRection:GENerator<Gen>:LEVel:OFFSet(for Cal Power Offset)

Converter Port <n> Power

The Converter Port <n> Power dialog defines the port-specific source power for frequency converter ports. The dialog is similar to the Port <n> Power dialog (for network analyzer ports). It can be opened from the Source section of the Port Configuration dialog if a frequency converter test setup is active. The general purpose of the port power settings is to ensure a definite signal power at the input of the DUT, considering all possible sources of power variations in the test setup.

The Converter Port <n> Power settings serve different purposes:

  • The block diagram in the left-hand part of the dialog symbolizes the NWA test port providing the converter input signals RF IN, including the signal source, a continuously adjustable attenuator providing the test port power offset, and the source step attenuator (if fitted). The test port signal is configured in the Port <n> Power dialog; the current output power result for the physical analyzer port is displayed below the block diagram.

  • Power Transfer opens a dialog to configure an advanced power transfer model for the converter output power. This dialog is not needed for standard applications.
    The power transfer settings must be set in accordance with the converter properties. The resulting attenuation factor (in dB) and RF output signal power at the converter port is displayed below the Power Transfer button.

  • Port Power Offset and Cal Power Offset are analogous to the parameters in the Port <n> Power dialog (included in the Port <n> Power Result), however, the test port and converter values can be set independently. Depending on the Power Transfer settings, the Port Power Offset for converters with electronic attenuators will either modify the analyzer power, the electronic attenuator of the converter, or both. The Cal Power Offset makes it possible e.g. to account for a second amplifier between the converter port and the DUT.

  • Converter Port <n> Power Result is the power at the reference plane of the power calibration (if available), considering all dialog settings, including the Cal Power Offset.

Remote control:

SOURce<Ch>:POWer<Pt>:CONVerter:OFFSet

Power Transfer Dialog

The Power Transfer dialog configures an advanced power transfer model for the converter output power at a specific port. The dialog can be opened via Channel – Mode – Port Configuration – Source Power – Converter Port <n> Power if a frequency converter test setup is active.

The Advanced Model parameters in the upper part of the dialog correspond to the general power transfer model settings in the System Configuration dialog (see Power Transfer Modes). In contrast to the System Configuration settings, the settings in the Power Transfer dialog are port-specific and reset on System – Preset. Changing the general settings overwrites the port-specific settings, however, changing a port-specific Advanced Model parameter leaves the general settings unchanged.

The parameters in the Linear Approximation panel configure the advanced power transfer mode with linear approximation of the relation between the input power PRF IN at the converter's RF IN connector and the output power PTP at the converter test port.

  • Output Power at Test Port defines the two parameters of the assumed linear relation between PRF IN and PTP; see figure below.

  • Waveguide Attenuator – Mechanical defines a fixed, frequency-independent waveguide attenuation factor which the analyzer will compensate for by increasing its RF output power. The setting is suitable for frequency converters without electronic attenuators which are equipped with an output power adjustment screw; see background information below. It allows you to vary the ratio between the RF input power and the converter output power, e.g. in order measure power-sensitive DUTs while maintaining a sufficient input power at RF IN.

  • The output power of frequency converters with electronic attenuators can be varied by means of RF input power (i.e. the source power at the analyzer test port providing the signal fed to RF IN) and/or by means of the electronic waveguide attenuators in the converters. A combination of both methods will generally provide an RF output signal with optimum characteristics; see Power Transfer Modes). The Waveguide Attenuator – Electronic parameters define which amount of the power variation is controlled by the electronic waveguide attenuators.
    In the figure below, the green area corresponds the test port power range where the electronic attenuator is used. The output power threshold PTHR ("...output power is decreased below <PTHR> dBm...") defines the right border of the area. The selected percentage ("...% of power reduction...") due to the electronic attenuator defines the slope of the green curve in the shaded area relative to the original slope (the larger the percentage, the steeper the curve). The shaded area ends where the distance between the green curve and the original blue curve has reached the selected "maximum attenuation" of the electronic attenuator.
    As a result of the combination between RF and waveguide attenuation, lower converter output powers can be achieved at larger RF input powers. This improves the spectral purity of the converter output signal in the low-power range.

Recommended procedure for mechanical attenuation factors

Remote control:

SOURce<Ch>:POWer<Pt>:CONVerter:TRANsfer:AMODel
SOURce<Ch>:POWer<Pt>:CONVerter:TRANsfer:DESCription
SOURce<Ch>:POWer<Pt>:CONVerter:TRANsfer:SLOPe
SOURce<Ch>:POWer<Pt>:CONVerter:TRANsfer:OFFSet
SOURce<Ch>:POWer<Pt>:CONVerter:TRANsfer:ATTenuator
SOURce<Ch>:POWer<Pt>:CONVerter:TRANsfer:MECHanical:ATTenaution
SOURce<Ch>:POWer<Pt>:CONVerter:TRANsfer:ELECtronic:LIMit
SOURce<Ch>:POWer<Pt>:CONVerter:TRANsfer:ELECtronic:REDuction
SOURce<Ch>:POWer<Pt>:CONVerter:TRANsfer:ELECtronic:MATTenuation

ALC Settings for Physical Port <n>

This dialog enables individual Automatic Level Control (ALC) settings for the physical analyzer ports. The settings are a subset of the general ALC settings, accessed via Channel – Mode –ALC (All Chans).

The port-specific ALC settings overwrite the general ALC settings. E.g. with active ACL (All Chans), you can select Individual Settings for Physical Port 1 and uncheck ALC On. This disables the ALC at the physical analyzer port no. 1. The ALC at all other ports is still enabled.

Remote control:

SOURce<Ch>:POWer<Pt>:ALC:CONTrol
SOURce<Ch>:POWer<Pt>:ALC[:STATe]
SOURce<Ch>:POWer<Pt>:ALC:PIParameter
SOURce<Ch>:POWer<Pt>:ALC:PIParameter:GAIN
SOURce<Ch>:POWer<Pt>:ALC:PIParameter:ITIMe
SOURce<Ch>:POWer<Pt>:ALC:CLAMp

Displayed Columns

This dialog customizes the Port Configuration table and displays or hides columns.

  • (Un)checking Logical Port, Source or Receiver displays (removes) the corresponding sections in (from) the Port Configuration table.

  • (Un)checking one of the second-level boxes displays (removes) the corresponding column in (from) the Port Configuration table.

The physical port number is always displayed. The logical port information is displayed only if a balanced port configuration is defined.

Remote control:

No command, display configuration only.

Stimulus Dialog

The Stimulus dialog modifies all sweep frequencies and powers in the active channel, based on an arbitrary frequency and power reference. This is particularly useful in arbitrary mode (with option R&S ZVA-K4), where the frequencies and source powers at the ports are independent. The dialog is accessed from the Port Configuration dialog.

The Stimulus dialog can be opened from the context menu of the channel list.

The available sweep parameters depend on the Current Sweep Type (Channel –Sweep – Sweep Type) which is displayed below the title bar of the dialog.

Sweep Type | Frequency parameters | Power parameters
Lin. Frequency Log. Frequency | Start Stop | CW
Segmented Frequency | – (defined by the sweep segments) | CW
Power | CW | Start Stop
Time CW Mode | CW | CW

The frequencies and powers are displayed in two separate but analogous panels:

  • Enter & Display in the Frequency panel contains a list of the channel base frequency fb plus the source and receiver frequencies at all logical ports that depend on fb. The list includes the frequencies of external power meters and generators. Fixed source and receiver frequencies (see Converted Frequencies) are not in the list; they are not affected by the settings in the Stimulus dialog. For R&S ZVA analyzers without option R&S ZVA-K4, all frequencies and powers are coupled so that this selection has no effect.

  • Enter & Display in the Power panel contains a list of the channel base power pb plus the source and receiver powers at all logical ports that depend on pb. The list includes the powers of external power meters and generators. Fixed source and receiver powers (see Port-Specific Power) are not in the list; they are not affected by the settings in the Stimulus dialog.
    The selected stimulus axis appears in the channel list when the Port Configuration dialog is closed, e.g. Base Pwr. x dBm, Port 1 Pwr x dBm, Gen1 Pwr x dBm.

  • Start, Stop define the frequency/power sweep ranges; CW defines the fixed frequency/power.

Frequency and power definition in the Stimulus dialog

Remote control:


Balanced Ports

Selecting a balanced port configuration means that one or more pairs of physical test ports are combined to form logical (balanced) ports.

Unbalance-balance conversion is the simulation of one or more unbalance-balance transformers (baluns) integrated in the measurement circuit in order to convert the DUT ports from an unbalanced state into a balanced state and virtually separate the differential and common mode signals. The analyzer measures the unbalanced state but converts the results and calculates mixed mode parameters, e.g. mixed mode S-parameters. The balanced ports of the DUT are directly connected to the analyzer ports and no physical transformer is needed.

Measurements do not necessarily require all of the physical and logical ports of the network analyzer. To save measurement time, it is recommended to define the ports that are actually used in the current test setup (Define Measured Ports). Unused ports will not be considered for the calculation of mixed mode, Z- and Y-parameters.

Option R&S ZVA-K6 provides the true differential mode. The true differential mode extends the virtual differential mode described so far, where the analyzer generates an unbalanced stimulus signal and uses mathematical transformations to determine the balanced results.

The number of type of predefined configurations depends on the port number of the analyzer.

The predefined configurations comprise the fully single-ended (unbalanced) case, where the logical ports correspond to the physical ports, and all balanced configurations where two adjacent physical ports are connected to a logical port. In addition configurations where one or more ports are excluded from the measurement are provided (see Measured Ports).

Example: 4-port analyzer

  • Fully unbalanced: Physical ports no. 3, 1, 4, 2 connected to logical ports (DUT ports) 3, 1, 4, 2.

  • One balanced port:

a) Physical ports no. 3 and 1 connected to logical port 1, remaining ports unbalanced.
b) Physical ports no. 4 and 2 connected to logical port 2, remaining ports unbalanced.

  • Two balanced ports: Physical ports no. 3 and 1 connected to logical port 1, physical ports no. 4 and 2 connected to logical port 2.

  • In additional configurations one, two or three ports (marked as [image]) are excluded from the measurement.

To define a non standard configuration or use different port impedances, select the Def. Balanced Porttab.

The default reference impedance for a physical port is equal to the reference impedance of the connector type assigned to the port but can be defined as an arbitrary complex value (renormalization of port impedances). By changing the reference impedance, it is possible to convert the measured values at 50 Ω (75 Ω) into values at arbitrary port impedances. For details refer to Virtual Transform –Reference Impedances.

For balanced ports it is possible to define separate complex reference impedances for differential and for common mode.

The default values for the balanced port reference impedances are derived from the (real) default reference impedance of the physical analyzer ports (Z0 = 50 >Ω):

  • The default value for the differential mode is Z0d = 100 Ω = 2*Z0.

  • The default value for the common mode is Z0c = 25 Ω = Z0/2.

If the frequency converter mode is combined with true differential mode, the analyzer generates a true differential or common mode stimulus signal at a calibrated reference plane which is located after two frequency converter ports. To achieve this, two frequency converters with independent sources are combined to form a balanced converter port. The frequency converters must provide the RF drive signal simultaneously so that a third, independent LO signal is required. This means that the standard test setup described in section Converter Control –Connecting the Frequency Converters must be replaced by the following scheme:

Depending on the network analyzer type and the number of independent sources available, different test setups are possible.

1. R&S ZVA24/40/50 with 4 ports

Ports 1 and 2 are driven by the same source (coupled ports); ports 3 and 4 by a different source. Possible connection: Analyzer port 1 to RF IN (converter 1), analyzer port 3 to RF IN (converter 2), the LO signal for both converters is provided by an external generator in combination with an external power splitter.

2. R&S ZVA67 with 4 ports

All ports are independent. Possible connection: Analyzer port 1 to RF IN (converter 1), analyzer port 2 to RF IN (converter 2), analyzer port 3 is not used, analyzer port 4 provides the LO IN signal for both converters (via an external power splitter). This corresponds to the standard connection of two frequency converters, if the true differential mode is not used.

3. R&S ZVT20 with 6 ports

Ports 1 / 2, 3 / 4 and 5 / 6 are coupled. Possible connection: Analyzer port 1 to RF IN (converter 1), analyzer port 3 to RF IN (converter 2), the LO signal for both converters is provided by analyzer port 5 in combination with an external power splitter.

Measurements do not necessarily require all of the physical or logical ports of the network analyzer. To save measurement time, it is recommended to restrict the measurement to the ports that are actually needed. Note that the analyzer will actually perform a measurement at each of the measured ports.

Unused ports will not be considered for the calculation of mixed mode, Z- and Y-parameters.

The measured ports are indicated in the first column of the Port Configurationtable (Meas). The ports can be either source ports or receive ports.

A port group is a continuous range of measured ports which is labeled with a capital letter. The analyzer can measure several port groups in parallel. Port groups must not overlap and contain at least one logical port, so the maximum number of port groups is equal to the number of ports of the analyzer.

Example: Using port groups on a 4-port analyzer

The defined port groups are indicated in the first column of the Port Configurationtable (Meas). Selecting Simultaneous Measurement of Port Groups enables two additional buttons:

  • Add Group adds a new group (with default ports, depending on the existing port groups) to the Port Groups table.

  • Delete Group deletes the selected group.

A 4-port analyzer can be used for parallel measurements if only 1-port, 2-port or 3-port parameters are needed:

  • Combining ports 1 and 2 to a first port group, ports 3 and 4 to a second port group leaves two sets of 2-port parameters to be measured in parallel. The measurement provides 2 * 4 = 8 S-parameters and is faster than a full 4-port measurement (16 parameters).

  • A reflection measurement involving four port groups, each with a single port, provides 4 parameters and is faster than the measurement with two groups of 2 ports.

Balanced Ports and Port Groups

Opens a dialog to select a balanced port configuration and define reference impedances for balanced ports and to select the measured ports.

Balanced Ports and Port Groups

The tabs of the Balanced Ports and Port Groups dialog are used to:

  • Select one of the predefined balanced port configurations (Predefined Configs).

  • Define a logical port based on two physical ports and independent reference impedances for the calculation of common mode and differential mode parameters (Def. Balanced Port).

  • Dissolve a single logical port so that the two involved ports are again used as physical ports (Dissolve Bal. Port).

  • Switch the True Differential Mode (option R&S ZVA-K6) on or off .

  • Define port groups in order to restrict the number of measured quantities and speed up the measurement (Define Port Groups).

Using balanced ports

Predefined Configs

The Predefined Configs tab of the Balanced Ports and Port Groups dialog provides the most commonly used balanced port configurations for the analyzer.

The port configurations are arranged in a scrollable list and selected with a mouse click. The resulting port number assignment is shown on the left-hand side of the Balanced Ports and Port Groups dialog and in the Port Configuration dialog.

Predefined Configurations

Using predefined port configurations

Remote control:

SOURce<Ch>:LPORt<log_port> <phys_port1>,<phys_port2>
(no extra command for predefined configurations)
SOURce<Ch>:TDIF[:STATe] ON | OFF

Def. Balanced Port

The Def. Balanced Port tab of the Balanced Ports and Port Groups dialog defines new balanced port configurations and reference impedances for common and differential mode.

In principle, it is possible to combine any pair of two physical analyzer ports. An n-port analyzer supports a maximum of n/2 (n even) or (n – 1)/2 (n odd) logical ports.

  • Select Logical Port Number shows the current port configuration. Clicking the table cells updates the left Physical Port Numbers table and makes it easier to define new logical ports.

  • Physical Port Numbers provides two drop-down lists to select a pair of different physical ports to be combined to the balanced (logical) port.

  • Reference Impedances provides input fields for the differential and common mode impedances.

Reference impedance settings

Using your own port configurations

Remote control:

SOURce<Ch>:LPORt<log_port> <phys_port1>,<phys_port2>
SENSe:LPORT<log_port>:ZCOMmon <real> [,<imaginary]
SENSe:LPORT<log_port>:ZDIFferent <real> [,<imaginary]
SOURce<Ch>:TDIF[:STATe] ON | OFF

Dissolve Bal. Port

The Dissolve tab of the Balanced Ports and Port Groups dialog reestablishes a single-ended (unbalanced) port configuration where logical ports correspond to (single) physical ports.

  • Select Logical Port Number shows the current port configuration. Selecting a Logical Port # and clicking Dissolve reestablishes a single-ended (unbalanced) port configuration.

Remote control:

SOURce<Ch>:LPORt<log_port>:CLEar [ALL]
SOURce<Ch>:TDIF[:STATe] ON | OFF

True Diff Mode

The True Diff Mode tab of the Balanced Ports and Port Groups dialog activates the true differential mode (option R&S ZVA-K6).

To activate true differential mode, a balanced port configuration must be active. Moreover, the two physical ports providing the true differential signal must be fed by independent sources.

The dialog provides the following additional settings for the true differential mode with a frequency converter. The frequency converter mode must be active to change these settings.

  • Receiver Frequency for True Diff Source Adjustment defines the receiver frequency which the analyzer uses to adjust the desired amplitude and phase of the true differential signal. The adjustment requires a measurement of the a- and b-waves at the physical ports which belong to the balanced converter port.
    By default the receiver frequency for the source adjustment is equal to the receiver frequency for measurement, to be defined in the Receiversection of the Port Configuration dialog.

True differential mode with frequency converters

Define Port Groups

The Define Port Groups tab of the Balanced Ports and Port Groups dialog selects the ports that are used for the measurement.

Measured Ports

  • Port Configuration shows the current physical and balanced ports and the measured ports (Meas). If Simultaneous Measurement of Port Groups is active, the table shows the defined port groups (A, B...).

  • Simultaneous Measurement of Port Groups activates the definition of one or more groups of ports that can be used for parallel measurements (see background information below).

  • Port Groups shows the existing port groups, each consisting of a continuous range of measured ports. Selecting another First Port or Last Port changes the range. To avoid ambiguities the ports are always logical ports.

If a frequency-converting mode is active, port groups cannot be measured in parallel.

Simultaneous Measurement of Port Groups

Always select the balanced port configuration before defining port groups. When a new balanced port is created, the analyzer deactivates Simultaneous Measurement of Port Group and deletes all existing port groups.
In remote control, you can create a port group with an arbitrary, not necessarily continuous port range.

Remote control:

SOURce<Ch>:GROup<group_no> <log_port1>,<log_port2>
SOURce<Ch>:GROup<group_no>:CLEar [ALL]
SOURce<Ch>:GROup<group_no>:COUNt
SOURce<Ch>:GROup<group_no>:PORTs
SOURce<Ch>:TDIF[:STATe] ON | OFF


True Differential Mode

The analyzer uses different stimulus signals and different mathematical methods to obtain results in normal, virtual differential, or true differential mode. The following table gives an overview.

Normal (unbalanced) mode | Measurement of wave quantities and S-parameters for unbalanced ports. Unbalanced stimulus signals.
Virtual differential mode | Precondition: At least one balanced port is defined. Measurement of unbalanced wave quantities using unbalanced stimulus signals. Unbalanced system error correction. Conversion of unbalanced wave quantities into balanced and mixed-mode S-parameters with possible renormalization of port impedances.
True differential mode | Precondition: At least one balanced port is defined. Measurement of unbalanced wave quantities using balanced stimulus signals (differential and common mode). System error correction and conversion of unbalanced into balanced wave quantities. Calculation of balanced and mixed-mode S-parameters with possible renormalization of port impedances.

1st scenario: Large source powers

The maximum output power is not always exactly the same for different physical test ports. The deviations are generally small (< 1 dB).

If the network analyzer in true differential mode is operated in the vicinity of the maximum channel power (> +5 dBm), a message "Port<n> power unleveled" may indicate that one of two combined physical ports cannot provide the required source power. The measurement is not aborted, however, the analyzer is no longer capable of providing accurate balanced waves.

If you operate the analyzer close to its maximum power, first check the reference channels (a-waves) and ensure a 1 dB reserve over the entire sweep range.

2nd scenario: Small source powers

To generate equal source powers, the signal-to-noise ratio at each port must be sufficiently high. At very low levels (<–30 dBm) and large IF bandwidths, a message "Port<n> power unleveled" may indicate that the signal-to-noise ratio at one of the ports is too low. Again, the measurement is not aborted, however, the analyzer is no longer capable of providing accurate balanced waves.

If you operate the analyzer at very low output power settings, reduce the IF bandwidth to 1 kHz or below.

In an amplitude imbalance or phase imbalance sweep, it is possible to compensate the a waves for the known phase imbalance φ and the amplitude imbalance r = | ak / al |. This modifies the formulas for the balanced wave quantities as shown below.

For an amplitude imbalance sweep with known imbalance r:

For a phase imbalance sweep with known imbalance φ:

The amplitude and phase imbalances are known quantities (sweep parameters). The unbalanced waves ak and al are measured in the reference channels. With ideal unbalanced waves and no additional disturbing effects, the compensated balanced stimulating a-waves remain constant over the entire sweep range.

In the default scenario where the reference impedances for the differential and common mode are equal to Zd = 2 Z0 and Zc = 1/2 Z0, the waves adi0, bdi0, aci0 and bci0 correspond to the true balanced waves at port i. With arbitrary reference impedances for the balanced waves, an additional renormalization step is necessary:

The reference impedances Zc and Zd can be entered in the Balanced Ports and Port Groupsdialog.

Suppose that a three-port analyzer is configured for one balanced and one single-ended port as shown below:

To obtain the complete mixed-mode S-matrix, the analyzer generates the following stimulus signals:

  1. Differential mode signal fed to balanced port no. 1 of the DUT

  2. Common mode signal fed to balanced port no. 1 of the DUT

  3. Unbalanced signal fed to single-ended port no. 2 of the DUT

The DUT is fully characterized by the following mixed mode matrix:

The amplitude imbalance sweep is performed as follows:

  • The amplitude imbalance is defined as r dB = 20 log (|ak/al|) dB, where ak and al are the wave quantities of the physical ports with the higher and lower port numbers.

  • The selected amplitude imbalance is applied to both differential and common mode signals. The analyzer generates both stimulus modes according to what the measurement of the selected quantity requires.

  • The powers of the two sources are swept symmetrically around the equilibrium state |ak| = |al|, where r dB = 0 dB (see also Wave Quantities and Ratios in True Differential Mode).

Since the mixed-mode S-parameters of a linear balanced DUT depend only on the DUT itself, they will be independent of the amplitude or phase imbalance of the stimulus signal. So looking for example at Sdd21 of a differential amplifier in phase imbalance sweep will not reveal the amplitude reduction of the differential output signal caused by unequal lengths of the balanced input line conductors. This length asymmetry corresponds to a phase imbalance increasing over frequency.

In order to see the effect of such a phase or amplitude imbalance, modified S-parameters are required. The modification is done in such a way that if e.g. the imbalance of port 1 is swept, the imbalance of the a wave of port 1 is compensated before the S-parameters are calculated. The effect of the compensation is a constant amplitude of the differential or common mode stimulus wave of port 1 over the imbalance sweep range. This reflects the situation of the user applying a stimulus signal of known nominal amplitude to the DUT, but getting at the output only the amplified differential contents in this signal, which depends on the imbalance. Usually, S-parameters of balanced devices measured with active imbalance compensation will exhibit a maximum or minimum at zero imbalance.

The imbalance compensation is not only performed for mixed-mode S-parameters, but also for the imbalance-swept a wave itself when it is selected as a measured quantity, as well as for ratios including that wave.

The phase imbalance sweep is performed as follows:

  • The phase imbalance of the differential mode signal is defined as the difference in phase (in deg) of the wave quantities at the two physical ports of the swept logical port plus 180 deg: Imbalance = arg (ak) – arg (al) – 180 deg, where k > l.

  • The phase imbalance of the common mode signal is defined as the difference in phase (in deg) of the wave quantities at the two physical ports of the swept logical port: Imbalance = arg (ak) – arg (al), where k > l.

  • The selected phase imbalance is applied to the differential as well as to the common mode signal. The analyzer generates both stimulus modes according to what the measurement of the selected quantity requires.

True Differential Mode (for R&S ZVA and R&S ZVT)

Differential transmission lines and circuits are widely used, because their characteristics give them a lower susceptibility to electromagnetic interference. Linear balanced devices can be tested with sufficient accuracy using the virtual differential mode, where the vector network analyzer generates unbalanced stimulus signals and uses a mathematical transformation to convert unbalanced wave quantities into balanced S-parameters. A different behavior is expected for nonlinear balanced devices, where the transmission characteristics of the DUT may depend on how closely the stimulus signal matches real operating conditions.

With option R&S ZVA-K6, True Differential Mode, the vector network analyzer can generate true differential and common mode stimuli at arbitrary reference planes in the test setup and determine mixed-mode S-parameters, wave quantities and ratios. It is also possible to perform true differential measurements on frequency-converting DUTs or to use true differential mode in combination with external frequency converters (see background information in section Balanced Ports and Port Groups –True Diff Mode). Moreover the true differential mode provides two additional sweep types, the amplitude imbalance and phase imbalance sweeps. Like the virtual differential mode, the true differential mode requires a port configuration with at least one balanced port. The differential mode signal that the analyzer generates in true differential mode is shown below (the plot shows the waveforms of the two single-ended sources measured vs. ground).

True differential mode requires an analyzer with at least two independent internal sources, i.e. a minimum of 3 ports. To activate true differential mode, open the Balanced Ports and Port Groups dialog to define a balanced port configuration, then select the True Diff Mode tab (Channel – Mode – Port Configuration... – Balanced Ports and Port Groups... – True Diff Mode – True Differential Mode: On). Refer to the measurement examples for details.

On R&S ZVA-Z67 network analyzers, all ports have independent internal sources. You can use true differential mode with an arbitrary combination of two source ports.

Virtual and true differential mode

True Differential mode relies on Enhanced Wave Correction. A consistent system error correction is essential for accurate balanced waves at the reference planes and accurate measurement results. You must perform a full n-port calibration (TOSM, UOSM or one of the Txx calibration types) of all physical ports involved in the true differential measurement and change the differential and common mode reference impedances, if they differ from the default settings. A subsequent source power calibration is recommended.
You can also use offset parameters or additional two-port transmission factors in order to move the reference plane where the analyzer provides an accurate differential or common mode signal.
See also True Differential Mode on Frequency-Converting DUTs.

Option R&S ZVA-K6 provides an alternative Defined Coherence Mode where you can generate several continuous signals with specific relative amplitude and phase. True differential mode and defined coherence mode cannot be active at the same time because they require a different source port configuration.

Measuring balanced wave quantities and ratios

Measuring mixed mode S-parameters

Performing an amplitude or phase imbalance sweep

True differential measurement on frequency-converting DUTs

Source Power in True Differential Mode

A single-ended stimulus can be thought of as resulting from the superposition of a differential and a common mode stimulus, where the signals add at one single-ended port and cancel at the other (see equations in section Wave Quantities and Ratios in True Differential Mode). Therefore the differential content of a single-ended signal is 3 dB lower than the total signal power.

The stimulus power in true differential mode can be set in two different ways:

  • If Same Differential and Common Mode Voltages as in Single-Ended Mode is selected, the analyzer ensures that the stimulus voltages in true differential or common mode are the same as the respective stimulus components in virtual differential mode. The single ended voltages at the involved physical test ports are divided by 2 and the output powers with reference Z0 by 4 (see table below).

  • If Apply to Differential (Zd = 2Z0) and Common Mode (Zc = Z0/2) Waves is selected, the channel power Pch is interpreted as the power of the true differential or common mode stimulus signal, referenced to the corresponding mode impedance Zd = 2Z0 or Zc = Z0/2. The single ended voltages at the involved physical test ports are divided by sqrt(2) and the output powers with reference Z0 are divided by two (see table below).

Switching between the two stimulus power modes changes the single ended powers by [image] 3 dB. The channel power setting Pch (Channel – Stimulus – Power) remains unchanged.

Mode | Stimulus signal | Nodal generator powers and voltages at physical ports
 |  | Port i | Port j
Virtual differential mode | Unbalanced | Pch( = Ud2 / Z0) Ud /2 + Uc (= Ud)*) | 0 W Ud /2 – Uc (= 0)*)
True differential mode, "Same Differential and Common Mode Voltages as in Single-Ended Mode" | Differential mode | Pch / 4 Ud / 2 | Pch / 4 -Ud / 2
 | Common mode | Pch / 4 Uc | Pch / 4 Uc
True differential mode, "Apply to Differential (Zd = 2Z0) and Common Mode (Zc = Z0/2) Waves" | Differential mode | Pch / 2 Ud / sqrt(2) | Pch / 2 -Ud / sqrt(2)
 | Common mode | Pch / 2 Uc * sqrt(2) | Pch / 2 Uc * sqrt(2)

*) This entails the condition Ud = 2 * Uc

Mode | Stimulus signal | Modal generator powers and voltages at balanced port
 |  | Differential mode | Common mode
Virtual differential mode | Unbalanced | Pch / 2 Ud | Pch / 2 Uc
True differential mode, "Same Differential and Common Mode Voltages as in Single-Ended Mode" | Differential mode | Pch / 2 Ud | 0 W 0 V
 | Common mode | 0 W 0 V | Pch / 2 Uc
True differential mode, "Apply to Differential (Zd = 2Z0) and Common Mode (Zc = Z0/2) Waves" | Differential mode | Pch Ud *sqrt(2) | 0 W 0 V
 | Common mode | 0 W 0 V | Pch Uc *sqrt(2)

Avoiding possible problems at very large or very low source powers

The source power mode is defined in the General tab of the System Configurationdialog. It is a global setting which is not affected by a reset of the instrument.

Remote control:

SOURce<Ch>:TDIF:WAVes SENDed | DCMode

Wave Quantities and Ratios in True Differential Mode

In true differential mode, the analyzer can determine the balanced wave quantities and ratios for all balanced ports. The balanced quantities appear in the More Wave Quantities or More Ratios dialog as soon as the true differential mode is active.

Assume that a balanced port numbered i comprises the two physical ports k and l. To obtain the balanced wave quantities for port i, the analyzer measures the unbalanced wave quantities at ports k and l. The differential mode waves adi0 and bdi0 and the common mode waves aci0 and bci0 can be calculated from the unbalanced waves using the following equations:

Possible modification for amplitude and phase imbalance sweep

Renormalization of port impedances

Measuring balanced wave quantities and ratios

Remote control:

CALCulate<Ch>:PARameter:SDEFine 'AS1D2S' |

S-Parameters in True Differential Mode

The mixed-mode S-matrix elements that the analyzer acquires in true differential mode correspond to the mixed-mode matrix elements obtained in virtual differential mode, however, the analyzer uses true differential and true common mode stimuli at each balanced port of the DUT.

Example: 3x3 mixed-mode S-matrix

For linear DUTs, the S-matrices acquired in virtual and in true differential mode are expected to be equal. The following figure shows a comparison for the transmission coefficient Ssd12. The red trace was measured in true differential mode. The blue trace (below, measured in virtual differential mode) is almost identical over the entire sweep range.

Differences may appear for nonlinear devices at high stimulus power levels. For example, the bias of semiconductor devices like transistors may depend on the kind of stimulus signal. The following figure shows a power sweep measured in virtual differential mode (green) and in true differential mode (blue). In true differential mode, gain peaking is smaller and compression starts at much lower stimulus power.

Measuring mixed mode S-parameters

Remote control:

CALCulate<Ch>:PARameter:SDEFine 'SCD11' |

True Differential Mode on Frequency-Converting DUTs

True differential mode can be combined with frequency-converting measurement modes as outlined in the measurement example. For this type of measurements, a consistent calibration is particularly important. E.g. scalar mixer measurements are typically performed at different RF and IF frequency ranges.

Calibration kits do not contain frequency-converting two-port standards so that any system error correction is performed at equal source and receiver frequencies. However, if a scalar mixer measurement is active, the analyzer automatically performs the system error correction in both the RF and the IF frequency range. The number of points for the calibration sweep is doubled. In the Calibration Manager dialog, the calibrated frequency range is referred to as a "Segmented Grid".

A subsequent source or receiver power calibration not only calibrates the source power and the receiver but is also used to adjust the normalization of the system error corrections in both power ranges. For this reason, the measurement steps must be performed in the following order:

1. Activate the frequency-converting (e.g. scalar mixer) mode.

2. Perform a full n-port calibration for all ports involved.

3. Perform a power calibration (for true differential ports, once per balanced port).

4. Activate true differential mode.

4. Connect the DUT in order to perform measurements.

True differential measurement on frequency-converting DUTs

Amplitude Imbalance Sweep

To ensure proper operation, differential devices need a pure differential stimulus signal. Unequal attenuation or loss in the conductors of the balanced input or output line leads to a phase or amplitude imbalance of the stimulus signal. If the device under test is linear, the effects of this imbalance can be calculated from the mixed-mode S-parameters without performing an additional measurement. For nonlinear devices, however, the effects may be unpredictable. Therefore, the option True Differential Mode incorporates the ability to generate differential and common mode signals with a physical amplitude or phase imbalance. Moreover, the imbalance can be swept over a user-defined range.

Characteristics of the sweep

At least one logical port must be defined, and the true differential mode must be active to enable the amplitude imbalance sweep. Activating the sweep (Channel – Sweep – Sweep Type: Amplitude Imbalance) opens the following configuration dialog:

  • Logical Port selects the swept logical port.

  • Compensate Imbalance of a Waves selects the calculation method for S-parameters, ratios and derived quantities; see background information below.

  • CW Frequency defines the frequency of all stimulus signals, which is constant over the entire sweep. This setting is identical with the CW frequency for power, time and CW mode sweeps.

  • Source Power at 0 dB defines a constant power reference, corresponding to the channel power Pch in the tables in section Source Power in True Differential Mode. The swept power range (Channel – Stimulus – Start, Channel – Stimulus – Stop) of the involved single-ended sources is defined relative to the reference value. This setting is identical with the constant channel base power for frequency, time and CW mode sweeps.

The power range for the amplitude imbalance sweep is independent of the power range for power sweeps.

Compensate Imbalance of a Waves

Performing an amplitude or phase imbalance sweep

Remote control:

[SENSe<Ch>:]SWEep:TYPE IAMPlitude
SOURce<Ch>:TDIF:IMBalance:AMPLitude:LPORt
SOURce<Ch>:TDIF:IMBalance:AMPLitude:STARt
SOURce<Ch>:TDIF:IMBalance:AMPLitude:STOP
CALCulate<Ch>:TDIF:IMBalance:COMPensation[:STATe]

Phase Imbalance Sweep

The phase imbalance sweep is a special application of the true differential mode. The analyzer generates a balanced signal at one of its logical ports, however, the relative phase of the two signal components is varied according to the selected phase range. This variation may have an impact on the measured mixed-mode S-parameters if the DUT is operated in its nonlinear range.

Characteristics of the sweep

At least one logical port must be defined, and the true differential mode must be active to enable the phase imbalance sweep. Activating the sweep (Channel – Sweep – Sweep Type: Phase Imbalance) opens the following configuration dialog:

  • Logical Port selects the swept logical port.

  • Compensate Imbalance of a Waves selects the calculation method for S-parameters, ratios and derived quantities; see background information.

  • CW Frequency defines the frequency of all stimulus signals, which is constant over the entire sweep. This setting is identical with the CW frequency for power, time and CW mode sweeps.

  • Source Power defines the constant power of the balanced source, corresponding to the channel power Pch in the tables in section Source Power in True Differential Mode. This setting is identical with the constant power for frequency, time and CW mode sweeps.

The range of relative phases for the phase imbalance sweep is set via Channel – Stimulus – Start and Channel – Stimulus – Stop.

Performing an amplitude or phase imbalance sweep

Remote control:

[SENSe<Ch>:]SWEep:TYPE IPHase
SOURce<Ch>:TDIF:IMBalance:PHASe:LPORt
SOURce<Ch>:TDIF:IMBalance: PHASe:STARt
SOURce<Ch>:TDIF:IMBalance:PHASe:STOP
CALCulate<Ch>:TDIF:IMBalance:COMPensation[:STATe]


Suppose that Port 1 is the reference port and the coherent signal at Port 3 is defined with a relative phase setting of +90°. In the complex I/Q plane, the Port 3 signal precedes the Port 1 signal by 90°.

An oscilloscope shows the Port 3 and Port 1 signals as depicted below.

Defined Coherence Mode

With option R&S ZVA-K6, True Differential Mode, the vector network analyzer can also generate several continuous signals with specific relative amplitude and phase. Typical application examples are measurements on balanced DUTs or the supply of antenna arrays which are designed for a well-defined radiation pattern.

True differential mode and defined coherence mode cannot be active at the same time because they require a different source port configuration. Both modes require an analyzer with at least two independent internal sources, i.e. a minimum of 3 ports. Defined coherence mode is compatible with arbitrary single-ended or balanced port configurations.

On R&S ZVA-Z67 network analyzers, all ports have independent internal sources. You can use defined coherence mode with an arbitrary combination of two source ports.
Defined coherence mode can be used for frequency-converting measurements: The two combined ports providing the coherent signal must be at the same frequency. The remaining analyzer ports may measure at a different frequency.

The source ports and the properties of the coherent signals are all defined in the Defined Coherence Mode dialog. After a system error correction, the coherent signals with the selected properties are available at the calibrated reference plane.

Defined Coherence mode relies on Enhanced Wave Correction. A consistent system error correction is essential for accurate coherent waves at the reference planes. You should always perform a full n-port calibration (TOSM, UOSM or one of the Txx calibration types) of all physical ports involved and change the reference impedances, if they differ from the default settings. A subsequent source power calibration is recommended.
The system error correction applies to all a- and b-waves of the n calibrated ports, not only to the waves with a fixed amplitude and phase relation.
You can also use offset parameters in order to move the reference plane where the analyzer provides an accurate coherent signal.

Defined Coherence Mode Dialog

Enables the defined coherence mode for signals from different source ports and defines the signal properties.

  • Reference Port selects one of the physical analyzer ports as a reference port. The reference port is the source port for the reference signal; its properties are defined in the Port Configuration dialog. The amplitude and phase of all coherent signals are defined relative to the reference signal.

  • Gen ensures a permanent signal; it is identical with the Gen setting in the Source section of the Port Configuration dialog. Coherent signals must be permanent. System error corrections must be performed with alternating source signals (Gen off).

  • Def'd Phase Coherence defines the signals from the analyzer ports as coherent or non-coherent signals. For coherent signals, the specified amplitude and phase relation is maintained across the entire sweep. Non-coherent signals have an arbitrary relative phase. It is possible to select one signal per internal source as a coherent signal; see Coupled Test Ports.
    Examples:     On a four port analyzer, ports 1 and 2 and ports 3 and 4 uses the same generator (coupled ports). If port 1 is the reference port, either port 3 or port 4 can be selected as the source port for the second, coherent signal.

  • Relative Amplitude defines the amplitude of the coherent signals relative to the reference signal. The Relative Amplitude replaces the source power of the port (defined in the Port Configuration dialog)) as long as Def's Phase Coherence is selected.

  • Relative Phase defines the phase of the coherent signals relative to the phase of the reference signal; see below.

Relative phase examples

Remote control:


Extension Unit

Extension Unit R&S ZVAX24

The extension unit R&S ZVAX24 is an accessory for vector network analyzers R&S ZVA24. The extension unit can accommodate a variety of hardware options which extend the measurement functionality of the network analyzer. The table below lists all options with possible applications. For an introduction to the application unit and an application example refer to the Quick Start Guide, stock no. 1312.7985.62.

Option | Type | Application
Low Noise Preamplifier | R&S ZVAX-B203 | Amplifies the input signal at port 2 of the network analyzer. This reduces the noise figure of the NWA receiver and thus improves the accuracy of a noise figure measurement with option R&S ZVAB-K30.
Port 2 Receiver Monitor Output | R&S ZVAX-B210 | The measured signal at port 2 is fed to the MONITOR connector on the R&S ZVAX24 front panel. An external device (e.g. a spectrum analyzer) can be connected to monitor the signal.
Combiner | R&S ZVAX-B211 | Combines the source signals from ports 1 and 3. With different port frequencies, the combiner provides a two-tone signal, e.g. for intermodulation measurements.
Harmonic Filter Generator Port 1 | R&S ZVAX-B251 | Provides an RF source signal with excellent harmonics suppression at port 1. To be used for accurate harmonics measurements.
Harmonic Filter Receiver Port 2 | R&S ZVAX-B252 | Suppresses the fundamental wave in the received signal at port 3 and therefore prevents additional harmonics induced in the NWA receiver. To be used for highly accurate harmonics measurements.
Harmonic Filter Generator Port 3 | R&S ZVAX-B253 | Provides an RF source signal with excellent harmonics suppression at port 3. Harmonic filters for two independent source signals are used for differential measurements and mixer measurements which require RF and LO signals with a high spectral purity.
Pulse Modulator Generator Port 1 | R&S ZVAX-B271 | Provides pulsed signals at port 1. To be used for pulsed measurements on asymmetric DUTs (e.g. power amplifiers), where the reverse stimulus signal can be continuous.
Pulse Modulator Receiver Port 2 | R&S ZVAX-B272 | Modifies the pulsed received wave at port 3. Used to protect the NWA receiver from excess input levels (e.g. in T/R module measurements).
Pulse Modulator Generator Port 3 | R&S ZVAX-B273 | Provides pulsed signals at port 3. Pulsed signals at two independent ports are used for pulsed measurements on DUTs which require pulsed stimulus signals in forward and reverse direction (e.g. symmetric DUTs, T/R modules for phased-array pulse radar).
High Power Coupler Port 1 | R&S ZVAX-B291 | Extends the source power range at port 1 to values up to +43 dBm. Used for measurements on DUTs that require high stimulus powers
High Power Coupler Port 2 | R&S ZVAX-B292 | Extends the receiver power range at port 2 to values up to +43 dBm. Used for measurements on DUTs that provide high output powers.


ZVAX Path Configuration

The source signal from the analyzer is fed to the SOURCE PORT 3 IN connector of the Extension Unit. The modified source signal is looped back to the analyzer so that it is available at the test port. The internal R&S ZVAX signal path (green rectangle in the figure below) may contain the following modules:

  • A harmonic filter for very accurate frequency-converting measurements, in particular harmonics measurements

  • A pulse modulator to generate a pulsed source signal

  • An external amplifier connected to the PORT 3 SOURCE IN / OUT connectors on the rear panel of the Extension Unit. The amplifier boosts the source signal after the pulse modulator stage

  • A combiner for the two source signals from the analyzer ports no. 1 and 3. After connecting the SOURCE IN / OUT connectors of both ports, the combined source signal is available at analyzer port no. 1.

All modules are optional. The "empty" source path is a simple through connection between the SOURCE PORT 3 IN and SOURCE PORT 3 OUT connectors of the Extension Unit.

The source path for port 1 is analogous to the source path for port 3 described above.

The received signal from the analyzer test port is fed to the MEAS PORT 2 IN connector of the Extension Unit. The modified received signal is looped back to the analyzer and fed to the receiver. The internal R&S ZVAX signal path (green rectangle in the figure below) may contain the following modules:

  • A low-noise preamplifier to amplify the signal and reduce the noise figure at the receiver, in particular for accurate noise figure measurements

  • A pulse modulator to generate a pulsed source signal

  • A harmonic filter for very accurate frequency-converting measurements, in particular harmonics measurements

  • An external spectrum analyzer connected to the PORT 2 MONITOR connector of the Extension Unit, providing additional insight into the properties of the modified signal

Each of the modules above may be bypassed or missing. The "empty" source path is a simple through connection between the MEAS PORT 2 IN and MEAS PORT 2 OUT connectors of the Extension Unit.

ZVAX Path Configuration

The ZVAX Path Configuration dialog gives an overview of the RF signal paths in the Extension Unit R&S ZVAXxx and the installed hardware modules. It also loops the individual modules into the signal paths.

The dialog for a fully-equipped Extension Unit is shown below. If one of the harmonic filter, pulse modulator, preamplifier or combiner options is not fitted, it is replaced by a straight line (through path).

  • The upper radio buttons loop a module into the signal path.

  • The lower radio buttons cause the modules to be bypassed.

  • Pulse Generators... opens a dialog to configure the pulse generator signals controlling the pulse modulators.

The Extension Unit provides three signal paths:

  • Source path for port 3

  • Source path for port 1

  • Receiver path for port 2

The external connectors are modified if a High Power Coupler is fitted at port 1 or port 2 of the Extension Unit. Refer to the R&S ZVAX operating manual for details. Please observe the safety instructions in the R&S ZVAX operating manual.

Remote control:

[SENSe<Ch>:]EUNit:COMBiner[:STATe]
[SENSe<Ch>:]EUNit:HFILter<Path>[:STATe]
[SENSe<Ch>:]EUNit:PMODulator<Path>[:STATe]
[SENSe<Ch>:]EUNit:LNAMplifier[:STATe]

Pulse Generators
Defines the source and the output of the pulse generator signals and assigns pulse generator signals to the pulse modulators of the Extension Unit R&S ZVAXxx.
The Pulse Generators dialog is opened from the ZVAX Path Configurationdialog. It provides three panels:

  • Modulator Source selects the R&S ZVA or an external pulse generator as a source for the pulse generator signals. To use the R&S ZVA pulse generator signal, connect the CASCADE IN connector on the rear panel of the Extension Unit to the CASCADE connector on the rear panel of the R&S ZVA using the RJ-45 network cable supplied with the Extension Unit. The two pulse generator signals are configured in the Channel – Mode –Define Pulse Generator dialog. To use the signals of an external pulse generator, connect the external generator to the EXT PULSE GENERATOR IN connectors on the rear panel of the Extension Unit. Both modulator source signals may be connected simultaneously; see Pulse Generator Out.

  • Modulator Assignment selects the pulse generator signal for each of the three pulse modulators Src1, Rec 2, Src 3; see ZVAX Path Configuration dialog. It is possible to use a single pulse generator signal for all three pulse modulators, or use Gen 1 for two pulse modulators, Gen 2 for the third pulse modulator.

  • Pulse Generator Out selects the pulse generator signal type which is fed to the PULSE GENERATOR OUT connectors on the rear panel of the Extension Unit. The selection is independent of the Modulator Source setting. If ZVA (Pulse ->1; Sync ->2) is selected, the input signals from the CASCADE IN connector are looped through. Otherwise, the signals from EXT PULSE GENERATOR IN are used.
    The PULSE GENERATOR OUT signal can be used to control or synchronize additional external devices. If ZVA (Pulse ->1; Sync ->2) is selected, it is possible to control an external pulse generator by means of the R&S ZVA pulse generator signals.

Remote control:


Scalar Mixer Meas

RF mixers convert an RF signal at one frequency into a signal at another frequency. The frequency that is to be shifted is applied at the RF input and the frequency shifting signal (from a local oscillator, LO) is applied to the RF mixer's LO port, resulting in an output signal at the mixer's Intermediate Frequency (IF) port.

For a given RF signal, an ideal mixer would produce only two IF outputs: one at the frequency sum of the RF and LO (IF = RF + LO), and another at the frequency difference between the RF and LO (IF = |RF – LO|). A filter can select one of these IF outputs and reject the unwanted one.

The frequency-converting property of the mixer (i.e. the fact that incident and transmitted waves are at different frequencies) causes a loss of phase information. In fact, transmission S-parameters obtained in a scalar mixer measurement only describe the magnitude ratios of the waves. The phase information, including the group delay, is meaningless.

In the mixer mode the analyzer provides the following functionality:

  • Configuration of the RF and LO signals and measurement of the generated IF signal, see Define Mixer Mode and Mixer Signal Diagrams.

  • Power calibration of the signal sources and of the IF receiver; see Mixer Power Calibration.

  • The mixer mode can be used also to test important performance parameters of RF mixers such as frequency ranges, conversion loss, compression, and isolation.

The enhanced wave correction for the scalar mixer measurement calibrates the a- and b-waves at the RF and IF ports of the mixer under test. The RF and IF frequencies are different from each other. Two steps are required to calibrate each of the ports 1 and 2:

  • A full one-port system error correction calibrates the phase and relative power of the waves.

  • A source or receiver power calibration determines the absolute amplitude of the a- or b-waves. Together with the full one-port calibration, this yields the absolute power of all waves.

The order of the calibration steps is arbitrary. A Scalar Mixer Measurement Power Calibration provides a source power calibration for port 1 and a receiver power calibration for port 2. The Scalar Mixer Meas Calibration provides both full one-port calibrations.

The one-port calibrations for the two ports are completely independent; the calibration does not involve a through-connection between the ports. Alternatively, it is possible to perform a single full two-port calibration at ports 1 and 2 as shown in section Enhanced Wave Correction Procedure. The analyzer will perform segmented calibration sweeps and discard the calibration data of the Through standard.

For a frequency sweep, the signal diagram is labeled as follows:

  • RF signal: Fixed port number (1), CW power, frequency sweep range.

  • LO signal: Signal source (analyzer port or external generator), fixed power and frequency.

  • IF signal: Fixed port number (2), frequency range = (sweep range + LO) or |sweep range – LO|.

For a power sweep, the signal diagram is labeled as follows:

  • RF signal: Fixed port number (1), power sweep range (or fixed power, if the LO signal is swept), CW frequency.

  • LO signal: Signal source (analyzer port or external generator), fixed power (or power sweep range, if the RF signal is at a fixed power), CW frequency.

  • IF signal: Fixed port number (2), fixed frequency = (RF + LO) or |RF – LO|.

For a Time or CW Mode sweep, the signal diagram is labeled as follows:

  • RF signal: Fixed port number (1), fixed power, CW frequency.

  • LO signal: Signal source (analyzer port or external generator), fixed power, CW frequency.

  • IF signal: Fixed port number (2), fixed frequency = (RF + LO) or |RF – LO|.

The IF signal can be at the sum or at the difference of the RF and LO frequencies.

  • IF = RF – LO means that the RF signal is down-converted (upper sideband). The analyzer automatically switches to IF = LO – RF if the LO frequency is above the RF input frequency.

  • IF = LO – RF means that the LO signal is down-converted (lower sideband). The analyzer automatically switches to IF = RF – LO if the RF input frequency is above the LO frequency.

  • IF = LO + RF means that the RF input signal is up-converted.

To perform measurements at different mixer output frequencies (e.g. to analyze the isolation for IF = RF or higher-order mixing products), use option R&S ZVA-K4, Arbitrary Generator and Receiver Frequencies.

In a frequency sweep mode where one of the input frequencies varies over a definite range, the IF signal also covers a frequency range of the same width. An error message is displayed if the IF frequency exceeds the maximum frequency range of the analyzer.

If the RF or LO signal is in Auto mode, the formulas for IF are automatically converted, and the analyzer calculates the RF or LO frequency from the other frequencies.

Due to the different frequency ranges of the input and output signals and the external equipment needed, the mixer power calibration must be performed in several steps. For a test setup where the RF and LO signals are provided by port 1 and an external generator, respectively, where the RF signal is swept, the LO signal is at fixed frequency, and where the swept IF signal is analyzed at port 2, the following test setups are required:

  1. Source power calibration for the RF signal. A power sensor is connected to port 1. The RF power (red) is calibrated over the selected RF sweep range. As a preparative for step 2 the analyzer also calibrates the source in the IF frequency range. The correction data for both calibration sweeps is stored.

  2. Receiver power calibration for the IF signal. No external device is needed. The receiver (port 2) is calibrated in the IF frequency range using the source signal from port 1 (red) calibrated in the first step.

  3. Source power calibration for the LO signal, provided by an external generator. A power sensor is connected to the generator's RF output (red signal). The analyzer controls the generator. The generator's RF source power (red) is calibrated at the selected LO frequency. No RF connection to or from the network analyzer is needed.

Scalar Mixer Meas

The Scalar Mixer Meas submenu controls the measurement of the mixing products generated by an external mixer that is supplied with two independent RF signals. Together with the Harmonic Distortion measurement and the arbitrary configuration of generator and receiver frequencies (Port Configuration), the scalar mixer mode is included in option R&S ZVA-K4.

Mixer Measurements

  • Define Scalar Mixer Meas... opens a dialog to configure the mixer input signals.

  • Scalar Mixer Meas and Reset Frequency Conversion toggle between the (frequency-converting) mixer mode and normal (non frequency converting) operation.

  • Enhanced Scalar Mixer Meas activates the measurement mode with an additional enhanced wave calibration at the RF and IF ports (Port 1, Port 2).

  • Mixer Power Cal...opens a dialog to perform a power calibration of the signal sources and of the IF receiver.

  • Scalar Mixer Meas Cal opens a submenu to perform the system error corrections which are required for the enhanced mixer measurement.

Define Scalar Mixer Meas...

This dialog configures the mixer input signals.

In the upper part the Define Mixer Measurement dialog shows a diagram with the RF and LO signals, the mixing product (IF), and the current frequency and power ranges for all signals. Below the dialog provides the following control elements:

  • The port selection list contains all analyzer ports or external generators which can provide the local oscillator (LO) signal. Ports no. 1 and 2 are always used for the RF signal and the measured IF signal (mixing product), so they are not included in the list. Generators must be configured explicitly in the System Configuration –External Generators dialog before they appear in the list. None means that the input signal at LO (if available) is not controlled by the analyzer.

  • Config Ext. Generators... opens the System Configuration –External Generators dialog for adding and configuring external generators.

  • Set Powers... opens a dialog to control the power of the RF and the LO signals.

  • Set Frequencies... opens a dialog to control the frequency of the RF and the LO signal and the analyzer (IF signal) frequency.

Remote control:

[SENSe<Ch>:]FREQuency:CONVersion:MIXer:LOINternal <port_no>
[SENSe<Ch>:]FREQuency:CONVersion:MIXer:LOEXternal <gen_no>

Scalar Mixer Meas, Reset Frequency Conversion

The softkey Scalar Mixer Meas activates the scalar mixer mode, where the analyzer ports are at different frequencies. Reset Frequency Conversion disables all frequency-converting measurements, including e.g. an active harmonic distortion measurement.

A Mix Frq RF label in the channel list indicates that a frequency-converting mode is active.

Remote control:

[SENSe<Ch>:]FREQuency:CONVersion MIXer | FUNDamental

Enhanced Scalar Mixer Measurement

Activates the mixer measurement mode with an additional enhanced wave correction at the RF and IF ports (Port 1, Port 2). The enhanced mixer measurement requires two full one-port calibrations at the RF and IF ports, in addition to a scalar mixer measurement power calibration.

The enhanced mode improves the accuracy of the scalar mixer measurement but does not provide any additional results. The phase or group delay of mixers can be analyzed in a vector mixer measurement. When an enhanced scalar mixer measurement is active and all necessary calibrations are available, the trace line for the conversion loss b2/a1 shows the calibration labels Pcal Cal.

Proceed in the following order to activate the enhanced scalar mixer measurement:

1. Open the Define Scalar Mixer Meas... dialog to activate the mixer measurement mode.

2. Select Scalar Mixer Meas Power Cal... to perform the power calibrations at ports 1 and 2.

3. Select Scalar Mixer Meas Cal > to perform the necessary full one-port calibrations.

4. Activate Enhanced Scalar Mixer Meas.

Enhanced wave correction for scalar mixer measurements

Remote control:

[SENSe<Ch>:]CORRection:EWAVe[:STATe]

Mixer Signal Diagrams

The mixer signal diagrams show the parameters of the mixer input signals (RF, LO) and of the mixing product (IF signal, output). The diagrams appear in the Mixer Measurement, Set Power, and Set Frequencies dialogs.

  • The RF signal is the stimulus signal that the analyzer generates with the current channel settings. After a reset the frequency and power of the RF signal is as defined in the Channel –Stimulus menu. The RF signal parameters can be changed in the Set Power... and Set Frequencies... dialogs.

  • The Local Oscillator (LO) signal is an additional RF signal that is either generated by the network analyzer (at one of the ports that are not used for the RF and IF signals) or by an external generator.

  • The IF signal is the mixer output signal (mixing product), which is at one of the following frequencies: IF = LO + RF or IF = |LO – RF|, i.e. LO – RF (for LO > RF) or IF = RF – LO (for RF > LO). The IF frequency is selected in the Set Frequencies... dialog.

The signal description above with the swept RF signal and the LO signal at a fixed frequency corresponds to the default configuration. In the Set Frequencies dialog, you can select any of the signals as a Sweep/CW signal. You can set the frequency range of this signal via Start/Stop or CW Frequency. A second signal is at a Fixed frequency, and the third at the calculated sum or difference frequency (Auto).

The labeling of the complete diagram depends on the sweep type.

  • Frequency sweep

  • Power sweep

  • Time or CW mode sweep

Set Powers

The Set Power dialog defines the power of the RF and the LO signals.

The diagram contains the mixer signal diagram and the following control elements:

  • The RF Power or LO Power radio button groups specify how the power for each signal is defined. The roles of the mixer input signals RF and LO are interchangeable: One signal is at the analyzer's channel power (Sweep or CW, the signal is swept if a power sweep is active; it is at fixed power (CW) for the other sweep types), the other is at the Fixed power defined below.

  • The input fields in the Sweep or CW Power panel (depending on the sweep type) define the channel power and overwrite the power settings in the Channel – Stimulus and Channel – Power Bandwidth Average menus. The sweep range or CW power is assigned to the signal with Sweep/CW power definition. Enter & Display can be used to select the Swept or Auto port for display and entry. Note: If you select the Fixed port, this port will be set to swept.

  • Fixed Power defines the power of the signal with Fixed power definition. For vector mixer measurements, the power of the Aux LO signal (fed to the MEAS and REF mixers) can be defined independently.

Remote control:

SOURce<Ch>:]FREQuency:CONVersion:MIXer:FUNDamental RF | LO
SOURce<Ch>:]FREQuency:CONVersion:MIXer:PFIXed <power>
SOURce<Ch>:]FREQuency:CONVersion:MIXer:PAFIXed <power>

Set Frequencies

Controls the frequency of the RF and the LO signal and the analyzer (IF signal) frequency.

The diagram contains the mixer signal diagram and the following control elements:

  • The RF/IF/LO Frequency radio button groups specify how the frequency for each signal is defined. The roles of the three signals RF, IF, LO are interchangeable: One signal is at the analyzer's channel frequency (Swept/CW, this signal is swept if a frequency sweep type is active; it is a CW signal for the other sweep types), the second is at the Fixed frequency defined below, the frequency of the third signal is automatically calculated according to the selected Conversion formula.

  • The input fields in the Swept Frequency panel define the channel frequency and overwrite the Channel – Stimulus settings. The signal in the Enter & Display field becomes the Swept signal, with the sweep range or CW frequency defined below. The two other signals are adjusted as described above.

  • Fixed Frequency defines the frequency of the signal with Fixed frequency definition.

  • Conversion selects the frequency of the signal with Auto frequency definition, see background information below.

Conversion formulas

Remote control:

[SENSe<Ch>:]FREQuency:CONVersion:MIXer:FFIXed <frequency>
[SENSe<Ch>:]FREQuency:CONVersion:MIXer:FIXed RF | IF | LO
[SENSe<Ch>:]FREQuency:CONVersion:MIXer:FUNDamental RF | IF | LO
[SENSe<Ch>:]FREQuency:CONVersion:MIXer:TFRequency DCLower | DCUPper | UCONversion
[SENSe<Ch>:]FREQuency:STARt etc.

Mixer Power Cal...

Opens a dialog to perform a power calibration of the signal sources and of the IF receiver. A power calibration ensures accurate levels of the mixer input signals (RF and LO source power calibration) and an accurate power measurement of the mixer output signal (IF receiver calibration). The necessary calibration steps are automatically performed across the entire frequency range of the active mixer measurement (Set Frequencies).

Mixer Power Cal procedure and example

  • Take Cal Sweep in the three numbered panels start the calibration sweeps for the RF source, IF receiver, and the LO source, respectively. The measured power is shown in the diagram in the center of the dialog and the sweep progress in the progress bar below.

  • Abort Sweep stops the current sweep, e.g. in order to change the sweep settings.

  • The calibration sweeps are performed according to the settings shown in the Settings panel in the upper right section of the dialog. Modify Settings opens the Modify Source Power Cal Settings dialog to modify the essential settings of the next calibration sweep.

  • Power Meter selects an external power meter that is used to measure the exact source power at the calibration point; see Power Meter Settings. Power meters (Pmtr1, Pmtr2, ...) must be configured in the System Configuration – External Power Meters dialog before they appear in the list.

  • Perform Verification Sweep after Cal enables or disables a verification sweep that the analyzer performs after each source power calibration. The sweep is also displayed in the calibration sweep diagram. Its purpose is to test the accuracy of the source power calibration after the final correction data has been acquired.

Remote control:

SOURce<Ch>:POWer<Pt>:CORRection:PMETer:ID
SOURce<Ch>:POWer<Pt>:CORRection:MIXer:RF[:ACQuire]
[SENSe<Ch>:] CORRection:POWer<port_no>:MIXer:IF:ACQuire
SOURce<Ch>:POWer<Pt>:CORRection:MIXer:LO[:ACQuire]
Scalar Mixer Meas Cal...

Opens a submenu to perform the system error corrections which are required for the enhanced mixer measurement. The calibration can be performed manually or using a calibration unit.

  • Manual... opens the Calibration wizard for two full one-port calibrations at ports 1 and 2.

  • Calibration Unit... opens the Calibration Unit dialog for automatic calibration using the connected calibration unit. The pre-selected calibration type is compatible and port combination is suitable for the scalar mixer measurement.

Both calibration methods provide equivalent results.


Mixer Delay Meas

The mixer delay measurement is an extension of the scalar mixer measurement: The network analyzer generates a two-tone RF signal as a mixer input signal and measures the converted IF signal at the mixer output. The mixer delay is derived from the relative phases of the two-tone signals at the mixer input and the mixer output.

The group delay τg of a circuit is defined as the negative derivative of its phase response (see Delay), hence, for two tones with phases Φ1 and Φ2 and a frequency difference ("aperture") Δf:

ΔΦin and ΔΦout are the phase differences of the two tones at the input and output of the DUT, respectively.

The phase difference of the source signal ΔΦin and the aperture Δf are known quantities. ΔΦout depends on the DUT and can be measured. As a phase difference, ΔΦout is stable against variations of the LO frequency, because those will affect both signals in the same way. This means that the mixer delay measurement does not require any synchronization between the analyzer and the LO signal, even if the LO shows a noticeable frequency drift.

Compared to conventional measurement methods, the mixer delay measurement offers several additional advantages.

  • No external mixers are needed

  • A network analyzer with standard functionality is sufficient, see description of test setups below

  • Easy calibration using a calibration mixer; see Mixer Delay Meas Calibration.

The mixer delay measurement requires two independent RF signal sources. The two IF signals can be measured simultaneously at a single analyzer port. For an R&S ZVA analyzer that is equipped with option R&S ZVA-B16, Direct Generator/Receiver Access, a test setup of the following type is recommended:

Test setup 1: External combiner

The lower tone signal is generated at port 1, the upper tone is provided by port 3. Both signals are combined externally and fed to the SOURCE IN connector at port 1.Thus the superimposed signals are available at test port 1 and can be fed to the DUT input. The IF output signal is measured at port 2. It is possible to use an external generator for the upper tone signal, so that two analyzer ports are sufficient.

On R&S ZVA-Z67 network analyzers, all ports have independent internal sources. You can use true differential mode with an arbitrary combination of two source ports.
On an R&S ZVT20 network analyzer that is equipped with option R&S ZVT-B11, you can combine the two source signals internally without using the SOURCE IN/OUT connectors and an external combiner. You can also replace the external combiner by an Extension Unit R&S ZVAX with installed option R&S ZVAX-B211.

As an alternative to the test setup 1 shown above, you can also combine the two tones using the coupler in the test set of port 3:

Test setup 2: Coupler used as an internal combiner

When using test setup 2, open the Channel – Mode – Port Configuration dialog and adjust the source powers: To compensate for the coupling loss of the internal coupler, the source power at port 1 should be 10 dB above the source power at port 1. See alsoLevel Handling during Power Calibration.

For network analyzers with upper frequency limits of 20 GHz and above, test setup 2 causes some restrictions:
—The lower frequency limit is 500 MHz. Use external combiners at lower frequencies, especially if you want to measure at high RF source powers.
—If an high-frequency RF signal is down-converted to in IF signal with a frequency below 500 MHz, the IF signal should be measured directly at MEAS IN (rather than at test port 2).

With option R&S ZVA-Z10, the mixer delay measurement can be performed with two different R&S ZVA or R&S ZVT network analyzers, one providing the source ports, the other the receive port. The two instruments can communicate with each other via LAN using LXI event messages. This can be advantageous e.g. for measurements on DUTs with large dimensions where the connection to a single instrument would require very long RF cables. The test setup for a source instrument with internal coupler is shown in the Mixer Delay Measurement Setup dialog.

Test setup with external receiver

It is also possible to use an external coupler; in analogy to the Test Setup with Internal Receiver, or establish a direct (dedicated) LAN connection between the two analyzers.

The measurement with external receiver is performed as follows:

1. The sender network analyzer (VNA1) transfers its channel settings to the receiver analyzer (VNA2), i.e. VNA2 is fully controlled by VNA1 and shows its remote screen.

2. VNA1 generates the dual-tone source signal for the first sweep point, VNA2 measures the b-waves and returns the results to VNA1.

3. VNA1 calculates and displays the mixer delay results.

4. Steps 2 and 3 are repeated for all sweep points.

Conditions and Restrictions

The mixer delay with external receiver requires a single-channel test setup. During the measurement, use the 10 MHz reference frequency to keep both analyzers synchronized and do not switch off any of the instruments.

If the NWA application is closed and started again, the measurement must be re-started manually (Channel – Sweep – Restart).

The mixer delay measurement depends on the frequency difference between the upper and lower tone termed the Aperture. Conversion of the two-tone RF signal in the mixer preserves the aperture. To ensure that the analyzer can detect the two IF signals and calculate reasonable group delay results, observe the following rules:

  • Select a measurement bandwidth (IF bandwidth) which is significantly smaller than the aperture. High selectivity IF filters have steeper edges and improve the detection of the two adjacent signals.

  • Detection fails if the frequency drift of the LO is larger than the IF bandwidth. An IF bandwidth larger than approx. 3 times the maximum LO drift is generally sufficient.

  • The aperture must be adjusted to the mixer properties. A small aperture increases the noise in the group delay; a large aperture tends to minimize noise, but at the expense of the frequency resolution. Large aperture settings are preferable if the mixer shows little dispersion (i.e. almost constant delay).
    For most broadband mixers, large aperture values (10 MHz to 15 MHz) are preferable. For satellite applications, smaller apertures (2 MHz to 4 MHz) are recommended. See also Trace – Format –Aperture.

  • The calculation of the mixer delay fails if the phase shift difference between the upper and lower tones caused by the mixer exceeds 180 deg.

When a mixer delay measurement is active, the wave quantities a and b in the More Wave Quantities and More Ratios dialogs correspond to the lower tone. The primed wave quantities a' and b' correspond to the upper tone.

Connecting cables and other components in the test setup have an impact on the phase difference between the upper and the lower tone in the RF and IF signals and thus affect the measured mixer delay. Hence, an uncalibrated mixer delay measurement cannot provide the accurate "absolute" delay of a mixer.

A mixer delay calibration uses a mixer with known absolute delay as a calibration standard. Absolute mixer data can be acquired in a vector mixer measurement or in a simulation. The analyzer measures the calibration mixer and compares the measured group delay with the actual group delay in order to determine a set of correction data. The correction data is applied to subsequent measurements, if Correction On is selected in the Define Mixer Delay Measurement without LO Access dialog.

The following guidelines will help you find the appropriate calibration method:

  • For many applications, the "relative" mixer delay of different mixers is a sufficient information. Relative measurements do not require any calibration; no calibration mixer with known absolute delay is needed.

  • In cases where the delay of the calibration mixer is much smaller than the delay of the measured mixer (and small compared to an additional delay caused by the test setup), its absolute delay may be assumed to be zero. With this approximation, a calibration is still possible, but no previous vector mixer measurement for the calibration mixer is required.

  • To determine accurate absolute delays, in particular for mixers with small delay values, a calibration using a calibration mixer with known (constant or frequency/power-dependent) delay is needed.

Mixer Delay Meas

The Mixer Delay Meas submenu controls the measurement of the absolute or relative group delay of a mixer. Mixer delay measurements require option R&S ZVA-K9, Mixer Delay w/o LO Access. An additional option R&S ZVA-K10, Long Distance Mixer Delay, enables mixer delay measurements with an external receiver.

Mixer Delay Measurement

Test Setups with Internal Receiver

Test Setups with External Receiver

  • Define Mixer Delay Meas... opens a dialog to configure and activate the mixer delay measurement.

  • Cal Mixer Delay Meas... opens a dialog to perform a power calibration of the signal sources and of the IF receiver.

  • Correction Off switches the calibration on or off. To perform a calibration, click the Cal Mixer Delay Meas... softkey.

  • Reset Frequency Conv and Mix Dly switches back to normal (non frequency converting) operation.

Define Mixer Delay Measurement without LO Access

The Define Mixer Delay Measurement without LO Access wizard defines the source and receiver settings for the mixer delay measurement.

Frequency range for mixer delay measurements
After a preset, the lower tone is swept across the full frequency range of the analyzer, and the aperture is set to 1 MHz. This means that both the lower tone and the upper tone frequencies are1 out of range. Click Set Frequencies and Powers and reduce the sweep range to establish compatible settings.
The mixer delay measurement possible if the source frequency (as defined in the Port Configuration dialog) at one of the used source ports is different from the channel base frequency (the frequency-converting / arbitrary mode is active). When using this mode, ensure that the aperture does not exceed 15 MHz. Disabling the arbitrary mode can facilitate the configuration of the mixer delay measurement and the interpretation of the results.

  • Lower Tone shows the (fixed) NWA source port for the lower tone signal (port 1).

  • Upper Tone selects the NWA port 3 or external generator as a source of the upper tone signal. A combination of the NWA ports 1 and 3 ensures independent (uncoupled) sources.

  • Config Ext Generators... opens the System Configuration –External Generators dialog for adding and configuring external generators.

  • Aperture defines the frequency difference between the upper and the lower tone; see background information below. The aperture remains constant across the entire sweep.

  • Use Internal Combiner activates the internal combiner for network analyzers R&S ZVT20 that are equipped with option R&S ZVT-B11, or for network analyzers R&S ZVAxx connected to an Extension Unit R&S ZVAXxx with installed option R&S ZVAX-B211. With internal combiner, the two-tone signal signal is available at port 1; no additional cabling is needed.

  • The settings in the Receiver panel define the bandwidth and selectivity of the IF filter at test port 2.

  • Measurement Setup opens the Mixer Delay Measurement Setup dialog for selection and configuration of a test setup with an additional R&S ZVA network analyzer, to be used as an external receiver.

  • Define Mixer Measurement selects the order of the measured intermodulation products. Intermodulation products of different orders are measured at different frequencies, therefore the measurement time increases with the number of selected orders. The measured IM order also has an impact on the receiver frequency range; see note above.

  • Set Frequencies and Powers... opens a dialog to define the sweep range.

Selecting appropriate apertures and meas. bandwidths

Primed wave quantities

Remote control:

[SENSe<Ch>:]FREQuency:MDELay:UTONe
[SENSe<Ch>:]FREQuency:MDELay:APERture
[SENSe<Ch>:]FREQuency:MDELay:COMBiner[:STATe]
[SENSe<Ch>:]BANDwidth|BWIDth[:RESolution]
[SENSe<Ch>:]BANDwidth|BWIDth[:RESolution]:SELect
[SENSe<Ch>:]FREQuency:MDELay:CORRection[:STATe]

Mixer Delay Measurement Setup

The Mixer Delay Measurement Setup dialog provides the settings for a test setup with an additional R&S ZVA network analyzer (VNA2), to be used as an external receiver.

  • Receiver Configuration shows the two alternative test setups with internal and external receiver. A mixer delay measurement with internal receiver (see Test Setups with Internal Receivers) does not require any of the settings in the dialog.

  • LXI Configuration opens a dialog to configure an additional network analyzer R&S ZVA as a remote receiver. The receiver instrument must be equipped with option R&S ZVA-K9, too.

  • Use LAN1 / LAN2 selects one of the two LAN connectors at the rear panel of the source network analyzer (VNA1) for the connection. Both connectors are equivalent; select the one that you actually connect to the LAN/VNA2.

See Test Setups with External Receiver

Remote control:

[SENSe<Ch>:]FREQuency:MDELay:RECeiver
[SENSe<Ch>:]FREQuency:MDELay:RECeiver:USE
SYSTem:COMMunicate:RDEVice:RECeiver:DEFine
SYSTem:COMMunicate:RDEVice:RECeiver:DELete

Set Frequencies and Powers

The Set Frequencies and Powers dialog defines the (frequency or power) sweep ranges for the lower and upper tone.

The sweep range settings depend on the active sweep type (frequency or power sweep). The Frequency and Power settings are identical with the Channel –Stimulus settings.

The frequency of the lower tone is equal to the stimulus frequency minus half the Aperture defined in the Define Mixer Delay Measurement without LO Access dialog. The frequency of the upper tone is equal to the stimulus frequency plus half the Aperture defined in the Define Mixer Delay Measurement without LO Access dialog. The power of both tones is equal, however, the port powers can be varied using the Channel – Mode – Port Configuration table.

The Frequency Range table shows the frequency ranges for the lower and upper tone, depending on the current stimulus frequency range.

Remote control:

[SENSe<Ch>:]FREQuency:STARt
[SENSe<Ch>:]FREQuency:STOP
[SENSe<Ch>:]FREQuency:CW|FIXed
SOURce<Ch>:POWer<Pt>:STARt
SOURce<Ch>:POWer<Pt>:STOP
SOURce<Ch>:POWer<Pt>[:LEVel][:IMMediate][:AMPLitude]

Mixer Delay Meas Calibration

This dialog controls the calibration for the mixer delay measurement. The calibration is based on a comparison of the measured mixer delay with the known delay of a calibration mixer. The necessary calibration sweep is automatically performed across the entire sweep range of the active mixer delay measurement (Set Frequencies).

Mixer Power Cal procedure and example

  • The controls in the Calibration Mixer Data panel load absolute delay values for a calibration mixer. Mixer delays must be stored in ASCII files with the extension *.csv; two examples are stored in the default directory C:\Rohde&Schwarz\Nwa\Calibration\MixerDelay. The files start with a preamble, followed by a list of stimulus values and absolute group delays. The file format is compatible with the export format for trace data, therefore it is possible to generate mixer delay files in a measurement with trace format Delay.
    If an approximation with constant (or zero) delay of the calibration mixer is sufficient, select Constant Delay and enter the value into the Const. Delay input field.
    Divide Calibration Data by 2     causes the analyzer to divide the delay values in the loaded mixer delay file by two. This is appropriate e.g. if the mixer delays were obtained in a reflection measurement: The division corrects for the double propagation time in forward and reverse direction.

  • Take Cal Sweep starts the calibration sweep and calculates the correction data. If the current sweep points do not coincide with the stimulus values in the mixer data file, the delays are interpolated or extrapolated.

  • Save calls up a Save As... dialog to store the calculated correction data to a calibration file for later re-use. To be distinguished from mixer data files (*.csv), calibration files have the extension *.mcal; see file format.

  • Load calls up an Open File dialog to load correction data from a file.

Remote control:

[SENSe<Ch>]:FREQuency:MDELay:CDMode
MMEMory:LOAD:MDAData
[SENSe<Ch>:]FREQuency:MDELay:CDELay
[SENSe<Ch>]:FREQuency:MDELay:DIVide
[SENSe<Ch>:]FREQuency:MDELay:ACQuire
MMEMory:LOAD:MDCData
MMEMory:STORe:MDCData

File Format for Mixer Delay Calibration Files

The analyzer uses a simple ASCII format to export mixer delay correction data. By default, the mixer delay calibration file has the extension *.mcal and is stored in the directory shown in the Save Correction Data and Load Correction Data dialogs. The file starts with a preamble, followed by a list of stimulus values (frequencies or powers) and group delays.

Reset Freq Conv and Mix Dly

This softkey disables the mixer delay measurement mode and switches back to normal (non frequency-converting) mode.

A Mix Frq RF label in the channel list indicates that a frequency-converting mode is active. A MixDly label in the trace list indicates an active mixer delay measurement.

Remote control:

[SENSe<Ch>:]FREQuency:MDELay:CONVersion OFF


Vector Mixer Meas

In contrast to scalar mixer measurements, vector mixer measurements provide magnitude and phase information, including group delay, about the mixer under test (MUT). To assess the phase information, the IF signal at the mixer output is converted back to the original RF frequency using a second MEAS mixer. A third REF mixer ensures that the reference wave is converted back to the RF frequency. The test setup also requires a high or low pass filter and a power splitter.

Vector mixer measurements are performed between ports 1 and 2 of the network analyzer. Port 1 is assigned to the RF port of the mixer under test, port 2 to the IF port. Due to the two additional mixers, the frequencies of the measured waves a1, a2, b1, and b2 are all equal so that S-parameters and other quantities can be interpreted in the usual way, in analogy to the parameters of a non frequency-converting network. The LO signals for the MUT and the additional mixers can be provided by additional analyzer ports (port3, port 4, if available) or by external generators.

With the extended test setup, calibration becomes an important issue: In addition to the power calibration of the source signals, a complete two-port calibration at ports 1 and 2 (mixer vector calibration) is required to compensate for the effects of the additional components and shift the reference plane towards the ports of the mixer under test.

In the vector mixer mode the analyzer provides the following functionality:

  • Configuration of the RF and LO signals and measurement of the generated IF signal, see Define Mixer Mode and Vector Mixer Test Setup.

  • Power calibration of all signal sources; see Mixer Power Calibration.

  • Full two-port calibration of the test setup including the two additional mixers; see Mixer Vector Calibration.

  • The vector mixer mode can be used to test important performance parameters of RF mixers such as frequency ranges, conversion loss, compression, and isolation.

If the mixer under test is measured in down-converting mode (IF = RF – LO or IF = LO – RF), a low-pass filter must be used to reject the up-converted IF signal at IF = RF + LO. If fed to the IF input of the MEAS mixer, the RF + LO signal would be down-converted to RF, which would make it indistinguishable from the RF – LO signal, up-converted to RF. The cut-off frequency of the low-pass filter must be between Max(RF – LO) and Min(RF + LO).

If the mixer under test is measured in up-converting mode (IF = RF + LO), a high-pass filter must be used to reject the down-converted IF signal at IF = RF – LO. If fed to the IF input of the MEAS mixer, the RF – LO signal would be up-converted to RF, which would make it indistinguishable from the RF + LO signal, down-converted to RF. The cut-off frequency of the high-pass filter must be between Max(RF – LO) and Min(RF + LO).

The alternative test setups place different requirements on the NWA receivers and the additional equipment.

Test setup (Aux Mixer)

Receiver requirements

Low pass / high pass filter requirements

Port 2, forward measurement (port 1 --> port 2)

RF signal is converted to IF by the MUT and passes the coupler at NWA port 2 as well as the MEAS mixer before it reaches the measurement receiver.

--> Reduced accuracy for network analyzers with an upper frequency limit > 20 GHz and IF frequencies <600 MHz.

The distance between the two IF bands increases with the LO frequency.

--> Moderate filter requirements for "standard" measurement scenarios where fRF >> fIF, fLO >> fIF.

Port 2, reverse measurement (port 2 --> port 1)

No limitations

n/a

Port 1, forward measurement (port 1 --> port 2)

No limitations

n/a

Port 1, reverse measurement (port 2 --> port 1)

IF signal is converted to RF by the MUT and passes the coupler at NWA port 2 as well as the MEAS mixer before it reaches the measurement receiver.

--> Reduced accuracy for network analyzers with an upper frequency limit > 20 GHz and RF frequencies <600 MHz.

The distance between the two RF bands decreases if a smaller IF frequency is chosen.

--> High filter requirements for "standard" measurement scenarios with low IF frequencies.

  • Avoid test setup "Port 2", if you use a network analyzer with an upper frequency limit > 20 GHz and work at IF frequencies <600 MHz.

  • Avoid test setup "Port 1", if the edge of your low pass or high pass filter is not steep enough to clearly separate the two RF bands in the reverse measurement.

Example: RF frequency: 1.1 GHz ... 1.2 GHz, LO Frequency: 1.0 GHz, IF = RF – LO (Down, USB). An R&S ZVA24 network analyzer is used.

--> IF = 100 MHz ... 200 MHz. For best accuracy in the forward measurement, use test setup "Port 1". In the reverse measurement, this test setup requires a high pass filter with a cutoff 900 MHz < fc < 1.1 GHz.

Due to the different frequency ranges of the input and output signals and the external equipment needed, the mixer power calibration must be performed in several steps. For the standard test setup where the RF and LO signals are provided by port 1 and an external generator, respectively, where the RF signal is swept, and where the IF signal is analyzed at port 2, the following test setups are required:

  1. Source power calibration for the RF signal. A power sensor is connected to port 1. The RF power (red) is calibrated over the selected RF sweep range.

  2. Source power calibration for the IF signal. A power sensor is connected to port 2. The IF power (red) is calibrated over the IF sweep range, calculated from the selected RF sweep range and the LO frequency. No additional external devices such as mixers are needed.

  3. Source power calibration for the LO signal, provided by an external generator. A power sensor is connected to the generator's RF output (red signal). The analyzer controls the generator, its RF power (red) is calibrated at the selected IF frequency. No RF connection to or from the network analyzer is needed.

Vector Mixer Meas

The Vector Mixer Meas submenu is used to assess the parameters of an external mixer including phase, e.g. the complex conversion loss or reflection coefficients. Compared to scalar mixer measurements, vector mixer measurements require an extended test setup and calibration method. Vector mixer measurements also require option R&S ZVA-K5, Vector Mixer Calibration. Moreover, the hardware options R&S ZVA<n>-B16, Direct Generator/Receiver Access, must be fitted.

Vector mixer measurements

  • Define Vector Mixer Meas... opens a dialog to configure the mixer input signals.

  • Vector Mixer Meas and Reset Frequency Conversion toggle between the (frequency-converting) vector mixer mode and normal (non frequency converting) operation.

  • Mixer Power Cal...opens a dialog to perform a power calibration of the signal sources and of the IF receiver.

  • Mixer Vector Cal... initiates a two-port calibration of the extended test setup including the two additional mixers and the low pass or high pass filter.

Define Vector Mixer Meas...

Opens a configuration dialog for the mixer input signals and indicates the extended test setup.

In the upper part the Define Mixer Measurement dialog shows a diagram with the test setup for vector mixer measurements. Below the dialog provides the following control elements:

  • Two port selection lists contains all analyzer ports or external generators which can provide the local oscillator (LO) signals. Ports no. 1 and 2 are always used for the RF signal and the measured IF signal (mixing product), so they are not included in the lists. Generators must be configured explicitly in the System Configuration –External Generators dialog before they appear in the lists. None means that a LO generator is not controlled by the analyzer.
    A power splitter is required to supply both the MEAS and the REF mixer ("Aux Mixer") with a LO signal (termed "Aux LO") from a single source. With a second splitter or a 3-way splitter, it is possible to supply all three mixers from a single source.

  • Aux Mixer selects one of two alternative test setups, with the MEAS and REF mixers connected to either port 2 or port 1.

  • Config Ext. Generators... opens the System Configuration –External Generators dialog for adding and configuring external generators.

  • Set Powers... opens a dialog to control the power of the RF and the LO signals.

  • Set Frequencies... opens a dialog to control the frequency of the RF and the LO signal and the analyzer (IF signal) frequency.

For network analyzers with upper frequency limits above 20 GHz, the lower IF frequency limit is 600 MHz, if the MEAS and REF mixers are connected to port 2. Change the test setup if the IF frequency falls below this limit.

Remote control:

[SENSe<Ch>:]FREQuency:CONVersion:MIXer:LOINternal <port_no>
[SENSe<Ch>:]FREQuency:CONVersion:MIXer:LOEXternal <gen_no>

[SENSe<Ch>:]FREQuency:CONVersion:MIXer:AINTernal NONE | <port_no>
[SENSe<Ch>:]FREQuency:CONVersion:MIXer:AEXTernal NONE | <gen_no>
[SENSe<Ch>:]FREQuency:CONVersion:MIXer:APORt <port_no>

Vector Mixer Meas, Reset Frequency Conversion

The softkey Vector Mixer Meas activates the vector mixer mode, where the analyzer ports provide different source frequencies. Reset Frequency Conversion disables all frequency-converting measurements, including e.g. an active scalar mixer, mixer delay, or harmonic distortion measurement.

A Mix Frq RF label in the channel list indicates that a frequency-converting mode is active.

Remote control:

[SENSe<Ch>:]FREQuency:CONVersion VMIXer | FUNDamental

Vector Mixer Test Setups

The mixer signal diagram shows the test setup including the mixer under test (MUT) and the two additional mixers ("Aux mixer")), the RF and LO signals, the mixing product (IF) with the necessary low or high pass filter, and the current frequency and power ranges for all signals. The diagram appears in the Define Vector Mixer Measurement dialog.

The mixer diagram changes along with the selected position of the MEAS and REF mixers. The example below corresponds to Aux Mixer: Port 2. The alternative diagram is symmetric, with the MEAS and REF mixers connected to port 1. See background information Finding the best test setup below.

  • The RF signal is the stimulus signal that the analyzer generates with the current channel settings. After a reset the frequency and power of the RF signal is as defined in the Channel –Stimulus menu. The RF signal parameters can be changed in the Set Power... and Set Frequencies... dialogs.

  • The Local Oscillator (LO) signals are two additional RF signals that are either generated by the network analyzer (at the ports that are not used for the RF and IF signals, i.e. port 3, 4...) or by external generators. Both LO signals are at the same frequency. The first LO signal is fed to the LO input of the MUT, the second to the additional mixers using an appropriate power splitter (not in the diagram). If necessary, appropriate amplifiers can be used in addition. With a second power splitter or a 3-way splitter, it is also possible to supply all three mixers from a single source.
    On four-port analyzers, it is recommended to use the (coupled) analyzer ports port 3 and port 4 for the LO signals.

  • The IF signal is the mixer output signal (mixing product), which is at one of the following frequencies: IF = |LO – RF|, i.e. LO – RF (for LO > RF) or IF = RF – LO (for RF > LO) or IF = LO + RF. The IF frequency band is selected in the Set Frequencies... dialog.

  • The low pass or high pass filter rejects the undesired mixing product that might impair the accuracy of the measurement and of the mixer vector calibration. The required filter type and cut-off frequency are displayed in the diagram, depending on the RF / LO frequencies and the selected IF band.

  • The additional mixer MEAS converts the filtered IF signal from the mixer under test back to the RF frequency which is fed to the measurement receiver at port 2.

  • The additional mixer REF converts the IF signal from the internal source at port 2 to an RF signal which is fed to the reference receiver.

The signal description above with the swept RF signal and the LO signal at a fixed frequency corresponds to the default configuration. In the Set Frequencies dialog, you can select any of the signals as a Sweep/CW signal. You can set the frequency range of this signal via Start/Stop or CW Frequency. A second signal is at a Fixed frequency, and the third at the calculated sum or difference frequency (Auto).

The vector mixer measurement is also compatible with different sweep types, e.g. a power sweep. The labeling of the input and output signals of the MUT depends on the sweep type.

Finding the best test setup

Mixer Power Cal...

Opens a dialog to perform a power calibration of the signal sources and of the IF receiver. A power calibration ensures accurate levels of the mixer input signals (RF, IF, and LO source power calibration). The necessary calibration steps are automatically performed across the entire frequency range of the active mixer measurement (Set Frequencies).

Mixer Power Cal procedure and example

  • Take Cal Sweep in the three numbered panels starts the calibration sweeps for the RF source, IF source, and the LO source, respectively. The measured power is shown in the diagram in the center of the dialog and the sweep progress in the progress bar below.

  • Abort Sweep stops the current sweep, e.g. in order to change the sweep settings.

  • The calibration sweeps are performed according to the settings shown in the Settings panel in the upper right section of the dialog. Modify Settings opens the Modify Source Power Cal Settings dialog to modify the essential settings of the next calibration sweep.

  • Power Meter selects an external power meter that is used to measure the exact source power at the calibration point; see Power Meter Settings. Power meters (Pmtr1, Pmtr2, ...) must be configured in the System Configuration – External Power Meters dialog before they appear in the list.

  • Perform Verification Sweep after Cal enables or disables a verification sweep that the analyzer performs after each source power calibration. The sweep is also displayed in the calibration sweep diagram. Its purpose is to test the accuracy of the source power calibration after the final correction data has been acquired.

Remote control:

SOURce<Ch>:POWer<Pt>:CORRection:PMETer:ID
SOURce<Ch>:POWer<Pt>:CORRection:MIXer:RF[:ACQuire]
SOURce<Ch>:POWer<Pt>:CORRection:MIXer:IF[:ACQuire]
SOURce<Ch>:POWer<Pt>:CORRection:MIXer:LO[:ACQuire]
Mixer Vector Cal...

Opens a submenu to perform a 2-port calibration (system error correction) for vector mixer measurements. The calibration can be performed manually or using a calibration unit.

  • Manual Cal... opens the Calibration wizard for two full one-port calibrations at ports 1 and 2.

  • Calibration Unit... opens a dialog for (partially) automatic calibration using the connected calibration unit.

Both calibration methods provide equivalent results.

Manual Cal...

Opens the calibration wizard to perform a 2-port calibration (system error correction) for vector mixer measurements. The calibration is performed with the complete test setup including the additional mixers MEAS and REF and the high pass or low pass filter. The mixer under test (MUT) is simply replaced by the required calibration standards. The effect of the calibration is to shift the reference plane to the MUT ports as shown below (red lines represent the reference plane without calibration and with closed jumper connectors, green lines represent the reference plane after calibration).

Due to the frequency-converting properties of the vector mixer measurement, the factory calibration is not applicable and therefore suspended. The Measure Standards calibration dialog shows uncorrected, raw measurement results; the mixer vector calibration is based on these results.
A proper mixer vector calibration is essential for an accurate vector mixer measurement.

The mixer vector calibration corresponds to a 2-port UOSM calibration where the unknown through standard is replaced by an unknown calibration mixer. In analogy to the unknown through standard used for UOSM calibration, the calibration mixer must be reciprocal (S21 = S12).

If your mixer under test is reciprocal, you can also use it as a calibration mixer.

Remote control:

[SENSe<Ch>:] CORRection:COLLect:METHod:DEFine
"<cal_name>", UOSM, <port_no>[,<port_no>][,<port_no>][,<port_no>]
[SENSe<Ch>:]CORRection:COLLect[:ACQuire]:SELected
UTHRough,<port_no>,<port_no>[, <Dispersion>, AUTO | <delay | phase>]

See also calibration wizard description.

Calibration Unit...

Opens a dialog for automatic vector mixer calibration using the connected calibration unit.

The dialog shows the active calibration unit and characterization. Click Change Active Calibration Unit or Characterization... to change these settings. The port assignment displayed in the center of the dialog must not be changed.

The automatic calibration procedure is analogous to manual calibration, however, automatic calibration involves only two steps:

  • The active cal unit provides the one-port standards for ports 1 and 2. Connect the cal unit between ports 1 and 2 and click the left Take Cal Sweep button to obtain all necessary one-port correction data at once.

  • The calibration unit does not provide any frequency-converting calibration standards. Connect a reciprocal calibration mixer between ports 1 and 2 and click the right Take Cal Sweep button to obtain the missing 2-port correction data.

The order of the calibration sweeps is arbitrary. Click Apply to start the calculation of the system error correction data and apply the calibration to the active channel.


Noise Figure (Channel - Mode)

The noise figure of a device is the ratio of the output signal-to-noise ratio (SNR) to the input SNR, provided that a thermal noise signal is fed to the input. It is a measure of the degradation of the SNR caused by the device.

The purpose of the Noise Figure Meas is to assess the noise figure of a DUT which operates in its linear range. A typical example is an amplifier which is measured in transmission. The method of measurement offers several advantages:

  • No additional noise source is required.

  • The result can be obtained in a single sweep.

  • The test setup is as simple as for a basic transmission measurement: The DUT must be connected only once. Moreover, it is possible to perform S-parameter measurements in parallel to the noise figure measurement.

Noise figure measurements can be performed irrespective of the sweep type: A frequency sweep yields the noise figure as a function of the frequency, a power sweep yields the power-dependent noise figure at fixed frequency. See also Basic Test Setup and Noise Figure Calculation.

Refer to application note 1EZ61 for a detailed discussion of the noise figure measurement including many examples.

During the noise figure measurement stage, the analyzer must determine the powers of the CW signal and of the noise signal at the output of the DUT (PSignal, 2, PNoise, 2). This may be done in a single or in two measurement stages.

  • In Sequential mode, the noise power and the CW signal power are measured in two consecutive sweeps. The first step consists of a normal gain measurement. In the second step the source CW power is reduced to obtain the noise power from the AVG and RMS detector values.
    Advantages:     This mode provides accurate results over a wide range of source powers. In general, no additional external equipment (attenuator) is needed.
    Shortcoming:     Increased (doubled) measurement time.

  • In Simultaneous mode, the noise power and the CW signal power are measured in a single sweep using two different detector settings.
    Advantages:     Shortest measurement time; the noise figure of the DUT is measured under normal operating conditions.
    Shortcoming:     Higher source noise. For accurate results the input power at the DUT should be in the range between approx. –70 dBm and –50 dBm. For network analyzers without generator step attenuators, an external attenuator is required.

The noise figure calibration is performed in two steps. A third step is added if an external attenuator is used.

1. Receiver noise calibration of the analyzer's receive port. The receive port (assigned to the DUT output) is terminated with a 50 Ω match. The connecting cable for the DUT should also be used to connect the match. If a pre-amplifier (preferably, the low-noise preamplifier R&S ZVAX-B203) is used for the measurement, it is also part of the calibration test setup. The dot in the figure below denotes the position of the DUT output in the measurement test setup.

The noise figure of the NWA receiver (including the connecting cable and a possible pre-amplifier) limits the accuracy of the noise figure measurement as a whole. A pre-amplifier with a higher gain can reduce the receiver noise figure.

2. Source noise calibration of the analyzer's source port. The DUT is replaced by a through connection; its attenuation should be as small as possible. If a pre-amplifier is used for the measurement, it is also part of the calibration test setup. The two dots in the figure below denote the position of the DUT input and output in the measurement test setup.

3. Attenuator calibration, if the measurement is performed with an external attenuator. The external attenuator and a possible pre-amplifier are part of the calibration test setup. The DUT is replaced by a through connection. The two dots in the figure below denote the position of the DUT input and output in the measurement test setup.

Noise Figure Measurement

The Noise Figure Meas submenu controls the measurement of the noise figure of a DUT. This measurement requires option R&S ZVAB-K30.

Noise Figure Measurements

  • Noise Figure Setup Guide opens a dialog which helps you perform all the necessary steps for a noise figure measurement in the right order. All configuration and calibration dialogs for the noise figure measurement can be accessed from the setup guide.

  • Define Noise Figure Meas... provides basic parameters for the noise figure measurement. Open this dialog to modify the definitions of the setup guide.

  • Noise Figure Cal... opens a dialog to assess and compensate the internal noise at the NWA receiver and source. Open this dialog to modify the calibration procedure of the setup guide.

  • Correction Off (de)activates the noise figure calibration for the active channel.

Performing a noise figure measurement

Basic Test Setup and Noise Figure Calculation

The schematic test setup for a noise figure measurement is shown below.

The NWA source provides a superposition of a CW signal and a noise signal. The latter generally consists of the thermal noise NT, 1 and a possible additional contribution ΔN:

PNoise, 1 = NT, 1 + ΔN

The definition of the noise figure FD is based on a pure thermal noise signal (ΔN = 0):

FD = (PSignal, 1 / NT, 1) / (PSignal, 2 / PNoise, 2) = PNoise, 2 / (NT, 1 * GD) where GD = PSignal, 2 / PSignal, 1

ΔN is supposed to be amplified like the CW signal. Hence, the noise signal at the output of the DUT equals to:

PNoise, 2 = GD * (FD * NT + ΔN)

According to the equations above, it is possible to calculate both the gain GD and the noise figure FD of the DUT, if the four powers PSignal, 2, PSignal, 1, PNoise, 1, PNoise, 2 can be measured with sufficient accuracy. The measurement requires two steps:

  • Source noise calibration of the driving NWA port --> PSignal, 1, PNoise, 1. This step is required only once for a given channel configuration.

  • Transmission measurement of the DUT --> PSignal, 2, PNoise, 2. The analyzer uses two different detector settings to separate the CW signal and the noise signal contributions. The Average detector yields the CW signal power; the RMS detector yields the sum of the CW signal and noise power.

Conditions for the measurement

  • Option R&S ZVAB-K30, Noise Figure Measurement, provides the measurement including the necessary (wide-band) IF filters. Internal source attenuators are recommended but may be replaced by an external attenuator.

  • The measurement algorithm is based on the assumption that the DUT operates in its linear range so that all input signal contributions are amplified by the same gain factor.

  • A power calibration (source power calibration using an external power meter and subsequent receiver power calibration) prior to the noise figure calibration and to the actual measurement is essential for an accurate measurement of the noise power at the NWA receiver.

  • The Noise Figure Calibration is important to assess the internal noise figure of the NWA receiver and generator.

  • The power calibration and noise figure calibration correspond to a transmission normalization of the test setup. An additional system error correction (S-Parameter Calibration) using an AVG detector calibrates the gain GD and improves the accuracy of the noise figure measurement.

The Noise Figure Setup Guide helps you perform all the necessary steps consistently and in the right order.

Extensions

  • The network analyzer provides two alternative measurement procedures for maximum flexibility concerning the signal levels or maximum speed. See Sequential vs. Simultaneous measurement.

  • To prevent excess input levels (especially for analyzers without source attenuators), it is possible to loop an external attenuator in-between the NWA source port and the input of the DUT. An external attenuator can also improve the match at the input of the DUT. Proper noise figure calibration ensures that the gain and noise figure of the external attenuator is compensated.

  • Conversely, it is possible to use an external low-noise preamplifier in order to reduce the noise figure of the NWA receiver and thus improve the measurement accuracy. The gain and noise figure of the pre-amplifier is also compensated during the noise figure calibration. Refer to the background information in section Noise Figure Calibration to learn more about the relationship between receiver noise figure, preamplifier gain and measurement accuracy.
    A suitable low-noise preamplifier (option R&S ZVAX-B203) is available in combination with the Extension Unit, R&S ZVAX24.

  • Options R&S ZVA-B16, Direct Generator and Receiver Access, improve (i.e. reduce) the noise figure of the NWA source and receiver. On analyzers equipped with options R&S ZVA-B16, it is also possible to measure the noise figure using a single port. Connect the NWA port connector to the DUT and route back the output signal to the MEAS IN connector of option R&S ZVA-B16. On a four-port analyzer, this allows you to measure four DUTs in parallel.

  • On four-port analyzers, it is possible to perform two noise figure measurements in parallel using two different port combinations.

  • Network analyzers with upper frequency limits in the microwave range have an enhanced coupling attenuation below 1 GHz. This can impair the accuracy of the noise figure measurement.

Performing a noise figure measurement

Noise Figure Setup Guide

The Noise Figure Setup Guide gives access to all necessary steps of a noise figure measurement. The dialog is similar to a wizard, however, everything is arranged in a single dialog. The panels numbered 1. to 7. suggest a meaningful order for the different steps. In some cases, it is possible to change the order or skip a step entirely (e.g. a calibration may be skipped if a valid calibration for the test setup is already available).

The buttons in the different panes open dialogs or wizards; all of them are also accessible from the menus of the network analyzer. In general, it is advantageous though to open the dialogs from the setup guide, because this will adjust some of the settings to the requirements of the noise figure measurement.

The setup guide provides the following panels/steps:

1. DUT Port Connection defines the basic test setup, i.e. the input and output ports of the DUT/NWA. With option R&S ZVA-B16, Direct Generator and Receiver Access, it is possible to measure the noise figure at a single port (<DUT Input> = <DUT Output>); see section Basic Test Setup and Noise Figure Calculation.

2. Source Power Calibration gives access to the Source Power Cal dialog for the previously selected DUT Input port and base power. The base power setting overwrites the Channel – Power Bandwidth Average –Power setting as soon as the calibration dialog is opened.

3. Receiver Power Calibration gives access to the Receiver Power Cal dialog for the previously selected DUT Output port. If a preamplifier is connected between the DUT and the receive port of the analyzer, or if the output signal of the DUT is fed to the MEAS IN connector of option R&S ZVA-B16, Direct Generator and Receiver Access, in order to bypass the coupler and improve the receiver noise figure, the check box should be selected. This activates the input fields for base power and source step attenuator settings (if available), which you may have to adjust to the test setup in the receiver path in order to avoid excess receiver input powers (receiver compression; see data sheet). An active check box has no additional effects.
The base power setting overwrites the Channel – Power Bandwidth Average –Power setting as soon as the calibration dialog is opened. The step attenuator setting overwrites the source attenuator settings for the DUT Input port in the Channel – Power Bandwidth Average –Step Attenuators dialog.

4. Define Noise Figure opens the Define Noise Figure Measurement dialog, providing basic settings for the noise figure measurement.

5. Noise Figure Calibration opens the Noise Figure Calibration dialog to assess and compensate the internal noise at the NWA receiver and source.

6. S-Parameter Calibration opens the Calibration wizard for the previously selected input and output ports and the Cal Method. If this step is skipped, the previous power and noise figure calibrations effectively ensure a transmission normalization; the noise figure trace line contains no calibration label. With an additional One Path Two Port or Full Two Port calibration, the system error correction of the gain GD (and thus the noise figure measurement in total) is improved; the trace lines for the calibrated ports indicate Cal. A Full Two Port calibration requires more calibration measurements but provides best accuracy; see section Calibration Types.
Note: An S-parameter calibration is required for S-parameter measurements in parallel to the noise figure measurement. The large IF bandwidth required for noise figure measurements limits the accuracy of the calibration and the subsequent S-parameter measurements; the AVG detector can improve the results.

7. Configure Traces provides a selection of traces which are commonly of interest for the noise figure measurement. The selected traces are created and displayed when the Replace or Add buttons are clicked. The noise figure trace (NF21) is smoothed automatically (label SMO in the trace line). The large IF bandwidth limits the accuracy of the S-parameter measurement; the AVG detector can improve the results. Use the Trace – Measure menu if you wish to modify the trace settings.
To avoid misleading results, S-parameter selection is enabled only after an S-Parameter Calibration has been performed.

Define Noise Figure Meas...

Provides basic parameters for the noise figure measurement.

  • Detector Meas Time sets the time that the analyzer uses to acquire data with each of the detector settings (Avg, RMS; see Detector). The two detectors are used to separate the CW signal and the noise signal at the output of the DUT. A smaller measurement time enhances the total measurement speed, possibly at the expense of accuracy. With the default measurement time, the great majority of noise powers should be measured correctly. If you reduce the detector measurement time, ensure that the variation of the measurement results does not increase significantly.

  • Measurement of Gain and Noise selects a measurement procedure for maximum flexibility concerning the signal levels or maximum speed; see background information below.

  • OK activates the noise figure measurement using the current settings. Note that the filter settings are automatically adjusted to the requirements of the noise figure measurement: An IF bandwidth of 5 MHz and a filter with high selectivity is activated. The filters are available if option R&S ZVAB-K30, Noise Figure Measurement, is installed.

Sequential versus Simultaneous measurement

Remote control:

[SENSe<Ch>:]SWEep:DETector:TIME
[SENSe<Ch>:]NFIGure:SEQuential

Noise Figure Cal...

Opens a dialog to assess and compensate the internal noise at the NWA receiver and source. The noise figure calibration should be performed after regular power calibration using an external power sensor following the instructions in section Power Calibration. It is required for various reasons (see also Basic Test Setup and Noise Figure Calculation):

  • The Receiver Noise Calibration determines the noise figure of the internal NWA receiver and ensures an accurate measurement of the output signals PSignal, 2, PNoise, 2.

  • The Source Noise Calibration determines the noise figure and gain of the internal NWA source and provides the accurate source signal contributions PSignal, 1, PNoise, 1.

  • If an additional external attenuator is used (see Sequential vs. Simultaneous measurement), the noise contribution of this attenuator must be compensated in addition.

The necessary calibration steps are automatically performed with the channel settings of the active noise figure measurement.

Noise Figure Calibration procedure

  • DUT Input and DUT Output denote the input and output ports of the DUT/NWA.

  • Gen Atten for Src NCal reduces the source level during the source noise calibration (calibration step no. 2) by the selected value. Increase the attenuation factor to protect a pre-amplifier with sensitive input from excess input levels. In general, a small attenuation factor improves the accuracy of the source noise figure measurement.

  • Gen Atten for DUT Meas reduces the source level during the measurement (i.e., after the noise figure calibration). Select an appropriate factor to ensure that the DUT is operated in its linear range. If Gen Atten for DUT Meas differs from Gen Atten for Src NCal, then the source noise calibration is extended by a second calibration sweep which compensates the effect of the additional attenuator (Attenuator Cal).

  • IF Gain a configures the receiver path for the reference channels (a-waves). The default setting Low Distortion is appropriate for relatively high RF levels. Changing the default setting can be appropriate e.g. if an external pre-amplifier and a large Gen Atten for Scr NCal value is used.

  • IF Gain b configures the receiver path for the measurement channels (b-waves). The default setting Low Noise is appropriate for relatively low RF levels and ensures maximum dynamic range.

Remote control:

SENSe1:POWer:IFGain<pt>:MEASure
[SENSe<Ch>:]CORRection:COLLect:NFIGure:STARt
[SENSe<Ch>:]CORRection:COLLect:NFIGure[:ACQuire]
[SENSe<Ch>:]CORRection:COLLect:NFIGure:SAVE
[SENSe<Ch>:]CORRection:COLLect:NFIGure:END

Correction Off

Activates or deactivates the Noise Figure Calibration in the active channel. Correction Off is available only after a calibration has been performed and applied to the active channel.

With deactivated correction, the analyzer calculates an approximate noise figure, neglecting the influence of internal noise, attenuators etc. This can introduce large deviations between the uncorrected and the corrected traces.

Remote control:

[SENSe<Ch>:]CORRection:NFIGure[:STATe]


Intermodulation

An intermodulation measurement is performed with two RF signals of equal power but different frequencies termed the upper and lower tone. The purpose of the measurement is to test the properties of a DUT that is supplied with a signal that covers a frequency band, typically a modulated RF channel. To simulate this scenario, the frequency difference ("tone distance") between the upper and lower signal is chosen to be small compared to the frequencies of the two tones:

fL ≈ fU or Δf = fU – fL << fL

A nonlinear behavior of the DUT causes emissions at frequencies which correspond to sums and differences of the upper and lower tone frequencies and their integer multiples. These intermodulation products can be in the vicinity of the upper and lower tone frequencies, provided that their order is odd.

The analyzer measures the intermodulation products of kth order IMk (where k = 3, 5, 7, 9) at the lower tone frequency minus (k – 1)/2 times the tone distance and at the upper tone frequency plus (k – 1)/2 times the tone distance. For an R&S ZVA analyzer that is equipped with option R&S ZVA-B16, Direct Generator/Receiver Access, a test setup of the following type is recommended:

The lower tone signal is generated at port 1, the upper tone is provided by a second source (port 3). Both signals are combined externally and fed to the SOURCE IN connector at port 1. Thus the superimposed signals are available at test port 1 and can be fed to the DUT input. The intermodulation quantities can be measured at the DUT input (reflected wave a1) or at the DUT output (transmitted wave b2). It is possible to change the port numbers and to use external generators for the upper and lower tone signals.

On R&S ZVA-Z67 network analyzers, all ports have independent internal sources. You can perform intermodulation measurements with an arbitrary combination of two source ports.

The following alternative test setup does not require an external coupler but provides a reduced dynamic range.

The lower tone from port 1 and the upper tone from port 3 are combined using the directional coupler of port 3. Ports 1 and 3 are connected as follows: SOURCE OUT (1) to MEAS OUT (3) and Port 3 to SOURCE IN (1). The superimposed signals are available at test port 1 and can be fed to the DUT input. The intermodulation quantities can be measured at the DUT input (reflected wave a1) or at the DUT output (transmitted wave b2). It is possible to change the port numbers and to use external generators for the upper and lower tone signals. For more details about the test setup see Intermodulation Power Calibration and Level Handling.

Other analyzer configurations

If you use an external combiner but no options R&S ZVA-B16, you can still measure the intermodulation products at the output of the DUT.

With an R&S ZVT20 network analyzer that is equipped with option R&S ZVT-B11, you can combine the two source signals internally without using the SOURCE IN/OUT connectors and an external combiner. You can also replace the external combiner by an Extension Unit R&S ZVAX with installed option R&S ZVAX-B211.

The intermodulation measurement provides two different types of results.

1. In the swept measurement, the analyzer performs a frequency or power sweep of the two-tone stimulus signal and displays the selected intermodulation quantities as a function of the lower-tone frequency or power.

2. In the intermodulation distortion spectrum measurement, the frequency and power of the lower and upper tones is kept constant; the analyzer displays all intermodulation products in the vicinity of the signals up to a selectable order.

The intermodulation distortion measurement can be extended to frequency-converting DUTs. E.g. it is possible to feed the two-tone source signal to the RF input of a mixer and measure the intermodulation distortion of the IF output signal, after conversion with an additional LO signal.

The Define Mixer Measurement dialog can be accessed from the intermodulation distortion measurement dialog. You can also use the Port Configuration dialog to configure an arbitrary frequency-converting measurement.

Due to the different frequency ranges of the lower tone and the upper tone signals, the intermodulation distortion measurement power calibration must be performed in several steps. For a scenario where the directional coupler of port 3 is used to combine the lower tone from port 1 and the upper tone from port 3, and where the output of the DUT is connected to port 2, the following test setups are required.

1. Source power calibration for the lower tone signal. A power sensor is connected to port 1. Ports 1 and 3 are connected as shown below (SOURCE OUT (1) to MEAS OUT (3) and Port 3 to SOURCE IN (1)). The RF power (red) is calibrated over the selected sweep range.
During the lower tone source power calibration, the upper tone is switched off. If a frequency-converting measurement is active, a second source power calibration is performed at the converted lower tone frequency (receiver frequency). This second source power calibration is the basis for the receiver calibration in step 3.

Power considerations
The directional coupler introduces a coupling loss of approx. 10 dB. Adjust the port power settings to account for this attenuation and possible additional effects; see Level Handling during Power Calibration.

2. Source power calibration for the upper tone signal. The test setup from step 1 is maintained.
During the upper tone source power calibration, the lower tone is switched off. For frequency-converting measurements, no new source power calibration at the receiver frequency is performed.

3. Receiver power calibration for the measured intermodulation product(s). No external device is needed. The receiver (port 2) is calibrated at the frequency of the intermodulation product(s) using the source signal from port 1 (lower tone signal, red) calibrated in the first step. If a frequency-converting measurement is active, a second receiver power calibration is performed at the converted lower tone frequency.

The calibration steps for the other test setups are analogous. Refer to the indications in the power calibration dialog for a correct connection of the power meter and the receive port.

The directional couplers in network analyzers which cover the microwave range (R&S ZVA/ZVT20 and above) have a larger coupling loss, especially at very low frequencies (e.g. 20 dB loss at 10 MHz). If the (possibly converted) lower tone (or an intermodulation product of interest) must be measured at low frequencies, a reduced channel base power may be required.

Example: Lower tone frequency: 1 GHz; the lower tone is fed to a mixer, together with an arbitrary upper tone and a 990 MHz LO signal. The converted lower tone in the mixer output (IF) signal is measured at 10 MHz. The lower tone frequency is >> 10 MHz. However, in the first power calibration step, the analyzer calibrates the port 1 signal at the converted frequency, so the maximum channel base power is equal to:
pb, max = <maximum source power> – 20 dB = – 5 dBm (typical value)

Possible remedy: Select port 3 as a source port for the lower tone.

Intermodulation Distortion Measurement

The Intermod Distortion Meas submenu controls the intermodulation distortion measurement including power calibration. The intermodulation distortion measurement requires option R&S ZVA-K4. The results can be selected from the Trace – Measure –Intermod Distortion Quantities submenu.

Intermodulation measurement, test setups

Intermodulation measurement, results

Intermodulation measurement with frequency conversion

  • Define Intermod Dist Meas... opens a wizard that you can use to configure the intermodulation measurement. The remaining entries in the submenu are available as soon as a valid configuration has been defined.

  • CW Mode Intermod Spectrum... opens a dialog that you can use to configure the intermodulation distortion spectrum measurement.

  • Intermod Dist Meas Power Cal opens the power calibration wizard for the intermodulation measurement.

  • Reset Frequency Conv and Intermod disables the intermodulation measurement mode and switches back to normal (non frequency-converting) mode.

Define Intermodulation Distortion Measurement

The Define Intermodulation Distortion Measurement wizard defines the source and receiver settings for the intermodulation measurement.

Frequency range for intermodulation measurements
After a preset, the lower tone is swept across the full frequency range of the analyzer, which means that the upper tone frequency is out of range. Click Set Frequencies and Powers and reduce the sweep range to establish compatible settings.
The intermodulation products of kth order (IMk) are measured at the lower tone frequency minus (k – 1)/2 times the tone distance and at the upper tone frequency plus (k – 1)/2 times the tone distance. These receiver frequencies must be within the frequency range of the analyzer, too.
The analyzer displays a message if the source frequency (as defined in the Port Configuration dialog) at one of the used source ports is different from the channel base frequency (the frequency-converting / arbitrary mode is active). Disabling the arbitrary mode ensures a valid port configuration and facilitates the interpretation of the intermodulation distortion results.

  • Lower Tone selects an analyzer port or an external generator as a source of the lower tone signal. If Port 1 is selected as the Two Tone Output, then Port 1 must also provide the lower tone. This condition ensures a consistent receiver power calibration for the intermodulation products at the DUT output port (e.g. Port 2, for details refer to the description of the power calibration procedure in section Intermodulation Distortion Measurement Power Calibration).

  • Upper Tone selects an analyzer port or external generator as a source of the upper tone signal. The source must be different from the lower tone source. This means that you cannot combine coupled generator ports (port 1/2, port 3/4 etc.) for the lower and upper tones.

  • Two Tone Output defines the source of the two tone signal which is fed to the input of the DUT. For analyzers without option R&S ZVA-B16, Direct Generator/Receiver Access, and without an internal combiner , the setting Ext. Dev. (external device) is fixed: The analyzer assumes that the lower tone and the upper tone signals are combined by external means. If one of the options above is available, the lower tone source Port 1 may be selected alternatively. The two basic test setups are described above; see Intermodulation measurement, test setups.
    The Two Tone Output setting affects the fast power calibration method (see Modify Source Power Cal Settings dialog, Use Reference Receiver After First Cal Sweep: On): If Ext. Dev. is selected, the actual source power is derived from the reference waves (a waves) of the lower and upper tone ports. If Port 1 is selected, the source power is derived from the lower tone reference wave a1. Select the Two Tone Output in accordance with the test setup to ensure an accurate fast power calibration.

  • Config Ext Generators... opens the System Configuration – External Generators dialog for adding and configuring external generators.

  • Tone Distance defines the frequency difference between the upper and the lower tone. The tone distance is kept constant across the entire sweep.

  • Use Internal Combiner activates the internal combiner for network analyzers R&S ZVT20 that are equipped with option R&S ZVT-B11. The internal combiner requires the lower tone from port 1, the upper tone from port 3.

  • The Receiver – Measured Wave Quantities section adjusts the intermodulation measurement to the test setup; see Intermodulation measurement, test setups. At DUT Output shows the wave quantities which are fed to the DUT input, depending on the source settings (Lower Tone, Upper Tone, Two Tone Output). Wave quantities from external generators are not listed. The analyzer port which provides the combined two-tone signal is shown in brackets.
    At DUT Output     selects the receive port for the signal from the output of the DUT.

  • The remaining Receiver settings define the bandwidth and selectivity of the IF filter at test port 2; see section Meas. Bandwidth.

  • Prepare Measurement of IM Order selects the order(s) of the measured intermodulation products. Each order requires an additional measurement at a different frequency, therefore the measurement time increases with the number of selected orders. If a higher-order IM is selected, its frequency may exceed the upper or lower frequency limit of the analyzer. Use the Fit Frequency Range button in the Set Frequencies and Powers dialog to restrict the sweep range as required.

  • Define Mixer Measurement... opens the configuration dialog for a scalar mixer measurement. Use this dialog if you want to determine the intermodulation distortion of a mixer which receives the two-tone signal at its RF input. , to be performed in parallel to the intermodulation measurement. The Lower Tone signal serves as the RF signal for this mixer measurement; the IF signal is provided by an additional source.

  • Set Frequencies and Powers... opens a dialog where you can define the sweep ranges.

Remote control:

[SENSe<Ch>:]FREQuency:IMODulation:LTONe
[SENSe<Ch>:]FREQuency:IMODulation:UTONe
[SENSe<Ch>:]FREQuency:IMODulation:TTOutput
[SENSe<Ch>:]FREQuency:IMODulation:TDIStance
[SENSe<Ch>:]FREQuency:IMODulation:RECeiver
[SENSe<Ch>:]BANDwidth|BWIDth[:RESolution]
[SENSe<Ch>:]BANDwidth|BWIDth[:RESolution]:SELect
[SENSe<Ch>:]FREQuency:IMODulation:ORDer<Im>:STATe

Set Frequencies and Powers

The Set Frequencies and Powers dialog defines the (frequency or power) sweep ranges for the lower tone. The frequency of the upper tone is equal to the lower tone frequency plus the Tone Distance defined in the Define Intermodulation Distortion Measurement dialog. Its power is equal to the lower tone power.

The sweep range settings depend on the active sweep type (frequency or power sweep). The frequency and power settings for the lower tone are identical with the Channel –Stimulus settings.

  • The Frequency Range table shows the frequency ranges for the lower and upper tone and for the highest-order measured IM product, depending on the current frequency settings. E.g. the lower IM3 product is measured at the lower tone frequency minus the tone difference. An orange background in the Range column indicates that the frequency range exceeds the upper or lower frequency limit of the analyzer.

  • If one of the ranges exceeds the analyzer limits, the Fit Frequency Range button restricts the lower tone sweep range so that the analyzer can measure all selected IM products.

Remote control:

[SENSe<Ch>:]FREQuency:STARt
[SENSe<Ch>:]FREQuency:STOP
[SENSe<Ch>:]FREQuency:CW|FIXed
SOURce<Ch>:POWer<Pt>:STARt
SOURce<Ch>:POWer<Pt>:STOP
SOURce<Ch>:POWer<Pt>[:LEVel][:IMMediate][:AMPLitude]

Intermodulation Distortion Measurement Power Calibration

The Intermodulation Distortion Measurement Power Calibration wizard controls the power calibration for the intermodulation measurement. A power calibration ensures accurate levels at the input of the DUT (source power calibration for the lower and upper tone) and an accurate power measurement of the intermodulation distortion quantities (receiver calibration). The necessary calibration steps are automatically performed across the entire frequency or power range of the intermodulation measurement.

Power calibration procedure and example

The calibration procedure is controlled by means of the three buttons on the left side.

  • Take Cal Sweep in the three numbered panels start the calibration sweeps for the upper and lower tone source and the receiver calibration, respectively. The calibration sweeps are performed at the test settings shown on the right side (see also Source Power Cal and Receiver Power Cal dialogs). The progress of the calibration is shown in the calibration sweep diagram and the messages below. Abort Sweep aborts the calibration.

The control elements in the right part of the dialog give access to various settings:

  • Modify Settings... opens the Modify Source Power Cal Settings dialog.

  • Power Meter selects an external power meter that is used to measure the exact source power at the calibration point. Power meters (Pmtr1, Pmtr2, ...) must be configured in the System Configuration – External Power Meters dialog before they appear in the list. Power Meter Config... opens the System Configuration – External Power Meters dialog. For the remaining buttons in the Power Meter panel refer to Power Meter Settings.

  • Perform Verification Sweep after Cal enables or disables a verification sweep that the analyzer performs after the source power calibration. The sweep is also displayed in the calibration sweep diagram. Its purpose is to test the accuracy of the source power calibration after the final correction data has been acquired. The final power calibration results are applied starting with the first sweep after the verification sweep.

Remote control:

SOURce<Ch>:POWer<Pt>:CORRection:IMODulation:LTONe[:ACQuire]
SOURce<Ch>:POWer<Pt>:CORRection:IMODulation:UTONe[:ACQuire]
[SENSe<Ch>:]CORRection:POWer<port_no>:IMODulation:ACQuire

Level Handling during Power Calibration

The figure below shows the signal flow in the test scenario where the lower tone from port 1 and the upper tone from port 3 are combined using the directional coupler of port 3. In this scenario the directional coupler introduces an attenuation (coupling loss) of typically 10 dB for the lower tone signal.

To compensate for the coupling loss and obtain upper and lower tone signals with equal power, modify the source power settings for port 1:

  1. Open the Intermodulation Distortion Measurement Power Calibration dialog and click Modify Settings... – Modify Cal Power... for port 1 to open the Port 1 Power dialog.

  2. Select a 10 dB Port Power Offset to increase the source power, compensating for the 10 dB coupling loss.

  3. Select a –10 dB Cal Power Offset to ensure that the calibrated power at the reference plane (Cal Power) remains at the channel base power pb (Cal Power = pb + Port Power Offset + Cal Power Offset).

Larger Port Power Offset values (and hence smaller compensating Cal Power Offset values) may be required e.g. to account for an additional cable loss in the test setup. The maximum source power (depending on the analyzer model and the frequency; see data sheet) must not be exceeded. If necessary, reduce the channel base power (and thus the Cal Power).

Coupling loss for microwave analyzers

In a test setup with external coupler, the NWA settings should account for the coupling loss in an analogous way.

Def CW Mode Intermodulation Spectrum

The Def CW Mode Intermodulation Spectrum dialog configures the frequency range for the intermodulation spectrum measurement.

The intermodulation spectrum measurement is performed at fixed frequency of the lower tone (CW Frequency) and the upper tone (CW Frequency + Tone Distance). The measurement comprises intermodulation products up to a selectable order (IM Order). The channel settings differ from the swept intermodulation distortion measurement, therefore it is possible to create a new channel when the spectrum measurement is activated.

The following example shows an intermodulation spectrum with the following settings:

  • CW Frequency: 1 GHz (lower tone, position of marker M3)

  • Tone Distance: 1 MHz (defines the upper tone, position of marker M1)

  • Max. IM Order: 9. The peaks correspond to the intermodulation products lowerIM9, lower IM7, lower IM5, lower IM3 (marker M4), lower tone, upper tone, upper IM3 (marker M2), upper IM5, upper IM7, upper IM9.

Remote control:

[SENSe<Ch>:]FREQuency:CW|FIXed
[SENSe<Ch>:]FREQuency:IMODulation:TDIStance
[SENSe<Ch>:]FREQuency:IMODulation:SPECtrum:MORDer
[SENSe<Ch>:]FREQuency:IMODulation:SPECtrum[:STATe]

Reset Frequency Conv and Intermod

This softkey disables the intermodulation measurement mode and switches back to normal (non frequency-converting) mode.

A Mix Frq RF label in the channel list indicates that a frequency-converting mode is active. A MixDly label in the trace list indicates an active mixer delay measurement.

Remote control:

[SENSe<Ch>:]FREQuency:IMODulation:CONVersion OFF


Harmonics

Harmonics are signals at an integer multiple of the fundamental frequency. The fundamental is the first harmonic, the nth harmonic is n times the frequency of the fundamental. The production of harmonic frequencies by an electronic system when a signal is applied at the input is known as harmonic distortion.

The purpose of the Harmonics menu is to measure the harmonic distortion of a DUT. To this end the source remains at the fundamental frequency whereas the receiver is set to n times the fundamental frequency. Two different types of results are provided:

  • In the direct measurement, the nth harmonic of the stimulus signal is measured. The result is displayed as a wave quantity but can be modified and converted using the functions in the Trace menu.

  • In the relative measurement, the nth harmonic of the stimulus signal is divided by 1st harmonic (fundamental) received from the DUT. The result corresponds to the nth harmonic distortion factor.

Harmonic distortion measurements can be performed irrespective of the sweep type: A frequency sweep yields the harmonics as a function of the frequency, a power sweep yields the power-dependent harmonics at fixed frequency.

To obtain the relative trace the analyzer must measure the fundamental signal in addition to the active harmonic. In a frequency sweep the two measurements require different sweep ranges so that the fundamental is measured in a new channel. The relative trace is then calculated using trace mathematics.

Assume that the active 2nd harmonic belongs to channel Ch1 with a sweep range between 10 MHz and 2 GHz. The relative measurement involves the following steps:

1. The analyzer creates a new channel Ch2 with maximum sweep range, e.g. for a 24 GHz analyzer:

2. The harmonic trace is measured with Ch1 settings, the fundamental trace is measured with Ch2 settings.

3. The analyzer enables the trace mathematics and divides the harmonic trace by the fundamental trace:

4. The harmonic trace is hidden (invisible); the relative trace is displayed as a mathematical trace.

Due to the different frequency ranges of the input and output signals, the harmonic power calibration must be performed in two steps. For a test setup where the DUT's input signal (fundamental signal) is provided by analyzer port 1 and where the harmonic is analyzed at port 2, the following test setups are required:

1. Source power calibration of the fundamental signal. A power sensor is connected to port 1. The source power (red) is calibrated over the selected sweep range. As a preparative for step 2 the analyzer also calibrates the source in the harmonic frequency range. The correction data for both calibration sweeps is stored.

2. Receiver power calibration for the selected harmonic. No external device is needed. The receiver (port 2) is calibrated at the harmonic frequency using the source signal from port 1 (red) calibrated in the first step.

Harmonics

The Harmonics submenu controls the measurement of arbitrary harmonics or ratios between harmonics and the fundamental wave. Together with the Mixer measurement and the arbitrary configuration of generator and receiver frequencies (Port Configuration), the harmonics measurement is included in option R&S ZVA-K4.

Harmonics Measurements

  • 2nd Harmonic Port 1 to Port 2... activates the measurement of the second harmonic at port 2 with port 1 as source port.

  • 3rd Harmonic Port 1 to Port 2... activates the measurement of the third harmonic at port 2 with port 1 as source port.

  • More Harmonics opens a dialog for higher harmonics and arbitrary source and receive ports.

  • Reset Frequency Conversion activates the measurement of the fundamental with the current port assignments and trace settings.

  • Relative Measurement calculates the ratio of the selected harmonic to the fundamental and displays the result as a new trace.

  • Harmonic Power Cal... opens a dialog to perform a power calibration of the signal source and of the receiver.

The result of several harmonic measurements can be displayed in a common diagram area (see Traces, Channels and Diagram Areas). To make the comparison of the fundamental trace and the harmonics easier the stimulus axis for frequency sweeps remains unchanged, and all fundamentals are displayed as a function of the stimulus frequency (rather than the harmonic frequencies).
A warning Frequency out of range. Please check dialog Mode: Port Configuration. is displayed if one of the harmonic frequencies to be measured exceeds the frequency range of the analyzer. The harmonic traces are truncated at the maximum receiver frequency.
The harmonic measurement mode is cancelled if the channel settings (e.g. port assignments, port frequencies) are no longer compatible with the selected harmonic.

Measuring harmonics

2nd Harmonic Port1 to Port2

Activates the measurement of the second harmonic at port 2 with port 1 as source port. The active trace shows the wave quantity b2. It is possible, however, to display other quantities and change the trace settings. A label H2 in the channel list indicates that the second harmonic measurement is active.

In a frequency sweep the 2nd harmonic is displayed as a function of the stimulus frequency; see general note.

Remote control:

[SENSe<Ch>:]FREQuency:CONVersion:HARMonic:ORDer 2
[SENSe<Ch>:]FREQuency:CONVersion:HARMonic:RPORt 2
[SENSe<Ch>:]FREQuency:CONVersion:HARMonic:SPORt 1

Alternative: [SENSe<Ch>:]FREQuency:CONVersion SHARmonic

3rd Harmonic Port1 to Port2

Activates the measurement of the third harmonic at port 2 with port 1 as source port. The active trace shows the wave quantity b2. It is possible, however, to display other quantities and change the trace settings. A label H3 in the channel list indicates that the third harmonic measurement is active.

In a frequency sweep the 3rd harmonic is displayed as a function of the stimulus frequency; see general note.

Remote control:

[SENSe<Ch>:]FREQuency:CONVersion:HARMonic:ORDer 3
[SENSe<Ch>:]FREQuency:CONVersion:HARMonic:RPORt 2
[SENSe<Ch>:]FREQuency:CONVersion:HARMonic:SPORt 1

Alternative: [SENSe<Ch>:]FREQuency:CONVersion THARmonic

More Harmonics...

Opens a dialog for higher harmonics and arbitrary source and receive ports.

  • The Source port provides the stimulus signal at the fundamental frequency.

  • The receive port (Harmonics Measured at:) measures the signal at n times the fundamental frequency where n is the Harmonic Order.

  • The Harmonic Order can be set in the range between 2 (2nd harmonic) and 100.

A label H<n> in the channel list indicates that the nth harmonic measurement is active.

In a frequency sweep all harmonics are displayed as a function of the stimulus frequency; see general note.

Use 2nd Harmonic Port1 to Port2 and 3rd Harmonic Port1 to Port2 to activate the measurement of the second and third harmonics with a single menu command.

Measuring harmonics

Remote control:

[SENSe<Ch>:]FREQuency:CONVersion:HARMonic:ORDer <order>
[SENSe<Ch>:]FREQuency:CONVersion:HARMonic:RPORt <port_no>
[SENSe<Ch>:]FREQuency:CONVersion:HARMonic:SPORt <port_no>

Reset Frequency Conversion

Activates the measurement of the fundamental with the current port assignments and trace settings. This disables the harmonics measurement and all other frequency-converting measurements (e.g. scalar mixer measurements) for the active channel.

Remote control:

[SENSe<Ch>:]FREQuency:CONVersion FUNDamental

Relative Measurement

Calculates the ratio of the selected harmonic to the fundamental (harmonic distortion factor) and displays the result as a new trace. To avoid confusion between the original harmonic and the relative measurement, the harmonic is hidden (invisible) but can be retrieved using the Trace Manager.

The relative trace belongs to a new channel. In the dB Mag trace format, the trace points are dB values, after conversion to the lin Mag format, they correspond to the (dimensionless) ratio of two voltages:

Calculation of the Relative Trace

Performing a relative measurement

Remote control:

[SENSe<Ch>:]FREQuency:CONVersion:HARMonic:RELative ON

Harmonic Power Cal

Opens a dialog to perform a power calibration of the signal source and of the receiver. A power calibration ensures accurate levels at the input of the DUT (source power calibration) and an accurate power measurement of the harmonic (receiver calibration). The necessary calibration steps are automatically performed across the entire frequency or power range of the harmonics measurement.

Harmonic power calibration procedure and example

The calibration procedure is controlled by means of the two buttons on the left side.

  • Take Cal Sweep in the two numbered panels start the calibration sweeps for the source and receiver calibration, respectively. The calibration sweeps are performed at the test settings shown on the right side (see also Source Power Caland Receiver Power Caldialogs). The progress of the calibration is shown in the calibration sweep diagram and the messages below. Abort Sweep aborts the calibration.

The control elements in the right part of the dialog give access to various settings:

  • Modify Settings... opens the Modify Source Power Cal Settings dialog.

  • Power Meter selects an external power meter that is used to measure the exact source power at the calibration point; see Power Meter Settings. Power meters (Pmtr1, Pmtr2, ...) must be configured in the System Configuration – External Power Meters dialog before they appear in the list.

  • Power Meter Config... opens the System Configuration – External Power Meters dialog.

  • Perform Verification Sweep after Cal enables or disables a verification sweep that the analyzer performs after the source power calibration. The sweep is also displayed in the calibration sweep diagram. Its purpose is to test the accuracy of the source power calibration after the final correction data has been acquired. The final power calibration results are applied starting with the first sweep after the verification sweep.

Remote control:


Virtual Transform

To be integrated in application circuits, high-impedance components like Surface Acoustic Wave (SAW) filters are often combined with a matching network. To obtain the characteristics of a component with an added matching network, both must be integrated in the measurement circuit of the network analyzer. The figure below shows a DUT with a single-ended and a balanced port that is combined with a real matching circuit and a physical unbalance-balance transformer (balun) in order to be evaluated in a 2-port measurement.

The idea of virtual embedding is to simulate the matching network and avoid using physical circuitry so that the analyzer ports can be directly connected to the input and output ports of the DUT. The matching circuit is taken into account numerically. The analyzer measures the DUT alone but provides the characteristics of the DUT, including the desired matching circuit. This method provides a number of advantages:

  • The measurement uncertainty is not impaired by the tolerances of real test fixtures.

  • There is no need to fabricate test fixtures with integrated matching circuits for each type of DUT.

  • Calibration can be performed at the DUT's ports. If necessary (e.g. for compensating for the effect of a test fixture) it is possible to shift the calibration plane using length offset parameters.

Deembedding and embedding are inverse operations: A deembedding problem is given if an arbitrary real network connected to the DUT is to be virtually removed in order to obtain the characteristics of the DUT alone. Deembedding is typically used for DUTs which are not directly accessible because they are inseparably connected to other components, e.g. for MMICs in a package or connectors soldered to an adapter board.

To be numerically removed, the real network must be described by a set of S-parameters or by an equivalent circuit of lumped elements. Deembedding the DUT effectively extends the calibration plane towards the DUT ports, enabling a realistic evaluation of the DUT without the distorting network. Deembedding can be combined with length offset parameters.

The simplest case of single port deembedding can be depicted as follows:

The embedding/deembedding function in the Virtual Transform menu has the following characteristics:

  • Embedding and deembedding can be combined with balanced port conversion: the (de-)embedding function is available for single ended and balanced ports.

  • A combination of four-port and two-port networks (not necessarily both) can be applied to balanced ports; two-port networks can be applied to single ended ports.

  • A combination of four-port and two-port networks can be applied to any pair of single-ended ports. Moreover it is possible to combine an several port pairs in an arbitrary order (port pair (de-)embedding).

  • (De-)embedding at a single-ended and/or balanced port may be combined with ground loop (de-)embedding. A ground loop models the effect of a non-ideal ground connection of the DUT.

  • Transformation networks can be defined by a set of S-parameters stored in a Touchstone file or by an equivalent circuit with lumped elements.

  • The same networks are available for embedding and deembedding.

Renormalization transforms the "raw" S-matrix S0 for the default reference impedances Z0i (with physical port number index i = 1, 2...n) into a "renormalized" S-matrix S1 for the modified reference impedances Z1i. In terms of raw and renormalized wave quantities a0i, b0i and a1i, b1i, S0 and S1 are defined as follows:

The renormalized wave quantities (a1 and b1) and the S-matrix S1 can be calculated from S0 and the reference impedances Z0i, Z1i.according to two alternative waveguide circuit theories.

1. Travelling waves

In the model of Marks and Williams ("A General Waveguide Circuit Theory"), the wave quantities a and b are transformed as follows:

The renormalized S-matrix S1 is calculated as

,

with the unit matrix E and two additional matrices with the elements

,

.

1. Power waves

In the model of Kurokawa ("Power Waves and the Scattering Matrix"), the wave quantities a and b are transformed as follows:

The renormalized S-matrix S1 is calculated as

,

with the unit matrix E and two additional matrices with the elements

,

.

In true differential mode, a renormalization formula for the balanced wave quantities is needed; refer to Wave Quantities and Ratios.

The lumped element 2-port transformation networks for (de-)embedding consist of the following two basic circuit blocks:

  • A capacitor C connected in parallel with a resistor.

  • An inductor L connected in series with a resistor.

The 2-port transformation networks comprise all possible combinations of 2 basic blocks, where one block represents a serial, the other a shunt element. In the default setting the resistors are not effective, since the serial Rs are set to 0 Ω, the shunt Rs are set to 10 MΩ.

The first network is defined by its S-parameters stored in an imported two-port Touchstone file (*.s2p). No additional parameters are required.

The following networks are composed of a serial C or L (as seen from the test port), followed by a shunt C or L. They are named Serial C, Shunt C / Serial C, Shunt L / Serial L, Shunt C / Serial L, Shunt L.

The following networks are composed of a shunt C or L (as seen from the analyzer port), followed by a serial C or L. They are named Shunt C, Serial C / Shunt C, Serial L / Shunt L, Serial C / Shunt L, Serial L.

The lumped element 4-port transformation networks for (de-)embedding consist of the following two basic circuit blocks:

  • A capacitor C connected in parallel with a resistor.

  • An inductor L connected in series with a resistor.

The transformation networks comprise various combinations of 3 basic circuit blocks, where two blocks represent serial elements, the third a shunt element. In the default setting the resistors are not effective, since the serial Rs are set to 0 Ω, the shunt Rs are set to 10 MΩ. Moreover, the serial elements can be replaced by imported 2-port S-parameters, or the entire transformation network can be described by imported 4-port S-parameters.

The first network is defined by its S-parameters stored in an imported four-port Touchstone file (*.s4p). No additional parameters are required.

The following networks are composed of a shunt C or L and two serial elements, described by means of imported 2-port S-parameters. They are named Serial 2-port, Shunt C / Serial 2-port, Shunt L / Shunt L, Serial 2-port / Shunt C, Serial 2-port.

The following networks are composed of two serial Cs or Ls (as seen from the analyzer test port), followed by a shunt C or L. They are named Serial Cs, Shunt C / Serial Cs, Shunt L / Serial Ls, Shunt C / Serial Ls, Shunt L.

The following networks are composed of a shunt C or L (as seen from the analyzer test port), followed by two serial Cs or Ls. They are named Shunt C, Serial Cs / Shunt C, Serial Ls / Shunt L, Serial Cs / Shunt L, Serial Ls.

Virtual Transform

The Virtual Transform submenu defines virtual networks to be added to/removed from the measurement circuit for a DUT with single ended or balanced ports. The submenu is available for analyzer models with arbitrary numbers of ports.

Embedding a DUT into a matching network

Deembedding a DUT from a matching network

  • Port Overview... opens a dialog providing an overview of all analyzer ports with their reference impedances and transformation networks.

  • Deembedding/Embedding at Single Ended Port opens the configuration dialog for the single ended circuits and activates or deactivates (de-)embedding.

  • Deembedding/Embedding at Balanced Port opens the configuration dialog for the balanced port circuits and activates or deactivates (de-)embedding. These commands are enabled only after a balanced port configuration has been defined.

  • Ground Loop Deembedding/Embedding opens the configuration dialog for the ground loop circuits and activates or deactivates (de-)embedding.

  • Deembedding/Embedding at Port Pair opens the configuration dialog for the port pair circuits and activates or deactivates (de-)embedding.

Using Virtual Networks (Embedding/Deembedding)

Port Overview

Provides an overview of analyzer ports with their reference impedances and transformation networks (if (de-)embedding is active).

Each row in the Port Overview table corresponds to one logical or physical analyzer port; the number of rows in the different columns is equal to the number of balanced ports or physical test ports of the analyzer. The [image] buttons open different dialogs for test port configuration:

  • Reference Impedance defines complex impedances for balanced test ports.

  • Deembedding at Balanced Port and Embedding at Balanced Port show the 4-port transformation networks to be numerically added or removed at balanced (logical) ports. Off denotes that no (de)embedding operation is performed.

  • Deembedding at Single Ended Port and Embedding at Single Port show the 2-port transformation networks to be numerically added or removed at single ended (physical) or balanced (logical) ports. Off denotes that no (de)embedding operation is performed.

A ground loop cannot be assigned to a logical or physical analyzer port, so ground loop (de-)embedding is not shown in the Port Overview dialog. The same applies to port pair (de-)embedding which involves pairs of physical ports.

Using Virtual Networks (Embedding/Deembedding)

Combination of Different (De-)Embedding Networks

In the Port Overview dialog, it is possible to select a combination of 4-port and 2-port networks to be numerically added/removed at balanced (logical) ports, and to select 2-port networks at single ended (physical) ports. The following example shows the full configuration for a four-port analyzer where the physical ports 1 and 3 form a balanced port with the logical port no. 1 and the remaining ports 2 and 4 are single ended.

The port overview configuration above corresponds to the measurement circuits shown in steps 1 to 5 below.

The different steps for deembedding and embedding are carried out in the following order (the figure also contains possible ground loop and port pair (de-)embedding stages which are not shown in the Port Overview dialog):

This means that the real networks are removed before virtual networks are added. For a single balanced port with all single ended and balanced port (de-)embedding networks enabled, the 4 (de-)embedding steps are carried out in the following order:

  1. Initial situation: DUT embedded in 2-port and 4-port networks (only 1 port shown)

  2. Deembedding at single ended port

  3. Deembedding at balanced port

  4. Embedding at balanced port

  5. Embedding at single ended port

Reference Impedances...

Changes the reference impedances of the analyzer ports. This is often referred to as renormalization of port impedances. Renormalization means that the measurement results measured at 50 Ω (75 Ω) are converted into results at arbitrary port impedance.

  • Renormalization of the physical port impedances affects e.g. S-parameters and wave quantities in Power representation.

  • Renormalization of the balanced port impedances affects all measured quantities (Trace –Measure) that the analyzer provides for balanced ports.

The default reference impedance of a physical port is equal to the reference impedance of the connector type assigned to the port (50 Ω or 75 Ω). It can be defined as a complex value.

For balanced ports it is possible to define separate complex reference impedances for differential and for common mode.

The default values for the balanced port reference impedances are derived from the default reference impedance of the physical analyzer ports (Z0 = 50 >Ω):

  • The default value for the differential mode is Z0d = 100 Ω = 2*Z0.

  • The default value for the common mode is Z0c = 25 Ω = Z0/2

Renormalization can be based on two alternative waveguide circuit theories. The conversion formula of both theories differ only if the reference impedance of at least one test port has a non-zero imaginary part.

Conversion formula for wave quantities and S-parameters

Remote control:

SENSe:PORT<phys_port>:ZREFerence <real> [,<imaginary]
SENSe:LPORT<log_port>:ZCOMmon <real> [,<imaginary]
SENSe:LPORT<log_port>:ZDIFferent <real> [,<imaginary]
CALCulate<Chn>:TRANsform:IMPedance:RNORmal TWAVes | PWAVes

Embedding/Deembedding at Physical Port

Selects a 2-port transformation network for single port (de-)embedding, defines its parameters, assigns it to a physical port and enables (de-)embedding. Single port (de-)embedding can be used for balanced (logical) as well as for single ended (physical) ports. The two dialogs for deembedding and embedding are identical except for their inverse effect.

The dialogs contain the following control elements:

  • Physical Port is the physical analyzer port for the added or removed circuit. The transformation networks are defined such that the physical analyzer test port is connected to the left of the circuit; the DUT port is on the right side.

  • (De-)embed DUT enables or disables the (de-)embedding function.

  • Transformation Network contains all available 2-port networks (see below). Networks are either defined by lumped elements or by means of imported S-parameter data. The active network appears in inverse colors. The element parameters (C, R, L) for the selected network are displayed on the right side.

  • Read Data From File... is enabled as long as the 2-Port Data network is active. This network is defined by its S-parameters stored in a two-port Touchstone file (*.s2p). No additional parameters are required.
    In case the port number conventions of the loaded two-port Touchstone file differ from NWA conventions (see description of Physical Port above), it is possible to Interchange Port Numbers of s2p File.

  • Set to Ideal Through is enabled as long as the 2-Port Data network is active. An imported S-parameter set is replaced by the S-parameters of an ideal through connection, which eliminates the transformation network.

Circuit models for 2-port networks

Adding a virtual network to a single-ended port

Removing a virtual network from a single-ended port

Remote control:

CALCulate<Ch>:TRANsform:VNETworks:SENDed...
MMEMory:LOAD:VNETworks<Ch>:SENDed:DEEMbedding<Ph_pt> '<file_name>'
MMEMory:LOAD:VNETworks<Ch>:SENDed:EMBedding<Ph_pt> '<file_name>'

Embedding/Deembedding at Logical Port

Selects a 4-port transformation network for balanced port (de-)embedding, defines its parameters, assigns it to a physical port and enables (de-)embedding. The two dialogs for deembedding and embedding are identical except for their inverse effect. The dialogs are available only after a balanced port configuration has been defined.

The dialogs contain the following control elements:

  • Physical Port is the physical analyzer port for the added or removed circuit. The transformation networks are defined such that the physical analyzer test port is connected to the left of the circuit; the DUT port is on the right side.

  • (De-)embed DUT enables or disables the (de-)embedding function.

  • Transformation Network contains all available 4-port networks (see below). Networks are defined by lumped elements or by means of imported S-parameter data. The active network appears in inverse colors. The element parameters (C, R, L) for the selected network are displayed on the right side.

  • Read Data From File... is enabled as long as one of the networks involving two-port or four-port S-parameter data is active. The S-parameters are read from two-port (*.s2p) or four-port (*.s4p) Touchstone files. Each two-port file can be assigned to one of two different physical ports, to be selected by means of the Phys. Port radio buttons.
    In case the port number conventions of the loaded two-port Touchstone file differ from NWA conventions (see description of Physical Port above), it is possible to Interchange Port Numbers of s2p File.

  • Set to Ideal Through is enabled as long as one of the networks involving two-port or four-port S-parameter data is active. An imported S-parameter set is replaced by the S-parameters of an ideal through connection, which eliminates the transformation network.

Circuit models for 4-port networks

Adding a virtual network to a balanced port

Removing a virtual network from a balanced port

Remote control:

CALCulate<Ch>:TRANsform:VNETworks:BALanced...
MMEMory:LOAD:VNETworks<Ch>:BALanced:DEEMbedding<Log_pt> '<file_name>', PMAIn, PSECondary
MMEMory:LOAD:VNETworks<Ch>:BALanced:EMBedding<Log_pt> '<file_name>', PMAIn, PSECondary


Ground loop embedding

A ground loop models the effect of a non-ideal ground connection of the DUT causing a difference in potential between the analyzer's and the DUT's ground reference. A typical and often unavoidable source of ground loops is the parasitic inductance of the ground contacts.

In contrast to the 2-port (de-)embedding networks, the ground loop represents a single-wire connection: The ground loop can be described by a one-port S-matrix. On the other hand, the ground loop (de-)embedding algorithm for an n-port DUT involves matrix operations which are based on the complete uncorrected nxn S-matrix. The number of (measured) ports of the DUT must be entered in the Port Configuration dialog; this ensures that the analyzer acquires the complete set of S-parameters.

The following port configuration corresponds to a DUT with one balanced and two single-ended ports. As a prerequisite for ground loop (de-)embedding the analyzer must determine a 4x4 S-matrix.

In general, an n-port analyzer is capable of measuring n 1-port DUTs in parallel. A four-port analyzer can also perform two simultaneous 2-port measurements, if appropriate port groups are defined. Ground loop (de-)embedding is compatible with simultaneous measurements on different DUTs; it does not affect the number of measurements which can be performed in parallel. Note however that all port groups are assigned the same ground loop transformation network.

The first ground loop network is defined by its S-parameters stored in an imported one-port Touchstone file (*.s1p). No additional parameters are required.

The alternative networks are defined by an inductor L connected in series with a resistor (Shunt L), and by a capacitor C connected in parallel with a resistor (Serial C). In the default setting the resistors are not effective, since the serial Rs are set to 0 Ω, the shunt Rs are set to 10 MΩ.

Ground Loop (De-)Embedding

Selects a ground loop transformation network for (de-)embedding, defines its parameters, and enables (de-)embedding. Ground loop (de-)embedding is not assigned to a physical or logical analyzer port. The two dialogs for deembedding and embedding are identical except for their inverse effect.

Ground loops

The Ground Loop (De-)Embedding dialogs contain the following control elements:

  • (De-)embed DUT enables or disables the (de-)embedding function.

  • Transformation Network contains all available ground loop networks (see below). Networks are defined either by means of imported S-parameter data or by lumped elements. The active network appears in inverse colors. The element parameters (C, R, L) for the selected network are displayed on the right side.

  • Read Data From File... is enabled as long as the 1-Port Data network is active. This network is defined by its S-parameters stored in a one-port Touchstone file (*.s1p). No additional parameters are required.

  • Set to Ideal Ground is enabled as long as the 1-Port Data network is active. An imported S-parameter set is replaced by the S-parameters of an ideal through connection, which eliminates the transformation network.

Circuit models for ground loops

Remote control:

CALCulate<Ch>:TRANsform:VNETworks:GLOop...
MMEMory:LOAD:VNETworks<Ch>:GLOop:DEEMbedding<Ph_pt> '<file_name>'
MMEMory:LOAD:VNETworks<Ch>:GLOop:EMBedding<Ph_pt> '<file_name>'


Port pair embedding

Port pair (de-)embedding extends the functionality of balanced port (de-)embedding to pairs of single-ended physical ports. The analyzer uses the 4-port transformation networks known from balanced port (de-)embedding, however, each transformation network is assigned to a pair of single-ended analyzer ports. The port pairs must have the following properties:

  • The two ports must be different.

  • If port groups are defined, the two ports must be within the same port group.

As shown in section Combination of Different (De-)Embedding Networks, port pair deembedding is calculated after single-ended deembedding, and the port pair embedding step precedes single ended embedding. It is possible to combine a sequence of port pairs for (de-)embedding, each with its own transformation network. The effect of port pair (de-)embedding depends on the individual pairs but also on their order; see example in section Define Port Pairs for (De-)embedding.

A simple circuit which can be modeled using port pair (de-)embedding is a circuit (e.g. a resistance) between two ports of a DUT. To obtain the circuit in the following figure, select port pair 1,2 and the Serial Ls, Shunt L transformation network with all inductances set to zero (L1 = L2 = L3 = 0 H) and R1 = R2 = 0 Ω.

To model a 2-port (de-)embedding network between ports 1 and 2, select port pair 1,2 and the 4-Port data network, providing an appropriate set of equivalent 4-port S-parameters.

The two 2-port (de-)embedding networks in the figure below require two port pairs 1,2 and 1,3, each combined with an appropriate set of equivalent 4-port S-parameters.

(De-)Embedding at Port Pair

Selects a port pair transformation network for (de-)embedding, defines its parameters, and enables (de-)embedding. Each port pair transformation network is assigned to a pair of single ended (physical) ports. The two dialogs for deembedding and embedding are identical except for their inverse effect.

Port pairs

The Port Pair (De-)Embedding dialogs contain the following control elements:

  • Port Pair shows the configured pair of single ended ports. Defineopens a dialog to define an ordered list of port pairs.

  • (De-)embed DUT enables or disables the (de-)embedding function.

  • Transformation Network contains all available 4-port networks for port pairs (see below). Networks are defined either by means of imported S-parameter data or by lumped elements. The active network appears in inverse colors. The element parameters (C, R, L) for the selected network are displayed on the right side.

  • Read Data From File... is enabled as long as one of the networks involving two-port or four-port S-parameter data is active. The S-parameters are read from two-port (*.s2p) or four-port (*.s4p) Touchstone files. In case the port number conventions of the loaded two-port Touchstone file differ from NWA conventions (see description of Physical Port above), it is possible to Interchange Port Numbers of s2p File.

  • Set to Ideal Through is enabled as long as one of the networks involving two-port or four-port S-parameter data is active. An imported S-parameter set is replaced by the S-parameters of an ideal through connection, which eliminates the transformation network.

The circuit models for port pair (de-)embedding are the same as the ones for balanced port (de-)embedding.

Remote control:

CALCulate<Ch>:TRANsform:VNETworks:PPAirp...
MMEMory:LOAD:VNETworks<Ch>:PPAir:DEEMbedding<List_idx> '<file_name>'
MMEMory:LOAD:VNETworks<Ch>:PPAir:EMBedding<List_idx> '<file_name>'

Define Port Pairs for (De-)embedding

Defines a list of port pairs to be numerically added or removed. Port pairs comprise two different single ended analyzer ports. If port groups are defined, the two ports must be within the same port group. Add opens an additional dialog to select and add a new port pair.

The same physical port(s) may be used repeatedly in different port pairs; it is also possible to repeat the same port pairs. The first pair in the Embedding list and the last pair in the Deembedding list correspond to the position closest to the DUT. The effect of port pair (de-)embedding depends on the order of the port pairs as shown in the following examples.

Remote control:

CALCulate<Ch>:TRANsform:VNETworks:PPAir:DEEMbedding:DEFine
CALCulate<Ch>:TRANsform:VNETworks:PPAir:DEEMbedding:DELete
CALCulate<Ch>:TRANsform:VNETworks:PPAir:EMBedding:DEFine
CALCulate<Ch>:TRANsform:VNETworks:PPAir:EMBedding:DELete


Alternating Sweeps

If the settling time between adjacent frequency points is smaller than the settling time between the partial measurements, then the Alternating Sweeps measurement is faster than a normal sweep so that a smaller sweep times can be set. On the other hand, an Alternating Sweeps measurement provides a result only during the last partial sweep.

Use the Alternating Sweeps mode to increase the accuracy of measurements on DUTs with long level settling times (e.g. quartzes, SAW filters). To measure DUTs with short settling times or obtain a trace from the beginning of the sweep, deactivate the Alternating Sweeps mode.

As an alternative to activating the Alternating Sweeps mode, it is possible to insert a Meas. Delaybefore each partial measurement and thus improve the accuracy. The delay slows down the measurement.

In triggered measurements, Alternate has no effect if the triggered measurement sequence is identical to a single sweep point. The following table shows how the analyzer performs a sweep comprising m sweep points, assuming that each of them requires n partial measurements.

Triggered Meas. Sequence | Alternate On | Alternate Off
Sweep | Trigger event starts n partial sweeps over all sweep points. For a 2-port transmission measurement comprising two partial measurements (S12 and S21): | Trigger event starts m complete measurements at consecutive sweep points. For a 2-port transmission measurement comprising two partial measurements (S12 and S21):
Sweep Segment | Trigger event starts n partial sweeps over the next segment. | Trigger event starts complete measurements at all consecutive sweep points in the segment.
Point | All partial measurements of each sweep point are carried out one after another. | Same as Alternate On: All partial measurements of each sweep point are carried out one after another.
Partial Measurement | Each partial measurement is carried out for all sweep points. Source port specific trigger delays are supported. | All partial measurements of each sweep point are carried out one after another Source port specific trigger delays are supported.

Alternating Sweeps

Activates or deactivates the operating mode where the analyzer performs only one partial measurement per sweep.

  • In normal sweep mode (Alternating Sweeps off), the analyzer completes the necessary sequence of partial measurements at each sweep point and obtains the result (measurement point) before proceeding to the next sweep point.

  • Alternating Sweeps reverses the order of partial measurements and sweeps: A partial measurement is performed at all sweep points (partial sweep) before the hardware settings are changed and the next partial measurement is carried out in an additional sweep.

The Alternating Sweeps mode is also valid during a system error correction.

Advantages of both sweep modes, alternative settings

Relation to trigger settings

On R&S ZVA67 analyzers, the alternating sweep mode speeds up all measurements which require several partial measurements.

Remote control:

[SENSe<Ch>:]COUPle ALL | NONE


Spurious Avoidance

Consider the following test setup with strongly reflecting DUT (e.g. a bandpass in its stop band) that is measured in transmission. a1 is generated at a frequency RF. The reflected wave b1 falls into the receiver mixer of the analyzer port 1, where a small fraction of the mixer product RF + 2*IF can be reflected back towards the DUT. If this spurious wave a'1 passes the DUT, then it is received as b'2 at port 2, together with the wanted signal b2.

LO > RF implies that LO = RF + IF. The mixer at port 2 converts both the wanted signal b2 and the spurious signal b'2 which is at the frequency RF' = IF + LO, to the same IF frequency. The response of an ideal, infinitely steep bandpass filter with a pass band between B- and B+ looks as follows:

For a wide bandpass, the spurious response flattens the filter edges.

The spurious signal can be eliminated by dividing the sweep range into two segments with different LO settings:

  • In the low-frequency segment, ranging up to the center frequency of the bandpass filter, the frequency of the local oscillator is set to LO < RF. This ensures that the spurious signal b'2 is not measured at port 2.

  • In the high-frequency segment, starting at the center frequency of the bandpass filter, the frequency of the local oscillator is set to LO > RF. If the center frequency is larger than B+ – 2*IF, then there is no distortion from b'2.

Proportional-Integral (PI) controllers provide two control parameters:

  • The Proportional Gain controls the change of the controller output in response to the current error value. If the value is too high, the ALC may become unstable. If it is too low, the ALC may not respond sufficiently to errors and become too slow.

  • The Integration Time controls the change of the controller output based on the integral of the error over time. If the value is high, the ALC becomes slower. If it is too low, the ALC may overshoot and thus become unstable.

The proportional and integration terms are summed to calculate the controller output, so there is a tradeoff between the two terms. With automatic ALC parameter setting, the control parameters are determined by the selected ALC bandwidth as shown in the following table.

ALC bandwidth | Proportional Gain | Integration Time
7.12 MHz | 1.1200 | 4.3750E-007 s
1 MHz | 0.7600 | 7.5000E-007 s
100 kHz | 0.8800 | 1.3000E-005 s
10 kHz | 1.7600 | 3.2000E-005 s
1 kHz | 1.9200 | 3.2000E-004 s
500 Hz | 0.0150 | 1.1000E-005 s
200 Hz | 0.0500 | 7.6000E-005 s
100 Hz | 0.0475 | 1.1200E-004 s
50 Hz | 0.0138 | 7.2000E-005 s
30 Hz | 0.0044 | 3.8000E-005 s
20 Hz | 4.4800 | 7.6000E-005 s

For some test scenarios, an adjustment of the ALC parameters (loop tuning) can improve the stability and speed of the ALC.

Spurious Avoidance

The Spurious Avoidance submenu defines whether the analyzer measures with a local oscillator frequency LO below or above the RF input frequency.

This feature can be used to eliminate known spurious components in the input signal that can distort the measurement, especially in the low frequency range.

  • In Auto mode, the analyzer auto-selects the local oscillator frequency, depending on the receiver (RF) frequency and the test port. This mode systematically avoids known spurious signals provided that no frequency conversion occurs in the test setup.

  • LO > RF means that the LO frequency is always above the measured RF frequency. This mode is appropriate for avoiding single, known spurious signals.

  • LO < RF means that the LO frequency is always below the measured RF frequency. This mode is appropriate for avoiding single, known spurious signals.

In the presence of several spurious signals, setting the Spurious Avoidance parameter globally may not be sufficient. To improve the result, perform a Segmented Frequency sweep and assign independent LO frequencies to the individual sweep segments.

Application example

Remote control:

[SENSe<Ch>:]FREQuency:SBANd POSitive | NEGative | AUTO

ALC All Channels

Enables and configures the Automatic Level Control (ALC) for all channels. ALC keeps the level of the a waves (source level) at a constant value, irrespective of the DUT's input impedance. The measurement speed is slightly reduced.

In the Source section of the Port Configuration dialog, a subset of the ALC settings can be defined independently for each analyzer port. Individual port settings override the general ALC configuration.

If the analyzer cannot reach the designated source level at a particular sweep point, it displays the message Ports n: Source level failure. Check the data sheet for an overview of the available source levels.

The settings in the dialog are available as long as ALC is on.

  • ALC Bandwidth selects the bandwidth in the ALC control loop. With the automatic selection, the analyzer selects an appropriate bandwidth, depending on the source frequency and level. The bandwidth has an impact on the ALC Parameters; see below.

  • ALC Settling controls the automatic level control during the measurement. Clamp ALC during Measurement suspends the ALC mechanism while the analyzer acquires measurement data.
    The Control Range is the maximum change of the source signal level due to the ALC; a value of 5 dB means that the source signal level may vary in a 10 dB wide symmetric range around the start value. With a wider control range, the ALC can compensate for larger attenuation/gain factors.
    A possible limitation of the port powers (System Configuration – Power – Port Power Limits) is ignored while the ALC loop is active. Therefore a narrower control range (small value) may be required to protect sensitive DUTs from excess input levels. A narrow control range is often sufficient if the source power is relatively well known, e.g. from a previous power calibration.

  • Settling Tolerance Window defines the maximum variation of the source signal level after the ALC has settled. The analyzer will generate an error message Port <i> output power unleveled if the actual source power exceeds the window. The settling tolerance window has no impact on the ALC algorithm.

  • ALC Parameters defines the tuning parameters of the Proportional-Integral (PI) controller which the analyzer uses as a feedback controller for the ALC. With automatic settings, the parameters are determined by the ALC bandwidth. It is also possible to vary the parameters manually; see background information below.

  • ALC Start Offset increases/decreases the source signal level before the ALC loop is started. An appropriate value can speed up the ALC. If Use ALC Offset of Prev. Measurement is active, the ALC correction value (level offset) of the previous measurement (i.e. the last sweep point measured) is used. This setting is effective only for sweeps comprising a single partial measurement; it is ignored at the first sweep point or after a channel change.

ALC parameters

Remote control:

DIAGnostic:ALC:SETTings[:STATe] ON | OFF
DIAGnostic:ALC:AUBW
DIAGnostic:ALC:BW
DIAGnostic:ALC:CLAMp
DIAGnostic:ALC:RANGe
DIAGnostic:ALC:STOLerance
DIAGnostic:ALC:PIParameter
DIAGnostic:ALC:PIParameter:GAIN
DIAGnostic:ALC:PIParameter:ITIMe
DIAGnostic:ALC:SOFFset
DIAGnostic:ALC:POFFset

Low Phase Noise

Reduces the phase noise of the source signals. The measurement speed is slightly reduced.

Remote control:

[SENSe<Ch>:]FREQuency<1>:LPNoise ON | OFF


Channel - Select

A window can display several diagram areas simultaneously, each with a variable number of traces. One of these traces is active at each time. The active trace is highlighted in the trace list on top of the active diagram area (Trc 4 in the figure below):

A mouse click onto a trace in the list selects the trace as the active trace. Alternatively, use the functions of the Trace –Tracesmenu.

The active channel is the channel which belongs to the active trace. The channels of all traces in a diagram area are listed at the bottom of the diagram, together with the Stimulus values and the display colors of all traces. The active channel is highlighted (Ch1 in the example below, with two associated traces).

A mouse click onto a trace in the trace list selects the channel associated to the trace as the active channel. Channels with no traces are not indicated in the diagram areas but can be accessed via the Channel Manager.

The channel table contains several editable (white) or non-editable (gray) columns.

  • Channel indicates the current channel name. The default names for new channels are Ch<n> where <n> is a current number.

  • Traces indicates the names of all traces assigned to the channel.

Channel Select

The Channel Select submenu provides functions to create and delete channels and select a channel as the active channel.

  • Next Channel selects the next channel as the active channel (disabled if only one channel is defined).

  • Select Channel opens a box to select an arbitrary channel of the active setup as the active channel (disabled if only one channel is defined).

  • Add Channel + Trace creates a new channel and a new trace in the active diagram area.

  • Add Channel + Trace + Diag Area creates a new channel and a new trace in a new diagram area.

  • Delete Channel deletes the active channel.

  • Channel Manager opens a dialog to perform the previous actions systematically, rename channels.

Active and inactive traces and channels

You can monitor the channel activity using the OUTPut<Ch>:UPORt[:VALue] <numeric_value> command and the output signals at pins 8 to 11 of the USER CONTROL connector.

Next Channel

Selects the next channel in a list of defined channels as the active channel. This function is disabled if the current setup contains only one channel.

If one or several traces are assigned to the next channel, one of these traces becomes the active trace.

The order of all channels belonging to a setup is given by the channels' creation time. By default, the channels are named Ch1, Ch2, ... so that Ch<n> follows Ch<n – 1>. This order is always maintained, even if channels are renamed, invisible (because no traces are assigned to them) or distributed over several diagram areas.

Remote control:

The numeric suffix <Ch> appended to the first-level mnemonic of a command selects a channel as active channel.

Select Channel

Opens a box to select an arbitrary channel of the active setup as the active channel. This function is disabled if the current setup contains only one channel.

If one or several traces are assigned to the selected channel, one of these traces becomes the active trace.

The order of all channels belonging to a setup is given by the channels' creation time. By default, the channels are named Ch1, Ch2, ... so that Ch<n – 1> precedes Ch<n>. This order is always maintained, even if channels are renamed, invisible (because no traces are assigned to them) or distributed over several diagram areas.

Remote control:

The numeric suffix <Ch> appended to the first-level mnemonic of a command selects a channel as active channel.

Add Channel + Trace

Creates a new channel and a new trace, which is displayed in the active diagram area. The new channel settings (including a possible channel calibration) are identical to the previous channel settings; the trace is created with the trace settings of the former active trace but displayed with another color. The former and the new active trace are superimposed but can be easily separated, e.g. by changing the Reference Position.

The new channel is named Ch<n>, where <n> is the largest of all existing channel numbers plus one. The name can be changed in the Channel Manager.

To create a new trace in the active channel, use the Trace – Traces – Add Tracefunction. To create a new channel and a new trace and display it in a new diagram area, use Add Channel + Trace + Diag. Area.

Remote control:

CONFigure:CHANnel<Ch>[:STATe] ON
CALCulate<Ch>:PARameter:SDEFine "<Trc_name>", "<Parameter>"
DISPlay:WINDow<No>:TRACe:FEED "<Trc_name>"

Add Channel + Trace + Diag. Area

Creates a new channel and a new trace, which is displayed in a new diagram area. The new channel settings (including a possible channel calibration) are identical to the previous channel settings; the trace is created with the trace settings of the former active trace but displayed with another color.

The new channel is named Ch<n>, where <n> is the largest of all existing channel numbers plus one. The name can be changed in the Channel Manager.

To create a new trace in the active channel, use the Trace – Traces – Add Tracefunction. To create a new channel and a new trace and display it in the active diagram area, use Add Channel + Trace.

Remote control:

CONFigure:CHANnel<Ch>[:STATe] ON
CALCulate<Ch>:PARameter:SDEFine "<Trc_name>", "<Parameter>"
DISPlay:WINDow<No>:STATe ON
DISPlay:WINDow<No>:TRACe:FEED "<Trc_name>"

Delete Channel

Deletes the active channel including all traces assigned to the channel and removes all display elements related to the channel from the diagram area. Delete Channel is disabled if the setup contains only one channel: In manual control, each setup must contain at least one diagram area with one channel and one trace.

To restore a channel that was unintentionally deleted, use the Undofunction.

Remote control:

CONFigure:CHANnel<Ch>[:STATe] OFF

Channel Manager

Opens a dialog to perform the actions in the Channel Select menu systematically and rename channels.

All existing channels of the current setup are listed in a table; see below. Below the table the Trace Manager provides the following buttons:

  • Add Channel adds a new channel to the list. The new channel is named Ch<n>, where <n> is the largest of all existing channel numbers plus one.

  • Delete Channel deletes the channel selected in the drop-down menu. This button is disabled if the setup contains only one channel: In manual control, each setup must contain at least one diagram area with one channel and one trace.

Columns in the Channel Manager table

Remote control:


Channel - Calibration

The Calibration menu provides all functions that are necessary to perform a system error correction (calibration) or a power calibration.

Calibration Overview See also the Data Flow overview.

  • Start Cal opens a submenu to select a new calibration and start the calibration wizard.

  • Repeat Previous Cal reopens the wizard to repeat and optimize the previous calibration.

  • Correction Off activates or deactivates the system error correction in the active channel.

  • Power Cal opens a submenu controlling the source and receiver power calibration.

  • Power Correction On (re-)applies the current power calibration in the active channel.

  • Power Correction Off disables the power calibration in the active channel.

  • Enhanced Wave Correctionactivates or deactivates the system error correction of all a- and b-waves which are related to the ports of the active calibration.

  • Cal Manager opens a dialog to store system error correction data to a Cal Pool and to assign correction data to channels.

  • Recall Last Cal Set loads and activates the setup for which the last calibration was performed.

  • Cal Kits opens a dialog to manage the calibration kits in use, add new kits and import or export kits.

  • Characterize Cal Unit...opens a dialog to select a characterization file for a calibration unit or start a new characterization of the cal unit.

Performing a manual system error correction (calibration)

Performing an automatic system error correction (calibration)


Start Cal

The Start Cal submenu selects the calibrated ports and the calibration type.

The calibration types depend on the number of test ports of the analyzer. For a four-port unit:

  • One-Port P1 and One Port P2 open submenus to select a one-port calibration at test ports PORT 1 and PORT 2, respectively.

  • Two-Port P1 P2 opens a submenu to select a two-port calibration at test ports PORT 1 and PORT 2.

  • Three-Port P1 P2 P3 opens a submenu to initiate a three-port (TOSM) calibration at test ports PORT 1, PORT 2 and PORT 3.

  • Four-Port P1 .. P4 opens a submenu to initiate a four-port (TOSM) calibration at test ports PORT 1, PORT 2, PORT 3 and PORT 4.

  • Other... opens the calibration wizard to select a calibration type for an arbitrary number of ports.

Use Other... if you wish to perform several calibrations in a single measurement sequence and with a minimum of effort. The Other... calibration wizard allows you to measure a particular standard and reuse the results for different calibration types.

One-port to 4-port calibrations can be performed automatically using the Calibration Unit (accessory R&S ZV-Z51/-Z52...). For calibrations with more than 4 ports use the calibration units R&S ZV-Z58/-Z59.

Performing a manual calibration

Performing an automatic calibration

Remote control:

[SENSe<Ch>:]CORRection:COLLect:METHod:DEFine
'<cal_name>', REFL | RSHort | FOPort | FRTRans | OPTPort | TOSM | TOM | TRM | TRL | TNA | UOSM, <port_no>[,<port_no>][,<port_no>][,<port_no>]

One Port P1, One Port P2

Opens a submenu to select a one-port calibration at test ports PORT 1 or PORT 2. The two submenus are identical:

One-port calibrations can be performed automatically or manually.

  • Calibration Unit starts an automatic full one-port calibration. This function is enabled while the Calibration Unit is connected.

The following menu commands calls up the start dialog of the calibration wizard to start a manual calibration:

  • Normalization (Short) initiates a normalization using a short standard.

  • Full initiates a full one-port calibration.

Remote control:

[SENSe<Ch>:]CORRection:COLLect:AUTO ' ', <port_no> (for matching analyzer and cal unit ports)
[SENSe<Ch>:]CORRection:COLLect:AUTO:PORTs (for arbitrary pairs of ports)

[SENSe<Ch>:]CORRection:COLLect:METHod:DEFine
"<cal_name>", REFLshort | FOPort , <port_no>

Two Port P1 P2

Opens a submenu to select a two-port calibration at test ports PORT 1 and PORT 2:

Two-port calibrations can be performed automatically or manually.

  • Calibration Unit starts an automatic tow-port TOSM calibration. This function is enabled while the Calibration Unit is connected.

The following menu commands calls up the start dialog of the calibration wizard to start a manual calibration:

  • Normalization Both Directions... initiates a normalization using a through standard.

  • One Path Two Port initiates a full one-port calibration.

  • TOSM initiates a Through-Open-Short-Match (12-term) calibration

  • TOM initiates a Through-Open-Match calibration

  • TRL initiates a Through-Reflect-Line calibration

  • TNA initiates a Through-Network-Attenuation calibration

  • Normalize Forward and Normalize Backward initiate a normalization in forward and backward direction, respectively. The normalization uses a through standard, however, only one direction is normalized.

Use Start Cal – Other... to select a UTOM calibration.

Remote control:

[SENSe<Ch>:]CORRection:COLLect:AUTO ' ', <port_no> (for matching analyzer and cal unit ports)
[SENSe<Ch>:]CORRection:COLLect:AUTO:PORTs (for arbitrary pairs of ports)

[SENSe<Ch>:]CORRection:COLLect:METHod:DEFine
"<cal_name>", FRTRans | OPTPort | TOSM | TOM | TRL | TNA, <port_no>,<port_no>

Three Port P1 P2 P3

Opens a submenu to select a three-port TOSM calibration at test ports PORT 1, PORT 2 and PORT 3:

Three-port calibrations can be performed automatically or manually.

  • Calibration Unit starts an automatic 3-port TOSM calibration. This function is enabled while the Calibration Unit is connected.

  • Manual... calls up the start dialog of the calibration wizard to initiate a 3-port TOSM calibration.

Use Start Cal – Other... to select other 3-port calibration types.

Remote control:

[SENSe<Ch>:]CORRection:COLLect:AUTO ' ', <port_no> (for matching analyzer and cal unit ports)
[SENSe<Ch>:]CORRection:COLLect:AUTO:PORTs (for arbitrary pairs of ports)

[SENSe<Ch>:]CORRection:COLLect:METHod:DEFine
"<cal_name>", TOSM, <port_no>, <port_no>, <port_no>

Four Port P1 P2 P3 P4

Opens a submenu to select a four-port TOSM calibration at test ports PORT 1 to PORT 4:

Four-port calibrations can be performed automatically or manually.

  • Calibration Unit starts an automatic 4-port TOSM calibration. This function is enabled while the Calibration Unit is connected.

  • Manual... calls up the start dialog of the calibration wizard to initiate a 4-port TOSM calibration.

Use Start Cal – Other... to select other 4-port calibration types.

Remote control:

[SENSe<Ch>:]CORRection:COLLect:AUTO ' ', <port_no> (for matching analyzer and cal unit ports)
[SENSe<Ch>:]CORRection:COLLect:AUTO:PORTs (for arbitrary pairs of ports)

[SENSe<Ch>:]CORRection:COLLect:METHod:DEFine
"<cal_name>", TOSM, <port_no>, <port_no>, <port_no>, <port_no>


Guided Calibration

The ports (and therefore the number of table rows) are determined by the active calibration type selected in the Start Calsubmenu. For a user-defined calibration (Start Cal – Other...) all measurement ports of the analyzer are displayed regardless of their port configuration.

To perform a system error correction, the physical port must be available as a source and receive port. This condition is met if it is selected as a measured port in the Balanced Ports and Port Groupsdialog (Meas is on).

provides a drop-down list to select the connector type at the port and its gender. If Same Connector at All Ports is active, the connector types at all ports (but not their gender) are always adjusted to the current selection. If Same Gender at All Ports is active, the genders at all ports (but not the connector type) are always adjusted to the current selection.

An (f) behind the connector type denotes female connectors, an (m) denotes male connectors. Symmetric (sexless) connectors (e.g. PC7) are not labeled. User-defined connectors can be added or removed in the Available Connector Types dialog, which is opened from the Channel –Calibration –Calibration Kits dialog.

shows the reference impedance for the selected connector.

provides a drop-down list to select a calibration kit. The list contains all calibration kits available for the selected connector type. The assignment of a calibration kit to a connector type must be the same for all physical ports: If a calibration kit is changed, the analyzer automatically assigns the new kit to all ports with the same connector type.

Completness: The selected calibration kit must contain all standards needed for the active calibration type. If it doesn't the analyzer displays an error message.

Waveguide cutoff: If a user-defined waveguide connector is assigned to one of the calibrated ports, then the start frequency of the active channel must be above the waveguide cutoff. Otherwise the analyzer displays an error message.

When the Next> button is pressed the analyzer checks the calibration kits and the matching of the calibration standards and possibly displays a notice box (confirm with OK). This happens:

  • If one of the calibration kits is described by ideal kit parameters or typical values.

  • If different connector types are defined at the ports but the selected calibration type requires uniform connectors.

  • If a predefined 7-term calibration method TXX (TOM, TRL, TNA, TRM) is selected but one of the calibration standards is mismatched. A standard is assumed to be mismatched if it is described by S-parameter data (*.snp file) with a reflection factor > –30 dB.

When the OK button is pressed the analyzer checks the calibration kits and the selected calibration (s) and possibly displays a notice box (confirm with OK) or a status message. This happens:

  • If one of the calibration kits is described by ideal kit parameters or typical values.

  • If one of the selected calibration types is redundant. A calibration is redundant if another selected calibration provides more complete correction data. Redundant calibrations are deleted from the list of calibrations.

The list of measured standards has a tree structure.

  • The first level contains all physical ports where one-port [image] (reflection) measurements are required and all physical port combinations where two-port [image] (transmission) measurements must be performed.

  • The second level contains check boxes for the standards to be measured at each port or port combination.

  • For a sliding match, a third level contains check boxes for the different positions of the sliding element.

Double-click a physical port symbol to expand or collapse the list.

If the calibration kit contains a sliding match standard, the Sliding Match appears in the Measured Standards list whenever the selected calibration type requires a Match. A click on the node expands the check boxes for the different positions of the load element. The number of different positions is defined in the User Interface tab of the System Configurationdialog.

The sliding match is a one-port standard consisting of an air line with a movable, low-reflection load element (sliding load). This standard is used because a no perfect match is available over a wide frequency range. However, a series of measurements at a given frequency with equal mismatch and varying phase yields reflection factors that are located on a circle in the Smith chart. The center of this circle corresponds to perfect match. The network analyzer determines and further corrects this match point following I. Kása's circle-fitting algorithm.

To obtain the reflection coefficient for a perfectly matched calibration standard, the sliding load must be measured at least at 3 positions which should be unequally spaced to avoid overlapping data points. Increasing the number of positions to 4 – 6 can improve the accuracy. Moreover it is recommended to use the predefined load positions of the standard.

The calibration is valid (Apply is available) if either the match or three positions of the sliding match have been measured. However, it is often desirable to acquire calibration data from both standards. The analyzer combines the data in an appropriate manner:

  • The match results are used up to the lower edge of the specified frequency range of the sliding match (Min Freq).

  • The sliding match results are used for frequencies above the Min Freq. In general, the sliding match will provide better results than the match within its specified frequency range.

For two or multiport normalizations, the Measured Standards list contains an Isolation (optional) standard in addition to each through standard. Measurement of the isolation is optional; the normalization correction is calculated as:

Correction value = (Transmission coefficient DUT – Isolation) / (Transmission coefficient Through – Isolation).

The isolation term accounts for a possible crosstalk between a pair of analyzer ports. The isolation standard is not a physical standard; it is recommended to terminate the analyzer ports with 50 Ω to measure the isolation.

When calibrating waveguide ports, ensure that the calibration standards are connected correctly. The electric fields at each of the waveguide transitions must be parallel. For example, if you use a frequency converter and a waveguide calibration kit, the rectangular waveguide cross sections of the frequency converter flanges and of the waveguide calibration standards must have the same orientation.

If the generator frequency range of the active ports exceeds the validity range of the standard model (defined by Min. Freq. and Max. Freq. in the Add/Modify Standarddialog) the analyzer displays a notice box (confirm with OK).

displays or hides the diagram to the right of the list of Measured Standards. Hiding the diagram leaves more space for displaying the characteristics of the measured standards.

displays or hides the phase trace (in addition to the dB Mag trace) in the measurement diagram.

causes the raw measurement data of the standards to be stored after the calibration is completed. This enables the Repeat Previous Cal... command, which can be used to optimize a previous calibration without repeating the measurement of all standards. If Keep Measurement Data... is not active, then the raw measurement data of the standards is deleted and the analyzer only stores the system error correction data. Deleting the raw data saves disk space.

is enabled as soon as data has been acquired for all standards. The button starts the calculation of the system error correction data and closes the calibration wizard. The calibration is applied to the active channel. In the Port Configuration dialog, only the calibrated ports are enabled for the measurement.
The current instrument settings are stored with the correction data. To avoid incompatibilities, older system error correction data is deleted unless it has been transferred into a Cal Pool using the Calibration Manager.
If an unknown through standard is measured, Apply opens an additional dialog to check the calculated length offset parameters; see Unknown Through Standard.

Incompatibilities between the selected calibration type, the standards and the channel settings may cause the calibration to be inaccurate. The analyzer auto-detects potential sources of errors and displays appropriate, self-explanatory notice boxes.

If several lines with different lengths are measured, the analyzer automatically divides the calibrated range into segments; see below. The calibration data of the longest line is applied to the lowest segment, the calibration data of the shortest line to the highest segment.

Calculation of segments

A second or third line in the list does not mean that you have to measure two or three line standards. If the calibrated frequency range is small enough, the calibration is valid as soon as the analyzer has acquired correction data for a single line line standard. The match and sliding match standards are not necessary for TRL calibration, however, they must be measured if TRL is combined with TRM calibration.

TRL calibration with two lines

The calibration sweep segments for two lines with electric lengths llong and lshort (llong > lshort) are obtained as follows (the through standard is assumed to be of length lthr):

  1. The longer line can be used up to a frequency flong where its transmission phase is equal to 160 deg. This frequency is equal to flong = 4*c0/[9*(llong –lthr)].

  2. The shorter line can be used from a frequency fshort where its transmission phase is equal to 20 deg. This frequency is equal to fshort = c0/[18*(lshort – lthr)].

  3. The border between the two frequency segments fdiv is calculated as the geometric mean of flong and fshort, i.e. fdiv = sqrt(flong * fshort).

The formulas are also applied if flong < fshort.

For a TRL calibration using three lines with different length, the allowed frequency ranges are calculated in an analogous manner in order to obtain three (ideally overlapping) frequency ranges. The borders between two adjacent frequency ranges are calculated as the geometric mean of the frequency limits flong and fshort of the two ranges.

Predefined calibration kits usually do not provide several line standards with different lengths. To generate a calibration kit appropriate for TRL calibration with two or three lines, proceed as described in Creating a user-defined calibration kit.

TRL calibration becomes inaccurate if the electrical length difference between line and through standard corresponds to a phase shift below 20°. In practice this means that TRL is only practicable above a threshold frequency fTRM which depends on the lengths of the longest line and through standards. The threshold frequency is given by:

fTRM = c0/[18*(llong – lthr)]

where llong denotes the electrical length of the longest of the used line standards, lthr the length of the through. The analyzer assumes lthr << llong and calculates fTRM = c0/(18*llong). At frequencies below fTRM, TRL calibration is automatically replaced by TRM, provided that the necessary calibration data has been acquired. For a line with llong = 16.666 cm, the threshold frequency is fTRM = 100 MHz.

TRL calibration with low-frequency TRM extension

The length error of the line, converted into a transmission phase error, must be below the minimum difference to the singularity points 0 deg or 180 deg multiplied by two. Suppose that an approximately known line standard causes a transmission phase 30 deg at the start frequency and of 160 deg at the stop frequency of the sweep. Its length error must cause a phase difference below (180 deg – 160 deg)*2 = 40 deg.

Calibration Wizard

The analyzer provides a calibration wizard for each calibration type. The guided calibration consists of the following steps:

  1. Select Physical Port Connectors and calibration kits at all calibrated ports.

  2. Compile Calibrations: Select a calibration type and the physical ports to be calibrated (skipped for predefined calibrations).

  3. Measure Standards: Acquire measurement data for all standards required for the selected calibration type.

  4. Calculate the system error correction data (error terms) from the measurement data of the standards and apply the result to the active channel.

A successful calibration will supersede the previous calibration, discarding all previous system error correction data. To keep older correction data you can transfer them into a Cal Pool using the Calibration Manager.

The system error correction data determined in a calibration procedure are stored on the analyzer. You can read these correction data using the remote control command [SENSe<Ch>:] CORRection:CDATa. You can also replace the correction data of the analyzer by your own correction data sets.

Performing a manual calibration

Performing an automatic calibration

Select Connectors

The first dialog of the calibration wizard displays a table to select the connectors and calibration kits for all calibrated physical ports.

The check boxes above the table allow you to select equal connector types and genders at all ports. For some multi-port calibration types, the port connector types must be equal, e.g. because they require a Through standard with known characteristics.

The table contains the following rows:

  • Physical Port Number #

  • Connector

  • Ref. Imp.

  • Calibration Kits

Import Kit opens the Import Calibration Kit dialog to load and (if desired) activate a cal kit file. Next > opens the second dialog of the wizard to continue the calibration procedure:

  • In a user-defined (Other...) calibration, the Compile Calibrations dialog is called up.

  • In a predefined calibration, Compile Calibrations is skipped and the Measure Standards dialog is called up.

Detector selects the detector settings for the S-parameters which the analyzer uses during the calibration. The average (AVG) detector eliminates noise contributions which are superimposed on the measured signal; it is needed for noise figure measurements using option R&S ZVAB-K30. The Normal detector is recommended for all other applications.

If the calibrated channel has already been assigned to a cal group, the correction data overwrites the cal group data, so the new calibration will affect all channels assigned to the cal group. The network analyzer generates a notice message "New calibration will overwrite cal pool!" when opening the Select Physical Port Connectors dialog.

Checks on switching to the next dialog

Remote control:

[SENSe<Ch>:]CORRection:COLLect:CONNection<port_no>:PORTs
[SENSe<Ch>:]CORRection:COLLect:CONNection<port_no>:GENDers
[SENSe<Ch>:]CORRection:COLLect:CONNection<port_no>
[SENSe<Ch>:]CORRection:COLLect:SCONnection<port_no>
[SENSe<Ch>:]CORRection:CKIT:<conn_type>:SELect "<Ckit_Name>"
[SENSe<Ch>:]CORRection:COLLect:DETector

Compile Calibrations

The second dialog of the calibration wizard appears for user-defined (Other...) calibrations only. It is used to compile a list of calibration types and physical ports in order to perform all calibrations in a single measurement sequence. A measurement of a particular standard that is required for different calibration types can be reused.

The selected calibrations and ports appear in the List of Calibrations. A (N) behind the ports number denotes a node port (see Add Calibration dialog). The list of Standards to be Measured is automatically generated according to the List of Calibrations.

The dialog provides three buttons to extend or modify the List of Calibrations:

  • Add Calibration... opens the Add Calibration dialog to add a new calibration to the list.

  • Modify Calibration... opens the Add Calibration dialog to modify the selected calibration.

  • Delete Calibration removes the selected calibration from the list.

Two buttons at the bottom of the dialog move back and forward in the calibration wizard:

  • < Back opens the Select Physical Port Connectors dialog.

  • > Next opens the Measure Standards dialog.

If one of the calibration kits is described by ideal kit parameters or typical values, the analyzer displays a notice box.

Remote control:

[SENSe<Ch>:]CORRection:COLLect:METHod:DEFine
"<cal_name>", REFLshort | FOPort | FRTRans | OPTPort | TOSM | TOM | TRM | TRL | TNA | UOSM, <port_no>[,<port_no>][,<port_no>][,<port_no>]

Add Calibration

The Add Calibration dialog adds a new calibration to the list in the Compile Calibrations dialog or modifies an existing calibration.

  • Type contains a drop-down list to select a calibration type.

  • Calibrate Ports provides a list of all test ports of the analyzer (no external device ports). Ports with unsuitable port configuration (see Select Connector –Physical Port Number #) are grayed.

  • Node Port is available for One Path Two Port calibrations where it selects the fully calibrated port (i.e. the source port). All ports selected in the Calibrate Ports table can be used as node ports.

Checks on closing the dialog

Remote control:

[SENSe<Ch>:]CORRection:COLLect:METHod:DEFine
"<cal_name>", REFLshort | FOPort | FRTRans | OPTPort | TOSM | TOM | TRM | TRL | TNA | UOSM, <port_no>[,<port_no>][,<port_no>][,<port_no>]

Measure Standards

The last dialog of the calibration wizard is used to perform the necessary measurements of standards and to calculate the correction data.

Measured Standards displays the list of measured standards compiled in the previous dialogs. With the exception of the Isolation (optional) measurement, all standard measurements are required perform the selected calibration.

Structure of the Measured Standards list

Calibrations using a match or sliding match

Isolation (optional) measurement

Waveguide calibration

TRL extensions: calibration with two lines, combination with TRM

Checking one of the boxes in the list causes the analyzer to stop the measurement in all channels except the active one and measure the standard according to the active channel settings. The progress of the calibration sweep and the result can be monitored in the diagram. In case of an error (e.g. if the measurement result shows that the calibration standard was not connected properly), Abort Sweep immediately terminates the sweep.

After completing the sweep the analyzer generates a short sound and a green checkmark appears in the checkbox. Measurements can be repeated as often as desired. Newer results overwrite older measurement data.

Most channel settings including the trigger settings remain valid for calibration sweeps and power calibration sweeps. To start the calibration sweeps without delay select Free Run trigger mode.

Checks for the calibration sweep

The Measure Standards dialog provides further controls:

  • Show Measurement Diagram

  • Show Phase

  • Keep Measurement Data for >Repeat Previous Cal<

  • Apply

The Keep Measurement Data for >Repeat Previous Cal< setting is valid for the current calibration only. To activate this function in general, use the parameter in the User Interface tab of the Sytem Config. dialog (menu System –System Config).

Checks during the calculation of correction data

Remote control:

[SENSe<Ch>:]CORRection:COLLect[:ACQuire]:RSAVe
[SENSe<Ch>:]CORRection:COLLect[:ACQUire]:SELected
[SENSe<Ch>:]CORRection:COLLect:SAVE
[SENSe<Ch>:]CORRection:COLLect:DELete ["<cal_name>"]
[SENSe<Ch>:]CORRection:STIMulus?

TRL Extensions

The frequency range for a TRL calibration is restricted due to singularities in the system of equations to be solved. Singularities occur whenever the length difference DL between the through and the line is an integer multiple of half of the wave length:

As a rule, singularities are avoided with sufficient accuracy if the phase shift resulting from the (electric) length difference between the through and the line standard is between 20° and 160°. This corresponds to a ratio of 1:8 for the start and stop frequency of the calibrated sweep range.

To shift the calibrated sweep range to smaller or larger frequencies, you can use a longer or shorter line. To extend the calibrated range, use one of the following methods:

  • Perform TRL calibration with two or three different line standards. With an appropriate length of the lines, the ratio for the start and stop frequency of the calibrated sweep range can increase to approx. 1:64 (for 2 lines) or 1:512 (for 3 lines).

  • In the low-frequency domain where TRL becomes inaccurate, replace TRL by TRM calibration.

The methods can be combined or used separately. The Measured Standards list for TRL calibration is extended if the calibration kit in use contains the necessary standards:

  • A 2-line (3-line) calibration requires two (three) different lines of matching gender. The lines must be measured between any combination of two ports.

  • A TRM extension at low frequencies requires either a match or a sliding match standard. The standard must be measured at each port.

The complete Measured Standards list for a two-port calibration is shown below. The calibration is valid as soon as the standards for TRL with 1 line have been measured. The extensions are applied automatically if the necessary standards have been measured.

Calibration with two or three lines

Defining cal kits with several line standards

Low-frequency extension with TRM

Accuracy conditions for the line(s)

Unknown Through Standard

If an unknown through standard (or an unknown reciprocal mixer; see Mixer Vector Cal) is measured, the Apply button in the Measure Standards dialog opens an additional dialog.

The Unknown Through Characteristics dialog shows the delay time or transmission phase that the analyzer determined during the calibration sweep.

  • For a non-dispersive standard (Dispersive check box cleared), the Delay Time can be determined unambiguously, provided that the transmission phase difference between two consecutive sweep points is below 90 deg (make sure that the spacing between the sweep points is small enough). In this case it is sufficient to press Apply in order to calculate the system error correction data and close the calibration wizard.

  • For a dispersive standard (Dispersive check box selected), the delay time is frequency-dependent, however, the analyzer can determine two solutions for the transmission phase at the start frequency of the calibration sweep. The two solutions differ by 180 deg; the right solution must be selected from a drop-down list.

If you are not sure which one of the two phases for a dispersive standard is correct, select one, press Apply and check the measured result. If the transmission phase looks incorrect, use Channel –Calibration – Repeat Previous Cal... to select the alternative solution.

The delay time or phase determined by the analyzer can be corrected manually e.g. by entering a value derived from the mechanical length of the standard. Doubtful delay times or phases are displayed with a question mark.

Remote control:

[SENSe<Ch>:]CORRection:COLLect[:ACQuire]
[SENSe<Ch>:]CORRection:COLLect[:ACQUire]:SELected

Calibration Labels

The following labels in the trace list inform you about the status or type of the current calibration.

Label

Meaning

Cal

The system error correction is applied without interpolation. This means that a set of measured correction data is available at each sweep point.

Cal int

The system error correction is applied, however, the correction data for at least one sweep point is interpolated from the measured values. This means that the channel settings have been changed so that a current sweep point is different from the calibrated sweep points. It is not possible to disable interpolation.

Cav

The system error correction uses variable calibration methods to calculate a measurement parameter. This happens for example, if a Z-parameter is calculated from S-parameters which are partly factory calibrated and partly normalized. This can also happen, if an S-parameter is measured with different port impedances, or if the analyzer uses a one port calibration at port 1 and a normalization at port 2.

Ca?

The system error correction is applied, however, the accuracy is questionable because of of the following applies:

  • The attenuator settings during the calibration differ from the attenuator settings during the measurement.

  • The bandwidth settings during the calibration differ from the bandwidth settings during the measurement.

  • The point delay settings during the calibration differ from the point delay settings during the measurement.

Cal Off !

The system error correction is no longer applied (e.g. turned off by the user). See also Calibration Overview.


Changing the channel settings can cause incompatibilities between the current instrument state and the previous calibration. In particular the following conditions must be met:

  • The configuration of all ports needed must be correct (see Select Connector –Physical Port Number #).

  • The Sweep Type must be unchanged.

If incompatible settings occur the analyzer displays an error message and does not repeat the calibration.

Repeat Previous Cal

Reopens the Measure Standards dialog of the calibration wizard to repeat and optimize the previous calibration without necessarily repeating the measurement of all standards.

Repeat Previous Cal is active only if Keep Measurement Data for >Repeat Cal< in the Measure Standards dialog was enabled when the last calibration for the active channel was successfully completed.

Additional conditions for repeating a calibration

Recall Last Cal Set

Loads and activates the setup for which the last calibration was performed. If the last calibrated setup is already active, nothing is changed.

The calibrated setups are automatically stored in the C:\Rohde&Schwarz\Nwa\Calibration\RecallSets directory. A message box pops up if the directory is empty, e.g. because no calibration was performed yet.

Correction Off

Activates or deactivates the system error correction in the active channel. Correction Off is active only if a valid system error correction is assigned to the active channel; see Cal State in the Calibration Manager.

A red label Cal Off ! appears behind the trace list if the system error correction is switched off; see also Calibration Overview.

Remote control:

[:SENSe<Ch>]:CORRection:STATe ON | OFF


Power Calibration

A source power calibration ensures accurate power levels of the generated wave at an arbitrary reference plane in the measurement path. The calibrated reference plane is typically the input of the DUT.

In a frequency sweep, the power at the reference plane is maintained at a constant Cal Power value. The source power calibration eliminates frequency response errors in the signal path between the source and the reference plane. It is possible to introduce an arbitrary attenuation or gain into the signal path so that the Cal Power is not restricted to the power range of the source. A typical application for a power calibration in a frequency sweep is the measurement of the gain of an amplifier across a frequency range but at a fixed input power.

In a power sweep, the power calibration ensures that the power at the reference plane is either constant or a linear function of the stimulus power. A typical application for a power calibration in a power sweep is the measurement of the gain of an amplifier across a power range but at a fixed frequency.

The correction data acquired in a frequency or power sweep is re-used if a Time or CW Mode sweep is activated.

The source power calibration requires an external power meter, to be connected via GPIB bus, USB or LAN interface. Use the USB-to-IEC/IEEE Adapter (option R&S ZVAB-B44) to control devices equipped with a GPIB interface. The power sensor can be connected directly at the reference plane or to any other point in the test setup where the signal power is known to be proportional to the power at the reference plane.

The source power calibration involves several steps:

  1. The analyzer performs a first calibration sweep at the source power that is likely to produce the target power (Cal Power) at the reference plane. A known attenuation or gain at the source port and in the signal path between the source port and the reference plane is taken into account.

  2. The power measured at the reference plane is displayed in the calibration sweep diagram and compared to the Cal Power. The comparison serves as an input for the correction of the source power.

  3. Steps 1 and 2 are repeated for a specified Number of Readings or after the deviation between the measured power at the reference plane and the Cal Power is below a specified Tolerance.

  4. After the last calibration sweep, it is possible to perform an additional Verification Sweep in order to check the accuracy.

After a power calibration one can expect the power at the reference plane to be within the range of uncertainty of the power meter. After a change of the sweep points or sweep range, the analyzer interpolates or extrapolates the calibration data.

To use fast power calibration, ensure that the analyzer is configured as follows:

  1. An internal source is used.

  2. The Reference Receiver Cal is enabled.

  3. On an R&S ZVA network analyzer that is equipped with option R&S ZVA<n>-B16, Direct Generator/Receiver Access, the jumper for the REF OUT / REF IN connectors is connected so that the reference receiver loop is closed.

Zeroing calibrates the external power meter by adjusting its reading at zero signal power. For this purpose, the RF cable between the analyzer and the power sensor must be disconnected (see tips below!). R&S power sensors and power meters automatically detect the presence of any significant input power. This aborts zeroing and generates an error message. Zeroing can take a few seconds, depending on the power meter model; refer to the documentation of your external power meter for more information.

Repeat zeroing:

  • During warm-up after switching on or connecting the instrument

  • After a substantial change of the ambient temperature

  • After fastening the power meter to an RF connector at high temperature

  • After several hours of operation

  • When very low-power signals are to be measured, e.g. less than 10 dB above the lower measurement limit.

A reset of the network analyzer does not affect the last zeroing result.

The two test setups for additional two-ports can be depicted as follows.

Case A: 2-port in front of power sensor (during calibration)

Test and measurement procedure:

1. Perform the calibration with the additional two-port between the analyzer port and the power sensor. During the calibration the analyzer increases the power sensor values by the 2-port transmission coefficients. The calibrated reference plane corresponds to the input of the additional 2-port.

2. Perform the measurement without the additional two-port.

Practical example:

  • An adapter or attenuator with known attenuation is needed to connected the power sensor to the NWA test port. The transmission coefficients of the adapter are used for the power meter correction.

Case B: 2-port in front of DUT (during measurement)

Test and measurement procedure:

1. Perform the calibration without the additional two-port. During the calibration the analyzer decreases the power sensor values by the 2-port transmission coefficients. The calibrated reference plane corresponds to the output of an additional 2-port which is placed in-between the NWA port and the DUT.

2. Perform the measurement with the additional two-port.

Practical example:

  • On-wafer measurements. The power sensor cannot be directly connected to the input of the DUT. The transmission coefficients of the wafer probe are used for the power meter correction.

A receiver power calibration ensures that the power readings at a specified input port of the analyzer agree with the source power level calibrated at an arbitrary reference plane. Typically, the reference plane is at the input of the receiver so that the calibration eliminates frequency response errors in the calibrated receiver.

A receiver power calibration generally improves the accuracy of power (wave quantity) measurements.

The correction data acquired in a frequency or power sweep is re-used if a Time or CW Mode sweep is activated.

The receiver power calibration is based on a wave with known power.

  • No external connection is needed for a receiver power calibration on the reference receiver (wave quantity an with Port n used as a source). Besides, the reference receiver is automatically calibrated together with any source power calibration of an analyzer port unless this feature is disabled in the Modify Source Power Cal Settings dialog.

  • Calibration of a received wave bn involves an external test setup. The received wave to calibrate can be generated by the analyzer or an external generator.

The receiver power calibration involves a single calibration sweep. The calibration sweep is performed with current channel settings but with a maximum IF bandwidth of 1 kHz. Smaller IF bandwidths are maintained during the calibration sweep; larger bandwidths are restored after the sweep.

The analyzer measures the power at each sweep point, compares the result with the nominal power of the source, and compiles a correction table.

An acoustic signal indicates the end of the calibration sweep. At the same time, a message next to the calibrated source indicates the status of the receiver power calibration. After a change of the sweep points or sweep range, the analyzer interpolates or extrapolates the calibration data.

Power Calibration

The Power Calibration submenu configures and starts a source or receiver power calibration.

In true differential mode only the source power calibration results are used, no receiver power calibration is possible.

  • Source Power Cal... opens the configuration dialog for a source power calibration.

  • Receiver Power Cal... opens the configuration dialog for a receiver power calibration.

Power correction data can be stored to a cal group and applied to several channels; see description of the Calibration Manager.
In remote control it is possible to read, modify and reload power calibration data. Refer to the description of the commands SOURce<Ch>:POWer<Pt>:CORRection:DATA and [SENSe<Ch>:] CORRection:POWer<port_no>:DATA.

Remote control:

SOURce<Ch>:POWer:CORRection...
[SENSe<Ch>:]CORRection:POWer...

Source Power Cal...

Opens the configuration dialog for a source power calibration.

Purpose of a source power calibration

Calibration procedure

The Source Power Cal dialog provides the following control elements:

  • Calibrate – Source contains all analyzer ports or external generators and frequency converters which can be used as a source for the calibrated wave quantity. The list contains all analyzer ports Port 1 to Port n. Generators (Gen 1, Gen 2 ...) must be configured explicitly in the System Configuration –External Generators dialog before they appear in the list. Frequency converters (Conv 1, Conv 2 ...) must be configured in the System Configuration –Fequency Converters dialog. Only frequency converters with electronic attenuator (R&S ZVA-ZxxxE) can be power-calibrated.

  • Set as Stimulus Axis causes the channel line of the active channel to show the (target) power of the calibrated source port instead of the channel base power (e.g. Port 1 Pwr 0 dBm instead of Base Pwr 0 dBm). This is particularly useful if the source port powers differ from each other and from the channel base power. For power sweeps, the original stimulus axis range is replaced by the target power range of the calibrated port. After the calibration, the selected stimulus axis is maintained and shows the calibrated source power at the reference plane.
    Use the context menu of the channel line or the     Channel – Mode – Port Configuration – Stimulus dialog to select an arbitrary stimulus axis.

  • Take Cal Sweep initiates a calibration sweep for the selected source. The progress of the sweep is monitored in the calibration sweep diagram. After the necessary calibrations have been completed, a message in the trace list indicates the status of the power calibration.

  • Abort Sweep stops a running sweep. The data acquired in the aborted sweep is discarded.

  • The Settings panel displays the essential parameters of the source power calibration, to be defined in the Modify Source Power Cal Settings dialog.

  • Source Power Correction Off can be selected/deselected as soon as power calibration data has been acquired for the selected source. If the box is checked, the calibration data is kept in memory but not applied to the source. The Power Correction Off softkey disables the power correction for all receivers and sources.

  • Modify Settings... opens the Modify Source Power Cal Settings dialog.

  • Power Meter selects an external power meter that is used to measure the exact source power at the calibration point. Power meters (Pmtr1, Pmtr2, ...) must be configured in the System Configuration – External Power Meters dialog before they appear in the list. The buttons in the Power Meter panel provide settings for the selected power meter; see Power Meter Settings.

  • Perform Verification Sweep after Cal enables or disables a verification sweep that the analyzer performs after the source power calibration. The sweep is also displayed in the calibration sweep diagram. Its purpose is to test the accuracy of the source power calibration after the final correction data has been acquired. The final power calibration results are applied starting with the first sweep after the verification sweep.

Remote control:

SOURce<Ch>:POWer<Pt>:CORRection[:ACQuire]
SOURce<Ch>:POWer<Pt>:CORRection:COLLect[:ACQuire]
SOURce<Ch>:POWer<Pt>:CORRection[:STATe]
SOURce<Ch>:POWer<Pt>:CORRection:GENerator[:STATe]
SOURce<Ch>:POWer<Pt>:CORRection:PMETer:ID
SOURce<Ch>:POWer<Pt>:CORRection:COLLect[:ACQuire]:VERification[:STATe]
SOURce<Ch>:POWer<Pt>:CORRection[:ACQuire]:VERification:RESult?

Calibration Sweep Diagram

The calibration sweep diagram displays the power measured by the external power meter while a source power calibration is performed.

  • A trace is displayed for each calibration sweep.

  • If Perform Verification Sweep after Cal is enabled in the Source Power Cal dialog, an additional trace is displayed after the end of the calibration.

The diagram is automatically scaled so that the center corresponds to the selected Cal Power. For frequency sweeps, a horizontal trace close to the Cal Power indicates an accurate power calibration. For power sweeps, the ideal trace is a power ramp.

Below the sweep diagram, the status messages Calibration in Progress/Finished and Verification in Progress/Finished show the progress of the calibration procedure.

Modify Source Power Cal Settings

The Modify Source Power Cal Settings dialog displays the target power for the source power calibration and defines stop criteria.

The dialog provides the following control elements:

  • Port n Power (where n is the calibrated source port selected in the Source Power Cal dialog) shows the target power of the calibration (Cal Power) and the Cal Power Offset. Both parameters can be adjusted in the Port <n> Power dialog, to be opened via Modify Cal Power... For frequency converters with electronic attenuators, the analyzer opens an alternative Converter Port <n> Power dialog.

  • The parameters in the Power Cal Sweeps panel provide stop criteria for the calibration procedure: Maximum Number of Readings is a limit for the number of calibration sweeps. Tolerance denotes the maximum deviation of the measured power from the Cal Power. The calibration procedure is stopped if the Maximum Number of Readings is reached or if the measured power is within the Tolerance.
    The     Convergence Factor can be used to modify the amount of power correction after each calibration sweep. The deviation from the desired power at the reference plane, as measured by the external power meter or a-wave receiver, is multiplied by the selected convergence factor. The variable attenuator setting is modified by the product of <power deviation> times <convergence factor>. With a convergence factor larger (smaller) than 1, the source power correction after each power calibration step is larger (smaller) than the measured deviation from the desired power.
    Convergence factors different from 1 are indicated only if the test setup includes non-linear components. External frequency converters may require convergence factors <1 at some source powers and frequencies. In general, it is recommendable to start the calibration with a convergence factor 1 and choose smaller values (0.8 ... 0.4) in case that the iteration fails. Inappropriate convergence factors can slow down the source power calibration or even prevent convergence.

  • Includes – Flatness Cal enables the iterative source power calibration with the stop criteria specified above. This corresponds to the normal source calibration procedure. If the Flatness Cal is disabled, the analyzer performs a single calibration sweep in order to calibrate the reference receiver (see below) but without overwriting the previous source power calibration data. The Port n Cal Power and Power Meter Readings are disabled. A frequency extension with an external converter without electronic attenuator is a typical example for a measurement where the Flatness Cal should be disabled.

  • Includes – Reference Receiver Cal enables a calibration of the reference receiver of the active source port together with the source power calibration. The reference receiver reading is set equal to the power reading of the external sensor. This can replace a subsequent a-wave receiver power calibration.

  • Use Reference Receiver after <n> Power Meter Readings enables the fast power calibration mode where the external power meter is used for the first <n> calibration sweeps only. The analyzer uses its reference receiver for the following, iterative calibration sweeps. The gain in speed increases with the number of readings minus <n>. The verification sweep (if it is enabled) is also performed using the reference receiver; it may be used to estimate the accuracy of the fast power calibration. See also Conditions for fast power calibration.
    Use Power Meter only disables fast power calibration; the power meter is used for all calibration sweeps.
    Reference Receiver only is available while the Reference Receiver Cal is disabled. This method also requires an existing source power calibration of the active channel and test setup for a particular target power <Cal Power 1>, including a reference receiver calibration. The calibration for the new target power <Cal Power> is based on the existing calibration data at <Cal Power 1>. During the sequence of calibration sweeps, the source power is varied such that the reference receiver indicates the new power <Cal Power>. Assuming a sufficiently linear behavior of the components in the test setup, <Cal Power> is also available at the reference plane.

  • If Switch off All Other Sources... is checked, the power at all sources except the calibrated source is switched off during the calibration. This is advisable especially if the power calibration is intended for intermodulation measurements where different signals are combined.

The analyzer performs either a Flatness Cal or a Reference Receiver Cal, or both. The two options must not be disabled simultaneously.

Conditions for fast power calibration

Remote control:

SOURce<Ch>:POWer<Pt>:CORRection:NREadings
SOURce<Ch>:POWer<Pt>:CORRection:COLLect:AVERage[:COUNt]
SOURce<Ch>:POWer<Pt>:CORRection:COLLect:AVERage:NTOLerance
SOURce<Ch>:POWer<Pt>:CORRection:COLLect:CFACtor
SOURce<Ch>:POWer<Pt>:CORRection:COLLect:FLATness
SOURce<Ch>:POWer<Pt>:CORRection:COLLect:RRECeiver
SOURCe<Ch>:POWer<Pt>:CORRection:FAST
SOURce<Ch>:POWer<Pt>:CORRection:COLLect:METHod
SOURce<Ch>:POWer<Pt>:CORRection:COLLect:PMReadings
SOURce<Ch>:POWer<Pt>:CORRection:OSOurces[:STATe]

Power Meter Settings

The Power Meter settings in the Source Power Cal dialog (and similar dialogs) are used to select the external power meter that is used to measure the exact source power at the calibration point and to ensure maximum accuracy of the power measurement. Power meters (Pmtr1, Pmtr2, ...) must be configured in the System Configuration –External Power Meters dialog before they appear in the list.

The Power Meter panel provides the following buttons.

  • Power Meter Config... opens the System Configuration –External Power Meters dialog.

  • Auto Zero initiates a zeroing procedure of the power meter; see background information below.

  • Power Meter Correction... opens a dialog to define the frequency range for the sensitivity correction of the power meter and an additional transmission coefficient in front of the power meter or the DUT.

Zeroing

Power Meter Correction

Defines the frequency range for the sensitivity correction of the power meter and an additional transmission coefficient in front of the power meter or the DUT.

The settings appear in two panels:

  • Frequency Information for Sensitivity Correction from selects the origin of the frequency information.
    For best accuracy, power meters must know the exact frequency of the measured signal. If the signal path between the source and the power meter contains a frequency-converting device, the frequency at the power meter differs from the frequency of the calibrated source. It is recommended to define the modified frequency range for the power meter in the Port Configuration dialog and select From Power Meter Entry in Port Configuration.

  • The Additional Two-Port settings allow you to modify the power calibration data in order to account for an additional two-port device with known transmission coefficients. Configuration of the transmission coefficients and activation (Take Transmission Coefficient into Account) are independent from each other.

  • In Front of selects the position of the additional two-port in the test setup.
    If Power Sensor (during Calibration) is active, the analyzer increases the measured power sensor values by the two-port transmission coefficients to ensure that a subsequent measurement without the additional two-port is correctly calibrated.
    If Device under Test (during Measurement) is active, the analyzer decreases the measured power sensor values by the two-port transmission coefficients to move the reference plane of the power calibration towards the input of the DUT. For examples see background information below.

  • The Transmission Coefficient panel defines the transmission characteristics of the additional two-port in the calibrated frequency range. The required information is a list of transmission coefficients at different frequency values. It is possible to edit the list manually, use one of the traces in the active setup (Use Trace), or import the list from a trace file (Import Data...). The imported trace file must be either in Touchstone (*.s<n>p) or *.csv format; see also Trace File Formats).
    The list must contain at least one frequency point before you can enable the additional two-port correction. In a power, time or CW mode sweep, one point at the fixed CW frequency is sufficient. In a frequency sweep it is possible to enter several values to account for a frequency-dependent transmission coefficient.
    You can also save the displayed list to a power meter correction list file with extension (*.pmcl) and re-load it in later sessions (Save List..., Load List...).

Test setups with "additional two-port" devices

Remote control:

[SENSe<Ch>:]PMMO ON | OFF
SOURce<Ch>:POWer:CORRection:TCOefficient[:STATe]
SOURce<Ch>:POWer:CORRection:TCOefficient:CALibration
SOURce<Ch>:POWer:CORRection:TCOefficient:INSert
SOURce<Ch>:POWer:CORRection:TCOefficient:DEFine
SOURce<Ch>:POWer:CORRection:TCOefficient:COUNt?
SOURce<Ch>:POWer:CORRection:TCOefficient:DELete[:DUMMy]
SOURce<Ch>:POWer:CORRection:TCOefficient:DELete:ALL
SOURce<Ch>:POWer:CORRection:TCOefficient:FEED
MMEMory:LOAD:CORRection:TCOefficient "<file_name>"[,"parameter"]
MMEMory:SAVE:CORRection:TCOefficient "<file_name>"

Receiver Power Cal...

Opens the configuration dialog for a receiver power calibration. The receiver power calibration data is acquired in a calibration sweep after appropriate selection of the calibrated wave quantity and the source.

Purpose of a receiver power calibration

Calibration procedure and calibration sweep

The Receiver Power Cal dialog provides the following control elements:

  • Wave Quantity to Calibrate provides two pull-down lists to select one of the transmitted waves an or one of the received waves bn for the calibration. Each power calibration only applies to the selected wave quantity in the active measurement.

  • Receiver Power Correction Off can be selected/deselected as soon as power calibration data has been acquired for the active wave quantity. If the box is checked, the calibration data is kept in memory but not applied to the wave quantity. The Power Correction Off softkey disables the power correction for all receivers and sources.

  • Used Source contains all analyzer ports or external generators which can which can be used as a source for the calibrated wave quantity. The list contains all analyzer ports Port 1 to Port n. Generators (Gen 1, Gen 2, ...) must be configured explicitly in the System Configuration –External Generators dialog before they appear in the list. Behind the source, a message indicates the status of the power calibration.

  • Take Cal Sweep initiates a calibration sweep for the selected wave quantity and source. The progress of the sweep is monitored in the Sweep progress bar.

  • Abort Sweep stops a running sweep. The data acquired in the aborted sweep is discarded.

The accuracy of the receiver power calibration depends on the accuracy of the source. Depending on the test setup and reference plane, it is recommendable to perform a source power calibration before the receiver power calibration.

Remote control:

[SENSe<Ch>:]CORRection:POWer:ACQuire
[SENSe<Ch>:]CORRection:POWer:AWAVe[:STATe]
[SENSe<Ch>:]CORRection:POWer:DATA
[SENSe<Ch>:]CORRection:POWer[:STATe]

Power Calibration Labels

The status of a power calibration is indicated in the trace list and in the Used Source panel of the Receiver Power Cal dialog. The following messages can be displayed:

  • PCal denotes an active power calibration with unchanged sweep points (no interpolation or extrapolation).

  • PCai denotes an active, interpolated power calibration (the calibration data for at least one sweep point is interpolated).

  • PCa? denotes an active power calibration with changed receiver settings (changed step attenuator settings and disabled ALC).

  • PCao denotes an active power calibration with a changed source power (changed base power or generator step attenuator settings).

  • PCax denotes an active, extrapolated power calibration. The current stimulus range exceeds the calibrated stimulus range. The power calibration data of the first calibrated sweep point is used for all smaller stimulus values; the power calibration data of the last calibrated sweep point is used for all larger stimulus values.

  • Pcal Off indicates that the power calibration was deliberately switched off.

A lower label in the list has priority over the higher labels (e.g. if the power calibration is interpolated and the source power is changed, then the label PCao is displayed).

The labels appear in the trace list, provided that the measurement result is an S-parameter, wave quantity, ratio, or a derived quantity (stability factor, PAE), and that the effects of an inaccurate source or receiver power have been consistently removed. The conditions for consistency depend on the measured quantity (see also Data Flow):

  • For S-parameters and quantities derived from S-parameters (stability factors), only the source power calibration is relevant. S-parameters Sxy represent the ratio of a received wave bx to a driving wave ay, therefore the absolute receiver powers are not critical. A PCal label indicates a calibrated source power at all drive ports.

  • For wave quantities and derived quantities (e.g. ratios, PAE), only the receiver power calibration is relevant. Due to the linearity of the receiver, a modification of the base power or generator step attenuator settings has no effect. A PCal label for a wave quantity indicates a calibrated receive port. A PCal label for a ratio indicates that both receive ports are calibrated. Notice that wave quantities and ratios are not system error corrected.

Remote control:

[SENSe<Ch>:]CORRection:PSTATe?

Interpolation and Extrapolation

The analyzer can interpolate and extrapolate power correction data so that a source or receiver power calibration can be reused after a change of the frequency sweep range:

  • At new sweep points within the calibrated sweep range, interpolation is applied to calculate the correction data. A label PCai in the trace list indicates an interpolated power calibration.

  • At new sweep points outside the calibrated sweep range, the correction values are extrapolated: Sweep points below the lowest calibrated frequency are assigned the correction value of the lowest frequency. Sweep points above the highest calibrated frequency are assigned the correction value of the highest frequency. A label PCax in the trace list indicates an extrapolated power calibration.

Power Correction On

Applies all available source and/or receiver power calibrations to the active channel. This function is disabled if no power correction data has been acquired for the active channel.

Uncheck the ...Power Correction Off boxes in the Source Power Cal and Receiver Power Cal dialogs to enable an individual source or receiver calibration. Press Power Correction Off to disable the power calibration of all sources and receivers.

Remote control:

SOURce<Ch>:POWer:CORRection:STATe ON
[SENSe<Ch>:]CORRection:POWer:STATe ON

Power Correction Off

Disables all source and receiver power calibrations of the active channel so that all power correction data is ignored. This function is disabled if no power correction data has been acquired for the active channel.

Check the ...Power Correction Off boxes in the Source Power Cal and Receiver Power Cal dialogs to disable an individual source or receiver calibration. Press Power Correction On to re-enable the power calibration of all sources and receivers.

Remote control:


Enhanced Wave Correction

Activates or deactivates the system error correction of all a- and b-waves which are related to the ports of the active channel calibration. The enhanced wave correction provides system error corrected complex wave quantities and ratios for a group of analyzer ports.

If no channel calibration is available the enhanced wave correction is still applied, based on the factory calibration. The calibration labels in the trace lines of the wave quantities and ratios allow you to distinguish the enhanced wave correction states:

  • Enhanced wave correction off: no Cal label, Pcal label according to the power calibration state.

  • Enhanced wave correction on, factory calibration: no Cal label, no Pcal label, irrespective of the power calibration state.

  • Enhanced wave correction on, channel calibration: Cal label, Pcal label according to the power calibration state. A single power calibration at one port ensures power calibrated waves (Pcal) at all ports.

For consistent measurements, it is recommended to use the enhanced wave correction in combination with a (sufficient) set of system error corrections and power calibrations; see Enhanced Wave Correction Procedure and Limitations.

In the present firmware version, the enhanced wave correction for all ports is referenced to the factory calibration when a wave quantity or ratio for an uncalibrated port is selected. The Cal labels are removed in all trace lines for ratios and wave quantities, including the traces lines for calibrated ports. The same happens if an uncalibrated port is activated for the measurement using the Meas check box in the Port Configuration dialog.
It is recommended to provide the calibrations for all ports before activating the enhanced wave correction, creating traces, and activating ports.

The enhanced wave correction is automatically activated when one of the following measurement modes is selected:

  • True differential mode or defined coherence mode (with option R&S ZVA-K6). Enhanced wave correction is a prerequisite for these modes and cannot be disabled.

  • Enhanced scalar mixer measurement. This is a scalar mixer measurement in combination with an enhanced wave correction. Activating the enhanced wave correction activates enhanced scalar mixer mode and vice versa.

Remote control:

[SENSe<Ch>:]CORRection:EWAVe[:STATe]

Enhanced Wave Correction Procedure, Extensions and Limitations

The enhanced wave correction for a group of analyzer ports is based on a system error correction which provides the correct power ratios and phase relationships between the waves. For a single port, a full one-port calibration is required. For n ports, a full n-port calibration (TOSM, TRL, TNA ...) is required.

A power calibration is not mandatory but required for absolute power measurements. To obtain the absolute powers at all ports within the port group, either a source power calibration with reference receiver calibration or a receiver calibration at a single port is sufficient. For best accuracy, perform a source power calibration with active reference receiver calibration.

With active enhanced wave correction and power calibration, the analyzer shows the true waves and ratios at the calibrated reference plane. For a one-port measurement at port n, the corrected ratio bn/an is equal to the system error-corrected reflection coefficient Snn. For n-port measurements, due to the definition of the S-matrix, ratios and S-parameters are generally different.

Some frequency-converting measurement modes combine different port groups with different frequencies. The port groups are defined as follows:

  • No frequency conversion: The ports which are selected for the measurement (Meas check box on in the Port Configuration dialog) form a port group for enhanced wave correction. After a full n-port calibration, the n calibrated ports are selected.

  • Scalar Mixer Measurement: Port 1 corresponds to port group 1, port 2 corresponds to port group 2, see detailed example below.

  • Defined Coherence Mode: All driving (coherent) ports form port group 1, the remaining ports (with Meas on) form port group 2.

Example: In a scalar mixer measurement, port 1 drives at the RF output frequency fRF, port 2 measures at the different IF frequency fIF. For a 300 kHz LO frequency and an RF frequency range of 1 GHz ... 2 GHz, the Port Configuration dialog shows the following settings.

An Enhanced Scalar Mixer Measurement is a combination of the scalar mixer measurement with enhanced wave correction at port 1 and port 2. This requires two full one port calibrations (predefined as a Scalar Mixer Meas Cal). Alternatively, you can perform a full two-port calibration for ports 1 and 2. The analyzer will perform "segmented" calibration sweeps over all required frequency ranges and extract the calibration data for the individual port groups from the full set of calibration data. The Channel Manager displays the properties of the two-port system error correction as follows (2 frequency segments, each with 201 points):

The two alternative calibration schemes are depicted below.

The Scalar Mixer Meas Power Cal provides the necessary power calibrations for consistent absolute powers at Port 1 and Port 2.

Limitations for enhanced wave correction

  • No frequency conversion: All measured ports belong to the same port group.

  • Scalar Mixer Measurement, arbitrary mode: Two port groups, must correspond to the logical ports no. 1 and 2.

  • Defined Coherence Mode: The combined ports which provide the coherent signals (port group 1) must be at the same frequency. The remaining analyzer ports (port group 2) may measure at a different frequency.


Calibration Manager

The cal pool is a collection of correction data sets (cal groups) that the analyzer stores in a common directory C:\Rohde&Schwarz\NWA\Calibration\Data. Cal groups in the pool can be applied to different channels and setups. Each cal group is stored in a separate file named <CalGroup_name>.cal. The cal group name can be changed in the Calibration Manager dialog.

One of the following calibration states is assigned to each of the channels listed in the Cal State table:

  • No Calibration

  • Channel Cal

  • Uses <CalGroup>

The channel calibration of the active channel is also applied to a new channel created via Add Channel + Trace. Corr Off indicates that the system error correction for the channel has been deactivated using Correction Off.

If a new calibration is performed for a channel assigned to a cal group (marked as Uses <CalGroup>), the correction data overwrites the cal group data, so the new calibration will affect all channels assigned to the cal group. The network analyzer generates a notice message "New calibration will overwrite cal pool!" when opening the first dialog (Select Physical Port Connectors) of the calibration wizard.

No specific channel correction data is available. The factory system error correction is used. This is the default situation when a new setup is created (File –New).

A system error correction and/or power correction with channel-specific correction data is active. A new calibration of the channel affects the channel-specific correction data only; no cal group file will be overwritten..

A system error correction with one of the correction data sets (cal groups) stored in the cal pool is active. A new calibration of the channel replaces the correction data in the cal pool and may affect several channels, see below.

Calibration Manager

Opens a dialog to store system error correction and power correction data to the cal pool and to assign stored correction data to channels.

Cal pool

The Calibration Manager dialog contains three main panels:

  • Calibration State lists all channels and their current calibration state.

  • Calibration Pool contains a list of all stored correction data sets.

  • Calibration Properties displays the basic channel settings and describes the System Error Correction and the Power Correction which is available for the channel selection in the Calibration State panel. If available, the Noise Figure Correction Data (with option R&S ZVAB-K30) is displayed in addition.

Calibration states

The buttons in the upper half of the dialog are used to modify the Cal Pool and apply pool data to channels:

  • Add -> copies the correction data of the selected channel to the cal pool, generating a new pool member (cal group).

  • Replace -> overwrites a cal group with new correction data.

  • <- Apply assigns the selected cal group to the selected channel.

  • <- Apply to All assigns the selected cal group to all channels in the Cal State table.

  • Resolve Pool Link deletes the assignment between the selected channel (Ch<n>: Uses <CalGroup_name>) and the cal group. The correction data from the cal group <CalGroup_name> is used as a channel calibration for <Ch<n>>, the Calibration State list displays Ch<n>: Channel Cal.

  • Delete From Pool deletes the selected cal group.

You can apply any correction data set (cal group) from the Cal Pool to several channels, which may belong to different setups. When doing so make sure that the port configuration of the channels (connectors, state, ...) and the cal group are compatible.
You can also use a cal group stored in the Cal Pool to define a channel-specific calibration. Apply the cal group to the channel and click Resolve Pool Link.

Remote control:

MMEMory:STORe:CORRection <Ch>, "<file_name>"
MMEMory:LOAD:CORRection <Ch>, "<file_name>"
MMEMory:LOAD:CORRection:RESolve <Ch>, "<file_name>"
MMEMory:DELete "C:\Rohde&Schwarz\NWA\Calibration\Data\<file_name>"
MMEMory:DELete:CORRection "<file_name>"
[SENSe<Ch>:]CORRection:DATE?
[SENSe<Ch>:]CORRection:DATA:PARameter?
[SENSe<Ch>:]CORRection:SSTate?
MMEMory:LOAD:CORRection:MERGe (merge calibration files)


Calibration Kits

A calibration kit is a set of physical calibration standards for a particular connector type. The magnitude and phase response of the calibration standards (i.e. their S-parameters) must be known or predictable within a given frequency range.

The standards are grouped into several types (open, through, match,...) corresponding to the different input quantities for the analyzer's error models. The standard type also determines the equivalent circuit model used to describe its properties. The circuit model depends on several parameters that are stored in the cal kit file associated with the calibration kit.

As an alternative to using circuit models, it is possible to describe the standards by means of S-parameter tables stored in a file.

The analyzer provides a large number of predefined cal kits but can also import cal kit files and create new kits:

  • A selection of predefined kits with different types of parameters is available for all connector types. The parameters of these kits are displayed in the Add/Modify Standards dialog, however, it is not possible to change or delete the kits.

  • Imported and user-defined kits can be changed in the Calibration Kits dialog and its various sub-dialogs.

Calibration kits and connector types are global resources; the parameters are stored independently and available irrespective of the current setup.

describe calibration kit models with highly standardized components so that the parameters are valid for all calibration kits of the model.

approximately describe a calibration kit model. To correct for deviations between the standards, each kit of the model is individually measured and delivered with an additional, kit-specific parameter set. Therefore each typical parameter set <kit_name> typical is complemented by an additional parameter set <kit_name> containing optimized parameters for an individual kit.

describe an idealized calibration kit for each connector type; see below.

All ideal kits contain the following standards:

Standard (Gender) | R (Load) | Electrical Length (Offset)
Open (f, m) | Ω | 0 mm (Delay: 0 s)
Short (f, m) | 0 Ω | 0 mm
Offset Short (f, m) | 0 Ω | 10 mm
Match (f, m) | Z0 (reference impedance of the connector type) | 0 mm
Sliding Match (f, m) | – | 0 mm
Reflect (f, m) | Ω | 0 mm
Through (ff, mm, mf) | – | 0 mm
Line (ff, mm, mf) | – | 10 mm
Attenuation (ff, mm , mf) | – | 0 mm
Symm. Network (ff, mm, mf) | – | 0 mm

The following additional parameters are used:

  • Characteristic impedance: Z0 (reference impedance of the connector type)

  • Loss: 0 dB / sqrt(GHz) or (0 GΩ / s) in Agilent mode

  • All inductance and capacitance parameters are set to zero.

Cal kit files are independent of the current setup and contain the following information:

  • Name and label of the calibration kit

  • Connector type including all connector type parameters (name, polarity, offset model, reference impedance)

  • Type, gender and label of all standards in the kit together with the circuit model parameters (offsets, load) or S-parameter tables (.snp file) that are necessary to determine its magnitude and phase response.

On loading some older ZVR-specific *.ck files, e.g. the ZV-Z23 cal kit file, the ZVA generates the message File does not comply with instrument calibration kit file format. The files must be converted using a ZVR network analyzer equipped with a firmware version V3.52 or higer. Proceed as follows:

  1. On the ZVR, press CAL –CAL KITS – MODIFY KITS – INSTALL NEW KIT to import the *.ck file.

  2. Press CREATE INST FILE in the same submenu to export the *.ck file in a ZVA-compatible format.

  3. Import the converted file into the ZVA.

The VNA Cal Kit Manager is a free, Windows-based software tool intended to import, edit, and export *csv cal kit files. The software is available for download at http://www.vnahelp.com/products.html. The decimal separator used by the VNA Cal Kit Manager V2.1 depends on the language version of the Windows operating system: Cal kit files generated on an English operating system contain dots, the ones generated on a German system contain commas.

The network analyzer expects the dot as a separator and displays an error message when a *.csv file with commas is loaded. Please install the VNA Cal Kit Manager V2.1 on an appropriate (e.g. English) Windows version to avoid trouble.

The network analyzer can import and process cal kit files created with the PNA Cal Kit Editor. The files use the extension *.prn; the data format is identical to the *.csv format.

The decimal separator used by the PNA Cal Kit Editor depends on the language version of the Windows operating system: Cal kit files generated on an English operating system contain dots, the ones generated on a German system contain commas.

The network analyzer expects the dot as a separator and displays an error message when a *.prn file with commas is loaded. Please install the PNA Cal Kit Editor on an appropriate (e.g. English) Windows version to avoid trouble.

  • Copy Standards from...opens a dialog to copy standards from another calibration kit to the new kit.

  • Add Standard...selects, defines and adds a new standard to the kit. A calibration kit may only contain a single standard of each type.

  • View / Modify Standard... displays or changes the properties of the selected standard.

  • Delete Standard removes the selected standard from the list and from the calibration kit.

The reference impedance (Ref Imp) Z0 for the connectors is a critical value that is displayed in the Port Configuration menu and represents an input value for various parameter conversions. Z0 enters into:

  • The calculation of the S-parameters for the calibration standards associated with the connector type, provided that they are derived from a circuit model (Add/Modify Standarddialog).

  • The calculation of the (default) reference impedances for balanced ports (Def. Balanced Port tab of the Balanced Ports and Port Groups dialog).

  • The calculation of impedance and admittance parameters.

Calibration kits and connector types are global resources; the parameters are stored independently and available irrespective of the current setup. The connector type settings are always stored together with the associated calibration kit parameters. It is possible to export and import the connector settings using Export Kit... and Import Kit... in the Calibration Kits dialog.

The offset model parameters are used for the calculation of the S-parameters for the calibration standards associated with the connector type, provided that they are derived from a circuit model (Add/Modify Standarddialog).

  • For TEM-type lines, the relative permittivity εr is needed for the conversion of a ZVR-type Loss (in units of dB/sqrt(GHz)) into an Agilent-type Offset Loss (in units of GΩ/s) and vice versa (see Offsetand Loadparameters). The Electrical Length and Delay values in the Modify Offset dialog are directly entered and therefore independent of εr.

  • For waveguides, the low frequency cutoff frequency fc is important because no wave propagation is possible at frequencies below fc. If a standard is measured in order to acquire calibration data, the analyzer checks the low frequency cutoff. If the start frequency of the sweep range is below fc , then the calibration wizard generates an error message.

The offset model parameters are not used except in the context of calibration. The offset parameter definitions (see Mechanical Length) are based on independent εr values.

Calibration Kits

Opens a dialog to manage the calibration kits in use, add new kits and import or export kits.

Calibration kits

The Calibration Kits dialog contains a series of buttons, each of them opening a dialog:

  • Import Kit imports a previously stored cal kit file. The analyzer asks whether to set the imported calibration kit active.

  • Add Kit combines different standards to form a new calibration kit.

  • View/ Modify Kit adds or deletes standards in an imported or user-defined calibration kit and/or changes their parameters.

  • Copy Kit to... creates a copy of the selected kit with a new cal kit name.

  • Delete Kit removes an imported or user-defined kit from the list of Calibration Kits in Use.

  • Export Kit exports calibration kit data to a cal kit file.

  • Avail. Conn. Types adds or deletes connector types.

The Calibration Kits in Use: table is used to select a calibration kit for each connector type. The pull-down lists contain all kits for the individual connector types.

Rohde&Schwarz offers special calibration kits for measurements involving external frequency converters. For a description of the standards and the system error procedure procedure refer to Waveguide Calibration Kits.

Universal, typical and ideal parameters

Creating a user-defined calibration kit

Remote control:

[SENSe<Ch>:]CORRection:CKIT:<conn_type>:SELect '<ckit_name>'
[SENSe<Ch>:]CORRection:CKIT:SELect '<conn_type>', '<ckit_name>'
(the previous two commands also create new cal kits)
[SENSe<Ch>:]CORRection:CKIT:DELete 'ckit_name>'

Query connector types, calibration kits, and standards:
[SENSe<Ch>:]CORRection:CONNection:CATalog?
[SENSe<Ch>:]CORRection:CKIT:CATalog?
[SENSe<Ch>:]CORRection:CKIT:STANdard:CATalog?

Cal Kit Parameter Types

The analyzer uses three types of parameters to describe the calibration standards. The parameter type is the same for all standards in a kit and therefore annexed to the kit name:

  • Universal parameters (no label)

  • Typical parameters (labelled typical)

  • Ideal parameters (labelled Ideal Kit)

Make sure to use universal or individual parameter sets if you need to obtain high-precision results. The precision of the calibration kit parameters determine the accuracy of the system error correction and of the measurements. The calibration wizard displays a warning if you use a typical or ideal parameter set to calibrate a channel.

Calibration kits can be obtained as network analyzer accessories; refer to the data sheet for the relevant ordering information. The name of all parameter sets is equal to the name of the corresponding calibration kit model.

Ideal parameters

Cal Kit Files

Calibration kit files can be used to store the parameters of a particular calibration kit, to re-load the data and to exchange calibration kits from one network analyzer to another.

Cal kit file contents

By default cal kit files are stored in the C:\Rohde&Schwarz\NWA\Calibration\Kits directory.

  • To export cal kit data, the analyzer uses a specific binary file format *.calkit.

  • Three different import file formats are supported: ZVA-specific binary cal kit files (*.calkit), ZVR-specific binary cal kit files (*.ck), cal kit files in Agilent-specific ASCII formats (*.csv, *.prn; see notes below).

To import a ZVA-specific or ZVR-specific cal kit file (*.ck or *.calkit) you can also use the Windows Explorer and simply double-click the file or drag and drop the file into the NWA application. The imported cal kit file is automatically set active.

Importing older ZVR cal kit files

*.csv cal kit files: VNA Cal Kit Manager 2.1

*.prn cal kit files: PNA Cal Kit Editor

Remote control:

MMEMory:LOAD:CKIT "file_name"
MMEMory:STORe:CKIT "kit_name", "file_name"
[SENSe<Ch>:]CORRection:CKIT:INSTall "<file_name>"

Add / View / Modify Calibration Kit

Combines different standards to form a new calibration kit, assigning a connector type and further attributes (name, labels). This dialog is opened from the Calibration Kitsdialog using the Add Kit... button (the dialog title is Add Calibration Kit) or using the View/Modify Kit button (the dialog title is View Calibration Kit or View / Modify Calibration Kit). The functionality of both dialog versions is the same.

If Add Calibration Kit is used for a predefined calibration kit, the View / Modify Standard... button can be used to open the View / Modify Standard in <kit_name> dialog check the standard parameters. All other controls are inactive.

In its upper part the Add Calibration Kit dialog contains several controls to do the following:

  • Select a predefined or user-defined Connector Type.

  • Insert the (unique) Name of the new kit and assign a Label.

  • Qualify whether or not the Offset and Load parameters for the standards are defined and displayed in Agilent Mode.

Assigning a label to user-defined calibration kits is optional. However, the label is displayed in many dialogs and can provide useful information about the kit, e.g. its serial number.

The table in the center of the dialog lists all standards in the new kit together with either their gender or their port assignment (see Restrict Port Assignment) and the label (if defined). Clicking a standard opens the View / Modify Standard in <kit_name> dialog where it is possible to change the parameters. Four buttons can be used to change the entries in the list.

Use Copy Standards from... to avoid the (re-)definition of their properties. Standards are copied together with their parameters and their label, which you can modify once they belong to the new kit.

Remote control:

[SENSe<Ch>:]CORRection:CKIT:LABel

Copy Standards from

Copies standards together with their parameters from a calibration kit in use to a new calibration kit. This dialog is opened from the View / Modify Calibration Kit dialog (Copy Standards from... button).

In the dialog, it is possible to select one of the calibration kits in use (Kit Name) and select either all or a single standard to be copied. A calibration kit may only contain a single standard of each type.

Select Cal Kit to Delete

Displays a list of calibration kits to be deleted. This dialog is opened from the Calibration Kits dialog (Delete Kits... button).

The table shows the imported and user-defined calibration kits with their name, connector type and label (if defined). OK deletes the selected kit. Predefined kits cannot be deleted.

Available Connector Types

Displays and modifies the list of available connector types. This dialog is opened from the Calibration Kits dialog (Connector Types... button).

The list shows the available connector types with their name (Conn Type), polarity (Sexless) and reference impedance (Ref Imp). The Offset Model describes the mode of wave propagation in the transmission lines of the standards associated with the connector type. The buttons below are used to add and delete user-defined connector types. Deleting a connector type will also delete all calibration or adapter kits assigned to it.

Impact of reference impedance

Storing connector type settings

The name, polarity and reference impedance of a user-defined connector can be changed in the table. The [image] button in the Offset Model column opens the Offset Model dialog to define the propagation mode in detail.

After assigning a calibration or adapter kit to a user-defined connector type, you can still change its name, offset model and reference impedance. Switching between sexed and sexless will delete all kits assigned to the connector type.

Remote control:

[SENSe<Ch>:]CORRection:CONNection
[SENSe<Ch>:]CORRection:CONNection:DELete

Offset Model of <Standard>

Defines the wave propagation mode in the lines of the standards associated with the connector type. This dialog is opened from the Available Connector Types dialog ( [image] button in the table).

The Parameters to be selected depend on the Line Type:

  • If the calibration kit standards contain lines with transverse electric propagation mode (TEM), then the Relative Permittivity εr of the dielectric can be defined. The default permittivity is the value for air. TEM-type lines have no cutoff frequency.

  • If the calibration kit standards contain waveguides, then the lowest frequency where a wave propagation is possible (Cutoff Frequency fc) can be defined. The default cutoff frequency if 0 Hz (propagation at all frequencies). No relative permittivity is needed for waveguides.

The impedance for waveguides is frequency-dependent. If a waveguide line type is selected, various dialogs (e.g. Add Standard...) will indicate varies instead of a definite impedance value.

Impact of offset model parameters

Remote control:

[SENSe<Ch>:]CORRection:CONNection


Add/Modify Standard

Qualify whether the standard is described by a Circuit Model from which the analyzer can calculate the S-parameters or by a table of measured or simulated S-parameters stored in a Touchstone file. Pressing the Read Data from File... button opens a file selection dialog where the appropriate file type (*.s1p for one-port standards and *.s2p for two-port standards) is automatically selected.

The Sliding Match and Attenuation are special standard types which must be described by a circuit model. The controls in the S-Params From panel are disabled.

For two-port standards described by a *.s2p file, the implicit ports 1 and 2 (given by the order of S-parameters Re(S11) Im(S11) Re(S21) Im(S21) Re(S12) Im(S12) Re(S22) Im(S22) in the file) are assigned to the test ports that the analyzer actually calibrates as follows: Port 1 is always assigned to the lower-numbered calibrated test port, port 2 to the other (higher-numbered) calibrated test port.

The standards are handled differently, depending on their port assignment:

  • If the port assignment is not restricted, the gender belongs to the definition of polarized standards. When the connector type and calibration kit is selected in the calibration wizard, the analyzer checks whether the kit contains the necessary standard types and whether the standards have the right gender.

  • Standards with restricted port assignment are assumed to have the gender that is appropriate for the calibrated port. In the View Modify Standard dialog, the Gender: input field is disabled. In the calibration wizard, the analyzer checks whether the kit contains the necessary standard types for the required ports. Instead of the gender, the port assignment is stored in the calibration kit file.

This approach simplifies the definition of standards and helps to avoid inconsistencies.

The offset parameters have the following physical meaning:

  • The Delay is the propagation time of a wave traveling through the standard. The Electrical Length is equal to the Delay times the speed of light in the vacuum and is a measure for the length of transmission line between the standard and the actual calibration plane. For a waveguide with permittivity εr and mechanical length Lmech the following relations hold:

The default delay is 0 s, the default step width is 1 ns, corresponding to a step width of 299.792 mm for the electrical length. The relations hold for one-port and 2-port standards.

  • Z0 is the Characteristic Impedance of the standard. If the standard is terminated with Z0, then its input impedance is also equal to Z0. Z0 is not necessarily equal to the reference impedance of the system (depending on the Connector Type) or the terminal impedance of the standard. The characteristic impedance of the standard is only used in the context of calibration.

The default characteristic impedance is equal to the reference impedance of the system.

  • The Loss is the energy loss along the transmission line due to the skin effect. For resistive lines and at RF frequencies the loss is approximately proportional to the square root of the frequency.

In Agilent mode the Offset Loss is expressed in units of Ω/s at a frequency of 1 GHz. The following formula holds for two-port standards:

The conversion formula for one-port standards has an additional factor 1/2 on the right-hand side. The reason for this factor is that the Loss in dB accounts for the attenuation along the forward and the reverse path (no matter how often the wave actually propagates through the line), whereas the Offset Loss is proportional to the attenuation of the line.

To determine an offset loss value experimentally, measure the delay in seconds and the loss in dB at 1 GHz and use the formula above.

The default Loss or Offset Loss is zero.

The impedance for waveguides is frequency-dependent. If a waveguide line type is selected in the Offset Modeldialog, the Char. Impedance field is disabled and indicates "varies" instead of a definite impedance value. Moreover no Loss or Offset Loss can be set.

Offset parameters are used to describe all types of standards except the Sliding Match and the Attenuation.

  • The Sliding Match is a one-port standard with variable load parameters (sliding load) and unspecified length. The reference impedance is fixed and equal to the characteristic impedance of the connector type. No load and offset parameters need to be set.

  • The Attenuation is a two-port standard which is fully matched in both directions (the reflection factor at both ports is zero). No load and offset parameters need to be set.

Load parameters are used to describe all types of standards except a Through, a Sliding Match, a Line and an Attenuation.

  • The Through standard is a through-connection between two ports with minimum loss which is taken into account by the Offset Parameters.

  • The Sliding Match is a one-port standard with variable load parameters (sliding load), so there is no fixed load model.

  • The Line standard is a line of variable length with minimum loss which is taken into account by the Offset Parameters.

  • The Attenuation is a two-port standard which is fully matched in both directions (the reflection factor at both ports is zero). No load and offset parameters need to be set.

Add or View / Modify Standard

Defines, displays or modifies the properties of the calibration standards in a particular calibration kit. This dialog is opened from the Add or View / Modify Calibration Kit dialog (Add Standard... or View / Modify Standard... buttons). Depending on the title, some control elements may not be active.

Calibration standard types.

In its upper part the Add Standard or View / Modify Standard dialog contains several controls to do the following:

  • Select a standard Type and its Gender (for polarized/not sexless connector types and if the port assignment is not restricted) and assign a Label.

  • Restrict Port Assignment

  • Select S-Params From

Assigning a label to standards is optional. However, the label is displayed in many dialogs and can help you identify a standard or distinguish different standards with similar parameters.

If Circuit Model is selected in the S-params From panel, then the controls in the central panel of the dialog are enabled. The circuit diagram is adjusted to the selected standard type. The following parameters can be set:

  • Frequency range (Min. Freq. to Max. Freq) for which the circuit model is valid. During calibration, the analyzer checks whether the sweep range is within the validity range of all measured standards and possibly generates a warning (see Measure Standards dialog).

  • Offset and Load parameters of the circuit model.

The impedance for waveguides is frequency-dependent. If a waveguide line type is selected in the Offset Model dialog, the circuit model indicates varies instead of a definite impedance value.

Remote control:

[SENSe<Ch>:]CORRection:CKIT:<std_type>
[SENSe<Ch>:]CORRection:CKIT:<conn_type>:<std_type>
MMEMory:LOAD:CKIT:SDATa

Restrict Port Assignment

Opens a dialog to define whether the standard can be connected to any port of the analyzer or to just one port (for one-port standards) or a pair of ports (for two-port standards).

The port assignment is displayed in the Add or View / Modify Calibration Kit dialogs.

Port assignment and gender

Remote control:

[SENSe<Ch>:]CORRection:CKIT:<std_type>

Modify Offset

Specifies the offset parameters for the transmission lines of a particular calibration standard. This dialog is opened from the Add or View / Modify Standard... dialog (Modify Offset... button).

The offset parameters depend on whether or not the circuit model is defined in Agilent Mode (see Add/Modify Calibration Kit dialog):

  • If Agilent Mode is active, then the standard is characterized by its Delay (in s), its characteristic impedance Z0 (in Ω) and its Offset Loss (in GΩ.

  • If Agilent Mode is switched off, then the standard is characterized by the ZVR-compatible parameters Electrical Length (in m), its Char. Impedance (in Ω) and its Loss (in dB/sqrt(GHz)). The loss is zero and not editable as long as the electrical length is zero.

Both parameter sets are closely related. The Electrical Length is proportional to the Delay; Z0 corresponds to the Char. Impedance. Moreover the analyzer converts an Agilent-type Offset Loss into a ZVR-type Loss and vice versa using the Relative Permittivity εr for the connector type defined in the Offset Model... dialog.

Offset parameters

Offset parameters and standard types

Remote control:

[SENSe<Ch>:]CORRection:CKIT:<conn_type>:<std_type>

Modify Load

Specifies the load parameters for a particular calibration standard describing its terminal impedance. This dialog is opened from the Add or View / Modify Standard... dialog (Modify Load... button).

The circuit model for the load consists of capacitance C which is connected in parallel to an inductance L and a resistance R, both connected in series.

  • R is the constant resistive contribution. It is possible to select a special value (Open for [image] Ω so that the inductance coefficients are irrelevant, Short for 0 Ω, Match for the reference impedance of the current connector type) or set any resistance R.

  • The fringing capacitance C and the residual inductance L are both assumed to be frequency-dependent and approximated by the first four terms of the Taylor series around f = 0 Hz.

Load parameters and standard types

Remote control:

[SENSe<Ch>:]CORRection:CKIT:<conn_type>:<std_type>

Calibration Standard Types

The following table gives an overview of the different standards and their offset and load models:

Standard Type | Characteristics | Ideal Standard | Offset Model | Load Model
Open | Open circuit (one-port) | Ω |  |
Short | Short circuit (one-port) | 0 Ω |  |
Offset short | Short circuit with added electrical length offset, for waveguide calibration (one-port) | 0 Ω |  |
Match | Matched broadband termination (one-port) | Z0 (reference impedance of the connector type) |  |
Sliding match | One-port standard consisting of an air line with a movable, low-reflection load element (sliding load). See Measure Standards. | – | – | –
Reflect | Unknown mismatched standard (one-port) | Ω |  |
Through | Through-connection with minimum loss (two-port) | – |  | –
Line1, Line 2 | Line(s) for TRL calibration with minimum loss (two-port) | – |  | –
Attenuation | Fully matched standard in both directions (two-port; the reflection factor at both ports is zero). | – | – | –
Symm. network | Unknown mismatched reflection-symmetric standard (two-port) | – |  |

The calibration of rectangular waveguides at very high frequencies requires a special set of standards; see Frequency Extension –Calibration.

Remote control:

For an overview of standard parameters see also
[SENSe<Ch>:]CORRection:CKIT:<conn_type>:<std_type>


Waveguide Calibration Kits

Rohde & Schwarz offers special waveguide calibration kits for test setups involving frequency converters.

  • Calibration Kit R&S ZV-WR10 is suited for the frequency converter R&S ZVA-Z110(E) (frequency range: 75 GHz to 110 GHz)

  • Calibration Kit R&S ZV-WR12 is suited for the frequency converter R&S ZVA-Z90E (frequency range: 60 GHz to 90 GHz)

  • Calibration Kit R&S ZV-WR15 is suited for the frequency converter R&S ZVA-Z75 (frequency range: 50 GHz to 75 GHz)

  • Calibration Kit R&S ZV-WR03 is suited for the frequency converter R&S ZVA-Z325 (frequency range: 220 GHz to 325 GHz)

The following sections describe the standards in the waveguide calibration kits and their use for system error corrections.

Calibration Kit R&S ZV-WR10

The waveguide calibration kit R&S ZV-WR10 allows to calibrate network analyzers for test setups involving frequency converters, in particular R&S ZVA-Z110 or R&S ZVA-Z110E.

The calibration kit contains the following standards:

  • A Short standard which also serves as a Reflect standard

  • A (Fixed) Match standard

  • A Shim that contains a short transmission line causing a λ/4 phase shift around the center frequency of the converters operating range and a 180 deg phase shift of the reflecting coefficient.

  • A Sliding Match standard (kit 1307.7100.11 only), providing more accurate results than the Fixed Match standard – at higher test effort.

The following table provides an overview of the available standards for rectangular waveguide calibration and the technical implementation using the calibration kit.

Standard Type | Technical implementation
Open | Not available in waveguide technology, replaced by "Offset Short"
Short | Contained in the calibration kit
Offset short | Short + Shim, both contained in the calibration kit
Match | Contained in the calibration kit
Sliding match | Contained in the calibration kit 1307.7100.11, 1307.7500.31, and 1307.7700.11
Reflect | Short, contained in the calibration kit
Through | Direct through connection of the two waveguide flanges
Line1 | Through connection of the two waveguide flanges with Shim in-between. In view of the bandwidth of the frequency converters, line 2 is not needed.
Attenuation | Not contained in the calibration kit
Symm. network | Not contained in the calibration kit

The standards in the calibration kit allow all one-port and two-port calibration types supported by the network analyzer except TNA.

The characteristic data of the standards are very stable and independent of the individual calibration kit. It is not required to deliver individual data with each kit and load the data into the analyzer. Instead the data is already stored in the network analyzer (software option R&S ZVA-K8 and a sufficiently new firmware version is required; refer to the What's New... section). It is possible to export the stored data to a file. Use the "Cal-Kits" dialog of the network analyzer for this purpose: "Channel" > "Calibration" > "Cal-Kits" > "Export Kit ..."

Performing a calibration using kit R&S ZV-WR10

Sliding Match Standard

The sliding match is a one-port standard consisting of a precision waveguide section with a movable, low-reflection load element (sliding load). This standard is used because no perfect match is available. However, a series of measurements at a given frequency with equal mismatch and varying phase yields reflection factors that are located on a circle in the Smith chart. The center of this circle corresponds to perfect match. The network analyzer determines and further corrects this match point following I. Kása's circle-fitting algorithm.

To obtain the reflection coefficient for a perfectly matched calibration standard, the sliding load must be measured at least at three positions which should be unequally spaced to avoid overlapping data points. Increasing the number of positions to 4 – 6 can improve the accuracy. It is recommended to use the positions listed below. Depending on your calibration kit, set the adjustable screw of the standard to the following positions:

  • R&S ZV-WR10: 0 mm, 0.35 mm, 0.8 mm, 1.4 mm, 2.1 mm, 4.2 mm

  • R&S ZV-WR12: 0 mm, 0.42 mm, 0.96 mm, 1.68 mm, 2.52 mm, 5.04 mm

  • R&S ZV-WR15: 0 mm, 0.52 mm, 1.2 mm, 2.1 mm, 3.15 mm, 6.3 mm

If you accidentally unscrew the knob completely, simply screw it on again.

Calibration Kit R&S ZV-WR12

The calibration kit R&S ZV-WR12 contains the same standard types as the calibration kit R&S ZV-WR10, however, the standards are optimized for the frequency range of the R&S ZVA-Z90E frequency converter (60 to 90 GHz). The calibration procedure for both kits is identical.

Calibration Kit R&S ZV-WR15

The calibration kit R&S ZV-WR15 contains the same standard types as the calibration kit R&S ZV-WR10, however, the standards are optimized for the frequency range of the R&S ZVA-Z75 frequency converter (50 to 75 GHz). The calibration procedure for both kits is identical.


Calibration Kit WR03

Calibration Kit R&S ZV-WR03

The waveguide calibration kit R&S ZV-WR03 allows to calibrate network analyzers for test setups involving frequency converters, in particular R&S ZVA-Z325.

The calibration kit contains the following standards:

  • A Short standard which also serves as a Reflect standard

  • A (Fixed) Match standard

  • Two Shims containing a short transmission line. The length of the line equals 1 mm for Shim #1 and 1.371 mm for Shim #2. Both lines exhibit a λ/4 length difference around the center frequency of the converters operating range and a 180 deg phase shift of the reflecting coefficient.

  • A Sliding Match standard (kit 1307.7100.11 only), providing more accurate results than the Fixed Match standard – at higher test effort.

The following table provides an overview of the available standards for rectangular waveguide calibration and the technical implementation using the calibration kit.

Standard Type | Technical implementation
Open | Not available in waveguide technology, replaced by "Offset Short"
Short | Short + Shim #1, both contained in the calibration kit
Offset short | Short + Shim #2, both contained in the calibration kit
Match | Contained in the calibration kit
Sliding match | Contained in the calibration kit 1307.7300.31
Reflect | Short, contained in the calibration kit
Through | Through connection of the two waveguide flanges with Shim #1 in-between
Line1 | Through connection of the two waveguide flanges with Shim #2 in-between. In view of the bandwidth of the frequency converters, line 2 is not needed.
Attenuation | Not contained in the calibration kit
Symm. network | Not contained in the calibration kit

The standards in the calibration kit allow all one-port and two-port calibration types supported by the network analyzer except TNA.

The characteristic data of the standards are very stable and independent of the individual calibration kit. It is not required to deliver individual data with each kit and load the data into the analyzer. Instead the data are already stored in the network analyzer (software option R&S ZVA-K8 and at least firmware version 2.45 are required). It is possible to export the stored data to a file. Use the "Cal-Kits" dialog of the network analyzer for this purpose: "Channel" > "Calibration" > "Cal-Kits" > "Export Kit ..."

Performing a calibration using kit R&S ZV-WR03

Sliding Match Standard

The sliding match standard is only contained in the calibration kit 1307.7300.31. It is a one-port standard consisting of a precision waveguide section with a movable, low-reflection load element (sliding load). This standard is used because no perfect match is available. However, a series of measurements at a given frequency with equal mismatch and varying phase yields reflection factors that are located on a circle in the Smith chart. The center of this circle corresponds to perfect match. The network analyzer determines and further corrects this match point following I. Kása's circle-fitting algorithm.

To obtain the reflection coefficient for a perfectly matched calibration standard, the sliding load must be measured at least at three positions which should be unequally spaced to avoid overlapping data points. Increasing the number of positions to 4 – 6 can improve the accuracy. It is recommended to use the positions listed below. They are optimized for the frequency range between 220 GHz and 325 GHz. Set the adjustable screw of the standard to the following positions:

0 mm, 0.12 mm, 0.27 mm, 0.48 mm, 0.71 mm, 1.2 mm

If you accidentally unscrew the knob completely, simply screw it on again.


Automatic Calibration (Procedure)

  • A USB type B connector at the rear is used to power-supply and control the unit. A USB cable for connection to the network analyzer is provided with the calibration unit.

  • Two or four RF connectors numbered 1 to 4 are to be connected to the test ports 1 to 4 of the analyzer. The connector type is equal for all ports. Depending on the calibration unit model, it is either type N (f), 3.5 mm (f), 2.92 mm (f) or 2.4 mm (f).

  • A USB type B connector at the front is used to control the unit. A USB cable for connection to the network analyzer is provided with the calibration unit.

  • The RF connectors numbered 1 to 8 / 6 are to be connected to the corresponding test ports of the analyzer. The connector type is type N (f) or 3.5 mm (f) for all connectors.

To ensure an accurate calibration, please observe the following items:

  • Unused ports of the calibration unit must be terminated with a 50 Ω match.

  • No adaptors must be inserted between the calibration unit and the test ports.

  • After connecting the unit to the USB port, allow for a sufficient warm-up time (see "Specifications") before starting the calibration.

  • To ensure best accuracy the analyzer automatically reduces the source power to –10 dBm. If the test setup contains a large attenuation, deactivate Automatic Power Reduction for Calibration Unit in the initial tab of the System Config dialog and ensure an input power of –10 dBm at the ports of the calibration unit (please also refer to the separate "Specifications" document).

In the Calibration Settings dialog, you can:

  • Select the network analyzer ports to be calibrated (Calibrate Ports).

  • Select the Calibration Type: See Calibration Typesand note on One Path Two Port calibration below.

  • Detect the current port assignment between the analyzer and the connected calibration unit in order to overwrite the Port Assignment table.

  • Restore the Default Port Assignment (connect port no. n of the analyzer to port no. n of the cal unit). This is important if the automatic detection of the port assignment fails.

A One Path Two Port calibration requires two-port (Through) characterization data for the cal unit, which is not available on older calibration units. If a tooltip indicates missing two-port characterization data, simply perform a new characterization of your cal unit. In the first dialog of the Characterization Wizard, make sure the cal unit is characterized for all calibration types including One Path Two Port calibration.

Automatic Calibration

A Calibration Unit is an integrated solution for automatic system error correction of vector network analyzers of the R&S ZVAB family. Rohde & Schwarz provides different types of calibration units; for an overview refer to the System Overview chapter. The use of the calibration units is described below.

Attention!

Please observe the safety instructions in the "Technical Information" provided with the calibration unit to avoid any damage to the unit and the network analyzer. Safety-related aspects of the connection and operation of the units are also reported in the sections below.

  • Connecting the calibration unit

  • Performing an automatic calibration

  • Calibration procedure

  • Manual characterization of calibration unit

Connecting the Calibration Units to the Network Analyzer

The calibration units provide the following connectors:

  • Calibration units R&S ZV-Z51/.../-K55

  • Calibration units R&S ZV-Z58/-K59

To connect the unit...

  1. Switch on and start-up your network analyzer.

  2. To protect your equipment against ESD damage use the wrist strap and grounding cord supplied with the instrument and connect yourself to the GND connector at the front panel.

  3. Connect the USB type A connector of the USB cable to any of the USB type A connectors on the front or rear panel of the analyzer. Connect the USB type B connector of the USB cable to the USB type B connector of the calibration unit.

  4. Wait until the operating system has recognized and initialized the new hardware. When the unit is connected for the first time, this may take longer than in normal use.

The unit is ready to be used, see Performing an automatic calibration.

Note:

  • The calibration unit is intended for direct connection to ZVA network analyzers following the procedure described above. You can also connect the unit before switching on the analyzer. Do not connect the unit to other USB hosts, e.g. a PC, or insert any USB hubs between the analyzer and the unit, as this may cause damage to the unit or the host.

  • You can connect several calibration units to the different USB ports of the analyzer. You can also connect cal units and other devices (mouse, USB memory stick etc.) simultaneously.

  • An unused calibration unit may remain connected to the USB port while the network analyzer is performing measurements. It must be disconnected during a firmware update.

  • It is safe to connect or disconnect the calibration unit while the network analyzer is operating. Never connect or disconnect the unit while data is being transferred between the analyzer and the unit. Never connect the unit during a firmware update.

Performing an Automatic Calibration

After connection and initialization, you can use the calibration unit as follows:

  1. Connect n analyzer ports (n = 1 to 8, depending on your analyzer and calibration unit model and the number of ports to be calibrated) to n arbitrary ports of the calibration unit. Terminate all unused ports (no. n + 1 to 2, 4, or 8) with a 50 Ω match.

  2. Perform the automatic calibration for the selected number of ports using the Measurement Wizard or the Start Calibration menu.

  3. Remove the test cables from the unit, connect your DUT instead and perform calibrated measurements.

The assignment between the analyzer ports and the cal unit ports is detected automatically. If auto-detection fails (e.g. because of a high attenuation in the signal path), connect matching port numbers and click Default Port Assignment at the beginning of the calibration process.

Accuracy considerations

Attention!

The maximum RF input power of the calibration unit is beyond the RF output power range of the analyzer, so there is no risk of damage if the device is directly connected to the test ports. If you use an external power amplifier, make sure that the maximum RF input power of the calibration unit quoted in the data sheet is never exceeded.

The calibration type depends on the number of ports. If a single port is calibrated, the analyzer uses full one-port calibration. For 2 and more ports, the analyzer provides the following additional options:

  • A single full n-port calibration for n calibrated ports.

  • n full one-port calibrations for n calibrated ports.

  • n/2 * (n – 1) separate full two-port (TOSM or UOSM) calibrations for n calibrated ports (all possible 2-port combinations). This calibration type is required for isolation measurements on mixers where a full 3-port calibration is inappropriate.

  • (n – 1) one path two port calibrations for n calibrated ports (all possible 2-port combinations from the Node Port to any other port). The node port is the source port for each one path two port calibration (fully calibrated port).

  • (n – 1) transmission normalizations (bidirectional, forward or reverse) for n calibrated ports (all possible 2-port combinations from the first port to any other port). "Forward" transmission normalization means that the signal direction is from the ports with the lower numbers to the port with the higher numbers.
    Example:     Select ports no. 1, 2, 3. A forward transmission normalization calibrates the S-parameters S21, S31, and S32. A backward transmission normalization calibrates the S-parameters S12, S13, and S23. A bidirectional transmission normalization calibrates all six S-parameters.

Performing an automatic calibration

Remote control:

[SENSe<Ch>:] CORRection:COLLect:AUTO
[SENSe<Ch>:] CORRection:COLLect:AUTO:PORTs
[SENSe<Ch>:]CORRection:COLLect:AUTO:PORTs:CONNection?
[SENSe<Ch>:] CORRection:COLLect:AUTO:PORTs:TYPE
[SENSe<Ch>:] CORRection:COLLect:AUTO:TYPE

Calibration Procedure

The automatic calibration is started on clicking Calibration Unit in the Start Calibration menu. When the test port connectors in the Port Configuration dialog do not fit to the connectors of the calibration unit, a warning appears:

OK changes the connector type assignment of the test ports and starts the calibration. The Calibration Unit dialog shows the active cal unit type and characterization, the calibrated ports, and the progress of the calibration procedure.

While a user characterization is active, the Calibration Unit dialog shows an information message. In general, user characterizations are required for modified test setups (e.g. cal units with external adapters); see Manual Characterization of Cal Units. For an unmodified calibration unit, the factory calibration is adequate.

In the dialog, you can:

  • Click Change Active Calibration Unit or Characterization in case that several cal units are connected to the analyzer and you wish to select another unit or characterization. For manual characterization see Characterize Cal Unit.

  • Click Modify Calibration Settings to change the calibration type and node port (for One Path Two Port calibrations), the detector settings (Normal or AVG detector, primarily for noise figure measurements with option R&S ZVAB-K30), the calibrated ports and the port assignment.

  • Click Take Cal Sweep to start the necessary calibration sweeps. The calibration is started automatically if automatic port detection is successful and the cal unit temperature is within the validity range.

  • Abort an ongoing calibration sweep.

The Calibration Unit dialog is closed automatically when all standards have been measured, the system error correction data has been calculated, and the result is applied to the active channel. The network analyzer is ready to perform calibrated measurements.

The full two-port and full n-port calibration types require a maximum frequency step size Δfmax which ensures that the difference in phase of the internal through-connection between any two consecutive sweep points is below 180 deg.
Condition: |Δφmax| = maxn|φn – φn-1| < 180 deg; |Δφmax| is proportional to Δfmax.
The analyzer automatically inserts additional sweep points to reduce the maximum frequency step size if the condition above is not met. After the calibration, the measurements are performed with the original sweep points.

Remote control:

[SENSe<Ch>:] CORRection:COLLect:AUTO
[SENSe<Ch>:] CORRection:COLLect:AUTO:CKIT
[SENSe<Ch>:] CORRection:COLLect:AUTO:PORTs
[SENSe<Ch>:]CORRection:COLLect:AUTO:PORTs:CONNection?
[SENSe<Ch>:] CORRection:COLLect:AUTO:PORTs:TYPE
[SENSe<Ch>:] CORRection:COLLect:AUTO:TYPE


Characterize Cal Unit

The calibration unit supports different calibration types. Depending on the desired calibration type, a simpler or more complicated characterization procedure is required. The NWA calibration that you have to perform before connecting the calibration unit also depends on the desired calibration type:

  • If Full One Port and Full Two Port calibrations are needed, a simple characterization procedure involving only one-port measurements is sufficient. The calibrated ports are connected one after another. A Full One Port or Full Two Port calibration of the analyzer at all ports used for the characterization is recommended.

  • If a One Path Two Port calibration is needed in addition, the characterization procedure also involves two-port measurements. The calibrated ports are all connected at the same time. A Full N Port calibration of the analyzer (for N calibrated ports), for different connector types and adapters preferably UOSM, is required.

Characterization data are saved in ASCII format with a specified file name and comment. The default file extension is *.calkit; the files are written to a subdirectory of C:\Rohde&Schwarz\Nwa\Calibration (or any other specified directory). The network analyzer automatically creates a file header containing the following information:

  • Current date and time

  • Characterized ports, together with their connector types and gender

  • Operating temperature of the calibration unit

  • Sweep parameters: sweep type, number of points, frequency range

Characterize Cal Unit

The Calibration Unit is delivered with factory characterization data which ensure an accurate calibration for all standard applications. For specific modifications of the test setup, e.g. the connection of additional adapters to a calibration unit, a modified set of characterization data (suitable for the cal unit with adapters) may be desirable. The analyzer provides a Characterization Wizard for performing a guided characterization of (modified) R&S calibration units. The acquired characterization data is stored to a characterization file, so that it can be used for automatic calibration whenever needed.

A cal unit characterization can be performed in a frequency sweep. The network analyzer must be properly calibrated for the test setup, with the reference plane at the input ports of the (modified) cal unit to be characterized. The procedure involves the following steps:

  1. Perform a calibration of your network analyzer, using the test setup and calibration type you wish to perform with your (modified) calibration unit (see description of the Characterization Wizard).

  2. Connect the modified calibration unit to the reference plane (see Connection and Installation)

  3. Click Channel – Calibration – Characterize Cal Unit to access the Characterize Cal Unit dialog and start the wizard.

  4. Step through the wizard, following the instructions in the dialogs.

Characterize Cal Unit

The Characterize Cal Unit dialog displays the properties of the connected cal units, provides control elements for characterization file management, and starts the characterization wizard.

In the dialog, you can:

  • Select a cal unit from the list of connected units (Select Cal Unit, relevant if several units are connected). Refresh Representation initiates a new hardware detection and updates the list.

  • Set a password to prevent the characterization dialog and the Start Characterization wizard from unauthorized operation and access. Set Password opens a dialog to enter the password and activate password protection at the next time the Characterize Cal Unit is opened. Enter an empty string (no password) to deactivate password protection.

  • View the list of available characterization data sets and their Properties.

  • Select a characterization from the list. You can set this characterization active for subsequent calibration processes using the selected cal unit (Set Active), Export the data to a *.s1p Touchstone file (e.g. for comparison with older characterization data or characterization data with/without connected adapters), or Delete the data. Note that Export... will initiate an export of all characterization data to different *.s1p files, each containing the name of the characterization in its file name. Press Save to transfer the active characterization data set to the selected cal unit and complete the characterization procedure.

  • Start the characterization wizard (Start Characterization).

A cal unit characterization can be performed in a frequency sweep. Start Characterization is unavailable while a power, CW Mode, or time sweep is active. The analyzer always uses a fixed source power of –10 dBm to acquire the characterization data.

Remote control:

[SENSe<Ch>:] CORRection:COLLect:AUTO
[SENSe<Ch>:] CORRection:COLLect:AUTO:PORTs
[SENSe<Ch>:]CORRection:COLLect:AUTO:PORTs:CONNection?

Characterization Wizard

The Characterization Wizard consists of a series of dialogs which perform a new characterization of the R&S calibration unit. It is opened from the Characterize Cal Unit dialog. Characterization involves the following steps:

  1. Select the calibration type

  2. Select the characterized cal unit ports

  3. Perform the necessary characterization sweeps, depending the selected calibration type (step 1)

  4. Save the characterization data

The created characterization data set is automatically transferred to the active cal unit; the *.calkit file name appears in the list of available Characterization Data.

Remote control:


Channel - Offset

The Delay is the propagation time of a wave traveling through the transmission line. The Electrical Length is equal to the Delay times the speed of light in the vacuum and is a measure for the length of transmission line between the standard and the actual calibration plane. For a line with permittivity εr and mechanical length Lmech the delay and the electrical length are calculated as follows:

Electrical Length, Mechanical Length or Delay are coupled parameters. When one of them is changed, the other two follow.

For a non-dispersive DUT, the delay defined above is constant over the considered frequency range and equal to the negative derivative of the phase response with respect to the frequency (see mathematical relations). The length offset parameters compensate for a constant delay, which is equivalent to a linear phase response.

If a dispersive connector type (i.e. a waveguide; see Offset Modeldialog) is assigned to a test port that is related to a particular quantity, then the phase of the quantity is calculated taking dispersion effects into account.

The loss L is the attenuation of a wave traveling through the offset transmission line. In logarithmic representation, the loss can be modeled as the sum of a constant and a frequency-dependent part. The frequency dependence is essentially due to the skin effect; the total loss can be approximated by an expression of the following form:

The DC loss LossDC, the reference frequency fref, and the loss at the reference frequency Loss(fref) are empirical parameters for the transmission lines connected to each port which can be entered into any of the dialogs in the Offset menu (see figure below). For a lossless transmission line, LossDC = Loss(fref) = 0 dB. In practice, the frequency-dependent loss often represents the dominant contribution so that LossDC can be set to zero.

The entries in the One-Way Loss section of the offset dialogs have the following meaning: DC loss LossDC (at DC), total loss at the reference frequency Loss(fref) (at Freq), reference frequency fref (Freq). Experimentally, the two loss values LossDC and Loss(fref) are determined in two separate measurements at a very low frequency (f --> 0) and at f = fref.

Offset parameters can be particularly useful if the reference plane of the calibration cannot be placed directly at the DUT ports, e.g. because the DUT has non-coaxial ports and can only be measured in a test fixture. Offset parameters can also help to avoid a new complete system error correction if a cable with known properties has to be included in the test setup.

  • A positive length offset moves the reference plane of the port towards the DUT, which is equivalent to deembedding the DUT by numerically removing a (perfectly matched) transmission line at that port.

  • A negative offset moves the reference plane away from the DUT, which is equivalent to embedding the DUT by numerically adding a (perfectly matched) transmission line at that port.

The offset parameters are also suited for length and delay measurements; see Auto Length. In contrast to embedding/deembedding by means of the Channel – Mode – Virtual Transform functions, the offset parameters cannot compensate for a possible mismatch in the test setup.

Each offset parameter is assigned to a particular port. The delay parameters affect the phase of all measured quantities related to this port; the loss parameters affect their magnitude. An offset at port 1 affects the S-parameters S11, S21, S12, S31... Some quantities (like the Z-parameters) depend on the whole of all S-parameters, so they are all more or less affected when one S-parameter changes due to the addition of an offset length.

To account for the propagation in both directions, the phase shift of a reflection parameter due to a given length offset is twice the phase shift of a transmission parameter. If, at a frequency of 300 MHz, the electrical length is increased by 250 mm (λ/4), then the phase of S21 increases by 90 deg, whereas the phase of S11 increases by 180 deg. Equivalent relations hold for the loss.

If the trace is displayed in Delayformat, changing the offset parameters simply shifts the whole trace in vertical direction. The sign of the phase shift is determined as follows:

  • A positive offset parameter causes a positive phase shift of the measured parameter and therefore reduces the calculated group delay.

  • A negative offset parameter causes a negative phase shift of the measured parameter and therefore increases the calculated group delay.

The functions in the Offset menu can be used for balanced port configurations:

  • If a balanced port configuration is active the logical and physical ports are shown in the Electrical Length, Mechanical Length and Delay dialogs.

  • Offset parameters must be assigned to both physical ports of a logical port.

  • Auto Length corrects the length offset of both physical ports of a logical port by the same amount.

Auto Length is suited for length and delay measurements on transmission lines.

  • Connect a (non-dispersive) cable to a single analyzer port no. n and measure the reflection factor Snn.

  • Select Auto Length.

The delay is displayed in the Delay dialog. The cable length, depending on the velocity factor, can be read in the Mechanical Length dialog.

It is also possible to determine cable lengths using a transmission measurement. Note that Auto Length always provides the single cable length and the delay for a propagation in one direction.

The analyzer provides alternative ways for delay measurements:

  • Measure the reflection factor and select Trace – Format – Delay. This yields the delay for propagation in forward and reverse direction and should be approx. twice the Auto Length result. For transmission measurements, both results should be approx. equal.

  • Measure the reflection factor and select Trace – Format – Phase. Place a marker to the trace and activate Trace – Trace Funct – Trace Statistics – Phase Delay / El Length. This yields the delay in one direction and should be approx. equal to the Auto Length result.

The measurement results using trace formats and trace statistics functions depend on the selected delay aperture and evaluation range. Auto Length is particularly accurate because it uses all sweep points. For non-dispersive cables, aperture and evaluation range effects are expected to vanish.

Use Zero Delay at Marker to set the delay at a special trace point to zero.

Auto Length is enabled if the measured quantity contains the necessary phase information as a function of frequency, and if the interpretation of the results is unambiguous:

  • A frequency sweep must be active.

  • The measured quantity must be an S-parameter, ratio, wave quantity, a converted impedance or a converted admittance.

The effect of Auto Length on S-parameters, wave quantities and ratios is to eliminate a linear phase response as described above. The magnitude of the measured quantity is not affected. Converted admittances or impedances are calculated from the corresponding Auto Length corrected S-parameters. Y-parameters, Z-parameters and stability factors are not derived from a single S-parameter, therefore Auto Length is disabled.

The Auto Length function can be used for balanced port configurations as well. If the active test port is a logical port, then the same length offset is assigned to both physical ports that are combined to form the logical port. If different length offsets have been assigned to the physical ports before, they are both corrected by the same amount.

Auto Length and Loss is enabled if the measured quantity contains the necessary phase information as a function of the frequency, and if the interpretation of the results is unambiguous:

  • A frequency sweep must be active.

  • The measured quantity must be an S-parameter, ratio, wave quantity, a converted impedance or a converted admittance.

The effect of Auto Length and Loss on S-parameters, wave quantities and ratios is to eliminate a linear phase response and account for a loss as described above. Converted admittances or impedances are calculated from the corresponding Auto Length and Loss corrected S-parameters. Y-parameters, Z-parameters and stability factors are not derived from a single S-parameter, therefore Auto Length and Loss is disabled.

The loss is assumed to be given in terms of the DC loss LossDC, the reference frequency fref, and the loss at the reference frequency Loss(fref). The formula used in the Auto Loss algorithm is similar to the formula for manual entry of the loss parameters (see Loss parameters: Definition). The result is calculated according to the following rules:

  • The reference frequency fref is kept at its previously defined value (default: 1 GHz).

  • The DC loss c is zero except for wave quantities and for S-parameters and ratios with maximum dB magnitude larger than –0.01 dB.

  • Auto Length and Loss for a wave quantity centers the corrected dB magnitude as close as possible around 0 dBm.

  • Auto Length and Loss for S-parameters and ratios centers the corrected dB magnitude as close as possible around 0 dB.

The resulting offset parameters are displayed in the Electrical Length, Mechanical Length, and Delay dialogs.

The Auto Length and Loss function can be used for balanced port configurations as well. If the active test port is a logical port, then the same offset parameters are assigned to both physical ports that are combined to form the logical port. If different offset parameters have been assigned to the physical ports before, they are both corrected by the same amount.

Channel - Offset

The Offset menu defines a length offset and a loss for the test ports. The offset parameters complement the system error correction, compensating for the known length and loss of a (non-dispersive and perfectly matched) transmission line between the calibrated reference plane and the DUT.

Length offset parameters: Definition

Loss parameters: Definition

Offset parameters: Application and effect

Offset parameters for balanced ports

The offset parameters can be defined separately for each port.

  • Reset Offsets restores the default values for all length offsets, i.e. it resets all values to zero.

  • Electrical Length defines electrical length offsets and loss parameters at all test ports.

  • Mechanical Length defines mechanical length offsets and loss parameters at all test ports.

  • Delay defines delay times and loss parameters at all test ports.

  • Auto Length determines a length offset for the receiving port of the active measured quantity with the condition that the residual group delay of the active trace is minimized.

  • Auto Length and Loss determines a length offset an loss for the receiving port of the active measured quantity with the condition that the residual group delay of the active trace is minimized and the measured loss is minimized as far as possible across the entire sweep range.

  • Fixture Compensation, corrects the measurement result for the effects of a text fixture.

The Zero Delay at Marker function overwrites the Offset parameters.

Remote control
(for Reset Offsets):

[SENSe<Ch>:]CORRection:OFFSet<port_no>[:STATe] <numeric _value>

Electrical Length

Opens a dialog to define the length offset parameters for the physical test ports as electrical lengths. The dialog also contains the DC loss, the loss at the reference frequency Loss(fref), and the reference frequency fref; see Loss parameters: Definition.

Compensate Meas's Transm. indicates the ports for which a direct fixture compensation has been carried out, replacing the offset parameters.

Remote control:

[SENSe<Ch>:]CORRection:EDELay<port_no>:ELENgth
[SENSe<Ch>:]CORRection:LOSS<port_no>
[SENSe<Ch>:]CORRection:LOSS<port_no>:FREQuency
[SENSe<Ch>:]CORRection:LOSS<port_no>:OFFSet
[SENSe<Ch>:]CORRection:OFFSet<port_no>:DFComp[:STATe]?

Mechanical Length

Opens a dialog to define length offset parameters for the physical test ports as mechanical lengths and permittivities. The dialog also contains the DC loss, the loss at the reference frequency Loss(fref), and the reference frequency fref; see Loss parameters: Definition.

Compensate Meas's Transm. indicates the ports for which a direct fixture compensation has been carried out, replacing the offset parameters.

The Mechanical Length dialog contains the three editable columns Mech. Length, Permittivity (εr) and Velocity Fact. The velocity factor is 1/sqrt(εr) and is a measure for the velocity of light in a dielectric with permittivity εr relative to the velocity of light in the vacuum (velocity factor < 1); see Offset parameters: Definition. Permittivity and velocity factor are coupled parameters.

Click Same Dielectric at Each Port to change the permittivity or velocity factor for all ports by entering a single value.

Remote control:

[SENSe<Ch>:]CORRection:EDELay<port_no>:DISTance
[SENSe<Ch>:]CORRection:EDELay<port_no>:DIELectric
[SENSe<Ch>:]CORRection:LOSS<port_no>
[SENSe<Ch>:]CORRection:LOSS<port_no>:FREQuency
[SENSe<Ch>:]CORRection:LOSS<port_no>:OFFSet
[SENSe<Ch>:]CORRection:OFFSet<port_no>:DFComp[:STATe]?

Delay

Opens a dialog to define the length offset parameters for the physical test ports as delays. The dialog also contains the DC loss, the loss at the reference frequency Loss(fref), and the reference frequency fref; see Loss parameters: Definition

Compensate Meas's Transm. indicates the ports for which a direct fixture compensation has been carried out, replacing the offset parameters.

Remote control:

[SENSe<Ch>:]CORRection:EDELay<port_no>[:TIME]
[SENSe<Ch>:]CORRection:LOSS<port_no>
[SENSe<Ch>:]CORRection:LOSS<port_no>:FREQuency
[SENSe<Ch>:]CORRection:LOSS<port_no>:OFFSet
[SENSe<Ch>:]CORRection:OFFSet<port_no>:DFComp[:STATe]?

Auto Length

Adds an electrical length offset to the active test port with the condition that the residual delay of the active trace (defined as the negative derivative of the phase response) is minimized across the entire sweep range. If Delay is the selected trace format, the entire trace is shifted in vertical direction and centered around zero. In phase format, the Auto Length corrected trace shows the deviation from linear phase. The effect of a dispersive connector type (i.e. a waveguide; see Offset Model dialog) assigned to the receiving port of the measured quantity is taken into account.

If the measured quantity is a ratio, or if it is derived from a ratio, its receiving port is given as the index of the wave quantity in the numerator. If the active trace shows an S-parameter Sij, then Auto Length adds a length offset at port i.

Length and delay measurement, related settings

Preconditions for Auto Length, effect on measured quantities and exceptions

Auto Length for logical ports

Remote control:

[SENSe<Ch>:]CORRection:EDELay<port_no>:AUTO ONCE

Auto Length and Loss

Determines all offset parameters such that the residual group delay of the active trace (defined as the negative derivative of the phase response) is minimized and the measured loss is minimized as far as possible across the entire sweep range. Auto Length and Loss involves a two-step procedure:

  • An Auto Length correction modifies the phase of the measured quantity, minimizing the residual group delay. The magnitude of the measured quantity is not affected.

  • The Auto Loss correction modifies the magnitude of the measured quantity, leaving the (auto length-corrected) phase unchanged.

If Auto Length and Loss is used with a line connected to a test port, the end of the line should be left open.

Preconditions for Auto Length and Loss, effect on measured quantities and exceptions

Calculation of loss parameters

Auto Length and Loss for logical ports

Remote control:

[SENSe<Ch>:]CORRection:LOSS<port_no>:AUTO ONCE


A diagram area is a rectangular portion of the screen used to display traces. Diagram areas are arranged in windows; they are independent of trace and channel settings.

  • A diagram area can contain a practically unlimited number of traces, assigned to different channels (overlay mode); see Traces, Channels and Diagram Areas.

  • The traces displayed in the diagram area are listed in the upper left corner.

  • The channels for all traces are listed in the lower left corner.

The contents of the diagram areas are explained in section Display Elements. Diagram areas are controlled and configured by means of the functions in the Display menu and the following additional settings:

  • The settings in the Windowmenu arrange several windows containing one or more diagram areas within the entire screen.

  • Various settings to assign traces to diagram areas are provided in the Trace – Tracessubmenu.

Display Menu

The Display menu provides all display settings and the functions to activate, modify and arrange different diagram areas.

Diagram Areas

The Display menu contains the following functions and submenus:

  • Area Select provides functions to create and delete diagram areas, select an area as the active area, arrange traces to diagram areas and arrange the diagram areas in the active window.

  • Display Config configures the entire screen and the individual diagram areas.


Area - Select

The active window can display several diagram areas simultaneously, each with a variable number of traces. One of these areas and traces is active at each time. The area number in the upper right corner of the active area is highlighted. At the same time the active trace is highlighted in the trace list on top of the active diagram area (Trc 4 in the figure below):

The analyzer provides several tools to activate a diagram area:

  • A left mouse click on a point in the diagram activates the diagram including the last active trace in the diagram.

  • Next Diag. Area and Previous Diag. Area activate the next/previous diagram including the last active trace in the diagram.

  • A left mouse click on a trace list activates the trace including the corresponding diagram.

  • Some of the functions of the Trace –Tracesmenu activate a particular trace including the corresponding diagram.

Display - Area Select

The Area Select submenu provides functions to create and delete diagram areas, select an area as the active area, and arrange areas in the active window.

Active and inactive traces and diagram areas

  • Next Diag. Area selects the next diagram area as the active diagram area (disabled if only one diagram area is defined).

  • Select Diag. Area opens a box to select an arbitrary diagram area as the active diagram area (disabled if only one diagram area is defined).

  • Add Diag Area + Trace creates a new diagram area with a new trace.

  • Delete Diag. Area deletes the active diagram area.

  • Overlay all places all traces in a single diagram area which occupies the whole window.

  • Split all splits the active window into as many diagram areas as there are traces and assigns a single trace to each area.

  • Maximize maximizes the active diagram area to occupy the whole window.

  • Dual Split splits the active window into two diagram areas and distributes the traces among the two areas.

  • Triple Split splits the active window into three diagram areas and distributes the traces among the three areas.

  • Quad Split splits the active window into four diagram areas and distributes the traces among the four areas.

  • Split Manager opens a dialog to arrange the diagram areas in the active window.

  • Title opens a dialog to define a title and display it in one of the diagram areas.

Next Diag. Area

Selects the next diagram area as the active diagram area. This function is disabled if the current setup contains only one diagram area. The order of the diagram areas is given by the diagram numbers displayed in the upper right corner.

The diagram number of the active diagram area is highlighted. If one or several traces are assigned to the next diagram area, the last active trace again becomes the active trace.

To activate any diagram area including the last active trace in this area, simply click a point inside the new area.

Remote control:

The numeric suffix <Wnd> appended to the DISPlay:WINDow<Wnd>:... commands selects a diagram area.

Select Diag. Area

Opens a box to select an arbitrary diagram area of the active setup as the active diagram area. This function is disabled if the current setup contains only one diagram area. The diagram area numbers are displayed in the upper right corner.

The diagram number of the active diagram area is highlighted. If one or several traces are assigned to the previous diagram area, the last active trace again becomes the active trace.

To activate any diagram area including the last active trace in this area, simply click a point inside the new area.

Remote control:

The numeric suffix <Wnd> appended to the DISPlay:WINDow<Wnd>:... commands selects a diagram area.

Add Diag. Area + Trace

Creates a new diagram area and a new trace, which is displayed in the new diagram area. The trace is created with the channel settings of the previous active trace but with default trace settings.

The new diagram area is numbered <n>, where <n> is the largest of all existing diagram area numbers plus one.

Remote control:

DISPlay:WINDow<Wnd>:STATe ON

Delete Diag Area

Deletes the current diagram area including all traces displayed in the diagram area. Delete Diag Area is disabled if the setup contains only one diagram area: In manual control, each setup must contain at least one diagram area with one channel and one trace.

To restore a diagram area that was unintentionally deleted, use the Undofunction.

Remote control:

DISPlay:WINDow<Wnd>:STATe OFF


Display Config

The following examples were obtained with 3 diagram areas, each with 1 trace.

Lineup

Stack

Tile Horizontally

Tile Vertically

Rows and Columns (2 | 1): the 3rd trace is displayed in overlay mode.

Overlay all

Places all traces in a single diagram area which is maximized to occupy the whole window. This function is available irrespective of the trace Format and the Channel settings; it is even possible to overlay Cartesian and polar diagrams.

The active trace and active channel is highlighted. The scaling of the axes corresponds to the active trace.

To hide all traces except the active one, select Split All and Maximize.

Remote control:

No command, display configuration only.

Split all

Splits the active window into as many diagram areas as there are traces and assigns a single trace to each area.

To vary the size and position of the diagram areas, drag and drop the separating frames, use the Split Manager or the functions of the Window menu.

Remote control:

No command, display configuration only.

Maximize

Maximizes all diagram areas of the active setup to occupy the whole window, placing the active diagram area on top. While Maximize is selected Next Diag. Area or Select Diag. Area can be used to activate and display the other diagram areas. The remaining commands of the Area Select submenu except Title are disabled.

Clicking Maximize again restores the previous display configuration.

A double-click into any point in the diagram area is equivalent to the Maximize function. To view all traces in a common, maximized diagram area, select Overlay all.

Remote control:

DISPlay:WINDow<Wnd>:MAXimize ON | OFF

Dual Split

Splits the window horizontally into two diagram areas and distributes the traces among the two areas, separating diagrams with different trace Format and Channel settings (e.g. Cartesian and polar diagrams).

If only one trace is available, the lower diagram area is created with a new trace.

To vary the size and position of the two diagram areas, drag and drop the separating frames, use the Split Manager or the functions of the Window menu.

Remote control:

No command, display configuration only.

Triple Split

Splits the active window into three diagram areas and distributes the traces among the three areas, separating diagrams with different trace Format and Channel settings (e.g. Cartesian and polar diagrams).

If less than three traces are available, some diagram areas are empty and display No Trace.

To vary the size and position of the diagram areas, drag and drop the separating frames, use the Split Manager or the functions of the Window menu.

Remote control:

No command, display configuration only.

Quad Split

Splits the active window into four diagram areas and distributes the traces among the four areas, separating diagrams with different trace Format and the Channel settings (e.g. Cartesian and polar diagrams).

If less than four traces are available, some diagram areas are empty and display No Trace.

To vary the size and position of the diagram areas, drag and drop the separating frames, use the Split Manager or the functions of the Window menu.

Remote control:

No command, display configuration only.

Split Manager

Opens a dialog to arrange the diagram areas in the active window.

  • Split Mode provides a drow-down list to select alternative display schemes for the diagram areas (see examples for split modes below).

  • Number of Diagram Areas indicates the total number of diagram areas. Increasing/decreasing the number creates new diagram areas or deletes diagram areas.

Examples for split modes

Remote control:

No command, display configuration only.

Title

Opens a dialog to opens a dialog to define a title and display it in one of the diagram areas.

  • Title provides an input field for the title string. The title may comprise a practically unlimited number of characters and is centered in a line below the top of the diagram area.

  • Diagram Area provides a drop-down list of all diagram areas of the current setup. The title is assigned to the selected area.

  • All Titles Off removes the titles from all diagram areas. The titles are hidden but not deleted: Unchecking All Titles Off displays the titles again.

Remote control:

DISPlay:WINDow<Wnd>:TITle:DATA '<title>'
DISPlay:WINDow<Wnd>:TITle:STATe <Boolean>

In remote control, it is also possible to define a diagram name, and to retrieve lists of diagram areas and traces:
DISPlay:WINDow<Wnd>:NAME '<Name>'
DISPlay:WINDow<Wnd>:CATalog?
DISPlay:WINDow<Wnd>:TRACe<WndTr>:CATalog?


Display Config

sets a black background color. The traces and information elements in the diagram areas are displayed in different colors. This setting is usually suitable for observing results on the analyzer screen.

sets a light background color. The traces and information elements in the diagram areas are displayed in different colors. This setting is suitable for generating color hardcopies of the screen.

sets a white background color. All traces and information elements in the diagram areas are black, however, the traces are drawn in different line styles.

sets a white background color. All traces and information elements in the diagram areas are black. All traces are drawn with solid lines.

The analyzer assigns trace colors according to a predefined scheme, starting with the colors that are easiest to distinguish. On one hand it is advantageous to use the colors at the beginning of the scheme. On the other hand, it is often desirable to use different colors in different diagram areas so that any trace that is moved from one diagram area to another can keep its color.

Keep Trace Color... changes between these two alternative color modes as shown below.

Keep Trace Color | Move trace to another diagram area (Trace Manager) | Add Trace + Diag. Area (Trace –Trace Select...)
 | Trace color changed according to the new diagram area's color scheme | Color scheme of the new diagram area is independent, restarts with the first colors. Consequently the new trace is displayed with a color that has been already used.
 | Trace keeps its color | Color scheme of the new diagram area continues color scheme of the previously active area. The new trace is displayed with a new color.

See also program example for DISPlay:CMAP<Element>:TRACe:COLor[:STATe].

Display Config

The Display Config submenu configures the screen by showing or hiding controls and information elements and controls the appearance of the individual diagrams.

The Display Config menu contains the following functions:

  • Softkey Bar shows or hides the softkey bar at the right edge of the screen.

  • Hardkey Bar shows or hides the hardkey bar at the left edge of the screen.

  • Title Bar shows or hides the title bar of the NWA application.

  • Status Bar shows or hides the status bar across the bottom of the screen.

  • Color Scheme controls the colors in all diagram areas.

  • Frequency Info shows or hides the frequency values in the diagram areas.

  • Font Size changes the size of the fonts in the diagram on a relative scale between 80% and 170%. 100% corresponds to normal font size.

  • Channel Info shows or hides the channel list below the diagram.

Hiding the controls and information elements leaves more space for the diagram areas. All elements may be shown or hidden simultaneously. A checkmark next to the menu item indicates that the view element is displayed.

Remote control
Font Size:
Channel Info:

DISPlay:RFSize
DISPlay:ANNotation:CHANnel[:STATe] ON | OFF

Softkey Bar

Shows or hides the softkey bar at the right edge of the screen.

The softkey bar shows up to 8 commands of the active menu indicated above softkey no. 1. The figure above shows the upper part of the softkey bar corresponding to the Trace –Measure submenu. Pressing the key to the right of a softkey directly activates a submenu, calls up the numeric entry bar or a dialog or initiates an action. See Softkey Bar in the introductory chapter for more information.

Hardkey Bar

Shows or hides the hardkey bar (front panel key bar) at the right edge of the screen (to the left of the softkey bar).

The hardkey bar represents the most commonly used front panel keys of the analyzer. Clicking a key symbol executes the action of the corresponding key.

See Hardkey Bar in the introductory chapter for more information.

Title Bar

Shows or hides the title bar of the NWA application.

The title bar provides the Control menu and the buttons to minimize, maximize and close the main application window. In normal operation using the analyzer's display these functions are not needed, so the title bar is hidden by default.

Status Bar

Shows or hides the status bar across the bottom of the screen.

The status bar describes the current channel (if the setup contains only one channel), the progress of the sweep and the control mode of the analyzer (LOCAL or REMOTE).

Color Scheme

Controls the colors in the diagram areas. Color schemes are global settings and apply to all active setups.

The following Predefined Schemes are optimized for the analyzer screen and for color hardcopies, respectively:

  • Dark Background

  • Light Background

The following Predefined Schemes can be appropriate for generating black-and-white hardcopies of the screen:

  • Black and White Line Styles

  • Black and White Solid

Define User Scheme...opens a dialog to modify the predefined schemes, changing the colors and styles of the individual display elements.

Use Define User Scheme to create, save and recall your own color scheme.

Selecting a color scheme

Remote control:

SYSTem:DISPlay:COLor

Define User Color Scheme

The Define User Color Scheme dialog modifies the predefined color schemes, changing the colors and styles of the individual display elements. User-defined color schemes can be saved to a file for later reuse.

The following control elements change the current color scheme:

  • The screen element to be modified is selected from the Element drop-down list. The list contains the background and all traces, text elements and lines in the diagrams.

  • Color opens a standard color dialog to assign a color to the selected element. Use the What's This? help button [image] in the dialog to obtain detailed information.

  • Trace Style and Trace Width are enabled if the selected element is a trace.

  • Use same Color for all Markers allows to select a common marker color, which is independent of the trace colors. To define the common color, select the Same Color for all Markers element.

  • Keep Trace Color over Reassignment of Diagram Area controls the color of traces that are assigned to another diagram area or created together with a new diagram areas; see background information below.

Effects of Keep Trace Color...

Two buttons at the bottom of the dialog are used to save or recall user-defined color schemes.

  • Save... opens a Save As...dialog to select a color scheme file and save the current settings. Color scheme files are non-editable files with the extension *ColorScheme; the default directory is C:\Rohde&Schwarz\NWA\ColorSchemes.

  • Recall... opens an Open File...dialog to load and apply a color scheme saved before.

To recall a color scheme file (*.ColorScheme) you can also use the Windows Explorer and simply double-click the file or drag and drop the file into the NWA application.

Selecting a color scheme

Changing the marker colors

Remote control:

DISPlay:CMAP<Element>:RGB <red>, <green>, <blue> [,<trace_style>, <trace_width>]
DISPlay:CMAP<Element>:MARKer[:STATe] ON | OFF
DISPlay:CMAP<Element>:TRACe:COLor[:STATe] ON | OFF
MMEMory:LOAD:CMAP
MMEMory:STORe:CMAP

Frequency Info

Shows or hides all frequency stimulus values in the diagrams. This comprises:

  • The frequency stimulus ranges below the diagram area, if a frequency sweep is active.

  • The CW frequency in the center below the diagram area, if a power, time or CW mode sweep is active.

  • The frequency stimulus values in the marker info field, at the marker position and in the marker table.

The Frequency Info setting is valid for frequency and segmented frequency sweeps only.

Remote control:

DISPlay:ANNotation:FREQuency[:STATe] ON | OFF


System Menu

An external power meter can serve different purposes:

  • Extended measurement functionality: Each external power meter represents an additional receive port. External generators increase the number of RF output signals of a DUT that the analyzer can measure simultaneously. They can also provide accurate results for signals at inaccurate or unknown frequencies. A typical example is a mixer measurement with an unknown LO signal (and therefore unknown IF output frequency).

  • Power calibration: An external power meter can measure the exact signal power at an arbitrary point in the test setup (reference plane) and thus provide the reference values for a power calibration. A typical example is a source power calibration for an arbitrary analyzer port.

Configured external power meters can be selected as additional receivers in the Port Configurationand in the power calibration dialogs.

The following icons describe the status of a power meter:

The power meter is on-line (connected, switched on, ready to be used)

The power meter was detected (upper table) or configured (lower table) but is not on-line (VISA communication error)

The power meter list could not be refreshed, no communication with the power meter is possible

An external generator can serve different purposes:

  • Extended measurement functionality: Each external generator represents an additional source port. External generators increase the number of RF input signals for the DUT. A typical example is a mixer measurement with a 2-port analyzer, where an external generator provides the LO input signal.

  • Power calibration: An external generator can provide the reference signal for a source or receiver calibration. A typical example is a receiver power calibration using a measured wave b1.

Configured external generators can be selected as additional sources in the More Wave Quantities, More Ratios, Port Configuration, and in the power calibration dialogs.

The following icons describe the status of a generator:

The generator is on-line (connected, switched on, ready to be used)

The generator was detected (upper table) or configured (lower table) but is not on-line (VISA communication error)

The generator list could not be refreshed, no communication with the generator is possible

In the list mode the external generator steps through a predefined list of frequencies or signal powers. This mode can be used to accelerate the measurements involving external power meters.

If Fast Sweep is activated, the analyzer compiles a list of the stimulus values (frequencies and powers) in all channels and transfers it to the generator. The list is automatically updated and re-transferred whenever the channel settings are changed.

The analyzer uses a trigger handshake mechanism in order to control the generator's list mode:

  • The generator sends an EXT GEN BLANK signal to pin no. 22 of the USER CONTROLconnector on the rear panel of the analyzer to show that it is ready to step to the next frequency or power value in the list.

  • The analyzer transmits an EXT GEN TRG signal at pin no. 21 of the USER CONTROL connector in order to switch the generator to the next point in the list. Afterwards the analyzer waits for the next EXT GEN BLANK signal.

If the number of sweep points exceeds the maximum number of entries in the list (depending on the generator type), the analyzer must interrupt the sweep in order to send a new list and complete the stimulus information. This generally slows down the measurement.

To ensure frequency accuracy and frequency stability in a test setup where different devices represent the signal sources and receivers, it is generally advisable to use a common reference frequency. Accurate frequencies are particularly important if external generators are used for measurements with narrow measurement bandwidths.

A common reference frequency can be established in different ways:

  • Use the analyzer as master device: Set the analyzer to Internal reference frequency mode and operate all other devices in external reference mode using the reference clock signal from the 10 MHz REF connector on the analyzer's rear panel.

  • Use another device as master: Set the analyzer to External reference and synchronize it (and all other devices) to the master's reference clock signal, fed in at the 10 MHz REF connector on the analyzer's rear panel.

The 10 MHz REF settings in the Add External Generator dialog are generator-specific and not overwritten by a change of the global Internal Reference / External Referencesettings.

The purpose of a switch matrix or a multiport test set is to extend the number of test ports.

E.g. the multiport test set R&S ZV-Z83 multiplies the number of network analyzer ports by four. If it is connected to a four-port network analyzer, the test set provides 16 "output" ports numbered A1, A2, A3, A4, B1 ... D4.

The multiport test set can be configured to provide several channel-specific port groups. The "input" ports (numbered 1 to 4) are connected to the corresponding network analyzer ports. The signal at each "input" port is routed to one of the "output" ports 1 to 4, to be connected to the DUT. Signal routing is channel-dependent, which makes it possible to connect and measure several DUTs in parallel.

Example: Create four analyzer channels no. 1 to 4. Use the "output" connectors A1, B1, C1, D1 for channel no. 1, A2, B2, C2, D2 for channel no. 2 and so forth. This configuration allows you to perform simultaneous four-port measurements on four DUTs.

The switch matrices are configured and operated using SCPI commands. A separate tool for LAN configuration is supplied with the switch matrices. For details refer to the relevant operating manuals.

A preset may be a factory preset or a user-defined preset and affects either the active setup or all open setups.

It does not change the data related to global resources (cal pool, cal kit data), the position of dialogs, the color scheme of the diagram areas, and the directory and printer settings. All these properties can be reset in the Reset tab of the System Configdialog.

System Menu

The System menu provides functions to return to a defined instrument state, reverse operations, access service functions and define various system-related settings.

The System menu contains the following functions:

  • System Config opens a dialog to define various system-related settings.

  • Measurement Wizard calls up a series of dialogs providing a guided standard measurement.

  • Print opens a submenu to generate a copy of the current screen.

  • Int. Reference selects the internal reference clock for synchronization.

  • Ext. Reference selects an external clock signal for synchronization.

  • GPIB Address opens the numeric entry bar to define the analyzer's GPIB address.

  • Service Function opens a dialog to access the service functions of the instrument.

  • Preset performs a preset of all instrument settings (i.e. all open setups) or of the active setup.

  • Undo reverses the previous operation.

  • Redo reverses the action of the Undo command.

  • External Tools opens a submenu with various demo setups and editing tools.

System Config

Opens a dialog to define various system-related settings.

The System Config dialog is divided into the following tabs:

  • General

  • Calibration

  • Power

  • Presets

  • Channel Bits

  • Resets

  • Option Key Entry

  • Remote Settings

  • External Power Meters

  • External Generators

  • Frequency Converter

  • LXI Configuration

  • Matrix Configuration

The System Configuration settings are global and not affected by a preset of the instrument (Preset or *RST).

Selecting a color scheme

General

Provides user interface configurations and other general settings.

The settings in the General tab are arranged in several panels.

  • The check boxes in the User Interface panel switch the instrument messages, acoustic messages, or transparent info fields for markers and trace statistics on or off. Sounds are generated when the analyzer generates a notice/status message or a warning (alarm sounds) or during calibration. The settings are also valid if the instrument is remote-controlled. Transparent info fields do not hide an underlying trace.

  • Dialog Transparency varies the transparency of all dialogs on a scale between 0% and 100%. 0% transparency means that dialogs completely hide the diagram area in the background. With a maximum transparency of 100%, the dialogs are still visible but clearly show the underlying traces and display elements.

  • Short Bandfilter Info reduces the size and contents of the bandfilter info field; see Search Markers and Result Off: Results are described in abbreviated form; values are rounded to 5 decimal places.

  • Password for Frequency Info allows you to enter a password to permanently suppress all frequency information in the dialogs (including the channel list, the marker info fields, and the marker tables). The same password is used to de-activate the password protection. If no password is set, Display – Display Config – Frequency Info displays or hides the frequency information.

  • Restart Behavior configures the sweep behavior after a restart (Channel – Sweep – Restart). Keep Previous Measurement means that the previous measurement results are maintained until they are replaced by new, valid results. Set all Traces to 0 means that the restart deletes all previous results and sets the traces to zero. The zeros are progressively replaced by the new, valid results. The setting is also valid for remote-controlled operation.
    If a single sweep is interrupted and restarted while     Set all Traces to 0 is active, then the sweep segment with zero trace data indicates the previous (interrupted) sweep range. A typical scenario is a sweep in external trigger mode, where the triggered measurement sequence is a sweep segment or point: The sweep will be interrupted when the analyzer receives no more trigger pulses.

  • Calculation of Bandfilter Center Frequency as selects the definition of the center frequency for the bandfilter search; see Bandfilter parameters. The center frequency fCenter is calculated from the measured Lower Band Edge (LBE) and Upper Band Edge (UBE) values. If Geometric mean is selected, fCenter = sqrt (fLBE * fUBE). On a logarithmic frequency scale, this ensures equal spacing from the band edges. If Arithmetic mean is selected, fCenter = (fLBE + fUBE)/2.
    The arithmetic mean value is always larger than the geometric mean value. Both values are close if the bandwidth is small compared to the center frequency.

  • Operating System selects the priority of the running NWA application. Normal priority is the recommended setting for most measurements. Raise the priority for remote-controlled measurements which produce large amounts of data that the network analyzer must process synchronously and without interruption. Note that a higher priority of the NWA application can adversely affect the performance of other processes running on the analyzer.

Remote control

SYSTem:SOUNd:ALARm[:STATe]
SYSTem:SOUNd:STATus[:STATe]
SYSTem:TRESet[:STATe]
CALCulate<Chn>:MARKer<Mk>:FUNCtion:BWIDth:GMCenter
SYSTem:PRIority NORMal | ANORmal | HIGH

Calibration

Provides general system errgor correction (calibration) settings.

The Calibration tab provides the following settings:

  • Keep Measurement Data for >Repeat Previous Cal< causes the raw measurement data of the standards to be stored after the calibration is completed. This function is equivalent to the parameter in the Measure Standards dialog of the calibration wizard (see detailed description there) but applies to all calibrations.

  • Automatic Power Reduction for Calibration Unit sets the source power at all test ports to –10 dBm while an automatic calibration using the calibration unit R&S ZV-Z5x is active. Applying this source power to the ports of the calibration unit ensures best accuracy of the automatic calibration. The source powers are reset to their original values after the calibration is completed. The automatic power reduction can be deactivated in case that the test setup introduces a large attenuation.

  • Fast Multiport Correction activates an approximate but faster algorithm for the correction of measurement results based on the system error correction data. The fast algorithm is used for measurements with more than 2 ports. Select Fast Multiport Correction to speed up the measurement, especially if you use 4 or more analyzer ports and if your network analyzer is equipped with an FMR6 front module controller. Depending on the test scenario, the exact algorithm (Fast Multiport Correction: Off) can improve the measurement accuracy.

  • No of Sliding Match Positions defines the maximum number of different positions to be measured if a sliding match standard (sliding load) is used for calibration. The different positions appear in the Measure Standards dialog of the calibration wizard. A sliding match calibration is valid after three calibration sweeps at different match positions; however, calibration sweeps at additional positions can still improve the accuracy. In general 4 to 6 positions are recommended.

  • Directory for Additionally Available Cal Kits and Conn Types shows the name and path of a special directory for cal kit files (*.calkit). All cal kit files in the special directory will be (re-)loaded automatically as predefined kits (i.e. read-only kits which cannot be modified) every time the NWA application is started. It is possible to select the default cal kit directory C:\Rohde&Schwarz\NWA\Calibration\Kits or any other directory. None means that no cal kit files are loaded on start-up.
    Use the special directory to make sure that you do not have to import kits manually, even after terminating the NWA application improperly, in which case previously imported cal kit files will not be stored to the setup file.

Remote control

[SENSe<Ch>:]CORRection:COLLect[:ACQuire]:RSAVe:DEFault
SYSTem:COMMunicate:RDEVice:AKAL:PREDuction[:STATe]
SYSTem:CORRection:FMPort[:STATe]
MMEMory:LOAD:CKIT:UDIRectory

Power

Provides source power settings and settings for the true differential mode.

  • The Port Power Limits limit the source power at the analyzer ports or at the output ports of previously configured external generators. The limits are also valid for measurements with variable source power.

  • Is any Direct Generator or Receiver Access in Use? should be selected if the additional connectors of option R&S ZVA-B16, Direct Generator and Receiver Access, are used and if an automatic level control (ALC) is active. With this scenario, the ALC is limited to +1 dB so that the active port power limits cannot be exceeded by more than 1 dB.

  • Meaning of Source Power Settings... defines the power reference for the true differential mode; see Source Power in True Differential Mode.

  • RF Off Behavior configures the behavior of the RF Off switches in the Channel –Power Bandwidth Average menu and in the Source section of the Port Configuration dialog. In the factory default configuration, only the RF source signal is turned off; the RF amplifiers are still power supplied. In the alternative configuration, the power supply of the RF amplifiers is turned off, too. This further reduces the broadband noise at the source port, however, the required switch-on and settling times introduce an additional delay.

Use port power limits if you want to ensure that sensitive DUTs are protected from excess input levels. Keep in mind that you have to disable the limits explicitly if you want to use the full output level range of your analyzer again. Note that the port power limits are ignored while an ALC loop is active. A small ALC control range will ensure low signal levels.

Remote control

SOURce<Ch>:POWer<Pt>[:LEVel][:IMMediate]LLIMit[:STATe]
SOURce<Ch>:POWer<Pt>[:LEVel][:IMMediate]LLIMit:VALue
SOURce<Ch>:POWer<Pt>[:LEVel][:IMMediate]:LLIMit:DGRaccess
SOURce<Ch>:POWer<Pt>:GENerator<Gen>:LLIMit[:STATe]
SOURce<Ch>:POWer<Pt>:GENerator<Gen>:LLIMit:VALue
SOURce<Ch>:TDIF:WAVes SENDed | DCMode

Presets

The tab specifies the preset behavior of the network analyzer.

The Preset Scope defines whether a Preset affects the Active Setup or all open setups (Instrument). A preset does not change any of the properties listed in the Resets tab of the System Config dialog.

In the Preset Configuration panel, it is possible to specify whether the System – Preset command will perform a factory preset or restore the settings stored in a user preset file. A user preset file is an arbitrary setup (.zvx) file, to be stored using the File –Save...command. If the current user preset file is not found (e.g. because it was deleted or moved), System – Preset initiates a factory preset.

  • Press Browse... to select a user preset file. The analyzer performs a user preset as long as the file name is displayed in the Preset Configuration panel.

  • Press Set Factory Preset to select a factory preset. In the panel, a possible user preset file name is replaced by Factory Preset.

In the Remote Preset Configuration panel, it is possible to control the behavior of the *RST and SYSTem:PRESet commands; see below.

In remote control, a user-defined preset can be initiated using the commands in the SYSTem:PRESet:USER... subsystem. *RST and SYSTem:PRESet restore the factory preset settings. If Align *RST to User Defined Preset is selected and a valid user preset file is available, *RST and SYSTem:PRESet restore the user-defined settings.

Remote control
(for Presets):

SYSTem:PRESet:SCOPe SINGle | ALL

Channel Bits

Sets a channel-dependent four-bit binary value to control four independent output signals at the USER CONTROL connector (lines 8, 9, 10, 11). The output signals are 3.3 V TTL signals which can be used to differentiate between up to 16 independent analyzer states. For an application example refer to the detailed remote control description. Setting the channel bits does not change the analyzer state.

Remote control
(for Channel Bits):

CONTrol:AUXiliary:C[:DATA]
OUTPut<Ch>:UPORt[:VALue]

Resets

Provides several buttons to reset global instrument settings and properties. Global settings (e.g. the data related to global resources) are not affected by an instrument Preset.

Option Key Entry

Provides an input field for the option key code supplied with each option. A new software option for the network analyzer is enabled by entering the option key and pressing Install as described in the dialog.

Alternatively, it is possible to load the option key from the option key (*.xml) file. Use one of the following methods:

  • Copy the *.xml file to the root directory of a memory stick accessible from your analyzer and press Install.

  • Copy the *.xml file to the directory C:\Rohde&Schwarz\Nwa of the analyzer's hard disk and press Install.

You can use several *.xml files in order to enable several options simultaneously. *.xml files on the storage medium that are no option key files are ignored.

Remote Settings

Provides settings for the remote control (RC) interface of the analyzer.

The Remote Language for the analyzer is specified in the upper part.

  • The DEFAULT language corresponds to the instrument control commands reported in this help system; see SCPI Command Reference.

  • PNA, HP8510, HP8720, HP8753 ... denote command sets for network analyzers from other manufacturers.

Remote Language settings other than DEFAULT are intended for remote control of the analyzer. A mixed approach, with part of the instrument configuration defined via the GUI, is possible but may cause unexpected results in some instances.

Wait forData Ready after Single Sweep

The ID String and the OPT String of the analyzer are adjusted to the selected Remote Language. The strings can be queried via *IDN? and *OPT?, respectively.

  • If the DEFAULT language is activated, the factory ID string Rohde&Schwarz,ZVB<Max. Freq.-Ports>Port,<Serial_no>,<FW_Version> (e.g. Rohde&Schwarz,ZVB8-4Port,1145101010100001,1.70.5) is set. The OPT string is a comma-separated list of all installed software and hardware options, e.g. ZVAB-K2, ZVA-K4. The bit order for transferred binary data is swapped.

  • If the PNA language is activated, Agilent-compatible ID and OPT strings are set. The bit order for transferred binary data is normal.

  • If one of the HP xxxx languages is activated, HP xxxx-compatible ID and OPT strings are set. Binary data is transferred in a device-specific bit order, however, the bit order can be changed using HP xxxx-specific commands.

The ID and OPT strings can be changed or reset to the R&S factory ID string.

Show Error Messages activates a information popup box (tooltip), to be displayed whenever the parser encounters an remote control command error. The tooltip appears at the bottom of the remote or manual screen; it is not displayed for SCPI errors no. –113, Undefined header:

The tooltip is to provide information that can be useful for program development and optimization; it does not necessarily indicate that a remote control script is faulty or non-executable.

Remote control
(for Remote Settings):

SYSTem:LANGuage
FORMat:BORDer NORMal | SWAPped
SYSTem:ERRor:DISPlay

External Power Meters

Configures external power meters with their connection type and device address.

Use of external power meters, examples

To control external power meters via LAN or GPIB interface, it is necessary to install the Virtual Instrument Software Architecture (VISA) library on the network analyzer. VISA provides the programming interface between the hardware and the analyzer's application environment.
The VISA I/O Library is available from Rohde & Schwarz, order no. 1161.8473.02. Use the USB-to-IEC/IEEE Adapter (option R&S ZVAB-B44) to control devices equipped with a GPIB interface.

The External Power Meters dialog provides two tables and some additional buttons.

  • The upper table (Found:) shows all power meters that the analyzer detects to be on line (i.e. connected and switched on). All power meters in the table must have been configured previously, however, they can be deleted in the lower table.

  • The Add v and Add All v buttons copy the selected power meter in the upper table to the lower table so that it is possible to modify the power meter settings and select the power meters as receivers for measurements and power calibrations.

  • If Auto Config NRP-Zxx is selected, the analyzer automatically configures all NRP-Zxx power meters detected at any of the USB ports as Pmtr 1, Pmtr 2, ....

  • The lower table (Configured:) shows all configured power meters with their properties. The properties are defined in the Add/Modify External Power Meter dialog, to be opened by means of the Add Other... or Modify... buttons. All configured power meters are available as additional receivers for measurements and power calibrations.

An icon in the first columns of the tables indicates whether the power meters are currently available. The Found: table and the icons in the Configured: table are automatically updated each time the External Generators dialog is opened (to update explicitly use the Refresh Tables button). The remaining control elements are self-explanatory.

Unintentional switchover to remote control
When using the NI-VISA library, ensure that the network analyzer itself is not listed as a network device in the Measurement & Automation Explorer. Otherwise, Refresh Tables will send an identification query (*IDN?), causing the analyzer to close the System Configuration dialog (without executing Refresh Tables) and to activate the remote screen.

Icons in the power meter tables

Remote control:

SYSTem:COMMunicate:RDEVice:PMETer<pmeter_no>:DEFine
SYSTem:COMMunicate:RDEVice:PMETer<pmeter_no>:DELete
SYSTem:COMMunicate:RDEVice:PMETer<pmeter_no>:CONFigure:AUTO
SYSTem:COMMunicate:RDEVice:PMETer<pmeter_no>:CATalog?
SYSTem:COMMunicate:RDEVice:PMETer<pmeter_no>:COUNt?

Add/Modify External Power Meter

Selects and configures an external power meter.

The following control elements select the power meter type and its connection:

  • Name is an optional, arbitrary name associated with the power meter. Names appear in the power meter lists in the External Power Meterstab and in the selection dialogs for received signals (measurements and power calibration). If no name is specified, the power meters are listed as Pmtr 1, Pmtr 2...

  • Interface selects an interface/protocol type for the connection. In addition to the GPIB0 and VXI-11 interface types (for devices connected to the IEC Bus or LAN1/2 connectors on the rear panel of the analyzer, respectively), the analyzer supports any Other interface supported by the installed VISA library.

  • GPIB Address or Hostname or IP Address (depending on the Interface selection) contains the address for the current interface type. GPIB addresses must be unique for all devices connected to the GPIB bus (range: 0 to 30), GPIB and IP addresses must agree with the entries in the VISA library. For an Other interface type, the input field contains the Resource String from the installed VISA library.

  • Driver contains a list of all supported power meter driver types. The names in the list are identical with the name of the power meter driver files (*.pwm) stored in the resources\extdev subdirectory of the analyzer's program directory.

  • Identify Type sends an identification query (IDN?) to the specified device address in order to identify the power meter type and select an appropriate driver file. An error message is displayed if the identification fails.

Remote control:

SYSTem:COMMunicate:RDEVice:GENerator<gen_no>:DEFine

External Generators

Configures external generators with their connection type and device address.

Use of external generators, examples

To control external generators via LAN or GPIB interface, it is necessary to install the Virtual Instrument Software Architecture (VISA) library on the network analyzer. VISA provides the programming interface between the hardware and the analyzer's application environment.
The VISA I/O Library is available from Rohde&Schwarz, order no. 1161.8473.02. Use the USB-to-IEC/IEEE Adapter (option R&S ZVAB-B44) to control devices equipped with a GPIB interface.

The External Generators dialog provides two tables and some additional buttons.

  • The upper table (Found:) shows all generators that the analyzer detects to be on-line (i.e. connected and switched on). All generators in the table must have been configured previously, however, they can be deleted in the lower table.

  • The Add v and Add All v buttons copy the selected generator in the upper table to the lower table.

  • The lower table (Configured:) shows all configured generators with their properties. The properties are defined in the Add/Modify External Generator dialog, to be opened by means of the Add Other... or Modify... buttons. All configured generators are available as additional sources for measurements and power calibrations.

An icon in the first columns of the tables indicates whether the generators are currently available; see below. The Found: table and the icons in the Configured: table are automatically updated each time the External Generators dialog is opened (to update explicitly use the Refresh Tables button). The remaining control elements are self-explanatory.

Unintentional switchover to remote control
When using the NI-VISA library, ensure that the network analyzer itself is not listed as a network device in the Measurement & Automation Explorer. Otherwise, Refresh Tables will send an identification query (*IDN?), causing the analyzer to close the System Configuration dialog (without executing Refresh Tables) and to activate the remote screen.

Icons in the generator tables

Remote control:

SYSTem:COMMunicate:RDEVice:GENerator<gen_no>:DEFine
SYSTem:COMMunicate:RDEVice:GENerator<gen_no>:DELete
SYSTem:COMMunicate:RDEVice:GENerator<gen_no>:CATalog?
SYSTem:COMMunicate:RDEVice:GENerator<gen_no>:COUNt?

Add/Modify External Generator

Selects and configures an external generator.

The following control elements select the generator type and its connection:

  • Name is an optional, arbitrary name associated with the generator. Names appear in the generator lists in the External Generatorstab and in the selection dialogs for source signals (measurements and power calibration). If no name is specified, the generators are listed as Gen 1, Gen 2...

  • Interface selects an interface type for the connection. In addition to the GPIB0 and VXI-11 interface types (for devices connected to the IEC Bus or LAN1/2 connectors on the rear panel of the analyzer, respectively), the analyzer supports any Other interface supported by the installed VISA library.

  • GPIB Address or Hostname or IP Address (depending on the Interface selection) contains the address for the current interface type. GPIB addresses must be unique for all devices connected to the GPIB bus (range: 0 to 30), GPIB and IP addresses must agree with the entries in the VISA library. For an Other interface type, the input field contains the Resource String from the installed VISA library.

  • Driver contains a list of all supported generator driver types. The names in the list are identical with the name of the generator driver files (*.gen) stored in the resources\extdev subdirectory of the analyzer's program directory.

  • Identify Type sends an identification query (IDN?) to the specified device address in order to identify the generator type and select an appropriate driver file. An error message is displayed if the identification fails.

The following control elements provide hardware-related settings:

  • Fast Sweep enables or disables the fast sweep mode for external generators that support a frequency and level list mode (triggered mode).

  • 10 MHz Ref switches the analyzer to either internal or external frequency reference.

Fast sweep mode and conditions

Reference frequency

Remote control:

SYSTem:COMMunicate:RDEVice:GENerator<gen_no>:DEFine

Remote control:

SYSTem:COMMunicate:RDEVice:GENerator<gen_no>:DEFine
SYSTem:COMMunicate:RDEVice:GENerator<gen_no>:DELete

Matrix Configuration

Configures and opens/closes a LAN connection to a switch matrix/multiport test set R&S ZV-Z81/82/83.

Switch matrices R&S ZV-Z81/-Z82 and multiport test set R&S ZV-83

  • The IP Address setting must correspond to the IP address of the multiport test set. Use the LANCONFIG.EXE tool (supplied with the switch matrix/multiport test set) to determine the current IP address. Press Save IP Address if you want to keep the current address for later connections.

  • Connect/Disconnect establishes or closes the connection.

  • The Connected box is checked while a connection is active. Unchecking the box is equivalent to Disconnect.

Remote control:

n/a

For internal path configuration of the switch matrix/multiport test set:
See ROUTe...commands.

Int. Reference

Selects the internal reference clock for synchronization. The analyzer provides a 10 MHz internal reference clock which can be tapped off at the 10 MHz REF connector at the rear of the instrument in order to synchronize other devices, e.g. signal generators or a second network analyzer of the ZVAB family. See also example for reference frequency settings for external generators.

Remote control:

[SENSe<Ch>:]ROSCillator[:SOURce] INTernal

Ext. Reference

Selects an external reference clock signal for synchronization. The external 10 MHz reference clock signal must be applied to the 10 MHz REF connector at the rear of the instrument. The external reference signal must meet the specifications of the data sheet. The internal reference signal is synchronized to the external signal. See also example for reference frequency settings for external generators.

Remote control:

[SENSe<Ch>:]ROSCillator[:SOURce] EXTernal

GPIB Address

Opens the numeric entry bar to define the analyzer's GPIB address.

The GPIB address must be in the range between 0 and 30.

Remote control:

SYSTem:COMMunicate:GPIB[:SELF]:ADDRess

Service Function...

Opens a dialog to access the service functions of the instrument. Service functions are password-protected and should be used by a R&S service representative only. Refer to the service manual for more information.

If you press Enter twice without changing the name of the service function, the analyzer opens the internal On-Screen Keyboard. Use Shift + Enter to execute a service function repeatedly.

Remote control:

SYSTem:PASSword[:CENable]
DIAGnostic:SERVice:FUNCtion
DIAGnostic:SERVice:SFUNCtion

Preset

Performs a preset of all instrument settings (i.e. all open setups) or of the active setup, depending on the settings in the System Config dialog.

Scope of the preset and exceptions

If you activate Preset by mistake, you can use Undo in order to restore your previous instrument settings.

Remote control:

*RST; SYSTem:PRESet(for factory preset)
SYSTem:PRESet:USER[:STATe] ON | OFF
SYSTem:PRESet:USER:NAME '<Setup_file>'(for user-defined preset)

Undo

Reverses the last action, if possible. Otherwise, Undo is disabled (grayed).

You can use Undo even after a Preset, in order to restore your own instrument settings.

Redo

Reverses the action of the Undo command. If Undo was not used before, Redo is disabled (grayed).

External Tools

Opens a submenu with various demo setups and editing tools:

  • Mouse Keyboard.lnk: Opens Windows XP's on-screen keyboard.

  • Demo*.vbs: Shows how to perform the settings for typical measurement tasks.

After running a *vbs file you can modify the demo setup according to your own needs and store it to a *.zvx file for later reuse.


Converter Control

Frequency extension is available on ZVA and ZVT analyzers which are specified for frequencies up to 20 GHz or above (e.g. ZVT 20, ZVA24, ZVA 40). The required firmware version depends on the converter mode. Refer to the release notes (What's new) or to the Quick Start Guide of your converter.

The following additional options and accessories are needed:

  • One or more frequency converters, depending on the test setup.

  • Option R&S ZVA-K8, Converter Control. Option R&S ZVA-K8 also comprises option ZVA-K4, Arbitrary Generator and Receiver Frequencies.

  • Option R&S ZVA<n>-B16, Direct Generator/Receiver Access (where <n> denotes the number of test ports of the analyzer)

  • For converters with electronic attenuator (e.g. R&S ZVA-Z110E): Option R&S ZVA-B8 to establish the control connection between the NWA and the converter

  • A two-port transmission measurement requires two frequency converters plus a four-port network analyzer or a two-port analyzer with an external generator (see External Generators). The external generator must provide frequencies up to 20 GHz or above and sufficient signal power. Reflection measurements can be performed with a two-port analyzer without external generator.

  • The external generator must be synchronized to the network analyzer using the 10 MHz reference clock signal. It is not possible to use several external generators simultaneously.

  • A suitable set of calibration standards

After a particular converter type and test setup is applied, the analyzer is automatically configured as follows:

  • A preset is applied.

  • The default frequency range of the selected converter type is set (e.g. 75 GHz to 110 GHz for R&S ZVA-Z110 converters). If no converter is selected, (Type = <NONE>), the default frequency of the network analyzer is set. The Sourcesection of the Port Configuration table shows the true output frequencies at all analyzer ports and the frequency conversion formulas.

  • The output powers at the RF and LO ports are set to optimum values. For converters without electronic attenuator, the output power of the converters can be reduced using the knurled adjusting knob on top of the converter.

  • The LO signals are permanently on; the RF source signal is present only during the partial measurements that require the respective test port as a drive port.

  • Low Phase Noise is enabled.

  • ALC (All Chans) is disabled.

All signal settings appear in the Port Configuration dialog as soon as the frequency converter mode is active. In the example below, a sweep range between 75 GHz and 110 GHz is selected. The frequency multipliers for the RF signals have a multiplication factor of 6, so the actual output frequency at the RF ports 1 and 2 is between 12.5 GHz and 18.3333333 GHz. The frequency of the LO signal is such that the reference and measurement channels are received at the fixed IF frequency of 279 MHz (shown in the Receiver section of the Port Configuration dialog). The LO frequency is always below the RF frequency (upper sideband).

It is also possible to define port-specific frequencies and powers at the converter ports; see Power and Frequency Settings.

Converter Control (Option R&S ZVA-K8)

Measurements at frequencies beyond the analyzer's operating range (mm-wave measurements) are achieved by combining a frequency-converting measurement with an external test set (frequency converter). Rohde & Schwarz offers frequency converter types for various frequency ranges. E.g. the frequency converters R&S ZVA-Z110 and R&S ZV-Z110E extend the frequency range of R&S ZVA or R&S ZVT network analyzers to a range between 75 GHz and 110 GHz.

The test ports of the frequency converters and the connecting elements are rectangular waveguides. For the R&S ZVA-Z110(E) converter, the dimensions of the waveguides are according to EIA WR-10, equivalent to RCSR WG-27. Refer to the Quick Start Guide and the "Specifications" supplied with your converter for detailed information about the frequency range and the waveguide type of your converter model.

Two different converter types are available:

  • Converters without electronic attenuators. The analyzer cannot control the output power of these converters.

  • Converters with electronic attenuators (and a capital "E" in the type designation, e.g. R&S ZV-Z110). The output power of these converters is controlled by the analyzer; a power calibration and power sweep is possible.

Required equipment and options

Test Setup and Principle of the Measurement

The frequency converters use frequency multipliers to transform the RF source signal from one of the network analyzer ports into a high-frequency stimulus signal. A dual directional coupler separates the reference and measurement channels from the waveguide test port. A second signal (Local Oscillator, LO) is used for down-conversion of the reference and measurement channels. The LO signal can be provided either by a second analyzer port or by an external generator. The down-converted signals are fed to the REF IN and MEAS IN input connectors of the analyzer port providing the RF source signal.

The schematic test setup for a two-port transmission measurement using four analyzer ports (no external generator) is shown below.

A measurement using converters without electronic attenuator involves the following stages:

  1. Selection of the converter type and of the test setup in the Frequency Converter dialog

  2. Connection of the frequency converters

  3. System Error Correction using a suitable waveguide calibration kit

  4. Connection of the DUT and measurement

For converters with electronic attenuators, the following additional stages are required:

  • Entry of power coefficients (when the converter is used for the first time)

  • Power and frequency settings

  • Power calibration

Frequency Converter

The Frequency Converter tab belongs to the System Configuration menu (System –System Config). It selects the frequency converter type and the external test setup as well as the power transfer model (especially for converters with electronic attenuators).

The dialog provides the following control elements:

  • Type selects a frequency converter type.

  • Use of External Sources provides the possible test setups for each converter type. The test setups differ in the way how the LO signal is provided (from the analyzer port or from an external generator).

  • The Power Transfer settings define the model by which the analyzer controls the output power at all converter ports. The exact meaning of the power transfer modes depends on the converter model; see Power Transfer Modes.

  • Apply activates the selected test setup and adjusts the analyzer settings; see information below.

  • For frequency converters with electronic attenuators, pressing Apply enables the Power Coefficients button. This button opens an additional dialog to enter the power coefficients for the electronic attenuators.

The frequency-converter settings belong to the global resources; they are not changed upon a Preset or *RST.

Analyzer settings with active frequency converter

Remote control:

[SENSe<Ch>:]FREQuency:CONVersion:DEVice:MODE
[SENSe<Ch>:]FREQuency:CONVersion:DEVice:NAME

Power Transfer Models

The Power Transfer (All Converter Ports) settings in the Frequency Converter tab define how the analyzer controls the output power at all converter ports. The general settings can be changed for individual converter ports (Channel – Mode – Port Configuration – Source Power – Converter Port <n> Power – Power Transfer).

Changing the power transfer settings in the Frequency Converter tab will overwrite the individual port settings.

The basic power transfer model (Use Advanced Model off) is simple to configure and suitable for most standard applications.

  • Converters with electronic attenuators: The converter output power is controlled by the analyzer, using the power control cable and the electronic waveguide attenuators in the converters. The power coefficients of each converter must be correctly entered in the Power Coefficients dialog. A power calibration is possible. In addition, port-specific power settings allow you to account for devices with known attenuation/amplification in the test setup.

  • Converters without electronic attenuators: The converter output power can be varied by means of the power adjustment screw which is available for most converter models. No power calibration is possible, however, port-specific power settings allow you to account for devices with known attenuation/amplification in the test setup.

The advanced model may be based on a Data Set or on a Linear Approximation of the relation between the converter input power and the converter output power.

  • Data Set is suitable for converters with electronic attenuators. The analyzer uses a set of power calibration data to ensure accurate powers at the reference plane. The calibration data set is acquired by the R&S ZVA Frequency Converter Leveling Tool, a software utility which is available for download on the R&S ZVA product pages (http://www.rohde-schwarz.com/product/zva). For detailed information about the calibration procedure refer to the leveling tool's help system.
    The leveling tool can automatically acquire calibration data over a wide range of powers and frequencies. This power transfer model is recommended for best accuracy, in particular if large sets of calibration data are required. If Data Set is active, the Read Data Set button allows you to select the calibration data folder (Calibration Subdirectory) for the current channel, in accordance with the definitions in the leveling tool.

  • Linear Approximation is suitable for all converter types. Converters with electronic attenuators are controlled by a combination of the RF input power (i.e. the source power at the analyzer test port providing the signal fed to RF IN) and the electronic waveguide attenuators in the converters. At sufficiently high converter output powers, the electronic waveguide attenuator settings are fixed. In the low converter output power range, a selectable portion of the attenuation is achieved by the waveguide attenuators. This advanced power transfer model provides a maximum dynamic range while maintaining the spectral purity of the converter output signal in the low-power range.
    Converters without electronic attenuators are controlled by the power adjustment screw. It is possible to adjust the screw to a desired attenuation value and use this value as a correction factor for the port power.
    The settings for the linear approximation appear in the Power Transfer dialog.

The following table shows an overview of the different modes.

Power Transfer Model | Converters with electronic attenuators (R&S ZVA-ZxxxE) Converter output power controlled by... | Converters without electronic attenuators (R&S ZVA-Zxxx) Converter output power controlled by...
Basic | Electronic waveguide attenuators in the converters | (Power adjustment screw)
Advanced, data set | Measured set of attenuation values (power calibration data) | Not supported
Advanced, linear approximation | Combination of RF input power (network analyzer) and electronic waveguide attenuators (converter) | Mechanical attenuator setting (Power Transfer dialog) and power adjustment screw

Remote control:

[SENSe<Ch>:]CONVerter:AMODel
[SENSe<Ch>:]CONVerter:DESCription
[SENSe<Ch>:]CONVerter:PATH

Power Coefficients (for Converters with Electronic Attenuators)

The Power Coefficients dialog is used to enter the power coefficients of converters with external attenuators. It can be opened from the System Configuration – Frequency Converter tab after the converter is activated.

For accurate control of the converter output power, the R&S ZVA analyzer must know the (non-linear) current-power characteristic of the converters. The characteristic is sufficiently described by a third-order polynomial. A label with the four polynomial coefficients c0, c1, c2, and c3 is affixed to each converter.

  • The number of rows in the table is equal to the number of analyzer ports. Each row contains the power coefficients for the converter connected to the NWA port in the fist, non-editable column. Overwrite the coefficients in a row whenever you connect a new converter to the corresponding NWA port.

  • Use default coefficients overwrites the entire table with a set of default power coefficients, providing acceptable output power control for arbitrary converters. For accurate measurements, use the actual power coefficients of each converter.

Remote control:

[SENSe<Ch>:]FREQuency:CONVersion:DEVice:PCOefficient<Port>
[SENSe<Ch>:]FREQuency:CONVersion:DEVice:PCOefficient<Port>:DEFault

Connecting the Frequency Converters

Each frequency converter must be connected to the DUT, the network analyzer, and the power supply. The DUT is screwed on the waveguide flange at the front of the converter. The remaining connectors are located on the rear panel of the converter:

Attention!

Input powers RF IN and LO IN

The RF input power at the connectors RF IN and LO IN must not exceed the maximum values quoted in the data sheet. The maximum values are below the maximum RF source power of the network analyzer. The frequency converter mode ensures compatible source powers.

Before you connect your converter to the network analyzer, always activate the frequency converter mode using the Frequency Converter dialog and select the proper converter type and connecting diagram.

Connection to the network analyzer comprises the following RF input and output signals:

  1. RF source signal (input): Connect port 1 or port 2 of the analyzer to RF IN of the converters.

  2. LO signal (input): Connect port 3 or port 4 of the analyzer to LO IN of the converters. Alternative: Connect an external generator signal to LO IN; see Frequency Converter dialog.

  3. Reference signal (output): Connect REF OUT of the converters to the REF IN connector of the analyzer port providing the RF source signal. The reference signal corresponds to the incident wave (a-wave) applied to the input of the DUT.

  4. Measurement signal (output): Connect MEAS OUT of the converters to the MEAS IN connector of the analyzer port providing the RF source signal. The measured signal corresponds to the b-wave caused due to reflection or transmission at the DUT.

For converters with electronic attenuators, an additional USB control connection between the output connector of option R& ZVA-B8 (EXTATT CTRL) on the front panel of the analyzer and the 3-pin control connector at the rear panel of the converter is required. Observe the port assignment of the NWA output connector.

The input signal at the frequency converters must be relatively stable over the entire sweep range. Use high-quality cables for the connection of the RF and LO input signals. Appropriate cables for the REF OUT and MEAS OUT signals are supplied with the frequency converters.

In view of the port arrangement at the front panel of the analyzer, it is advantageous to use test ports 1 and 2 as RF sources, ports 3 and 4 as LO sources. The frequencies of the RF and LO signal must be independent, therefore do not combine a pair of ports as RF and LO sources that is supplied by a common generator (ports 1 and 2, 3 and 4; see Coupled test ports).

To supply the frequency converter, connect the external DC power supply provided with the converter to the 9 V / 0.5 A DC input. The power supply supports input AC voltages between 100 V and 240 V and frequencies between 47 Hz and 63 Hz. A complete test setup for a 2-port transmission measurement using converters without electronic attenuators is shown below.

Frequency converters and true differential mode
To generate a true differential signal with two frequency converters, a modified test setup with three independent sources is required. See background information inBalanced Ports and Port Groups –True Diff Mode.

Attention!

Supply voltage and power

The input voltage and current must not exceed the maximum values according to the rear panel labeling or the data sheet.

Always use the DC power supply included in delivery to power your frequency converter.

Power and Frequency Settings

While the frequency converter mode is active, the Channel – Stimulus settings of the network analyzer control the frequency and power range of the converters. In addition the Channel – Mode – Port Configuration dialog shows an additional row for each converter. The Frequency and Power settings in the Source section of the dialog serve different purposes:

  • The output power for each converter can be selected in the Power column. For frequency converters with electronic attenuators, a source power calibration of the converter port ensures that the analyzer will generate the selected source power.

  • The source frequency at the converter ports is essentially determined by the port frequency of the analyzer. The converter frequency settings in the Port Configuration dialog define the frequency axes for the source power calibrations, however, they do not actually affect the converter output frequencies. For best accuracy, ensure that the correct converter frequencies are set, especially if the test setup contains additional frequency-converting components.

Example: In the example below, the frequency at the NWA Port 1 has been increased by a 50 MHz offset. The converter source frequency six times the NWA source frequency, therefore a 300 MHz offset has been entered for Converter Port 1. This ensures a correct frequency axis during the power calibration.

Remote control:

SOURce<Ch>:FREQuency<Pt>:CONVersion:ARBitrary:CFRequency
SOURce<Ch>:POWer<Pt>:CONVerter:OFFSet

Calibration (for Converters without Electronic Attenuators)

The output power of the frequency converter can be set manually (at the converter) only, therefore the standard source power calibration eliminating frequency response errors in the signal path between the source and the reference plane (external power meter) is not possible. A power calibration of the reference receiver (a-wave) using an external power meter, however, is possible and recommended for measurements concerning the wave quantities a and b. Proceed as follows:

  1. Ensure that the output power of the frequency converter is not attenuated (adjust the knurled knob at the top of the converter to 2 mm).

  2. Connect an appropriate external waveguide power meter to the waveguide flange and open the Channel –Calibration –Start Power Cal –Source Power Cal dialog (see Source Power Cal).

  3. Click Modify Settings and disable Flatness Cal, leaving Reference Receiver Cal checked.

  4. Start the calibration sweep.

This power calibration procedure ensures a reasonable accuracy of the reference power readings over a wide range of converter output powers (i.e. even if the adjusting knob is used to reduce the powers).

A Receiver Power Calibration of the b-waves (without external power meter) is possible after completed power calibration of the a-wave. Moreover, you can use the advanced power transfer model with linear approximation to adjust the screw to a desired attenuation value and use this value as a correction factor for the port power.

After the power calibration procedure a system error correction is recommended. Due to the physical properties of the mm-waves and the waveguides, measurements with frequency converters require a special calibration kit for system error correction. Rohde & Schwarz offers special waveguide calibration kits for this purpose, e.g. the calibration kits R&S ZV-WR03, R&S ZV-WR10, and R&S WR-15. The standards in the calibration kits allow all one-port and two-port calibration types supported by the network analyzer except TNA. Refer to the documentation of the calibration kit for details.

Remote control:

SOURce<Ch>:POWer<Pt>:CORRection:DATA

Calibration (for Converters with Electronic Attenuators)

A source power calibration for a frequency converter requires an appropriate external power meter, to be connected to the converter's waveguide flange. Waveguide power meters are configured in the ordinary way using the System Configuration – External Power Meters tab.

To perform the source power calibration, proceed as follows:

  1. Connect the waveguide power meter and open the Channel – Calibration – Start Power Cal – Source Power Cal dialog.

  2. Select your converter and source port from the Source pull-down list (e.g. Conv 1 for a frequency converter connected to NWA port 1).

  3. Click Modify Settings and ensure that both Flatness Cal and Reference Receiver Cal are checked.

  4. If your test setup causes strong nonlinear effects, you can choose a Convergence Factor different from one.

  5. Start the calibration sweep.

To ensure an accurate source power calibration and quick convergence, use the correct power coefficients. A receiver power calibration of the b-waves (without external power meter, using the “Receiver Power Calibration” dialog) is possible after completed source power calibration.

After the power calibration procedure a system error correction is recommended. Due to the physical properties of the mm-waves and the waveguides, measurements with frequency converters require a special calibration kit for system error correction. Rohde & Schwarz offers special waveguide calibration kits for this purpose, e.g. the calibration kits R&S ZV-WR03, R&S ZV-WR10, R&S ZV-WR12, and R&S WR15. The standards in the calibration kits allow all one-port and two-port calibration types supported by the network analyzer except TNA. Refer to the documentation of the calibration kit for details.

Remote control:

SOURce<Ch>:POWer<Pt>:CORRection[:ACQuire]
SOURce<Ch>:POWer<Pt>:CORRection:CONVerter<Con>[:STATe]
SOURce<Ch>:POWer<Pt>:CORRection:DATA
SOURce<Ch>:POWer<Pt>:CORRection:COLLect:CFACtor

Measurement

After power calibration and system error correction, the mm-wave measurement can be performed like any other network analyzer measurement. The Port Configuration settings (together with the Stimulus settings) determine the sweep range of the converted signals (i.e the input and output frequencies at the DUT ports). All measured quantities (S-parameters, wave quantities, ratios etc.) and other trace settings are available.

The following restrictions hold for measurements with external frequency converters without external attenuators:

  • The measurement is performed at fixed RF source and LO power. No power sweep is possible.

  • To reduce the actual output power of the converters (e.g. for measuring wave quantities or testing compression effects), turn the adjusting knob on top of the converters clockwise. You will see an effect on the output power within the last 2 mm of the adjustable range.

  • Note the special analyzer settings listed in section Frequency Converter.

The following example shows the transmission and reflection coefficients of a bandpass filter in the frequency range between 75 GHz and 110 GHz, i.e. the measurement range of the converter R&S ZVA-Z110.


ZVA80

In "ZVA80-BU" mode, the frequency and level settings of the network analyzer are automatically set to be compatible with the external test sets. "Low Phase Noise" is enabled, Automatic Level Control (ALC) is disabled. The frequency and levels of all ports are displayed in the "Port Configuration" dialog ("Channel > Mode > Port Config …").

R&S ZVA80 and R&S ZVA110 Analyzers

The R&S ZVA80 and R&S ZVA-Z110 vector network analyzers support two essentially different measurement modes:

  • Measurements with internal test sets cover a frequency range between 10 MHz and approx. 50 GHz (R&S ZVA80) or 67 GHz (R&S ZVA-Z110). On an R&S ZVA80 type 02 (stock no. 1312.6750.02), the DUT is connected to the test port connectors PORT 1 and/or PORT 2 of the R&S ZVA80 base unit (BU). One and two-port measurements can be performed as described in this help system.
    The R&S ZVA80 types 03 and 04 (stock numbers 1312.6750.03 and 1312.6750.04) are based on R&S ZVA50 vector network analyzers. The DUT can be connected to any of the four test ports of the R&S ZVA50. One to four-port measurements are supported.
    The R&S ZVA-Z110 is based on a four-port R&S ZVA67 vector network analyzer. The DUT can be connected to any of the four test ports of the R&S ZVA67. One to four-port measurements are supported.

  • Measurements with external test sets cover an extended frequency range between 10 MHz and 80 GHz / 100 GHz. The DUT is connected to the 1 mm connector(s) at the front of the diplexers R&S ZVA-ZD80 / 110. This measurement mode is described in the following sections.

For a general introduction to the R&S ZVA80 / 110 refer to the Quick Start Guides R&S ZVA80 / 110, Broadband Measurements Using the 1 mm External Test Sets, which are posted on the R&S ZVA80 / 110 product pages on the internet. Please note in particular the safety instructions in the Quick Start Guides.

The R&S ZVA80 / 110 is delivered with all measurement equipment needed. An additional 1 mm calibration kit is required for calibration.

The following sections describe the R&S ZVA80. The connection and operation of the R&S ZVA110 is similar to the R&S ZVA80; the main difference is due to the fact that the R&S ZVA-Z110 is based on a frequency converter with electronic attenuator R&S ZVA-Z110E. Refer to the R&S ZVA-Z110 Quick Start Guide for details.

Test Setup and Principle of the Measurement (R&S ZVA80)

The R&S ZVA80 is delivered with two fully assembled external test sets, each consisting of a diplexer R&S ZVA-ZD80 and a frequency converter WR15 R&S ZVA-Z75. The connection for a single external test set is shown below; for details refer to the Quick Start Guide R&S ZVA80.

The external test sets enable a frequency range between 10 MHz and 80 GHz. The analyzer combines two different measurement methods to achieve this extended range.

  • At frequencies below approx. 50 GHz (i.e. in "low frequency" mode), the frequency converter in the external test set is bypassed. The source signals from test ports PORT 1 / 2 of the R&S ZVA80 base unit are directly fed to the 1 mm test port connectors of the diplexers. The analyzer measures the a-waves (reference channels) from REF OUT and the b-waves (measurement channels) from MEAS OUT on the diplexers. The connector groups PORT 3 / 4 on the R&S ZVA80 base unit and the RF connectors LO IN, RF IN, REF OUT, MEAS OUT on the rear panel of the converters are not used.

  • To achieve frequencies above approx. 50 GHz (i.e. to measure in "high frequency" mode), the source signals from test ports PORT 1 / 2 of the R&S ZVA80 base unit are fed to the frequency converters; the converted signals are routed to the 1 mm test port connectors of the diplexers. The frequency converters use frequency multipliers to transform the source signal into a high-frequency stimulus signal. An additional Local Oscillator (LO) signal from PORT 3 / 4 of the analyzer is used for downconversion of the reference and measurement channels. The analyzer measures the a-waves from REF OUT and the b-waves from MEAS OUT on the converters. The RF connectors REF OUT, MEAS OUT on the rear panel of the diplexers are not used. This measurement mode is analogous to the frequency converter mode described in the Converter Controlsection.

The analyzer automatically switches between low frequency and high frequency mode, depending on the stimulus frequency.

A measurement using the external test sets involves the following stages:

  1. Activation of the "ZVA80-BU" mode for measurements with external test set

  2. Connection of the external test sets

  3. Calibration using a suitable calibration kit

  4. Connection of the DUT and measurement

Activating the ZVA80-BU Mode

After a factory preset, the R&S ZVA80 base unit of an R&S ZVA80 type 02 (stock no. 1312.6750.02) is in the "ZVA80-BU" mode, which is the operating mode for measurements with external test sets. The sweep range corresponds to the full frequency range of the analyzer up to 80 GHz. The ZVA80-BU mode can be disabled, e.g. in order to perform 2-port measurements with internal test sets.

The R&S ZVA80 types 03 and 04 (stock numbers 1312.6750.03 and 1312.6750.04) are based on R&S ZVA50 vector network analyzers. After a factory preset, the R&S ZVA50 is configured for measurements using the internal test sets.

To (re-)activate the ZVA80-BU mode,

1. Click "System > System Config ..." and open the "Frequency Converter" tab of the "System Configuration" dialog.

2. Select "Type : ZVA80-BU".

3. Click "Apply" to activate the mode and "Close".

See also Frequency Converter in the Converter Control section.

Analyzer settings with active ZVA80-BU mode

Remote control:

[SENSe<Ch>:]FREQuency:CONVersion:DEVice:NAME 'ZVA80-BU'

Connecting the External Test Sets

Each of the external test sets must be connected to the R&S ZVA80 base unit, the power supply and the DUT. Please refer to the R&S ZVA80 Quick Start Guide for details. A complete test setup for 2-port transmission measurements is shown below.

Calibration

A source power calibration for an external test set requires an appropriate external power meter, to be connected to the converter's 1 mm test port connector. The power meter is configured in the ordinary way using the "System Configuration > External Power Meters" tab.

In the low frequency domain below approx. 50 GHz, power calibration can be performed in the usual way; see Power Calibration. In the high frequency domain above approx. 50 GHz, the output power of the external test set can be varied manually (at the converter) only, therefore the standard source power calibration eliminating frequency response errors in the signal path between the source and the reference plane (external power meter) is not possible.

A power calibration of the reference receiver (a-wave) using an appropriate external power meter, however, is possible and recommended for measurements concerning the wave quantities a and b. Proceed as follows:

1. Ensure that the output power of the frequency converter is not attenuated (adjust the knurled knob at the top of the converter to 2 mm).

2. Connect the power meter to the 1 mm test port connector of the external test set and open the "Channel > Calibration > Start Power Cal > Source Power Cal" dialog.

3. Click "Modify Settings" and disable "Flatness Cal", leaving "Reference Receiver Cal" checked.

4. Start the calibration sweep.

This power calibration procedure ensures a reasonable accuracy of the reference power readings over a wide range of converter output powers (i.e. even if the adjusting screw is used to reduce the powers). A receiver power calibration of the b-waves (without external power meter, using the “Receiver Power Calibration” dialog) is possible after completed power calibration of the a-wave.

After the power calibration procedure a system error correction is recommended. Due to the physical properties of the mm-waves and the 1 mm test set connectors, measurements with external test sets require a special calibration kit for system error correction.

Remote control:

SOURce<Ch>:POWer<Pt>:CORRection:DATA

Measurement

After power calibration and system error correction, the mm-wave measurement can be performed like any other network analyzer measurement. The "Port Configuration" settings (together with the "Stimulus" settings), determine the sweep range of the converted signals (i.e. the input and output frequencies at the DUT ports). All measured quantities (S-parameters, wave quantities, ratios etc.) and other trace settings are available.

The following restrictions hold for measurements in high frequency mode:

  • The measurement is performed at fixed RF source and LO power. No power sweep is possible.

  • To reduce the actual output power of the converters (e.g. for measuring wave quantities or testing compression effects), use the adjusting knob on top of the converters.

  • Note the special analyzer settings listed in section Frequency Converter.

The following example shows a transmission measurement on a through connection in the frequency range between 10 MHz and 80 GHz.


LXI Configuration

LXI-compliant instruments are divided into three classes, A, B and C, with the functionality of the classes hierarchically based one upon the other:

  • Class C instruments are characterized by a common LAN implementation, including an ICMP ping responder for diagnostics. The instruments can be configured via a web browser; a LAN Configuration Initialize (LCI) mechanism resets the LAN configuration. The LXI class C instruments shall also support automatic detection in a LAN via the VXI-11 discovery protocol and programming by means of IVI drivers.

  • Class B adds IEEE 1588 Precision Time Protocol (PTP) and peer-to-peer communication to the base class. IEEE 1588 allows all instruments on the same network to automatically synchronize to the most accurate clock available and then provide time stamps or time-based synchronization signals to all instruments with exceptional accuracy.

  • Class A instruments are additionally equipped with the eight-channel hardware trigger bus (LVDS interface) defined in the LXI standard.

Instruments of classes A and B can generate and receive software triggers via LAN messages and communicate with each other without involving the controller.

According to the LXI standard, an LCI must place the following parameters to a default state.

Parameter | Value
TCP/IP Mode | DHCP + Auto IP Address
Dynamic DNS | Enabled
ICMP Ping | Enabled
Password for LAN configuration | LxiWebIfc

The LCI for the network analyzer also resets the following parameters:

Parameter | Value
Hostname | <Instrument-specific host name>
Description | Vector Network Analyzer
Negotiation | Auto Detect
VXI-11 Discovery | Enabled

The following icons describe the status of a receiver:

The receiver is on-line (connected, switched on, appropriately equipped and ready to be used)

The receiver was detected (upper or lower table) before but is not on-line (VISA communication error)

The receiver list could not be refreshed, no communication with the receiver is possible

LXI Configuration (R&S ZVA and R&S ZVB Analyzers)

LAN eXtensions for Instrumentation (LXI) is an instrumentation platform for measuring instruments and test systems that is based on standard Ethernet technology. LXI is intended to be the LAN-based successor to GPIB, combining the advantages of Ethernet with the simplicity and familiarity of GPIB.

LXI classes and LXI functionality

The network analyzer complies with LXI class C. In addition to the general class C features described above, it provides the following LXI-related functionality:

  • Integrated LXI Configuration dialog for LXI activation and reset of the LAN configuration (LAN Configuration Initialize, LCI)

The LXI functionality requires a Windows XP operating system that has been upgraded to service pack 2. Please contact your Rohde & Schwarz service representative if your network analyzer's operating system needs an upgrade. To check the version of your operating system, open the System – General dialog in the Control Panel.
After a firmware update, use the standby key to shut-down and re-start the instrument in order to enable the full LXI functionality.

For information about the LXI standard refer to the LXI website at http://www.lxistandard.org. See also "News from Rohde & Schwarz, article 2006/II - 190".

LXI Configuration Dialog

This dialog provides basic LXI functions for the analyzer. LXI Configuration is a tab of the System –System Configuration dialog.

  • LXI Status Enabled switches the LXI logo in the status bar on or off.

  • LAN Config Initialize initiates the network configuration reset mechanism (LCI) for the instrument.

Default state of the network settings

The LAN settings are configured using the instrument's LXI Browser Interface.

The tables in the External Receiver panel show the R&S ZVA network analyzers which may be used as remote receivers for a mixer delay measurement (see Test Setups with External Receiver).

  • The upper table (Found:) shows all receivers that the analyzer detects to be on-line (i.e. connected and switched on) with their properties.

  • Add copies the selected receiver from the upper table to the lower table.

  • The receivers in the lower table (Remote Receiver:) are available as remote receivers for the measurement.

An icon in the first columns of the tables indicates whether the receivers are currently available; see below. The Found: table and the icons in the Configured: table are automatically updated each time the External Generators dialog is opened (to update explicitly use the Refresh Table button). The remaining control elements are self-explanatory.

Unintentional switchover to remote control
When using the NI-VISA library, ensure that the network analyzer itself is not listed as a network device in the Measurement & Automation Explorer. Otherwise, Refresh Tables will send an identification query (*IDN?), causing the analyzer to close the System Configuration dialog (without executing Refresh Tables) and to activate the remote screen.

Icons in the lower table

Remote control:

SYSTem:COMMunicate:RDEVice:RECeiver:DEFine
SYSTem:COMMunicate:RDEVice:RECeiver:DELete

LXI Browser Interface
The instrument's LXI browser interface works correctly with all W3C compliant browsers. Typing the instrument's host name or IP address in the address field of the browser on your PC, e.g.

http://10.113.10.203

opens the Instrument Home Page (welcome page).

The instrument home page displays the device information required by the LXI standard including the VISA resource string in read-only format. The Device Indicator toggle button causes the LXI symbol in the status bar of the analyzer to blink (if active). A green LXI status symbol indicates that a LAN connection has been established; a red symbol indicates that no LAN cable is connected. The Device Indicator setting is not password-protected.

The navigation pane of the browser interface contains the following control elements:

  • Lan Configuration opens the LAN Configuration page.

  • Glossary opens a document with a glossary of terms related to the LXI standard.

  • Status displays information about the LXI status of the instrument.

LAN Configuration

The Lan Configuration web page displays all mandatory LAN parameters and allows their modification.

The TCP/IP Mode configuration field controls how the IP address for the instrument gets assigned (see also Assigning an IP Address). For the manual configuration mode, the static IP address, subnet mask, and default gateway are used to configure the LAN. The automatic configuration mode uses DHCP server or Dynamic Link Local Addressing (Automatic IP) to obtain the instrument IP address.

Changing the LAN configuration is password-protected. The password reads LxiWebIfc (notice upper and lower case characters). This password cannot be changed in the current firmware version.

The subentries of the Lan Configuration menu open other pages:

  • Ping Client provides the ping utility to verify the connection between the instrument and other devices.

  • Advanced LAN Configuration provides LAN settings that are not declared mandatory by the LXI standard.

The Advanced LAN Configuration parameters are used as follows:

  • The Negotiation configuration field provides different Ethernet speed and duplex mode settings. In general, the Auto Detect mode is sufficient.

  • ICMP Ping must be enabled to use the ping utility.

  • VXI-11 and mDNS and DNS-SD are protocols which can be used for discovery of the instrument in the LAN. The VXI-11 discovery mechanism is a requirement on LXI devices from the first revision of the standard. Support for the multicast DNS (mDNS) and DNS-SD (DNS Service Discovery) mechanisms has been introduced as a requirement in version 1.3 of the standard. The network analyzers support both discovery mechanisms.

Ping

Ping is a utility that verifies the connection between the analyzer and another device. The ping command uses the ICMP echo request and echo reply packets to determine whether the LAN connection is functional. Ping is useful for diagnosing IP network or router failures.

The ping utility is not password-protected. To initiate a ping between the analyzer and a second connected device,

  1. Enable ICMP Ping on the Advanced LAN Configuration page (enabled after an LCI).

  2. Enter the IP address of the second device without the ping command and without any further parameters into the Destination Address field (e.g. 10.113.10.82).

  3. Click Submit.

Utilities

The pages in the Utilities section are mainly intended for event logging and connection tests.

  • If logging is enabled, all internal and external LXI events (e.g. the LXI event messages exchanged by two network analyzers which are connected for a mixer delay measurement with external receiver) and all status transitions appear in the Logging Entries table.

  • Flush logfile to disk / Clear current logfile writes the logging entries to an xml file on the internal hard disk / clears the file. Use Download current logfile to load the xml contents into the browser and save a copy.

  • Dump the current state into a file creates a status file for debugging purposes.

  • Get next displays the next entry in the log file.

The Manual Lan Events page allows you to configure and transmit LAN packets. This can be used for connection tests, similar to the ping functionality.

  • Transmit LAN Packet transmits a single LAN packet to the selected IP address (for connections using TCP) or port (for UDP-based connections).

  • The LAN packet parameters and flags are described in the LXI standard.

The Event History page lists all received events, together with the event status. Transmit a LAN packet to the network analyzer's own TCP address to test this functionality.


Measurement Wizard

Choose the single-ended or balanced ports of the analyzer according to the port configuration of your DUT and connect the DUT to the selected analyzer ports. This dialog corresponds to the Predefined Configstab of the Balanced Ports and Port Groups dialog.

The default test setup corresponds to a standard 2-port S-parameter measurement. You do not need to select another test setup unless you want to measure multiport parameters or apply a unbalance-balance conversion in order to obtain mixed mode parameters.

Assign reference impedances to all physical and balanced test ports selected in the previous step. The reference impedances can be complex.

The values for balanced ports are by pressing the [image] buttons in a table of the following shape:

The buttons open the Reference Impedance of Physical Portdialog.

The values for balanced ports are by pressing the [image] buttons in a table of the following shape:

The buttons open the Reference Impedance of Logical Portdialog.

The default reference impedance of the physical analyzer ports is Z0 = 50 Ω. The default reference impedances for balanced ports are derived hereof. You do not need to change these value unless you want to renormalize the port impedances; see Reference Impedances.

Choose an S-parameter or a group of S-parameters to be measured and displayed. The measurement parameters are displayed in separate diagram areas: Cartesian diagram areas are used for transmission S-parameters, Cartesian or Smith diagrams for reflection parameters.

The selections to be made depend on the test setup selected in the previous stage.

In case of an error in a previous stage, you can always use the Back button and correct your settings.

Choose the frequency range and the number of measurement points per sweep. The sweep range is defined by two values (start and stop frequency or center frequency and span). The measurement points are equidistant across the sweep range. Increasing the number of points also increases the measurement time per single sweep.

Choose a typical measurement bandwidth and one of two typical source power values. A smaller measurement bandwidth increases the dynamic range but slows down the measurement. A smaller source power protects the input port of the analyzer from being overdriven if an active DUT with high gain is measured.

The predefined bandwidths and source powers have been selected according to the following criteria:

  • The large measurement bandwidth (Fast Sweep) ensures that the noise of a S21 trace at minimum (–40 dBm) source power and 0 dB attenuation is smaller than 0.1 dB.

  • The default source power for a passive DUT ensures that the analyzer receiver is in its linear range (no compression) if a passive DUT with 0 dB attenuation is measured. The default source power for an active DUT ensures no compression if an active DUT with 20 dB gain is measured. If the actual gain of the DUT is more than 30 dB, then the default source power of –20 dB is still too high and needs to be changed after finishing the wizard.

Call up the calibration wizard and perform a calibration. The calibration type is a full n-port calibration, where n is the number of analyzer ports selected in the first stage of the calibration wizard. This calibration can be performed as well using automatic calibration (if accessory R&S ZV-Z5x, Calibration Unit, is available).

You can skip the automatic calibration stage (select Finish now without calibration) if

  • A valid calibration is already assigned to the active channel

  • You want to apply a valid calibration stored in the cal pool

  • You want to perform the calibration manually, e.g. because you wish to select another calibration type.

  • You don't want to use a calibration, e.g. because the factory calibration is accurate enough for your measurement.

S-Parameter Wizard

The S-Parameter Wizard menu consists of a series of dialogs providing the settings for a standard S-parameter measurement in a frequency sweep.

The measurement comprises the following stages:

  1. Select the test setup

  2. Define port impedances

  3. Select the measurement parameters and the diagram areas

  4. Select the sweep settings

  5. Select the measurement bandwidth and source power

  6. Perform a calibration (optional)

In order to obtain a predictable result the measurement wizard has to reset all settings except the current calibration data. Store your setup if you don't want to lose the current configuration.


Info Menu

The Info menu gives access to information about the instrument and its operation. All functions are primarily intended for error diagnostic and service purposes; see Obtaining Support. Many Info dialogs also display softkeys to Print the contents, save them to a file (Print to File) or Close the dialog.

The Info menu contains the following functions:

  • Setup Info displays the channel and trace settings of the active setup and the main characteristics of the instrument including its IP address.

  • Option Info shows the installed software options with their type and name, the option key and key type, the duration of activation, and the expiry date (if applicable).

  • Hardware Info gives an overview of the analyzer's hardware configuration, basic hardware-related instrument settings, and the version of the "Specifications" which correspond to the current firmware version.

  • Selftest... displays a list of the automatic selftests of the analyzer together with the current results.

  • Error Log... opens a chronological record of errors that occurred in the current and in previous sessions. While the error log is open, additional softkeys to print, close or clear (delete) the log are provided. The deleted error log shows the message No errors found.

  • Save System Report... initiates a selftest and generates a zipped error log file which you may send in for fault diagnosis.

Remote control:

DIAGnostic:DEVice:STATe


A window is a rectangular portion of the screen showing all diagram areas of a particular setup. Windows are limited by a blue frame with several icons. The analyzer uses standard windows provided by the operating system.

  • A window can show a practically unlimited number of diagram areas.

  • The icons on the frame of the window are used to minimize, maximize or close windows.

  • The functions of the Windows menu are used to arrange windows automatically and select a particular window.

  • New windows with new setups are created using the New command.

The contents of the windows are explained in section Display Menu.

Window Menu

The Window menu provides standard Windows™ functions to arrange different windows on the screen.

Windows

The Window menu contains the following functions:

  • New creates a new setup and opens a new setup window.

  • Close closes an opened setup window.

  • Cascade arranges all opened windows in an overlapped fashion.

  • Tile arranges all opened windows in non-overlapped tiles.

  • Maximize maximizes the active window to occupy the whole screen.

  • 1 Set<n>.zvx... activates a specific window with a specific setup

New

Creates a new setup and opens a new setup window. The new setup is named Setup<n> where <n> is the current number for all created setups.

This command is equivalent to File – New. To open an existing setup, select File – Open / Recall. To rename a setup, use File – Save As.

Remote control:

MEMory:DEFine "<setup_name>"

Close

Closes an opened setup window. The analyzer suggests to save changes to the setup before closing it. If a setup is closed without saving, all changes made since the last time it was saved are lost.

This command is equivalent to File – Close.

Remote control:

MEMory:DELete[:NAME] "<setup_name>"

Cascade

Arranges all opened windows in an overlapped fashion, showing each one's title bar. The active window is placed in the foreground.

Remote control:

None (screen configuration only)

Tile

Arranges all opened windows in non-overlapped tiles.

Remote control:

None (screen configuration only)

Maximize

Maximizes the active setup window to occupy the whole screen.

Remote control:

None (screen configuration only)

1 Set<n>.zvx

Displays a list of currently open setup windows. A checkmark appears in front of the setup name of the active window. Selecting a setup from this list makes its window active and places it in the foreground.

Remote control:

MEMory:CAT?


Help Menu

The Help menu provides assistance with the network analyzer and its operation.

The Help menu contains the following functions:

  • Help Topics opens this help system.

  • About Nwa... opens a dialog to retrieve information about the network analyzer and the current firmware version.

Help Topics

Opens this help system. The help file is opened with the Welcome topic and remembers its last size, position and default navigation tab (Contents, Index,...). For more information see About this Help.

About Nwa...

Opens a dialog to retrieve information about the network analyzer and the current firmware version. OK closes the dialog.


About Remote Control

Remote Control

This chapter provides instructions on how to set up the analyzer for remote control, a general introduction to remote control of programmable instruments, and the description of the analyzer's remote control concept. For reference information about all remote control commands implemented by the instrument, complemented by comprehensive program examples, refer to the SCPI Reference chapter.

Remote Control Operation

Interface and Device Messages

Structure and Syntax of Device Messages

Basic Remote Control Concepts

Instrument Model and Command Processing

Status Reporting System


Introduction to Remote Control

VISA is a standardized software interface library providing input and output functions to communicate with instruments. The I/O channel (LAN or TCP/IP, USB...) is selected at initialization time by means of the channel–specific resource string (also termed address string) or by an appropriately defined VISA alias (short name). A VISA installation on the master device is a prerequisite for remote control over LAN interface and for control of external devices from the analyzer.

The VISA I/O Library is available from Rohde & Schwarz, order no. 1161.8473.02. For more information about VISA refer to the user documentation.

Remote Control: Introduction

The instrument is equipped with different interfaces for remote control:

  • A GPIB bus interface according to standard IEC 625.1/IEEE 488.1. The GPIB bus connector for control of the analyzer from a controller is located on the rear panel of the instrument.

  • Analyzers connected to a Local Area Network can be controlled via the RSIB or VXI-11 protocols. Two connectors for LAN connection are located on the rear panel. A VISA installation on the controller is required.

  • The network analyzer can itself act as a master and control external devices (e.g. power meters, generators) via LAN, USB, or GPIB interface. A VISA installation on the analyzer is required for this remote control type.

Visa library

Starting a Remote Control Session

A remote control program must open a connection to the analyzer (using VISA functionality), before it can send commands to the analyzer and receive device responses (e.g. measurement data). The programming details depend on the library version used and on the programming language. For this reason, the examples in chapters "Command Reference" and "Programming Examples" are reduced to the mere SCPI syntax.

Example controller programs may be obtained from the Rohde & Schwarz support centers. In many cases, it can be preferable to integrate the controller program into post-processing tools (e.g. Microsoft Excel) in order to list, draw, or manipulate the measured values retrieved from the analyzer.

The following tools can make remote control more comfortable and faster:

  • Various software tools provide an easy-to-use graphical user interface for remote control. An example is the GPIB Explorer which is pre-installed on the analyzer.

  • Instrument drivers provide an improved interface between the test software and the test instruments. They perform the actual control of the instrument using higher-level functions for operations such as configuring, reading from, writing to, and triggering the instrument. This reduces development time, eliminating the need to learn the specific command set for each instrument. In general, program development is further simplified by a graphical program environment.
    Rohde & Schwarz offers various R&S ZVA driver types (LabView, LabWindows/CVI, IVI, VXIplug&play...) for different programming languages. The drivers are available free of charge on the product pages in the R&S internet, along with installation information; refer to the Contact. page.

GPIB Explorer

The GPIB Explorer is a software tool that allows you to connect to the analyzer, obtain an overview of all implemented remote control programs, test programs, compile and run test scripts. The program can be opened from Windows XP's start menu: Programs – R&S Network Analyzer – GPIB Explorer or by starting the executable file iecwin32.exe in the program directory of the network analyzer (e.g. C:\Program Files\Rohde&Schwarz\Network Analyzer\Bin).

After the GPIB Explorer is started, the interface and protocol for the connection to the instrument can be selected in a dialog:

The following options are provided:

  • NT named pipe (not supported at present)

  • GPIB address (for connection to controllers equipped with a National Instruments GPIB interface using the GPIB bus connector)

  • RSIB address and VXI-11/VISA (for LAN connection, requires an appropriate IP or local host address; see LAN Connection)

  • Named pipe A/B (only for a GPIB Explorer installed on the analyzer, recommended for "remote" test on the instrument)

  • EB200 (not supported at present)

Select Info – Setup Info to look up the IP address information of your analyzer. If you run the GPIB explorer on the analyzer, the local host address (loopback address) is 127.0.0.1.

After the connection is established, the GPIB explorer displays a tree view of all commands included in the current firmware version of the network analyzer. The programs can be selected for execution by a single mouse click.

Refer to the GPIB explorer's help system for more information.

It remote logging is enabled (SYSTem:LOGGing:REMote[:STATe] ON) the analyzer stores all received commands to the file 'c:\ZVAB Remote.log'.


Switching on the display means that the analyzer shows the measurement screen with the current setups, diagram areas and traces without leaving the remote state. In this operating mode, it is possible to observe the screen while a remote control script is executed and the control elements on the front panel are still disabled:

Switching on the display is ideal for program test purposes but tends to slow down the measurement. Therefore it is recommended to switch off the display in real measurement applications where a tested program script is to be executed repeatedly.

The analyzer provides a third display option where the measurement screen is only updated when this is triggered by a remote control command; see SYSTem:DISPlay:UPDate ONCE.

Before returning to manual control, command processing must be completed. If this is not the case, the analyzer switches back to remote control immediately.

Returning to manual control by pressing the Local softkey can be disabled by the GPIB Local Lockout Message (LLO; see GPIB Bus Interface, Universal Commands) which is also included in the NI commands SetRWLS (Set Remote With Lockout State) or SendLLO. This prevents unintentional switch-over, i.e. return to manual control is possible via the GPIB bus only.

Returning to manual control via the front panel keys can be enabled again by deactivating the REN control line of the GPIB bus.

Switchover to Remote Control

On power-up, the instrument is always in the manual operating state and can be operated via the front panel controls. The instrument is switched to remote control as soon as it receives a command from the controller. If the instrument is controlled via RSIB or VXI-11 protocol, the alternative commands @REM and @LOC can be used to switch from manual to remote control and back.

While remote control is active, operation via the front panel is disabled with the exception of two softkeys. The instrument settings are optimized for maximum measurement speed; the display is switched off:

The softkeys in the remote screen are used to modify or quit the remote state:

  • Go to Local switches the instrument to local state.

  • Display On/Off switches the display on or off.

  • Hide Remote Message hides the current remote error tooltip; see tips below. Manual control messages/tooltips are not affected.

Display On/Off states

The instrument remains in the remote state until it is reset to the manual state via the GUI or via remote control (see section Return to Manual Operation).

You can create you own keys to replace the two default softkeys Go to Local and Display On/Off. See Combining Manual and Remote Control.
A tooltip across the bottom of the remote screen indicates a remote command error, e.g. . You can switch off this tooltip using Hide Remote Message or SYSTem:ERRor:DISPlay OFF.

Remote control:

@REM
SYSTem:DISPlay:UPDate
SYSTem:USER:DISPlay:TITLe (define a title for the remote display)
SYSTem:ERRor:DISPlay (Hide Remote Message)

Setting the Device Address

The GPIB address (primary address) of the instrument is factory-set to 20. It can be changed manually in the System menu or via remote control. For remote control, addresses 0 through 30 are permissible. The GPIB address is maintained after a reset of the instrument settings.

Remote control:

SYSTem:COMMunicate:GPIB[:SELF]:ADDRess

Return to Manual Operation

Return to manual operation can be initiated via the front panel or via remote control.

  • Manually: Click the Local softkey in the remote screen.

  • Via GPIB bus: CALL IBLOC(device%)

  • Via RSIB or VXI-11 protocol: @LOC and @REM can be used to switch from remote to manual control and back.

Local lockout


Combining Manual and Remote Control

The remote control commands SYSTem:USER:KEY... place up to 8 softkeys with arbitrary functionality on the remote screen. The softkeys replace the default softkeys Go to Local and Display On/Off.

Pressing a user softkey or clicking the corresponding command across the top of the remote screen executes the assigned functionality.

If you want to use more than 8 user keys, you can easily introduce additional levels: Simply reserve one key for re-defining the entire user key bar. If you press or click the key, your remote script should re-assign the labels and functions of the existing keys. If you use this procedure repeatedly, you can emulate an arbitrary number of manual control features on your remote screen.

The commands in the DISPlay:MENU:KEY... subsystem open the manual control screen, activate menus or submenus for manual control, or execute a specified menu command.

DISPlay:MENU:KEY:EXECute '<menu_key>' can be used in different ways:

  • If the menu key causes an event (e.g. selection of the measured quantity: S11, S12 etc.), the function is executed immediately. No further action is required; the instrument remains in remote control mode.

  • If the menu key requires a numeric entry (e.g. entry of the sweep range: Start, Stop etc.) the command opens the numeric entry bar. The instrument is switched back to remote control mode as soon as the entry has been made manually.

  • If the menu key requires several entries to be made in a dialog or in a wizard (e.g. the S-Param Wizard), the command opens this dialog/wizard. All entries can be made manually. The instrument is switched back to remote control mode as soon as the dialog or wizard is closed.

DISPlay:MENU:KEY:EXECute '<menu_key>' works for all menu keys, even though the analyzer may not provide an equivalent remote control command.

Combining Manual and Remote Control

Using a remote control script is the quickest and easiest way of performing complicated tasks which need to be repeated many times. On the other hand, it is often preferable to control a previously configured measurement manually in order to observe the result on the screen.

The analyzer provides a number of tools for combining manual and remote control:

  • User Keys

  • Menu key commands

Remote control:


Messages

act on all devices connected to the GPIB bus without previous addressing.

only act on devices previously addressed as listeners.

are messages the controller sends to the instrument. They operate the device functions and request information.

are messages the instrument sends to the controller after a query. They can contain measurement results, instrument settings and information on the instrument status.

cause instrument settings such as a reset of the instrument or setting the output level to some value.

cause data to be provided for output on the GPIB bus, e.g. for identification of the device or polling the active input.

have a function and syntax that is exactly defined in standard IEEE 488.2. Typical tasks are the management of the standardized status registers, reset and selftest.

are functions that depend on the features of the instrument such as frequency settings. A majority of these commands has also been standardized by the SCPI consortium.

Messages

The messages transferred on the data lines of the GPIB bus or via the RSIB / VXI-11 protocol can be either interface messages or device messages.

GPIB Interface Messages

GPIB interface messages are transferred on the data lines of the GPIB bus, the ATN control line being active. They are used for communication between controller and instrument and can only be sent by a computer which has the function of an GPIB bus controller.

GPIB interface messages can be further subdivided into

  • Universal commands

  • Addressed commands

The interface messages relevant to the instrument are listed in the GPIB bus section.

RSIB and VXI-11 Interface Messages

The RSIB and VXI-11 protocols allow the instrument to be controlled in a Local Area Network. For a short introduction and a list of interface functions refer to the following sections:

  • RSIB Protocol

  • VXI-11 Protocol

Device Messages (Commands and Device Responses)

Device messages are transferred via the data lines of the GPIB bus, the "ATN" control line not being active. The ASCII character set is used. A distinction is made according to the direction in which device messages are transferred:

  • Commands

  • Device responses

Commands are subdivided according to two criteria:

1. According to the effect they have on the instrument:

  • Setting commands

  • Queries

2. According to their definition in standard IEEE 488.2:

  • Common commands

  • Instrument-control commands

The device messages have a characteristic structure and syntax. In the SCPI reference chapter all commands are listed and explained in detail.


SCPI Command Structure and Syntax

The analyzers are compatible to the final SCPI version 1999.0. Not all of the commands supported by the instrument are taken from the SCPI standard (Standard Commands for Programmable Instruments), however, their syntax follows SCPI rules. The SCPI standard is based on standard IEEE 488.2 and aims at the standardization of instrument-control commands, error handling and the status registers.

In contrast to instruments with manual control, which are designed for maximum possible operating convenience, the priority of remote control is the "predictability" of the device status. This means that when incompatible settings are attempted, the command is ignored and the device status remains unchanged, i.e. other settings are not automatically adapted. Therefore, GPIB bus control programs should always define an initial device status (e.g. with the command *RST) and then implement the required settings.

Some mnemonics occur on several levels within one command system. Their effect depends on the structure of the command, i. e. on the position in the command header they are inserted in.

Example:
SOURce:FREQuency:CW lGHZ

This command contains the key word SOURce in the first command level. It defines the frequency for sweep types operating at fixed frequency.

TRIGger:SOURce EXTernal

This command contains the key word SOURce in the second command level. It defines the trigger source “external trigger”.

Some command systems permit certain mnemonics to be optionally inserted into the header or omitted. These mnemonics are marked by square brackets in this manual. The full command length must be recognized by the instrument for reasons of compatibility with the SCPI standard. Some commands are considerably shortened by omitting optional mnemonics.

Example:
TRIGger[:SEQuence]:SOURce EXTernal

This command defines the trigger source “external trigger”. The following command has the same effect:

TRIGger:SOURce EXTernal

An optional mnemonic must not be omitted if its effect is additionally specified by a numeric suffix.

The key words feature a long form and a short form. Either the short form or the long form can be entered; other abbreviations are not permitted.

Example:
TRIGger:SOURce EXTernal
TRIG:SOUR EXT

The short form is marked by upper case letters, the long form corresponds to the complete word. Upper case and lower case notation only serves to distinguish the two forms in the manual, the instrument itself is case-insensitive.

Parameters must be separated from the header by a "white space". If several parameters are specified in a command, they are separated by a comma ",". For a description of the parameter types, refer to section Parameters.

Example:
SOURce:GROup 1,1

This command defines a group of measured ports.

If a device features several functions or features of the same kind, e.g. several channels or test ports, the desired function can be selected by a suffix added to the command. Entries without suffix are interpreted like entries with the suffix 1.

Example:
SOURce:GROup2 1,1

This command defines a second group (group no 2) of measured ports.

SCPI Command Structure and Syntax

SCPI commands consist of a so-called header and, in most cases, one or more parameters. The header and the parameters are separated by a "white space" (ASCII code 0 to 9, 11 to 32 decimal, e.g. blank). The headers may consist of several key words. Queries are formed by directly appending a question mark to the header.

Common commands and device-specific commands differ in their syntax.

SCPI compatibility

The requirements that the SCPI standard places on command syntax, error handling and configuration of the status registers are explained in detail in the following sections.

Reset values

Common Commands

Common (=device-independent) commands consist of a header preceded by an asterisk "*" and possibly one or more parameters.

Examples:
*RST | RESET, resets the instrument.
*ESE 253 | EVENT STATUS ENABLE, sets the bits of the event status enable registers.
*ESR? | EVENT STATUS QUERY, queries the contents of the event status register.

Instrument-Control Commands

Instrument-control commands are based on a hierarchical structure and can be represented in a command tree. The command headers are built with one or several mnemonics (keywords). The first level (root level) mnemonic identifies a complete command system.

Example:
SENSe This mnemonic identifies the command system SENSe.

For commands of lower levels, the complete path has to be specified, starting on the left with the highest level, the individual key words being separated by a colon ":".

Example:
SENSe:FREQuency:STARt 1GHZ

This command is located on the third level of the SENSe system. It defines the start frequency of the sweep.

The following rules simplify and abbreviate the command syntax:

  • Multiple mnemonics

  • Optional mnemonics

  • Long and short form

  • Parameters

  • Numeric suffix

Structure of a Command Line

A command line may consist of one or several commands. It is terminated by a <New Line>, a <New Line> with EOI or an EOI together with the last data byte. Visual BASIC automatically produces an EOI together with the last data byte.

Several commands in a command line must be separated by a semicolon ";". If the next command belongs to a different command system, the semicolon is followed by a colon.

Example: CALL IBWRT(device%, "TRIGger:SOURce EXTernal;:SENSe:FREQuency:STARt 1GHZ")

This command line contains two commands. The first command belongs to the TRIGger system and defines the trigger source (external trigger). The second command belongs to the SENSe system and defines the start frequency of the sweep.

If the successive commands belong to the same system, having one or several levels in common, the command line can be abbreviated. To this end, the second command after the semicolon starts with the level that lies below the common levels. The colon following the semicolon must be omitted in this case.

Example: CALL IBWRT(device%, "TRIG:SOUR EXT;:TRIG:TIM 0.1")

This command line is represented in its full length and contains two commands separated from each other by the semicolon. Both commands are part of the TRIGger command system, i.e. they have one level in common.

When abbreviating the command line, the second command begins with the level below TRIG. The colon after the semicolon is omitted. The abbreviated form of the command line reads as follows:

CALL IBWRT(device%, "TRIG:SOUR EXT; TIM 0.1")

However, a new command line always begins with the complete path.

Example:

CALL IBWRT(device%, "TRIG:SOUR EXT ")
CALL IBWRT(device%, "TRIG:THR LOW ")

Responses to Queries

A query is defined for each setting command unless explicitly specified otherwise. It is formed by adding a question mark to the associated setting command. According to SCPI, the responses to queries are partly subject to stricter rules than in standard IEEE 488.2.

1. The requested parameter is transmitted without header.
Example: TRIGger:SOURce? Response: IMM

2. Maximum values, minimum values and all further quantities which are requested via a special text parameter are returned as numerical values.
Example: SENSe:FREQuency:STOP? MAX Response: 8000000000

3. Numerical values are output without their unit. The default unit for each command is reported in the SCPI command description.
Example: SENSe:FREQuency:STOP? MAX Response: 8000000000 for 8 GHz

4. Boolean values are returned as 0 (for OFF) and 1 (for ON).
Example: SWEep:TIME:AUTO? Response: 1

5. Text (character data) is returned in short form (see also next section).
Example: TRIGger:SOURce? Response: IMM


MINimum and MAXimum denote the minimum and maximum value of a range of numeric values.

DEFault denotes the preset value. This value is set by the *RST command.

UP, DOWN increases or reduces the numeric value by one step. The step width is reported in the detailed command description.

Negative INFinity (NINF) represent the numerical values –9.9E37 or +9.9E37, respectively. INF and NINF are only sent as device responses.

Not a Number (NAN) represents the value 9.91E37. NAN is only sent as device response. This value is not defined. Possible causes are division by zero, subtraction or addition of infinite and the representation of missing values.

SCPI Parameters

Many commands are supplemented by a parameter or a list of parameters. The parameters must be separated from the header by a "white space". Permissible parameters are numerical values, Boolean parameters, text, character strings and block data. The type of parameter required for the respective command and the permissible range of values are specified in the command description.

Numeric Values

Numeric values can be entered in any form, i.e. with sign, decimal point and exponent. Values exceeding the resolution of the instrument are rounded up or down. The mantissa may comprise up to 255 characters, the values must be in the value range –9.9E37 to 9.9E37. The exponent is introduced by an "E" or "e". Entry of the exponent alone is not allowed. In the case of physical quantities, the unit can be entered. Permissible unit prefixes are G (giga), MA (mega), MOHM and MHZ are also permissible), K (kilo), M (milli), U (micro) and N (nano). If the unit is missing, the default unit is used.

Example:
SOUR:RFG:FREQ 1.5GHz is equivalent to
SOUR:RFG:FREQ 1.5E9

Special numeric values

The texts MINimum, MAXimum, DEFault, UP and DOWN are interpreted as special numeric values. A query returns the associated numerical value.

Example:
Setting command: SENSe:FREQuency:STARt MINimum
The query SENSe:FREQuency:STARt? returns 300000 (the exact value depends on the analyzer model).

The following special values can be used:

  • MIN/MAX

  • DEF

  • U P/DOWN

  • INF/NINF

  • NAN

Unless it is explicitly stated in the command description you can use the special numeric parameters for all commands of the analyzer.

Boolean Parameters

Boolean parameters represent two states. The ON state (logically true) is represented by ON or a numerical value different from 0. The OFF state (logically false) is represented by OFF or the numerical value 0. A query responds with 0 or 1.

Example: Setting command: SWEep:TIME:AUTO ON
Query: SWEep:TIME:AUTO? returns 1

Text Parameters

Text parameters observe the syntax rules for key words, i.e. they can be entered using a short or long form. Like any parameter, they have to be separated from the header by a white space. In the case of a query, the short form of the text is provided.

Example: Setting command: TRIGger:SOURce EXTernal
Query: TRIGger:SOURce? returns EXT

Strings

Strings must always be entered within single or double quotation marks (' or ").

Example: CONFigure:CHANnel:NAME "Channel 4" or
CONFigure:CHANnel:NAME 'Channel 4'

Block Data Format

Block data is a transmission format which is suitable for the transmission of large amounts of data. A command using a block data parameter with definite length has the following structure:

Example: HEADer:HEADer #45168xxxxxxxx

The hash symbol # introduces the data block. The next number indicates how many of the following digits describe the length of the data block. In the example the 4 following digits indicate the length to be 5168 bytes. The data bytes follow. During the transmission of these data bytes all End or other control signs are ignored until all bytes are transmitted.

A #0 combination introduces a data block of indefinite length. The use of the indefinite format requires a NL^END message to terminate the data block. This format is useful when the length of the transmission is not known or if speed or other considerations prevent segmentation of the data into blocks of definite length.

Overview of Syntax Elements

: | The colon separates the key words of a command. In a command line the separating semicolon marks the uppermost command level.
; | The semicolon separates two commands of a command line. It does not alter the path.
, | The comma separates several parameters of a command.
? | The question mark forms a query.
* | The asterisk marks a common command.
', " | Quotation marks introduce a string and terminate it.
# | The hash sign # introduces binary, octal, hexadecimal and block data. Binary: #B10110 Octal: #O7612 Hexadecimal: #HF3A7 Block: #21312
 | A "white space" (ASCII-Code 0 to 9, 11 to 32 decimal, e.g. blank) separates header and parameter.


Basic Remote Control Concepts

The functionality of the network analyzer's remote control commands has been defined in close analogy to the menu commands and control elements of the graphical user interface (GUI). The basic concepts of setups, traces, channels, and diagram areas remain valid in remote control. Moreover, all commands follow SCPI syntax rules, and SCPI-confirmed commands have been used whenever possible. These principles largely simplify the development of remote control scripts.

The GUI and the remote control command set both aim at maximum operating convenience. In manual control this generally means that the control elements are easy to find and intuitive to handle, and that the effect of each operation is easy to verify on the screen. Convenient remote control operation depends on a simple and systematic program syntax and on a predictable instrument state; the display of results is secondary.

These differences suggest the peculiarities in the analyzer's remote control concept discussed in the following sections.

Traces, Channels, and Diagram Areas

Like in manual control, traces can be assigned to a channel and displayed in diagram areas (see Traces, Channels and Diagram Areas). There are two main differences between manual and remote control:

  • A trace can be created without being displayed on the screen.

  • A channel must not necessarily contain a trace. Channel and trace configurations are independent of each other.

The following frequently used commands create and delete traces, channels, and diagram areas:

Create new trace and new channel (if channel <Ch> does not exist yet) | CALCulate<Ch>:PARameter:SDEFine '<Trace Name>', '< Meas Parameter>
Delete trace | CALCulate<Ch>:PARameter:DELete '<Trace Name>'
Create or delete channel | CONFigure:CHANnel<Ch>[:STATe] ON | OFF
Create or delete diagram area | DISPlay:WINDow<Wnd>:STATe ON | OFF
Display trace in diagram area | DISPlay:WINDow<Wnd>:TRACe<WndTr>:FEED

The assignment between traces, channels, and diagram areas is defined via numeric suffixes as illustrated in the following example:

CALC4:PAR:SDEF 'Ch4Tr1', 'S11'

Create channel 4 (channel suffix 4) and a trace named Ch4Tr1 to measure the input reflection coefficient S11. The trace is created but not displayed.

DISP:WIND2:STAT ON

Create diagram area no. 2 (window suffix 2).

DISP:WIND2:TRAC9:FEED 'CH4TR1'

Display the generated trace (identified by its name Ch4Tr1) in diagram area no. 2 (window suffix 2), assigning the trace number 9 (trace suffix 9) to it.

Active Traces in Remote Control

In manual control there is always exactly one active trace, irrespective of the number of channels and traces defined. The active channel contains the active trace; see Trace Settings.

In remote control, each channel contains an active trace (unless the channel contains no trace at all), so the notion of active channel is meaningless. This principle actually simplifies the remote control command syntax, because it allows the active trace in a particular channel to be referenced by means of the channel suffix. No additional trace identifier is needed; there is no need either to distinguish channel and trace settings using mnemonics or suffixes.

The active traces are handled as follows:

  • After a preset (*RST), the analyzer displays a single diagram area with the default trace no. 1 named TRC1. The trace is active in manual and in remote control.

  • In manual control, a new, added trace automatically becomes the active trace. To select another trace as the active trace, click inside the trace list.

  • In remote control, a new trace added via CALCulate<Ch>:PARameter:SDEFine '<trace_name>', '<parameter>' also becomes the active trace. To select another trace as the active trace, use (CALCulate<Ch>:PARameter:SELect '<trace_name>').

  • The active traces for manual and remote control may be different.

The following program example illustrates how to create, select and reference traces. It is instructive to observe the analyzer screen in order to check the effect of each step.

*RST

Reset the analyzer, creating channel no. 1 with the default trace Trc1. The trace is displayed in diagram area no. 1.

CALC1:PAR:SDEF 'Trc2', 'S11'; DISP:WIND:TRAC2:FEED 'Trc2'

Create a new trace named Trc2, assigned to channel no. 1 (the suffix 1 after CALC, may be omitted), and display the trace. The new trace automatically becomes the active trace for manual and for remote control. To check this, click Trace – Marker – Marker 1 to create a marker. The marker is assigned to Trc2. Delete all markers (Trace – Marker – All Markers Off).

CALC1:MARK ON

To verify that Trc2 is also active for remote control, use the channel suffix 1 after CALC (may be omitted) to reference the active trace in channel 1 and create a marker M 1. The marker is assigned to Trc2.

CALC:PAR:SEL 'Trc1'; CALC1:MARK ON

Select the old default trace Trc1 as the active trace for remote control. Create a new marker to verify that Trc1 is now the active trace in channel 1.

In the SCPI command description, the numeric suffix <Ch> is used for channel settings (it denotes the configured channel), whereas <Chn> is used for trace settings (it denotes the active trace in the channel).

Initiating Measurements, Speed Considerations

After a reset the network analyzer measures in continuous mode. The displayed trace shows the result of the last sweep and is continuously updated. This provides a permanent visual control over the measurement and the effect of any analyzer settings.

In remote control, it is advisable to follow a different approach in order use the analyzer's resources to full capacity and gain measurement speed. The following principles can help to optimize a remote control program (see also programming example Typical Stages of a Measurement):

  • Switch off the measurement while configuring your instrument.

  • Use a minimum number of suitably positioned sweep points.

  • Start a single sweep, observing proper command synchronization, and retrieve your results.

  • Ensure that the display is switched off while the analyzer operates in remote mode (SYSTem:DISPlay:UPDate OFF, default setting).

  • If you have to change several instrument settings between two consecutive sweeps, avoid using SYSTem:SETTings:UPDate ONCE, since this mode may delay the measurement.

The following command sequence performs a single sweep in a single channel.

*RST; INITiate:CONTinous OFF

Activate single sweep mode for all channels (including the channels created later).

INITiate:SCOPe SING

State that a single sweep will be performed in the active channel only.

INITiate2:IMMediate; *WAI

Start a single sweep in channel no. 2, wait until the sweep is terminated before proceeding to the next command (see Command Synchronization).


Addressing Traces and Channels

The analyzer provides a variety of schemes for addressing traces and channels and for querying trace and channel names. The following tables give an overview.

Addressing channels

Method | Commands / Example
Channel number <Ch> as a numeric suffix | CONFigure:CHANnel<Ch>[:STATe] ON
Query all channel names | CONFigure:CHANnel<Ch>:CATalog? (returns the names of all channels; the channel suffix is ignored)
Assign or query channel name of a channel numbered <Ch> | CONFigure:CHANnel<Ch>:NAME 'ABCD' CONFigure:CHANnel<Ch>:NAME? (returns 'ABCD')
Query channel number assigned to a channel named 'ABCD' | CONFigure:CHANnel<Ch>:NAME:ID? 'ABCD'(returns the actual channel number, the channel suffix is ignored)

Addressing traces

Method | Commands / Example
Channel number <Chn> used as a reference for the active trace in the channel | CALCulate<Chn>:MARKer<Mk>[:STATe] ON
Trace name (string variable) used as a reference for the trace | CALCulate<Ch>:PARameter:DELete '<Trace Name>
Trace number <Trc> as a numeric suffix (exception!) | CONFigure:TRACe<Trc>:NAME?
Trace number <WndTr> within a particular diagram area <Wnd> | DISPlay:WINDow<Wnd>:TRACe<WndTr>:FEED
Query all trace names | CONFigure:TRACe<Trc>:CATalog? (returns the names of all traces; the trace suffix is ignored)
Assign or query trace name of a trace numbered <Trc> | CONFigure:TRACe<Trc>:NAME 'ABCD' CONFigure:TRACe<Trc>:NAME? (returns 'ABCD')
Query trace number assigned to a trace named 'ABCD' | CONFigure:TRACe<Trc>:NAME:ID? 'ABCD'(returns the actual trace number; the trace suffix is ignored)

Mixed commands

Method | Commands / Example
Query channel name for a trace referenced by its trace name | CONFigure:TRACe<Trc>:CHANnel:NAME? 'ABCD'(returns the channel name for trace 'ABCD'; the trace suffix is ignored)
Query channel number for a trace referenced by its trace name | CONFigure:TRACe<Trc>:CHANnel:NAME:ID? 'ABCD'(returns the actual channel number for trace 'ABCD'; the trace suffix is ignored)


Command Processing

Example 1: Commands and queries in one message

The response to a query combined in a program message with commands that affect the queried value is not predictable. Sending

:FREQ:STAR 1GHZ;SPAN 100

:FREQ:STAR?

always returns 1000000000 (1 GHz). When:

:FREQ:STAR 1GHz;STAR?;SPAN 1000000

is sent, however, the result is not specified by SCPI. The result could be the value of STARt before the command was sent since the instrument might defer executing the individual commands until a program message terminator is received. The result could also be 1 GHz if the instrument executes commands as they are received.

As a general rule, send commands and queries in different program messages.

Example 2: Overlapping command with *OPC

The analyzer implements INITiate[:IMMediate] as an overlapped command. Assuming that INITiate[:IMMediate] takes longer to execute than *OPC, sending the command sequence

INIT; *OPC.

results in initiating a sweep and, after some time, setting the OPC bit in the ESR. Sending the commands:

INIT; *OPC; *CLS

still initiates a sweep. Since the operation is still pending when the analyzer executes *CLS, forcing it into the Operation Complete Command Idle State (OCIS), *OPC is effectively skipped. The OPC bit is not set until the analyzer executes another *OPC command.

To prevent an overlapping execution of commands, one of the commands *OPC, *OPC? or *WAI can be used. For a programming example refer to section Command Synchronizationin Chapter Programming Examples.

Command | Action after the hardware has settled | Programming the controller
*WAI | Stops further command processing until all commands sent before *WAI have been executed Note: The GPIB bus handshake is not stopped | Send *WAI directly after the command which should be terminated before the next command is executed.
*OPC? | Stops command processing until 1 is returned, i.e. until the Operation Complete bit has been set in the ESR. This bit indicates that the previous commands have been completed. | Send *OPC? directly after the command which should be terminated before the next command is executed.
*OPC | Sets the operation complete bit in the ESR after all previous commands have been executed. | – Set bit 0 in the ESE – Set bit 5 in the SRE – Wait for service request (SRQ)

Command Processing

The block diagram below shows how GPIB bus commands are serviced in the instrument. The instrument model consists of the following components:

  • Input Unit

  • Command Recognition

  • Data Base and Instrument Hardware

  • Status Reporting System

  • Output Unit

The individual components work independently and simultaneously. They communicate with each other by means of so-called "messages".

Input Unit

The input unit receives commands character by character from the controller and collects them in the input buffer. The input unit sends a message to the command recognition as soon as the input buffer is full or as soon as it receives a delimiter, <PROGRAM MESSAGE TERMINATOR>, as defined in IEEE 488.2, or the interface message DCL.

If the input buffer is full, the message data traffic is stopped and the data received up to then is processed. Subsequently the traffic is continued. If, however, the buffer is not yet full when receiving the delimiter, the input unit can already receive the next command during command recognition and execution. The receipt of a DCL clears the input buffer and immediately initiates a message to the command recognition.

Command Recognition

The command recognition stage analyzes the data received from the input unit. It proceeds in the order in which it receives the data. Only a DCL is serviced with priority, e.g. a GET (Group Execute Trigger) is only executed after the commands received before. Each recognized command is immediately transferred to the data set but not executed immediately.

The command recognition detects syntax errors in the commands and transfers them to the status reporting system. The rest of a command line after a syntax error is still executed, if possible. After the syntax check, the range of the numerical parameters is checked, if required.

If the command recognition detects a delimiter or a DCL, it also requests the data set to perform the necessary instrument hardware settings. Subsequently it is immediately prepared to process further commands. This means that new commands can already be serviced while the hardware is still being set ("overlapping execution").

Data Base and Instrument Hardware

The expression "instrument hardware" denotes the part of the instrument fulfilling the actual instrument function – signal generation, measurement etc. The controller is not included. The data base manages all the parameters and associated settings required for the instrument hardware.

Setting commands lead to an alteration in the data set. The data set management enters the new values (e.g. frequency) into the data set, however, it only passes them on to the hardware when requested by the command recognition. This can only occur at the end of a command line, therefore the order of the setting commands in the command line is not relevant.

The commands are only checked for their compatibility among each other and with the instrument hardware immediately before they are transmitted to the instrument hardware. If the instrument detects that execution is not possible, an "execution error" is signalled to the status reporting system. All alterations of the data set are cancelled, the instrument hardware is not reset. Due to the delayed checking and hardware setting, however, impermissible instrument states can be set for a short period of time within one command line without this leading to an error message (example: simultaneous activation of a frequency and a power sweep). At the end of the command line, however, a permissible instrument state must have been reached again.

Before passing on the data to the hardware, the settling bit in the STATus:OPERation register is set (cf. section STATus:OPERation Register). The hardware executes the settings and resets the bit again as soon as the new state has settled. This fact can be used to synchronize command servicing.

Queries induce the data set management to send the desired data to the output unit.

Status Reporting System

The status reporting system collects information on the instrument state and makes it available to the output unit on request. The exact structure and function are described in section Status Reporting System.

Output Unit

The output unit collects the information requested by the controller, which it receives from the data set management. It processes it according to the SCPI rules and makes it available in the output buffer. If the information requested is longer, it is made available "in portions" without this being recognized by the controller.

If the instrument is addressed as a talker without the output buffer containing data or awaiting data from the data set management, the output unit sends the error message "Query UNTERMINATED" to the status reporting system. No data is sent on the GPIB bus or via the Ethernet, the controller waits until it has reached its time limit. This behavior is specified by SCPI.

Command Sequence and Command Synchronization

IEEE 488.2 defines a distinction between overlapped and sequential commands:

  • A sequential command is one which finishes executing before the next command starts executing. Commands that are processed quickly are usually implemented as sequential commands.

  • An overlapping command is one which does not automatically finish executing before the next command starts executing. Usually, overlapping commands take longer to process and allow the program to do other tasks while being executed. If overlapping commands do have to be executed in a defined order, e.g. in order to avoid wrong measurement results, they must be serviced sequentially. This is called synchronization between the controller and the analyzer.

According to section Data Set and Instrument Hardware, setting commands within one command line, even though they may be implemented as sequential commands, are not necessarily serviced in the order in which they have been received. In order to make sure that commands are actually carried out in a certain order, each command must be sent in a separate command line. Examples:

The analyzer provides only one overlapped command, INITiate<Ch>[:IMMediate]. What is said below is not relevant for the other (sequential) SCPI commands.

Preventing overlapping execution


Status Reporting System

As shown in the graphical overview, the status information is of hierarchical structure.

  • STB, SRE

  • ESR, SCPI registers

  • IST, PPE

  • Output buffer

All status registers have the same internal structure.

The service request enable register SRE can be used as ENABle part of the STB if the STB is structured according to SCPI. By analogy, the ESE can be used as the ENABle part of the ESR.

The STatus Byte (STB) register and its associated mask register Service Request Enable (SRE) form the highest level of the status reporting system. The STB provides a rough overview of the instrument status, collecting the information of the lower-level registers.

The STB receives its information from the following registers:

  • The Event Status Register (ESR) with the associated mask register standard event status enable (ESE).

  • The STATus:OPERation and STATus:QUEStionable registers which are defined by SCPI and contain detailed information on the instrument.

The IST flag ("Individual STatus"), like the SRQ, combines the entire instrument status in a single bit. The PPE is associated to the IST flag. It fulfills an analogous function for the IST flag as the SRE does for the service request.

contains the messages the instrument returns to the controller. It is not part of the status reporting system but determines the value of the MAV bit in the STB and thus is represented in the overview.

As shown in the graphical overview, the status information is of hierarchical structure.

  • STB, SRE

  • ESR, SCPI registers

  • IST, PPE

  • Output buffer

The register STatus Byte (STB) defined in IEEE 488.2 and its associated mask register Service Request Enable (SRE) form the highest level of the status reporting system. The STB provides a rough overview of the instrument status, collecting the information of the lower-level registers.

The STB receives its information from the following registers:

  • The standard IEEE 488.2 Event Status Register (ESR) with the associated mask register standard event status enable (ESE).

  • The STATus:OPERation and STATus:QUEStionable registers which are defined by SCPI and contain detailed information on the instrument.

The IST flag ("Individual STatus"), like the SRQ, combines the entire instrument status in a single bit. The PPE is associated to the IST flag. It fulfills an analogous function for the IST flag as the SRE does for the service request.

contains the messages the instrument returns to the controller. It is not part of the status reporting system but determines the value of the MAV bit in the STB and thus is represented in the overview.

The five parts of an SCPI register have different properties and function:

  • CONDition

  • PTRansition

  • NTRansition

  • EVENt

  • ENABle

The CONDition part is permanently overwritten by the hardware or the sum bit of the next lower register. Its contents always reflect the current instrument state.

This register part can only be read, but not overwritten or cleared. Reading the CONDition register is nondestructive.

The two transition register parts define which state transition of the condition part (none, 0 to 1, 1 to 0 or both) is stored in the EVENt part.

The Positive TRansition part acts as a transition filter. When a bit of the CONDition part is changed from 0 to 1, the associated PTR bit decides whether the EVENt bit is set to 1:

  • PTR bit =1: the EVENt bit is set.

  • PTR bit =0: the EVENt bit is not set.

This status register part can be overwritten and read at will. Reading the PTRansition register is nondestructive.

The Negative TRansition part also acts as a transition filter. When a bit of the CONDition part is changed from 1 to 0, the associated NTR bit decides whether the EVENt bit is set to 1.

NTR bit =1: the EVENt bit is set.

NTR bit =0: the EVENt bit is not set.

This part can be overwritten and read at will. Reading the PTRansition register is nondestructive.

The EVENt part indicates whether an event has occurred since the last reading, it is the "memory" of the condition part. It only indicates events passed on by the transition filters. It is permanently updated by the instrument. This part can only be read by the user. Reading the register clears it. This part is often equated with the entire register.

The ENABle part determines whether the associated EVENt bit contributes to the sum bit (cf. below). Each bit of the EVENt part is ANDed with the associated ENABle bit (symbol '&'). The results of all logical operations of this part are passed on to the sum bit via an OR function (symbol '+').

  • ENAB bit =0: The associated EVENt bit does not contribute to the sum bit.

  • ENAB bit =1: If the associated EVENT bit is "1", the sum bit is set to "1" as well.

This part can be overwritten and read by the user at will. Its contents are not affected by reading.

Status Reporting System

The status reporting system stores all information on the present operating state of the instrument, and on errors which have occurred. This information is stored in the status registers and in the error queue. Both can be queried via GPIB bus or Ethernet (STATus... commands).

Hierarchy of status registers

Overview of Status Registers

The status registers of the network analyzer are implemented as shown below. Click on the different register parts to obtain more information.

Structure of a SCPI Status Register

Each standard SCPI register consists of 5 parts which each have a width of 16 bits and have different functions. The individual bits are independent of each other, i.e. each hardware status is assigned a bit number which is valid for all five parts. Bit 15 (the most significant bit) is set to zero for all parts. Thus the contents of the register parts can be processed by the controller as positive integer.

Description of the five status register parts

The sum bit is obtained from the EVENt and ENABle part for each register. The result is then entered into a bit of the CONDition part of the higher-order register.

The instrument automatically generates the sum bit for each register. Thus an event can lead to a service request throughout all levels of the hierarchy.


Status Registers

The STatus Byte (STB) is linked to the Service Request Enable (SRE) register on a bit-by-bit basis.

  • The STB corresponds to the EVENt part of an SCPI register, indicating the current instrument state.

  • The SRE corresponds to the ENABle part of an SCPI register. If a bit is set in the SRE and the associated bit in the STB changes from 0 to 1, a Service Request (SRQ) is generated on the GPIB bus.

Bit 6 of the SRE is ignored, because it corresponds to the summary bit of the STB.

The STB is read out using the command *STB? or a serial poll.

The SRE can be set using command *SRE and read using *SRE?.

The IST flag is queried using the command *IST?.

The PPE can be set using *PRE and read using command *PRE?.

The Event Status Register (ESR) can be queried using ESR?.

The Event Status Enable (ESE) register can be set using the command *ESE and read using *ESE?.

The traces numbers 1 to 16 are assigned as follows:

  • Traces assigned to channels with smaller channel numbers have smaller trace numbers.

  • Within a channel, the order of traces reflects their creation time: The oldest trace has the smallest, the newest trace has the largest trace number. This is equivalent to the order of traces in the response string of the CALCulate<Ch>:PARameter:CATalog? query.

  • The number of traces monitored cannot exceed 16. If a setup contains more traces, the newest traces are not monitored.

Contents of the Status Registers

The individual status registers are used to report different classes of instrument states or errors. The following status registers belong to the general model described in IEEE 488.2:

  • The STatus Byte (STB) gives a rough overview of the instrument status.

  • The IST flag combines the entire status information into a single bit that can be queried in a parallel poll.

  • The Event Status Register (ESR) indicates general instrument states.

The status registers below belong to the device-dependent SCPI register model:

  • The STATus:OPERation register contains conditions which are part of the instrument's normal operation.

  • The STATus:QUEStionable register indicates whether the data currently being acquired is of questionable quality.

  • The STATus:QUEStionable:LIMit<1|2> register indicates the result of the limit check.

  • The STATus:QUEStionable:INTegrity register monitors hardware failures of the analyzer.

STB and SRE

The STatus Byte (STB) provides a rough overview of the instrument status by collecting the pieces of information of the lower registers. The STB represents the highest level within the SCPI hierarchy. A special feature is that bit 6 acts as the summary bit of the remaining bits of the status byte.

SRE and Service Request

Related common commands

The bits in the STB are defined as follows:

Bit No.

Meaning

3

QUEStionable status summary bit

This bit is set if an EVENt bit is set in the QUEStionable register and the associated ENABle bit is set to 1.

The bit indicates a questionable instrument status, which can be further pinned down by polling the QUEStionable register.

5

ESB bit

Sum bit of the event status register. It is set if one of the bits in the event status register is set and enabled in the event status enable register.

Setting of this bit implies an error or an event which can be further pinned down by polling the event status register.

IST Flag and PPE

In analogy to the Service Request (SRQ), the IST flag combines the entire status information in a single bit. It can be queried by means of a parallel poll.

The Parallel Poll Enable (PPE) register determines which bits of the STB contribute to the IST flag. The bits of the STB are ANDed with the corresponding bits of the PPE, with bit 6 being used as well in contrast to the SRE. The IST flag results from the ORing of all results.

Related common commands

ESR and ESE

The Event Status Register (ESR) indicates general instrument states. It is linked to the Event Status Enable (ESE) register on a bit-by-bit basis.

  • The ESR corresponds to the CONDition part of an SCPI register, indicating the current instrument state.

  • The ESE corresponds to the ENABle part of an SCPI register. If a bit is set in the ESE and the associated bit in the ESR changes from 0 to 1, the ESB bit in the STatus Byte is set.

Related common commands

The bits in the ESR are defined as follows:

Bit No. | Meaning
0 | Operation Complete This bit is set on receipt of the command *OPC after all previous commands have been executed.
2 | Query Error This bit is set if either the controller wants to read data from the instrument without having sent a query, or if it does not fetch requested data and sends new instructions to the instrument instead. The cause is often a query which is faulty and hence cannot be executed.
3 | Device-Dependent Error This bit is set if a device-dependent error occurs. An error message with a number between -300 and -399 or a positive error number, which describes the error in greater detail, is entered into the error queue (see chapter Error Messages).
4 | Execution Error This bit is set if a received command is syntactically correct, but cannot be performed for other reasons. An error message with a number between -200 and -300, which describes the error in greater detail, is entered into the error queue (see chapter Error Messages).
5 | Command Error This bit is set if a command which is undefined or syntactically incorrect is received. An error message with a number between -100 and -200, which describes the error in greater detail, is entered into the error queue (see chapter Error Messages).
6 | User Request This bit is set when the instrument is switched over to manual control or when a user-defined softkey is used (SYSTem:USER:KEY...).
7 | Power On (supply voltage on) This bit is set when the instrument is switched on.

STATus:OPERation

The STATus:OPERation register contains conditions which are part of the instrument's normal operation.

The analyzer does not use the STATus:OPERation register.

STATus:QUEStionable

The STATus:QUEStionable register indicates whether the acquired data is of questionable quality and monitors hardware failures of the analyzer. It can be queried using the commands STATus:QUEStionable:CONDition? or STATus:QUEStionable[:EVENt]?

The bits in the STATus:QUEStionable register are defined as follows:

Bit No. | Meaning
9 | INTegrity register summary This bit is set if a bit is set in the STATus:QUEStionable:INTegrity register and the associated ENABle bit is set to 1.
10 | LIMit register summary This bit is set if a bit is set in the STATus:QUEStionable:LIMit1 register and the associated ENABle bit is set to 1.

STATus:QUEStionable:LIMit1<1|2>

The STATus:QUEStionable:LIMit<1|2> registers indicate the result of the limit check. They can be queried using the commands STATus:QUEStionable:LIMit<1|2>:CONDition? or STATus:QUEStionable:LIMit<1|2>[:EVENt]? STATus:QUEStionable:LIMit1 is also the summary register of the lower-level STATus:QUEStionable:LIMit2 register.

The bits in the STATus:QUEStionable:LIMit1 register are defined as follows:

Bit No. | Meaning
0 | LIMit2 register summary This bit is set if a bit is set in the STATus:QUEStionable:LIMit2 register and the associated ENABle bit is set to 1.
1 | Failed limit check for trace no. 1 This bit is set if any point on trace no. 1 fails the limit check.
... | ...
14 | Failed limit check for trace no. 14 This bit is set if any point on trace no. 14 fails the limit check.

The bits in the STATus:QUEStionable:LIMit2 register are defined as follows:

Bit No. | Meaning
0 | Not used
1 | Failed limit check for trace no. 15 This bit is set if any point on trace no. 15 fails the limit check.
2 | Failed limit check for trace no. 16 This bit is set if any point on trace no. 16 fails the limit check.

Numbering of traces

STATus:QUEStionable:INTegrity...

The STATus:QUEStionable:INTegrity register monitors hardware failures of the analyzer. It can be queried using the commands STATus:QUEStionable:INTegrity:CONDition? or STATus:QUEStionable:INTegrity[:EVENt]? STATus:QUEStionable:INTegrity is also the summary register of the lower-level STATus:QUEStionable:INTegrity:HARDware register.

Refer to the Error Messagessection for a detailed description of hardware errors including possible remedies.

The bits in the STATus:QUEStionable:INTegrity register are defined as follows:

Bit No. | Meaning
2 | HARDware register summary This bit is set if a bit is set in the STATus:QUEStionable:INTegrity:HARDware register and the associated ENABle bit is set to 1.

The STATus:QUEStionable:INTegrity:HARDware register can be queried using the commands STATus:QUEStionable:INTegrity:HARDware:CONDition? or STATus:QUEStionable:INTegrity:HARDware[:EVENt]?

The bits in the STATus:QUEStionable:INTegrity:HARDware register are defined as follows:

Bit No.

Meaning

0

Not used

1

Reference frequency lock failure

With external reference signal (System – External Reference active) or option ZVAB-B4 (oven quartz), the reference oscillator is phase locked to a 10 MHz signal. This bit is set if this phase locked loop (PLL) fails.

For external reference: check frequency and level of the supplied reference signal.

2

Output power unleveled

This bit is set if the level control at one of the ports is unsettled or unstable, possibly due to an external disturbing signal.

Change generator level at the port; check external components.

3

Receiver overload protection tripped

This bit is set if the analyzer detects an excessive input level at one of the ports. If this condition persists, all internal and external generators are switched off.

Reduce RF input level at the port. Check amplifiers in the external test setup, then switch on the internal source using OUTPut ON.

...

Not used

7

Instrument temperature is too high

This bit is set if the analyzer detects that the instrument temperature is too high.

Reduce ambient temperature, keep ventilation holes of the casing unobstructed.

8

Oven cold

This bit is set if the oven for the optional oven quartz (OCXO, option ZVAB-B4) is not at its operating temperature.

Wait until the oven has been heated up.

9

Unstable level control

This bit is set if the analyzer detects an excessive source level at one of the ports. The signal is turned off and the sweep halted.

Check signal path for the received wave, especially check external components. Then restart the sweep (INITiate<Ch>[:IMMediate]).

10

Problem concerning external generator

This bit is set if an external generator has been configured but cannot be controlled or provides error messages.

Check whether the generator is properly connected and switched on. Check the GPIB address; exclude address conflicts when using several external generators or other equipment.

11

Problem concerning external power meter

This bit is set if an external power meter has been configured but cannot be controlled or provides error messages.

Check whether the power meter is properly connected and switched on. Check the GPIB address; exclude address conflicts when using several external power meters or other equipment.

12

Time grid too close

This bit is set if the sweep points for a time sweep are too close, so that the analyzer cannot process the measurement data until the next sweep point starts.

Increase stop time, reduce no. of points, increase IF bandwidth. If possible reduce number of partial measurements, e.g. by restricting the number of ports measured.

13

Overload at DC MEAS

This bit is set if the input voltage at one of the DC input connectors on the rear panel is too high.

Reduce input voltage.

14

Power settings exceed hardware limits

This bit is set if the source power at one of the test ports is too high or too low.

Reduce or increase the source power.

15

Detector meas time has been internally limited

This bit is set if the selected measurement time for a detector (observation time) is too long.

If desired, reduce the measurement time or select a smaller IF bandwidth.


Application

As shown in the graphical overview, an SRQ is initiated if one or several of bits 2, 3, 4, 5 or 7 of the status byte are set and enabled in the SRE. Each of these bits summarizes the information of a further register, the error queue or the output buffer.

The ENABle parts of the status registers can be set such that arbitrary bits in an arbitrary status register initiate an SRQ. To use the possibilities of the service request effectively, all bits in the enable registers SRE and ESE should be set to "1".

  1. Set bit 0 in the ESE (Operation Complete).

  2. Set bit 5 in the SRE (ESB).

  3. Insert *OPC in the command sequence (e.g. at the end of a sweep).

As soon as all commands preceding *OPC have been completed, the instrument generates an SRQ.

  1. Set bit 3 in the SRE (summary bit of the STATus:QUEStionable register, set after STATus:PRESet)

  2. Set bit 10 in the STATus:QUEStionable:ENABle register (summary bit of the STATus:QUEStionable:LIMit1 register)

  3. Set bit 1 in the STATus:QUEStionable:LIMit1:ENABle register

The analyzer generates an SRQ when the event associated with bit 1 of the STATus:QUEStionable:LIMit1:ENABle register occurs, i.e. when any point on the first trace fails the limit check.

The procedure to find out which event caused an SRQ is analogous to the procedure to generate an SRQ:

  1. STB? (query the contents of the status byte in decimal form)

If bit 3 (QUEStionable summary bit) is set, then:

  2. STAT:QUES:EVENT? (query STATus:QUEStionable register)

If bit 10 (QUEStionable:LIMit1 summary bit) is set, then:

  3. Query STAT:QUES:LIMit1:EVENT? (query STATus:QUEStionable:LIMit1 register)

If bit 1 is set, then the first trace failed the limit check.

The serial poll method is defined in IEEE 488.1 and used to be the only standard possibility for different instruments to poll the status byte. The method also works for instruments which do not adhere to SCPI or IEEE 488.2.

The Visual BASIC command for executing a serial poll is "IBRSP()".

In addition to the SRE register, which determines the conditions under which an SRQ is generated, there is a Parallel Poll Enable register (PPE). This register is ANDed with the STB bit by bit, considering bit 6 as well. The results are ORed, the result is possibly inverted and then sent as a response to the parallel poll of the controller. The result can also be queried without parallel poll by means of the command "*IST?".

The instrument first has to be set for the parallel poll using the Visual BASIC command "IBPPC()". This command allocates a data line to the instrument and determines whether the response is to be inverted. The parallel poll itself is executed using "IBRPP()".

The STB and ESR registers contain 8 bits, the SCPI registers 16 bits. The contents of a status register is keyed and transferred as a single decimal number. To make this possible, each bit is assigned a weighted value. The decimal number is calculated as the sum of the weighted values of all bits in the register that are set to 1.

Bits

Weight

0

1

2

3

4

5

6

7

...

1

2

4

8

16

32

64

128

...

Example: The decimal value 40 = 32 + 8 indicates that bits no. 3 and 5 in the status register (e.g. the QUEStionable status summary bit and the ESB bit in the STatus Byte) are set.

Application of the Status Reporting System

The purpose of the status reporting system is to monitor the status of one or several devices in a measuring system. To do this and react appropriately, the controller must receive and evaluate the information of all devices. The following standard methods are used:

  • Service request (SRQ) initiated by the measuring device

  • Serial poll of all devices in the bus system, initiated by the controller in order to find out who sent a SRQ and why

  • Parallel poll of all devices

  • Query of a specific instrument status by means of commands

  • Query of the error queue

Service Request

The measuring device can send a service request (SRQ) to the controller. Usually this service request causes an interrupt, to which the control program can react appropriately.

Initiating an SRQ

Examples:

  • Use *OPC to generate an SRQ

  • Generate an SRQ when a limit is exceeded

  • Find out which event caused an SRQ

The SRQ is the only possibility for the instrument to become active on its own. Each controller program should set the instrument such that a service request is initiated in the case of malfunction. The program should react appropriately to the service request.

Serial Poll

In a serial poll, the controller queries the STatus Bytes of the devices in the bus system one after another. The query is made via interface messages, so it is faster than a poll by means of *STB?.

Serial poll procedure

The serial poll is mainly used to obtain a fast overview of the state of several instruments connected to the controller.

Parallel Poll

In a parallel poll, up to eight instruments are simultaneously requested by the controller by means of a single command to transmit 1 bit of information each on the data lines, i.e., to set the data line allocated to each instrument to a logical "0" or "1".

Parallel poll procedure

The parallel poll method is mainly used to find out quickly which one of the instruments connected to the controller has sent a service request. To this effect, SRE and PPE must be set to the same value.

Query of an Instrument Status

Each part of any status register can be read by means of queries. There are two types of commands:

  • The common commands *ESR?, *IDN?, *IST?, *STB? query the higher-level registers.

  • The commands of the STATus system query the SCPI registers (STATus:QUEStionable...)

All queries return a decimal number which represents the bit pattern of the status register. This number is evaluated by the controller program.

Decimal representation of a bit pattern

Queries are usually used after an SRQ in order to obtain more detailed information on its cause.

Error Queue

Each error state in the instrument leads to an entry in the error queue. The entries of the error queue are detailed plain text error messages that can be looked up in the Error Log or queried via remote control using SYSTem:ERRor[:NEXT]? or SYSTem:ERRor:ALL?. Each call of SYSTem:ERRor[:NEXT]? provides one entry from the error queue. If no error messages are stored there any more, the instrument responds with 0, "No error".

The error queue should be queried after every SRQ in the controller program as the entries describe the cause of an error more precisely than the status registers. Especially in the test phase of a controller program the error queue should be queried regularly since faulty commands from the controller to the instrument are recorded there as well.


Reset Values

Reset Values of the Status Reporting System

The table below indicates the effects of various commands upon the status reporting system of the analyzer.

Event | Switching on supply voltage Power-On-Status-Clear |  | DCL,SDC(Device Clear, Selected Device Clear) | *RST or SYSTem:PRESet | STATus:PRESet | *CLS
Effect | 0 | 1 |  |  |  |
Clear STB,ESR |  | yes |  |  |  | yes
Clear SRE,ESE |  | yes |  |  |  |
Clear PPE |  | yes |  |  |  |
Clear EVENt parts of the registers |  | yes |  |  |  | yes
Clear ENABle parts of all OPERation-and QUESTionable registers, Fill ENABle parts of all other registers with "1". |  | yes |  |  | yes |
Fill PTRansition parts with „1" Clear NTRansition parts |  | yes |  |  | yes |
Clear error queue | yes | yes |  |  |  | yes
Clear output buffer | yes | yes | yes | 1) | 1) | 1)
Clear command processing and input buffer | yes | yes | yes |  |  |

1) Every command being the first in a command line, i.e. immediately following a <PROGRAM MESSAGE TERMINATOR> clears the output buffer.


About SCPI Reference

All commands are described according to the same scheme. The following information is provided:

  1. Complete command syntax and parameter list

  2. Description of the command and its relationship with other commands

  3. List and description of the parameters with their numerical ranges, default values and default units

  4. SCPI conformance information, supported command types (setting command, query)

  5. Program example

The commands are arranged in alphabetical order. SCPI systems or subsystems are arranged in one topic. At the beginning of each topic, an expandable command tree gives an overview of all commands in the SCPI subsystem.

Many commands are supplemented by a parameter or a list of parameters. Parameters either provide alternative options (setting a or setting b or setting c ..., see special character "|"), or they form a list separated by commas (setting x,y).

  • <Par_Name> In the command tables and lists, parameters are generally described by a name (literal) written in angle brackets (<>). This literal merely serves as a parameters description; in an application program it must be replaced by one of the possible settings reported in the detailed parameter description.

Example: CONTrol:AUXiliary:C[:DATA] <numeric_value>
with <numeric_value> = 0 to 15
possible command syntax: CONT:AUX:C 1

  • NAN (Not A Number) is generally used to represent missing data, e.g. if a portion of a trace has not been acquired yet. It is also returned after invalid mathematical operations such as division by zero. As defined in the SCPI standard, NAN is represented as 9.91 E 37.

  • INV (invalid) is returned e.g. if a limit check is performed without defining the appropriate tolerance values.

Upper/lower case characters characterize the long and short form of the mnemonics in a command. The short form consists of all upper-case characters, the long form of all upper case plus all lower case characters. On the ZVA, either the short form or the long form are allowed; mixed forms will generally not be recognized. The instrument itself does not distinguish upper case and lower case characters.

  • | A vertical stroke in the parameter list characterizes alternative parameter settings. Only one of the parameters separated by | must be selected.

Example: The following command has two alternative settings:
FORMat[:DATA] ASCii | REAL

  • [ ] Key words in square brackets can be omitted when composing the command header (see SCPI Command Structure and Syntax). The complete command must be recognized by the instrument for reasons of compatibility with the SCPI standard. Parameters in square brackets are optional as well. They may be used in some application contexts, omitted in others.

  • { } Braces or curly brackets enclose one or more parameters that may be included zero or more times.

Symbols in angular brackets (<Ch>, <Chn>, <Mk>...) denote numeric suffixes. Numeric suffixes are replaced by integer numbers to distinguish various items of the same type. The analyzer provides numeric suffixes for channels, traces, ports, markers etc. If unspecified, a numeric suffix is replaced by 1.

The marker suffix must be in the range between 1 and 10, the number of ports depends on the analyzer model. No restrictions apply to channel, trace, and diagram area suffixes.

In remote control, one active trace can be selected for each channel; see Active Traces in Remote Control. This concept simplifies the remote control command syntax, because it allows the active trace in a particular channel to be referenced by means of the channel suffix. To keep the syntax transparent, <Ch> is used for channel settings (it denotes the configured channel), whereas <Chn> is used for trace settings (it denotes the active trace in the channel).

Command Reference

This chapter lists all common commands and SCPI commands implemented by the analyzer.

Common commands

SCPI command reference

Special Terms and Notation

This section explains the meaning of special syntax elements used in the SCPI command reference sections. A general description of the SCPI command syntax can be found in section SCPI Command Structure and Syntax .

Compatibility with ZVR and other instruments
The SCPI command set for the R&S ZVA vector network analyzer has been designed for compatibility with older R&S network analyzers of the ZVR type. A special class of commands, marked with the symbol [image], has been implemented primarily for compatibility reasons. Use these commands if you want to maintain compatibility with ZVR analyzers. If you want to make full use of the ZVA features and don't need ZVR compatibility, you should use the generalized, R&S ZVA-specific commands. A link to a generalized command is provided in the description of each ZVR-specific command.
Similar considerations also hold for other commands that have been "implemented for compatibility reasons".

  • Information in the command tables

  • Order of commands

  • Parameters

  • Upper/lower case

  • S pecial characters

  • Numeric suffixes


Common Commands

CLear Status sets the status byte (STB), the standard event register (ESR) and the EVENt -part of the QUEStionable and the OPERation registers to zero. The command does not alter the mask and transition parts of the registers. It clears the output buffer and the tooltip for remote error messages.

Event Status Enable sets the event status enable register to the value indicated. The query *ESE? returns the contents of the event status enable register in decimal form.

Event Status Read returns the contents of the event status register in decimal form (0 to 255) and subsequently sets the register to zero.

IDeNtification query returns the instrument identification. The response is of the form "Rohde&Schwarz,ZVA8-4Port,12345,0.10.1.23", where
ZVxx-nPort is the analyzer type
12345 is the serial number of the analyzer
0.10.1.23 is the firmware version number.
The ID string can be changed in the System Configdialog.

Individual STatus query returns the contents of the IST flag in decimal form (0 | 1). The IST-flag is the status bit which is sent during a parallel poll.

OPeration Complete sets bit 0 in the event status register when all preceding commands have been executed. This bit can be used to initiate a service request.
The query form writes a "1" into the output buffer as soon as all preceding commands have been executed. This is used for command synchronization.

OPTion identification query queries the options included in the instrument and returns a list of the options installed. The response consists of arbitrary ASCII response data according to IEEE 488.2. The options are returned at fixed positions in a comma-separated string. A zero is returned for options that are not installed.

Pass Control Back indicates the controller address to which GPIB bus control is returned after termination of the triggered action.

Parallel poll Register Enable sets parallel poll enable register to the value indicated. The query *PRE? returns the contents of the parallel poll enable register in decimal form.

Power on Status Clear determines whether the contents of the ENABle registers is maintained or reset when the analyzer is switched on.
*PSC = 0 causes the contents of the status registers to be maintained. Thus a service request can be triggered on switching on in the case of a corresponding configuration of status registers ESE and SRE.
*PSC  0 resets the registers.

ReSeT sets the instrument to a defined default status. It is equivalent to SYSTem:PRESet. The default settings are indicated in the description of commands.
If Align *RST to User Defined Preset is selected and a valid user preset file is available, *RST and SYSTem:PRESet restore the user-defined settings. See also SYSTem:PRESet:SCOPe.

Service Request Enable sets the service request enable register to the value indicated. Bit 6 (MSS mask bit) remains 0. This command determines under which conditions a service request is triggered. The query *SRE? returns the contents of the service request enable register in decimal form. Bit 6 is always 0.

STatus Byte query reads the contents of the status byte in decimal form.

TRiGger triggers all actions waiting for a trigger event. In particular *TRG generates a manual trigger signal (Manual Trigger). This common command complements the commands of the TRIGger subsystem.

self TeST query triggers selftests of the instrument and returns an error code in decimal form.

WAIt to continue prevents servicing of the subsequent commands until all preceding commands have been executed and all signals have settled (see also command synchronization and *OPC).

Common Commands

Common commands are described in the IEEE 488.2 (IEC 625-2) standard. These commands have the same effect on different devices. The headers of these commands consist of "*" followed by three letters. Many common commands are related to the status reporting system.

Command | Parameters | Short Description
*CLS |  | Clear Status; no query
*ESE | 0...255 | Event Status Enable
*ESR? |  | Standard Event Status Query; query only
*IDN? |  | Identification Query; query only
*IST? |  | Individual Status Query; query only
*OPC |  | Operation Complete
*OPT? |  | Option Identification Query; query only
*PCB | 0...30 | Pass Control Back; no query
*PRE | 0...255 | Parallel Poll Register Enable
*PSC | 0 | 1 | Power On Status Clear
*RST |  | Reset; no query
*SRE | 0...255 | Service Request Enable
*STB? |  | Status Byte Query; query only
*TRG |  | Trigger; no query
*TST? |  | Self Test Query; query only
*WAI |  | Wait to continue; no query


SCPI Command Lists

SCPI Command Reference

The following sections give reference information about all SCPI commands implemented by the network analyzer.

Use the GPIB Explorer to obtain a complete overview of the implemented commands.


CALCulate_CLIMits

:FAIL?

CALCulate<Chn>:CLIMits...

This subsystem controls the composite limit check.

Command tree: CALCulate<Chn>:CLIMits

CALCulate<Chn>:CLIMits:FAIL?

Returns a 0 or 1, to indicate whether or not a global, composite limit check on several traces has failed.

In remote control, the limit check result is calculated once at the end of each sweep. If the limit lines are changed, a new sweep is required to obtain updated limit check results. In single sweep mode (INITiate<Ch>:CONTinuous OFF), the new sweep must be started explicitly using INITiate<Ch>[:IMMediate]:SCOPe ALL | SINGle. This behavior is different from manual control where a changed limit line can directly affect the pass/fail result of the displayed trace.

<Chn>

Channel number used to identify the active trace. This suffix is not relevant because the command provides a summary of all individual limit fails.

Response

0 | 1 - 0 represents pass for all individual limit checks (also returned if no limit check is active at all), 1 means that the limit checks for one or more traces failed.

*RST value

0

SCPI, Command Types

Device-specific, query only.

Example:

*RST; CALC:LIM:CONT 1 GHZ, 2 GHZ

Define an upper limit line segment in the stimulus range between 1 GHz and 2 GHz, using default response values.

CALC:LIM:STAT ON; FAIL?

Switch the limit check on and query the result.

CALC:CLIM:FAIL?

Query the result for the composite limit check. As only one trace is tested, the response should be equal to the previous response..


CALCulate:DATA

:DATA

:ALL?

:DALL?

:SGRoup?

:NSWeep?

:COUNt?

:FIRSt?

[:LAST]?

:STIMulus?

CALCulate<Chn>:DATA...

This subsystem provides access to the results of a measurement.

Command tree:CALCulate<Chn>

The trace data is transferred in either ASCII or block data (REAL) format, depending on the FORMat[:DATA] setting. If the block data format is used, it is recommended to select EOI as receive terminator (SYSTem:COMMunicate:GPIB[:SELF]:RTERminator EOI).

CALCulate<Chn>:DATA?
FDATa | SDATa | MDATa | SCORr1 | ... | SCORr27 | TSData
CALCulate<Chn>:DATA SCORr1 | ... | SCORr27
CALCulate<Chn>:DATA SDATa, <data>

Reads the current response values of the active data trace, reads or writes a memory trace, and reads or writes error terms.

<Chn>

Channel number used to identify the active trace. If unspecified the numeric suffix is set to 1.

Parameters

See list of parameters below.

Range [def. unit]

The data format is parameter-dependent; see below. The unit is the default unit of the measured parameter; see CALCulate<Ch>:PARameter:SDEFine.

*RST value

–

<data>

Unformatted trace data in ASCII or block data format, depending on FORMat[:DATA] setting. This parameter is only used for writing memory traces; see example 2 below.

SCPI, Command Types

Confirmed, command (for memory traces or error terms) or query.

Example 1:

*RST; SWE:POIN 20

Create a trace with 20 sweep points, making the created trace the active trace of channel 1 (omitted optional mnemonic SENSe1).

CALC:DATA? FDAT

Query the 20 response values of the created trace. In the FDATa setting, 20 comma-separated ASCII values are returned.

CALC:DATA:STIM?

Query the 20 stimulus values of the created trace. 20 comma-separated ASCII values are returned.

CALC2:PAR:SDEF 'Trc2', 'S11'

Create a second trace in a new channel no. 2.

CALC:DATA:ALL? FDAT

Query the response values of all traces. 40 comma-separated ASCII values are returned.

Example 2:
Write memory trace

*RST; SWE:POIN 3

Create a data trace 'Trc1' with 3 sweep points, making the created trace the active trace of channel 1 (omitted optional mnemonic SENSe1).

TRAC:COPY 'MemTrc1','Trc1'; :CALC:PAR:SEL 'MemTrc1'

Copy the data trace to a memory trace and select the memory trace as an active trace.

CALC:DATA SDAT, 1,2, 3,4, 5,6

Write numbers (1,2), (3,4), (5,6) to the memory trace.

CALC:DATA? SDAT

Query the memory trace. The response is 1,2,3,4,5,6.

FORM REAL,32

Change the data format to 4-byte block data.

CALC:DATA SDAT, #224123456789012345678901234

Write 24 bytes (= 4 * 2 * 3 bytes) of data to the memory trace.

The following parameters are related to trace data (see also Data Flow diagram):

FDATa | Formatted trace data, according to the selected trace format (CALCulate<Chn>:FORMat). 1 value per trace point for Cartesian diagrams, 2 values for polar diagrams.
SDATa | Unformatted trace data: Real and imaginary part of each measurement point. 2 values per trace point irrespective of the selected trace format. The trace mathematics is not taken into account. Wave quantities are returned as voltages.
MDATa | Unformatted trace data (see SDATa) after evaluation of the trace mathematics.
TSData | Raw measured values in pulse profile mode, only available for wave quantities and if pulse profile mode is active. The values correspond to the real output values of the A/D converter; acquired at a fixed sampling rate of 1/12.5 ns. The number of values in the returned array is not correlated with the number of sweep points; it is equal to the Optimum No of Points plus a few values at the beginning which the analyzer acquires during the settling time of the IF filter. See also Show Pulse Profile Settings.

The following parameters denote the error terms generated during a calibration:

Error Term | Description | Receive Ports (S-parameter)
SCORr1, ... SCORr12 | 2-port error terms; see [SENSe<Ch>:]CORRection:DATA. | 1 and 2 (S11, S12, S21, S22)
SCORr13 | Directivity | 3 (S33)
SCORr14 | Source match | 3 (S33)
SCORr15 | Reflection tracking | 3 (S33)
SCORr16 | Isolation | 3 (S31)
SCORr17 | Load match | 3 (S31)
SCORr18 | Transmission tracking | 3 (S13)
SCORr19 | Isolation | 1 (S13)
SCORr20 | Load match | 1 (S13)
SCORr21 | Transmission tracking | 1 (S13)
SCORr22 | Isolation | 3 (S32)
SCORr23 | Load match | 3 (S32)
SCORr24 | Transmission tracking | 3 (S32)
SCORr25 | Isolation | 2 (S23)
SCORr26 | Load match | 2 (S23)
SCORR27 | Transmission tracking | 2 (S23)

The error terms are channel-specific; they apply to the active calibration of channel no. <Chn> or to the factory calibration (if no channel calibration is active). For the factory calibration, the query form is allowed only (no change of factory calibration data).

Use the generalized command [SENSe<Ch>:] CORRection:COLLect:CDATa to read or write error terms for arbitrary analyzer ports. For a programming example refer to Saving and Recalling Error Terms.

CALCulate<Chn>:DATA:ALL? FDATa | SDATa | MDATa

Reads the current response values of all data and memory traces of the current test setup.

<Chn> | Channel number used to identify the active trace. This suffix is ignored, the commands returns all traces.
Parameters | Output format for the S-parameter data, see CALCulate<Chn>:DATA.
*RST value | –
SCPI, Command Types | Device-specific, query only.
Example: | See CALCulate<Chn>:DATA

CALCulate<Ch>:DATA:CALL? FDATa | SDATa | MDATa

Reads the current response values of all S-parameter data traces in channel no. <Ch>. If a full n-port system error correction (TOSM, TOM, TRL ...) is active in the referenced channel, the command reads the full nxn S-matrix of the calibrated ports (there is no need to create or display the S-parameter traces). Use CALCulate<Ch>:DATA:CALL:CATalog? to query the available traces.

<Ch> | Channel number.
Parameters | Output format for the S-parameter data, see CALCulate<Chn>:DATA.
*RST value | –
SCPI, Command Types | Device-specific, query only.
Example: | Suppose that a TOSM calibration for ports 1 and 3 is active in channel no. 1. :CALCulate:DATA:CALL:CATalog? Query the traces available for CALCulate<Ch>:DATA:CALL?. The response is 'S11,S13,S31,S33' CALCulate:DATA:CALL? SDATa Return the complex response values of all traces. The traces in the catalog list are read one after another: The response array contains n (number of points) pairs of real and imaginary values for S11, followed by n pairs of values for S13, S31, and S33.

CALCulate<Ch>:DATA:CALL:CATalog?

Returns all traces which are available for CALCulate<Ch>:DATA:CALL? in channel no. <Ch>.

<Ch> | Channel number.
Response | String parameters with all S-parameter traces in the current channel or in the active system error correction; see example.
*RST value | –
SCPI, Command Types | Device-specific, query only.
Example: | See CALCulate:DATA:CALL?

CALCulate<Chn>:DATA:DALL? FDATa | SDATa | MDATa

Reads the current response values of all data traces of the current test setup. Use CALCulate<Ch>:DATA:ALL? to query data traces and memory traces.

<Chn> | Channel number used to identify the active trace. This suffix is ignored, the commands returns all data traces.
Parameters | Output format for the S-parameter data, see CALCulate<Chn>:DATA.
*RST value | –
SCPI, Command Types | Device-specific, query only.
Example: | Analogous to CALCulate<Chn>:DATA:ALL?; see CALCulate<Chn>:DATA.

CALCulate<Ch>:DATA:SGRoup? FDATa | SDATa | MDATa

Reads the current response values of all S-parameters associated to a group of logical ports (S-parameter group). The S-parameter group must be created before using CALCulate<Ch>:PARameter:DEFine:SGRoup.

<Ch> | Channel number of the previously defined S-parameter group.
Parameters | Output format for the S-parameter data, see CALCulate<Chn>:DATA.
*RST value | –
SCPI, Command Types | Device-specific, query only. The order of the returned S-parameters within the S-parameter group is fixed; see example.
Example: | See CALCulate<Ch>:PARameter:DEFine:SGRoup

CALCulate<Chn>:DATA:NSWeep:COUNt?

Reads the number of completed sweeps in single sweep mode (INITiate<Ch>:CONTinuous OFF). The trace can be any of the traces acquired during the single sweep cycle.

<Chn> | Channel number used to identify the active trace.
Response | Number of last completed sweep.
Range [def. unit] | 1 to sweep count defined via [SENSe<Ch>:]SWEep:COUNt [–]
*RST value | –
SCPI, Command Types | Device-specific, query only
Example (see also Sweep History): | See CALCulate<Chn>:DATA:NSWeep:FIRSt?
CALCulate<Chn>:DATA:NSWeep:FIRSt?
SDATa, <Forward_Count>

Reads the response values of a trace acquired in single sweep mode (INITiate<Ch>:CONTinuous OFF). The trace can be any of the traces acquired during the single sweep cycle.

<Chn>

Channel number used to identify the active trace.

SDATa

Read unformatted sweep data (fixed parameter): Returns the real and imaginary part of each measurement point (2 values per trace point irrespective of the selected trace format). Wave quantities are returned as voltages.

<Forward_Count>

Number of sweep to be read. 1 denotes the first sweep acquired, 2 denotes the second and so forth.

Range [def. unit]

1 to sweep count defined via [SENSe<Ch>:]SWEep:COUNt [–]

*RST value

–

SCPI, Command Types

Device-specific, query only

Example (see also Sweep History):

SWE:COUN 10

Define the number of sweeps (10) to be measured in single sweep mode.

INIT:CONT OFF; :INIT;

Activate single sweep mode and start a single sweep sequence in channel no. 1. No synchronization is necessary.

if (CALC:DATA:NSW:COUN? > 4)
CALC:DATA:NSW:FIRS? SDAT, 5

Wait until 5 sweeps have been measured, then query the results of the 5th sweep.

CALCulate<Chn>:DATA:NSWeep[:LAST]?
SDATa, <Reverse_Count>

Reads the response values of a trace acquired in single sweep mode (INITiate<Ch>:CONTinuous OFF). The trace can be any of the traces acquired during the single sweep cycle.

Ensure that the single sweep is terminated before using this command, otherwise the results of the trace count will be unpredictable. See example below. Alternatively, use the CALCulate<Chn>:DATA:NSWeep:FIRSt? command.

<Chn> | Channel number used to identify the active trace.
SDATa | Read unformatted sweep data (fixed parameter): Returns the real and imaginary part of each measurement point (2 values per trace point irrespective of the selected trace format). Wave quantities are returned as voltages.
<Reverse_Count> | Number of sweep to be read. 1 denotes the last sweep acquired, 2 denotes the second-last and so forth.
Range [def. unit] | 1 to sweep count defined via [SENSe<Ch>:]SWEep:COUNt [–]
*RST value | –
SCPI, Command Types | Device-specific, query only
Example (see also Sweep History): | SWE:COUN 10 Define the number of sweeps (10) to be measured in single sweep mode. INIT:CONT OFF; :INIT; *OPC? Activate single sweep mode and start a single sweep sequence in channel no. 1. Wait until the single sweep sequence is complete. CALC:DATA:NSW? SDAT,3 Query the results of the 8th sweep.
CALCulate<Chn>:DATA:STIMulus?

Reads the stimulus values of the active data or memory trace.

<Chn> | Channel number used to identify the active trace.
Parameters | –
Range [def. unit] | The data is transferred in the data format defined via FORMat[:DATA]. The unit is the default unit of the sweep variable (Hz or dBm or s).
*RST value | –
SCPI, Command Types | Device-specific, query only
Example: | See CALCulate<Chn>:DATA?


CALCulate_DLINe

:DLINe

[:STATe]

CALCulate<Chn>:DLINe...

This subsystem controls the horizontal line used to mark and retrieve response values (display line).

Command tree: CALCulate<Chn>

CALCulate<Chn>:DLINe <numeric_value>

Defines the position (response value) of the horizontal line.

<Chn> | Channel number used to identify the active trace. If unspecified the numeric suffix is set to 1.
Parameters | See list of parameters below.
Range [def. unit] | The data is transferred in the data format defined via FORMat[:DATA]. The unit is the default unit of the measured parameter; see CALCulate<Ch>:PARameter:SDEFine.
*RST value | –
SCPI, Command Types | Device-specific, command or query.
Example: | *RST; :CALC:DLIN 10 Define the position of the horizontal line in the default dB Mag diagram at +10 dBm. CALC:DLIN:STAT ON Display the defined horizontal line.
CALCulate<Chn>:DLINe:STATe <Boolean>

Switches the horizontal line on or off.

<Chn> | Channel number used to identify the active trace.
<Boolean> | ON | OFF - Horizontal line on or off.
*RST value | OFF
SCPI, Command Types | Device-specific, command or query.
Example: | See CALC:DLIN.


CALCulate_FILTer

:TIME

:CENTer

:DCHebyshev

:SHAPe

:SHOW

:SPAN

:STARt

:STATe

:STOP

[:TYPE]

:WINDow

CALCulate<Chn>:FILTer[:GATE]...

This subsystem defines the properties of the time gate which is used to optimize the time domain response (with option ZVAB-K2, Time Domain).

Command tree: CALCulate<Chn>:FILTer[:GATE]

CALCulate<Chn>:FILTer[:GATE]:TIME:CENTer <numeric_value>

Defines the center time of the time gate.

<Chn> | Channel number used to identify the active trace
<numeric_value> | Center time of the time gate
Range [def. unit] | -99.8999999 s to +99.8999999 s. The increment (parameters UP or DOWN) is 0.1 ns. [s]
*RST value | 1.5E-009 s
SCPI, Command Types | Confirmed, command or query
Example: | *RST; :CALC:TRAN:TIME:STAT ON; :CALC:FILT:TIME:STAT ON Reset the instrument and enable the time domain representation and the time gate. CALC:FILT:TIME:CENT 0; SPAN 5ns Set the center time to 0 ns and the time span to 5 ns.

CALCulate<Chn>:FILTer[:GATE]:TIME:DCHebyshev <numeric_value>

Sets the sideband suppression for the Dolph-Chebyshev time gate. The command is only available if a Dolph-Chebyshev time gate is active (CALCulate<Chn>:FILTer[:GATE]:TIME:WINDow DCHebyshev).

<Chn> | Channel number used to identify the active trace
<numeric_value> | Sideband suppression
Range [def. unit] | 10 dB to 120 dB. The increment (parameters UP or DOWN) is 10 dB. [dB]
*RST value | 32 dB
SCPI, Command Types | Device-specific, command or query
Example: | *RST; :CALC:FILT:TIME:WIND DCH Reset the instrument and select a Dolph-Chebyshev time gate for filtering the data in the frequency domain. CALC:FILT:TIME:DCH 25 Set the sideband suppression to 25 dB.
CALCulate<Chn>:FILTer[:GATE]:TIME:SHAPe
MAXimum | WIDE | NORMal | MINimum

Selects the time gate to be applied to the time domain transform.

Use the generalized command CALCulate<Chn>:FILTer[:GATE]:TIME:WINDow if you wish to select a Dolph-Chebychev time gate.

<Chn> | Channel number used to identify the active trace
Parameters | MINimum – Steepest edges (rectangle) WIDE – Normal gate (Hann) NORM – Steep edges (Hamming) Maximum – Maximum flatness (Bohman)
*RST value | WIDE
SCPI, Command Types | Device-specific, command or query
Example: | *RST; :CALC:FILT:TIME:SHAP? Reset the instrument and query the type of time gate used. The response is WIDE.

CALCulate<Chn>:FILTer[:GATE]:TIME:SHOW <Boolean>

Enables or disables permanent display of the gate limits.

<Chn> | Channel number used to identify the active trace
<Boolean> | ON – Time gate permanently displayed OFF – Time gate hidden
*RST value | OFF [–]
SCPI, Command Types | Device-specific, command or query
Example: | See CALCulate<Chn>:FILTer[:GATE]:TIME:CENTer

CALCulate<Chn>:FILTer[:GATE]:TIME:SPAN <span>

Defines the span of the time gate.

<Chn> | Channel number used to identify the active trace
<span> | Span of the time gate.
Range [def. unit] | 2E-012 s to 200 s. The increment (parameters UP or DOWN) is 0.1 ns. [s]
*RST value | 5E-009 s
SCPI, Command Types | Confirmed, command or query
Example: | See CALCulate<Chn>:FILTer[:GATE]:TIME:CENTer

CALCulate<Chn>:FILTer[:GATE]:TIME:STARt <start>

Defines the start time of the time gate.

<Chn> | Channel number used to identify the active trace
<start> | Start time of the time gate.
Range [def. unit] | –100 s to +99.999999999998 s. The increment (parameters UP or DOWN) is 0.1 ns. [s]
*RST value | –1E-009 s
SCPI, Command Types | Confirmed, command or query
Example: | *RST; :CALC:TRAN:TIME:STAT ON; :CALC:FILT:TIME:STAT ON Reset the instrument and enable the time domain representation and the time gate. CALC:FILT:TIME:STAR 0; STOP 10ns; SHOW ON Set the start time to 0 ns and the stop time to 10 ns and display the time gate permanently.

Note: If the start frequency entered is greater than the current stop frequency (CALCulate<Chn>:FILTer[:GATE]:TIME:STOP), the stop frequency is set to the start frequency plus the minimum frequency span (CALCulate<Chn>:FILTer[:GATE]:TIME:SPAN).

CALCulate<Chn>:FILTer[:GATE]:TIME:STATe <Boolean>

Determines whether the time gate for trace no. <Chn> is enabled.

<Chn> | Channel number used to identify the active trace
<Boolean> | ON – Time gate enabled OFF – Time gate disabled
*RST value | OFF [–]
SCPI, Command Types | Confirmed, command or query
Example: | *RST; :CALC:TRAN:TIME:STAT?; :CALC:FILT:TIME:STAT? Reset the instrument, activating a frequency sweep, and query whether the default trace is displayed in the time domain and whether the time gate is enabled. The response is 0;0.

CALCulate<Chn>:FILTer[:GATE]:TIME:STOP <numeric_value>

Defines the stop time of the time gate.

<Chn> | Channel number used to identify the active trace
<numeric_value> | Stop time of the time gate.
Range [def. unit] | –99.999999999998 s to +100 s. The increment (parameters UP or DOWN) is 0.1 ns. [s]
*RST value | +4E-009 s
SCPI, Command Types | Confirmed, command or query
Example: | See CALCulate<Chn>:FILTer[:GATE]:TIME:STARt.

Note: If the stop frequency entered is smaller than the current start frequency (CALCulate<Chn>:FILTer[:GATE]:TIME:STARt), the start frequency is set to the stop frequency minus the minimum frequency span (CALCulate<Chn>:FILTer[:GATE]:TIME:SPAN).

CALCulate<Chn>:FILTer[:GATE]:TIME[:TYPE]
BPASs | NOTCh

Selects the time gate filter type, defining what occurs to the data in the specific time region.

<Chn> | Channel number used to identify the active trace
Parameters | BPASs – Band pass filter: pass all information in specified time region and reject all else NOTCh – Notch filter: reject all information in specified time region and pass all else.
*RST value | BPASs
SCPI, Command Types | Confirmed, command or query
Example: | *RST; :CALC:FILT:TIME:STAT ON Reset the instrument and enable the time gate. CALC:FILT:TIME NOTCh Select a notch filter in order to reject unwanted pulses.

CALCulate<Chn>:FILTer[:GATE]:TIME:WINDow
RECT | HAMMing | HANN | BOHMan | DCHebyshev

Selects the time gate to be applied to the time domain transform.

<Chn> | Channel number used to identify the active trace
Parameters | RECT – Steepest edges (rectangle) HANN – Normal gate (Hann) HAMMing – Steep edges (Hamming) BOHMan – Minimum flatness (Bohman) DCHebyshev – Arbitrary gate shape (Dolph-Chebychev)
*RST value | HANN
SCPI, Command Types | Confirmed (with some device-specific parameters), command or query
Example: | See CALCulate<Chn>:FILTer[:GATE]:TIME:DCHebychev


CALCulate_FORMat

:FORMat

:WQUType

CALCulate<Chn>:FORMat...

This subsystem determines a post-processing of the measured data in order to obtain various display formats.

Command tree: CALCulate<Chn>

CALCulate<Chn>:FORMat
MLINear | MLOGarithmic | PHASe | UPHase | POLar | SMITh | ISMith | GDELay | REAL | IMAGinary | SWR | COMPlex | MAGNitude

Defines how the measured result at any sweep point is post-processed and presented in the graphical display.

Note: The analyzer allows arbitrary combinations of display formats and measured quantities; see Trace - Format and CALCulate<Chn>:PARameter commands. Nevertheless, it is advisable to check which display formats are generally appropriate for an analysis of a particular measured quantity; see Measured Quantities and Display Formats.

<Chn>

Channel number used to identify the active trace. If unspecified the numeric suffix is set to 1.

Parameters

See list of parameters below.

*RST value

MLOGarithmic

SCPI, Command Types

Confirmed, command or query

Example:

CALC4:PAR:SDEF 'Ch4Tr1', 'S11'

Create channel 4 and a trace named Ch4Tr1 to measure the input reflection coefficient S11. The trace becomes the active trace in channel 4.

CALC4:FORM MLIN; :DISP:WIND:TRAC2:FEED 'CH4TR1'

Calculate the magnitude of S11 and display it in a linearly scaled Cartesian diagram assigning the trace number 2.

Assume that the result at a sweep point is given by the complex quantity z = x + jy. The meaning of the parameters is as follows (see also table in CALCulate<Chn>:MARKer<Mk>:FORMat description):

MLINear | Calculate the magnitude of z, to be displayed in a Cartesian diagram with a linear scale
MLOGarithmic | Calculate the magnitude of z, displayed in a Cartesian diagram with a logarithmic scale
PHASe | Phase of z, displayed in a Cartesian diagram with a linear vertical axis
UPHase | Unwrapped phase of z, displayed in a Cartesian diagram with a linear vertical axis
POLar | Magnitude and phase, displayed in a polar diagram
SMITh | Magnitude and phase, displayed in a Smith chart
ISMith | Magnitude and phase, displayed in an inverted Smith chart
GDELay | Group delay, displayed in a Cartesian diagram
REAL | Real part (x), displayed in a Cartesian diagram
IMAGinary | Imaginary part (y), displayed in a Cartesian diagram
SWR | Standing Wave Ratio (SWR), displayed in a Cartesian diagram
COMPlex | x, y, displayed in a polar diagram
MAGNitude | Magnitude (sqrt(x2 + y2)), displayed in a Cartesian diagram with a logarithmic scale

CALCulate<Chn>:FORMat:WQUType POWer | VOLTage

Selects the physical unit of the displayed trace.

<Chn> | Channel number used to identify the active trace
Parameters | Power or voltage units
*RST value | POWer
SCPI, Command Types | Confirmed, command or query
Example: | CALC4:PAR:SDEF 'Ch4Tr1', 'b1' Create channel 4 and a trace named Ch4Tr1 to measure the wave quantity b1. The trace becomes the active trace in channel 4. CALC4:FORM:WQUT VOLT Select voltage units for the created trace (identified by the suffix 4).


CALCulate_FSIMulator

:DEVice

:BALun

:DMCircuit

:BPORt1

:PARameters

:C

:L

:DZConversion

:BPORt1

:ZCOMmon

[:R]

:ZDIFferent

[:R]

:STATe

CALCulate<Chn>:FSIMulator...

This subsystem enables the virtual SAW Matching Network and defines its parameters. When the virtual network is enabled, port 1 serves as an unbalanced port, the physical ports no. 2 and 4 of the analyzer are combined to a logical (balanced) port no. 2.

Command tree: CALCulate<Chn>:FSIMulator

The commands in this subsystem are supported for the sake of compatibility with older firmware versions. Starting with firmware V1.70 the commands have been superseded by the command in the CALCulate:TRANsform:VNETwork... subsystem. Virtual network (de-)embedding is controlled by the Virtual Transform menu.

CALCulate<Ch>:FSIMulator:BALun:DEVice
SBALanced

Selects the type of matching network to be simulated. The present firmware version provides a virtual matching network for DUTs with a single-ended and a balanced port.

Use this command in order to avoid problems should the default value change in future firmware versions.

<Ch> | Channel number. If unspecified the numeric suffix is set to 1.
Parameters | Matching network type.
Range [def. unit] | SBALanced: single-ended/balanced [–].
*RST value | SBALanced
SCPI, Command Types | Device-specific, command or query.
Example: | See CALCulate<Ch>:FSIMulator:BALun:DMCircuit:BPORt1:PARameters:C
CALCulate<Ch>:FSIMulator:BALun:DMCircuit:BPORt2:PARameters:C <Capacitance>

Defines the serial capacitance for the matching network.

<Ch> | Channel number.
<Capacitance> | Serial capacitance for logical port no. 2.
Range [def. unit] | –1 mF to 1 mF [F (farad)]. The increment (parameters UP or DOWN) is 1E-015 F.
*RST value | 1E-009 F
SCPI, Command Types | Device-specific, command or query.
Example: | *RST; CALC:FSIM:BAL:DEV SBAL Select the matching network type single-ended/balanced (the default setting may change in future firmware versions). CALC:FSIM:STAT ON Activate the matching network. CALC:FSIM:BAL:DMC:BPOR2:PAR:C 2 NF; :L 2 NH Set the serial capacitance to 2 nF and the parallel inductance to 2 nH. :CALC:FSIM:BAL:DZC:BPOR2:ZCOM 50; ZDIF 150 Set the common mode impedance to 50 Ω, the differential mode impedance to 150 Ω.

CALCulate<Ch>:FSIMulator:BALun:DMCircuit:BPORt2:PARameters:L <Inductance>

Defines the parallel inductance for the matching network.

<Ch> | Channel number.
<Inductance> | Parallel inductance for logical port no. 2. The increment (parameters UP or DOWN) is 1E-015 H.
Range [def. unit] | –1 mH to 1 mH [H (henry)]
*RST value | 1E-009 H
SCPI, Command Types | Device-specific, command or query.
Example: | See CALCulate<Ch>:FSIMulator:BALun:DMCircuit:BPORt1:PARameters:C

CALCulate<Ch>:FSIMulator:BALun:DZConversion:BPORt2:ZCOMmon[:R] <Impedance>

Defines the common mode impedance for the balanced port no. 2.

<Ch> | Channel number.
<Impedance> | Common mode impedance. The increment (parameters UP or DOWN) is 1 Ω.
Range [def. unit] | 0 Ω to 3.4028234664E+032 MΩ [Ω (Ohm)]
*RST value | 25 Ω
SCPI, Command Types | Device-specific, command or query.
Example: | See CALCulate<Ch>:FSIMulator:BALun:DMCircuit:BPORt1:PARameters:C

CALCulate<Ch>:FSIMulator:BALun:DZConversion:BPORt2:ZDIFferent[:R] <Impedance>

Defines the differential mode impedance for the balanced port no. 2.

<Ch> | Channel number.
<Impedance> | Differential mode impedance. The increment (parameters UP or DOWN) is 1 Ω.
Range [def. unit] | 0 Ω to 3.4028234664E+032 MΩ [Ω (Ohm)]
*RST value | 100 Ω
SCPI, Command Types | Device-specific, command or query.
Example: | See CALCulate<Ch>:FSIMulator:BALun:DMCircuit:BPORt1:PARameters:C

CALCulate<Ch>:FSIMulator:STATe <Boolean>

Activates or deactivates the virtual matching network. When the network is activated, port 1 serves as an unbalanced port, the physical ports no. 2 and 4 of the analyzer are combined to a logical (balanced) port no. 2.

<Ch> | Channel number.
<Boolean> | ON - Enable the virtual matching network and adjust the port configuration OFF - Disable the virtual matching network
*RST value | OFF
SCPI, Command Types | Device-specific, command or query.
Example: | See CALCulate<Ch>:FSIMulator:BALun:DMCircuit:BPORt1:PARameters:C.


CALCulate_GDAPerture

CALCulate<Chn>:GDAPerture...

This subsystem configures the group delay measurement.

Command tree: CALCulate<Chn>:GDAPerture:SCOunt

CALCulate<Chn>:GDAPerture:SCOunt <Steps>

Defines an aperture for the calculation of the group delay as an integer number of frequency sweep steps.

<Chn> | Channel number used to identify the active trace. If unspecified the numeric suffix is set to 1.
<steps> | Number of steps.
Range [def. unit] | 1 to 10000 [–]
*RST value | 10.
SCPI, Command Types | Confirmed, with query.
Example: | *RST; :CALC:FORM GDEL Select group delay calculation for the active trace. CALC:GDAP:SCO 15 Select an aperture of 15 steps.


CALCulate_LDEViation

:AUTO

:CONSTant

:ELENgth

:MODE

:SLOPe

CALCulate<Chn>:LDEViation...

This subsystem controls the linearity deviation calculation.

Command tree: CALCulate<Chn>:LDEViation

CALCulate<Chn>:LDEViation:AUTO ONCE

Initiates a (re-)calculation of the linearity deviation correction factors and applies them to the active trace.

<Chn> | Channel number used to identify the active trace. If unspecified the numeric suffix is set to 1.
ONCE | Initiates the calculation
*RST value | –
SCPI, Command Types | Device-specific, no query.
Example: | *RST; CALC:FORM PHAS Reset the analyzer; assign the phase of the transmission parameter S21 to the default trace. CALC:LDEV:AUTO ONCE Calculate correction factors and apply them to the default trace. CALC:LDEV:SLOP?; ELEN?; CONS? Query the values of the correction factors. CALC:LDEV:MODE OFF Disable the correction.

CALCulate<Chn>:LDEViation:CONStant <Constant>

Defines the constant value for the linearity deviation calculation.

<Chn> | Channel number used to identify the active trace.
<Constant> | Constant value
Range [def. unit] | The range depends on the trace format. For the default trace: –200 dB to + 200 dB [dB]. The increment (UP, DOWN) is 10-2 dB.
*RST value | 0 dB
SCPI, Command Types | Device-specific, command or query.
Example: | See CALCulate<Chn>:LDEViation:AUTO

CALCulate<Chn>:LDEViation:ELENgth <El Length>

Defines the electrical length for the linearity deviation calculation. This command is available if the active trace format is Phase or Unwrapped Phase, or if a mixer delay is measured.

<Chn> | Channel number used to identify the active trace.
<El Length> | Electrical length
Range [def. unit] | 0 m to + 1000 m [m]. The increment (UP, DOWN) is 10-4 m.
*RST value | 0 m
SCPI, Command Types | Device-specific, command or query.
Example: | See CALCulate<Chn>:LDEViation:AUTO

CALCulate<Chn>:LDEViation:MODE ON | OFF | TRACking

Applies /discards the correction factors or re-calculates them for each trace (Tracking).

<Chn> | Channel number used to identify the active trace.
ON | Apply the correction using the latest correction factors.
OFF | Discard the correction.
TRACking | Repeat calculation for each measured trace and apply the correction.
*RST value | 0 dB/MHz
SCPI, Command Types | Device-specific, command or query.
Example: | See CALCulate<Chn>:LDEViation:AUTO

CALCulate<Chn>:LDEViation:SLOPe <Slope>

Defines the slope of the regression line for the linearity deviation calculation.

<Chn> | Channel number used to identify the active trace.
<Slope> | Slope of the regression line
Range [def. unit] | The range depends on the trace format. For the default trace: –1015 dB/MHz to +1015 dB/MHz [dB/MHz]. The increment (UP, DOWN) is 10-4 dB/MHz.
*RST value | 0 dB/MHz
SCPI, Command Types | Device-specific, command or query.
Example: | See CALCulate<Chn>:LDEViation:AUTO


CALCulate_LIMit

:CONTrol

[:DATA]

:DOMain

:SHIFt

:DATA

:DELete

:ALL

:DISPlay

[:STATe]

:FAIL?

:LOWer

[:DATA]

:FEED

:SHIFt

:STATe

:RDOMain

:COMPlex

:FORMat

:SPACing

:SEGMent

:AMPlitude

:STARt

:STOP

:STIMulus

:STARt

:STOP

:TYPE

:SOUNd

[:STATe]

:TTLout<Output_no>

[:STATe]

:STATe

:UPPer

[:DATA]

:FEED

:SHIFt

:STATe

The following rules apply to an active trace with n existing limit line segments:

  • An odd number of values is rejected; an error message –109,"Missing parameter..." is generated.

  • An even number of 2*k values updates or generates k limit line segments.

  • For n > k the stimulus values of all existing limit line segments no. 1 to k are updated, the existing limit line segments no. k+1, ..., n are deleted.

  • For n < k the stimulus values of the limit line segments no. 1 to n are updated, the limit line segments n+1, ,..., k are generated with default response values (see CALCulate<Chn>:LIMit:UPPer[:DATA], CALCulate<Chn>:LIMit:LOWer[:DATA]).

The following rules apply to an active trace with n existing upper and n existing lower limit line segments:

  • An odd number of values is rejected; an error message –109,"Missing parameter..." is generated.

  • An even number of 2*k values updates or generates k lower limit line segments.

  • For n > k the response values of all existing lower limit line segments no. 2, 4, ...,2*k are updated, the existing upper and lower limit line segments no. 2*k+1, ..., 2*n are deleted. The existing upper limit line segments no. 1, 3, 2*k–1 are not affected.

  • For n < k the response values of the lower limit line segments no. 2, 4 to 2*n are updated, the lower limit line segments 2*n+2, 2*n+4,..., 2*k are generated with default stimulus values (see CALCulate<Chn>:LIMit:CONTrol[:DATA]. In addition, the missing upper limit line segments 2*n+1, 2*n+3,..., 2*k–1 are generated with default stimulus and response values

The following rules apply to an active trace with n existing upper and n existing lower limit line segments:

  • An odd number of values is rejected; an error message –109,"Missing parameter..." is generated.

  • An even number of 2*k values updates or generates k upper limit line segments.

  • For n > k the response values of all existing upper limit line segments no. 1, 3, ...,2*k–1 are updated, the existing upper and lower limit line segments no. 2*k+1, ..., 2*n are deleted. The existing lower limit line segments no. 2, 4, 2*k are not affected.

  • For n < k the response values of the upper limit line segments no. 1, 3 to 2*n–1 are updated, the upper limit line segments 2*n+1, 2*n+3,..., 2*k–1 are generated with default stimulus values (see CALCulate<Chn>:LIMit:CONTrol[:DATA]. In addition, the missing lower limit line segments 2*n+2, 2*n+4,..., 2*k are generated with default stimulus and response values

CALCulate<Chn>:LIMit...

This subsystem defines the limit lines and controls the limit check.

Command tree: CALCulate<Chn>:LIMit

CALCulate<Chn>:LIMit:CONTrol[:DATA] <numeric_value>,<numeric_value>{,<numeric_value>,<numeric_value>}

Defines the stimulus values of the limit line and/or creates new limit line segments.

Rules for creating segments

The generated segments are upper or lower limit line segments, depending on the CALCulate<Chn>:LIMit:SEGMent<Seg>:TYPE setting. CALCulate<Chn>:LIMit:CONTrol[:DATA] does not overwrite the type setting.

To define additional new limit line segments without overwriting the old segments use CALCulate<Chn>:LIMit:DATA.

<Chn> | Channel number used to identify the active trace.
<numeric_value> | Pair(s) of frequency, power or time values, to be defined in accordance with the domain setting (CALCulate<Chn>:LIMit:CONTrol:DOMain).
Range [def. unit] | Almost no restriction for limit segments; see Rules for Limit Line Definition. [Hz for frequency sweeps, dBm for power sweeps, s for time sweeps]
*RST value | – A segment that is created implicitly, e.g. by means of CALCulate<Chn>:LIMit:UPPer[:DATA] or CALCulate<Chn>:LIMit:LOWer[:DATA,], covers the maximum sweep range of the analyzer.
SCPI, Command Types | Confirmed, with query.
Example: | *RST; :CALC:LIM:CONT 1 GHZ, 2 GHZ Define an upper limit line segment in the stimulus range between 1 GHz and 2 GHz, using default response values. CALC:LIM:DISP ON Show the limit line segment in the active diagram.

CALCulate<Chn>:LIMit:CONTrol:DOMain
FLIN | FLOG | FSEG | FSINgle | TLIN | TLOG | PLIN | PLOG | PSINgle

Deletes the existing limit line and (re-)defines the physical units of the stimulus values of the limit line. The units of the response values and the scaling of the y-axis are defined via CALCulate<Chn>:LIMit:RDOMain:...

<Chn>

Channel number used to identify the active trace.

Parameters

Keywords for the units of the stimulus values.

The selected unit must be compatible with the sweep type ([SENSe<Ch>:]SWEep:TYPE); otherwise the limit line can not be displayed and no limit check is possible.

Range [def. unit]

The parameters form three groups:

  • FLIN, FLOG, FSEG, and FSINgle select frequency units [default: Hz] for the limit line.

  • TLIN and TLOG select time units [default: s].

  • PLIN, PLOG and PSINgle select power units [default: dBm].

*RST value

FLIN

SCPI, Command Types

Device-specific, no query.

Example:

SWE:TYPE POW

Select a power sweep.

CALC:LIM:CONT:DOM PLIN

Delete all existing limit line segments and select level units for the limit line of the active trace.

CALC:LIM:CONT -20 DBM, -10 DBM

Define a limit line segment in the stimulus range between –20 dBm and –10 dBm.

CALCulate<Chn>:LIMit:CONTrol:SHIFt <numeric_value>

Shifts the limit line in horizontal direction.

<Chn>

Channel number used to identify the active trace.

<numeric_value>

Amount that the limit line is shifted.

Range [def. unit]

Almost no restriction for limit segments; see Rules for Limit Line Definition. [Hz for frequency sweeps, dBm for power sweeps, s for time sweeps, see CALCulate<Chn>:LIMit:CONTrol:DOMain]

*RST value

–

SCPI, Command Types

Device-specific, no query.

Example:

*RST; :CALC:LIM:CONT 1 GHZ, 2 GHZ

Define a limit line segment in the stimulus range between 1 GHz and 2 GHz, using default response values.

CALC:LIM:CONT:SHIF 1; :CALC:LIM:CONT?

Shift the segment by 1 Hz. The modified limit line segment extends from 1000000001 (Hz) to 2000000001 (Hz).

CALCulate<Chn>:LIMit:DATA <type>, <start_stim>, <stop_stim>, <start_resp>, <stop_resp>{,<type>, <start_stim>, <stop_stim>, <start_resp>, <stop_resp>}

Defines the limit line type, the stimulus and response values for a limit line with an arbitrary number of limit line segments.

In contrast to CALCulate<Chn>:LIMit:CONTrol[:DATA], this command does not overwrite existing limit line segments. The defined segments are appended to the segment list as new segments.

<Chn>

Channel number used to identify the active trace.

<type>

Identifier for the type of the limit line segment.

Range [def. unit]

0 – Limit line segment off, segment defined but no limit check performed
1 – Upper limit line segment
2 – Lower limit line segment

<start_stim>,
<stop_stim>,
<start_resp>,
<stop_resp>

Stimulus and response values of the first and last points of the limit line segment.

Range [def. unit]

Almost no restriction for limit segments; see Rules for Limit Line Definition. [Hz for frequency sweeps, dBm for power sweeps, s for time sweeps, see CALCulate<Chn>:LIMit:CONTrol:DOMain]

*RST values

– (no limit line defined after *RST)

SCPI, Command Types

Device-specific, with query.

Example:

*RST; :CALC:LIM:CONT 1 GHZ, 1.5 GHZ

Define an upper limit line segment in the stimulus range between 1 GHz and 1.5 GHz, using default response values.

CALC:LIM:DATA 1,1500000000, 2000000000,2,3

Define an upper limit line segment in the stimulus range between 1.5 GHz and 2 GHz, assigning response values of +2 dBm and +3 dBm.

CALC:LIM:DISP ON

Show the limit line segment in the active diagram.

CALCulate<Chn>:LIMit:DELete:ALL

Deletes all limit line segments.

<Chn>

Channel number used to identify the active trace.

*RST value

–

SCPI, Command Types

Device-specific, no query.

Example:

*RST; :CALC:LIM:CONT 1 GHZ, 1.5 GHZ

Define an upper limit line segment in the stimulus range between 1 GHz and 1.5 GHz, using default response values.

CALC:LIM:DATA 1,1500000000, 2000000000,2,3

Define an upper limit line segment in the stimulus range between 1.5 GHz and 2 GHz, assigning response values of +2 dBm and +3 dBm.

CALC:LIM:DEL:ALL

Delete both created limit line segments.

CALCulate<Chn>:LIMit:DISPlay[:STATe] <Boolean>

Displays or hides the entire limit line (including all segments) associated to the active trace.

<Chn> | Channel number used to identify the active trace.
<Boolean> | ON | OFF - Limit line on or off.
*RST value | OFF
SCPI, Command Types | Device-specific, command or query.
Example: | *RST; :CALC:LIM:CONT 1 GHZ, 2 GHZ Define an upper limit line segment in the stimulus range between 1 GHz and 2 GHz, using default response values. CALC:LIM:DISP ON Show the limit line segment in the active diagram.

CALCulate<Chn>:LIMit:FAIL?

Returns a 0 or 1 to indicate whether or not the limit check has failed.

Use CALCulate<Chn>:CLIMits:FAIL? to perform a composite (global) limit check.

In remote control, the limit check result is calculated once at the end of each sweep. If the limit lines are changed, a new sweep is required to obtain updated limit check results. In single sweep mode (INITiate<Ch>:CONTinuous OFF), the new sweep must be started explicitly using INITiate<Ch>[:IMMediate]:SCOPe ALL | SINGle. This behavior is different from manual control where a changed limit line can directly affect the pass/fail result of the displayed trace.

<Chn> | Channel number used to identify the active trace.
Response | 0 | 1 - 0 represents pass, 1 represents fail.
*RST value | 0
SCPI, Command Types | Confirmed, query only.
Example: | *RST; :CALC:LIM:CONT 1 GHZ, 2 GHZ Define an upper limit line segment in the stimulus range between 1 GHz and 2 GHz, using default response values. CALC:LIM:STAT ON; FAIL? Switch the limit check on and query the result.

CALCulate<Chn>:LIMit:LOWer[:DATA] <numeric_value>,<numeric_value>{,<numeric_value>,<numeric_value>}

Defines the response (y-axis) values of the lower limit line and/or creates new limit line segments.

The commands CALCulate<Chn>:LIMit:LOWer[:DATA] and CALCulate<Chn>:LIMit:UPPer[:DATA] use a fixed numbering scheme for limit line segments: Upper limit line segments are assigned odd numbers (1, 3, 5,...), lower limit line segments are assigned even numbers (2, 4, 6,...).

Rules for creating segments

<Chn> | Channel number used to identify the active trace.
<numeric_value> | Pair(s) of response values.
Range [def. unit] | Almost no restriction for limit segments; see Rules for Limit Line Definition. [dB]
*RST value | – The response value of a segment that is created implicitly, e.g. an upper limit line segment, is –20 dB.
SCPI, Command Types | Confirmed, with query.
Example: | CALC:LIM:LOW -10, 0, 0, -10 Define the following lower and (default) upper limit line segments: CALC:LIM:DISP ON Show the limit line segments in the active diagram.

CALCulate<Chn>:LIMit:LOWer:FEED <stimulus_offset>,<response_offset>[,<trace_name>]

Generates a lower limit line using the stimulus values of a data or memory trace and specified offset values.

<Chn>

Channel number used to identify the active trace. This trace provides the stimulus data for the limit line unless another trace <trace_name> is specified.

<stimulus_offset>

Stimulus offset value, used to shift all imported limit line segments in horizontal direction.

Range [def. unit]

-1000 GHz to +1000 GHz [Hz]

*RST value

0 Hz

<response_offset>

Response offset value, used to shift all imported limit line segments in vertical direction.

Range [def. unit]

-1012 dB to +1012 dB [dB]

*RST value

0 dB

<trace_name>

Name of the selected trace as used e.g. in CALCulate<Ch>:PARameter:SDEFine. If no trace name is specified the analyzer uses the active trace no. <Chn>.

SCPI, Command Types

Device-specific, no query.

Example:

CALC:LIM:LOW:FEED 1 GHZ, -10

Use the stimulus values of the active trace, shifted by 1 GHz to the right and decreased by 10 dB, to create a lower limit line.

CALC:LIM:LOW:SHIF -3; :CALC:LIM:CONT:SHIF 1 GHz

Shift the limit line by an additional –3 dB in vertical and by 1 GHz in horizontal direction. If an upper limit line exists it is also shifted.

CALCulate<Chn>:LIMit:LOWer:SHIFt <numeric_value>

Shifts all lower and upper limit line segments assigned to the active trace in vertical direction.

This command is identical with CALCulate<Chn>:LIMit:UPPer:SHIFt.

<Chn> | Channel number used to identify the active trace.
<numeric_value> | Response offset value for all limit line segments.
Range [def. unit] | Almost no restriction for limit segments; see Rules for Limit Line Definition. [dB]
*RST value | –
SCPI, Command Types | Device-specific, no query.
Example: | See CALCulate<Chn>:LIMit:LOWer:FEED.

CALCulate<Chn>:LIMit:LOWer:STATe <Boolean>

Switches the lower limit check on or off. Lower limit line segments are assigned even numbers; see CALCulate<Chn>:LIMit:LOWer[:DATA]. The command does not affect segments with odd numbers.

Use CALCulate<Chn>:LIMit:STATe to switch on or off the entire limit check, including upper and lower limit lines.

<Chn> | Channel number used to identify the active trace.
<Boolean> | ON | OFF - Limit check on or off.
*RST value | OFF
SCPI, Command Types | Confirmed, command or query.
Example: | CALC:LIM:LOW -10, 0, 0, -10 Define the following lower and (default) upper limit line segments: CALC:LIM:LOW:STAT ON; CALC:LIM:FAIL? Switch the limit check on and query the result.

CALCulate<Chn>:LIMit:RDOMain:COMPlex
S | SINV | Y | Z | YREL | ZREL

Deletes the existing limit line and (re-)defines the physical units of the response values of the limit line. The units of the stimulus values are defined via CALCulate<Chn>:LIMit:CONTrol:DOMain.

This command is complemented by CALCulate<Chn>:LIMit:RDOMain:FORMatand CALCulate<Chn>:LIMit:RDOMain:SPACing.

<Chn>

Channel number used to identify the active trace.

Parameters

Keyword for the physical unit of the response values.

Range [def. unit]

The parameters form four groups:

  • S and SINV select relative units (dB) for the limit line.

  • Y selects admittance units (S/Siemens).

  • Z selects impedance units (Ω).

  • YREL and ZREL select dimensionless numbers (U).

[–]

*RST value

–

SCPI, Command Types

Device-specific, no query.

CALCulate<Chn>:LIMit:RDOMain:FORMat
COMPlex | MAGNitude | PHASe | REAL | IMAGinary | SWR | GDELay | L | C

Deletes the existing limit line and (re-)defines the physical units of the response values of the limit line. The units of the stimulus values are defined via CALCulate<Chn>:LIMit:CONTrol:DOMain.

This command is complemented by CALCulate<Chn>:LIMit:RDOMain:COMPlex and CALCulate<Chn>:LIMit:RDOMain:SPACing.

<Chn>

Channel number used to identify the active trace.

Parameters

Keyword for the physical unit of the response values.

Range [def. unit]

The parameters form four groups:

  • COMPlex, REAL, IMAGinary, and SWR select dimensionless numbers (U) for the limit line.

  • MAGNitude selects relative units (dB).

  • PHASe selects phase units (deg).

  • GDELay selects time units (s).

  • L selects inductance units (H/Henry).

  • C selects capacitance units (F/Farad).

[–]

*RST value

–

SCPI, Command Types

Device-specific, no query.

CALCulate<Chn>:LIMit:RDOMain:SPACing
LINear | LOGarithmic | dB | SIC

Deletes the existing limit line and (re-)defines the physical units of the response values of the limit line. The units of the stimulus values are defined via CALCulate<Chn>:LIMit:CONTrol:DOMain.

This command is complemented by CALCulate<Chn>:LIMit:RDOMain:COMPlex and CALCulate<Chn>:LIMit:RDOMain:FORMat.

<Chn> | Channel number used to identify the active trace.
Parameters | Keyword for the physical unit of the response values.
Range [def. unit] | The analyzer uses dB units, irrespective of the parameter selected. [–]
*RST value | –
SCPI, Command Types | Device-specific, no query.

CALCulate<Chn>:LIMit:SEGMent<Seg>:AMPLitude:STARt <numeric_value>

Changes the start response value (i.e. the response value assigned to the start stimulus value) of a limit line segment. A segment must be created first to enable this command (e.g CALC:LIM:DATA).

To define the response values of several limit line segments with a single command, use CALCulate<Chn>:LIMit:LOWer[:DATA] or CALCulate<Chn>:LIMit:UPPer[:DATA].

<Chn>

Channel number used to identify the active trace.

<Seg>

Segment number

<numeric_value>

Response value

Range [def. unit]

Almost no restriction for limit segments; see Rules for Limit Line Definition.
[dB]

*RST value

–

The default response values of a segment that is created by defining its stimulus values only (e.g. by means of CALCulate<Chn>:LIMit:CONTrol[:DATA]), is –20 dB.

SCPI, Command Types

Device-specific, with query.

Example:

CALC:LIM:DATA 1,1500000000, 2000000000,2,3

Define an upper limit line segment (segment no. 1) in the stimulus range between 1.5 GHz and 2 GHz, assigning response values of +2 dBm and +3 dBm.

:CALC:LIM:SEGM:AMPL:STAR 5; STOP 5; :CALC:LIM:SEGM:TYPE LMIN

Change the segment to a lower limit line segment with a constant response value of +5 dB.

CALC:LIM:DATA?

Query the type, the stimulus and response values of the created segment with a single command. The response is 2,1000000,2000000,5,5.

CALCulate<Chn>:LIMit:SEGMent<Seg>:AMPLitude:STOP <numeric_value>

Changes the stop response value (i.e. the response value assigned to the stop stimulus value) of a limit line segment. A segment must be created first to enable this command (e.g CALC:LIM:DATA).

To define the response values of several limit line segments with a single command, use CALCulate<Chn>:LIMit:LOWer[:DATA] or CALCulate<Chn>:LIMit:UPPer[:DATA].

<Chn> | Channel number used to identify the active trace.
<Seg> | Segment number
<numeric_value> | Response value
Range [def. unit] | Almost no restriction for limit segments; see Rules for Limit Line Definition. [dB]
*RST value | – The default response values of a segment that is created by defining its stimulus values only (e.g. by means of CALCulate<Chn>:LIMit:CONTrol[:DATA]), is –20 dB.
SCPI, Command Types | Device-specific, with query.
Example: | See CALCulate<Chn>:LIMit:SEGMent<Seg>:AMPlitude:STARt.

CALCulate<Chn>:LIMit:SEGMent<Seg>:COUNt?

Queries the number of limit line segments.

<Chn> | Channel number used to identify the active trace.
<Seg> | Limit line segment number. This suffix is ignored; the command counts all ranges.
Response | 0 | 1 | ...- number of (enabled or disabled)) limit line segments.
*RST value | 0
SCPI, Command Types | Device-specific, query only.
Example: | CALC:LIM:DATA 1,1500000000, 2000000000,2,3 Define an upper limit line segment (segment no. 1) in the stimulus range between 1.5 GHz and 2 GHz, assigning response values of +2 dBm and +3 dBm. CALC:LIM:SEGM:COUNT? Query the number of segments. The response is 1.

CALCulate<Chn>:LIMit:SEGMent<Seg>:STIMulus:STARt <numeric_value>

Changes the start stimulus value (i.e. the smallest stimulus value) of a limit line segment. A segment must be created first to enable this command (e.g CALC:LIM:DATA).

To define the stimulus values of several limit line segments with a single command, use CALCulate<Chn>:LIMit:CONTrol[:DATA].

<Chn>

Channel number used to identify the active trace.

<Seg>

Segment number

<numeric_value>

Frequency, power or time value, to be defined in accordance with the domain setting (CALCulate<Chn>:LIMit:CONTrol:DOMain).

Range [def. unit]

Almost no restriction for limit segments; see Rules for Limit Line Definition.
[Hz for frequency sweeps, dBm for power sweeps, s for time sweeps]

*RST value

–

A segment that is created implicitly, e.g. by means of CALCulate<Chn>:LIMit:UPPer[:DATA] or CALCulate<Chn>:LIMit:LOWer[:DATA,], covers the maximum sweep range of the analyzer.

SCPI, Command Types

Device-specific, with query.

Example:

CALC:LIM:DATA 1,1500000000, 2000000000,2,3

Define an upper limit line segment (segment no. 1) in the stimulus range between 1.5 GHz and 2 GHz, assigning response values of +2 dBm and +3 dBm.

CALC:LIM:SEGM:STIM:STAR 1GHZ; STOP 2 GHZ; :CALC:LIM:SEGM:TYPE LMIN

Change the segment to a lower limit line segment with a stimulus range between 1 GHz and 2 GHz.

CALC:LIM:DATA?

Query the type, the stimulus and response values of the created segment with a single command. The response is 2,1000000,2000000,2,3.

CALCulate<Chn>:LIMit:SEGMent<Seg>:STIMulus:STOP <numeric_value>

Changes the stop stimulus value (i.e. the largest stimulus value) of a limit line segment. A segment must be created first to enable this command (e.g CALC:LIM:DATA).

To define the stimulus values of several limit line segments with a single command, use CALCulate<Chn>:LIMit:CONTrol[:DATA].

<Chn> | Channel number used to identify the active trace.
<Seg> | Segment number
<numeric_value> | Frequency, power or time value, to be defined in accordance with the domain setting (CALCulate<Chn>:LIMit:CONTrol:DOMain).
Range [def. unit] | Almost no restriction for limit segments; see Rules for Limit Line Definition. [Hz for frequency sweeps, dBm for power sweeps, s for time sweeps]
*RST value | – A segment that is created implicitly, e.g. by means of CALCulate<Chn>:LIMit:UPPer[:DATA] or CALCulate<Chn>:LIMit:LOWer[:DATA,], covers the maximum sweep range of the analyzer.
SCPI, Command Types | Device-specific, with query.
Example: | See CALCulate<Chn>:LIMit:SEGMent<Seg>:STIMulus:STARt.

CALCulate<Chn>:LIMit:SEGMent<Seg>:TYPE
LMIN | LMAX | OFF

Selects the limit line type for a limit line segment. This can be done before or after defining the stimulus and response values of the segment, however, a segment must be created first to enable this command (e.g CALC:LIM:DATA).

The type command overwrites the CALCulate<Chn>:LIMit:DATA settings and is overwritten by them. It is not affected by the other commands in the LIMit subsystem defining stimulus and response values of limit lines.

<Chn> | Channel number used to identify the active trace.
<Seg> | Segment number
Parameters | Limit line type
Range [def. unit] | LMAX (upper limit line segment), LMIN (lower limit line segment), OFF (limit check switched off, limit line segment not deleted) [–]
*RST value | LMAX
SCPI, Command Types | Device-specific, with query.
Example: | *RST; :CALC:LIM:UPP 0, 0 Define an upper limit line segment across the entire sweep range, using a constant upper limit of 0 dBm. CALC:LIM:SEGM:TYPE LMIN Turn the defined limit line segment into a lower limit line segment.

CALCulate<Chn>:LIMit:SOUNd[:STATe]

Switches the acoustic signal (fail beep) on or off. The fail beep is generated each time the analyzer detects an exceeded limit.

<Chn> | Channel number used to identify the active trace.
<Boolean> | ON | OFF - Fail beep on or off.
*RST value | OFF
SCPI, Command Types | Confirmed, command or query.
Example: | CALC:LIM:STAT ON; SOUN ON Switch the limit check on and activate the fail beep.

CALCulate<Chn>:LIMit:STATe

Switches the limit check (including upper and lower limits) on or off.

Use CALCulate<Chn>:LIMit:UPPer:STATe or CALCulate<Chn>:LIMit:LOWer:STATe to switch on or off the individual limit checks for upper or lower limit lines.

<Chn> | Channel number used to identify the active trace.
<Boolean> | ON | OFF - Limit check on or off.
*RST value | OFF
SCPI, Command Types | Confirmed, command or query.
Example: | *RST; :CALC:LIM:CONT 1 GHZ, 2 GHZ Define an upper limit line segment in the stimulus range between 1 GHz and 2 GHz, using default response values. CALC:LIM:STAT ON; FAIL? Switch the limit check on and query the result.

CALCulate<Chn>:LIMit:TTLout<Output_no>[:STATe] <Boolean>

Switches the TTL pass/fail signals on or off. The signals are applied to the USER CONTROL connector as long as the active trace <Chn> is within limits, including the ripple limits.

<Chn> | Channel number used to identify the active trace.
<Output_no> | 1 – TTL out pass 1 (pin 13 of USER CONTROL connector) 2 – TTL out pass 2 (pin 14 of USER CONTROL connector)
<Boolean> | ON | OFF - TTL output signal on or off.
*RST value | OFF
SCPI, Command Types | Device-specific, command or query.
Example: | *RST; :CALC:LIM:CONT 1 GHZ, 2 GHZ Define an upper limit line segment in the stimulus range between 1 GHz and 2 GHz, using default response values. CALC:LIM:STAT ON; TTL2 ON Switch the limit check on and activate the TTL out pass 2 signal.

CALCulate<Chn>:LIMit:UPPer[:DATA] <numeric_value>,<numeric_value>{,<numeric_value>,<numeric_value>}

Defines the response (y-axis) values of the upper limit line and/or creates new limit line segments.

The commands CALCulate<Chn>:LIMit:LOWer[:DATA] and CALCulate<Chn>:LIMit:UPPer[:DATA] use a fixed numbering scheme for limit line segments: Upper limit line segments are assigned odd numbers (1, 3, 5,...), lower limit line segments are assigned even numbers (2, 4, 6,...).

Rules for creating segments

<Chn> | Channel number used to identify the active trace.
<numeric_value> | Pair(s) of response values.
Range [def. unit] | Almost no restriction for limit segments; see Rules for Limit Line Definition. [dB]
*RST value | – The response value of a segment that is created implicitly, e.g. an lower limit line segment, is –20 dB.
SCPI, Command Types | Confirmed, with query.
Example: | CALC:LIM:UPP -10, 0, 0, -10 Define the following upper and (default) lower limit line segments: CALC:LIM:DISP ON Show the limit line segments in the active diagram.

CALCulate<Chn>:LIMit:UPPer:FEED

Generates an upper limit line using the stimulus values of a data or memory trace and specified offset values.

<Chn>

Channel number used to identify the active trace. This trace provides the stimulus data for the limit line unless another trace <trace_name> is specified.

<stimulus_offset>

Stimulus offset value, used to shift all imported limit line segments in horizontal direction.

Range [def. unit]

-1000 GHz to +1000 GHz [Hz]

*RST value

0 Hz

<response_offset>

Response offset value, used to shift all imported limit line segments in vertical direction.

Range [def. unit]

-1012 dB to +1012 dB [dB]

*RST value

0 dB

<trace_name>

Name of the selected trace as used e.g. in CALCulate<Ch>:PARameter:SDEFine. If no trace name is specified the analyzer uses the active trace no. <Chn>.

SCPI, Command Types

Device-specific, no query.

Example:

CALC:LIM:UPP:FEED 1 GHZ, 10

Use the stimulus values of the active trace, shifted by 1 GHz to the right and increased by 10 dB, to create an upper limit line.

CALC:LIM:UPP:SHIF 3; :CALC:LIM:CONT:SHIF 1 GHz

Shift the limit line by an additional 3 dB in vertical and by 1 GHz in horizontal direction. If a lower limit line exists it is also shifted.

CALCulate<Chn>:LIMit:UPPer:SHIFt <numeric_value>

Shifts all lower and upper limit line segments assigned to the active trace in vertical direction.

This command is identical with CALCulate<Chn>:LIMit:LOWer:SHIFt.

<Chn> | Channel number used to identify the active trace.
<numeric_value> | Response offset value for all limit line segments.
Range [def. unit] | Almost no restriction for limit segments; see Rules for Limit Line Definition. [dB]
*RST value | –
SCPI, Command Types | Device-specific, no query.
Example: | See CALCulate<Chn>:LIMit:UPPer:FEED.

CALCulate<Chn>:LIMit:UPPer:STATe <Boolean>

Switches the upper limit check on or off. Upper limit line segments are assigned odd numbers; see CALCulate<Chn>:LIMit:UPPer[:DATA]. The command does not affect segments with even numbers.

Use CALCulate<Chn>:LIMit:STATe to switch on or off the entire limit check, including upper and lower limit lines.

<Chn> | Channel number used to identify the active trace.
<Boolean> | ON | OFF - Limit check on or off.
*RST value | OFF
SCPI, Command Types | Confirmed, command or query.
Example: | CALC:LIM:UPP -10, 0, 0, -10 Define the following upper and (default) lower limit line segments: CALC:LIM:UPP:STAT ON; :CALC:LIM:FAIL? Switch the limit check on and query the result.


CALCulate_MARKer

:AOFF

:BWIDth?

:COUPled

[:STATe]

:DELTa

[:STATe]

:FORMat

:FUNCtion

:BWIDth

:GMCenter

:MODE

:CENTer

:DELTa

[:STATe]

:DOMain

:USER

:SHOW

:STARt

:STOP

:EXECute

:RESult?

:STARt

:STOP

[:SELect]

:TARGet

:MAXimum

:MINimum

:MODE

:NAME

:REFerence

:MODE

:NAME

[:STATe]

:TYPE

:X

:Y?

:SEARch

:BFILter

:RESult

[:STATe]

[:IMMediate]

:LEFT

:NEXT

:RIGHt

:TRACking

[:STATe]

:TARGet

:TYPE

:X

:Y?

CALCulate<Chn>:MARKer<Mk>...

This subsystem controls the marker functions. The commands are device-specific and beyond what is specified in the SCPI subsystem SOURce:MARKer.

Command tree: CALCulate<Chn>:MARKer

CALCulate<Chn>:MARKer<Mk>:AOFF

Removes all markers from all traces of the active setup. The removed markers remember their properties (stimulus value, format, delta mode, number) when they are restored (CALC<Chn>:MARK<Mk> ON). The marker properties are definitely lost if the associated trace is deleted.

<Chn> | Channel number used to identify the active trace. If unspecified the numeric suffix is set to 1.
<Mk> | Marker number in the range 1 to 10. This numeric suffix is ignored and may be set to any value.
*RST value | –
SCPI, Command Types | Device-specific, no query.
Example: | Suppose that the active setup contains an active trace no. 1. CALC:MARK1 ON; MARK2 ON Create markers 1 and 2 and assign them to the trace no. 1. CALC:MARK:AOFF Remove both markers.
CALCulate<Chn>:MARKer<Mk>:BWIDth <x_dB_Bandwidth>

Sets the bandfilter level for a bandfilter search or returns the results. The command is only available after a bandfilter search has been executed (CALCulate<Chn>:MARKer<Mk>:FUNCtion:EXECute BFILter; see example below).

<Chn>

Channel number used to identify the active trace.

<Mk>

Marker number in the range 1 to 10. This numeric suffix is ignored and may be set to any value because the bandfilter search functions always use markers M 1 to M 4.

<x_dB_Bandwidth>

x dB Bandwidth parameter. The x dB Bandwidth is the difference between the band edges and the center response value of a bandfilter peak; it must be negative for a bandpass search and positive for a bandstop search.

Range [def. unit]

For bandpass: –100.00 dB to –0.01 dB, the increment (UP/DOWN) is 0.3 dB. [dB]
For bandstop: +0.01 dB to +100.00 dB, the increment (UP/DOWN) is 0.3 dB. [dB]

*RST value

–3 dB

Response for query:

Search result in the format <Bandwidth>, <Center_Stimulus>, <Q>, <Loss>, <LBE>, <UBE> where:

<Bandwidth>

n-dB bandwidth of the bandpass/bandstop region, where n is the selected x dB Bandwidth (setting command CALCulate<Chn>:MARKer<Mk>:BWIDth <x dB Bandwidth>).

<Center_Stimulus>

Stimulus frequency at the center of the bandpass/bandstop region (the stimulus value of marker no. 4).

<Q>

Quality factor, i.e. the ratio between the center frequency and the 3-dB bandwidth

<Loss>

Loss at the center of the bandpass/bandstop region (the response value of marker no. 4 at the time of the bandfilter search).

<LBE>

Lower band edge

<UBE>

Upper band edge

Range [def. unit]

Depending on the measurement parameter. [units depending on the sweep type and the marker format; see CALCulate<Chn>:MARKer<Mk>:FORMat]

*RST value

–

SCPI, Command Types

Device-specific, query only.

Example:

CALC:MARK:FUNC:BWID:MODE BST

Select a bandstop filter search.

CALC:MARK:FUNC:BWID:GMC OFF

Use the arithmetic mean value of lower and upper band edge to calculate the center of the bandstop region.

CALC:MARK:FUNC:EXEC BFIL

Initiate the bandpass filter search for the current trace. Create markers 1 to 4.

CALC:MARK:SEAR:BFIL:RES ON

Display the marker info field in the diaram area.

CALC:MARK:BWID 6

Select a 6-dB bandwidth for the bandstop.

CALC:MARK:BWID?

Query the results of the bandfilter search. An error message is generated if the bandfilter search fails so that no valid results are available.

CALCulate<Chn>:MARKer<Mk>:COUPled[:STATe] <Boolean>

Couples the markers of all traces in the active setup to the markers of trace no. <Chn>, provided that they have the same sweep type (SENSe<Chn>:FUNCtion).

<Chn>

Channel number used to identify the active trace. The effects of marker coupling depend on the active trace number; see Coupled Markers.

<Mk>

Marker number in the range 1 to 10. This suffix is ignored because the command affects all markers.

<Boolean>

ON | OFF - Enables or disables marker coupling.

*RST value

OFF

SCPI, Command Types

Device-specific, command or query.

Example:

Suppose that the active setup contains two traces Trc1 and Trc2, assigned to channels no. 1 and 2, respectively.

:CALC1:PAR:SEL 'TRC1'; :CALC1:MARK1 ON; MARK2 ON

Select Trc1 as the active trace and create the two markers no. 1 and 2. The default position for both markers is the center of the sweep range.

CALC1:MARK:COUP ON

Create two markers no. 1 and 2 on Trc 2 and couple them to the markers of Trc 1.

CALCulate<Chn>:MARKer<Mk>:DELTa[:STATe] <Boolean>

Switches the delta mode for marker <Mk> on trace no. <Chn> on or off. The marker must be created before using CALCulate<Chn>:MARKer<Mk>[:STATe] ON. If the active trace contains no reference marker, the command also creates a reference marker.

<Chn> | Channel number used to identify the active trace.
<Mk> | Marker number in the range 1 to 10.
<Boolean> | ON | OFF - Enables or disables the delta mode.
*RST value | OFF
SCPI, Command Types | Device-specific, command or query.
Example: | Suppose that the active setup contains an active trace no. 1. CALC:MARK ON Create marker no. 1 and set it to the center of the sweep range. CALC:MARK:DELT ON Create a reference marker at the center of the sweep range and set marker 1 to delta mode.
CALCulate<Chn>:MARKer<Mk>:FORMat
MLINear | MLOGarithmic | PHASe | POLar | COMPlex | GDELay | REAL | IMAGinary | SWR | LINPhase | LOGPhase | IMPedance | ADMittance | MDB | MLPHase | MDPHase | DEFault

Defines the output format for the (complex) value of marker <Mk> on trace no. <Chn>.

Note: The formats of the markers assigned to a trace are independent of each other and of the trace format settings; see CALCulate<Chn>:FORMat.

<Chn> | Channel number used to identify the active trace.
<Mk> | Marker number in the range 1 to 10.
Parameters | See list of parameters below.
*RST value | DEFault
SCPI, Command Types | Device-specific, command or query
Example: | Suppose that the active setup contains an active trace no. 1. CALC:MARK ON; :CALC:MARK:FORM? Create marker 1, assign it to the trace no. 1 and query its format. The analyzer returns the format of the active trace.

Assume that the marker result is given by the complex quantity z = x + jy. The meaning of the parameters is as follows:

DEFault

The format of the trace no. <Chn> (MLOG after *RST); see CALCulate<Chn>:FORMat.

MLINear

|z| = sqrt ( x2 + y2 )

MLOGarithmic
MDB

|z| = sqrt ( x2 + y2 )
dB Mag(z) = 20 * log|z| dB

PHASe

φ (z) = arctan ( Im(z) / Re(z) )

POLar
COMPlex

x, y (Real and Imag)

GDELay

Group Delay, – d f (z)/dΩ

REAL

x

IMAGinary

y

SWR

Standing Wave Ratio, SWR = (1 + |z|) / (1 – |z|)

LINPhase
MLPhase

Lin Mag and Phase, |z|, arctan ( Im(z) / Re(z) )

LOGPhase
MDPhase

dB Mag and Phase, 20 * log|z| dB, arctan ( Im(z) / Re(z) )

IMPedance

R, X, L or C (depending on sign(X))

ADMittance

G, B, L/C (depending on sign(X))

CALCulate<Chn>:MARKer<Mk>:FUNCtion:BWIDth <x dB Bandwidth>

Defines the bandfilter level, i.e. the minimum excursion for the bandpass and bandstop peaks.

Use CALCulate<Chn>:MARKer<Mk>:BWIDth to set the x dB Bandwidth and query the results of a bandfilter search. Note the sign convention for input values.

<Chn> | Channel number used to identify the active trace
<Mk> | Marker number in the range 1 to 10. This numeric suffix is ignored and may be set to any value because the bandfilter search functions always use markers M 1 to M 4.
<x dB Bandwidth> | x dB Bandwidth parameter
Range [def. unit] | 0.01 dB to 100.00 dB, the increment (UP. DOWN) is 0.3 dB. [dB]
*RST value | 3 dB.
SCPI, Command Types | Device-specific, command or query.
Example: | See CALCulate<Chn>:MARKer<Mk>:BWIDth.

CALCulate<Chn>:MARKer<Mk>:FUNCtion:BWIDth:GMCenter <Boolean>

Specifies how the center frequency of a bandfilter search is calculated.

<Chn> | Channel number used to identify the active trace
<Mk> | Marker number in the range 1 to 10. This numeric suffix is ignored and may be set to any value because the bandfilter search functions always use markers M 1 to M 4.
<Boolean> | ON – use geometric mean of lower and upper band edge OFF – use arithmetic mean value
*RST value | n/a (*RST does not affect the calculation rule; the factory setting is ON/geometric mean)
SCPI, Command Types | Device-specific, command or query.
Example: | See CALCulate<Chn>:MARKer<Mk>:BWIDth.

CALCulate<Chn>:MARKer<Mk>:FUNCtion:BWIDth:MODE
BPASs | BSTop | BPRMarker | BSRMarker | BPABsolute | BSABsolute

Selects the bandfilter search mode.

<Chn> | Channel number used to identify the active trace
<Mk> | Marker number in the range 1 to 10. This numeric suffix is ignored and may be set to any value because the bandfilter search functions always use markers M 1 to M 4.
Parameters | Bandfilter search type: BPASs: Bandpass Search Ref to Max BSTop: Bandstop Search Ref to Max BPRMarker: Bandpass Search Ref to Marker BSRMarker: Bandstop Search Ref to Marker BPABsolute: Bandpass Absolute Level BSABsolute: Bandstop Absolute Level
*RST value | BPASs
SCPI, Command Types | Device-specific, command or query.
Example: | See CALCulate<Chn>:MARKer<Mk>:BWIDth.

CALCulate<Chn>:MARKer<Mk>:FUNCtion:CENTer

Sets the center of the sweep range equal to the stimulus value of the marker <Mk> on trace no. <Chn>.

<Chn> | Channel number used to identify the active trace
<Mk> | Marker number in the range 1 to 10
Range [def. unit] | – [–]
*RST value | –
SCPI, Command Types | Device-specific, no query.
Example: | *RST; :CALC:MARK ON Create marker 1 in the center of the current sweep range and assign it to trace no. 1. CALC:MARK:FUNC:CENT Leave the sweep range unchanged.
CALCulate<Chn>:MARKer<Mk>:FUNCtion:DELTa:STATe <Boolean>

Switches the delta mode for marker <Mk> on trace no. <Chn> on or off.

Note: This command is the ZVR-compatible equivalent of CALCulate<Chn>:MARKer<Mk>:DELTa[:STATe].

<Chn> | Channel number used to identify the active trace
<Mk> | Marker number in the range 1 to 10
<Boolean> | ON | OFF - Enables or disables the delta mode
*RST value | OFF
SCPI, Command Types | Device-specific, command or query.
CALCulate<Chn>:MARKer<Mk>:FUNCtion:DOMain:USER <range_no>

Assigns a search range no. <numeric_value> to marker no <Mk> and selects the search range, e.g. in order to display range limit lines or define the start and stop values.

<Chn> | Channel number used to identify the active trace
<Mk> | Marker number in the range 1 to 10
<range_no> | Number of the search range
Range [def. unit] | 0 – fixed full span search range (equal to the sweep range) 1 to 10 – user-definable search ranges; see example
*RST value | 0 (reserved for full span search range)
SCPI, Command Types | Device-specific, command or query.
Example: | CALC1:MARK1:FUNC:DOM:USER 2 Select the search range no. 2, assigned to marker no. 1 and trace no. 1. CALC:MARK:FUNC:DOM:USER:STARt 1GHz Set the start frequency of the search range to 1 GHz. CALC:MARK:FUNC:DOM:USER:STOP 1.2GHz Set the stop frequency of the search range to 1.2 GHz.
CALCulate<Chn>:MARKer<Mk>:FUNCtion:DOMain:USER:SHOW <Boolean>

Displays or hides range limit lines for the search range selected via CALCulate<Chn>:MARKer<Mk>:FUNCtion:DOMain:USER <numeric_value>.

<Chn> | Channel number used to identify the active trace
<Mk> | Marker number in the range 1 to 10
<Boolean> | ON | OFF - Range limit lines on or off
*RST value | OFF
SCPI, Command Types | Device-specific, command or query.
Example: | See CALCulate<Chn>:STATistics:DOMain:USER

CALCulate<Chn>:MARKer<Mk>:FUNCtion:DOMain:USER:STARt <start_value>

Defines the start value of the search range selected via CALCulate<Chn>:MARKer<Mk>:FUNCtion:DOMain:USER <numeric_value>.

<Chn> | Channel number used to identify the active trace
<Mk> | Marker number in the range 1 to 10
<start_value> | Beginning of the search range.
Range [def. unit] | Maximum allowed sweep range, depending on the instrument model and on the sweep type. [Hz, dBm or s, depending on the sweep type]
*RST value | 0 Hz
SCPI, Command Types | Device-specific, command or query.
Example: | See CALCulate<Chn>:MARKer<Mk>:FUNCtion:DOMain:USER <numeric_value>
CALCulate<Chn>:MARKer<Mk>:FUNCtion:DOMain:USER:STOP <stop_value>

Defines the stop value of the search range selected via CALCulate<Chn>:MARKer<Mk>:FUNCtion:DOMain:USER <numeric_value>.

<Chn> | Channel number used to identify the active trace
<Mk> | Marker number in the range 1 to 10
<stop_value> | End of the search range.
Range [def. unit] | Maximum allowed sweep range, depending on the instrument model and on the sweep type. [Hz, dBm or s, depending on the sweep type]
*RST value | 0 Hz
SCPI, Command Types | Device-specific, command or query.
Example: | See CALCulate<Chn>:MARKer<Mk>:FUNCtion:DOMain:USER <numeric_value>
CALCulate<Chn>:MARKer<Mk>:FUNCtion:EXECute
MAXimum | MINimum | RPEak | LPEak | NPEak | TARGet | LTARget | RTARget | BFILter | SPRogress

Selects a search mode for marker no. <Mk> and initiates the search. The marker must be created before using CALCulate<Chn>:MARKer<Mk>[:STATe] ON (exception: bandfilter search).

<Chn> | Channel number used to identify the active trace
<Mk> | Marker number in the range 1 to 10. For a bandfilter search (BFILter) this numeric suffix is ignored and may be set to any value because the bandfilter search functions always use markers M 1 to M 4.
Parameters | See list of parameters below.
*RST value | –
SCPI, Command Types | Device-specific, no query.
Example: | Suppose that the active setup contains an active trace no. 1. CALC:MARK ON Create marker 1 and assign it to trace no. 1. CALC:MARK:FUNC:EXEC MAX; RES? Move the created marker to the absolute maximum of the trace and query the stimulus and response value of the search result.

The analyzer provides the following search modes:

Mode | Find...
MAXimum | Absolute maximum in the search range (see CALCulate<Chn>:MARKer<Mk>:FUNCtion:DOMain:USER <numeric_value>)
MINimum | Absolute maximum in the search range
RPEak | Next valid peak to the right of the current marker position
LPEak | Next valid peak to the left
NPEak | Next highest or lowest value among the valid peaks (next peak)
TARGet | Target value (see CALCulate<Chn>:MARKer<Mk>:TARget)
RTARget | Next target value to the right of the current marker position
LTARget | Next target value to the left
BFILter | Bandfilter search. The results are queried using CALCulate<Chn>:MARKer<Mk>:BWIDth.
SPRogress | Sweep progress (marker tracking)
CALCulate<Chn>:MARKer<Mk>:FUNCtion:RESult?

Returns the result (stimulus and response value) of a search started by means of CALCulate<Chn>:MARKer<Mk>:FUNCtion:EXECute. The search must be executed before the command is enabled.

<Chn> | Channel number used to identify the active trace
<Mk> | Marker number in the range 1 to 10. This numeric suffix is ignored and may be set to any value.
Response | Search result in the format <Stimulus value>, <Response_value>
Range [def. unit] | Depending on the measurement parameter. [unit depending on the sweep type and the marker format; see CALCulate<Chn>:MARKer<Mk>:FORMat]
*RST value | –
SCPI, Command Types | Device-specific, query only
Example: | See CALCulate<Chn>:MARKer<Mk>:FUNCtion:EXECute.
CALCulate<Chn>:MARKer<Mk>:FUNCtion[:SELect]
MAXimum | MINimum | RPEak | LPEak | NPEak | TARGet | LTARget | RTARget | BFILter | SPRogress

Selects a search mode for marker no. <Mk>, which can then be initiated using one of the CALCulate<Chn>:MARKer<Mk>:SEARch..., CALCulate<Chn>:MARKer<Mk>:MAXimum or CALCulate<Chn>:MARKer<Mk>:MINimum functions. The marker must be created before using CALCulate<Chn>:MARKer<Mk>[:STATe] ON.

Note: This command is not needed expect for compatibility with ZVR programs. Use CALCulate<Chn>:MARKer<Mk>:FUNCtion:EXECute to select a search mode and at the same time initiate the search. The CALCulate<Chn>:MARKer<Mk>:SEARch..., CALCulate<Chn>:MARKer<Mk>:MAXimum or CALCulate<Chn>:MARKer<Mk>:MINimum functions also select the search mode.

<Chn> | Channel number used to identify the active trace
<Mk> | Marker number in the range 1 to 10. For a bandfilter search (BFILter) this numeric suffix is ignored and may be set to any value because the bandfilter search functions always use markers M 1 to M 4.
Parameters | See list of parameters below
*RST value | –
SCPI, Command Types | Device-specific, command or query

The analyzer provides the following search modes:

Mode | Selected search mode
MAXimum | Absolute maximum in the search range (see CALCulate<Chn>:MARKer<Mk>:FUNCtion:DOMain:USER <numeric_value>)
MINimum | Absolute maximum in the search range
RPEak | Next valid peak to the right of the current marker position
LPEak | Next valid peak to the left
NPEak | Next highest value among the valid peaks
TARGet | Target value (see CALCulate<Chn>:MARKer<Mk>:TARget)
RTARget | Next target value to the right of the current marker position
LTARget | Next target value to the left
BFILter | Bandfilter search. Bandfilter search. The results are queried using CALCulate<Chn>:MARKer<Mk>:BWIDth.
SPRogress | Sweep progress (marker tracking)

CALCulate<Chn>:MARKer<Mk>:FUNCtion:STARt

Sets the beginning (start) of the sweep range equal to the stimulus value of the marker <Mk> on trace no. <Chn>.

<Chn> | Channel number used to identify the active trace
<Mk> | Marker number in the range 1 to 10
Range [def. unit] | – [–]
*RST value | –
SCPI, Command Types | Device-specific, no query
Example: | *RST; :CALC:MARK ON Create marker 1 in the center of the current sweep range and assign it to trace no. 1. CALC:MARK:FUNC:STAR Divide the sweep range in half, starting at the current marker position.
CALCulate<Chn>:MARKer<Mk>:FUNCtion:STOP

Sets the end (stop) of the sweep range equal to the stimulus value of the marker <Mk> on trace no. <Chn>.

<Chn> | Channel number used to identify the active trace
<Mk> | Marker number in the range 1 to 10
Range [def. unit] | – [–]
*RST value | –
SCPI, Command Types | Device-specific, no query
Example: | *RST; :CALC:MARK ON Create marker 1 in the center of the current sweep range and assign it to trace no. 1. CALC:MARK:FUNC:STOP Divide the sweep range in half, ending at the current marker position.
CALCulate<Chn>:MARKer<Mk>:FUNCtion:TARGet <search_value>

Defines the target value for the target search of marker no. <Mk>, which can be activated using CALCulate<Chn>:MARKer<Mk>:FUCTion:EXECute TARGet.

Note: This command is the ZVR-compatible equivalent of CALCulate<Chn>:MARKer<Mk>:TARget.

<Chn> | Channel number used to identify the active trace
<Mk> | Marker number in the range 1 to 10
<search_value> | Target search value of marker no. <Mk>.
Range [def. unit] | Depending on the format of the active trace (CALCulate<Chn>:FORMat). For a dB Mag trace the range is –300 dB to +200 dB, the increment (UP. DOWN) is 0.1 dB. [dB, deg etc., depending on the trace format]
*RST value | Depending on the trace format; 0 dB for a dB Mag trace
SCPI, Command Types | Device-specific, command or query
CALCulate<Chn>:MARKer<Mk>:MAXimum

Selects a search mode for marker no. <Mk> and initiates a maximum search. The marker must be created before using CALCulate<Chn>:MARKer<Mk>[:STATe] ON.

Note: This command is the ZVR-compatible equivalent of CALCulate<Chn>:MARKer<Mk>:FUNCtion:EXECute MAXimum.

<Chn> | Channel number used to identify the active trace
<Mk> | Marker number in the range 1 to 10
Range [def. unit] | – [–]
*RST value | –
SCPI, Command Types | Device-specific, no query
CALCulate<Chn>:MARKer<Mk>:MINimum

Selects a search mode for marker no. <Mk> and initiates a minimum search. The marker must be created before using CALCulate<Chn>:MARKer<Mk>[:STATe] ON.

Note: This command is the ZVR-compatible equivalent of CALCulate<Chn>:MARKer<Mk>:FUNCtion:EXECute MAXimum.

<Chn> | Channel number used to identify the active trace
<Mk> | Marker number in the range 1 to 10
Range [def. unit] | – [–]
*RST value | –
SCPI, Command Types | Device-specific, no query
CALCulate<Chn>:MARKer<Mk>:MODE
CONTinuous | DISCrete

Sets marker no. <Mk> to continuous or discrete mode. The marker doesn't have to be created before (CALCulate<Chn>:MARKer<Mk>[:STATe] ON), the mode can be assigned in advance.

<Chn> | Channel number used to identify the active trace
<Mk> | Marker number in the range 1 to 10
Parameters | CONTinuous – marker can be positioned on any point of the trace, and its response values are obtained by interpolation. DISCrete – marker can be set to discrete sweep points only.
*RST value | CONT
SCPI, Command Types | Device-specific, command or quer.
Example: | Suppose that the active setup contains an active trace no. 1. CALC:MARK:MODE DISC; :CALC:MARK2:MODE CONT Create marker 1 in discrete mode and marker 2 in continuous mode. CALC:MARK ON; MARK2 ON Display the two markers. Due to the different modes the horizontal position can be different.
CALCulate<Chn>:MARKer<Mk>:NAME '<name>'

Defines a name for marker no. <Mk>. The marker doesn't have to be created before (CALCulate<Chn>:MARKer<Mk>[:STATe] ON), the name can be assigned in advance.

<Chn> | Channel number used to identify the active trace
<Mk> | Marker number in the range 1 to 10
'<name>' | Marker name (string parameter)
*RST value | 'M 1' for marker no. 1 etc.
SCPI, Command Types | Device-specific, command or query
Example: | Suppose that the active setup contains an active trace no. 1. CALC:MARK:NAME '&$% 1'; :CALC:MARK ON Create marker 1 named &$% 1 and display the marker . CALC:MARK:REF ON; :CALC:MARK:REF:NAME 'Reference' Display the reference marker and rename it Reference.
CALCulate<Chn>:MARKer<Mk>:REFerence:MODE
CONTinuous | DISCrete

Sets the reference marker to continuous or discrete mode. The marker doesn't have to be created before (CALCulate<Chn>:MARKer<Mk>:REFerence[:STATe] ON), the mode can be assigned in advance.

<Chn> | Channel number used to identify the active trace
<Mk> | Marker number in the range 1 to 10. This numeric suffix is ignored and may be set to any value.
Parameters | CONTinuous – marker can be positioned on any point of the trace, and its response values are obtained by interpolation. DISCrete – marker can be set to discrete sweep points only.
*RST value | CONT
SCPI, Command Types | Device-specific, command or query
Example: | Suppose that the active setup contains an active trace no. 1. CALC:MARK:REF:MODE DISC; :CALC:MARK2:REF:MODE CONT Create the reference marker in discrete mode and marker 2 in continuous mode. CALC:MARK:REF ON; :CALC:MARK2 ON Display the two markers. Due to the different modes the horizontal position can be different.
CALCulate<Chn>:MARKer<Mk>:REFerence:NAME '<name>'

Defines a name for the reference marker. The marker doesn't have to be created before (CALCulate<Chn>:MARKer<Mk>:REFerence[:STATe] ON), the name can be assigned in advance.

<Chn> | Channel number used to identify the active trace
<Mk> | Marker number in the range 1 to 10. This numeric suffix is ignored and may be set to any value.
'<name>' | Marker name (string parameter)
*RST value | 'R'
SCPI, Command Types | Device-specific, command or query
Example: | See CALCulate<Chn>:MARKer<Mk>:NAME.
CALCulate<Chn>:MARKer<Mk>:REFerence[:STATe] <Boolean>

Creates the reference marker and assigns it to trace no. <Chn>.

<Chn> | Channel number used to identify the active trace
<Mk> | Marker number in the range 1 to 10. This numeric suffix is ignored and may be set to any value.
<Boolean> | ON | OFF - Creates or removes the marker.
*RST value | OFF
SCPI, Command Types | Device-specific, command or query
Example: | Suppose that the active setup contains an active trace no. 1. CALC:MARK:REF ON; :CALC:MARK ON Create the reference marker and marker 1 and assign them to trace no. 1. The default position of both markers is the center of the sweep range.
CALCulate<Chn>:MARKer<Mk>:REFerence:TYPE
NORMal | FIXed

Sets the reference to normal or fixed mode. The marker must be created before using CALCulate<Chn>:MARKer<Mk>:REFerence[:STATe] ON.

<Chn> | Channel number used to identify the active trace
<Mk> | Marker number in the range 1 to 10. This numeric suffix is ignored and may be set to any value.
Parameters | NORMal – response value changes according to the measurement result. FIXed – marker keeps its current response value.
*RST value | NORMal
SCPI, Command Types | Device-specific, command or query
Example: | CALC:MARK:REF ON; :CALC:MARK:REF:TYPE FIX Create the reference markerand display it in the center of the sweep range as a fixed marker. CALC:MARK:REF:X 1GHz Shift the marker horizontally. The response value remains fixed.
CALCulate<Chn>:MARKer<Mk>:REFerence:X <stimulus>

Defines the stimulus (in Cartesian diagrams: x-axis) value of the reference marker, which can (but doesn't have to) be displayed using CALCulate<Chn>:MARKer<Mk>:REFerence[:STATe] ON.

<Chn> | Channel number used to identify the active trace
<Mk> | Marker number in the range 1 to 10. This numeric suffix is ignored and may be set to any value.
<stimulus> | Stimulus value of the reference marker
Range [def. unit] | –9.9E+11 Hz to +9.9E+11 Hz [Hz] (for frequency sweeps) -999 dBm to +999 dBm [dBm] (for power sweeps) 0 s to 127500 s [s] (for time and CW mode sweeps)
*RST value | 0 Hz
SCPI, Command Types | Device-specific, command or query
Example: | Suppose that the active setup contains an active trace no. 1 and that the sweep range for a frequency sweep starts at 1 GHz. CALC:MARK:REF ON Create the reference marker and display it in the center of the sweep range. CALC:MARK:REF:X 1GHz Set the reference marker to the beginning of the sweep range.
CALCulate<Chn>:MARKer<Mk>:REFerence:Y?

Returns the response (in Cartesian diagrams: y-axis) value of the reference marker. The reference marker must be created before using CALCulate<Chn>:MARKer<Mk>:REFerence[:STATe] ON.

<Chn> | Channel number used to identify the active trace
<Mk> | Marker number in the range 1 to 10. This numeric suffix is ignored and may be set to any value.
Response | Response value of the reference marker
Range [def. unit] | Depending on the measured quantity. [unit depending on the marker format; see CALCulate<Chn>:MARKer<Mk>:FORMat]
*RST value | –
SCPI, Command Types | Device-specific, query only
Example: | Suppose that the active setup contains an active trace no. 1. CALC:MARK:REF ON Create the reference marker and display it in the center of the sweep range. CALC:MARK:REF:Y? Query the measurement value at the reference marker position.
CALCulate<Chn>:MARKer<Mk>:SEARch:BFILter:RESult[:STATe] <Boolean>

Shows or hides the bandfilter search results in the diagram area.

<Chn> | Channel number used to identify the active trace
<Mk> | Marker number in the range 1 to 10. This numeric suffix is ignored and may be set to any value.
<Boolean> | ON - Show the bandfilter search results. If no bandfilter search has been initiated before (CALCulate<Chn>:MARKer<Mk>:FUNCtion:EXECute BFILter), nothing is displayed. OFF - hide the bandfilter search results.
*RST value | OFF
SCPI, Command Types | Device-specific, command or query
Example: | See CALCulate<Chn>:MARKer<Mk>:BWIDth.

CALCulate<Chn>:MARKer<Mk>:SEARch[:IMMediate]

Initiates a search according to the search function selected with CALCulate<Chn>:MARKer<Mk>:FUNCtion[:SELect]. The marker must be created before using CALCulate<Chn>:MARKer<Mk>[:STATe] ON.

Note: Together with CALCulate<Chn>:MARKer<Mk>:FUNCtion[:SELect] this command is the ZVR-compatible equivalent of CALCulate<Chn>:MARKer<Mk>:FUNCtion:EXECute ....

<Chn> | Channel number used to identify the active trace
<Mk> | Marker number in the range 1 to 10. For a bandfilter search (BFILter) this numeric suffix is ignored and may be set to any value because the bandfilter search functions always use markers M 1 to M 4.
Range [def. unit] | – [–]
*RST value | –
SCPI, Command Types | Device-specific, no query
CALCulate<Chn>:MARKer<Mk>:SEARch:LEFT

Selects a search mode for marker no. <Mk> and initiates a search for the next valid peak to the left. The marker must be created before using CALCulate<Chn>:MARKer<Mk>[:STATe] ON.

Note: This command is the ZVR-compatible equivalent of CALCulate<Chn>:MARKer<Mk>:FUNCtion:EXECute LPEak.

<Chn> | Channel number used to identify the active trace
<Mk> | Marker number in the range 1 to 10
Range [def. unit] | – [–]
*RST value | –
SCPI, Command Types | Device-specific, no query
CALCulate<Chn>:MARKer<Mk>:SEARch:NEXT

Selects a search mode for marker no. <Mk> and initiates a search for the next highest or lowest value among the valid peaks. The marker must be created before using CALCulate<Chn>:MARKer<Mk>[:STATe] ON.

Note: This command is the ZVR-compatible equivalent of CALCulate<Chn>:MARKer<Mk>:FUNCtion:EXECute NPEak.

<Chn> | Channel number used to identify the active trace
<Mk> | Marker number in the range 1 to 10
Range [def. unit] | – [–]
*RST value | –
SCPI, Command Types | Device-specific, no query
CALCulate<Chn>:MARKer<Mk>:SEARch:RIGHt

Selects a search mode for marker no. <Mk> and initiates a search for the next valid peak to the right. The marker must be created before using CALCulate<Chn>:MARKer<Mk>[:STATe] ON.

Note: This command is the ZVR-compatible equivalent of CALCulate<Chn>:MARKer<Mk>:FUNCtion:EXECute RPEak.

<Chn> | Channel number used to identify the active trace
<Mk> | Marker number in the range 1 to 10
Range [def. unit] | – [–]
*RST value | –
SCPI, Command Types | Device-specific, no query
CALCulate<Chn>:MARKer<Mk>:SEARch:TRACking <Boolean>

Enables or disables the marker tracking mode for marker no. <Mk>. Tracking mode causes the active minimum/maximum or target search of the active marker to be repeated after each sweep. A marker must be created and a search mode must be active (CALCulate<Chn>:MARKer<Mk>:FUNCtion:EXECute ...) to use this command.

If the current search mode is a bandfilter search this command enables or disables bandfilter tracking.

<Chn> | Channel number used to identify the active trace
<Mk> | Marker number in the range 1 to 10. For a bandfilter search (BFILter) this numeric suffix is ignored and may be set to any value because the bandfilter search functions always use markers M 1 to M 4.
<Boolean> | ON | OFF - Enables or disables the marker tracking mode.
*RST value | OFF
SCPI, Command Types | Device-specific, command or query
Example: | Suppose that the active setup contains an active trace no. 1. CALC:MARK ON; :CALC:MARK:FUNC:EXEC MAXimum Create marker no. 1 and assign them to trace no. 1. Activate a maximum search for marker no. 1. CALC:MARK:SEAR:TRAC ON Enable the tracking mode for the created marker.

CALCulate<Chn>:MARKer<Mk>[:STATe] <Boolean>

Creates the marker numbered <Mk> and assigns it to trace no. <Chn>.

<Chn> | Channel number used to identify the active trace
<Mk> | Marker number in the range 1 to 10. If unspecified the numeric suffix is set to 1.
<Boolean> | ON | OFF - Creates or removes the marker.
*RST value | OFF
SCPI, Command Types | Device-specific, command or query
Example: | Suppose that the active setup contains an active trace no. 1. CALC:MARK ON; MARK2 ON Create markers 1 and 2 and assign them to trace no. 1. The default position of both markers is the center of the sweep range.

CALCulate<Chn>:MARKer<Mk>:TARGet <search_value>

Defines the target value for the target search of marker no. <Mk>, which can be activated using CALCulate<Chn>:MARKer<Mk>:FUCTion:EXECute TARGet.

<Chn> | Channel number used to identify the active trace
<Mk> | Marker number in the range 1 to 10
<search_value> | Target search value of marker no. <Mk>
Range [def. unit] | Depending on the format of the active trace (CALCulate<Chn>:FORMat). For a dB Mag trace the range is –300 dB to +200 dB, the increment (UP. DOWN) is 0.1 dB. [dB, deg etc., depending on the trace format]
*RST value | Depending on the trace format; 0 dB for a dB Mag trace
SCPI, Command Types | Device-specific, command or query
Example: | CALC:MARK ON Create marker no. 1 and display it in the center of the sweep range. :CALC:MARK:TARG -10; FUNC:EXEC TARG Define a target search value of –10 dB and start the target search. CALC:MARK:X? Query the stimulus value corresponding to the target search result.
CALCulate<Chn>:MARKer<Mk>:TYPE
NORMal | FIXed

Sets marker no. <Mk> to normal or fixed mode. The marker must be created before using CALCulate<Chn>:MARKer<Mk>[:STATe] ON.

<Chn> | Channel number used to identify the active trace
<Mk> | Marker number in the range 1 to 10
Parameters | NORMal – response value changes according to the measurement result FIXed – marker keeps its current response value
*RST value | NORMal
SCPI, Command Types | Device-specific, command or query
Example: | CALC:MARK ON; :CALC:MARK:TYPE FIX Create marker 1and display it in the center of the sweep range as a fixed marker. CALC:MARK:X 1GHz Shift the marker horizontally. The response value remains fixed.
CALCulate<Chn>:MARKer<Mk>:X <stimulus_value>

Defines the stimulus (in Cartesian diagrams: x-axis) value of the marker no. <Mk>, which can (but doesn't have to) be created using CALCulate<Chn>:MARKer<Mk>[:STATe] ON.

<Chn> | Channel number used to identify the active trace
<Mk> | Marker number in the range 1 to 10
<stimulus_value> | Stimulus value of marker no. <Mk>
Range [def. unit] | –9.9E+11 Hz to +9.9E+11 Hz [Hz] (for frequency sweeps) -999 dBm to +999 dBm [dBm] (for power sweeps) 0 s to 127500 s [s] (for time and CW mode sweeps)
*RST value | 0 Hz
SCPI, Command Types | Device-specific, command or query
Example: | Suppose that the active setup contains an active trace no. 1 and the sweep range for a frequency sweep starts at 1 GHz. CALC:MARK ON Create marker no. 1 and display it in the center of the sweep range. CALC:MARK:X 1GHz Set the marker to the beginning of the sweep range.
CALCulate<Chn>:MARKer<Mk>:Y?

Returns the response (in Cartesian diagrams: y-axis) value of marker no. <Mk>. The marker must be created before using CALCulate<Chn>:MARKer<Mk>[:STATe] ON.

<Chn> | Channel number used to identify the active trace
<Mk> | Marker number in the range 1 to 10
Response | Response value of marker no. <Mk>
Range [def. unit] | Depending on the measured quantity. [unit depending on the marker format; see CALCulate<Chn>:MARKer<Mk>:FORMat]
*RST value | –
SCPI, Command Types | Device-specific, query only
Example: | Suppose that the active setup contains an active trace no. 1. CALC:MARK ON Create marker no. 1 and display it in the center of the sweep range. CALC:MARK:Y? Query the measurement value at the marker position.


CALCulate_MATH

[:EXPRession]

[:DEFine]

:SDEFine

:FUNCtion

:MEMorize

:STATe

:WUNit

:STATe

CALCulate<Chn>:MATH...

This subsystem permits processing of measured data in numerical expression format. The operators are +, -, *, / and use of constants and data arrays are permitted.

Command tree: CALCulate<Chn>:MATH

CALCulate<Chn>:MATH[:EXPRession][:DEFine] <expression>

Defines a simple mathematical relation between traces. To calculate and display the new mathematical trace, the mathematical mode must be switched on (CALCulate<Chn>:MATH:STATe ON).

This command places some restrictions on the mathematical expression and the operands. Use CALCulate<Chn>:MATH[:EXPRession]:SDEFine to define general expressions.

<Chn>

Channel number used to identify the active trace. If unspecified the numeric suffix is set to 1.

<expression>

(<operand1><operator1><operand2>[<operator2><operand3>])
The expression must be enclosed in brackets.

Parameters

Operands: See list of trace names
Operators: +, -, *, /

*RST value

–

SCPI, Command Types

Confirmed, no query. The defined expression can be queried using CALCulate<Chn>:MATH[:EXPRession]:SDEFine?

Example:

*RST; :CALC:MATH:MEM

Copy the current state of the default trace Trc1 to a memory trace named 'Mem2[Trc1]'. The memory trace is not displayed.

CALC:MATH (CH1DATA / MDATA2)

Define a mathematical trace, dividing the data trace by the stored memory trace. The mathematical trace is not displayed

CALC:MATH:STAT ON

Display the mathematical trace instead of the active data trace.

CALCulate<Chn>:MATH[:EXPRession]:SDEFine '<string>'

Defines a general mathematical relation between traces. To calculate and display the new mathematical trace, the mathematical mode must be switched on (CALCulate<Chn>:MATH:STATe ON).

<Chn>

Channel number used to identify the active trace.

'<string>'

String parameter for the mathematical expression, enclosed in brackets. The string format must correspond to an allowed string in the Define Math dialog.

Parameters

Operands, operators and functions; see table below.

*RST value

–

SCPI, Command Types

Device-specific, command or query. This command also queries a mathematical expression defined via CALCulate<Chn>:MATH[:EXPRession][:DEFine].

Example:

*RST; :CALC:MATH:MEM

Copy the current state of the default trace Trc1 to a memory trace named 'Mem2[Trc1]'. The memory trace is not displayed.

CALC:MATH:SDEF 'Trc1 / Mem2[Trc1]'

Define a mathematical trace, dividing the data trace by the stored memory trace. The mathematical trace is not displayed.

CALC:MATH:STAT ON

Display the mathematical trace instead of the active data trace.

Expressions defined via CALCulate<Chn>:MATH[:EXPRession]:SDEFine may contain the following elements:

Type | Complete List | Description
Operands | <Trace name> | activeTrc | Mem[activeTrc] | All traces and memory traces of the active setup | active trace | active memory trace assigned to the active trace
Constants | e, pi | 1, -1.2, 8e9 | 1 + 2j, 2 + 1e-9j | Constants | Real values in decimal or exponential format | Complex numbers
Operators | - + , - , * , / , ^ | Basic arithmetic operations; ^ for exponentiation
Functions | linMag (), dBMag (), Arg (), Re (), Im (), log (), ln (), tan (), atan (), sin (), asin (), cos (), acos (), Min ( ... , ... ), Max ( ... , ... ) | Mathematical functions with one or two arguments
Special Functions | StimVal | Current stimulus value (see description of operators for User Defined Math)
Brackets | ( ) | Priority of operations in complex expressions
CALCulate<Chn>:MATH:FUNCtion
NORMal | ADD | SUBTract | MULTiply | DIVide

Defines a simple mathematical relation between the active trace and the active memory trace to calculate a new mathematical trace and displays the mathematical trace.

This command places some restrictions on the mathematical expression and the operands. Use CALCulate<Chn>:MATH[:EXPRession]:SDEFine to define general expressions.

<Chn>

Channel number used to identify the active trace. If unspecified the numeric suffix is set to 1.

NORMal
ADD
SUBTract
MULTiply
DIVide

Math. trace = active data trace
Math. trace = data + memory
Math. trace = data – memory
Math. trace = data * memory
Math. trace = data / memory

*RST value

NORMal

SCPI, Command Types

Confirmed, with query.

Example:

*RST; :CALC:MATH:MEM

Copy the current state of the default trace Trc1 to a memory trace named 'Mem2[Trc1]'. The memory trace is not displayed.

CALC:MATH:FUNC DIV

Define a mathematical trace, dividing the data trace by the stored memory trace. The mathematical trace is displayed instead of the active data trace.

CALC:MATH:STAT?

The response is 1 (mathematical mode switched on, mathematical trace displayed).

CALCulate<Chn>:MATH:MEMorize

Copies the current state of the active data trace to a memory trace. If a mathematical trace is active, the data trace associated with the mathematical trace is copied. The memory trace is named Mem<n>[<Data_Trace>] where <n> counts all data and memory traces in the active setup in chronological order, and <Data_Trace> is the name of the associated (copied) data trace.

The exact function of the command depends on the number of memory traces associated to the active data trace:

  • If no memory trace is associated to the active trace, a new memory trace is generated.

  • If several memory traces are associated to the active trace, the current measurement data overwrites the last generated or changed memory trace.

To copy a trace to the memory without overwriting an existing memory trace or define a memory trace name, use TRACe:COPY <memory_trc>,<data_trc>. To copy an active mathematical trace use TRACe:COPY:MATH <memory_trc>,<data_trc>

<Chn> | Channel number used to identify the active trace.
*RST value | –
SCPI, Command Types | Device-specific, no query
Example: | *RST; :CALC:MATH:MEM Copy the current state of the default trace Trc1 to a memory trace named 'Mem2[Trc1]'. The memory trace is not displayed. DISP:WIND:TRAC2:FEED 'Mem2[Trc1]' Display the created memory trace in the active diagram area (diagram area no. 1).

CALCulate<Chn>:MATH:STATe <Boolean>

Activates or deactivates the mathematical mode where the mathematical trace defined via CALCulate<Chn>:MATH[:EXPRession]:SDEFine is calculated and displayed instead of the active data trace. The command is not valid for mathematical traces calculated via CALCulate<Chn>:MATH:FUNCtion.

<Chn>

Channel number used to identify the active trace.

<Boolean>

ON - Display the active data trace
OFF - Display the mathematical trace

*RST value

OFF

SCPI, Command Types

Confirmed, command or query.

Example:

*RST; :CALC:MATH:MEM

Copy the current state of the default trace Trc1 to a memory trace named 'Mem2[Trc1]'. The memory trace is not displayed.

CALC:MATH:SDEF 'Trc1 / Mem2[Trc1]'

Define a mathematical trace, dividing the data trace by the stored memory trace. The mathematical trace is not displayed

CALC:MATH:STAT ON

Display the mathematical trace instead of the active data trace.

CALCulate<Chn>:MATH:WUNit[:STATe] <Boolean>

Controls the conversion and formatting of the mathematic expression defined via CALCulate<Chn>:MATH[:EXPRession]:SDEFine (see Result is Wave Quantityin the User Def Math dialog).

<Chn>

Channel number used to identify the active trace.

<Boolean>

ON - Result is Wave Quantity enabled; the analyzer assumes that the result of the mathematical expression represents a voltage.
OFF - Result is Wave Quantity disabled; the analyzer assumes that the result of the mathematical expression is dimensionless.

*RST value

OFF

SCPI, Command Types

Device-specific, command or query.

Example:

*RST; SWE:TYPE POW

Reset the instrument, activate a power sweep, and select a wave quantity a1 for the trace Trc1.

CALC:PAR:SDEF 'Trc1', 'a1'

Select a wave quantity a1 for the trace Trc1.

DISP:WIND:TRAC:FEED 'Trc1'

Display the generated trace in the active window.

CALC:MATH:SDEF 'StimVal'; STAT ON

Define a mathematical trace, dividing the data trace by the stored memory trace. Display the mathematical trace instead of the active data trace.

CALC:MATH:WUN ON

Take into account that the stimulus value is a voltage (derived from the source power) rather than a dimensionless quantity. The y-axis range of the mathematical trace now exactly corresponds to the power sweep range.


CALCulate_PARameter

:CATalog?

:DEFine

:SGRoup

:DELete

:MEASure

:NFIGure

:CSETtings

:SDEFine

:SELect

The generated traces are assigned the following trace names:

<Ch_name>_SG_S<log_port1><log_port1>, <Ch_name>_SG_S<log_port1><log_port2> ... <Ch_name>_SG_S<log_port1><log_port<n>>
...
<Ch_name>_SG_S<log_port<n>><log_port1>, <Ch_name>_SG_S<log_port<n>><log_port2>... <Ch_name>_SG_S<log_port<n>><log_port<n>>,
e.g. Ch1_SG_S11, Ch1_SG_S12, Ch1_SG_S21, Ch1_SG_S22 for <Ch_name> = Ch1, <log_port1> = 1, <log_port2> = 2.

The trace names are displayed in the Trace Manager(DISPlay:MENU:KEY:EXECute 'Trace Manager') and Channel Managerdialogs where they can be changed manually. The <Ch_name> is defined via CONFigure:CHANnel<Ch>:NAME '<Ch_name>'.

Trace names are important for referencing the generated traces; see program example below.

CALCulate<Ch>:PARameter...

This subsystem assigns names and measurement parameters to traces. The commands are device-specific.

Command tree: CALCulate<Ch>:PARameter

CALCulate<Ch>:PARameter:CATalog?

Returns the trace names and measurement parameters of all traces assigned to a particular channel.

<Ch> | Channel number. If unspecified the numeric suffix is set to 1.
Response | String parameter with comma-separated list of trace names and measurement parameters, e.g. 'CH4TR1,S11,CH4TR2,S12'. The measurement parameters are returned according to the naming convention of CALCulate<Ch>:PARameter:SDEFine. The order of traces in the list reflects their creation time: The oldest trace is the first, the newest trace is the last trace in the list.
*RST value | –
SCPI, Command Types | Device-specific, query only.
Example: | CALC4:PAR:SDEF 'Ch4Tr1', 'S11' Create channel 4 and a trace named Ch4Tr1 to measure the input reflection coefficient S11. CALC4:PAR:CAT? Query the traces assigned to channel 4. If Ch4Tr1 is the only trace assigned to channel 4, the response is 'CH4TR1,S11'.

CALCulate<Ch>:PARameter:DEFine
'<string>', S11 | ... | S44 | A | B | C | D | R1 | R2 | R3 | R4 | AB | AC | AD | BA | BC | BD | CA | CB | CD | DA | DB | DC | AR1 | ... | DR4 | R1A | ... | R4D | R1R2 | ... | R4R3, [<numeric_value>]

Creates a trace and assigns a channel number, a name and a measurement parameter to it. The trace is not displayed. To display a trace defined via CALCulate<Ch>:PARameter:DEFine, a window must be created (DISPlay:WINDow<Wnd>[:STATe] ON) and the trace must be assigned to this window (DISPlay:WINDow<Wnd>:TRACe:FEED); see example below.

Traces must be selected to become active traces; see CALCulate:PARameter:SELect.

This command has been implemented for compatibility reasons. The parameter names in this command differ from ZVA conventions; moreover the parameter list is not complete. The alternative command CALCulate<Ch>:PARameter:SDEFine uses a complete parameter list with compatible names.

<Ch> | Channel number. <Ch> may be used to reference a previously defined channel. If <Ch> does not exist, it is generated with default channel settings.
'<string>' | Trace name, e.g. 'Trc4'. See Rules for trace names in the Trace Manager description.
S11, ... R4R3 | Measurement parameter; see list of parameters below.
*RST value | –
[<numeric_value>] | Test port number, driving port for wave quantities and ratios, ignored for S-parameters.
Range [def. unit] | 1 to 4 [–] (depending on instrument model)
*RST value | –
SCPI, Command Types | Device-specific, no query. CALCulate<Ch>:PARameter:CATalog? returns a list of all defined traces.
Example: | CALC4:PAR:DEF 'Ch4Tr1', S11 Create channel 4 and a trace named Ch4Tr1 to measure the input reflection coefficient S11. DISP:WIND:STAT ON Create diagram area no. 1. DISP:WIND:TRAC2:FEED 'CH4TR1' Display the generated trace in diagram area no. 1, assigning a trace number 2.

The measurement parameter is selected by means of the following keywords (the selection depends on the number of test ports of the analyzer, e.g. S44 is not available on 2-port analyzers):

S11 | S12 | S13 | S14 | S21 | S22 | S23 | S24 | S31 | S32 | S33 | S34 | S41 | S42 | S43 | S44 | S-parameters
A | B | C | D | Wave quantities b1, b2, b3, b4 (received waves)
R1 | R2 | R3 | R4 | Wave quantities a1, a2, a3, a4 (reference waves)
AB | AC | AD | BA | BC | BD | CA | CB | CD | DA | dB | DC | Ratio of wave quantities b1/b2, b1/b3, ... , b4/b3 (received waves only)
AR1 | AR2 | AR3 | AR4 | BR1 | BR2 | BR3 | BR4 | CR1 | CR2 | CR3 | CR4 | DR1 | DR2 | DR3 | DR4 | R1A | R1B | R1C | R1D | R2A | R2B | R2C | R2D | R3A | R3B | R3C | R3D | R4A | R4B | R4C | R4D | Ratio of wave quantities b1/a1, b1/a2, ... , b4/a4, a1/b1, a1/b2, ..., A4/B4 (received waves to reference waves or reference waves to received waves)
R1R2 | R1R3 | R1R4 | R2R1 | R2R3 | R2R4 | R3R1 | R3R2 | R3R4 | R4R1 | R4R2 | R4R3 | Ratio of wave quantities a1/a2, a1/a3, ... , a4/a3 (reference waves only)
CALCulate<Ch>:PARameter:DEFine:SGRoup <log_port1>[, <log_port2>,...]

Creates the traces for all S-parameters associated with a group of logical ports (S-parameter group). The traces can be queried using CALCulate<Ch>:DATA:SGRoup?

Traces must be selected to become active traces; see CALCulate:PARameter:SELect.

Each channel can contain a single S-parameter group only. Defining a new S-parameter group deletes the previous one. Use CALCulate<Ch>:PARameter:DEFine:SGRoup to delete the current S-group explicitly.

<Ch>

Channel number. <Ch> may be used to reference a previously defined channel. If <Ch> does not exist, it is generated with default channel settings.

<log_port1>...

Logical (balanced or unbalanced) port numbers. The port numbers must be in ascending order, their number is limited by the test ports of the analyzer.

With n logical port numbers, the command generates n2 traces. The traces correspond to the following S-parameters:

S<log_port1><log_port1>, S<log_port1><log_port2> ... S<log_port1><log_port<n>>
...
S<log_port<n>><log_port1>, S<log_port<n>><log_port2>... S<log_port<n>><log_port<n>>,
e.g. S11, S12, S21, S22 for <log_port1> = 1, <log_port2> = 2. If only one logical port <log_port1> is specified, a single trace with the reflection coefficient S<log_port1><log_port1> is created.

Trace names

Range [def. unit]

1 to 4 [–] (depending on instrument model)

*RST value

NONE (see below)

SCPI, Command Types

Device-specific, with query. The query returns the port numbers of the current S-parameter group, NONE if no S-parameter group has been defined.

Example:

CALC2:PAR:DEF:SGR 1,2

Create channel 2 and four traces to measure the two-port S-parameters S11, S12, S21, S22. The traces are not displayed.

DISP:WIND:TRAC2:FEED 'Ch2_SG_S11'
DISP:WIND:TRAC3:FEED 'Ch2_SG_S12'
DISP:WIND:TRAC4:FEED 'Ch2_SG_S21'
DISP:WIND:TRAC5:FEED 'Ch2_SG_S22'

Display the four traces in the diagram area no. 1.

INIT:CONT OFF
INIT:IMMediate *OPC

Perform a complete speep to ensure the traces are completely "filled" with data.

CALC2:DATA:SGR? SDAT

Retrieve all four traces as unformatted data (real and imaginary part at each sweep point). The analyzer first returns the complete S11 trace, followed by the S12, S21, and S22 traces.

CALC2:PAR:DEL:SGR 1,2

Delete the previously created port group.

CALCulate<Ch>:PARameter:DELete '<trace>'

Deletes a trace with a specified trace name and channel.

<Ch> | Channel number.
'<trace>' | Trace name, e.g. 'Trc4'. See Rules for trace names in the Trace Manager description.
*RST value | –
SCPI, Command Types | Device-specific, no query.
Example: | CALC4:PAR:SDEF 'Ch4Tr1', 'S11' Create channel 4 and a trace named Ch4Tr1 to measure the input reflection coefficient S11. CALC4:PAR:CAT? Query the traces assigned to channel 4. If Ch4Tr1 is the only trace assigned to channel 4, the response is 'CH4TR1,S11'. CALC4:PAR:DEL 'CH4TR1' Delete the created trace.

CALCulate<Ch>:PARameter:DELete:SGRoup

Deletes a group of logical ports (S-parameter group), previously defined via CALCulate<Ch>:PARameter:DEFine:SGRoup.

<Ch> | Channel number. <Ch> may be used to reference a previously defined channel. If <Ch> does not exist, it is generated with default channel settings.
*RST value | – (no query form)
SCPI, Command Types | Device-specific, no query.
Example: | See CALCulate<Ch>:PARameter:DEFine:SGRoup

CALCulate<Ch>:PARameter:MEASure
'<string>', 'S11' | ... | 'S0101' | ... | 'SCD11' | ... | 'Y11' | ... | 'Z11' | ... | 'Y-S11' | ... | 'Z-S11' | ... | 'A1' | ... | 'A01' | ... | 'B1' | ... | 'B01' | ... | 'B2/A1' | ... 'B02/A01' | ...

Assigns a measurement parameter to an existing trace.

Note: To create a new trace and at the same time assign the attributes, use CALCulate<Ch>:PARameter:SDEFine . To display the trace, create a window (DISPlay:WINDow<Wnd>[:STATe] ON) and assign the trace to this window (DISPlay:WINDow<Wnd>:TRACe:FEED); see example below.

Traces must be selected to become active traces; see CALCulate:PARameter:SELect. CALCulate<Ch>:PARameter:CATalog? returns a list of all defined traces. You can open the trace manager (DISPlay:MENU:KEY:EXECute 'Trace Manager') to obtain an overview of all channels and traces, including the traces that are not displayed.

<Ch> | Channel number of an existing channel containing the referenced trace.
'<string>' | Trace name, e.g. 'Trc4'. See Rules for trace names in the Trace Manager description.
'S11', ... | Measurement parameter (string variable); see list of in the CALCulate<Ch>:PARameter:SDEFine command description. A query of a wave quantity 'xy' returns 'xyD<n><Detector>', where <n> numbers the source (drive) port, and <Detector> denotes the detector setting (SAM for a normal (sample), RMS or PEAK for an RMS or peak detector). A query of a ratio 'x/y' returns 'xD<n>/yD<m><Detector>', where <n> and <m> number the source ports.
*RST value | –
SCPI, Command Types | Device-specific, with query (see 'S11',... parameter description above).
Example: | CALC4:PAR:SDEF 'Ch4Tr1', 'S11' Create channel 4 and a trace named Ch4Tr1 to measure the input reflection coefficient S11. CALC4:PAR:MEAS 'Ch4Tr1', 'a1' Change the measurement parameter of the trace and measure the wave quantity a1. CALC4:PAR:MEAS? 'Ch4Tr1' Query the measured quantity. The response is 'A1D1SAM'.

CALCulate<Ch>:PARameter:NFIGure:CSETtings '<trace>'

Overwrites the current channel settings with the ones that were used during the active (previously performed) noise figure calibration. The referenced trace must show the noise figure of a device.

<Ch> | Channel number.
'<trace>' | Name of a noise figure trace, e.g. 'Trc4'. See Rules for trace names in the Trace Manager description.
*RST value | –
SCPI, Command Types | Device-specific, no query.
Example: | See Noise Figure Measurement (condensed measurement example)

CALCulate<Ch>:PARameter:SDEFine
'<trc_name>', 'S11' | ... | 'S0101' | ... | 'SCD11' | ... | 'Y11' | ... | 'Z11' | ... | 'Y-S11' | ... | 'Z-S11' | ... | 'A1' | ... | 'A01' | ... | 'B1' | ... | 'B01' | ... | 'B2/A1' | ... 'B02/A01' | ... | 'Pmtr2D1' | ...

Creates a trace and assigns a channel number, a name and a measurement parameter to it. The trace becomes the active trace in the channel but is not displayed.

To display the trace defined via CALCulate<Ch>:PARameter:SDEFine, create a diagram area (DISPlay:WINDow<Wnd>[:STATe] ON) and assign the trace to this area (DISPlay:WINDow<Wnd>:TRACe:FEED); see example below. CALCulate<Ch>:PARameter:MEASure changes the measurement parameter of an existing trace.

To select an existing trace as the active trace, use CALCulate:PARameter:SELect. You can open the trace manager (DISPlay:MENU:KEY:EXECute 'Trace Manager') to obtain an overview of all channels and traces, including the traces that are not displayed.

In FW versions <V1.90, traces created with CALCulate<Ch>:PARameter:SDEFine must be selected explicitly (CALCulate:PARameter:SELect) in order to become active traces.

Use CALCulate<Ch>:PARameter:DEFine:SGRoup to create traces for all S-parameters associated with a group of logical ports.

<Ch>

Channel number. <Ch> may be used to reference a previously defined channel. If <Ch> does not exist, it is generated with default channel settings.

'<trc_name>'

Trace name, string variable, e.g. 'Trc4'. See Rules for trace names in the Trace Manager description.

Trace names must be unique across all channels and diagram areas. If a trace with the selected trace name already exists, the analyzer behaves as follows:

  • If the existing trace is assigned to the same channel as the new trace, it is deleted. The new trace is not automatically assigned to a diagram area; see note above.

  • If the existing trace is assigned to a different channel, no new trace can be created. The analyzer returns an error message.

'S11', ...

Measurement parameter (string variable); see list of parameters below.

*RST value

–

SCPI, Command Types

Device-specific, no query. CALCulate<Ch>:PARameter:MEASure? '<Trc_name>' queries the measurement parameter of the trace. CALCulate<Ch>:PARameter:CATalog? returns a list of all defined traces.

Example:

CALC4:PAR:SDEF 'Ch4Tr1', 'S11'

Create channel 4 and a trace named Ch4Tr1 to measure the input reflection coefficient S11.

DISP:WIND2:STAT ON

Create diagram area no. 2.

DISP:WIND2:TRAC:FEED 'CH4TR1'

Display the generated trace in diagram area no. 2.

The measurement parameter is selected by means of the following keywords (the selection depends on the number of test ports of the analyzer, e.g. S44 is not available on 2-port analyzers):

'S11' | 'S12' | ... | 'S0101' | ...
'S11SAM' | 'S11AVG' | 'S12SAM' ...

Normal mode S-parameters S<out><in>, where <out> and <in> denote the output and input port numbers of the DUT. To avoid ambiguities, <out> and <in> must be either both 1-digit numbers (e.g. 21) or both 2-digit numbers (e.g. 2121 or 0133). The strings SAM and AVG appended to the wave quantities denote a normal (sample) or average detector. The observation time for average detectors is set via [SENSe<Ch>:]SWEep:DETector:TIME.

'SCD11' | ...
'SCD11SAM' | 'SCD11AVG'

Mixed mode S-parameters S<mout><m in>, where <mout> and <min> denote the output and input port modes. All combinations of S (single-ended, unbalanced), D (differential) and C (common) are allowed. Port numbers like for normal mode S-parameters. The strings SAM and AVG appended to the wave quantities denote a normal (sample) or average detector.

'Y11' | ... | 'YSS11' | ... | 'YCC11' | ... | 'YDD11' | 'Z11' | ... | 'ZSS11' | ... | 'ZCC11' | ... | 'ZDD11' | ...

Short-circuit Y-parameters and open-circuit Z-parameters with port modes and port numbers like for normal mode S-parameters*).

'Y-S11' | ... | 'Y-SSS11' | ... | 'Y-SCC11' | ... | 'Y-SDD11' | 'Z-S11' | ... | 'Z-SSS11' | ... | 'Z-SCC11' | ... | 'Z-SDD11' | ...

S-parameters converted to matched-circuit admittances and impedances with port modes and port numbers like for normal mode S-parameters.

'A1' | ... | 'A01' | ... | 'B1' | ... | 'B01' | ... | 'A1SAM' | 'A1RMS' | 'A1PEAK' | 'A1AVG' |

Wave quantities with port numbers like for normal mode S-parameters. The strings SAM, RMS, PEAK, AVG appended to the wave quantities denote a normal (sample), RMS, peak, or average detector. The observation time for RMS, peak, and average detectors is set via [SENSe<Ch>:]SWEep: DETector:TIME.

'AP1' | ... | 'AP01' | ... | 'BP1' | ... | 'BP01' | ... | 'AP1SAM' | 'AP1RMS' | 'AP1PEAK' | 'AP1AVG' |

Primed wave quantities, e.g. for mixer delay measurements, with port numbers like for normal mode S-parameters. Strings SAM, RMS, PEAK, AVG see above.

'A1D2' | ... | 'A01D02' | ... | 'B1D2' | ... | 'B01D02' | ... | 'A1D1SAM' | 'A1D1RMS' | 'A1D1PEAK' | 'A1D1AVG' | ...

Wave quantities with port numbers and source port numbers (D<no> for drive port). The strings SAM, RMS, PEAK, AVG appended to the wave quantities denote a normal (sample), RMS, peak, or average detector.

'AP1D2' | ... | 'AP01D02' | ... | 'BP1D2' | ... | 'BP01D02' | ... | 'AP1D1SAM' | 'AP1D1RMS' | 'AP1D1PEAK' | 'AP1D1AVG' | ...

Primed wave quantities, e.g. for mixer delay measurements, with port numbers and source port numbers (D<no> for drive port).The strings SAM, RMS, PEAK, AVG appended to the wave quantities denote a normal (sample), RMS, peak, or average detector.

'A1G2' | ... | 'A01G02' | ... | 'B1G2' | ... | 'B01G02' | ... | 'A1G1SAM' | 'A1G1RMS' | 'A1G1PEAK' | 'A1G1AVG' | ...

Wave quantities with port numbers and external generator providing the stimulus signal (G<no> for generator no.). The strings SAM, RMS, PEAK, AVG appended to the wave quantities denote a normal (sample), RMS, peak, or average detector.

'AP1G2' | ... | 'AP01G02' | ... | 'BP1G2' | ... | 'BP01G02' | ... | 'AP1G1SAM' | 'AP1G1RMS' | 'AP1G1PEAK' | 'AP1G1AVG' | ...

Primed wave quantities, e.g. for mixer delay measurements, with port numbers and external generator providing the stimulus signal (G<no> for generator no.). The strings SAM, RMS, PEAK, AVG appended to the wave quantities denote a normal (sample), RMS, peak, or average detector.

'AS1D2S' | ... | 'AS1D2C' | ... ' 'BS1D2S' | 'AS1D2SSAM' | 'AS1D2SRMS' | 'AS1D2SPEAK' | 'AS1D2SAVG' | ...

Balanced (D, C) or single-ended (S) wave quantities with port numbers and source port numbers (D<no> for drive port) in true differential mode (option R&S ZVA-K6). The strings SAM, RMS, PEAK, AVG appended to the wave quantities denote a normal (sample), RMS, peak, or average detector.

'APS1D2S' | ... | 'APS1D2C' | ... ' 'BPS1D2S' | 'APS1D2SSAM' | 'APS1D2SRMS' | 'APS1D2SPEAK' | 'APS1D2SAVG' | ...

Primed balanced (D, C) or single-ended (S) wave quantities with port numbers and source port numbers (D<no> for drive port) in true differential mode (option R&S ZVA-K6). The strings SAM, RMS, PEAK, AVG appended to the wave quantities denote a normal (sample), RMS, peak, or average detector..

'B2/A1' | ... 'B02/A01' | ... | 'B2/A1SAM' | 'B2/A1RMS' | 'B2/A1PEAK' | 'B2/A1AVG' | ...

Ratio of wave quantities with port numbers like for normal mode S-parameters. The strings SAM, RMS, PEAK, AVG appended to the wave quantities denote a normal (sample), RMS, peak, or average detector.

'BP2/A1' | ... 'BP02/A01' | ... | 'BP2/A1SAM' | 'B2/AP1RMS' | 'B2/AP1PEAK' | 'B2/AP1AVG' | ...

Ratio of primed/unprimed wave quantities with port numbers like for normal mode S-parameters. The strings SAM, RMS, PEAK, AVG appended to the wave quantities denote a normal (sample), RMS, peak, or average detector.

'B2D1/A1D1' | ... 'B02D01/A01D01' | ... 'B2D1/A1D1SAM' | 'B2D1/A1D1RMS' | 'B2D1/A1D1PEAK' | 'B2D1/A1D1AVG' | ...

Ratio of wave quantities with port numbers and source port numbers (D<no> for drive port). The strings SAM, RMS, PEAK, AVG appended to the wave quantities denote a normal (sample), RMS, peak, or average detector.

'BP2D1/A1D1' | ... 'BP02D01/A01D01' | ... 'BP2D1/A1D1SAM' | 'B2D1/AP1D1RMS' | 'BP2D1/AP1D1PEAK' | 'BP2D1/AP1D1AVG'...

Ratio of primed/unprimed wave quantities with port numbers and source port numbers (D<no> for drive port). The strings SAM, RMS, PEAK, AVG appended to the wave quantities denote a normal (sample), RMS, peak, or average detector.

'B2G1/A1G1' | ... 'B02G01/A01G01' | ... 'B2G1/A1G1SAM' | 'B2G1/A1G1RMS' | 'B2G1/A1G1PEAK' | 'B2G1/A1G1AVG' | ...

Ratio of wave quantities with port numbers and external generator providing the stimulus signal (G<no> for generator no.). The strings SAM, RMS, PEAK, AVG appended to the wave quantities denote a normal (sample), RMS, peak, or average detector.

'BP2G1/A1G1' | ... 'BP02G1/A01G1' | ... 'B2G1/AP1G1SAM' | 'B2G1/AP1G1RMS' | 'BP2G1/AP1G1PEAK' | 'BP2G1/AP1G1AVG' | ...

Ratio of primed/unprimed wave quantities with port numbers and external generator providing the stimulus signal (G<no> for generator no.). The strings SAM, RMS, PEAK, AVG appended to the wave quantities denote a normal (sample), RMS, peak, or average detector.

'BD1D1D/AD1D1D' | ... | BD1D1D/AD1D3S' | 'BD1D1D/AD1D3SSAM' | 'BD1D1D/AD1D3SRMS' | 'BD1D1D/AD1D3SPEAK' | 'BD1D1D/AD1D3SAVG' | ...

Ratio of balanced (D, C) or single-ended (S) wave quantities with port numbers and source port numbers (D<no> for drive port) in true differential mode (option R&S ZVA-K6). The strings SAM, RMS, PEAK, AVG appended to the wave quantities denote a normal (sample), RMS, peak, or average detector.

'BPD1D1D/AD1D1D' | ... | BPD1D1D/AD1D3S' | 'BD1D1D/APD1D3SSAM' | 'BD1D1D/APD1D3SRMS' | 'BPD1D1D/APD1D3SPEAK' | 'BPD1D1D/APD1D3SAVG' | ...

Ratio of primed/unprimed balanced (D, C) or single-ended (S) wave quantities with port numbers and source port numbers (D<no> for drive port) in true differential mode (option R&S ZVA-K6). The strings SAM, RMS, PEAK, AVG appended to the wave quantities denote a normal (sample), RMS, peak, or average detector.

'IMB21' | 'IMB12' | 'IMB31' | ...

Imbalance parameter for balanced ports Imb<receive_port><drive_port>. The indices denote the logical receive port and the logical drive port of the analyzer.

'KFAC21' | 'KFAC12' | ...

Stability factor K (for unbalanced ports only)

'MUF121' | 'MUF112' | ...

Stability factor μ1 (for unbalanced ports only)

'MUF221' | 'MUF212' | ...

Stability factor μ2 (for unbalanced ports only)

'PAE21' | PAE12' |

Power added efficiency

'DC1V' | 'DC10V'
(query returns 'DC [image] 1V' or 'DC [image] 10V')

DC MEAS –1 V...+1 V, DC MEAS –10 V...+10 V

'Pmtr1G1' | 'Pmtr2G1' | 'Pmtr3D1'

Power sensor measurement using a power meter 'Pmtr<n>' and either an external generator 'G<n>' or an analyzer source port 'D<n>'

'IM3UI' | 'IM3UO' | 'IM3LI' | 'IM3LO' | 'IM3MI' | 'IM3MO' | 'IM5UI' ... 'IM9MO

Intermodulation product IM<order><side><at DUT> where <order> = 3 | 5 | 7 | 9, <side> = U | L | M (for upper or lower or major), <at DUT> = I | O (for input or output)

'IP3UI' | 'IP3UO' | 'IP3LI' | 'IP3LO' | 'IP3MI' | 'IP3MO' | 'IP5UI' ... 'IP9MO

Intercept point IP<order><side><at DUT> where <order> = 3 | 5 | 7 | 9, <side> = U | L | M (for upper or lower or major), <at DUT> = I | O (for input or output)

NLO

Noise level at DUT output

'MIXDLY' | 'MIXDERIV' | 'MIXPHAS'

Mixer delay, mixer derivative, mixer phase (with options R&S ZVA-K4 and R&S ZVA-K9)

UTI | UTO | LTI | LTO

Upper or lower tone at DUT input or output

'NF11' | 'NF12' | ... | 'NF0101' | ...

Noise Figure parameters NF<out><in>, where <out> and <in> denote the output and input port numbers of the DUT. To avoid ambiguities, <out> and <in> must be either both 1-digit numbers (e.g. 21) or both 2-digit numbers (e.g. 2121 or 0133).

*)Selecting a parameter Y...<n><m> or Z...<n><m> sets the range of port numbers to be considered for the Y and Z-parameter measurement to <n>:<m>.

CALCulate<Ch>:PARameter:SELect <string>

Selects an existing trace as the active trace of the channel. All trace commands without explicit reference to the trace name act on the active trace (e.g. CALCulate<Ch>:FORMat). CALCulate<Ch>:PARameter:SELect is also necessary if the active trace of a channel has been deleted.

<Ch>

Channel number.

<string>

Trace name, e.g. 'Trc4'. See Rules for trace names in the Trace Manager description.

*RST value

–

SCPI, Command Types

Device-specific, with query (returns the name of the active trace).

Example:

CALC4:PAR:SDEF 'Ch4Tr1', 'S11'

Create channel 4 and a trace named Ch4Tr1 to measure the input reflection coefficient S11. The trace is the active trace in channel 4.

CALC4:PAR:SDEF 'Ch4Tr2', 'S22'

Create another trace named Ch4Tr2 to measure the output reflection coefficient S22. Again this new trace becomes the active trace in channel 4.

CALC4:PAR:SEL 'Ch4Tr1'

Select the first trace Ch4Tr1 as the active trace.

CALC4:FORM MLIN

Calculate the magnitude of S11 and display it in a linearly scaled Cartesian diagram.


CALCulate_PHOLd

CALCulate<Chn>:PHOLd

This subsystem controls the max hold (peak hold) function.

CALCulate<Chn>:PHOLd MIN | MAX | OFF

Enables, disables, or restarts the max hold and the min hold functions.

<Chn> | Channel number used to identify the active trace.
Parameters | MIN - Enable the min hold function MAX - Enable the max hold function OFF - Disables the max hold or min hold function
*RST value | OFF
SCPI, Command Types | Device-specific, command or query.
Example: | *RST; :CALC:PHOL MAX Reset the instrument and enable the max hold function. CALC:PHOL OFF; PHOL MAX Restart max hold.


CALCulate_RIPPle

:CONTrol

:DOMain

:DATA

:DELete

:ALL

:DISPlay

[:STATe]

:FAIL?

:RDOMain

:FORMat

:SEGMent

:COUNt?

:LIMit

:RESult?

[:STATe]

:STIMulus

:STARt

:STOP

:SOUNd

[:STATe]

:STATe

CALCulate<Chn>:RIPPle...

This subsystem defines the ripple limits and controls the ripple check.

Command tree: CALCulate<Chn>:RIPPle

CALCulate<Chn>:RIPPle:CONTrol:DOMain
FLIN | FLOG | FSEG | FSINgle | TLIN | TLOG | PLIN | PLOG | PSINgle

Deletes the existing ripple limit ranges and (re-)defines the physical units of the stimulus values of the ripple limit lines. The unit of the ripple limit is defined via CALCulate<Chn>:RIPPle:RDOMain:FORMat

<Chn>

Channel number used to identify the active trace.

Parameters

Keywords for the units of the stimulus values.

The selected unit must be compatible with the sweep type ([SENSe<Ch>:]SWEep:TYPE); otherwise the ripple limit lines cannot be displayed and no ripple limit check is possible.

Range [def. unit]

The parameters form three groups:

  • FLIN, FLOG, FSEG, and FSINgle select frequency units [default: Hz] for the ripple limit.

  • TLIN and TLOG select time units [default: s].

  • PLIN, PLOG and PSINgle select power units [default: dBm].

*RST value

FLIN

SCPI, Command Types

Device-specific, no query.

Example:

SWE:TYPE POW

Select a power sweep.

CALC:RIPP:CONT:DOM PLIN

Delete all existing ripple limit ranges and select level units for the ripple limit of the active trace.

CALC:RIPP:DATA 1, -10,-5,3

Define and enable a ripple limit range in the stimulus range between -10 dBm and -5 dBm, assigning a ripple limit of 3 dBm.

CALCulate<Chn>:RIPPle:DATA <type>, <start_stim>, <stop_stim>, <limit>{,<type>, <start_stim>, <stop_stim>, <limit>}

Adds and enables/disables an arbitrary number of ripple limit ranges, assigning the stimulus values and the ripple limits.

This command does not overwrite existing ripple limit ranges. The defined ranges are appended to the range list as new ranges.

<Chn> | Channel number used to identify the active trace.
<type> | Identifier for the type of the ripple limit range.
Range [def. unit] | 0 – Ripple limit range off, range defined but no limit check result displayed. The result is still available via CALCulate<Chn>:RIPPle:SEGMent<Seg>:RESult? 1 – Ripple limit range on (with limit check)
<start_stim>, <stop_stim>, <limit> | Stimulus values of the first and last points of the ripple limit range and associated ripple limit.
Range [def. unit] | Almost no restriction for limit ranges; see Rules for Limit Line Definition. [Hz for frequency sweeps, dBm for power sweeps, s for time sweeps, see CALCulate<Chn>:RIPPle:CONTrol:DOMain]
*RST values | – (no ripple limit line defined after *RST)
SCPI, Command Types | Device-specific, with query.
Example: | *RST; :CALC:RIPP:DATA 1,1500000000, 2000000000,3, 1, 2000000000, 3000000000, 5 Define and enable a ripple limit range in the stimulus range between 1.5 GHz and 2 GHz, assigning a ripple limit of +3 dBm. Define and enable a second ripple limit range in the stimulus range between 2 GHz and 3 GHz, assigning a ripple limit of +5 dBm. CALC:RIPP:DISP ON Show the ripple limit ranges in the active diagram.

CALCulate<Chn>:RIPPle:DELete:ALL

Deletes all ripple limit ranges.

<Chn> | Channel number used to identify the active trace.
*RST value | –
SCPI, Command Types | Device-specific, no query.
Example: | *RST; :CALC:RIPP:DATA 1,1500000000, 2000000000,3, 1, 2000000000, 3000000000, 5 Define and enable a ripple limit range in the stimulus range between 1.5 GHz and 2 GHz, assigning a ripple limit of +3 dBm. Define and enable a second ripple limit range in the stimulus range between 2 GHz and 3 GHz, assigning a ripple limit of +5 dBm. CALC:RIPP:DEL:ALL Delete both created ripple limit ranges.

CALCulate<Chn>:RIPPle:DISPlay[:STATe] <Boolean>

Displays or hides all ripple limit lines (including all ranges) associated to the active trace.

<Chn> | Channel number used to identify the active trace.
<Boolean> | ON | OFF - Limit line on or off.
*RST value | OFF
SCPI, Command Types | Device-specific, command or query.
Example: | *RST; :CALC:RIPP:DATA 1,1500000000, 2000000000,3 Define and enable a ripple limit range in the stimulus range between 1.5 GHz and 2 GHz, assigning a ripple limit of +3 dBm. CALC:RIPP:DISP ON Show the ripple limit range in the active diagram.

CALCulate<Chn>:RIPPle:FAIL?

Returns a 0 or 1, to indicate whether or not the global ripple limit check has failed.

Use CALCulate<Chn>:RIPPle:SEGMent<Seg>:RESult? to query the result for a single ripple limit range.

In remote control, the ripple limit check result is calculated once at the end of each sweep. If the ripple limits are changed, a new sweep is required to obtain updated ripple limit check results. In single sweep mode (INITiate<Ch>:CONTinuous OFF), the new sweep must be started explicitly using INITiate<Ch>[:IMMediate]:SCOPe ALL | SINGle. This behavior is different from manual control where a changed ripple limit line can directly affect the pass/fail result of the displayed trace.

<Chn> | Channel number used to identify the active trace.
Response | 0 | 1 - 0 represents pass (or a disabled limit check), 1 represents fail in at least one ripple limit range.
*RST value | 0
SCPI, Command Types | Device-specific, query only.
Example: | *RST; :CALC:RIPP:DATA 1,1500000000, 2000000000,3 Define and enable a ripple limit range in the stimulus range between 1.5 GHz and 2 GHz, assigning a ripple limit of +3 dBm. CALC:RIPP:STAT ON; FAIL? Switch the limit check on and query the result.

CALCulate<Chn>:RIPPle:RDOMain:FORMat
COMPlex | MAGNitude | PHASe | REAL | IMAGinary | SWR | GDELay | L | C

Deletes the existing ripple limit ranges and (re-)defines the physical unit of the ripple limit. The units of the stimulus values are defined via CALCulate<Chn>:RIPPle:CONTrol:DOMain.

<Chn>

Channel number used to identify the active trace.

Parameters

Keyword for the physical unit of the response values.

Range [def. unit]

The parameters form four groups:

  • COMPlex, REAL, IMAGinary, and SWR select dimensionless numbers (U) for the ripple limit.

  • MAGNitude selects relative units (dB).

  • PHASe selects phase units (deg).

  • GDELay selects time units (s).

  • L selects inductance units (H/Henry).

  • C selects capacitance units (F/Farad).

[–]

*RST value

–

SCPI, Command Types

Device-specific, no query.

Example

*RST; :CALC:RIPP:DATA 1,1500000000, 2000000000,3

Define and enable a ripple limit range in the stimulus range between 1.5 GHz and 2 GHz, assigning a ripple limit of +3 dBm.

CALC:RIPP:RDOM:FORM COMP

Delete the ripple limit range, select complex units for the ripple limit.

CALCulate<Chn>:RIPPle:SEGMent<Seg>:LIMit <limit_value>

Defines the ripple limit for ripple limit range no. <Seg>. A range must be created first to enable this command (e.g CALCulate<Chn>:RIPPle:DATA).

To define several ripple limit ranges with a single command, use CALCulate<Chn>:RIPPle:DATA.

<Chn> | Channel number used to identify the active trace.
<Seg> | Segment number
<limit_value> | Limit value, to be defined in accordance with the selected format (CALCulate<Chn>:RIPPle:RDOMain:FORMat).
Range [def. unit] | Almost no restriction for limit ranges; see Rules for Limit Line Definition. [Hz for frequency sweeps, dBm for power sweeps, s for time sweeps]
*RST value | – (no ripple limit line defined after *RST)
SCPI, Command Types | Device-specific, with query.
Example: | See CALCulate<Chn>:RIPPle:SEGMent<Seg>:STIMulus:STARt.

CALCulate<Chn>:RIPPle:SEGMent<Seg>:COUNt?

Queries the number of ripple limit ranges.

<Chn> | Channel number used to identify the active trace.
<Seg> | Ripple limit range number. This suffix is ignored; the command counts all ranges.
Response | 0 | 1 | ...- number of (enabled or disabled)) ripple limit ranges.
*RST value | 0
SCPI, Command Types | Device-specific, query only.
Example: | *RST; :CALC:RIPP:DATA 1,1500000000, 2000000000,3, 1, 2000000000, 3000000000, 5 Define and enable a ripple limit range in the stimulus range between 1.5 GHz and 2 GHz, assigning a ripple limit of +3 dBm. Define and enable a second ripple limit range in the stimulus range between 2 GHz and 3 GHz, assigning a ripple limit of +5 dBm. CALC:RIPP:SEGM:COUNT? Query the number of ranges. The response is 2.

CALCulate<Chn>:RIPPle:SEGMent<Seg>:RESult?

Returns the result of the ripple limit check in the previously defined limit range no. <Seg>.

Use CALCulate<Chn>:RIPPle:FAIL? to query the result for global ripple limit check.

In remote control, the ripple limit check result is calculated once at the end of each sweep. If the ripple limits are changed, a new sweep is required to obtain updated ripple limit check results. In single sweep mode (INITiate<Ch>:CONTinuous OFF), the new sweep must be started explicitly using INITiate<Ch>[:IMMediate]:SCOPe ALL | SINGle. This behavior is different from manual control where a changed ripple limit line can directly affect the pass/fail result of the displayed trace.

<Chn>

Channel number used to identify the active trace.

<Seg>

Ripple limit range number

Response:

<Fail>,
<Limit>

0 | 1 - 0 represents pass, 1 represents fail
Measured ripple in the limit range. A result is returned even if the limit check in the range no. <Seg> is disabled; see example below.

*RST value

– (a reset deletes all ripple limit ranges)

SCPI, Command Types

Device-specific, query only

Example:

*RST; :CALC:RIPP:DATA 1,1500000000, 2000000000,3

Define and enable a ripple limit range in the stimulus range between 1.5 GHz and 2 GHz, assigning a ripple limit of +3 dBm.

CALC:RIPP:STAT ON; SEGM:RES?

Enable the limit check and query the result for the created range. Possible response: 0,0.3529814004.

CALC:RIPP:DATA 0,2500000000, 3000000000,3

Define a second ripple limit range with disabled limit check (no limit check results are displayed in the diagram area).

CALC:RIPP:SEGM2:RES?

Query the result for the second range. Possible response: 0,1.149071925.

CALCulate<Chn>:RIPPle:SEGMent<Seg>:STIMulus:STARt <start_value>

Changes the start stimulus value (i.e. the smallest stimulus value) of a ripple limit range. A range must be created first to enable this command (e.g CALCulate<Chn>:RIPPle:DATA).

To define several ripple limit ranges with a single command, use CALCulate<Chn>:RIPPle:DATA.

<Chn> | Channel number used to identify the active trace.
<Seg> | Ripple limit range number
<start_value> | Frequency, power or time value, to be defined in accordance with the domain setting (CALCulate<Chn>:RIPPle:CONTrol:DOMain).
Range [def. unit] | Almost no restriction for limit ranges; see Rules for Limit Line Definition. [Hz for frequency sweeps, dBm for power sweeps, s for time sweeps]
*RST value | – (no ripple limit line defined after *RST)
SCPI, Command Types | Device-specific, with query.
Example: | *RST; :CALC:RIPP:DATA 1,1500000000, 2000000000,3 Define and enable a ripple limit range in the stimulus range between 1.5 GHz and 2 GHz, assigning a ripple limit of +3 dBm. CALC:RIPP:SEGM:STIM:STAR 1GHZ; STOP 2.5 GHZ; :CALC:RIPP:SEGM:LIM 5 Change the range to a stimulus range between 1 GHz and 2.5 GHz and a limit of 5 dB. CALC:RIPP:SEGM:STAT OF Disable the limit check in the modified stimulus range.

CALCulate<Chn>:RIPPle:SEGMent<Seg>[:STATe] <Boolean>

Enables or disables the limit check in the ripple limit range no. <Seg>.

<Chn> | Channel number used to identify the active trace.
<Seg> | Segment number
<Boolean> | ON | OFF - Limit check on or off. A result is available even if the limit check is disabled; see example for CALCulate<Chn>:RIPPle:SEGMent<Seg>:RESult?.
*RST value | – (no ripple limit line defined after *RST)
SCPI, Command Types | Device-specific, command or query.
Example: | See CALCulate<Chn>:RIPPle:SEGMent<Seg>:STIMulus:STARt.

CALCulate<Chn>:RIPPle:SEGMent<Seg>:STIMulus:STOP <stop_value>

Changes the stop stimulus value (i.e. the largest stimulus value) of a ripple limit range. A range must be created first to enable this command (e.g CALCulate<Chn>:RIPPle:DATA).

To define several ripple limit ranges with a single command, use CALCulate<Chn>:RIPPle:DATA.

<Chn> | Channel number used to identify the active trace.
<Seg> | Segment number
<stop_value> | Frequency, power or time value, to be defined in accordance with the domain setting (CALCulate<Chn>:RIPPle:CONTrol:DOMain).
Range [def. unit] | Almost no restriction for limit ranges; see Rules for Limit Line Definition. [Hz for frequency sweeps, dBm for power sweeps, s for time sweeps]
*RST value | – (no ripple limit line defined after *RST)
SCPI, Command Types | Device-specific, with query.
Example: | See CALCulate<Chn>:RIPPle:SEGMent<Seg>:STIMulus:STARt.

CALCulate<Chn>:RIPPle:SOUNd[:STATe] <Boolean>

Switches the acoustic signal (fail beep) on or off. The fail beep is generated each time the analyzer detects an exceeded limit.

<Chn> | Channel number used to identify the active trace.
<Boolean> | ON | OFF - Fail beep on or off.
*RST value | OFF
SCPI, Command Types | Device-specific, command or query.
Example: | CALC:RIPP:STAT ON; SOUN ON Switch the limit check on and activate the fail beep.

CALCulate<Chn>:RIPPle:STATe <Boolean>

Switches the global ripple limit check on or off. This check covers all traces in the active setup.

Use CALCulate<Chn>:RIPPle:SEGMent<Seg>[:STATe] to switch the limit check for a single ripple limit range on or off.

<Chn> | Channel number used to identify the active trace.
<Boolean> | ON | OFF - Limit check on or off.
*RST value | OFF
SCPI, Command Types | Device-specific, command or query.
Example: | See CALCulate<Chn>:RIPPle:FAIL?


CALCulate_SMOothing

:APERture

[:STATe]

CALCulate<Chn>:SMOothing...

This subsystem provides the settings for trace smoothing.

Command tree: CALCulate<Chn>SMOothing

CALCulate<Chn>:SMOothing:APERture <numeric_value>

Defines how many measurement points are averaged to smooth the trace.

<Chn> | Channel number used to identify the active trace. If unspecified the numeric suffix is set to 1.
<numeric_value> | Smoothing aperture.
Range [def. unit] | 0.05% to 100%. A smoothing aperture of n % means that the smoothing interval for each sweep point i with stimulus value xi is equal to [xi – span*n/200, xi + span*n/200], and that the result of i is replaced by the arithmetic mean value of all measurement points in this interval. [%]
*RST value | 1
SCPI, Command Types | Device-specific, command or query.
Example: | *RST; :CALC:SMO ON Activate smoothing for the default trace. CALC:SMO:APER 0.5 Reduce the smoothing aperture to 0.5 %.

CALCulate<Chn>:SMOothing[:STATe] <Boolean>

Enables or disables smoothing for trace no. <Chn>.

<Chn> | Channel number used to identify the active trace.
<Boolean> | ON | OFF - Smoothing on or off.
*RST value | OFF
SCPI, Command Types | Device-specific, command or query.
Example: | See CALCulate<Chn>:STATistics:SMOothing:APERture


CALCulate_STATistics

:DOMain

:USER

:SHOW

:STARt

:STOP

:EDPdelay

[:STATe]

:MMPTpeak

[:STATe]

:MSTDev

[:STATe]

:NLINear

:COMP

:LEVel

:RESult?

[:STATe]

:RESult

:RMS

[:STATe]

:SFLatness

[:STATe]

[:STATe]

CALCulate<Chn>:STATistics...

This subsystem evaluates and displays statistical and phase information of the trace.

Command tree: CALCulate<Chn>:STATistics

CALCulate<Chn>:STATistics:DOMain:USER <range_no>

Selects one out of 10 evaluation ranges to be configured with the CALCulate<Chn>:STATistics:DOMain:USER:SHOW, CALCulate<Chn>:STATistics:DOMain:USER:STARt and CALCulate<Chn>:STATistics:DOMain:USER:STOP commands.

<Chn>

Channel number used to identify the active trace. If unspecified the numeric suffix is set to 1.

<range_no>

Number of the evaluation range.

Range [def. unit]

1 to 10. In addition, 0 denotes the (non-configurable) Full Span evaluation range. [–]

*RST value

0

SCPI, Command Types

Device-specific, command or query.

Example:

*RST; :CALC:STAT:DOM:USER?

Query the default evaluation range. The response is zero, i.e. the evaluation range is equal to the complete sweep range

CALC:STAT:DOM:USER 1; :CALC:STAT:DOM:USER:STARt 1GHZ; STOP 2GHZ; SHOW ON

Select evaluation range no. 1 and define the evaluation range between 1 GHz and 2 GHz. Display the range limit lines.

CALCulate<Chn>:STATistics:DOMain:USER:SHOW <Boolean>

Displays or hides range limit lines for the evaluation range selected via CALCulate<Chn>:STATistics:DOMain:USER.

<Chn> | Channel number used to identify the active trace.
<Boolean> | ON | OFF - Range limit lines on or off.
*RST value | OFF
SCPI, Command Types | Device-specific, command or query.
Example: | See CALCulate<Chn>:STATistics:DOMain:USER

CALCulate<Chn>:STATistics:DOMain:USER:STARt <start_value>

Defines the start value of the evaluation range selected via CALCulate<Chn>:STATistics:DOMain:USER.

<Chn> | Channel number used to identify the active trace.
<start_value> | Start value of the evaluation range.
Range [def. unit] | –1000 GHz to 999.999999999 GHz. [Hz]
*RST value | Lowest frequency of the analyzer, depending on the analyzer model.
SCPI, Command Types | Device-specific, command or query.
Example: | See CALCulate<Chn>:STATistics:DOMain:USER

CALCulate<Chn>:STATistics:DOMain:USER:STOP <stop_value>

Defines the stop value of the evaluation range selected via CALCulate<Chn>:STATistics:DOMain:USER.

<Chn> | Channel number used to identify the active trace.
<stop_value> | Stop value of the evaluation range.
Range [def. unit] | –999.999999999 GHz to 1000 GHz. [Hz]
*RST value | Highest frequency of the analyzer, depending on the analyzer model.
SCPI, Command Types | Device-specific, command or query.
Example: | See CALCulate<Chn>:STATistics:DOMain:USER

CALCulate<Chn>:STATistics:EPDelay[:STATe] <Boolean>

Displays or hides the Phase Delay/El Length results in the diagram area of trace no. <Chn>.

<Chn> | Channel number used to identify the active trace.
<Boolean> | ON | OFF - Statistical info field on or off.
*RST value | OFF
SCPI, Command Types | Device-specific, command or query.
Example: | See CALCulate<Chn>:STATistics:[:STATe]

CALCulate<Chn>:STATistics:MMPTpeak[:STATe] <Boolean>

Displays or hides the Min/Max/Peak-Peak results in the diagram area of trace no. <Chn>.

<Chn> | Channel number used to identify the active trace.
<Boolean> | ON | OFF - Statistical info field on or off.
*RST value | OFF
SCPI, Command Types | Device-specific, command or query.
Example: | See CALCulate<Chn>:STATistics:[:STATe]

CALCulate<Chn>:STATistics:MSTDdev[:STATe] <Boolean>

Displays or hides the Mean/Std Dev results in the diagram area of trace no. <Chn>.

<Chn> | Channel number used to identify the active trace.
<Boolean> | ON | OFF - Statistical info field on or off.
*RST value | OFF
SCPI, Command Types | Device-specific, command or query.
Example: | See CALCulate<Chn>:STATistics:[:STATe]

CALCulate<Chn>:STATistics:NLINear:COMP:LEVel <numeric_value>

Defines the compression value x for the x-dB compression point measurement (CALCulate<Chn>:NLINear:COMP:RESult?).

<Chn> | Channel number used to identify the active trace.
<numeric_value> | Stop value of the evaluation range.
Range [def. unit] | +0.01 dBm to +100.00 dBm [dBm]
*RST value | 1 dBm
SCPI, Command Types | Device-specific, command or query.
Example: | See CALCulate<Chn>:NLINear:COMP:RESult?
CALCulate<Chn>:STATistics:NLINear:COMP:RESult?

Returns the x-dB compression point of an S-parameter or ratio measured in a power sweep. The compression value x is set via CALCulate<Chn>:STATistics:NLINear:COMP:LEVel.

<Chn> | Channel number used to identify the active trace.
Result | <Cmp_In>, <Cmp_Out> <Cmp_In> is the stimulus level at the compression point <Cmp_Out> is the magnitude of the wave reflected or transmitted by the DUT.
Range [def. unit] | For <Cmp_In>: Current sweep range or evaluation range (CALCulate<Chn>:STATistics:DOMain:USER), if different from the sweep range. [dBm] For <Cmp_Out>: Measurement range of the analyzer. [dBm]
*RST value | –
SCPI, Command Types | Device-specific, query only.
Example: | *RST; SWE:TYPE POW Select a power sweep with default CW frequency and sweep range. CALC:STAT:NLIN:COMP:LEV 2 Define a compression value of 2 dB. CALC:STAT:NLIN:COMP:RES? Query the compression point results <Cmp_In>, <Cmp_Out>. An execution error message (error no. –200) is returned if no compression point is found. CALC:STAT:NLIN:COMP ON Display the compression point result in the diagram area.

CALCulate<Chn>:STATistics:NLINear:COMP[:STATe] <Boolean>

Displays or hides the compression point result in the diagram area of trace no. <Chn>.

<Chn> | Channel number used to identify the active trace.
<Boolean> | ON | OFF - Statistical info field on or off.
*RST value | OFF
SCPI, Command Types | Device-specific, command or query.
Example: | See CALCulate<Chn>:NLINear:COMP:RESult?

CALCulate<Chn>:STATistics:RESult?
MEAN | STDDev | MAX | MIN | RMS | PTPeak | ELENgth | PDELay | GAIN | SLOPe | FLATness | ALL

Returns a single statistical parameters of the trace no. <Chn> or all parameters. It is not necessary to display the info field (CALCulate<Chn>:STATistics[:STATe] ON) before using this command.

<Chn> | Channel number used to identify the active trace.
Parameters | MEAN – Return arithmetic mean value of all response values of the trace in the entire sweep range (or in the evaluation range defined in manual control) STDDev – Return standard deviation of all response values MAX – Return the maximum of all response values MIN – Return the minimum of all response values RMS – Return the root mean square of all response values PTPeak – Return the peak-to-peak value (MAX – MIN) ELENgth – Return the electrical length PDELay – Return the phase delay GAIN – Return the gain, i.e. the larger of two marker values SLOPe – Return the slope (difference) between two marker values FLATness – Return the flatness of the trace between two marker positions ALL – Return all statistical values, observing the order used above
Range [def. unit] | The data is returned as a comma-separated list of real numbers. The unit is the default unit of the measured parameter; see CALCulate<Ch>:PARameter:SDEFine but also depends on the trace format (linear or logarithmic scale, see CALCulate<Chn>:FORMat). If a polar trace format is selected, then the statistical parameters are calculated from the linear magnitude of the measurement parameter. [–]
*RST value | –
SCPI, Command Types | Device-specific, query only.
Example: | *RST; :CALC:STAT:RES? MAX Calculate and return the maximum of the default trace showing an S-parameter on a dB Mag scale. :CALC:FORM POL; STAT:RES? MAX Display the trace in a polar diagram and re-calculate the maximum. The result corresponds to the previous result but is converted to a unitless linear value.

CALCulate<Chn>:STATistics:RMS[:STATe] <Boolean>

Displays or hides the RMS results in the diagram area of trace no. <Chn>.

<Chn> | Channel number used to identify the active trace.
<Boolean> | ON | OFF - Statistical info field on or off.
*RST value | OFF
SCPI, Command Types | Device-specific, command or query.
Example: | See CALCulate<Chn>:STATistics:[:STATe]

CALCulate<Chn>:STATistics:SFLatness[:STATe] <Boolean>

Displays or hides the Gain/Slope/Flatness results in the diagram area of trace no. <Chn>.

<Chn> | Channel number used to identify the active trace.
<Boolean> | ON | OFF - Statistical info field on or off.
*RST value | OFF
SCPI, Command Types | Device-specific, command or query.
Example: | See CALCulate<Chn>:STATistics:[:STATe]

CALCulate<Chn>:STATistics[:STATe] <Boolean>

Displays or hides all statistical results in the diagram area of trace no. <Chn> except the compression point results.

You can display or hide the Min/Max/Peak-Peak, Mean/Std Dev, RMS, Phase Delay/El Length and Gain/Slope/Flatness results separately; see example below.

<Chn> | Channel number used to identify the active trace.
<Boolean> | ON | OFF - Statistical info field on or off.
*RST value | OFF
SCPI, Command Types | Device-specific, command or query.
Example: | *RST; :CALC:STAT:MMPT ON Reset the instrument, hiding all statistical results. Display the Min/Max/Peak-Peak results. CALC:STAT:MSTD ON Display the Mean/Std Dev results in addition. CALC:STAT:RMS ON Display the RMS results in addition. CALC:STAT:EPD ON Display the Phase Delay/El Length results in addition. CALC:STAT:SFL ON Display the Gain/Slope/Flatness results in addition. CALC:STAT OFF Hide all results.


CALCulate_TDIF

:IMBalance

:COMPensation

[:STATe]

CALCulate<Ch>:TDIF...

This subsystem provides settings for the True Differential Mode (with option R&S ZVA-K6).

Command tree: CALCulate<Ch>:TDIF

CALCulate<Ch>:TDIF:IMBalance:COMPensation[:STATe] <Boolean>

Selects the calculation method for S-parameters, ratios and derived quantities during an amplitude imbalance or phase imbalance sweep.

<Ch> | Channel number
<Boolean> | ON – Compensate imbalance of a waves OFF – Use the actual a-waves, depending on the imbalance parameters
*RST value | OFF [–]
SCPI, Command Types | Device-specific, command or query
Example: | See SOURce<Ch>:TDIF:IMBalance:AMPLitude:LPORt


CALCulate_TRANsform

:COMPlex

:IMPedance

:RNORmal

:TIME

:CENTer

:DCHebyshev

:LPASs

:DCSParam

:CONTinuous

:EXTRapolate

:LPFRequency

:SPAN

:STARt

:STATe

:STIMulus

:STOP

[:TYPE]

:WINDow

:XAXis

:VNETworks (virtual network commands)

CALCulate<Chn>:TRANsform...

This subsystem converts measured data from one representation to another and controls the transformation into the time domain (with option ZVAB-K2, Time Domain).

Command tree: CALCulate<Chn>:TRANsform

CALCulate<Chn>:TRANsform:COMPlex S | Y | Z

Converts S-parameters into matched-circuit (converted) Y-parameters or Z-parameters and vice versa, assuming that port no. i is terminated with Z0i so that the three parameter sets are equivalent and the following formulas apply:

<Chn> | Channel number used to identify the active trace. If unspecified the numeric suffix is set to 1.
S | Y | P | S-parameters, Y-parameters, Z-parameters
*RST value | – (The initial representation of the trace is determined by means of CALCulate<Ch>:PARameter:SDEFine)
SCPI, Command Types | Device-specific, command or query.
Example: | *RST; :CALC:PAR:MEAS 'Trc1'", '"Y-S22' Select the converted admittance Y<–S22 as measurement parameter of the default trace. CALC:TRAN:COMP S Convert the converted Y-parameter into an S-parameter.

CALCulate<Chn>:TRANsform:IMPedance:RNORmal TWAVes | PWAVes

Selects the theory for the renormalization of port impedances. The selection has an impact on the conversion formulas for wave quantities and S-parameters.

<Chn> | Channel number used to identify the active trace.
TWAVes PWAVes | TWAVes – travelling waves PWAVes – power waves
*RST value | TWAVes
SCPI, Command Types | Device-specific, command or query.
Example: | See [SENSe<Ch>:]PORt<phys_port>:ZREFerence

CALCulate<Chn>:TRANsform:TIME:CENTer <numeric_value>

Defines the center time of the diagram in time domain.

<Chn> | Channel number used to identify the active trace
<numeric_value> | Center time of the diagram in time domain
Range [def. unit] | -99.99999999999 s to +99.99999999999 s. The increment (parameters UP or DOWN) is 0.1 ns. [s]
*RST value | 1.5E-009 s
SCPI, Command Types | Confirmed, command or query
Example: | *RST; :CALC:TRAN:TIME:STAT ON Reset the instrument, activating a frequency sweep, and enable the time domain transformation for the default trace. CALC:TRAN:TIME:CENT 0; SPAN 5ns Set the center time to 0 ns and the time span to 5 ns.

Note: If the x-axis is scaled in distance units (CALCulate<Chn>:TRANsform:TIME:XAXis DISTance), then the center value is entered in m; the range and default value changes accordingly.

CALCulate<Chn>:TRANsform:TIME:DCHebyshev <numeric_value>

Sets the sideband suppression for the Dolph-Chebyshev window. The command is only available if a Dolph-Chebyshev window is active (CALCulate<Chn>:TRANsform:TIME:WINDow DCHebyshev).

<Chn> | Channel number used to identify the active trace
<numeric_value> | Sideband suppression
Range [def. unit] | 10 dB to 120 dB. The increment (parameters UP or DOWN) is 10 dB. [dB]
*RST value | 32 dB
SCPI, Command Types | Device-specific, command or query
Example: | *RST; :CALC:TRAN:TIME:WIND DCH Reset the instrument and select a Dolph-Chebyshev window for filtering the data in the frequency domain. CALC:TRAN:TIME:DCH 25 Set the sideband suppression to 25 dB.
CALCulate<Chn>:TRANsform:TIME:LPASs
KFSTop | KDFRequency | KSDfrequency

Calculates the harmonic grid for low pass time domain transforms according to one of the three alternative algorithms.

<Chn> | Channel number used to identify the active trace
Parameters | KFSTop – Keep stop frequency and number of points KDFRequency – Keep frequency gap and number of points KSDfrequency – Keep stop frequency and approximate frequency gap
*RST value | –
SCPI, Command Types | Device-specific, no query (the command causes an event)
Example: | See CALCulate<Chn>:TRANsform:TIME[:TYPE]

CALCulate<Chn>:TRANsform:TIME:LPASs:DCSParam <numeric_value>

Defines the DC value for low pass transforms. The command is enabled only if the sweep points are on a harmonic grid (to be set explicitly or using CALCulate<Chn>:TRANsform:TIME:LPASs).

<Chn>

Channel number used to identify the active trace

<numeric_value>

DC value of the measured quantity

Range [def. unit]

Depending on the measured quantity (–1 to +1 for S-parameters)

*RST value

0

SCPI, Command Types

Device-specific, command or query

Example:

*RST; :CALC:TRAN:TIME:STAT ON

Reset the instrument, activating a frequency sweep with S21 as measured quantity, and enable the time domain transformation for the default trace.

CALC:TRAN:TIME LPAS; TIME:STIM STEP

Select a low pass step transformation.

CALC:TRAN:TIME:LPAS KFST

Calculate a harmonic grid, keeping the stop frequency and the number of points.

CALC:TRAN:TIME:LPAS:DCSP 0.2

Set the DC value.

CALC:TRAN:TIME:LPAS:DCSP:EXTR; CALC:TRAN:TIME:LPAS:DCSP?

Extrapolate the measured trace, overwrite the defined DC value, and query the new value.

CALC:TRAN:TIME:LPAS:DCSP:CONT ON

Switch over to continuous extrapolation (e.g. because you noticed a discrepancy between the manually entered DC value and the extrapolation and assume the extrapolation to be more trustworthy).

CALC:TRAN:TIME:RES:EFAC 3

Select a resolution enhancement factor of 3 in order to improve the resolution in time domain.

CALCulate<Chn>:TRANsform:TIME:LPASs:DCSParam:CONTinuous <Boolean>

Determines whether continuous extrapolation for the DC value is enabled.

<Chn> | Channel number used to identify the active trace
<Boolean> | ON – Continuous extrapolation enabled OFF – Continuous extrapolation disabled
*RST value | OFF [–]
SCPI, Command Types | Device-specific, command or query
Example: | See CALCulate<Chn>:TRANsform:TIME:LPASs:DCSParam

CALCulate<Chn>:TRANsform:TIME:LPASs:DCSParam:EXTRapolate

Extrapolates the measured trace towards f = 0 and overwrites the current DC value (CALCulate<Chn>:TRANsform:TIME:LPASs:DCSParam). The command is relevant for low pass time domain transforms.

<Chn> | Channel number used to identify the active trace
Parameters | None
*RST value | –
SCPI, Command Types | Device-specific, no query (the command causes an event)
Example: | See CALCulate<Chn>:TRANsform:TIME:LPASs:DCSParam

CALCulate<Chn>:TRANsform:TIME:LPFRequency

Calculates the harmonic grid for low pass time domain transforms, keeping the stop frequency and the number of points.

Use CALCulate<Chn>:TRANsform:TIME:LPASs if you wish to use one of the other algorithms for calculating the grid.

<Chn> | Channel number used to identify the active trace
Parameters | None
*RST value | –
SCPI, Command Types | Device-specific, no query (the command causes an event)
Example: | See CALCulate<Chn>:TRANsform:TIME[:TYPE]

CALCulate<Chn>:TRANsform:TIME:RESolution:EFACtor <factor>

Defines the resolution enhancement factor for the time domain transform.

<Chn> | Channel number used to identify the active trace
<factor> | Resolution enhancement factor.
Range [def. unit] | 1 to 10. The increment (parameters UP or DOWN) is 0.1. [–]
*RST value | 1 (no resolution enhancement)
SCPI, Command Types | Device-specific, command or query
Example: | See CALCulate<Chn>:TRANsform:TIME:LPASs:DCSParam

CALCulate<Chn>:TRANsform:TIME:SPAN <time_span>

Defines the time span of the diagram in time domain.

<Chn> | Channel number used to identify the active trace
<time_span> | Time span of the diagram in time domain.
Range [def. unit] | 2E-012 s to 200 s. The increment (parameters UP or DOWN) is 0.1 ns. [s]
*RST value | 5E-009 s
SCPI, Command Types | Confirmed, command or query
Example: | See CALCulate<Chn>:TRANsform:TIME:CENTer

Note: If the x-axis is scaled in distance units (CALCulate<Chn>:TRANsform:TIME:XAXis DISTance), then the span is entered in m; the range and default value changes accordingly.

CALCulate<Chn>:TRANsform:TIME:STARt <start_time>

Defines the start time of the diagram in time domain.

<Chn> | Channel number used to identify the active trace
<start_time> | Start time of the diagram.
Range [def. unit] | –100 s to +99.999999999998 s. The increment (parameters UP or DOWN) is 0.1 ns. [s]
*RST value | –1E-009 s
SCPI, Command Types | Confirmed, command or query
Example: | *RST; :CALC:TRAN:TIME:STAT ON Reset the instrument, activating a frequency sweep, and enable the time domain transformation for the default trace. CALC:TRAN:TIME:STAR 0; STOP 10 ns Set the start time to 0 ns and the stop time to 10 ns.

Note: If the start frequency entered is greater than the current stop frequency (CALCulate<Chn>:TRANsform:TIME:STOP), the stop frequency is set to the start frequency plus the minimum frequency span (CALCulate<Chn>:TRANsform:TIME:SPAN).
If the x-axis is scaled in distance units (CALCulate<Chn>:TRANsform:TIME:XAXis DISTance), then the start value is entered in m; the range and default value changes accordingly.

CALCulate<Chn>:TRANsform:TIME:STATe <Boolean>

Determines whether the time domain transformation for trace no. <Chn> is enabled.

<Chn> | Channel number used to identify the active trace
<Boolean> | ON – Time domain representation active OFF – Frequency domain representation active
*RST value | OFF [–]
SCPI, Command Types | Confirmed, command or query
Example: | *RST; :CALC:TRAN:TIME:STAT? Reset the instrument, activating a frequency sweep, and query whether the default trace is displayed in the time domain. The response is 0.

CALCulate<Chn>:TRANsform:TIME:STIMulus
STEP | IMPulse

Selects the type of stimulus to be simulated in the low pass transformation process.

<Chn> | Channel number used to identify the active trace
Parameters | IMPulse – Impulse response, in bandpass or lowpass mode STEP – Step response, only in lowpass mode (a bandpass mode setting CALCulate<Chn>:TRANsform:TIME[:TYPE] BPASs is automatically changed to lowpass)
*RST value | IMP
SCPI, Command Types | Confirmed, command or query
Example: | See CALCulate<Chn>:TRANsform:TIME[:TYPE]

CALCulate<Chn>:TRANsform:TIME:STOP <numeric_value>

Defines the stop time of the diagram in time domain.

<Chn> | Channel number used to identify the active trace
<numeric_value> | Stop time of the diagram.
Range [def. unit] | –99.999999999998 s to +100 s. The increment (parameters UP or DOWN) is 0.1 ns. [s]
*RST value | +4E-009 s
SCPI, Command Types | Confirmed, command or query
Example: | See CALCulate<Chn>:TRANsform:TIME:STARt.

Note: If the stop frequency entered is smaller than the current start frequency (CALCulate<Chn>:TRANsform:TIME:STARt), the start frequency is set to the stop frequency minus the minimum frequency span (CALCulate<Chn>:TRANsform:TIME:SPAN).
If the x-axis is scaled in distance units (CALCulate<Chn>:TRANsform:TIME:XAXis DISTance), then the stop value is entered in m; the range and default value changes accordingly.

CALCulate<Chn>:TRANsform:TIME[:TYPE]
BPASs | LPASs

Selects the time domain transformation type.

<Chn> | Channel number used to identify the active trace
Parameters | BPASs – Band pass impulse (only impulse response; a step response CALCulate<Chn>:TRANsform:TIME:STIMulus STEP is automatically changed to impulse response) LPASs – Low pass (impulse or step response, depending on CALCulate<Chn>:TRANsform:TIME:STIMulus setting)
*RST value | BPASs
SCPI, Command Types | Confirmed, command or query
Example: | *RST; :CALC:TRAN:TIME:STAT ON Reset the instrument, activating a frequency sweep, and enable the time domain transformation for the default trace. CALC:TRAN:TIME LPAS; TIME:STIM STEP Select a low pass step transformation. CALC:TRAN:TIME:LPAS KFST Calculate a harmonic grid, keeping the stop frequency and the number of points.

CALCulate<Chn>:TRANsform:TIME:WINDow
RECT | HAMMing | HANN | BOHMan | DCHebyshev

Selects the window type for filtering the data in the frequency domain prior to the time domain transformation.

<Chn> | Channel number used to identify the active trace
Parameters | RECT – No profiling (rectangle) HANN – Normal profile (Hann) HAMMing – Low first sidelobe (Hamming) BOHMan – Steep falloff (Bohman) DCHebyshev – Arbitrary sidelobes (Dolph-Chebychev)
*RST value | HANN
SCPI, Command Types | Confirmed (with some device-specific parameters), command or query
Example: | See CALCulate<Chn>:TRANsform:TIME:DCHebychev

CALCulate<Chn>:TRANsform:TIME:XAXis TIME | DISTance

Switches over between the x-axis scaling in time units or distance units.

<Chn> | Channel number used to identify the active trace
TIME | x-axis scaled in time units
DISTance | x-axis scaled in distance units (Distance = Time * c0 * Velocity Factor)
*RST value | OFF [–]
SCPI, Command Types | Device-specific, command or query
Example: | *RST; :CALC:TRAN:TIME:STAT ON Reset the instrument, activating a frequency sweep, and enable the time domain transformation for the default trace. CALC:TRAN:TIME:XAX DIST Convert the x-axis scaling to distance units.


CALCulate_TRANsform_VNETworks

:BALanced

:DEEMbedding<Log_pt>

:PARameters

:C<nr>

:L<nr>

:R<nr>

[:STATe]

:TNDefinition

:EMBedding<Log_pt>

:PARameters

:C<nr>

:L<nr>

:R<nr>

[:STATe]

:TNDefinition

:GLOop

:DEEMbedding

:PARameters

:C<nr>

:L<nr>

:R<nr>

[:STATe]

:TNDefinition

:EMBedding

:PARameters

:C<nr>

:L<nr>

:R<nr>

[:STATe]

:TNDefinition

:PPAir

:DEEMbedding

:DEFine

:DELete

:PARameters

:C<nr>

:L<nr>

:R<nr>

[:STATe]

:TNDefinition

:EMBedding

:DEFine

:DELete

:PARameters

:C<nr>

:L<nr>

:R<nr>

[:STATe]

:TNDefinition

:SENDed

:DEEMbedding<Ph_pt>

:PARameters

:C<nr>

:L<nr>

:R<nr>

[:STATe]

:TNDefinition

:EMBedding<Ph_pt>

:PARameters

:C<nr>

:L<nr>

:R<nr>

[:STATe]

:TNDefinition

CALCulate<Ch>:TRANsform:VNETworks...

This subsystem defines the circuit models for single ended and balanced port (de-)embedding and activates the (de-)embedding function.

Command tree: CALCulate<Ch>:TRANsform:VNETworks

The circuit models are referenced by means of predefined character data parameters. They are different for single ended port, balanced port, and ground loop (de-)embedding.

Circuit models for balanced port and port pair embedding/deembedding:

Parameter | Circuit model | Capacitances | Resistances | Inductances
FIMPort | File import, no circuit model | – | – | –
STSL | Serial Touchstone (.s2p) data, shunt L | – | R1 | L1
STSC | Serial Touchstone (.s2p) data, shunt C | C1 | R1 | –
SLST | Shunt L, serial Touchstone (.s2p) data | – | R1 | L1
SCST | Shunt C, serial Touchstone (.s2p) data | C1 | R1 | –
CSSL | Serial Cs, shunt L | C1, C2 | R1, R2, R3 | L1
LSSC | Serial Ls, shunt C | C1 | R1, R2, R3 | L1, L2
CSSC | Serial Cs, shunt C | C1, C2, C3 | R1, R2, R3 | –
LSSL | Serial Ls, shunt L | – | R1, R2, R3 | L1, L2, L3
SLCS | Shunt L, serial Cs | C1, C2 | R1, R2, R3 | L1
SCLS | Shunt C, serial Ls | C1 | R1, R2, R3 | L1, L2
SCCS | Shunt C, serial Cs | C1, C2, C3 | R1, R2, R3 | –
SLLS | Shunt L, serial Ls | – | R1, R2, R3 | L1, L2, L3

Circuit models for single ended port embedding/deembedding:

Parameter | Circuit model | Capacitances | Resistances | Inductances
FIMPort | File import, no circuit model | – | – | –
CSL | Serial C, shunt L | C1 | R1, R2 | L1
LSC | Serial L, shunt C | C1 | R1, R2 | L1
CSC | Serial C, shunt C | C1, C2 | R1, R2 | –
LSL | Serial L, shunt L | – | R1, R2 | L1, L2
SLC | Shunt L, serial C | C1 | R1, R2 | L1
SCL | Shunt C, serial L | C1 | R1, R2 | L1
SCC | Shunt C, serial C | C1, C2 | R1, R2 | –
SLL | Shunt L, serial L | – | R1, R2 | L1, L2

Circuit models for ground loop embedding/deembedding:

Parameter | Circuit model | Capacitances | Resistances | Inductances
FIMPort | File import, no circuit model | – | – | –
SL | Shunt L | – | R | L
SC | Shunt C | C | R | –

CALCulate<Ch>:TRANsform:VNETworks:BALanced:DEEMbedding<Log_pt>:PARameters:C<no>
STSC | SCST | CSSL | LSSC | CSSC | SLCS | SCLS | SCCS,<numeric_value>

Specifies the capacitance values C1, C2, C3 in the different circuit models for balanced port deembedding.

<Ch> | Channel number. If unspecified the numeric suffix is set to 1.
<Log_pt> | Logical port number (balanced port)
<no> | Number of capacitance in circuit model. If unspecified the numeric suffix is set to 1.
Range [def. unit] | 1 to 3 [–] The number of capacitances depends on the selected circuit model.
Parameters | Possible circuit models (character data); see circuit models.
*RST value | – (see command type description below)
<numeric_value> | Capacitance C<no> for the specified circuit model.
Range [def. unit] | –1mF to 1 mF [F]. The increment is 1 fF (10–15 F).
*RST value | 1 pF (10–12 F)
SCPI, Command Types | Device-specific, command or query. In the query form, the <numeric_value> parameter must be omitted. The command returns the capacitance value for the specified circuit model.
Example: | *RST; :SOUR:LPOR1 1,2; :CALC:TRAN:VNET:BAL:DEEM:PAR:C2? CSSL Create a balanced port and query the default capacitance C2 for the Serial Cs, shunt L circuit model. The response is 1E-012 (1 pF). CALC:TRAN:VNET:BAL:DEEM:PAR:C2 CSSL, 2.2E-12 Increase the capacitance to 2.2 pF.

CALCulate<Ch>:TRANsform:VNETworks:BALanced:DEEMbedding<Log_pt>:PARameters:L<no>
STSL | SLST | CSSL | LSSC | LSSL | SLCS | SCLS | SLLS,<numeric_value>

Specifies the inductance values L1, L2, L3 in the different circuit models for balanced port deembedding.

<Ch> | Channel number
<Log_pt> | Logical port number (balanced port)
<no> | Number of inductance in circuit model. If unspecified the numeric suffix is set to 1.
Range [def. unit] | 1 to 3 [–] The number of inductances depends on the selected circuit model.
Parameters | Possible circuit models (character data); see circuit models.
*RST value | – (see command type description below)
<numeric_value> | Inductance L<no> for the specified circuit model.
Range [def. unit] | –1H to 1 H [H]. The increment is 1 pH (10–12 H).
*RST value | 1 nH (10–9 H)
SCPI, Command Types | Device-specific, command or query. In the query form, the <numeric_value> parameter must be omitted. The command returns the inductance value for the specified circuit model.
Example: | *RST; :SOUR:LPOR1 1,2; :CALC:TRAN:VNET:BAL:DEEM:PAR:L1? CSSL Create a balanced port and query the default inductance L1 for the Serial Cs, shunt L circuit model. The response is 1E-009 (1 nH). CALC:TRAN:VNET:BAL:DEEM:PAR:L1 CSSL, 2.2E-9 Increase the inductance to 2.2 nH.

CALCulate<Ch>:TRANsform:VNETworks:BALanced:DEEMbedding<Log_pt>:PARameters:R<no>
STSL | STSC | SLST | SCST | CSSL | LSSC | CSSC | LSSL | SLCS | SCLS | SCCS | SLLS,<numeric_value>

Specifies the resistance values R1, R2, R3 in the different circuit models for balanced port deembedding.

<Ch> | Channel number
<Log_pt> | Logical port number (balanced port)
<no> | Number of resistance in circuit model. If unspecified the numeric suffix is set to 1.
Range [def. unit] | 1 to 3 [–] The number of resistances depends on the selected circuit model.
Parameters | Possible circuit models (character data); see circuit models.
*RST value | – (see command type description below)
<numeric_value> | Resistance R<no> for the specified circuit model.
Range [def. unit] | –10 MΩ to 10 MΩ [Ω]. The increment is 1 mΩ (10–3 Ω).
*RST value | 0 Ω for all resistances connected in series with an inductance 10 MΩ for all resistances connected in parallel with a capacitance
SCPI, Command Types | Device-specific, command or query. In the query form, the <numeric_value> parameter must be omitted. The command returns the resistance value for the specified circuit model.
Example: | *RST; :SOUR:LPOR1 1,2; :CALC:TRAN:VNET:BAL:DEEM:PAR:R1? CSSL; R2? CSSL; R3? CSSL Create a balanced port and query the default resistances for the Serial Cs, shunt L circuit model. The response is 10000000000;10000000000; 0. CALC:TRAN:VNET:BAL:DEEM:PAR:R3 CSSL, 2.2E+3 Increase the resistance R3 to 2.2 kΩ.

CALCulate<Ch>:TRANsform:VNETworks:BALanced:DEEMbedding<Log_pt>[:STATe] <Boolean>

Enables or disables the deembedding function for balanced ports. It is allowed to change the circuit model and its parameters while deembedding is enabled.

<Ch> | Channel number
<Log_pt> | Logical port number (balanced port)
<Boolean> | ON – Deembedding active OFF – Deembedding inactive
*RST value | OFF [–]
SCPI, Command Types | Device-specific, command or query
Example: | *RST; SOUR:LPOR1 1,2; LPOR2 3,4 Define a balanced port configuration. CALC:TRAN:VNET:BAL:DEEM:TND CSSL Select the Serial Cs, shunt L circuit model for deembedding. CALC:TRAN:VNET:BAL:DEEM:PAR:R3 CSSL, 2.2E+3; :CALC:TRAN:VNET:BAL:DEEM ON Increase the resistance R3 for the Serial Cs, shunt L circuit model to 2.2 kΩ and enable deembedding.

CALCulate<Ch>:TRANsform:VNETworks:BALanced:DEEMbedding<Log_pt>:TNDefinition
FIMPort | STSL | STSC | SLST | SCST | CSSL | LSSC | CSSC | LSSL | SLCS | SCLS | SCCS | SLLS

Selects the circuit model for balanced port deembedding.

<Ch> | Channel number
<Log_pt> | Logical port number (balanced port)
Parameters | Possible circuit models (character data); see circuit models.
*RST value | CSSL
SCPI, Command Types | Device-specific, command or query.
Example: | See CALCulate<Ch>:TRANsform:VNETworks:BALanced:DEEMbedding[:STATe]

CALCulate<Ch>:TRANsform:VNETworks:BALanced:EMBedding<Log_pt>:PARameters:C<no>
STSC | SCST | CSSL | LSSC | CSSC | SLCS | SCLS | SCCS,<numeric_value>

Specifies the capacitance values C1, C2, C3 in the different circuit models for balanced port embedding.

<Ch> | Channel number
<Log_pt> | Logical port number (balanced port)
<no> | Number of capacitance in circuit model. If unspecified the numeric suffix is set to 1.
Range [def. unit] | 1 to 3 [–] The number of capacitances depends on the selected circuit model.
Parameters | Possible circuit models (character data); see circuit models.
*RST value | – (see command type description below)
<numeric_value> | Capacitance C<no> for the specified circuit model.
Range [def. unit] | –1mF to 1 mF [F]. The increment is 1 fF (10–15 F).
*RST value | 1 pF (10–12 F)
SCPI, Command Types | Device-specific, command or query. In the query form, the <numeric_value> parameter must be omitted. The command returns the capacitance value for the specified circuit model.
Example: | *RST; :SOUR:LPOR1 1,2; :CALC:TRAN:VNET:BAL:EMB:PAR:C2? CSSL Create a balanced port and query the default capacitance C2 for the Serial Cs, shunt L circuit model. The response is 1E-012 (1 pF). CALC:TRAN:VNET:BAL:EMB:PAR:C2 CSSL, 2.2E-12 Increase the capacitance to 2.2 pF.

CALCulate<Ch>:TRANsform:VNETworks:BALanced:EMBedding<Log_pt>:PARameters:L<no>
STSL | SLST | CSSL | LSSC | LSSL | SLCS | SCLS | SLLS,<numeric_value>

Specifies the inductance values L1, L2, L3 in the different circuit models for balanced port embedding.

<Ch> | Channel number
<Log_pt> | Logical port number (balanced port)
<no> | Number of inductance in circuit model. If unspecified the numeric suffix is set to 1.
Range [def. unit] | 1 to 3 [–] The number of inductances depends on the selected circuit model.
Parameters | Possible circuit models (character data); see circuit models.
*RST value | – (see command type description below)
<numeric_value> | Inductance L<no> for the specified circuit model.
Range [def. unit] | –1H to 1 H [H]. The increment is 1 pH (10–12 H).
*RST value | 1 nH (10–9 H)
SCPI, Command Types | Device-specific, command or query. In the query form, the <numeric_value> parameter must be omitted. The command returns the inductance value for the specified circuit model.
Example: | *RST; :SOUR:LPOR1 1,2; :CALC:TRAN:VNET:BAL:EMB:PAR:L1? CSSL Create a balanced port and query the default inductance L1 for the Serial Cs, shunt L circuit model. The response is 1E-009 (1 nH). CALC:TRAN:VNET:BAL:EMB:PAR:L1 CSSL, 2.2E-9 Increase the inductance to 2.2 nH.

CALCulate<Ch>:TRANsform:VNETworks:BALanced:EMBedding<Log_pt>:PARameters:R<no>
STSL | STSC | SLST | SCST | CSSL | LSSC | CSSC | LSSL | SLCS | SCLS | SCCS | SLLS,<numeric_value>

Specifies the resistance values R1, R2, R3 in the different circuit models for balanced port embedding.

<Ch> | Channel number
<Log_pt> | Logical port number (balanced port)
<no> | Number of resistance in circuit model. If unspecified the numeric suffix is set to 1.
Range [def. unit] | 1 to 3 [–] The number of resistances depends on the selected circuit model.
Parameters | Possible circuit models (character data); see circuit models.
*RST value | – (see command type description below)
<numeric_value> | Resistance R<no> for the specified circuit model.
Range [def. unit] | –10 MΩ to 10 MΩ [Ω]. The increment is 1 mΩ (10–3 Ω).
*RST value | 0 Ω for all resistances connected in series with an inductance 10 MΩ for all resistances connected in parallel with a capacitance
SCPI, Command Types | Device-specific, command or query. In the query form, the <numeric_value> parameter must be omitted. The command returns the resistance value for the specified circuit model.
Example: | *RST; :SOUR:LPOR1 1,2; :CALC:TRAN:VNET:BAL:EMB:PAR:R1? CSSL; R2? CSSL; R3? CSSL Create a balanced port and query the default resistances for the Serial Cs, shunt L circuit model. The response is 10000000000;10000000000; 0. CALC:TRAN:VNET:BAL:EMB:PAR:R3 CSSL, 2.2E+3 Increase the resistance R3 to 2.2 kΩ.

CALCulate<Ch>:TRANsform:VNETworks:BALanced:EMBedding<Log_pt>[:STATe] <Boolean>

Enables or disables the embedding function for balanced ports. It is allowed to change the circuit model and its parameters while embedding is enabled.

<Ch> | Channel number
<Log_pt> | Logical port number (balanced port)
<Boolean> | ON – Embedding active OFF – Embedding inactive
*RST value | OFF [–]
SCPI, Command Types | Device-specific, command or query
Example: | *RST; SOUR:LPOR1 1,2; LPOR2 3,4 Define a balanced port configuration. CALC:TRAN:VNET:BAL:EMB:TND CSSL Select the Serial Cs, shunt L circuit model for embedding. CALC:TRAN:VNET:BAL:EMB:PAR:R3 CSSL, 2.2E+3; :CALC:TRAN:VNET:BAL:EMB ON Increase the resistance R3 for the Serial Cs, shunt L circuit model to 2.2 kΩ and enable embedding.

CALCulate<Ch>:TRANsform:VNETworks:BALanced:EMBedding<Log_pt>:TNDefinition
FIMPort | STSL | STSC | SLST | SCST | CSSL | LSSC | CSSC | LSSL | SLCS | SCLS | SCCS | SLLS

Selects the circuit model for balanced port embedding.

<Ch> | Channel number
<Log_pt> | Logical port number (balanced port)
Parameters | Possible circuit models (character data); see circuit models.
*RST value | CSSL
SCPI, Command Types | Device-specific, command or query.
Example: | See CALCulate<Ch>:TRANsform:VNETworks:BALanced:EMbedding[:STATe]

CALCulate<Ch>:TRANsform:VNETworks:GLOop:DEEMbedding:PARameters:C
SC, <capacitance>

Specifies the capacitance value for ground loop deembedding.

<Ch> | Channel number
Parameters | SC – Shunt C circuit model (character data); see circuit models.
<capacitance> | Capacitance C for ground loop deembedding.
Range [def. unit] | –1mF to 1 mF [F]. The increment is 1 fF (10–15 F).
*RST value | 1 pF (10–12 F)
SCPI, Command Types | Device-specific, command or query. In the query form, only the first parameter is required; the <capacitance> must be omitted.
Example: | *RST; :CALC:TRAN:VNET:GLO:DEEM:PAR:C? SC Query the default capacitance for ground loop deembedding. The response is 1E-012 (1 pF). CALC:TRAN:VNET:GLO:DEEM:PAR:C SC, 2.2E-12 Increase the capacitance to 2.2 pF.

CALCulate<Ch>:TRANsform:VNETworks:GLOop:DEEMbedding:PARameters:L
SL, <inductance>

Specifies the inductance value for ground loop deembedding.

<Ch> | Channel number.
Parameters | SL – Shunt L circuit model (character data); see circuit models.
<inductance> | Inductance L for ground loop deembedding.
Range [def. unit] | –1H to 1 H [H]. The increment is 1 pH (10–12 H).
*RST value | 1 nH (10–9 H)
SCPI, Command Types | Device-specific, command or query. In the query form, only the first parameter is required; the <inductance> must be omitted.
Example: | *RST; :CALC:TRAN:VNET:GLO:DEEM:PAR:L? SL Query the default inductance for ground loop deembedding. The response is 1E-009 (1 nH). CALC:TRAN:VNET:GLO:DEEM:PAR:L SL, 2.2E-9 Increase the inductance to 2.2 nH.

CALCulate<Ch>:TRANsform:VNETworks:GLOop:DEEMbedding:PARameters:R
SC | SL, <resistance>

Specifies the resistance value R in the different circuit models for ground loop deembedding.

<Ch> | Channel number.
Parameters | Possible circuit models (character data); see circuit models.
<resistance> | Resistance R for the specified circuit model.
Range [def. unit] | –10 MΩ to 10 MΩ [Ω]. The increment is 1 mΩ (10–3 Ω).
*RST value | 0 Ω if the resistance is connected in series with an inductance (SL) 10 MΩ if the resistance is connected in parallel with a capacitance (SC))
SCPI, Command Types | Device-specific, command or query. In the query form, only the first parameter is required; the <resistance> parameter must be omitted. The command returns the resistance value for the specified circuit model.
Example: | *RST; :CALC:TRAN:VNET:GLO:DEEM:PAR:R? SC; R? SL Query the default resistances for ground loop deembedding. The response is 10000000; 0. CALC:TRAN:VNET:GLO:DEEM:PAR:R SC, 2.2E+3 Increase the resistance for the Shunt C model to 2.2 kΩ.

CALCulate<Ch>:TRANsform:VNETworks:GLOop:DEEMbedding[:STATe] <Boolean>

Enables or disables the deembedding function for ground loops. It is allowed to change the circuit model and its parameters while deembedding is enabled.

<Ch> | Channel number.
<Boolean> | ON – Deembedding active OFF – Deembedding inactive
*RST value | OFF [–]
SCPI, Command Types | Device-specific, command or query
Example: | CALC:TRAN:VNET:GLO:DEEM:TND SL Select the Shunt L circuit model for deembedding. CALC:TRAN:VNET:GLO:DEEM:PAR:R SL, 2.2E+3; :CALC:TRAN:VNET:GLO:DEEM ON Increase the resistance for the Shunt L circuit model to 2.2 kΩ and enable deembedding.

CALCulate<Ch>:TRANsform:VNETworks:GLOop:DEEMbedding:TNDefinition
FIMPort | SL | SC

Selects the circuit model for ground loop deembedding.

<Ch> | Channel number.
Parameters | Possible circuit models (character data); see circuit models.
*RST value | FIMPort
SCPI, Command Types | Device-specific, command or query.
Example: | See CALCulate<Ch>:TRANsform:VNETworks:GLOop:DEEMbedding[:STATe]

CALCulate<Ch>:TRANsform:VNETworks:GLOop:EMBedding:PARameters:C
CSL | LSC | CSC | SLC | SCL | SCC,<capacitance>

Specifies the capacitance values C1, C2 in the different circuit models for ground loop embedding.

<Ch> | Channel number.
Parameters | SC – Shunt C circuit model (character data); see circuit models.
<capacitance> | Capacitance C for ground loop embedding.
Range [def. unit] | –1mF to 1 mF [F]. The increment is 1 fF (10–15 F).
*RST value | 1 pF (10–12 F)
SCPI, Command Types | Device-specific, command or query. In the query form, only the first parameter is required; the <capacitance> must be omitted.
Example: | *RST; :CALC:TRAN:VNET:GLO:EMB:PAR:C? SC Query the default capacitance for ground loop embedding. The response is 1E-012 (1 pF). CALC:TRAN:VNET:GLO:EMB:PAR:C SC, 2.2E-12 Increase the capacitance to 2.2 pF.

CALCulate<Ch>:TRANsform:VNETworks:GLOop:EMBedding:PARameters:L
SL, <inductance>

Specifies the inductance value for ground loop embedding.

<Ch> | Channel number.
Parameters | SL – Shunt L circuit model (character data); see circuit models.
<inductance> | Inductance L for ground loop embedding.
Range [def. unit] | –1H to 1 H [H]. The increment is 1 pH (10–12 H).
*RST value | 1 nH (10–9 H)
SCPI, Command Types | Device-specific, command or query. In the query form, only the first parameter is required; the <inductance> must be omitted.
Example: | *RST; :CALC:TRAN:VNET:GLO:EMB:PAR:L? SL Query the default inductance for ground loop embedding. The response is 1E-009 (1 nH). CALC:TRAN:VNET:GLO:EMB:PAR:L SL, 2.2E-9 Increase the inductance to 2.2 nH.

CALCulate<Ch>:TRANsform:VNETworks:GLOop:EMBedding:PARameters:R
SC | SL,<resistance>

Specifies the resistance value R in the different circuit models for ground loop embedding.

<Ch> | Channel number.
Parameters | Possible circuit models (character data); see circuit models.
<resistance> | Resistance R for the specified circuit model.
Range [def. unit] | –10 MΩ to 10 MΩ [Ω]. The increment is 1 mΩ (10–3 Ω).
*RST value | 0 Ω if the resistance is connected in series with an inductance (SL) 10 MΩ if the resistance is connected in parallel with a capacitance (SC)
SCPI, Command Types | Device-specific, command or query. In the query form, only the first parameter is required; the <resistance> parameter must be omitted. The command returns the resistance value for the specified circuit model.
Example: | *RST; :CALC:TRAN:VNET:GLO:EMB:PAR:R? SC; R? SL Query the default resistances for ground loop embedding. The response is 10000000; 0. CALC:TRAN:VNET:GLO:EMB:PAR:R SC, 2.2E+3 Increase the resistance for the Shunt C model to 2.2 kΩ.

CALCulate<Ch>:TRANsform:VNETworks:GLOop:EMBedding[:STATe] <Boolean>

Enables or disables the embedding function for ground loops. It is allowed to change the circuit model and its parameters while embedding is enabled.

<Ch> | Channel number.
<Boolean> | ON – Embedding active OFF – Embedding inactive
*RST value | OFF [–]
SCPI, Command Types | Device-specific, command or query
Example: | CALC:TRAN:VNET:GLO:EMB:TND SL Select the Shunt L circuit model for embedding. CALC:TRAN:VNET:GLO:EMB:PAR:R SL, 2.2E+3; :CALC:TRAN:VNET:GLO:EMB ON Increase the resistance for the Shunt L circuit model to 2.2 kΩ and enable embedding.

CALCulate<Ch>:TRANsform:VNETworks:GLOop:EMBedding:TNDefinition
FIMPort | SL | SC

Selects the circuit model for ground loop embedding.

<Ch> | Channel number.
Parameters | Possible circuit models (character data); see circuit models.
*RST value | FIMPort
SCPI, Command Types | Device-specific, command or query.
Example: | See CALCulate<Ch>:TRANsform:VNETworks:GLOop:EMBedding[:STATe]

CALCulate<Ch>:TRANsform:VNETworks:PPAir:DEEMbedding<List_idx>:DEFine
<first port no>, <second port no>{, <first port no>, <second port no>}

Defines a list of port pairs for port pair deembedding. The command can be used repeatedly to extend or overwrite the list.

<Ch> | Channel number
<List_idx> | List index, denotes the current number of the defined pair of ports within the list. If several port pairs are defined, <List_idx> is the number of the first port pair.
<first port no>, <second port no> | Two different analyzer ports
Range [def. unit] | 1 to 4 (depending on analyzer model) [–]
*RST value | –
SCPI, Command Types | Device-specific, no query
Example: | See CALCulate<Ch>:TRANsform:VNETworks:PPAir:DEEMbedding<List_idx>[:STATe]

CALCulate<Ch>:TRANsform:VNETworks:PPAir:DEEMbedding<List_idx>:DELete

Deletes the previously defined list of port pairs for port pair deembedding.

<Ch> | Channel number
<List_idx> | List index, is available for systematic reasons, but must be always 1 or omitted. The list index in the other ...PPAir:DEEMbedding... commands denotes the current number of a pair of ports within the list.
*RST value | –
SCPI, Command Types | Device-specific, no query
Example: | See CALCulate<Ch>:TRANsform:VNETworks:PPAir:DEEMbedding<List_idx>[:STATe]

CALCulate<Ch>:TRANsform:VNETworks:PPAir:DEEMbedding<List_idx>:PARameters:C<no>
STSC | SCST | CSSL | LSSC | CSSC | SLCS | SCLS | SCCS,<numeric_value>

Specifies the capacitance values C1, C2, C3 in the different circuit models for port pair deembedding.

<Ch> | Channel number
<List_idx> | Current number of a port pair in the list, defined via CALCulate<Ch>:TRANsform:VNETworks:PPAir:DEEMbedding<List_idx>:DEFine
<no> | Number of capacitance in circuit model. If unspecified the numeric suffix is set to 1.
Range [def. unit] | 1 to 3 [–] The number of capacitances depends on the selected circuit model.
Parameters | Possible circuit models (character data); see circuit models.
*RST value | – (see command type description below)
<numeric_value> | Capacitance C<no> for the specified circuit model.
Range [def. unit] | –1mF to 1 mF [F]. The increment is 1 fF (10–15 F).
*RST value | 1 pF (10–12 F)
SCPI, Command Types | Device-specific, command or query. In the query form, the <numeric_value> parameter must be omitted. The command returns the capacitance value for the specified circuit model.
Example: | *RST; :CALC:TRAN:VNET:PPA:DEEM:DEF 1,2; :CALC:TRAN:VNET:PPA:DEEM1:PAR:C2? CSSL Create a list of port pairs and query the default capacitance C2 for the Serial Cs, shunt L circuit model. The response is 1E-012 (1 pF). CALC:TRAN:VNET:PPA:DEEM:PAR:C2 CSSL, 2.2E-12 Increase the capacitance to 2.2 pF.

CALCulate<Ch>:TRANsform:VNETworks:PPAir:DEEMbedding<List_idx>:PARameters:L<no>
STSL | SLST | CSSL | LSSC | LSSL | SLCS | SCLS | SLLS,<numeric_value>

Specifies the inductance values L1, L2, L3 in the different circuit models for port pair deembedding.

<Ch> | Channel number
<List_idx> | Current number of a port pair in the list, defined via CALCulate<Ch>:TRANsform:VNETworks:PPAir:DEEMbedding<List_idx>:DEFine
<no> | Number of inductance in circuit model. If unspecified the numeric suffix is set to 1.
Range [def. unit] | 1 to 3 [–] The number of inductances depends on the selected circuit model.
Parameters | Possible circuit models (character data); see circuit models.
*RST value | – (see command type description below)
<numeric_value> | Inductance L<no> for the specified circuit model.
Range [def. unit] | –1H to 1 H [H]. The increment is 1 pH (10–12 H).
*RST value | 1 nH (10–9 H)
SCPI, Command Types | Device-specific, command or query. In the query form, the <numeric_value> parameter must be omitted. The command returns the inductance value for the specified circuit model.
Example: | *RST; :CALC:TRAN:VNET:PPA:DEEM:DEF 1,2; :CALC:TRAN:VNET:PPA:DEEM:PAR:L1? CSSL Create a list of port pairs and query the default inductance L1 for the Serial Cs, shunt L circuit model. The response is 1E-009 (1 nH). CALC:TRAN:VNET:PPA:DEEM:PAR:L1 CSSL, 2.2E-9 Increase the inductance to 2.2 nH.

CALCulate<Ch>:TRANsform:VNETworks:PPAir:DEEMbedding<List_idx>:PARameters:R<no>
STSL | STSC | SLST | SCST | CSSL | LSSC | CSSC | LSSL | SLCS | SCLS | SCCS | SLLS,<numeric_value>

Specifies the resistance values R1, R2, R3 in the different circuit models for port pair deembedding.

<Ch>

Channel number

<List_idx>

Current number of a port pair in the list, defined via CALCulate<Ch>:TRANsform:VNETworks:PPAir:DEEMbedding<List_idx>:DEFine

<no>

Number of resistance in circuit model. If unspecified the numeric suffix is set to 1.

Range [def. unit]

1 to 3 [–] The number of resistances depends on the selected circuit model.

Parameters

Possible circuit models (character data); see circuit models.

*RST value

– (see command type description below)

<numeric_value>

Resistance R<no> for the specified circuit model.

Range [def. unit]

–10 MΩ to 10 MΩ [Ω]. The increment is 1 mΩ (10–3 Ω).

*RST value

0 Ω for all resistances connected in series with an inductance

10 MΩ for all resistances connected in parallel with a capacitance

SCPI, Command Types

Device-specific, command or query. In the query form, the <numeric_value> parameter must be omitted. The command returns the resistance value for the specified circuit model.

Example:

*RST; :CALC:TRAN:VNET:PPA:DEEM:DEF 1,2;
CALC:TRAN:VNET:PPA:DEEM:PAR:R1? CSSL; R2? CSSL; R3? CSSL

Create a list of port pairs and query the default resistances for the Serial Cs, shunt L circuit model. The response is 10000000000;10000000000; 0.

CALC:TRAN:VNET:PPA:DEEM:PAR:R3 CSSL, 2.2E+3

Increase the resistance R3 to 2.2 kΩ.

CALCulate<Ch>:TRANsform:VNETworks:PPAir:DEEMbedding<List_idx>[:STATe] <Boolean>

Enables or disables the deembedding function for port pairs. It is allowed to change the circuit model and its parameters while deembedding is enabled.

<Ch>

Channel number

<List_idx>

Current number of a port pair in the list, defined via CALCulate<Ch>:TRANsform:VNETworks:PPAir:DEEMbedding<List_idx>:DEFine

<Boolean>

ON – Deembedding active
OFF – Deembedding inactive

*RST value

OFF [–]

SCPI, Command Types

Device-specific, command or query

Example:

*RST; :CALC:TRAN:VNET:PPA:DEEM:DEF 1,2,3,4

Define aport pair configuration with two port pairs.

CALC:TRAN:VNET:PPA:DEEM1:TND CSSL

Select the Serial Cs, shunt L circuit model for the first port pair.

CALC:TRAN:VNET:PPA:DEEM:PAR:R3 CSSL, 2.2E+3; :CALC:TRAN:VNET:PPA:DEEM ON

Increase the resistance R3 for the Serial Cs, shunt L circuit model to 2.2 kΩ and enable deembedding.

...
CALC:TRAN:VNET:PPA:DEEM:DEL

Delete the port pair configuration.

CALCulate<Ch>:TRANsform:VNETworks:PPAir:DEEMbedding<List_idx>:TNDefinition
FIMPort | STSL | STSC | SLST | SCST | CSSL | LSSC | CSSC | LSSL | SLCS | SCLS | SCCS | SLLS

Selects the circuit model for port pair deembedding.

<Ch> | Channel number
<List_idx> | Current number of a port pair in the list, defined via CALCulate<Ch>:TRANsform:VNETworks:PPAir:DEEMbedding<List_idx>:DEFine
Parameters | Possible circuit models (character data); see circuit models.
*RST value | CSSL
SCPI, Command Types | Device-specific, command or query.
Example: | See CALCulate<Ch>:TRANsform:VNETworks:PPAir:DEEMbedding[:STATe]

CALCulate<Ch>:TRANsform:VNETworks:PPAir:EMBedding<List_idx>:DEFine
<first port no>, <second port no>{, <first port no>, <second port no>}

Defines a list of port pairs for port pair embedding. The command can be used repeatedly to extend or overwrite the list.

<Ch> | Channel number
<List_idx> | List index, denotes the current number of the defined pair of ports within the list. If several port pairs are defined, <List_idx> is the number of the first port pair.
<first port no>, <second port no> | Two different analyzer ports
Range [def. unit] | 1 to 4 (depending on analyzer model) [–]
*RST value | –
SCPI, Command Types | Device-specific, no query
Example: | See CALCulate<Ch>:TRANsform:VNETworks:PPAir:EMBedding<List_idx>[:STATe]

CALCulate<Ch>:TRANsform:VNETworks:PPAir:EMBedding<List_idx>:DELete

Deletes the previously defined list of port pairs for port pair embedding.

<Ch> | Channel number
<List_idx> | List index, is available for systematic reasons, but must be always 1 or omitted. The list index in the other ...PPAir:EMBedding... commands denotes the current number of a pair of ports within the list.
*RST value | –
SCPI, Command Types | Device-specific, no query
Example: | See CALCulate<Ch>:TRANsform:VNETworks:PPAir:EMBedding<List_idx>[:STATe]

CALCulate<Ch>:TRANsform:VNETworks:PPAir:EMBedding<List_idx>:PARameters:C<no>
STSC | SCST | CSSL | LSSC | CSSC | SLCS | SCLS | SCCS,<numeric_value>

Specifies the capacitance values C1, C2, C3 in the different circuit models for port pair embedding.

<Ch> | Channel number
<List_idx> | Current number of a port pair in the list, defined via CALCulate<Ch>:TRANsform:VNETworks:PPAir:EMBedding<List_idx>:DEFine
<no> | Number of capacitance in circuit model. If unspecified the numeric suffix is set to 1.
Range [def. unit] | 1 to 3 [–] The number of capacitances depends on the selected circuit model.
Parameters | Possible circuit models (character data); see circuit models.
*RST value | – (see command type description below)
<numeric_value> | Capacitance C<no> for the specified circuit model.
Range [def. unit] | –1mF to 1 mF [F]. The increment is 1 fF (10–15 F).
*RST value | 1 pF (10–12 F)
SCPI, Command Types | Device-specific, command or query. In the query form, the <numeric_value> parameter must be omitted. The command returns the capacitance value for the specified circuit model.
Example: | *RST; :CALC:TRAN:VNET:PPA:EMB:DEF 1,2; :CALC:TRAN:VNET:PPA:EMB:PAR:C2? CSSL Query the default capacitance C2 for the Serial Cs, shunt L circuit model. The response is 1E-012 (1 pF). CALC:TRAN:VNET:PPA:EMB:PAR:C2 CSSL, 2.2E-12 Increase the capacitance to 2.2 pF.

CALCulate<Ch>:TRANsform:VNETworks:PPAir:EMBedding<List_idx>:PARameters:L<no>
STSL | SLST | CSSL | LSSC | LSSL | SLCS | SCLS | SLLS,<numeric_value>

Specifies the inductance values L1, L2, L3 in the different circuit models for port pair embedding.

<Ch> | Channel number
<List_idx> | Current number of a port pair in the list, defined via CALCulate<Ch>:TRANsform:VNETworks:PPAir:EMBedding<List_idx>:DEFine
<no> | Number of inductance in circuit model. If unspecified the numeric suffix is set to 1.
Range [def. unit] | 1 to 3 [–] The number of inductances depends on the selected circuit model.
Parameters | Possible circuit models (character data); see circuit models.
*RST value | – (see command type description below)
<numeric_value> | Inductance L<no> for the specified circuit model.
Range [def. unit] | –1H to 1 H [H]. The increment is 1 pH (10–12 H).
*RST value | 1 nH (10–9 H)
SCPI, Command Types | Device-specific, command or query. In the query form, the <numeric_value> parameter must be omitted. The command returns the inductance value for the specified circuit model.
Example: | *RST; :CALC:TRAN:VNET:PPA:EMB:DEF 1,2; :CALC:TRAN:VNET:PPA:EMB:PAR:L1? CSSL Query the default inductance L1 for the Serial Cs, shunt L circuit model. The response is 1E-009 (1 nH). CALC:TRAN:VNET:PPA:EMB:PAR:L1 CSSL, 2.2E-9 Increase the inductance to 2.2 nH.

CALCulate<Ch>:TRANsform:VNETworks:PPAir:EMBedding<List_idx>:PARameters:R<no>
STSL | STSC | SLST | SCST | CSSL | LSSC | CSSC | LSSL | SLCS | SCLS | SCCS | SLLS,<numeric_value>

Specifies the resistance values R1, R2, R3 in the different circuit models for port pair embedding.

<Ch>

Channel number

<List_idx>

Current number of a port pair in the list, defined via CALCulate<Ch>:TRANsform:VNETworks:PPAir:EMBedding<List_idx>:DEFine

<no>

Number of resistance in circuit model. If unspecified the numeric suffix is set to 1.

Range [def. unit]

1 to 3 [–] The number of resistances depends on the selected circuit model.

Parameters

Possible circuit models (character data); see circuit models.

*RST value

– (see command type description below)

<numeric_value>

Resistance R<no> for the specified circuit model.

Range [def. unit]

–10 MΩ to 10 MΩ [Ω]. The increment is 1 mΩ (10–3 Ω).

*RST value

0 Ω for all resistances connected in series with an inductance

10 MΩ for all resistances connected in parallel with a capacitance

SCPI, Command Types

Device-specific, command or query. In the query form, the <numeric_value> parameter must be omitted. The command returns the resistance value for the specified circuit model.

Example:

*RST; :CALC:TRAN:VNET:PPA:EMB:DEF 1,2
CALC:TRAN:VNET:PPA:EMB:PAR:R1? CSSL; R2? CSSL; R3? CSSL

Query the default resistances for the Serial Cs, shunt L circuit model. The response is 10000000000;10000000000; 0.

CALC:TRAN:VNET:PPA:EMB:PAR:R3 CSSL, 2.2E+3

Increase the resistance R3 to 2.2 kΩ.

CALCulate<Ch>:TRANsform:VNETworks:PPAir:EMBedding<List_idx>[:STATe] <Boolean>

Enables or disables the embedding function for port pairs. It is allowed to change the circuit model and its parameters while embedding is enabled.

<Ch>

Channel number

<List_idx>

Current number of a port pair in the list, defined via CALCulate<Ch>:TRANsform:VNETworks:PPAir:EMBedding<List_idx>:DEFine

<Boolean>

ON – Embedding active
OFF – Embedding inactive

*RST value

OFF [–]

SCPI, Command Types

Device-specific, command or query

Example:

*RST; :CALC:TRAN:VNET:PPA:EMB:DEF 1,2,3,4

Define a port pair configuration with two port pairs.

CALC:TRAN:VNET:PPA:EMB1:TND CSSL

Select the Serial Cs, shunt L circuit model for port pair no. 1.

CALC:TRAN:VNET:PPA:EMB:PAR:R3 CSSL, 2.2E+3; :CALC:TRAN:VNET:PPA:EMB ON

Increase the resistance R3 for the Serial Cs, shunt L circuit model to 2.2 kΩ and enable embedding.

...
CALC:TRAN:VNET:PPA:EMB:DEL

Delete the port pair configuration.

CALCulate<Ch>:TRANsform:VNETworks:PPAir:EMBedding<List_idx>:TNDefinition
FIMPort | STSL | STSC | SLST | SCST | CSSL | LSSC | CSSC | LSSL | SLCS | SCLS | SCCS | SLLS

Selects the circuit model for port pair embedding.

<Ch> | Channel number
<List_idx> | Current number of a port pair in the list, defined via CALCulate<Ch>:TRANsform:VNETworks:PPAir:EMBedding<List_idx>:DEFine
Parameters | Possible circuit models (character data); see circuit models.
*RST value | CSSL
SCPI, Command Types | Device-specific, command or query.
Example: | See CALCulate<Ch>:TRANsform:VNETworks:PPAir:EMbedding[:STATe]

CALCulate<Ch>:TRANsform:VNETworks:SENDed:DEEMbedding<Ph_pt>:PARameters:C<no>
CSL | LSC | CSC | SLC | SCL | SCC,<numeric_value>

Specifies the capacitance values C1, C2 in the different circuit models for single ended port deembedding.

<Ch> | Channel number
<Ph_pt> | Physical port number
<no> | Number of capacitance in circuit model. If unspecified the numeric suffix is set to 1.
Range [def. unit] | 1 to 2 [–] The number of capacitances depends on the selected circuit model.
Parameters | Possible circuit models (character data); see circuit models.
*RST value | – (see command type description below)
<numeric_value> | Capacitance C<no> for the specified circuit model.
Range [def. unit] | –1mF to 1 mF [F]. The increment is 1 fF (10–15 F).
*RST value | 1 pF (10–12 F)
SCPI, Command Types | Device-specific, command or query. In the query form, the <numeric_value> parameter must be omitted. The command returns the capacitance value for the specified circuit model.
Example: | *RST; :CALC:TRAN:VNET:SEND:DEEM:PAR:C2? CSC Query the default capacitance C2 for the Serial C, shunt C circuit model. The response is 1E-012 (1 pF). CALC:TRAN:VNET:SEND:DEEM:PAR:C2 CSC, 2.2E-12 Increase the capacitance to 2.2 pF.

CALCulate<Ch>:TRANsform:VNETworks:SENDed:DEEMbedding<Ph_pt>:PARameters:L<no>
CSL | LSC | LSL | SLC | SCL | SLL,<numeric_value>

Specifies the inductance values L1, L2, L3 in the different circuit models for single ended port deembedding.

<Ch> | Channel number.
<Ph_pt> | Physical port number
<no> | Number of inductance in circuit model. If unspecified the numeric suffix is set to 1.
Range [def. unit] | 1 to 3 [–] The number of inductances depends on the selected circuit model.
Parameters | Possible circuit models (character data); see circuit models.
*RST value | – (see command type description below)
<numeric_value> | Inductance L<no> for the specified circuit model.
Range [def. unit] | –1H to 1 H [H]. The increment is 1 pH (10–12 H).
*RST value | 1 nH (10–9 H)
SCPI, Command Types | Device-specific, command or query. In the query form, the <numeric_value> parameter must be omitted. The command returns the inductance value for the specified circuit model.
Example: | *RST; :CALC:TRAN:VNET:SEND:DEEM:PAR:L1? SLL Query the default inductance L1 for the Shunt L, serial L circuit model. The response is 1E-009 (1 nH). CALC:TRAN:VNET:SEND:DEEM:PAR:L1 SLL, 2.2E-9 Increase the inductance to 2.2 nH.

CALCulate<Ch>:TRANsform:VNETworks:SENDed:DEEMbedding<Ph_pt>:PARameters:R<no>
CSL | LSC | CSC | LSL | SLC | SCL | SCC | SLL,<numeric_value>

Specifies the resistance values R1, R2, R3 in the different circuit models for single ended port deembedding.

<Ch> | Channel number.
<Ph_pt> | Physical port number
<no> | Number of resistance in circuit model. If unspecified the numeric suffix is set to 1.
Range [def. unit] | 1 to 3 [–] The number of resistances depends on the selected circuit model.
Parameters | Possible circuit models (character data); see circuit models.
*RST value | – (see command type description below)
<numeric_value> | Resistance R<no> for the specified circuit model.
Range [def. unit] | –10 MΩ to 10 MΩ [Ω]. The increment is 1 mΩ (10–3 Ω).
*RST value | 0 Ω for all resistances connected in series with an inductance 10 MΩ for all resistances connected in parallel with a capacitance
SCPI, Command Types | Device-specific, command or query. In the query form, the <numeric_value> parameter must be omitted. The command returns the resistance value for the specified circuit model.
Example: | *RST; :CALC:TRAN:VNET:SEND:DEEM:PAR:R1? CSL; R2? CSL Query the default resistances for the Serial C, shunt L circuit model. The response is 10000000; 0. CALC:TRAN:VNET:SEND:DEEM:PAR:R2 CSL, 2.2E+3 Increase the resistance R2 to 2.2 kΩ.

CALCulate<Ch>:TRANsform:VNETworks:SENDed:DEEMbedding<Ph_pt>[:STATe] <Boolean>

Enables or disables the deembedding function for single ended ports. It is allowed to change the circuit model and its parameters while deembedding is enabled.

<Ch> | Channel number.
<Ph_pt> | Physical port number
<Boolean> | ON – Deembedding active OFF – Deembedding inactive
*RST value | OFF [–]
SCPI, Command Types | Device-specific, command or query
Example: | CALC:TRAN:VNET:SEND:DEEM:TND CSL Select the Serial C, shunt L circuit model for deembedding. CALC:TRAN:VNET:SEND:DEEM:PAR:R2 CSL, 2.2E+3; :CALC:TRAN:VNET:SEND:DEEM ON Increase the resistance R2 for the Serial C, shunt L circuit model to 2.2 kΩ and enable deembedding.

CALCulate<Ch>:TRANsform:VNETworks:SENDed:DEEMbedding<Ph_pt>:TNDefinition
FIMPort | CSL | LSC | CSC | LSL | SLC | SCL | SCC | SLL

Selects the circuit model for single ended port deembedding.

<Ch> | Channel number.
<Ph_pt> | Physical port number
Parameters | Possible circuit models (character data); see circuit models.
*RST value | CSL
SCPI, Command Types | Device-specific, command or query.
Example: | See CALCulate<Ch>:TRANsform:VNETworks:SENDed:DEEMbedding[:STATe]

CALCulate<Ch>:TRANsform:VNETworks:SENDed:EMBedding<Ph_pt>:PARameters:C<no>
CSL | LSC | CSC | SLC | SCL | SCC,<numeric_value>

Specifies the capacitance values C1, C2 in the different circuit models for single ended port embedding.

<Ch> | Channel number.
<Ph_pt> | Physical port number
<no> | Number of capacitance in circuit model. If unspecified the numeric suffix is set to 1.
Range [def. unit] | 1 to 2 [–] The number of capacitances depends on the selected circuit model.
Parameters | Possible circuit models (character data); see circuit models.
*RST value | – (see command type description below)
<numeric_value> | Capacitance C<no> for the specified circuit model.
Range [def. unit] | –1mF to 1 mF [F]. The increment is 1 fF (10–15 F).
*RST value | 1 pF (10–12 F)
SCPI, Command Types | Device-specific, command or query. In the query form, the <numeric_value> parameter must be omitted. The command returns the capacitance value for the specified circuit model.
Example: | *RST; :CALC:TRAN:VNET:SEND:EMB:PAR:C2? CSC Query the default capacitance C2 for the Serial C, shunt C circuit model. The response is 1E-012 (1 pF). CALC:TRAN:VNET:SEND:EMB:PAR:C2 CSC, 2.2E-12 Increase the capacitance to 2.2 pF.

CALCulate<Ch>:TRANsform:VNETworks:SENDed:EMBedding<Ph_pt>:PARameters:L<no>
CSL | LSC | LSL | SLC | SCL | SLL,<numeric_value>

Specifies the inductance values L1, L2, L3 in the different circuit models for single ended port embedding.

<Ch> | Channel number.
<Ph_pt> | Physical port number
<no> | Number of inductance in circuit model. If unspecified the numeric suffix is set to 1.
Range [def. unit] | 1 to 3 [–] The number of inductances depends on the selected circuit model.
Parameters | Possible circuit models (character data); see circuit models.
*RST value | – (see command type description below)
<numeric_value> | Inductance L<no> for the specified circuit model.
Range [def. unit] | –1H to 1 H [H]. The increment is 1 pH (10–12 H).
*RST value | 1 nH (10–9 H)
SCPI, Command Types | Device-specific, command or query. In the query form, the <numeric_value> parameter must be omitted. The command returns the inductance value for the specified circuit model.
Example: | *RST; :CALC:TRAN:VNET:SEND:EMB:PAR:L1? SLL Query the default inductance L1 for the Shunt L, serial L circuit model. The response is 1E-009 (1 nH). CALC:TRAN:VNET:SEND:EMB:PAR:L1 SLL, 2.2E-9 Increase the inductance to 2.2 nH.

CALCulate<Ch>:TRANsform:VNETworks:SENDed:EMBedding<Ph_pt>:PARameters:R<no>
CSL | LSC | CSC | LSL | SLC | SCL | SCC | SLL,<numeric_value>

Specifies the resistance values R1, R2, R3 in the different circuit models for single ended port embedding.

<Ch> | Channel number.
<Ph_pt> | Physical port number
<no> | Number of resistance in circuit model. If unspecified the numeric suffix is set to 1.
Range [def. unit] | 1 to 3 [–] The number of resistances depends on the selected circuit model.
Parameters | Possible circuit models (character data); see circuit models.
*RST value | – (see command type description below)
<numeric_value> | Resistance R<no> for the specified circuit model.
Range [def. unit] | –10 MΩ to 10 MΩ [Ω]. The increment is 1 mΩ (10–3 Ω).
*RST value | 0 Ω for all resistances connected in series with an inductance 10 MΩ for all resistances connected in parallel with a capacitance
SCPI, Command Types | Device-specific, command or query. In the query form, the <numeric_value> parameter must be omitted. The command returns the resistance value for the specified circuit model.
Example: | *RST; :CALC:TRAN:VNET:SEND:EMB:PAR:R1? CSL; R2? CSL Query the default resistances for the Serial C, shunt L circuit model. The response is 10000000; 0. CALC:TRAN:VNET:SEND:EMB:PAR:R2 CSL, 2.2E+3 Increase the resistance R2 to 2.2 kΩ.

CALCulate<Ch>:TRANsform:VNETworks:SENDed:EMBedding<Ph_pt>[:STATe] <Boolean>

Enables or disables the embedding function for single ended ports. It is allowed to change the circuit model and its parameters while embedding is enabled.

<Ch> | Channel number.
<Ph_pt> | Physical port number
<Boolean> | ON – Embedding active OFF – Embedding inactive
*RST value | OFF [–]
SCPI, Command Types | Device-specific, command or query
Example: | CALC:TRAN:VNET:SEND:EMB:TND CSL Select the Serial C, shunt L circuit model for embedding. CALC:TRAN:VNET:SEND:EMB:PAR:R2 CSL, 2.2E+3; :CALC:TRAN:VNET:SEND:EMB ON Increase the resistance R2 for the Serial C, shunt L circuit model to 2.2 kΩ and enable embedding.

CALCulate<Ch>:TRANsform:VNETworks:SENDed:EMBedding<Ph_pt>:TNDefinition
FIMPort | CSL | LSC | CSC | LSL | SLC | SCL | SCC | SLL

Selects the circuit model for single ended port embedding.

<Ch> | Channel number.
<Ph_pt> | Physical port number
Parameters | Possible circuit models (character data); see circuit models.
*RST value | CSL
SCPI, Command Types | Device-specific, command or query.
Example: | See CALCulate<Ch>:TRANsform:VNETworks:SENDed:EMBedding[:STATe]


CONFigure

:CHANnel<Ch>

:CATalog?

:NAME

:ID?

[:STATe]

:TRACe

:REName

:TRACe

:CATalog?

:CHANnel

:NAME?

:ID?

:NAME

:ID?

:REName

CONFigure...

This subsystem creates and deletes channels or traces and assigns channel or trace names. The commands are device-specific.

Command tree: CONFigure

CONFigure:CHANnel<Ch>:CATalog?

Returns the numbers and names of all channels in the current setup.

<Ch> | Channel number. This parameter is ignored because the command returns all channels.
Response | String with comma-separated list of channel numbers and names, see example below. If all channels have been deleted the response is an empty string ("").
*RST value | –
SCPI, Command Types | Device-specific, query only.
Example: | *RST; :CONF:CHAN2:STAT ON; NAME 'New Channel' Create channel 2 and assign the channel name "New Channel". CONF:CHAN:CAT? Query all channels and their names. As a default channel no. 1 is created on *RST, the response is '1,Ch1,2,New_Channel'. CONF:CHAN:NAME:ID? 'New Channel' Query the channel number for the channel named "New Channel". The response is 2.

CONFigure:CHANnel<Ch>:NAME '<Ch_name>'

Assigns a name to channel number <Ch>. The channel must be created before (CONFigure:CHANnel<Ch>[:STATe] ON). Moreover it is not possible to assign the same name to two different channels. CONFigure:CHANnel<Ch>:CATalog? returns a list of all defined channels with their names.

<Ch> | Number of an existing channel.
'<Ch_name>' | Channel name, e.g. 'Channel 4'.
*RST value | 'Ch1'
SCPI, Command Types | Device-specific, command or query.
Example: | See CONFigure:CHANnel<Ch>:CATalog?

CONFigure:CHANnel<Ch>:NAME:ID? '<Ch_name>'

Queries the channel number (numeric suffix) of a channel with known channel name. A channel name must be assigned before (CONFigure:CHANnel<Ch>NAME '<Ch_name>'). CONFigure:CHANnel<Ch>:CATalog? returns a list of all defined channels with their names.

<Ch> | Channel number. This suffix is not relevant and may be omitted (the command returns the actual channel number).
'<Ch_name>' | Channel name, e.g. 'Channel 4'.
*RST value | –
SCPI, Command Types | Device-specific, command or query.
Example: | See CONFigure:CHANnel<Ch>:CATalog?

CONFigure:CHANnel<Ch>:TRACe:REName '<Tr_name>'

Assigns a (new) name to the active trace in channel <Ch>.

<Ch> | Channel number.
'<Tr_name>' | Trace name, e.g. 'Trace 4'.
*RST value | –
SCPI, Command Types | Device-specific, no query.
Example: | *RST; :CONF:CHAN:TRAC:REN 'Testtrace_1' Reset the analyzer to create a default trace in channel 1 and set this trace as the active trace. Rename the trace 'Testtrace_1'. CALC:PAR:SDEF 'Testtrace_2', 'S11' Create a new trace which will become the active trace in channel no. 1. CONF:TRAC:REN 'Testtrace_1', 'Testtrace_3' Rename the first trace (which is currently not active) 'Testtrace_3'.

CONFigure:CHANnel<Ch>[:STATe] <Boolean>

Creates or deletes channel no. <Ch> and selects it as the active channel. CONFigure:CHANnel<Ch>:NAME defines the channel name.

A channel created with CONFigure:CHANnel<Ch>[:STATe] ON can be configured but has no trace assigned so that no measurement can be initiated. Use CALCulate<Ch>:PARameter:SDEFine "<Trace_name>,"<Parameter>" to create a new channel and a new trace.
In remote control it is possible to remove all channels. This is in contrast to manual control where at least one channel with one diagram area and one trace must be available.

<Ch> | Number of the channel to be created or deleted.
<Boolean> | ON - Create channel no. <Ch>. If the channel no. <Ch> exists already, it is not modified but selected as the active channel OFF - Delete channel no. <Ch>.
*RST value | ON for channel no. 1 (created on *RST), OFF for all other channels.
SCPI, Command Types | Device-specific, command or query.
Example: | See CONFigure:CHANnel<Ch>:CATalog?

CONFigure:TRACe<Trc>:CATalog?

Returns the numbers and names of all traces in the current setup.

<Trc> | Trace number. This suffix is ignored; the command returns a list of all traces.
Response | String with comma-separated list of trace numbers and names, see example below. If all traces have been deleted the response is an empty string ("").
*RST value | –
SCPI, Command Types | Device-specific, query only.
Example: | *RST; :CALC2:PAR:SDEF 'Ch2Trc2', 'S11' Create channel 2 and a new trace named Ch2Trc2. CONF:TRAC:CAT? Query all traces and their names. As a default trace no. 1 is created upon *RST, the response is '1,TRC1,2,Ch2Trc2'. CONF:TRAC:NAME:ID? 'Ch2Trc2' Query the trace number for the trace named "Ch2Trc2". The response is 2. CONF:TRAC2:NAME? Query the trace name for trace no. 2. The response is 'Ch2Trc2'. CONF:TRAC:CHAN:NAME? 'Ch2Trc2' Query the channel name for trace Ch2Trc2. The response is 'Ch2'. CONF:TRAC:CHAN:NAME:ID? 'Ch2Trc2' Query the channel number for trace Ch2Trc2. The response is 2.

CONFigure:TRACe<Trc>:CHANnel:NAME? '<Trc_name>'

Queries the channel name for an existing trace named '<Trc_name>'.

<Trc> | Trace number. This suffix is ignored; the trace is referenced by its name.
'<Trc_name>' | Trace name, e.g. 'Ch2Trc2'.
*RST value | – (a trace name must be specified whenever the query is used)
SCPI, Command Types | Device-specific, query only.
Example: | See CONFigure:TRACe<Trc>:CATalog?

CONFigure:TRACe<Trc>:CHANnel:NAME:ID? '<Trc_name>'

Queries the channel number (numeric suffix) for an existing trace named '<Trc_name>'.

<Trc> | Trace number. This suffix is ignored; the trace is referenced by its name.
'<Trc_name>' | Trace name, e.g. 'Ch2Trc2'.
*RST value | – (a trace name must be specified whenever the query is used)
SCPI, Command Types | Device-specific, query only.
Example: | See CONFigure:TRACe<Trc>:CATalog?

CONFigure:TRACe<Trc>:NAME '<Trc_name>'

Assigns a name to an existing trace number <Trc>. Note that it is not possible to assign the same name to two different traces. CONFigure:TRACe<Trc>:CATalog? returns a list of all traces in the active setup with their names.

<Trc> | Number of an existing trace.
'<Trc_name>' | Trace name, e.g. 'Ch2Trc2'.
*RST value | 'Trc1'
SCPI, Command Types | Device-specific, command or query.
Example: | See CONFigure:TRACe<Trc>:CATalog?

CONFigure:TRACe<Trc>:NAME:ID? '<Trc_name>'

Queries the trace number (numeric suffix) of a trace with known trace name. CONFigure:TRACe<Trc>:CATalog? returns a list of all traces in the active setup with their names.

<Trc> | Trace number. This suffix is not relevant and may be omitted (the command returns the actual trace number).
'<Trc_name>' | Trace name, e.g. 'Ch2Trc2'.
*RST value | –
SCPI, Command Types | Device-specific, command or query.
Example: | See CONFigure:TRACe<Trc>:CATalog?

CONFigure:TRACe<Trc>:REName '<Old_Tr_Name>', '<New_Tr_Name>'

Assigns a new name to a trace. The trace does not have to be the active trace.

<Trc> | Trace number. This suffix is ignored; the trace is identified via its <Old_Tr_Name>
'<Old_Tr_Name>' '<New_Tr_Name>' | Old trace name, e.g. 'Trace 1' New trace name, e.g. 'Trace 2'
*RST value | –
SCPI, Command Types | Device-specific, no query.
Example: | See CONFigure:CHANnel<Ch>:TRACe:REName


CONTrol

:A

[:DATA]

:B

[:DATA]

:C

[:DATA]

The channel bits have the following properties:

  • After a *RST of the analyzer all channel bits (including the value for the active, sweeping channel no. 1) are set to zero; no signal is applied to pins 8 to 11 of the USER CONTROL connector.

  • The value defined with CONTrol:AUXiliary:C[:DATA] is assigned to the active channel (INSTrument:NSELect <Ch>).

  • The signals at the USER CONTROL connector reflect the channel bits of the measuring channel, i.e. the channel for which the analyzer performs a sweep. This channel is not necessarily identical with the active channel.

  • The signals are switched on as soon as a measurement (sweep) in a channel with non-zero channel bits is started. They are changed whenever a channel with different channel bits becomes the measuring channel.

  • The signals at the USER CONTROL connector are maintained after the analyzer enters the hold state. This happens if all channels use single sweep mode and if all sweep sequences have been terminated.

CONTrol...

This subsystem provides device-specific commands to control hardware settings related to the rear panel connectors.

Command tree: CONTrol:AUXiliary

CONTrol:AUXiliary:A[:DATA] <numeric_value>
CONTrol:AUXiliary:B[:DATA] <numeric_value>

Writes a channel-dependent bit pattern to the output ports A or B of the Universal Interface (option R&S ZVAB-B14). The channel bits are combined with the (static) output bits defined via CONTrol:HANDler:A|B[:DATA] using a logical "or" operation. The channel bits must be defined while the channel is active (CONTrol:NSELect <Ch>); the corresponding signals will be in effect while the channel is measured (dynamic output signals).

To prevent undefined states, it is recommendable to subdivide output pins of ports A and B into two groups: The first pin group is used as an interface for the static information, the second group provides channel-dependent output signals, in addition to the channel bits at the USER CONTROL connector (see CONTrol:AUXiliary:C[:DATA]). Up to 2 x 8 = 16 additional channel bits are available.

<numeric_value>

Decimal value .

Range [def. unit]

0 to 255 [–]

The transferred values correspond to the following states of the Universal Interface connector:
0 – no channel-dependent (dynamic) signal at any of the pins A7 ... A0 or B7 ... B0; the static configuration of the output ports A and B is unchanged
1 – additional dynamic output signal at pin A0 or B0
2 – additional dynamic output signal at pin A1 or B1
3 – additional dynamic output signal at pin A0 and A1 or B0 and B1
...
255 – additional dynamic output signal at pins A7 ... A0 or B7 ... B0

*RST value

0 (no dynamic signal)

SCPI, Command Types

Device-specific, command or query

Example:

CONTrol:HANDler:A:DATA 192

Write a static bit pattern 1100 0000 to port A.

INSTrument:NSELect 1; :CONTrol:AUXiliaty:A:DATA 1
INSTrument:NSELect 2; :CONTrol:AUXiliaty:A:DATA 2
INSTrument:NSELect 3; :CONTrol:AUXiliaty:A:DATA 3

Select channel no. 1, define a bit pattern 1 for channel 1. Repeat this for channels no. 2 and 3, using the bit patterns 10 and 11, respectively.

While channel 1 is measured, the output port A is configured according to the bit pattern 1100 0001. While channels no. 2 and 3 are measured, the bit patterns are 1100 0010 and 1100 0011, respectively.

CONTrol:AUXiliary:C[:DATA] <numeric_value>

Sets or queries a channel-dependent four-bit decimal value to control four independent output signals at the USER CONTROL connector (applied to pins 8, 9, 10, 11). The output signals are 3.3 V TTL signals which can be used to differentiate between up to 16 independent analyzer states. CONTrol:AUXiliary:C[:DATA] itself does not change the analyzer state.

Channel bit definition and activation

A simple application consists of selecting the channel numbers as parameters for CONTrol:AUXiliary:C[:DATA] and monitor the activity of up to 16 different channels at the USER CONTROL connector; see example below. You can also use the USER CONTROL output signals as channel-dependent trigger signals for external devices. Use OUTPut<Ch>:UPORt[:VALue] to transfer the four bit value for an arbitrary channel <Ch> in binary representation.

<numeric_value>

Decimal value .

Range [def. unit]

0 to 15 [–]

The transferred values correspond to the following states of the USER CONTROL connector:
0 – no signal at any of the four pins 8, 9, 10, 11
1 – output signal at pin 8
2 – output signal at pin 9
3 – output signal at pin 8 and 9
...
15 – output signal at pin 8, 9, 10 and 11

*RST value

0 (no signal)

SCPI, Command Types

Device-specific, command or query

Example:

*RST; :CONT:AUX:C 1

Assign the channel bit value 1 to the active channel no. 1. The analyzer performs a measurement in channel no. 1, therefore the output signal at pin 8 is switched on.

CONF:CHAN2:STAT ON; :CONT:AUX:C 2

Create channel no. 2, causing it to become the active channel, and assign the channel bit value 2. The analyzer performs no measurement in channel no. 2, therefore the output signal is not changed.

CALC2:PAR:SDEF 'Ch2Tr1', 'S11'

Create a trace named 'Ch2Tr1' and assign it to channel 2. While the analyzer measures in channel 2, the output signal changes from pin 8 to pin 9.


CONTrol:HANDler

:A

[:DATA]

:MODE

:B

[:DATA]

:MODE

:C

[:DATA]

:MODE

:D

[:DATA]

:MODE

[:EXTension]

:INDex

:STATe

:RTRigger

:STATe

:OUTPut

[:DATA]

:USER

:RESet

CONTrol:HANDler...

This subsystem provides device-specific commands to control the "Universal Interface", option R&S ZVAB-B14. The pin assignment of the Centronics 36 rear-panel connector of this option is shown below. For a detailed description refer to section Universal Interface.

Command tree: CONTrol:HANDler

CONTrol:HANDler:A[:DATA] <decimal>
CONTrol:HANDler:B[:DATA] <decimal>
CONTrol:HANDler:C[:DATA] <decimal>
CONTrol:HANDler:D[:DATA] <decimal>

The setting commands write data to ports A, B, C, D. To write data to a port, the port must be configured as an output port (see example). The port lines have negative logic: A "0" at a pin corresponds to a high signal, a "1" to a low signal.

The queries read data from ports A, B, C, D. If the port is an output port, the queries return the last value that was written to the port.

<decimal> | Decimal representation of an n-bit binary value.
Range | Port A: 0 to 255 (pins A7 ... A0) Port B: 0 to 255 (pins B7 ... B0) Port C: 0 to 15 (pins C3 ... C0) Port D: 0 to 15 (pins D3 ... D0) The parameters MIN, MAX, DEF are not supported.
*RST value | 0 (port A and B) Ports C and D are configured as input ports Note: *RST or Preset do not change the configuration of the Universal Interface. Use CONTrol:HANDler:RESet to restore default values.
SCPI, Command Types | Device-specific, command or query
Example 1: | CONT:HAND:A:MODE OUTP Configure port A as an output port. CONT:HAND:A 192 Write data to port A. CONT:HAND:B:MODE INP Configure port B as an input port. CONT:HAND:B? Read data from port B.
Example 2: | Use the output ports A or B for channel monitoring; see CONTrol:AUXiliary:A[:DATA]?

CONTrol:HANDler:A:MODE INPut | OUTPut
CONTrol:HANDler:B:MODE INPut | OUTPut
CONTrol:HANDler:C:MODE INPut | OUTPut
CONTrol:HANDler:D:MODE INPut | OUTPut

Controls the direction of the data flow at ports A, B, C, D.

Parameters | INPut – Input of data at the port OUTPut – Output of data at the port
*RST value | Port A and B: OUTPut Port C and D: INPut Note: *RST or Preset do not change the configuration of the Universal Interface. Use CONTrol:HANDler:RESet to restore default values.
SCPI, Command Types | Device-specific, command or query
Example: | See CONTrol:HANDler:A[:DATA]

CONTrol:HANDler[:EXTension]:INDex:STATe <Boolean>

Selects the digital signal that is routed to pin 20 of the Universal Interface connector.

<Boolean> | ON – /INDEX signal at pin 20 OFF – /PORT_B6 signal at pin 20
*RST value | OFF
SCPI, Command Types | Device-specific, command or query Note: *RST or Preset do not change the configuration of the Universal Interface. Use CONTrol:HANDler:RESet to restore default values.
Example: | CONT:HAND:EXT:IND:STAT ON Route the /INDEX signal to pin 20. CONT:HAND:EXT:RTR:STAT ON Route the /READY_FOR_TRIGGER signal to pin 21. CONT:HAND:RES Restore the default state: Pins no. 20 and 21 are available for port B input/output signals.

CONTrol:HANDler[:EXTension]:RTRigger:STATe

Selects the digital signal that is routed to pin 21 of the Universal Interface connector.

<Boolean> | ON – /READY_FOR_TRIGGER OFF – /PORT_B7 signal at pin 21
*RST value | OFF
SCPI, Command Types | Device-specific, command or query Note: *RST or Preset do not change the configuration of the Universal Interface. Use CONTrol:HANDler:RESet to restore default values.
Example: | See CONTrol:HANDler[:EXTension]:INDex:STATe

CONTrol:HANDler:OUTPut<port>[:DATA] <binary>

Writes a 0 or 1 to the output ports (pin 3 or 4) of the Universal Interface connector. The port lines have negative logic: A "0" corresponds to a high signal, a "1" to a low signal.

The query reads the last value that has been written to the output port.

<port> | Output port number: 1 – /OUTPUT1 (pin 3) 2 – /OUTPUT2 (pin 4)
<binary> | 0 – high 1 – low The parameters MIN, MAX, DEF are not supported.
*RST value | 0
SCPI, Command Types | Device-specific, command or query Note: *RST or Preset do not change the configuration of the Universal Interface. Use CONTrol:HANDler:RESet to restore default values.
Example: | CONT:HAND:OUTP2:DATA 0 Set the /OUTPUT2 line (pin 4) to 0 (current state of /OUTPUT2). CONT:HAND:OUTP2:USER 1 Define the next state of the /OUTPUT2 line as 1 (low). /OUTPUT2 will go from 0 to 1 when the analyzer receives a negative pulse on the /INPUT1 line (pin 2).

CONTrol:HANDler:OUTPut<port>:USER <binary>

Defines the state of the output ports (pin 3 or 4) of the Universal Interface connector after the next negative pulse on the /INPUT1 line (pin 2).

<port> | Output port number: 1 – /OUTPUT1 (pin 3) 2 – /OUTPUT2 (pin 4)
<binary> | 0 – high 1 – low The parameters MIN, MAX, DEF are not supported.
*RST value | 0
SCPI, Command Types | Device-specific, command or query Note: *RST or Preset do not change the configuration of the Universal Interface. Use CONTrol:HANDler:RESet to restore default values.
Example: | See CONTrol:HANDler:OUTPut<port>[:DATA]

CONTrol:HANDler:RESet

Restores the default states of the CONTrol:HANDler... commands including the data port values.

*RST value | n/a
SCPI, Command Types | Device-specific, no query (event)
Example: | See CONTrol:HANDler[:EXTension]:INDex:STATe


DIAGnostic

:ALC

:AUBW

:BW

:CLAMp

:PIParameter

:GAIN

:ITIMe

:POFFset

:RANGe

:SETTings

[:STATe]

:SETTings

:SOFFset

:STOLerance

:DEVice

:STATe

:SERVice

:FUNCtion

:RFPower

:SFUNction

DIAGnostic:SERVice...

This subsystem provides access to service and diagnostic routines used in service, maintenance and repair. In accordance with the SCPI standard all commands are device-specific.

Service functions are password-protected (SYSTem:PASSword[:CENable]) and should be used by a R&S service representative only. Refer to the service manual for more information.

Command tree: DIAGnostic

DIAGnostic:ALC:AUBW <Boolean>

Enables or disables automatic bandwidth setting.

<Boolean> | ON | OFF - automatic bandwidth on or off.
*RST value | ON
SCPI, Command Types | Device-specific, command or query.
Example: | DIAG:ALC:SETT ON Enable automatic level control. DIAG:ALC:AUBW OFF; BW 10000 Disable automatic bandwidth setting and select a 10 kHz loop bandwidth. DIAG:ALC:CLAM ON; RANGE 4 Suspend the ALC during the measurement and select a 4 dB control range. DIAG:ALC:STOL WIDE Select a wide settling tolerance window. DIAG:ALC:PIP MAN; :DIAG:ALC:PIP:GAIN 0.35; ITIM 6E-7 Enable manual entry of PI controller parameters and define the proportional gain and the integration time. DIAG:ALC:SOFF 1 Define a 1 dB ALC start offset. ... DIAG:ALC:POFFset ON Change last setting; cause the analyzer to use the ALC offset of the previous measurement.

DIAGnostic:ALC:BW <bandwidth>

Selects the bandwidth in the ALC control loop. The setting takes effect when automatic bandwidth setting is disabled.

<bandwidth> | Bandwidth setting
Range [def. unit] | 20 Hz to 7.12 MHz [Hz]. For a list of possible value refer to ALC All Channels.
*RST value | 1 kHz
SCPI, Command Types | Device-specific, command or query.
Example: | See DIAGnostic:ALC:SETTings:AUBW

DIAGnostic:ALC:CLAMp <Boolean>

Suspends the ALC mechanism while the analyzer acquires measurement data (Clamp ALC during Measurement).

<Boolean> | ON | OFF - Clamp ALC... on or off.
*RST value | OFF
SCPI, Command Types | Device-specific, command or query.
Example: | See DIAGnostic:ALC:SETTings:AUBW

DIAGnostic:ALC:PIParameter AUTO | MANual

Enables automatic or manual setting of the PI controller parameters.

Parameters | AUTO – Automatic setting, depending on the bandwidth (DIAGnostic:ALC:BW) MANual – Manual setting using DIAGnostic:ALC:PIParameter:GAIN and DIAGnostic:ALC:PIParameter:ITIMe.
*RST value | NORMal
SCPI, Command Types | Device-specific, command or query.
Example: | See DIAGnostic:ALC:SETTings:AUBW

DIAGnostic:ALC:PIParameter:GAIN <prop_gain>

Defines the proportional gain of the PI controller. This setting takes effect when manual setting of the controller parameters is enabled (DIAGnostic:ALC:PIParameter MANual).

<prop_gain> | Proportional gain setting
Range [def. unit] | 0.001 to 100 [1]. UP and DOWN increment the proportional gain in 0.001 steps.
*RST value | 0.4
SCPI, Command Types | Device-specific, command or query.
Example: | See DIAGnostic:ALC:SETTings:AUBW

DIAGnostic:ALC:PIParameter:ITIMe <int_time>

Defines the integration time of the PI controller. This setting takes effect when manual setting of the controller parameters is enabled (DIAGnostic:ALC:PIParameter MANual).

<prop_gain> | Integration time setting
Range [def. unit] | 10 ns to 100 s [s]. UP and DOWN increment the integration time in 10 ns steps.
*RST value | 500 ns
SCPI, Command Types | Device-specific, command or query.
Example: | See DIAGnostic:ALC:SETTings:AUBW

DIAGnostic:ALC:POFFset <Boolean>

Causes the analyzer to use the ALC of the previous measurement as an ALC start offset value (Use ALC Offset of Prev. Measurement).

<Boolean> | ON | OFF -Use ALC Offset... on or off.
*RST value | OFF
SCPI, Command Types | Device-specific, command or query.
Example: | See DIAGnostic:ALC:SETTings:AUBW

DIAGnostic:ALC:RANGe <cont_range>

Defines the maximum change of the source signal level due to the ALC (Control Range).

<cont_range> | Control range setting
Range [def. unit] | 0 dB to 100 dB [dB]. The control range setting must be compatible with the specified source power of the analyzer. 0 dB effectively disables the ALC. UP and DOWN increment the control range in 0.1 dB steps.
*RST value | 5 dB
SCPI, Command Types | Device-specific, command or query.
Example: | See DIAGnostic:ALC:SETTings:AUBW

DIAGnostic:ALC:SETTings[:STATe] <Boolean>

Enables or disables the Automatic Level Control for all channels.

<Boolean> | ON | OFF – ALC on or off.
*RST value | OFF
SCPI, Command Types | Device-specific, command or query.
Example: | See DIAGnostic:ALC:SETTings:AUBW See SOURce<Ch>:POWer<Pt>:ALC:CONTrol

DIAGnostic:ALC:SOFFset <start_offset>

Increases or decreases the signal level before the ALC loop is started (Start Offset).

<start_offset> | Start offset
Range [def. unit] | –3 dB to +3 dB [dB]. UP and DOWN increment the start offset in 0.1 dB steps.
*RST value | 0.0 dB
SCPI, Command Types | Device-specific, command or query.
Example: | See DIAGnostic:ALC:SETTings:AUBW

DIAGnostic:ALC:STOLerance WIDE | NORMal | HIGH

Defines the variation of the ALC-controlled source signal level (Settling Tolerance Window).

Parameters | WIDE – Wide tolerance window (1 dB) NORMal – Normal (0.1 dB) HIGH – High Accuracy (0.02 dB)
*RST value | NORMal
SCPI, Command Types | Device-specific, command or query.
Example: | See DIAGnostic:ALC:SETTings:AUBW

DIAGnostic:DEVice:STATe '<file_name>'

Generates a System Report and writes it to the specified file. See Obtaining Support.

'<file_name>' | String parameter containing the file name. If no path is specified, the file is stored to the directory C:\Rohde&Schwarz\Nwa\Report; the extension *.zip is appended automatically.
*RST value | –
SCPI, Command Types | Device-specific, command or query.
Example: | DIAG:DEV:STAT 'report_16112010_1120' Generate a report and store it to C:\Rohde&Schwarz\Nwa\Report\report_16112010_1120.zip. Use the MMEMory... commands to rename, move, or delete the file.

DIAGnostic:SERVice:FUNCtion <numeric_value>,...

DIAGnostic:SERVice:SFUNction '<string>',...

Activates a service function (for internal use only).

DIAGnostic:SERVice:RFPower <Boolean>

Turns the internal source power at all ports and the power of all external generators on or off. This command is equivalent to OUTPut<Ch>[:STATe].

<Boolean> | ON | OFF - Switches the power on or off.
*RST value | ON
SCPI, Command Types | Device-specific, command or query
Example: | DIAG:SERV:RFP OFF Turn off the RF source power.


DISPlay

:ANNOTation

:CHANnel

:FREQuency

[:STATe ]

:CMAP<Element>

:MARKer

[:STATe]

:RGB

:TRACe

:COLor

[:STATe]

:RGB

:MENU

:KEY

:EXECute

:SELect

:RFSize

[:WINDow<Wnd>]

:CATalog?

:MAXimize

:NAME

:STATe

:TITLe

:DATA

[:STATe]

:TRACe<Trc>

:CATalog?

:DELete

:FEED

:SHOW

:X

:OFFSet

:Y

:OFFSet

[:SCALe]

:AUTO

:BOTTom

:PDIVision

:RLEVel

:RPOSition

:TOP

DISPlay...

This subsystem controls the selection and presentation of graphical and trace information on the screen.

Command tree: DISPlay

Note: Traces are generally identified by a string parameter defining the trace name (e.g. CALCulate<Ch>:PARameter:SELect <Trace_Name>). In the DISPlay... subsystem, traces are assigned to diagram areas (DISPlay:WINDow<Wnd>:TRACe<WndTr>:FEED <Trace_Name>). While this assignment is valid, the trace is identified by the numeric suffix <WndTr> and the trace name is not needed.

DISPlay:ANNotation:FREQuency[:STATe] <Boolean>

Shows or hides all frequency stimulus values in the diagrams.

<Boolean> | ON | OFF - Show or hide stimulus values.
*RST value | ON
SCPI, Command Types | Confirmed, command or query
Example: | *RST; :DISP:ANN:FREQ OFF Create diagram area no. 1 (with default trace) and hide the frequency stimulus values.

DISPlay:ANNotation:CHANnel[:STATe] <Boolean>

Shows or hides the channel list below the diagrams.

<Boolean> | ON | OFF - Show or hide channel list.
*RST value | ON
SCPI, Command Types | Device-specific, command or query
Example: | *RST; :DISP:ANN:CHAN OFF Create diagram area no. 1 (with default trace) and hide the channel list.

DISPlay:CMAP<Element>:MARKer[:STATe] <Boolean>

Displays all markers with the same color or display each marker with the color of the associated trace. The colors of all display elements are defined via DISPlay:CMAP<Element>:RGB <red>, <green>, <blue>,....

<Element> | Numeric suffix, not used in this command. Implemented for compatibility with DISPlay:CMAP<Element>:RGB.
<Boolean> | ON – All markers have the same color, to be defined via DISPlay:CMAP6:RGB <red>, <green>, <blue>. The marker color is independent of the trace colors. OFF - Each marker has the color of the associated trace.
*RST value | *RST does not affect the color settings; see also description of the Preset command.
SCPI, Command Types | Device-specific, command or query
Example: | See DISPlay:CMAP<Element>:RGB.

DISPlay:CMAP<Element>:RGB
<red>, <green>, <blue> [,<trace_style>, <trace_width>]

Defines the color of all display elements based on the Red/Green/Blue color model.

<Element>

Number of the display element. The display elements corresponding to the numbers 1 to 28 are listed below.

<red>
<green>
<blue>

Red, green, and blue content of the defined color.

Range [def. unit]

0 (zero intensity, corresponding to a 0 in the 24-bit color model) to 1 (full intensity, corresponding to 255 in the 24-bit color model) [–]

<trace_style>

Optional trace style, only for traces (<Element> > 12): One of the string parameters SOLid | DASHed | DOTTed | DDOTted | DDDotted.

<trace_width>

Optional trace width, only for traces (<Element> > 12).

Range [def. unit]

1 to 20 [–]

*RST values

*RST does not affect the color settings; see also description of the Preset command.

SCPI, Command Types

Confirmed (with device-specific numeric suffix and parameters), command or query. The query returns three values between 0 and one, separated by commas, corresponding to the red, green, and blue color content.

Example:

*RST; :DISP:CMAP:MARK ON; :CALC:MARK ON

Create diagram area no. 1 (with default trace showing the S-parameter S21) and a marker M 1.

CALC:PAR:SDEF 'TRC2', 'S11'; :DISP:WIND:TRAC2:FEED 'TRC2'

Create a new trace named TRC2 and display the trace in diagram area no. 1. Note that the new trace automatically becomes the active trace.

CALC:MARK2 ON

Assign a marker M 2 to the trace. Both markers are displayed with the same color.

DISP:CMAP13:RGB 1,0,0; :DISP:CMAP14:RGB 0,1,0

Color the first trace red, the second trace green.

DISP:CMAP6:RGB?

Query the marker color. The marker color depends on the settings made in previous sessions; it is not reset. A possible response is 0,0,0 for black markers.

DISP:CMAP:MARK OFF

Change the marker colors: M 1 turns red, M 2 turns green.

The numeric suffixes <Element> denote the following display elements:

<Element> | Display Element
1 | Background
2 | Text
3 | Selected Text
4 | Grid
5 | Reference Line
6 | Same Color for all Markers
7 | Horizontal Line / Vertical Range Lines
8 | Diagram Title
9 | Limit Fail Trace Color
10 | Limit Line Type Off
11 | Limit Line Type Upper
12 | Limit Line Type Lower
13 | Trace 1 (see also DISPlay:CMAP<Element>:TRACe:RGB)
14 | Trace 2
15 | Trace 3
16 | Trace 4
17 | Trace 5
18 | Trace 6
19 | Trace 7
20 | Trace 8
21 | Trace 9
22 | Trace 10
23 | Trace 11
24 | Trace 12
25 | Trace 13
26 | Trace 14
27 | Trace 15
28 | Trace 16

DISPlay:CMAP<Element>:TRACe:COLor[:STATe] <Boolean>

Defines the trace color schemes in different diagram areas.

<Element>

Numeric suffix, not used in this command. Implemented for compatibility with DISPlay:CMAP<Element>:RGB.

<Boolean>

OFF – Independent color scheme in new diagram area. Moved traces change their color.
ON – Color scheme in new diagram area continues the previous color scheme. Moved traces keep their color.

*RST value

*RST does not affect the color settings; see also description of the Preset command.

SCPI, Command Types

Device-specific, command or query

Example:

*RST; :DISP:CMAP13:RGB 1,0,0

Create diagram area no. 1 (with default trace showing the S-parameter S21) and color the trace red.

DISP:CMAP:TRAC:COL OFF; :DISP:WIND2:STAT ON

Select independent color schemes for new diagram areas. Create a new diagram area no. 2.

CALC:PAR:SDEF 'TRC2', 'S11'; :DISP:WIND2:TRAC2:FEED 'TRC2'

Create a new trace named TRC2 and display the trace in a new diagram area no. 2. The new trace is red like the first trace.

DISP:CMAP:TRAC:COL ON; :DISP:WIND3:STAT ON

Continue the same color scheme in new diagram areas. Create a new diagram area no. 3.

CALC:PAR:SDEF 'TRC3', 'S22'; :DISP:WIND3:TRAC3:FEED 'TRC3'

Create a new trace named TRC3 and display the trace in a new diagram area no. 3. The new trace is not red.

DISPlay:CMAP<Element>:TRACe:RGB
'<trace_name>, <red>, <green>, <blue> [,<trace_style>, <trace_width>]

Defines the color of a trace referenced by its name, based on the Red/Green/Blue color model. Use the generalized command DISPlay:CMAP<Element>:RGB to define the color of other display elements.

<Element> | Numeric suffix, not used in this command. Implemented for compatibility with DISPlay:CMAP<Element>:RGB.
'<trace_name>' | Trace name, string parameter
<red> <green> <blue> | Red, green, and blue content of the defined color.
Range [def. unit] | 0 (zero intensity, corresponding to a 0 in the 24-bit color model) to 1 (full intensity, corresponding to 255 in the 24-bit color model) [–]
<trace_style> | Optional trace style, only for traces (<Element> > 12): One of the string parameters SOLid | DASHed | DOTTed | DDOTted | DDDotted.
<trace_width> | Optional trace width, only for traces (<Element> > 12).
Range [def. unit] | 1 to 20 [–]
*RST values | *RST does not affect the color settings; see also description of the Preset command.
SCPI, Command Types | Device-specific, command or query. The query returns three values between 0 and one, separated by commas, corresponding to the red, green, and blue color content.
Example: | *RST; :DISP:CMAP:TRAC:RGB 'Trc1', 1, 0, 0 Color the default trace 'Trc1' red.. See also DISPlay:CMAP<Element>:RGB

DISPlay:MENU:KEY:EXECute '<menu_key>'

Executes the function of a key with a specified name and switches to the local screen.

You can use this command to execute part of your measurement task manually; see Combining Manual and Remote Control. Menu keys that initiate events are executed immediately, because no additional input is necessary. However, DISPlay:MENU:KEY:EXECute can be used as well for manual entries in numeric entry bars, dialogs or wizards.

'<menu_key>'

Name of the key as shown in the analyzer's softkey bar (case-sensitive string variable, may contain blanks but no dots). If the name is not unique, the complete menu path, preceded by a colon, can be specified, e.g. ':Trace:Format:Phase'. Menus, submenus and menu function must also be separated by colons.

*RST value

–

SCPI, Command Types

Device-specific, no query

Example:

*RST; :DISP:MENU:KEY:EXEC 'S11'; EXEC ':Trace:Format:Phase'

Assign the S-parameter S11 to the default trace, open the local analyzer screen, then display the phase of the measured quantity. The commands are executed immediately without any manual entry.

DISP:MENU:KEY:EXEC 'Start'

Open the numeric input bar for the start frequency of the sweep. The frequency can be entered manually.

DISP:MENU:KEY:EXEC 'About Nwa'

Display information about your network analyzer and the firmware version. The info box is closed when you click the analyzer screen or if you send another command.

DISPlay:MENU:KEY:SELect '<menu_key>'

Activates the menu or submenu of the specified key.

'<menu_key>' | Name of the key as shown in the analyzer's softkey bar (case-sensitive string variable).
*RST value | –
SCPI, Command Types | Device-specific, no query
Example: | *RST; :DISP:MENU:KEY:SEL 'S11' Open the Trace –Meas menu in order to select a measured quantity.

DISPlay:RFSize <rel. size>

Defines the size of the fonts in the diagram on a relative scale.

<rel size> | Relative font size
Range [def. unit] | 80 % to 170 % [%]
*RST value | 100 %
SCPI, Command Types | Device-specific, with query
Example: | *RST; :DISP:RFS 80 Use smaller fonts to gain more space for the traces in the diagram.

DISPlay[:WINDow<Wnd>]:CATalog?

Returns the numbers and names of all diagram areas in the current setup.

<Wnd> | Number of a diagram area. This suffix is ignored; the command returns a list of all diagram areas.
Response | String with comma-separated list of diagram area numbers and names, see example below. If all diagram areas have been deleted the response is an empty string ("").
*RST value | –
SCPI, Command Types | Device-specific, query only.
Example: | *RST; :DISP:WIND2:STAT ON Create diagram area no. 2. DISP:WIND2:NAME 'S11 Test Diagram' Assign a name to the new diagram area. DISP:CAT? Query all diagram areas and their names. As a default diagram area no. 1 is created upon *RST, the response is ''1,1,2,S21 Test Diagram'. The first diagram area is not named; its default name is equal to the diagram number. CALC:PAR:SDEF 'Win2_Tr1', 'S11' Create a trace named Win2_Tr1 to measure the input reflection coefficient S11. DISP:WIND2:TRAC9:FEED 'Win2_Tr1' Display the generated trace in diagram area no. 2, assigning the trace number 9 to it. DISP:WIND2:TRAC:CAT? Query all traces in diagram area no. 2. The response is '9,Win2_Tr1'.

DISPlay[:WINDow<Wnd>]:MAXimize <Boolean>

Maximizes all diagram areas in the active setup or restores the previous display configuration.

<Wnd> | Number of the diagram area to become the active diagram area. DISPlay:WINDow<Wnd>:MAXimize acts on all diagrams of the current setup, however, the diagram no. <Wnd> is displayed on top of the others.
<Boolean> | ON | OFF - Maximize all diagram areas or restore the previous display configuration.
*RST value | OFF
SCPI, Command Types | Device-specific, command or query (returns whether or not the diagrams are maximized).
Example: | *RST; :DISP:WIND2:STAT ON Create diagram areas no. 1 (with default trace) and 2 (with no trace). DISP:WIND2:MAXimize ON Maximize the diagram areas, placing area no. 2 on top.

DISPlay[:WINDow<Wnd>]:NAME '<string>'

Defines a name for diagram area <Wnd>. The name appears in the list of diagram areas, to be queried by DISPlay[:WINDow<Wnd>]:CATalog?.

<Wnd> | Number of the diagram area.
'<string>' | String variable for the name.
*RST value | ''
SCPI, Command Types | Device-specific, command or query
Example: | See DISPlay[:WINDow<Wnd>]:CATalog?

DISPlay[:WINDow<Wnd>]:STATe <Boolean>

Creates or deletes a diagram area, identified by its area number <Wnd>.

<Wnd> | Number of the diagram area to be created or deleted.
<Boolean> | ON | OFF - Creates or deletes diagram area no. <Wnd>.
*RST value | –
SCPI, Command Types | Device-specific, command or query (returns whether or not a particular diagram area exists).
Example: | CALC4:PAR:SDEF 'Ch4Tr1', 'S11' Create channel 4 and a trace named Ch4Tr1 to measure the input reflection coefficient S11. DISP:WIND2:STAT ON Create diagram area no. 2. DISP:WIND2:TRAC9:FEED 'CH4TR1' Display the generated trace in diagram area no. 2, assigning the trace number 9 to it.

DISPlay[:WINDow<Wnd>]:TITLe:DATA '<string>'

Defines a title for diagram area <Wnd>.

<Wnd> | Number of the diagram area.
'<string>' | String variable for the title. The length of the title is practically unlimited but should be kept short enough to be displayed in the diagrams.
*RST value | ''
SCPI, Command Types | Device-specific, command or query
Example: | *RST; :DISP:WIND:TITL:DATA 'S21 Test Diagram' Define a title for the default diagram area. The title is displayed below the top of the diagram area. DISP:WIND:TITL OFF; TITL:DATA? Hide the title. The title is no longer displayed but still defined so it can be displayed again.

DISPlay[:WINDow<Wnd>]:TITLe[:STATe] <Boolean>

Displays or hides the title for area number <Wnd>, defined by means of DISPlay:WINDow<Wnd>:TITLe:DATA.

<Wnd> | Number of the diagram area.
<Boolean> | ON | OFF - Displays or hides the title.
*RST value | ON
SCPI, Command Types | Device-specific, command or query
Example: | See DISPlay:WINDow<Wnd>:TITLe:DATA.

DISPlay[:WINDow<Wnd>]:TRACe<WndTr>:CATalog?

Returns the numbers and names of all traces in diagram area no. <Wnd>.

<Wnd> | Number of a diagram area.
<WndTr> | Trace number used to distinguish the traces of the same diagram area <Wnd>. This suffix is ignored; the command returns a list of all traces.
Response | String with comma-separated list of trace numbers and names, see example. If all traces have been deleted the response is an empty string ("").
*RST value | –
SCPI, Command Types | Device-specific, query only.
Example: | See DISPlay[:WINDow<Wnd>]:CATalog?

DISPlay[:WINDow<Wnd>]:TRACe<WndTr>:DELete

Releases the assignment between a trace and a diagram area, as defined by means of DISPlay:WINDow<Wnd>:TRACe<WndTr>:FEED <Trace_Name> and expressed by the <WndTr> suffix. The trace itself is not deleted; this must be done via CALCulate<Ch>:PARameter:DELete <Trace_Name>.

<Wnd> | Number of an existing diagram area (defined by means of DISPlay:WINDow<Wnd>:STATe ON).
<WndTr> | Trace number used to distinguish the traces of the same diagram area <Wnd>.
*RST value | –
SCPI, Command Types | Device-specific, no query.
Example: | CALC4:PAR:SDEF 'Ch4Tr1', 'S11' Create channel 4 and a trace named Ch4Tr1 to measure the input reflection coefficient S11. DISP:WIND2:STAT ON Create diagram area no. 2. DISP:WIND2:TRAC9:FEED 'CH4TR1' Display the generated trace in diagram area no. 2, assigning the trace number 9 to it. DISP:WIND2:TRAC9:DELete Release the assignment between trace no. 9 and window no. 2. The trace can still be referenced with its trace name Ch4Tr1.

DISPlay[:WINDow<Wnd>]:TRACe<WndTr>:EFEed '<trace_name>'

Assigns an existing trace (CALCulate<Ch>:PARameter:SDEFine <Trace_Name>) to a diagram area <Wnd>, and displays the trace. Use DISPlay[:WINDow<Wnd>]:TRACe<WndTr>:FEED to assign the trace to a diagram area using a numeric suffix (e.g. in order to use the DISPlay[:WINDow<Wnd>]:TRACe<WndTr>:Y:OFFSet command).

You can open the trace manager (DISPlay:MENU:KEY:EXECute 'Trace Manager') to obtain an overview of all channels and traces, including the traces that are not displayed.

<Wnd> | Number of an existing diagram area (defined by means of DISPlay:WINDow<Wnd>:STATe ON).
<WndTr> | Trace number. This suffix is ignored; the trace is referenced by its name.
'<trace_name>' | String parameter for the trace name, e.g. 'Trc4'.
*RST value | –
SCPI, Command Types | Device-specific, no query.
Example: | CALC4:PAR:SDEF 'Ch4Tr1', 'S11' Create channel 4 and a trace named Ch4Tr1 to measure the input reflection coefficient S11. DISP:WIND2:STAT ON Create diagram area no. 2. DISP:WIND2:TRAC:EFE 'CH4TR1' Display the generated trace in diagram area no. 2. No trace number is assigned.

DISPlay[:WINDow<Wnd>]:TRACe<WndTr>:FEED '<trace_name>'

Assigns an existing trace (CALCulate<Ch>:PARameter:SDEFine <Trace_Name>) to a diagram area, using the <WndTr> suffix, and displays the trace. Use DISPlay[:WINDow<Wnd>]:TRACe:EFEed to assign the trace to a diagram area without using a numeric suffix.

A trace can be assigned to a diagram only once. If a attempt is made to assign the same trace a second time (e.g. by typing DISP:WIND2:TRAC8:FEED 'CH4TR1' after executing the program example below) an error message –114,"Header suffix out of range is generated.
You can open the trace manager (DISPlay:MENU:KEY:EXECute 'Trace Manager') to obtain an overview of all channels and traces, including the traces that are not displayed.

<Wnd> | Number of an existing diagram area (defined by means of DISPlay:WINDow<Wnd>:STATe ON).
<WndTr> | Trace number used to distinguish the traces of the same diagram area <Wnd>.
'<trace_name>' | String parameter for the trace name, e.g. 'Trc4'.
*RST value | –
SCPI, Command Types | Device-specific, no query.
Example: | CALC4:PAR:SDEF 'Ch4Tr1', 'S11' Create channel 4 and a trace named Ch4Tr1 to measure the input reflection coefficient S11. DISP:WIND2:STAT ON Create diagram area no. 2. DISP:WIND2:TRAC9:FEED 'CH4TR1' Display the generated trace in diagram area no. 2, assigning the trace number 9 to it.

DISPlay[:WINDow<Wnd>]:TRACe<WndTr>:SHOW DALL | MALL | '<trace_name>', <Boolean>

Displays or hides an existing trace, identified by its trace name (CALCulate<Ch>:PARameter:SDEFine <Trace_Name>), or a group of traces.

You can open the trace manager (DISPlay:MENU:KEY:EXECute 'Trace Manager') to obtain an overview of all channels and traces, including the traces that are not displayed.

<Wnd> | Number of a diagram area. This suffix is ignored; the command affects traces in all diagram areas.
<WndTr> | Trace number. This suffix is ignored; the trace is referenced by its name.
DALL MALL '<trace_name>' | All data traces All memory traces Single trace identified by its trace name (string parameter), e.g. 'Trc4'.
*RST value | –
<Boolean> | ON | OFF – display or hide trace(s)
*RST value | 1 (for the default trace 'Trc1')
SCPI, Command Types | Device-specific, command or query. The query must be sent with the first parameter; see example below.
Example: | *RST; :DISP:TRAC:SHOW? 'Trc1' Reset the analyzer, creating the default trace 'Trc1'. The trace is displayed; the query returns 1. CALC4:PAR:SDEF 'Ch4Tr1', 'S11' Create channel 4 and a trace named Ch4Tr1 to measure the input reflection coefficient S11. DISP:WIND2:STAT ON; :DISP:WIND2:TRAC:FEED 'CH4TR1' Create diagram area no. 2 and display the generated trace in the diagram area. DISP:TRAC:SHOW DALL, OFF Hide both traces in both diagrams. DISP:TRAC:SHOW? DALL Query whether all data traces are displayed. The response 0 means that at least one trace is hidden.

DISPlay[:WINDow<Wnd>]:TRACe<WndTr>:X:OFFSet <numeric_value>

Shifts the trace <WndTr> in horizontal direction, leaving the positions of all markers unchanged.

<Wnd> | Number of an existing diagram area (defined by means of DISPlay:WINDow<Wnd>:STATe ON).
<WndTr> | Existing trace number, assigned by means of DISPlay:WINDow<Wnd>:TRACe<WndTr>:FEED.
<numeric_value> | Stimulus offset value.
Range [def. unit] | –1000 GHz to +1000 GHz [Hz, for frequency sweeps]. The range and unit depends on the sweep type ([SENSe<Ch>:]SWEep:TYPE).
*RST value | 0.
SCPI, Command Types | Device-specific, with query.
Example: | *RST; :DISP:WIND:TRAC:X:OFFS 1MHZ; :DISP:WIND:TRAC:Y:OFFS 10 Create the default trace and shift it horizontally by 1 MHz, vertically by 10 dB.

DISPlay[:WINDow<Wnd>]:TRACe<WndTr>:Y:OFFSet
<Magnitude>[,<Phase>, <Real>, <Imaginary>]

Modifies all points of the trace <WndTr> by means of an added and/or a multiplied complex constant. The response values M of the trace are transformed according to:

<Wnd> | Number of an existing diagram area (defined by means of DISPlay:WINDow<Wnd>:STATe ON).
<WndTr> | Existing trace number, assigned by means of DISPlay:WINDow<Wnd>:TRACe<WndTr>:FEED.
<Magnitude> | Multiplied magnitude factor
Range [def. unit] | –300 dB to + 300 dB [dB]
*RST value | 0 dB
<Phase> | Multiplied phase factor, optional for setting command but returned by query
Range [def. unit] | –3.4*1038 deg to +3.4*1038 deg [deg]
*RST value | 0 deg
<Real>, <Imaginary> | Real and imaginary part of added complex constant, optional for setting command but returned by query
Range [def. unit] | –3.4*1038 to +3.4*1038 [–]
*RST value | 0.
SCPI, Command Types | Device-specific, with query.
Example: | *RST; :DISP:WIND:TRAC:X:OFFS 1MHZ; :DISP:WIND:TRAC:Y:OFFS 10 Create the default trace and shift it horizontally by 1 MHz, vertically by 10 dB. DISP:WIND:TRAC:Y:OFFS? Query all response offset values. The response is 10,0,0,0.

DISPlay[:WINDow<Wnd>]:TRACe<WndTr>:Y[:SCALe]:AUTO ONCE[, '<trace_name>']

Displays the entire trace in the diagram area, leaving an appropriate display margin. The trace can be referenced either by its number <WndTr> or by its name <trace_name>.

<Wnd>

Number of an existing diagram area (defined by means of DISPlay:WINDow<Wnd>:STATe ON). This suffix is ignored if the optional <trace_name> parameter is used.

<WndTr>

Existing trace number, assigned by means of DISPlay:WINDow<Wnd>:TRACe<WndTr>:FEED. This suffix is ignored if the optional <trace_name> parameter is used.

ONCE

Activate the autoscale function.

'<trace_name>'

Optional string parameter for the trace name, e.g. 'Trc4'. If this optional parameter is present, both numeric suffixes are ignored (trace names must be unique across different channels and windows).

*RST value

–

SCPI, Command Types

Confirmed, no query.

Example:

*RST; :DISP:WIND:TRAC:Y:PDIV?; RLEV?

Query the value between two grid graticules and the reference value for the default trace. The response is 10;0.

DISP:WIND:TRAC:Y:AUTO ONCE; PDIV?; RLEV?
or: DISP:WIND:TRAC:Y:AUTO ONCE, 'Trc1'; PDIV?; RLEV?

Autoscale the default trace and query the scaling parameters again. In general both values have changed.

DISPlay[:WINDow<Wnd>]:TRACe<WndTr>:Y[:SCALe]:BOTTom <lower_value>[, '<trace_name>']

Sets the lower (minimum) edge of the diagram area <Wnd>.

<Wnd> | Number of an existing diagram area (defined by means of DISPlay:WINDow<Wnd>:STATe ON). This suffix is ignored if the optional <trace_name> parameter is used.
<WndTr> | Existing trace number, assigned by means of DISPlay:WINDow<Wnd>:TRACe<WndTr>:FEED. This suffix is ignored if the optional <trace_name> parameter is used.
<lower_value> | Value and unit for the lower diagram edge.
Range [def. unit] | Range and unit depend on the measured quantity, see Units for DISPlay... Commands.
*RST value | Depending on the measured quantity. The default lower edge for a dB Mag diagram is –80 dB.
'<trace_name>' | Optional string parameter for the trace name, e.g. 'Trc4'. If this optional parameter is present, both numeric suffixes are ignored (trace names must be unique across different channels and windows).
*RST value | –
SCPI, Command Types | Confirmed, with query.
Example: | CALC4:PAR:SDEF 'Ch4Tr1', 'S11' Create channel 4 and a trace named Ch4Tr1 to measure the input reflection coefficient S11. DISP:WIND2:STAT ON Create diagram area no. 2. DISP:WIND2:TRAC9:FEED 'CH4TR1' Display the generated trace in diagram area no. 2, assigning the trace number 9 to it. DISP:WIND2:TRAC9:Y:BOTT -40; TOP 10 or: DISP:WIND2:TRAC:Y:BOTT -40, 'CH4TR1'; TOP 10, 'CH4TR1' Scale the diagram between -40 dB and +10 dB.

DISPlay[:WINDow<Wnd>]:TRACe<WndTr>:Y[:SCALe]:PDIVision <numeric_value>[, '<trace_name>']

Sets the value between two grid graticules (value “per division”) for the diagram area <Wnd>. When a new PDIVision value is entered, the current RLEVel is kept the same, while the top and bottom scaling is adjusted for the new PDIVision value.

<Wnd> | Number of an existing diagram area (defined by means of DISPlay:WINDow<Wnd>:STATe ON). This suffix is ignored if the optional <trace_name> parameter is used.
<WndTr> | Existing trace number, assigned by means of DISPlay:WINDow<Wnd>:TRACe<WndTr>:FEED. This suffix is ignored if the optional <trace_name> parameter is used.
<numeric_value> | Value and unit for the vertical diagram divisions.
Range [def. unit] | Range and unit depend on the measured quantity, see Units for DISPlay... Commands.
*RST value | Depending on the measured quantity. The default reference level for an S-parameter displayed in a dB Mag diagram is 10 dB.
'<trace_name>' | Optional string parameter for the trace name, e.g. 'Trc4'. If this optional parameter is present, both numeric suffixes are ignored (trace names must be unique across different channels and windows).
*RST value | –
SCPI, Command Types | Confirmed, with query.
Example: | CALC4:PAR:SDEF 'Ch4Tr1', 'S11' Create channel 4 and a trace named Ch4Tr1 to measure the input reflection coefficient S11. DISP:WIND2:STAT ON Create diagram area no. 2. DISP:WIND2:TRAC9:FEED 'CH4TR1' Display the generated trace in diagram area no. 2, assigning the trace number 9 to it. DISP:WIND2:TRAC9:Y:PDIV 5 or: DISP:WIND2:TRAC:Y:PDIV 5, 'CH4TR1' Set the value per division to 5 dB.

DISPlay[:WINDow<Wnd>]:TRACe<WndTr>:Y[:SCALe]:RLEVel <numeric_value>[, '<trace_name>']

Sets the reference level (or reference value) for a particular displayed trace. Setting a new reference level does not affect the value of PDIVision. The trace can be referenced either by its number <WndTr> or by its name <trace_name>.

<Wnd> | Number of an existing diagram area (defined by means of DISPlay:WINDow<Wnd>:STATe ON). This suffix is ignored if the optional <trace_name> parameter is used.
<WndTr> | Existing trace number, assigned by means of DISPlay:WINDow<Wnd>:TRACe<WndTr>:FEED. This suffix is ignored if the optional <trace_name> parameter is used.
<numeric_value> | Value and unit for the reference level (or reference value, if the trace does not show a level).
Range [def. unit] | Range and unit depend on the measured quantity, see Units for DISPlay... Commands.
*RST value | Depending on the measured quantity. The default reference level for an S-parameter displayed in a dB Mag diagram is 0 dB.
'<trace_name>' | Optional string parameter for the trace name, e.g. 'Trc4'. If this optional parameter is present, both numeric suffixes are ignored (trace names must be unique across different channels and windows).
*RST value | –
SCPI, Command Types | Confirmed, with query.
Example: | CALC4:PAR:SDEF 'Ch4Tr1', 'S11' Create channel 4 and a trace named Ch4Tr1 to measure the input reflection coefficient S11. DISP:WIND2:STAT ON Create diagram area no. 2. DISP:WIND2:TRAC9:FEED 'CH4TR1' Display the generated trace in diagram area no. 2, assigning the trace number 9 to it. DISP:WIND2:TRAC9:Y:RLEV -10 or: DISP:WIND2:TRAC:Y:RLEV -10, 'CH4TR1' Change the reference level to –10 dB.

DISPlay[:WINDow<Wnd>]:TRACe<WndTr>:Y[:SCALe]:RPOSition <numeric_value>[, '<trace_name>']

Sets the point on the y-axis to be used as the reference position as a percentage of the length of the y-axis. The reference position is the point on the y-axis which should equal the RLEVel.

<Wnd> | Number of an existing diagram area (defined by means of DISPlay:WINDow<Wnd>:STATe ON). This suffix is ignored if the optional <trace_name> parameter is used.
<WndTr> | Existing trace number, assigned by means of DISPlay:WINDow<Wnd>:TRACe<WndTr>:FEED. This suffix is ignored if the optional <trace_name> parameter is used.
<numeric_value> | Value of the reference position in percent. The top of the y-axis is defined to have a reference position of 100%, while the bottom of the y-axis is defined to have a reference position of 0%.
Range [def. unit] | 0 to 100 [PCT].
*RST value | 80 PCT.
'<trace_name>' | Optional string parameter for the trace name, e.g. 'Trc4'. If this optional parameter is present, both numeric suffixes are ignored (trace names must be unique across different channels and windows).
*RST value | –
SCPI, Command Types | Confirmed, with query.
Example: | CALC4:PAR:SDEF 'Ch4Tr1', 'S11' Create channel 4 and a trace named Ch4Tr1 to measure the input reflection coefficient S11. DISP:WIND2:STAT ON Create diagram area no. 2. DISP:WIND2:TRAC9:FEED 'CH4TR1' Display the generated trace in diagram area no. 2, assigning the trace number 9 to it. DISP:WIND2:TRAC9:Y:RPOS 50 or: DISP:WIND2:TRAC:Y:RPOS 50, 'CH4TR1' Set the reference position to the center of the diagram area.

DISPlay[:WINDow<Wnd>]:TRACe<WndTr>:Y[:SCALe]:TOP <upper_value>[, '<trace_name>']

Sets the upper (maximum) edge of the diagram area <Wnd>.

<Wnd> | Number of an existing diagram area (defined by means of DISPlay:WINDow<Wnd>:STATe ON). This suffix is ignored if the optional <trace_name> parameter is used.
<WndTr> | Existing trace number, assigned by means of DISPlay:WINDow<Wnd>:TRACe<WndTr>:FEED. This suffix is ignored if the optional <trace_name> parameter is used.
<upper_value> | Value and unit for the upper diagram edge.
Range [def. unit] | Range and unit depend on the measured quantity, see Units for DISPlay... Commands.
*RST value | Depending on the measured quantity. The default upper edge for a dB Mag diagram is +20 dB.
'<trace_name>' | Optional string parameter for the trace name, e.g. 'Trc4'. If this optional parameter is present, both numeric suffixes are ignored (trace names must be unique across different channels and windows).
*RST value | –
SCPI, Command Types | Confirmed, with query.
Example: | See DISPlay:WINDow<Wnd>:TRACe<WndTr>:Y[:SCALe]:BOTTom

Units for DISPlay... Commands

The DISPlay... subsystem contains commands to define particular points in the diagram, e.g. to set the scale or a reference value. This requires the entry of a numeric value and a physical unit, depending on the parameter type displayed. The following table lists the physical units accepted by the analyzer.

Power | DBM, DB, DBW, W, MW, UW, NW, PW
Voltage | V, MV, UV, NV, PV, DBV, DBMV, DBUV
Phase | DEG, KDEG, MDEG, UDEG, NDEG, PDEG
Group delay | S, MS, US, NS, PS
Impedance | OHM, GOHM, MOHM, KOHM
Admittance | SIE, MSIE, USIE, NSIE
Inductance | H, MH, UH, NH, PH, FH
Capacitance | F, MF, UF, NF, PF, FF
Dimensionless | UNIT, MUNIT, UUNIT, NUNIT, PUNIT, FUNIT


FORMat

:BORDer

[:DATA]

:DEXPort

:SOURce

FORMat...

This subsystem selects a data format for transferring numeric and array information from and to the analyzer.

Command tree: FORMat

FORMat:BORDer NORMal | SWAPped

Controls whether binary data is transferred in normal or swapped byte order.

Parameters | SWAPped – The least significant bit is transferred first (little endian) NORMal – The most significant bit is transferred first (big endian)
*RST value | SWAPpped (if the GPIB Language is set to PNA or HP xxxx, then the order is NORMal)
SCPI, Command Types | Confirmed, command or query
Example: | FORM:BORD NORM Change the bit order to normal mode.

FORMat[:DATA] ASCii | REAL [,<length>]

Selects the format for numeric data transferred to and from the analyzer.

The format setting is only valid for commands and queries whose description states that the response is formatted as described by FORMat[:DATA]. In particular, it affects trace data transferred by means of the commands in the TRACe:... system.

ASCII

Numeric data is transferred as ASCII bytes. The numbers are separated by commas as specified in IEEE 488.2.

REAL

Data is transferred in a definite length block as IEEE floating point numbers of the specified <length>. See block data format.

If binary data is transferred to the analyzer, the receive terminator should be set to EOI (SYSTem:COMMunicate:GPIB[:SELF]:RTERminator EOI) to avoid inadvertent interruption of the data transfer.

<length>

The optional <length> parameter is needed for REAL format only. It defines the length of the floating point numbers in bits. Valid values are 32 and 64.

*RST value

ASCII. The default length of REAL data is 32 bits (single precision).

SCPI, Command Types

Confirmed, command or query

Example:

FORM REAL, 32

Select real data format.

SYST:COMM:GPIB:RTER EOI

Set the terminator to EOI.

(During a calibration) ... CORR:CDAT? 'REFLTRACK',1,0

Query a system error correction term. The data is transferred in a definite length block which can be written to a file; the analyzer displays the message <no_of_bytes> bytes binary data received.

FORMat:DEXPort:SOURce FDATa | SDATa | MDATa

Defines the format for traces retrieved with the ZVR-compatible command TRACe[:DATA][:RESPonse][:ALL]?

This command is not relevant for results read with the CALCulate:DATA... commands.

Parameters | See list of parameters below.
Range [def. unit] | Depending on the measured parameter and format. The unit is the default unit of the measured parameter; see CALCulate<Ch>:PARameter:SDEFine.
*RST value | SDATa
SCPI, Command Types | Device-specific, command or query.
Example: | See TRACe[:DATA][:RESPonse][:ALL]?

The following parameters are related to trace data (see also Data Flow diagram):

FDATa | Formatted trace data, according to the selected trace format (CALCulate<Chn>:FORMat). 1 value per trace point for Cartesian diagrams, 2 values for polar diagrams.
SDATa | Unformatted trace data: Real and imaginary part of each measurement point. 2 values per trace point irrespective of the selected trace format. The trace mathematics is not taken into account. Wave quantities are returned as voltages.
MDATa | Unformatted trace data (see SDATa) after evaluation of the trace mathematics.


HCOPy

:DESTination

:DEVice

:LANGuage

[:IMMediate]

:ITEM

:ALL

:LOGO

[:STATe]

:MLISt

[:STATe]

:TIME

[:STATe]

:PAGE

:MARGin

:BOTTom

:LEFT

:RIGHt

:TOP

:ORIentation

:WINDow

HCOPy...

The HCOPy system controls the output of screen information to an external device. Part of the functionality of this system is included in the File menu.

Command tree: HCOPy

HCOPy:DESTination <string> | 'MMEM' | 'DEFPRT'

Selects a printer name or file as destination for the screen output.

<string> | | Printer name, string variable. One of the printers accessible from your PC.
'MMEM' | Print to file. The file name is defined via MMEMory:NAME. The command HCOPy:DEVice:LANGuage WMF | EWMF | BMP | PNG selects the file format.
'DEFPRT' | Use default printer, to be selected in the "Printers and Faxes" dialog of the Windows XP® control panel.
*RST value | n/a (*RST does not overwrite the printer destination)
SCPI, Command Types | Confirmed, command or query.
Example: | MMEM:NAME 'C:\Screenshots\PLOT1.BMP' Define a printer file name (without creating the file), assuming that .BMP is the current file format (see HCOPy:DEVice:LANGuage). HCOP:MIT:LOGO ON; TIME ON Include the logo and current time and date in the printed file. HCOP:MPAG:WIND ALL Include all diagram areas one one page of the printed file. HCOP:DEST 'MMEM'; :HCOP Select 'Print to file' and create the printer file specified before.

HCOPy:DEVice:LANGuage
EMF | WMF | EWMF | BMP | JPG | PNG

Selects a file format for printer files. Selecting the format is recommended to ensure that the file defined via MMEMory:NAME can be read or imported by an external application.

EMF, WMF, EWMF | Windows enhanced metafile format (vector-based, file extension *.emf). The parameter WMF is equivalent to EMF; a query returns EMF.
BMP | Windows bitmap
JPG | JPEG bitmap
PNG | Portable network graphics format
*RST value | BMP
SCPI, Command Types | Confirmed, command or query.
Example: | HCOP:DEV:LANG BMP Select Windows bitmap format for printer files. MMEM:NAME 'C:\Screenshots\PLOT1.BMP' Define a printer file name and specify an existing directory (without creating the file). HCOP:DEST 'MMEM'; :HCOP Select 'Print to file' and create the printer file specified before.

HCOPy[:IMMediate]

Initializes the print according to the current HCOPy... configuration.

*RST value | –
SCPI, Command Types | Confirmed, no query.
Example: | HCOP:DEST '<Printer_name>' Select the printer for the output of screen data. HCOP Start printing.

HCOPy:ITEM:ALL

Selects the complete screen contents to be printed, including the logo (HCOPy:ITEM:LOGO), time (HCOPy:ITEM:TIME), and the marker list (HCOPy:ITEM:MLISt).

*RST value | After a reset, the complete information is printed; see commands for logo, time, marker list and settings.
SCPI, Command Types | Confirmed, no query.
Example: | HCOP:ITEM:ALL Select the complete information to be printed. HCOP Start printing.

HCOPy:ITEM:LOGO[:STATe] <Boolean>

Qualifies whether or not the printed hardcopy contains the logo. The default R&S logo (file Logo.gif) is stored in the Resources\Images subdirectory of the NWA program directory and can be replaced by another logo.

This command is valid for printed hardcopies. If you print to a file (HCOPy:DESTination 'MMEM'), use HCOPy:MITem:LOGO[:STATe].

<Boolean> | ON | OFF - Logo is included or excluded.
*RST value | n/a (*RST does not affect the printer configuration)
SCPI, Command Types | Device-specific, command or query
Example: | HCOP:ITEM:ALL Select the complete information to be printed. HCOP:ITEM:LOGO ON; :HCOP Include the logo in the printed output and start printing.

HCOPy:ITEM:MLISt[:STATe] <Boolean>

Qualifies whether or not the printed output contains the information in the marker info field (marker list).

<Boolean> | ON | OFF - Marker list is included or excluded.
*RST value | n/a (*RST does not affect the printer configuration)
SCPI, Command Types | Device-specific, command or query
Example: | HCOP:ITEM:ALL Select the complete information to be printed. HCOP:ITEM:MLISt ON; :HCOP Include the marker list in the printed output and start printing.

HCOPy:ITEM:TIME[:STATe] <Boolean>

Qualifies whether or not the printed hardcopy contains the current date and time.

This command is valid for printed hardcopies. If you print to a file (HCOPy:DESTination 'MMEM'), use HCOPy:MITem:TIME[:STATe].

<Boolean> | ON | OFF - Date and time is included or excluded.
*RST value | n/a (*RST does not affect the printer configuration)
SCPI, Command Types | Device-specific, command or query
Example: | HCOP:ITEM:ALL Select the complete information to be printed. HCOP:ITEM:TIME ON; :HCOP Include the data and time in the printed output and start printing .

HCOPy:MITem:LOGO[:STATe] <Boolean>

Qualifies whether or not the printed file contains the logo. The default R&S logo (file Logo.gif) is stored in the Resources\Images subdirectory of the NWA program directory and can be replaced by another logo.

This command is valid for screen content which is printed to a file (HCOPy:DESTination 'MMEM'). To configure hardcopies, use HCOPy:ITEM:LOGO[:STATe].

<Boolean> | ON | OFF - Logo is included or excluded.
*RST value | n/a (*RST does not affect the printer configuration)
SCPI, Command Types | Device-specific, command or query
Example: | See HCOPy:DESTination

HCOPy:MITem:TIME[:STATe] <Boolean>

Qualifies whether or not the printed file contains the current date and time.

This command is valid for screen content which is printed to a file (HCOPy:DESTination 'MMEM'). To configure hardcopies, use HCOPy:ITEM:TIME[:STATe].

<Boolean> | ON | OFF - Date and time is included or excluded.
*RST value | n/a (*RST does not affect the printer configuration)
SCPI, Command Types | Device-specific, command or query
Example: | See HCOPy:DESTination

HCOPy:MPAGe:WINDow
ACTive | ALL | SINGle

Defines the number of diagram areas per printed page.

This command is valid for screen content which is printed to a file (HCOPy:DESTination 'MMEM'). To configure hardcopies, use HCOPy:PAGE:WINDow.

ACTive | Print only active diagram area.
ALL | | All diagram areas are printed on one page.
SINGle | One diagram area per page.
*RST value | n/a (*RST does not affect the printer configuration)
SCPI, Command Types | Confirmed, command or query
Example: | See HCOPy:DESTination

HCOPy:PAGE:MARGin:BOTTom <numeric_value>

Defines the distance between the bottom of the page and the bottom of the printed information.

<numeric_value> | Lower margin.
Range [def. unit] | 0.01 mm to 10000 mm [mm]
*RST value | n/a (*RST does not affect the printer configuration)
SCPI, Command Types | Device-specific, command or query
Example: | H COP:PAGE:MARG:BOTT 10; TOP 10 Set an upper and a lower margin of 1 cm.

HCOPy:PAGE:MARGin:LEFT <numeric_value>

Defines the distance between the left edge of the page and the left edge of the printed information.

<numeric_value> | Left margin.
Range [def. unit] | 0.01 mm to 10000 mm [mm]
*RST value | n/a (*RST does not affect the printer configuration)
SCPI, Command Types | Device-specific, command or query
Example: | H COP:PAGE:MARG:LEFT 10; RIGHT 10 Set an left and a right margin of 1 cm.

HCOPy:PAGE:MARGin:RIGHt <numeric_value>

Defines the distance between the right edge of the page and the right edge of the printed information.

<numeric_value> | Right margin.
Range [def. unit] | 0.01 mm to 10000 mm [mm]
*RST value | n/a (*RST does not affect the printer configuration)
SCPI, Command Types | Device-specific, command or query
Example: | H COP:PAGE:MARG:LEFT 10; RIGHT 10 Set an left and a right margin of 1 cm.

HCOPy:PAGE:MARGin:TOP <numeric_value>

Defines the distance between the top of the page and the top of the printed information.

<numeric_value> | Upper margin.
Range [def. unit] | 0.01 mm to 10000 mm [mm]
*RST value | n/a (*RST does not affect the printer configuration)
SCPI, Command Types | Device-specific, command or query
Example: | H COP:PAGE:MARG:BOTT 10; TOP 10 Set an upper and a lower margin of 1 cm.

HCOPy:PAGE:ORIentation
PORTrait | LANDscape

Defines the orientation of the printed page. Switching between LANDscape and PORTrait rotates the hardcopy result by 90 degrees. No other settings are changed.

PORTrait | | Short edge of the paper is the top of the page.
LANDscape | Long edge of the paper is the top of the page.
*RST value | n/a (*RST does not affect the printer configuration)
SCPI, Command Types | Confirmed, command or query
Example: | H COP:PAGE:ORI LAND; :HCOP Select landscape page orientation and start printing.

HCOPy:PAGE:WINDow
ACTive | ALL | SINGle

Defines the number of diagram areas per printed page.

This command is valid for printed hardcopies. If you print to a file (HCOPy:DESTination 'MMEM'), use HCOPy:MPAGe:WINDow.

ACTive | Print only active diagram area.
ALL | | All diagram areas are printed on one page.
SINGle | One diagram area per page.
*RST value | n/a (*RST does not affect the printer configuration)
SCPI, Command Types | Confirmed, command or query
Example: | H COP:PAGE:WIND SING; :HCOP Select one diagram area per page and start printing.


INITiate

:CONTinuous

[:IMMediate]

:SCOPe

INITiate<Ch>...

This subsystem controls the initiation of the trigger system and defines the scope of the triggered measurement.

Command tree: INITiate<Ch>

INITiate<Ch>:CONTinuous <Boolean>

Qualifies whether the analyzer measures in single sweep or in continuous sweep mode.

<Ch> | Channel number. The channel is ignored because the command affects all channels.
<Boolean> | ON - The analyzer measures continuously, repeating the current sweep. OFF - The measurement is stopped after the number of sweeps defined via [SENSe<Ch>:]SWEep:COUNt. INITiate<Ch>[:IMMediate] initiates a new measurement cycle.
*RST value | ON
SCPI, Command Types | Confirmed, command or query
Example: | *RST; :INIT:CONT OFF Activate single sweep mode for all channels (including channel no. 2 created later). INIT:SCOP SING State that a single sweep will be performed in the active channel only. CALC2:PAR:SDEF 'TRC2','S11'; :INIT2 Create channel no. 2 with a new trace and start a single sweep in channel no. 2.

INITiate<Ch>[:IMMediate]

Starts a new single sweep sequence. This command is available in single sweep mode only (INITiate<Ch>:CONTinuous OFF). The data of the last sweep (or previous sweeps, see Sweep History) can be read using CALCulate<Ch>:DATA:NSWeep:FIRSt? SDATa, <count>.

In contrast to all other commands of the analyzer, INITiate<Ch>[:IMMediate] has been implemented for overlapped execution; see Command Synchronization.

<Ch> | Channel number. If the channel number does not exist the analyzer returns an error message. If INITiate<Ch>[:IMMediate]:SCOPe ALL is active, this suffix is ignored.
*RST value | –
SCPI, Command Types | Confirmed, no query
Example: | See INITiate<Ch>:CONTinuous

INITiate<Ch>[:IMMediate]:SCOPe
ALL | SINGle

Selects the scope of the single sweep sequence. The setting is applied in single sweep mode only (INITiate<Ch>:CONTinuous OFF).

<Ch> | Channel number. The channel is ignored because the command affects all channels.
ALL | INITiate<Ch>[:IMMediate] starts a single sweep in all channels.
SINGle | INITiate<Ch>[:IMMediate] starts a single sweep in the referenced channel <Ch> only.
*RST value | ALL
SCPI, Command Types | Device-specific, command or query
Example: | See INITiate<Ch>:CONTinuous


INPut

:ATTenuation

INPut...

This subsystem controls the characteristics of the analyzer’s input ports.

Command tree: INPut

INPut<port_no>:ATTenuation <numeric_value>

Sets the attenuation for the received waves. The generated wave is attenuated via OUTPut<port_no>:ATTenuation.

Note: INPut<port_no>:ATTenuation is not channel-specific; the value is valid for all channels. Use [SENSe<Ch>:]POWer:ATTenuation to set or query a channel-specific attenuation value.

<port_no> | Test port number of the analyzer, 1 to 2, 3 or 4, depending on the analyzer model. If unspecified the numeric suffix is set to 1.
<numeric_value> | Attenuation factor for the received wave.
Range [def. unit] | Depending on the analyzer/attenuator model, e.g. 0 dB to 75 dB for ZVA8/ZVA8-B31/32/B33/B34 [dB]. UP and DOWN increment/decrement the attenuation in 5 or 10 dB steps. The analyzer rounds any entered value below the maximum attenuation to the closest step.
*RST value | 0 dB
SCPI, Command Types | Confirmed, no query (query can not return channel-specific settings, would be misleading).
Example: | INP2:ATT 10 Set the step attenuator for the wave received at port 2 and for all channels to 10 dB. The waves at the other test ports are not affected. SENS1:POW:ATT? BREC Query the receiver step attenuator setting at port 2 and for channel no. 1. The response is 10.


INSTrument

:NSELect

:PORT

:COUNt?

:SELect

INSTrument...

This subsystem selects or queries particular resources (SCPI: logical instruments) of the analyzer.

Command tree: INSTrument

INSTrument:NSELect <Ch>

Selects channel <Ch> as the active channel.

<Ch> | Number of the channel to be activated. The channel must be created before using CONFigure:CHANnel<Ch>:STATe ON.
Range [def. unit] | 1, 2, ... [–]
*RST value | 1
SCPI, Command Types | Confirmed, command or query. If all channels have been deleted CONFigure:CHANnel<Ch>:STATe OFF the query returns 0.
Example: | CONF:CHAN2:STAT ON; :INST:NSEL? Create channel no. 2 and select it as the active channel. The query returns 2.

INSTrument:PORT:COUNt?

Returns the number of test ports of the analyzer.

Response | Number of ports (integer number).
Range [def. unit] | 1, 2, 3 or 4, depending on the analyzer model.
*RST value | –
SCPI, Command Types | Device-specific, query only.
Example: | INST:PORT:COUN? Return the number of ports of your analyzer.

INSTrument[:SELect]
CHANNEL1 | CHANNEL2 | CHANNEL3 | CHANNEL4

Selects channel <Ch> as the active channel.

To select a channel number > 4 use the generalized command INSTrument:NSELect <Ch>.

Parameters | Number of the channel to be activated. The channel must be created before using CONFigure:CHANnel<Ch>:STATe ON.
Range [def. unit] | CHANNEL1, CHANNEL2, CHANNEL3, CHANNEL4 [–]
*RST value | CHANNEL1
SCPI, Command Types | Confirmed, command or query. If all channels have been deleted (CONFigure:CHANnel<Ch>:STATe OFF) the query returns CHANNEL0.
Example: | CONF:CHAN2:STAT ON; :INST CHANNEL2 Create channel no. 2 and select it as the active channel.


MEMory

:CATalog?

:DEFine

:DELete

:ALL

[:NAME]

:SELect

MEMory...

The MEMory system controls the loaded setups of the analyzer.

The MEMory... commands don't affect any stored files. Use the MMEMory... commands to store and load data and to manage files stored on a mass storage device.

Command tree: MEMory

MEMory:CATalog?

Returns the names of all loaded setups.

Response | Comma-separated list of all setups.
*RST value | 'Set1' (the default setup is created after each *RST).
SCPI, Command Types | Confirmed (with device-specific response), query only.
Example: | *RST; :MEM:DEF 'SETUP_2' Create a setup named 'Setup_2' and make it the active setup. MEM:CAT? Query all setups. The response is 'Set1,Setup_2'. MMEM:STOR:STAT 1, 'C:\Rohde&Schwarz\NWA\RecallSets\Setup_2.zvx'; :MEM:DEL 'Setup_2.zvx' Store the active setup Setup_2 to a file, renaming it Setup_2.zvx. Close the setup.

MEMory:DEFine '<setup_name>'

Creates a new setup <setup_name> using default settings for the traces, channels and diagram areas. The created setup becomes the active setup.

'<setup_name>' | String parameter to specify the name of the created setup.
*RST value | –
SCPI, Command Types | Device-specific, no query.
Example: | See MEM:CAT?.

MEMory:DELete[:NAME] '<file_name>'

Closes the specified setup.

'<setup_name>' | String parameter to specify the name of the setup to be closed.
*RST value | –
SCPI, Command Types | Confirmed, no query.
Example: | See MEM:CAT?.

MEMory:SELect '<setup_name>'

Selects a setup as the active setup.

'<setup_name>' | String parameter to specify the setup.
*RST value | –
SCPI, Command Types | Device-specific, no query.
Example: | *RST; :MEM:DEF 'SETUP_2' Create a setup named 'Setup_2' and make it the active setup. MEM:SEL 'Set1' Activate the default setup Set1. MMEM:STOR:STAT 1, 'C:\Rohde&Schwarz\NWA\RecallSets\Set1.zvx'; :MEM:DEL 'Set1.zvx' Store the active setup Set1 to a file, renaming it Set1.zvx. Close the setup.


MMEMory

The mass storage of the analyzer may be internal or external. The internal mass storage device can be any section of the internal hard disk (mapped to drive C:\). The external mass storage device can be a USB memory stick connected to one of the USB ports (mapped to any free drive letter) or a network connection.

The <file_name> and <directory_name> parameters are strings. Some commands use a fixed directory; for others the <file_name> can contain the complete path including the drive name and all subdirectories, e.g. 'C:\TEMP\TRASH\test.txt' for the file named test.txt in the TEMP\TRASH subdirectory of the internal hard disk drive C:\. If no complete path is specified, the file location is relative to the current directory (queried with MMEMory:CDIRectory?). The file name itself may contain the period as a separator for extensions.

File and directory names can be chosen according to Windows™ conventions; the restrictions placed on file names known from DOS systems do not apply. All letters and numbers are allowed, as well as the special characters "_", "^", "$", "~", "!", "#", "%", "&", "-", "{", "}", "(", ")", "@" and "`". Reserved file names are CON, AUX, COM1, ..., COM4, LPT1, ..., LPT3, NUL and PRN.

The use of wildcards ? and * is not allowed.

:AKAL

:FACTory

:CONVersion

:USER

:CONVersion

:CATalog?

:ALL?

:CDIRectory

:COPY

:DATA

:DELete

:CORRection

:LOAD

:CKIT

:SDATa

:UDIRectory

:CMAP

:CORRection

:MERGe

:RESolve

:LIMit

:MDAData

:MDCData

:PTRain

:RIPPle

:SEGMent

:STATe

:TRACe

:VNETworks<Ch>

:BALanced

:DEEMbedding<Log_pt>

:EMBedding<Log_pt>

:GLOop

:DEEMbedding<Log_pt>

:EMBedding<Log_pt>

:SENDed

:DEEMbedding<Ph_pt>

:EMBedding<Ph_pt>

:MDIRectory

:MOVE

:NAME

:RDIRectory

:STORe

:CKIT

:CMAP

:CORRection

:LIMit

:MARKer

:MDCData

:PTRain

:RIPPle

:STATe

:TRACe

:CHANnel

:PORTs

Connector and calibration kit names must be entered as string parameters. The strings contain the connector and cal kit names used in the Calibration Kits dialog; a Ω in the name must be replaced by 'Ohm', e.g.:

  • 'NewKit1' denotes the user-defined calibration kit NewKit1.

  • 'N 50 Ohm Ideal Kit' denotes the N 50 Ω Dummy Kit.

  • 'ZV-Z21 typical' denotes the cal kit ZV-Z21 typical.

MMEMory...

The MMEMory system provides mass storage capabilities for the analyzer.

Internal and external mass storage

File and directory names

Command tree: MMEMory

MMEMory:AKAL:FACTory:CONVersion '<directory_name>'

Converts the factory calibration data of the standards in the active calibration unit (SYSTem:COMMunicate:RDEVice:AKAL:ADDRess) to Touchstone format and copies it to the specified directory.

'<directory_name>' | String parameter to specify the directory.
*RST value | –
SCPI, Command Types | Device-specific, command or query (returns the current directory).
Example: | MMEM:AKAL:FACT:CONV 'C:\AKAL\Touchstone' Convert and copy the factory calibration data of the active calibration unit to the specified directory.

MMEMory:AKAL:USER:CONVersion '<directory_name>'[,'<file_name>']

Converts an arbitrary (e.g. user-defined) set of calibration data of the standards in the active calibration unit (SYSTem:COMMunicate:RDEVice:AKAL:ADDRess) to Touchstone format and copies it to the specified directory.

'<directory_name>'

String parameter to specify the directory.

*RST value

–

'<file_name>'

Name and (possibly) directory of the cal kit file to be used for the automatic calibration (optional string parameter):

  • If the parameter is omitted, the analyzer uses the last characterized cal kit file.

  • If an empty string (' ') is specified, the factory cal kit file stored in the active calibration unit (SYSTem:COMMunicate:RDEVice:AKAL:ADDRess) is used. By default this file is also used in manual control.

  • A NWA cal kit file name *.calkit without path denotes a specific cal kit file stored in the active calibration unit.

  • A NWA cal kit file name *.calkit with path denotes a specific cal kit file stored in an arbitrary directory.

SCPI, Command Types

Device-specific, command or query (returns the current directory).

Example:

MMEM:AKAL:USER:CONV 'C:\AKAL\Touchstone'

Convert and copy the calibration data of the standards of the last characterized cal kit to the specified directory.

MMEM:AKAL:USER:CONV 'C:\AKAL\Touchstone', 'user.calkit'

Convert and copy the calibration data of the standards of the user-defined cal kit 'user.calkit' to the specified directory.

MMEMory:CATalog? [<directory_name>]

Returns the contents of the current or of a specified directory.

Use MMEMory:CATalog:ALL? to query the contents of the current directory and all subdirectories.

'<directory_name>'

String parameter to specify the directory. If the directory is omitted, the command queries the contents of the current directory, to be queried with MMEMory:CDIRectory?

Response

Directory information in the following format:

<used_size>,<free_disk_space> {,<file_name>,,<file_size>}

The first two numeric parameters denote the total amount of storage currently used in the directory and the total amount of storage available, both expressed in bytes. All files are returned with their file name and their size in bytes.

*RST value

–

SCPI, Command Types

Confirmed, query only.

Example:

MMEM:CAT?
Response: 2056878, 809734144, zvb_quickstart.pdf, , 2056878,

MMEMory:CATalog:ALL? [<directory_name>]

Returns the contents of the current or of a specified directory and all subdirectories.

Use MMEMory:CATalog? to query the contents of the current directory.

'<directory_name>'

String parameter to specify the directory. If the directory is omitted, the command queries the contents of the current directory, to be queried with MMEMory:CDIRectory?

Response

Directory information in the following format:

Directory of <Dir_name>, <used_size>, <free_disk_space> {, <Subdir>, <DIR>,}{,<file_name>,,<file_size>},
Directory of <Subdir_name_1>, <used_size>,<free_disk_space> {, <Subdir>, <DIR>,}{,<file_name>,,<file_size>},
Directory of <Subdir_name_2>, <used_size>,<free_disk_space> ...

The first line is omitted if the current directory contains no subdirectories. The following lines are analogous to the output of MMEMory:CATalog?.

*RST value

–

SCPI, Command Types

Confirmed, query only.

Example:

MMEM:CAT:ALL?

Response: Directory of C:\Rohde&Schwarz\Nwa\DOC\, 2056878, 809734144, zvb_quickstart.pdf, , 2056878,

MMEMory:CDIRectory '<directory_name>' | DEFault

Changes the default directory for mass memory storage.

'<directory_name>' | String parameter to specify the directory. If DEFault is used, the analyzer selects the default directory 'C:\Rohde&Schwarz\Nwa'.
*RST value | – (A *RST does not change the current directory)
SCPI, Command Types | Confirmed, command or query (without parameter, returns the current directory).
Example: | MMEM:CDIR 'C:\Documents and Settings\NetworkService\Application Data' Change to the specified directory. See also condensed program example Path Independent RC Programs.

MMEMory:COPY '<file_source>','<file_destination>'

Copies an existing file to a new file.

'<file_source>', '<file_destination>' | String parameters to specify the name of the file to be copied and the name of the new file.
*RST value | –
SCPI, Command Types | Confirmed, no query.
Example: | MMEM:COPY 'C:\USER\DATA\SETUP.zvx','A:' Copy file Setup.zvx in directory C:\USER\DATA to the external storage medium, mapped to drive A:\.

MMEMory:DATA '<file_name>', <data>

Loads <data> into the file <file_name>.

'<file_name>' | String parameter to specify the name of the file.
<data> | Data in 488.2 block data format. The delimiter EOI must be selected to achieve correct data transfer.
*RST value | –
SCPI, Command Types | Confirmed, with query. The query form is MMEMory:DATA? <file_name> with the response being the associated <data> in block format.
Example: | MMEM:DATA? 'C:\TEMP\TEST01.HCP' Query the block data contained in file TEST01.HCP.

MMEMory:DELete '<file_name>'

Removes a file from the specified directory.

'<file_name>' | String parameter to specify the name and directory of the file to be removed. If the path is omitted, the current directory is used (see MMEMory:CDIRectory).
*RST value | –
SCPI, Command Types | Confirmed, no query.
Example: | MMEM:DEL 'C:\TEMP\TEST01.HCP' Remove TEST01.HCP from the directory C:\TEMP.

MMEMory:DELete:CORRection <file_name>'

Deletes a system error correction data set stored in the cal pool (cal group file).

'<file_name>' | String parameter to specify the name of the cal group file to be deleted. Cal group files must have the extension *.cal. The directory path must not be specified; the analyzer always uses the default cal pool directory C:\Rohde&Schwarz\NWA\Calibration\Data.
*RST value | –
SCPI, Command Types | Device-specific, no query.
Example: | See MMEMory:LOAD:CORRection

MMEMory:LOAD:CKIT '<file_name>'

Loads cal kit data from a specified NWA cal kit file.

'<file_name>'

String parameter to specify the name and directory of the cal kit file to be loaded. If no path is specified the analyzer searches the current directory, to be queried with MMEMory:CDIRectory?.

Note: The loaded file must be a NWA-specific cal kit file with the extension *.calkit. ZVR cal kit files can be imported using the [SENSe<Ch>:] CORRection:CKIT:INSTall command. Agilent cal kit files can be imported manually and converted into *.calkit files.

*RST value

–

SCPI, Command Types

Device-specific, no query.

Example:

MMEM:LOAD:CKIT 'C:\Rohde&Schwarz\NWA\Calibration\Kits\New_kit.calkit'

Load the previously created cal kit file New_kit.calkit from the default cal kit directory.

... :MMEM:STOR:CKIT 'New_kit', 'C:\Rohde&Schwarz\NWA\Calibration\Kits\New_kit.calkit'

Store the data for the user-defined cal kit Newkit and overwrite the cal kit file New_kit.calkit.

MMEMory:LOAD:CKIT:SDATa
'<conn_name>', '<ckit_name>', MMTHrough | MFTHrough | FFTHrough | MMLine | MMLINE1 | MMLINE2 | MMLINE3 | MFLine | MFLINE1 | MFLINE2 | MFLINE3 | FFLine | FFLINE1 | FFLINE2 | FFLINE3 | MMATten | MFATten | FFATten | MMSNetwork | MFSNetwork | FFSNetwork | MOPen | FOPen | MSHort | FSHort | MOSHort | MOSHORT1 | MOSHORT2 | MOSHORT3 | FOSHort | FOSHORT1 | FOSHORT2 | FOSHORT3 | MREFlect | FREFlect | MMTCh | FMTCh | MSMatch | FSMatch, '<stdlabel_name>', '<file_name>' [,<port1_no>][,<port2_no>]

Loads cal kit data for a specific connector type, cal kit, and calibration standard from a specified Touchstone file, assigning a label for the cal data. A restriction on the port assignment may be defined in addition.

'<conn_name>' | String parameters containing the name of the connector type.
'<ckit_name>' | String parameters containing the name of a calibration kit available on the analyzer.
Parameters | Standard type; for a description refer to the table of standard types.
'<stdlabel_name>' | String parameter defining a label for the cal kit data. An empty string means that no label is defined.
'<file_name>' | String parameter to specify the name and directory of the Touchstone file to be loaded. A *.s1p file must be used for one-port standards, a *.s2p file for two-port standards. If no path is specified the analyzer searches the current directory, to be queried with MMEMory:CDIRectory?.
<port1_no>, <port2_no> | Port assignment: One port number for one-port standards, two port number for two-port standards. If the port numbers are omitted, the cal kit data is valid for all ports.
*RST value | –
SCPI, Command Types | Device-specific, no query.
Example: | MMEM:LOAD:CKIT:SDAT 'N 50 Ohm','Default Kit',MOPEN,'Test data','test.s1p',1 Load the file Test.s1p from the current directory in order to define the properties of an Open (m) standard in the cal kit named Default Kit for the N 50 Ω connector type. Assign the label Test data and specify that the data standard data is only valid for port no. 1.

Connector and cal kit naming conventions

MMEMory:LOAD:CKIT:UDIRectory '<directory>'

Specifies the Directory for Additionally Available Cal Kits and Conn Types. All cal kit files in the special directory will be (re-)loaded automatically as predefined kits (i.e. read-only kits which cannot be modified) every time the NWA application is started.

'<directory>' | String parameter to specify the directory path. The directory can be created separately (MMEMory:MDIRectory). An empty string means that no cal kit files will be loaded.
*RST value | –
SCPI, Command Types | Device-specific, no query.
Example: | MMEM:LOAD:CKIT:UDIR 'C:\Rohde&Schwarz\NWA\Calibration\Kits\Autoload' Specifiy the directory for additionally available cal kits. MMEM:LOAD:CKIT:UDIR 'C:\Rohde&Schwarz\NWA\Calibration\Kits\Autoload' Create the specified 'Autoload' directory. MMEM:STOR:CKIT 'New_kit', 'C:\Rohde&Schwarz\NWA\Calibration\Kits\New_kit.calkit' Store the data for the user-defined cal kit Newkit to the 'Autoload' directory.

MMEMory:LOAD:CMAP '<file_name>'

Loads a color scheme from a specified NWA color scheme file.

'<file_name>' | String parameter to specify the name and directory of the cal kit file to be loaded. The default extension (manual control) for color scheme files is *.ColorScheme, although other extensions are allowed.
*RST value | –
SCPI, Command Types | Device-specific, no query.
Example: | MMEM:LOAD:CMAP 'C:\Rohde&Schwarz\NWA\ColorSchemes\Test.ColorScheme' Load the previously created color scheme file Test.ColorScheme from the default color scheme directory. DISP:CMAP13:RGB 1,0,0; :DISP:CMAP14:RGB 0,1,0 Color the first trace red, the second trace green. MMEM:STOR:CMAP 'C:\Rohde&Schwarz\NWA\ColorSchemes\Test.ColorScheme' Store the data for the user-defined cal kit Newkit and overwrite the cal kit file New_kit.calkit.

MMEMory:LOAD:CORRection <channel> | ALL,'<file_name>'
MMEMory:LOAD:CORRection? <channel>

Applies a system error correction data set stored in the cal pool (cal group file) to channel no. <Ch>.

<channel> | ALL | Channel number of an existing channel. ALL applies the selected data set to all channels.
<file_name> | String parameter to specify the name of the cal group file to be loaded. Cal group files must have the extension *.cal. The directory path must not be specified; the analyzer always uses the default cal pool directory C:\Rohde&Schwarz\NWA\Calibration\Data.
*RST value | –
SCPI, Command Types | Device-specific, command or query. The query form returns the cal group file assigned to the specified channel (empty string if no cal group file is assigned).
Example: | MMEM:STOR:CORR 1,'Calgroup1.cal' Copy the current correction data set of channel 1 to a cal group file Calgroup1.cal. CONF:CHAN2:STAT ON; :MMEM:LOAD:CORR 2,'Calgroup1.cal' Apply the stored correction data (cal group file) to channel 2. MMEM:LOAD:CORR? 2 Query the cal group file for channel 2. Response: 'Calgroup1.cal' MMEM:LOAD:CORR:RES 2,'Calgroup1.cal' Resolve the pool link between channel 2 and the cal group file. MMEM:LOAD:CORR? 2 Query the cal group file for channel 2. Response: '' MMEM:DEL:CORR 'Calgroup1.cal' Delete the created cal group file.

MMEMory:LOAD:CORRection:MERGe <Channel>, '<file1>.cal', '<file2>.cal', ...

Merges (activates) several cal group files for channel no. <channel> so that the query :SENSe1<Ch>:CORRection:COLLect:METHod:DEFine? returns a list of all merged calibration types (equivalent to the Calibration Pool list in the Calibration Manager dialog). The merged cal group files can be stored to a common file; see example.

<channel>

Channel number of an existing channel.

'<file1>.cal', '<file2>.cal', ...

String parameters with the names of the merged cal group files. Cal group files must have the extension *.cal. The file extensions must be specified as part of the string parameters.
In contrast the directory path must not be specified; the analyzer always uses the default path C:\Rohde&Schwarz\NWA\Calibration\Data.

*RST value

–

SCPI, Command Types

Device-specific, no query.

Example:

SENS1:CORR:COLL:METH:DEF 'Test', FRTRans, 1, 3

Select a bidirectional transmission normalization between ports 1 and 3 as a calibration type for channel 1.

CORR:COLL:SAVE:SEL:DEF; :MMEM:STOR:CORR 1, 'P1-P3.cal'

Create a default calibration data set for the selected calibration type and store the data to a cal group file.

SENS1:CORR:COLL:METH:DEF 'Test', FRTRans, 1, 4

Select a bidirectional transmission normalization between ports 1 and 4 as a calibration type for channel 1.

CORR:COLL:SAVE:SEL:DEF; :MMEM:STOR:CORR 1, 'P1-P4.cal'

Create a default calibration data set for the selected calibration type and store the data to a cal group file.

CORR:COLL:METH:DEF?

Query the active calibrations for channel 1. The response is FRTR0104 (the last data set stored).

MMEM:LOAD:CORR:MERGE 1, 'P1-P3.cal', 'P1-P4.cal'; :CORR:COLL:METH:DEF?

Merge the two calibration types and query the active calibrations again. The response is FRTR0103,FRTR0104.

MMEM:STOR:CORR 1, 'Merged.cal'

Store both sets of calibration data to a common cal group file.

MMEMory:LOAD:CORRection:RESolve <channel> | ALL [,'<file_name>']

Resolves the pool link between channel <Ch> and a correction data set (cal group file). After resolving the pool link, the analyzer keeps the previous system error correction as a channel calibration (Channel Cal). A new calibration will replace the channel calibration but not overwrite the old cal group file (and not affect other channels).

<channel> | ALL | Channel number of an existing channel. ALL resolves the pool link for all channels.
'<file_name>' | Optional string parameter to specify the name of the cal group file. Cal group files must have the extension *.cal. The directory must not be specified; the analyzer always uses the default path C:\Rohde&Schwarz\NWA\Calibration\Data. If there is no link between <Ch> and the specified file, the command has no effect. If no file is specified, the command resolves any link between <Ch> and an arbitrary cal group file.
*RST value | –
SCPI, Command Types | Device-specific, no query.
Example: | See MMEMory:LOAD:CORRection

MMEMory:LOAD:CORRection:TCOefficient '<file name>'[,'<parameter name/trace name>']

Loads trace data from a specified power meter correction file or trace file and assigns it to a trace with a specified name. Traces are created using the CALCulate<Ch>:PARameter:SDEFine... command.

'<file name>'

String parameter to specify the name and directory of the trace file to be loaded. The analyzer supports power meter correction list files (*.pmcl, to be generated using MMEMory:LOAD:CORRection:TCOefficient), *csv, and Touchstone (*.s<n>p) files. If no path is specified the analyzer searches the current directory, to be queried with MMEMory:CDIRectory?.

The file extensions *.s<n>p, *.csv, and *.pmcl for Touchstone, ASCII, and power meter correction list files are mandatory.

'<parameter name/trace name>'

Optional string parameter: For imported Touchstone files for more than one port (*.s2p, *.s3p, *.s4p), the parameter denotes the imported S-parameter ('S11', 'S12', ...). For ASCII (*.csv) files, the parameter references a trace name in the file (case sensitive). If the parameter is omitted, the first trace in the specified file is imported.

The parameter is not used for power meter correction list files (*.pmcl).

*RST value

–

SCPI, Command Types

Confirmed, no query.

Example:

See SOURce<Ch>:POWer<Pt>:CORRection:TCOefficient:CALibration

MMEMory:LOAD:LIMit '<trc_name>','<file_name>'[,'<param_name>', <x_offset>, <y_offset>, <type>]

Loads a limit line definition from a specified file and assigns it to a trace with a specified name. Limit lines are created using the CALCulate<Chn>:LIMit... commands.

Limit lines can be loaded from Touchstone files (*.s<n>p, where <n> denotes the number of ports). The optional parameters '<param_name>', <x_offset>, <y_offset>, <type> are only relevant for Touchstone files. For *.limit files, no optional parameters can be set.

'<trc_name>'

Name of an existing trace in the active setup (string parameter). The imported limit line is assigned to this trace, irrespective of the trace information in the limit line file.

*RST value

–

'<file_name>'

String parameter to specify the name and directory of the limit line file to be loaded. The default extension (manual control) for limit line files is *.limit, although other extensions are allowed. If no path is specified the analyzer searches the current directory, to be queried with MMEMory:CDIRectory?. See also note on Touchstone files above.

*RST value

–

'<param_name>'

String parameter, selects an S-parameter from a Touchstone file. The parameter must be compatible with the file type (e.g. for one-port Touchstone files *.s1p, only the parameter name 'S11' is allowed).

*RST value

'S11' (if all optional parameters are omitted)

<x_offset>

Stimulus offset for limit lines loaded from a Touchstone file. A 1 GHz offset shifts the limit line by 1 GHz in (positive) horizontal direction.

Range [def. unit]

Depending on the sweep range of the analyzer. [The default units for frequency, power and time sweeps are Hz, dB and s, respectively.]

*RST value

0

<y_offset>

Response offset for limit lines loaded from a Touchstone file. A 1 dB offset shifts the limit line by 1 dB in (positive) vertical direction.

Range [def. unit]

Depending on the measured quantity. [dB]

*RST value

0

<type>

Limit line type :

LMAX – upper limit line
LMIN – lower limit line
OFF – limit line off

*RST value

LMAX (if all optional parameters are omitted)

SCPI, Command Types

Device-specific, no query.

Example:

Assume that the current setup contains two traces named Trc1 and Trc2, respectively, and that limit lines have been defined for Trc1.

MMEM:STOR:LIM 'TRC1', 'C:\Rohde&Schwarz\NWA\LIMitLines\Lim_Trc1.limit'

Store the limit line definition of Trc1 to a limit line file.

MMEM:LOAD:LIM 'TRC2', 'C:\Rohde&Schwarz\NWA\LIMitLines\Lim_Trc1.limit'

Load the previously created limit line file and assign the limit lines to Trc2.

MMEM:STOR:TRAC 'TRC1', 'C:\Rohde&Schwarz\NWA\LIMitLines\Trc1.s1p'

Store the current trace data of Trc1 to a limit line file in Touchstone format.

MMEM:LOAD:LIM 'TRC1', 'C:\Rohde&Schwarz\NWA\LIMitLines\Trc1.s1p', 'S11', 0, 2, LMAX

Load the previously created Touchstone limit line file and assign the limit lines to Trc1, applying a response offset of 2 dB.

CALC:LIMit:DISPlay ON

Show the limit line in the diagram.

MMEMory:LOAD:MDAData <Channel>, '<file_name>' | CDELay

Loads the known delay values of a calibration mixer, to be used as a reference for a mixer delay measurement calibration, and enables variable or constant delay mode. Mixer delay measurements are controlled using the SENSe<Ch>:FREQuency:MDELay... commands.

<Channel> | Channel number
*RST value | –
'<file_name>' | String parameter to specify the name and directory of the loaded file. The default extension (manual control) for files containing known delays is *.csv, although other extensions are allowed. If no path is specified the analyzer searches the current directory, to be queried with MMEMory:CDIRectory?. If a file name is specified, the analyzer activates variable delay mode.
CDELay | Use the constant delay values defined via SENSE<Ch>:FREQuency:MDELay:CDELay
*RST value | –
SCPI, Command Types | Device-specific, no query.
Example: | See MMEMory:LOAD:MDCData

MMEMory:LOAD:MDCData <Channel>, '<file_name>'

Loads correction data for a mixer delay measurement calibration from a specified file and assigns it to a channel with a specified number. Mixer delay measurements are controlled using the SENSe<Ch>:FREQuency:MDELay... commands.

Use MMEMory:LOAD:MDAData to load delay values of a calibration mixer stored in a file.

<Channel>

Channel number

*RST value

–

'<file_name>'

String parameter to specify the name and directory of the calibration file to be loaded. The default extension (manual control) for mixer delay calibration files is *.mcal, although other extensions are allowed. If no path is specified the analyzer searches the current directory, to be queried with MMEMory:CDIRectory?.

*RST value

–

SCPI, Command Types

Device-specific, no query.

Example:

Assume that a mixer delay measurement has been configured and enabled (see examples for the SENSe<Ch>:FREQuency:MDELay... commands), and that a calibration mixer is connected to the analyzer.

MMEM:LOAD:MDAD 1, 'C:\Rohde&Schwarz\NWA\Calibration\MixerDelay\MDelay.csv'

Load mixer data for the calibration mixer and activate variable delay mode.

SENS1:FREQ:MDELay:DIV ON

Divide the loaded calibration data by two.

SENS1:FREQ:MDELay:CORR OFF

Disable the current correction (if a correction is on).

SENS1:FREQ:MDEL:ACQ

Take a calibration sweep.

MMEM:STOR:MDCD 1, 'C:\Rohde&Schwarz\NWA\Calibration\MixerDelay\Mixer1.mcal'

Store the measured calibration data for the calibration mixer to a file.

For a new mixer delay measurement:

MMEM:LOAD:MDCD 1, 'C:\Rohde&Schwarz\NWA\Calibration\MixerDelay\Mixer1.mcal'

Load the previously generated mixer delay calibration file and apply the calibration data to the current mixer delay measurement.

MMEMory:LOAD:PTRain <Channel>, <Generator>, '<file_name>'

Loads a pulse train definition from a specified file and assigns it to a channel with a specified number. Pulse train definitions are created using the SENSe<Ch>:PULSe:GENerator<Gen>... commands.

<Channel> | Channel number
*RST value | –
<Generator> | Generator number. In the present firmware version, this number is always 1.
*RST value | 1
'<file_name>' | String parameter to specify the name and directory of the pulse train file to be loaded. The default extension (manual control) for pulse train files is *.train, although other extensions are allowed. If no path is specified the analyzer searches the current directory, to be queried with MMEMory:CDIRectory?.
*RST value | –
SCPI, Command Types | Device-specific, no query.
Example: | Assume that the current setup contains two channels Ch1 and Ch2, and that a pulse train has been defined for Ch1. MMEM:STOR:PTR 1, 1, 'C:\Rohde&Schwarz\NWA\PulseTrain\PulseTrain.train' Store the pulse train definition of Ch1 to a pulse train file. MMEM:LOAD:PTR 2, 1, 'C:\Rohde&Schwarz\NWA\PulseTrain\PulseTrain.train' Load the previously created pulse train file and assign the definition to Trc2.

MMEMory:LOAD:RIPPle '<trc_name>','<file_name>'

Loads a ripple limit definition from a specified file and assigns it to a trace with a specified name. Ripple limits are created using the CALCulate<Chn>:RIPPle... commands.

'<trc_name>' | Name of an existing trace in the active setup (string parameter). The imported ripple limit line is assigned to this trace, irrespective of the trace information in the ripple limit file.
*RST value | –
'<file_name>' | String parameter to specify the name and directory of the ripple limit file to be loaded. The default extension (manual control) for ripple limit files is *.ripple, although other extensions are allowed. If no path is specified the analyzer searches the current directory, to be queried with MMEMory:CDIRectory?.
*RST value | –
SCPI, Command Types | Device-specific, no query.
Example: | Assume that the current setup contains two traces named Trc1 and Trc2, respectively, and that ripple limits have been defined for Trc1. MMEM:STOR:RIPP 'TRC1', 'C:\Rohde&Schwarz\NWA\LIMitLines\Lim_Trc1.limit' Store the ripple limit definition of Trc1 to a ripple limit file. MMEM:LOAD:RIPP 'TRC2', 'C:\Rohde&Schwarz\NWA\LIMitLines\Lim_Trc1.limit' Load the previously created ripple limit file and assign the limits to Trc2. CALC:RIPP:DISPlay ON Show the ripple limit line for the active trace in the diagram.

MMEMory:LOAD:SEGMent <Ch>,'<file_name>'

Loads a sweep segment definition from a specified file and assigns it to a specified channel. Sweep segments are defined using the [SENSe<Ch>:]SEGMent<Seg>... commands.

<Ch> | Channel number.
'<file_name>' | String parameter to specify the name and directory of the sweep segment file to be loaded. The default extension (manual control) for sweep segment files is *.seglist, although other extensions are allowed. If no path is specified the analyzer searches the current directory, to be queried with MMEMory:CDIRectory?.
*RST value | –
SCPI, Command Types | Device-specific, no query.
Example: | Assume that the current setup contains two channels numbered 1 and 2, respectively, and that sweep segments have been defined for channel no. 1. MMEM:STOR:SEGM 1, 'C:\Rohde&Schwarz\NWA\SweepSegments\Seg_Ch1.seglist' Store the sweep segment definition of channel 1 to a sweep segment file. MMEM:LOAD:SEGM 2, 'C:\Rohde&Schwarz\NWA\SweepSegments\Seg_Ch1.seglist' Load the previously created sweep segment file and use the sweep segments for channel 2.

MMEMory:LOAD:STATe <numeric_value>,'<file_name>'

Loads configuration data from a specified setup file and sets the analyzer to the corresponding instrument state.

<numeric_value> | 1 (the <numeric_value> is used for compatibility with the SCPI standard but is ignored).
<file_name> | String parameter to specify the name and directory of the setup file to be loaded. The default extension (manual control) for setup files is *.zvx, although other extensions are allowed. If no path is specified the analyzer searches the directory 'C:\RohdeSchwarz\Nwa\RecallSets'.
*RST value | –
SCPI, Command Types | Confirmed, no query.
Example: | MMEM:STOR:STAT 1,'C:\Rohde&Schwarz\NWA\RecallSets\Setup_0413.zvx' Store the current setup configuration in the file Setup_0413.zvx in the default directory for setup files. MMEM:LOAD:STAT 1,'C:\Rohde&Schwarz\NWA\RecallSets\Setup_0413.zvx' Load the settings stored in Setup_0413.zvx.

MMEMory:LOAD:TRACe '<trc name>','<file name>'[,'<parameter name/trace name>']

Loads trace data from a specified trace file and assigns it to a trace with a specified name. Traces are created using the CALCulate<Ch>:PARameter:SDEFine... command.

'<trc name>'

Name of an existing data trace in the active setup (string parameter). The trace data is loaded into a memory trace associated with the specified data trace. If one or more memory traces are already associated with the specified data trace, the last generated memory trace is overwritten.

'<file name>'

String parameter to specify the name and directory of the trace file to be loaded. Several file formats for trace files are supported. If no path is specified the analyzer searches the current directory, to be queried with MMEMory:CDIRectory?.

The file extensions *.s<n>p, *.csv, and *.dat for Touchstone, ASCII, and Matlab files are mandatory.

'<parameter name/trace name>'

Optional string parameter: For imported Touchstone files for more than one port (*.s2p, *.s3p, *.s4p), the parameter denotes the imported S-parameter ('S11', 'S12', ...). For ASCII (*.csv) and Matlab (*dat) files, the parameter references a trace name in the file (case sensitive). If the parameter is omitted, the first trace in the specified file is imported.

*RST value

–

SCPI, Command Types

Confirmed, no query.

Example:

Assume that the current setup contains a trace named Trc1.

MMEM:STOR:TRAC 'TRC1', 'C:\Rohde&Schwarz\NWA\Traces\Trc1.s1p'

Store the current trace data of Trc1 to a trace file.

MMEM:LOAD:TRAC 'TRC1', 'C:\Rohde&Schwarz\NWA\Traces\Trc1.s1p'

Load the previously created trace file and create a memory trace assigned to Trc1.

CALC:PAR:DEF:SGR 1,2

Create four traces to measure the two-port S-parameters S11, S12, S21, S22. The traces are not displayed.

MMEM:STOR:TRAC 'TRC1', 'C:\Rohde&Schwarz\NWA\Traces\Trc1.s2p'

Store the four S-parameter traces to a two-port Touchstone file.

MMEM:LOAD:TRAC 'TRC1', 'C:\Rohde&Schwarz\NWA\Traces\Trc1.s2p'

Load the previously created Touchstone file and overwrite the previously generated memory trace assigned to Trc1 with the S11 trace.

MMEMory:LOAD:VNETworks<Ch>:BALanced:DEEMbedding<Log_pt> '<file_name>', PMAin | PSECondary[, IPORts]

Loads data from a specified Touchstone file defining a balanced port circuit model for deembedding. Select a balanced port circuit model involving file import before using the command.

<Ch>

Channel number

<Log_pt>

Logical port number

'<file_name>'

String parameter to specify the name and directory of the loaded Touchstone file. The balanced port circuit models STSL | STSC | SLST | SCST require two 2-port (*.s2p) files, to be assigned to the different ports PMAin and PSECondary; the FIMPort model requires a single 4-port (*.s4p) file but no additional port assignment.

If no path is specified the analyzer searches the current directory, to be queried with MMEMory:CDIRectory?.

Parameters

Port assignment for two 2-port (*.s2p) files:
PMAin – Port 1
PSECondary – Port 2

The ports must be specified for the import of 2-port (*.s2p) files; they must be omitted for 4-port (*.s4p) files.

[IPORts]

Interchange port numbers of loaded *.s2p file. If the parameter is omitted, the port numbers are not interchanged. The parameter must not be used for 4-port files.

*RST value

–

SCPI, Command Types

Device-specific, no query.

Example:

*RST; SOUR:LPOR1 1,2; LPOR2 3,4

Define a balanced port configuration.

CALC:TRAN:VNET:BAL:DEEM:TND STSL

Select the Serial .s2p data, shunt L circuit model.

MMEM:LOAD:VNET:BAL:DEEM2 'C:\Rohde&Schwarz\NWA\VNET\Test.s2p', PMA

Load a Touchstone file and assign it to logical port no. 2.

MMEMory:LOAD:VNETworks<Ch>:BALanced:EMBedding<Log_pt> '<file_name>', PMAin | PSECondary[, IPORts]

Loads data from a specified Touchstone file defining a balanced port circuit model for embedding. Select a balanced port circuit model involving file import before using the command.

<Ch>

Channel number

<Log_pt>

Logical port number

'<file_name>'

String parameter to specify the name and directory of the loaded Touchstone file. The balanced port circuit models STSL | STSC | SLST | SCST require two 2-port (*.s2p) files, to be assigned to the different ports PMAin and PSECondary; the FIMPort model requires a single 4-port (*.s4p) file but no additional port assignment.

If no path is specified the analyzer searches the current directory, to be queried with MMEMory:CDIRectory?.

Parameters

Port assignment for two 2-port (*.s2p) files:
PMAin – Port 1
PSECondary – Port 2

The ports must be specified for the import of 2-port (*.s2p) files; they must be omitted for 4-port (*.s4p) files.

[IPORts]

Interchange port numbers of loaded *.s2p file. If the parameter is omitted, the port numbers are not interchanged. The parameter must not be used for 4-port files.

*RST value

–

SCPI, Command Types

Device-specific, no query.

Example:

*RST; SOUR:LPOR1 1,2; LPOR2 3,4

Define a balanced port configuration.

CALC:TRAN:VNET:BAL:EMB:TND STSL

Select the Serial .s2p data, shunt L circuit model.

MMEM:LOAD:VNET:BAL:EMB2 'C:\Rohde&Schwarz\NWA\VNET\Test.s2p', PMA

Load a Touchstone file and assign it to logical port no. 2.

MMEMory:LOAD:VNETworks<Ch>:GLOop:DEEMbedding '<file_name>'

Loads data from a specified one-port (*.s1p) Touchstone file defining a ground loop circuit model for deembedding. Select the ground loop circuit model involving file import (FIMPort) before using the command.

<Ch> | Channel number.
'<file_name>' | String parameter to specify the name and directory of the loaded Touchstone file. If no path is specified the analyzer searches the current directory, to be queried with MMEMory:CDIRectory?.
*RST value | –
SCPI, Command Types | Device-specific, no query.
Example: | CALC:TRAN:VNET:GLO:DEEM:TND FIMP Select the 1-Port Data (s1p) circuit model. MMEM:LOAD:VNET:GLO:DEEM2 'C:\Rohde&Schwarz\NWA\VNET\Test.s1p' Load a Touchstone file.

MMEMory:LOAD:VNETworks<Ch>:GLOop:EMBedding '<file_name>'

Loads data from a specified one-port (*.s1p) Touchstone file defining a ground loop circuit model for embedding. Select the ground loop circuit model involving file import (FIMPort) before using the command.

<Ch> | Channel number.
'<file_name>' | String parameter to specify the name and directory of the loaded Touchstone file. If no path is specified the analyzer searches the current directory, to be queried with MMEMory:CDIRectory?.
*RST value | –
SCPI, Command Types | Device-specific, no query.
Example: | CALC:TRAN:VNET:SEND:GLO:TND FIMP Select the 1-Port Data (s1p) circuit model. MMEM:LOAD:VNET:GLO:EMB 'C:\Rohde&Schwarz\NWA\VNET\Test.s1p' Load a Touchstone file.

MMEMory:LOAD:VNETworks<Ch>:PPAir:DEEMbedding<List_idx> '<file_name>', PMAin | PSECondary[, IPORts]

Loads data from a specified Touchstone file defining a port pair circuit model for deembedding. Select a port pair with a circuit model involving file import before using the command.

<Ch>

Channel number

<List_idx>

Current number of a port pair in the list, defined via CALCulate<Ch>:TRANsform:VNETworks:PPAir:DEEMbedding<List_idx>:DEFine

'<file_name>'

String parameter to specify the name and directory of the loaded Touchstone file. The port pair circuit models STSL | STSC | SLST | SCST require two 2-port (*.s2p) files, to be assigned to the different ports PMAin and PSECondary; the FIMPort model requires a single 4-port (*.s4p) file but no additional port assignment.

If no path is specified the analyzer searches the current directory, to be queried with MMEMory:CDIRectory?.

Parameters

Port assignment for two 2-port (*.s2p) files:
PMAin – Port 1
PSECondary – Port 2

The ports must be specified for the import of 2-port (*.s2p) files; they must be omitted for 4-port (*.s4p) files.

[IPORts]

Interchange port numbers of loaded *.s2p file. If the parameter is omitted, the port numbers are not interchanged. The parameter must not be used for 4-port files.

*RST value

–

SCPI, Command Types

Device-specific, no query.

Example:

*RST; :CALC:TRAN:VNET:PPA:DEEM:DEF 1,2,3,4

Define a port pair configuration with two port pairs (<List_idx> = 1 or 2).

CALC:TRAN:VNET:PPA:DEEM2:TND STSL

Select the Serial .s2p data, shunt L circuit mode for port pair no. 2.

MMEM:LOAD:VNET:PPA:DEEM2 'C:\Rohde&Schwarz\NWA\Traces\Test.s2p', PMA

Load a Touchstone file and assign it to port pair no. 2.

MMEMory:LOAD:VNETworks<Ch>:PPAir:EMBedding<List_idx> '<file_name>', PMAin | PSECondary[, IPORts]

Loads data from a specified Touchstone file defining a balanced port circuit model for embedding. Select a port pair with a circuit model involving file import before using the command.

<Ch>

Channel number

<List_idx>

Current number of a port pair in the list, defined via CALCulate<Ch>:TRANsform:VNETworks:PPAir:EMBedding<List_idx>:DEFine

'<file_name>'

String parameter to specify the name and directory of the loaded Touchstone file. The balanced port circuit models STSL | STSC | SLST | SCST require two 2-port (*.s2p) files, to be assigned to the different ports PMAin and PSECondary; the FIMPort model requires a single 4-port (*.s4p) file but no additional port assignment.

If no path is specified the analyzer searches the current directory, to be queried with MMEMory:CDIRectory?.

Parameters

Port assignment for two 2-port (*.s2p) files:
PMAin – Port 1
PSECondary – Port 2

The ports must be specified for the import of 2-port (*.s2p) files; they must be omitted for 4-port (*.s4p) files.

[IPORts]

Interchange port numbers of loaded *.s2p file. If the parameter is omitted, the port numbers are not interchanged. The parameter must not be used for 4-port files.

*RST value

–

SCPI, Command Types

Device-specific, no query.

Example:

*RST; :CALC:TRAN:VNET:PPA:EMB:DEF 1,2,3,4

Define a port pair configuration with two port pairs (<List_idx> = 1 or 2).

CALC:TRAN:VNET:PPA:EMB2:TND STSL

Select the Serial .s2p data, shunt L circuit mode for port pair no. 2.

MMEM:LOAD:VNET:PPA:EMB2 'C:\Rohde&Schwarz\NWA\Traces\Test.s2p', PMA

Load a Touchstone file and assign it to port pair no. 2.

MMEMory:LOAD:VNETworks<Ch>:SENDed:DEEMbedding<Ph_pt> '<file_name>'[, IPORts]

Loads data from a specified two-port (*.s2p) Touchstone file defining a single ended circuit model for deembedding. Select the single ended port circuit model involving file import (FIMPort)before using the command.

<Ch> | Channel number.
<Ph_pt> | Physical port number
'<file_name>' | String parameter to specify the name and directory of the loaded Touchstone file. If no path is specified the analyzer searches the current directory, to be queried with MMEMory:CDIRectory?.
*RST value | –
[IPORts] | Interchange port numbers of loaded *.s2p file. If the parameter is omitted, the port numbers are not interchanged.
SCPI, Command Types | Device-specific, no query.
Example: | CALC:TRAN:VNET:SEND:DEEM:TND FIMP Select the Serial .s2p data circuit model. MMEM:LOAD:VNET:SEND:DEEM2 'C:\Rohde&Schwarz\NWA\VNET\Test.s2p' Load a Touchstone file and assign it to the physical port no. 2.

MMEMory:LOAD:VNETworks<Ch>:SENDed:EMBedding<Ph_pt> '<file_name>'[, IPORts]

Loads data from a specified two-port (*.s2p) Touchstone file defining a single ended circuit model for embedding. Select the single end. Select the single ended port circuit model involving file import (FIMPort)before using the command.

<Ch> | Channel number.
<Ph_pt> | Physical port number
'<file_name>' | String parameter to specify the name and directory of the loaded Touchstone file. If no path is specified the analyzer searches the current directory, to be queried with MMEMory:CDIRectory?.
*RST value | –
[IPORts] | Interchange port numbers of loaded *.s2p file. If the parameter is omitted, the port numbers are not interchanged.
SCPI, Command Types | Device-specific, no query.
Example: | CALC:TRAN:VNET:SEND:EMB:TND FIMP Select the Serial .s2p data circuit model. MMEM:LOAD:VNET:SEND:EMB2 'C:\Rohde&Schwarz\NWA\VNET\Test.s2p' Load a Touchstone file and assign it to the physical port no. 2.

MMEMory:MDIRectory '<directory_name>'

Creates a new subdirectory for mass memory storage in an existing directory.

'<directory_name>' | String parameter to specify the new directory. Either the full path or a subdirectory for the current directory (see MMEMory:CDIRectory).
*RST value | –
SCPI, Command Types | Device-specific, no query.
Example: | MMEM:MDIR 'C:\Documents and Settings\New_Directory' Create the specified directory. The parent directory 'C:\Documents and Settings' must have been created before. MMEM:MDIR 'C:\Documents and Settings\New_Directory\New_Subdirectory' Create an additional subdirectory. MMEM:CDIR 'C:'; MDIR 'New_Rootdirectory' Create an additional directory C:\New Rootdirectory.

MMEMory:MOVE '<file_source>','<file_destination>'

Moves a file to the indicated directory and stores it under the file name specified, if any. If <file_destination> contains no path indication, the command renames the file without moving it.

'<file_source>', '<file_destination>' | String parameters to specify the name and the path of the file to be copied and the name and the path of the new file.
*RST value | –
SCPI, Command Types | Confirmed, no query.
Example: | MMEM:MOVE 'C:\USER\DATA\SETUP.zvx','A:' Move file Setup.zvx in directory C:\USER\DATA to the external storage medium, mapped to drive A:\.

MMEMory:NAME '<file_name>'

Defines a name for a file which can be used to store the printer output. The file is created when it is selected as a printer destination (HCOPy:DESTination 'MMEM').

'<file_name>' | String parameter to specify the file name. The supported file formats are *.wmf, *.ewmf, *.bmp, *.png; see command HCOPy:DEVice:LANGuage. The specified directory must exist, otherwise no file can be generated. If no path is specified the analyzer uses the current directory, to be queried with MMEMory:CDIRectory?.
*RST value | 'Hardcopy'
SCPI, Command Types | Device-specific, with query.
Example: | MMEM:NAME 'C:\Screenshots\PLOT1.BMP' Define a printer file name, to be stored in the existing directory C:\Screenshots (without creating the file). HCOP:DEST 'MMEM'; :HCOP Select 'Print to file' and create the printer file specified before.

MMEMory:RDIRectory '<directory_name>'

Removes an existing directory from the mass memory storage system.

'<directory_name>' | String parameter to specify the directory.
*RST value | –
SCPI, Command Types | Device-specific, no query.
Example: | MMEM:RDIR 'C:\Documents and Settings\NetworkService\Application Data' Removes the specified directory.

MMEMory:STORe:CKIT '<kit_name>', '<file_name>'

Stores the data of a calibration kit to a specified file.

'<kit_name>' | Name of a user-defined calibration kit available on the analyzer. It is not possible to modify or store predefined or ideal kits.
'<file_name>' | String parameter to specify the name and directory of the cal kit file to be created. The file is a NWA-specific cal kit file with the extension *.calkit. If no path is specified the analyzer uses the current directory, to be queried with MMEMory:CDIRectory?.
*RST value | –
SCPI, Command Types | Device-specific, no query.
Example: | MMEM:LOAD:CKIT 'C:\Rohde&Schwarz\NWA\Calibration\Kits\New_kit.calkit' Load the previously created cal kit file New_kit.calkit from the default cal kit directory. ... :MMEM:STOR:CKIT 'New_kit', 'C:\Rohde&Schwarz\NWA\Calibration\Kits\New_kit.calkit' Store the data for the user-defined cal kit Newkit and overwrite the cal kit file New_kit.calkit.

MMEMory:STORe:CMAP '<file_name>'

Stores a color scheme to a specified NWA color scheme file.

'<file_name>' | String parameter to specify the name and directory of the color scheme file to be created. If no path is specified the analyzer uses the current directory, to be queried with MMEMory:CDIRectory?. The default extension (manual control) for color scheme files is *.ColorScheme, although other extensions are allowed.
*RST value | –
SCPI, Command Types | Device-specific, no query.
Example: | See MMEMory:LOAD:CMAP

MMEMory:STORe:CORRection <Ch>,'<file_name>'

Copies the correction data of channel <Ch> to the cal pool, generating a new correction data file (cal group). The file has the extension *.cal and is stored in the C:\Rohde&Schwarz\NWA\Calibration\Data directory.

<Ch> | Channel number
'<file_name>' | String parameter to specify the name of the created cal group file. There is no need to specify the directory path and file extension; the analyzer uses the default cal pool directory C:\Rohde&Schwarz\NWA\Calibration\Data and a *.cal extension.
*RST value | –
SCPI, Command Types | Device-specific, no query.
Example: | See MMEMory:LOAD:CORRection

MMEMory:STORe:CORRection:TCOefficient '<file name>'

Saves the current power loss list to a specified power meter correction list file.

'<file name>' | String parameter to specify the name and directory of the created power meter correction list file. The file extension *.pmcl is mandatory. If no path is specified the analyzer uses the current directory, to be queried with MMEMory:CDIRectory?.
*RST value | –
SCPI, Command Types | Confirmed, no query.
Example: | See SOURce<Ch>:POWer<Pt>:CORRection:TCOefficient:CALibration

MMEMory:STORe:LIMit '<trc_name>', '<file_name>'

Saves the limit lines associated to a specified trace to a limit line file. Limit lines are created using the CALCulte<Chn>:LIMit... commands.

'<trc_name>' | Name of an existing trace in the active setup (string parameter) for which a limit line definition exists.
'<file_name>' | String parameter to specify the name and directory of the created limit line file. The default extension (manual control) for limit line files is *.limit, although other extensions are allowed. If no path is specified the analyzer uses the current directory, to be queried with MMEMory:CDIRectory?.
*RST value | –
SCPI, Command Types | Device-specific, no query.
Example: | See MMEMory:LOAD:LIMit.

MMEMory:STORe:MARKer '<file_name>'

Saves the values of all markers to a ASCII file.

'<file_name>'

String parameter to specify the name and directory of the created ASCII file. The default extension (manual control) for marker files is *.txt, although other extensions are allowed. If no path is specified the analyzer uses the current directory, to be queried with MMEMory:CDIRectory?. An example for the file contents is given below.

*RST value

–

SCPI, Command Types

Device-specific, no query.

Example:

*RST

Reset the analyzer, creating the default trace no. 1 in channel no. 1.

CALC:MARK ON; MARK:X 1GHz

Create marker no. 1 and place it to 1 GHz.

CALC:MARK2 ON; MARK2:X 2GHz

Create a second marker and place it to 2 GHz.

MMEM:STOR:MARK 'Marker.txt'

Store the marker values to an ASCII file. The file contains both marker values:

MMEMory:STORe:MDCData <Channel>, '<file_name>'

Stores the correction data for a mixer delay measurement calibration to a specified file. Mixer delay measurements are controlled using the SENSe<Ch>:FREQuency:MDELay... commands.

<Channel> | Channel number. This parameter is ignored; the data is assigned to a channel when the file is re-loaded.
*RST value | –
'<file_name>' | String parameter to specify the name and directory of the created calibration file. The default extension (manual control) for mixer delay calibration files is *.mcal, although other extensions are allowed. If no path is specified the analyzer uses the current directory, to be queried with MMEMory:CDIRectory?.
*RST value | –
SCPI, Command Types | Device-specific, no query.
Example: | See MMEMory:LOAD:MDCData

MMEMory:STORe:PTRain <Channel>, <Generator>, '<file_name>'

Saves a pulse train definition associated with a specified channel to a pulse train file. Pulse train definitions are created using the SENSe<Ch>:PULSe:GENerator<Gen>... commands.

<Channel> | Channel number. This parameter is ignored; the data is assigned to a channel when the file is re-loaded.
*RST value | –
<Generator> | Generator number. In the present firmware version, this number is always 1.
*RST value | 1
'<file_name>' | String parameter to specify the name and directory of the created pulse train file. The default extension (manual control) for pulse train files is *.train, although other extensions are allowed. If no path is specified the analyzer uses the current directory, to be queried with MMEMory:CDIRectory?.
*RST value | –
SCPI, Command Types | Device-specific, no query.
Example: | See MMEMory:LOAD:PTRain.

MMEMory:STORe:RIPPle '<trc_name>', '<file_name>'

Saves the ripple limits associated with a specified trace to a ripple limit file. Ripple limit definitions are created using the CALCulte<Chn>:RIPPle... commands.

'<trc_name>' | Name of an existing trace in the active setup (string parameter) for which a ripple limit definition exists.
'<file_name>' | String parameter to specify the name and directory of the created ripple limit file. The default extension (manual control) for ripple limit files is *.ripple, although other extensions are allowed. If no path is specified the analyzer uses the current directory, to be queried with MMEMory:CDIRectory?.
*RST value | –
SCPI, Command Types | Device-specific, no query.
Example: | See MMEMory:LOAD:LIMit.

MMEMory:STORe:SEGMent <Ch>, '<file_name>'

Saves the sweep segment definition of a specified channel to a sweep segment file. Sweep segments are defined using the [SENSe<Ch>:]SEGMent<Seg>... commands.

<Ch> | Channel number.
'<file_name>' | String parameter to specify the name and directory of the created sweep segment file. The default extension (manual control) for sweep segment files is *.seglist, although other extensions are allowed. If no path is specified the analyzer uses the current directory, to be queried with MMEMory:CDIRectory?.
*RST value | –
SCPI, Command Types | Device-specific, no query.
Example: | See MMEMory:LOAD:SEGMent.

MMEMory:STORe:STATe <numeric_value>,'<file_name>'

Stores the configuration data of the current setup to a specified setup file.

MMEMory:STORe:STATe renames the current setup, appending a .zvx extension. See example for MMEMory:LOAD:STATe.

<numeric_value> | 1 (the <numeric_value> is used for compatibility with the SCPI standard but is ignored).
'<file_name>' | String parameter to specify the name and directory of the created setup file. The default extension (manual control) for setup files is *.zvx, although other extensions are allowed. If no path is specified the analyzer uses the current directory, to be queried with MMEMory:CDIRectory?.
*RST value | –
SCPI, Command Types | Confirmed, no query.
Example: | See MMEMory:LOAD:STATe.

MMEMory:STORe:TRACe '<trc_name>','<file_name>'[,UNFormatted | FORMatted, COMPlex | LINPhase | LOGPhase, POINt | COMMa, SEMicolon | COMMa | TABulator | SPACe]

Stores the trace data of a specified data trace to a trace file. Traces are created using the CALCulte<Ch>:PARameter:SDEFine... command.

*.s<n>p Touchstone files (<n> = 1, 2, 3, ...) are intended for a complete set of <n>-port S-parameters. Data export fails if the active channel does not contain the full set of <n>2 traces. If the necessary traces are available, '<trc_name>' can be the name of any of the traces. To create Touchstone files while less than <n>2 single-ended traces are available, use MMEMory:STORe:TRACe:PORTs.

'<trc_name>'

Name of an existing data trace in the active setup (string parameter).

'<file_name>'

String parameter to specify the name and directory of the created trace file. Several file formats for trace files are supported. The file extensions *.s<n>p, *.csv, and *.dat for Touchstone, ASCII, and Matlab files are mandatory.

To generate a multiport Touchstone file *.s2p, *.s3p..., the channel must contain traces for the full set of S-parameters; the '<trc_name>' is ignored.

If no path is specified the analyzer uses the directory 'C:\RohdeSchwarz\Nwa\RecallSets'.

Optional parameters

UNFormatted – Unformatted data export specified by the second optional parameter
FORMatted – Formatted data export (for *.csv and *.dat files only)

If the first optional parameter is omitted the command stores unformatted data.

COMPlex – Complex values (real and imaginary part)
LINPhase – Linear magnitude and phase
LOGPhase – dB-magnitude and phase

If the second optional parameter is omitted the command stores complex data.

POINt – Decimal separator: point
COMMa – Decimal separator: comma

If the third optional parameter is omitted, points are used.

SEMicolon – Field separator: semicolon
COMMa – Field separator: comma
TABulator – Field separator: tabulator
SPACe – Field separator: space

If the fourth optional parameter is omitted, semicolons are used.

*RST value

– (the default export format is UNFormatted)

SCPI, Command Types

Confirmed, no query.

Example:

See MMEMory:LOAD:TRACe.

MMEMory:STORe:TRACe:CHANnel <channel no.> | ALL,'<file_name>'[,UNFormatted | FORMatted, COMPlex | LINPhase | LOGPhase, POINt | COMMa, SEMicolon | COMMa | TABulator | SPACe]

Stores the trace data of all data traces in the specified channel to a trace file. Traces are created using the CALCulte<Ch>:PARameter:SDEFine... command.

*.s<n>p Touchstone files (<n> = 1, 2, 3, ...) are intended for a complete set of <n>-port S-parameters. Data export fails if the active channel does not contain the full set of <n>2 traces.

<channel no.> | ALL

Channel number in the active setup.
ALL – A separate file is created for each channel in the active setup.

'<file_name>'

String parameter to specify the name and directory of the created trace file. Several file formats for trace files are supported. The file extensions *.s<n>p, *.csv, and *.dat for Touchstone, ASCII, and Matlab files are mandatory.

To generate a multiport Touchstone file *.s2p, *.s3p..., the channel must contain traces for the full set of S-parameters; the '<trc_name>' is ignored.

If no path is specified the analyzer uses the C:\Rohde&Schwarz\NWA\Traces directory.

Optional parameters

UNFormatted – Unformatted data export specified by the second optional parameter
FORMatted – Formatted data export (for *.csv and *.dat files only)

If the first optional parameter is omitted the command stores unformatted data.

COMPlex – Complex values (real and imaginary part)
LINPhase – Linear magnitude and phase
LOGPhase – dB-magnitude and phase

If the second optional parameter is omitted the command stores complex data.

POINt – Decimal separator: point
COMMa – Decimal separator: comma

If the third optional parameter is omitted, points are used.

SEMicolon – Field separator: semicolon
COMMa – Field separator: comma
TABulator – Field separator: tabulator
SPACe – Field separator: space

If the third optional parameter is omitted, semicolons are used.

*RST value

– (the default export format is UNFormatted)

SCPI, Command Types

Confirmed, no query.

Example:

*RST; :CONF:TRAC:NAME?

Reset the instrument, creating a default channel no 1 and a default trace 'Trc1'.

CALC:PAR:DEF:SGR 1,2

Create four traces to measure the two-port S-parameters S11, S12, S21, S22. The traces are not displayed.

MMEM:STOR:TRAC:CHAN 1, 'C:\Rohde&Schwarz\NWA\Traces\Chn1.csv'

Store alt trace data of Chn1 to a trace file.

MMEM:STOR:TRAC:CHAN 1, 'C:\Rohde&Schwarz\NWA\Traces\Chn1.s2p'

Store the four S-parameter traces to a two-port Touchstone file. The Touchstone file will not contain the default trace 'Trc1'.

MMEMory:STORe:TRACe:PORTs '<channel no.>','<file_name>', COMPlex | LINPhase | LOGPhase, <Port 1>[, <Port 2>, ...]

Generates a Touchstone file for the specified ports. The Touchstone file (.s<n>p where <n> is the number of ports) contains a full set of <n>2 single-ended S-parameters for the selected ports. Traces are created using the CALCulte<Ch>:PARameter:SDEFine... command. The command fails unless the following conditions are met:

  • For a one-port Touchstone file, the reflection coefficient for the specified port (e.g. S11 for port no. 1) must be measured. If a full one-port system error correction is available for the specified port, it is also possible to export transmission parameters that are related to the calibrated port (e.g. S12 or S21 for port no. 1).

  • For a multiport Touchstone file, a full multiport system error correction must be available. It is not necessary to measure the full set of S-parameters. Moreover, if the port configuration contains balanced ports, the Touchstone file will contain the converted single-ended S-parameters.

<channel no.>

Channel number in the active setup.

'<file_name>'

String parameter to specify the name and directory of the created Touchstone file. The file extension *.s<n>p for a n-port Touchstone file is mandatory.

If no path is specified the analyzer uses the current directory, to be queried with MMEMory:CDIRectory?.

Other parameters

COMPlex – Complex values (real and imaginary part)
LINPhase – Linear magnitude and phase
LOGPhase – dB-magnitude and phase

<Port 1>, <Port 2>... – First, second... port number
.

*RST value

– (the default export format in manual control is COMPlex)

SCPI, Command Types

Device-specific, no query.

Example:

Suppose that a full four-port calibration for ports 1 to 4 and channel 1 has been performed, and that a DUT with two balanced ports is connected. The analyzer measures an arbitrary mixed mode S-parameter.

MMEM:STOR:TRAC:PORT  1, 'Test.s4p', COMPlex, 1,2,3,4

Calculate all single-ended S-parameters and store them to a four-port Touchstone file.


OUTPut

:ATTenuation

:DPORt

[:STATe]

:UPORt

:BUSY

:LINK

:SEGMent<Seg>

:STATe

[:VALue]

[:VALue]

The segment bits have the following properties:

  • After a *RST of the analyzer all segment bits are set to zero; no signal is applied to pins 16 to 19 of the USER CONTROL connector.

  • The value defined with OUTPut<Ch>:UPORt:SEGMent<Seg>[:VALue] is assigned to segment no. <Seg> in channel no. <Ch>.

  • The signals at the USER CONTROL connector reflect the segments bits of the currently measured segment.

  • The signals are switched on as soon as a measurement in a segment with non-zero segment bits is started. They are changed whenever a segment with different segment bits is measured.

  • The signals at the USER CONTROL connector are maintained after the analyzer enters the hold state. This happens in single sweep mode after all sweep sequences have been terminated.

The channel bits have the following properties:

  • After a *RST of the analyzer all channel bits (including the value for the active, sweeping channel no. 1) are set to zero; no signal is applied to pins 8 to 11 of the USER CONTROL connector.

  • The value defined with OUTPut<Ch>:UPORt[:VALue] is assigned to channel no. <Ch>.

  • The signals at the USER CONTROL connector reflect the channel bits of the measuring channel, i.e. the channel for which the analyzer performs a sweep. This channel is not necessarily identical with the active channel.

  • The signals are switched on as soon as a measurement (sweep) in a channel with non-zero channel bits is started. They are changed whenever a channel with different channel bits becomes the measuring channel.

  • The signals at the USER CONTROL connector are maintained after the analyzer enters the hold state. This happens if all channels use single sweep mode and if all sweep sequences have been terminated.

OUTPut...

This subsystem controls the characteristics of the analyzer’s output ports.

Command tree: OUTPut<Pt>

OUTPut<port_no>:ATTenuation

Sets an attenuation factor for the generated wave transmitted at test port no. <Pt>. The incident wave is attenuated via INPut<Pt>:ATTenuation.

OUTPut<Pt>:ATTenuation is not channel-specific; the value is valid for all channels. Use SOURce<Ch>:POWer<Pt>:ATTenuationto set or query a channel-specific attenuation value.

Use SOURce<Ch>:POWer<Pt>:ATTenuation:AUTO ON for automatic generator attenuator setting. Automatic attenuator setting overwrites the manual attenuation factor. Conversely, a manual entry resets the mode to manual (OFF).

<port_no> | Test port number of the analyzer, 1 to 2, 3 or 4, depending on the analyzer model. If unspecified the numeric suffix is set to 1.
<numeric_value> | Attenuation factor for the generated wave.
Range [def. unit] | Depending on the analyzer/attenuator model, e.g. 0 dB to 80 dB for ZVA8 with ZVA8-B21/B22/B23/B24 [dB]. UP and DOWN increment/decrement the attenuation in 10 dB steps. The analyzer rounds any entered value below the maximum attenuation to the closest step.
*RST value | 0 dB
SCPI, Command Types | Confirmed, no query (query can not return channel-specific settings, would be misleading).
Example: | SOUR:POW -6 Set the internal source power for channel 1 to -6 dBm. OUTP2:ATT 10 Set the step attenuator for the wave transmitted at port 2 and for all channels to 10 dB. The internal source power and the waves at the other test ports are not affected. SOUR1:POW2:ATT? Query the generator step attenuator setting at port 2 and for channel no. 1. The response is 10.

OUTPut<Chn>:DPORt PORT1 | PORT2 | PORT3 | PORT4

Selects a source port for the stimulus signal (drive port). The setting acts on the active trace. The effect of the drive port selection depends on the measurement parameter associated to the active trace:

  • If an S-parameter S<out><in> is measured, the second port number index <in> (input port of the DUT = drive port of the analyzer) is set equal to the selected drive port: Drive port selection affects the measured quantity.

  • If a wave quantity or a ratio is measured, the drive port is independent of the measured quantity.

Note: This command is equivalent to [SENSe<Chn>:]SWEep:SRCPort.

<Chn> | Channel number used to identify the active trace. If unspecified the numeric suffix is set to 1.
PORT1 ... | Test port number of the analyzer, 1 to 2, 3 or 4, depending on the analyzer model.
*RST value | PORT1
SCPI, Command Types | Device-specific, with query.
Example: | CALC4:PAR:SDEF 'Ch4Tr1', 'A1' Create channel 4 and a trace named Ch4Tr1 to measure the wave quantity a1. The trace automatically becomes the active trace. OUTP4:DPOR PORT2 Select drive port 2 for the active trace.

OUTPut<Ch>[:STATe] <Boolean>

Turns the internal source power at all ports and the power of all external generators on or off.

After the RF power is switched on, the start of the measurement is delayed by approx. 1 s while the amplifier stages of the analyzer are allowed to settle. To circumvent this delay if you need to turn off the base channel power for a limited period of time, reduce the base channel power setting or turn off the drive ports in the Port Configuration dialog instead of using RF Off.

<Ch> | Channel number. This suffix is ignored; the setting is valid for all channels.
<Boolean> | ON | OFF - Switches the power on or off.
*RST value | ON
SCPI, Command Types | Device-specific, command or query
Example: | OUTP OFF Turn off the RF source power.

OUTPut<Ch>:UPORt:BUSY:LINK <Boolean>

Defines the behavior of the BUSY output signal at pin no. 4 of the USER CONTROL connector on the rear panel of the analyzer.

<Ch> | Channel number.
<Boolean> | AUTO – Auto (according to the triggered measurement sequence) POInt – Seeep point PPOint – Partial measurement SEGMent – Sweep segment SWEep – Entire sweep
*RST value | AUTO
SCPI, Command Types | Device-specific, command or query
Example: | *RST; :TRIGger:SEQuence:LINK?; :OUTP:UPORt:BUSY:LINK? Reset the analyzer and query the triggered measurement sequence. The response is 'SWEEP';AUTO. The BUSY signal is turned on ("High" state) when the analyzer acquires the fist partial measurement data of the first sweep point. It returns to "Low" state after the last partial measurement of the last sweep point has been acquired.

OUTPut<Ch>:UPORt:SEGMent<Seg>:STATe <Boolean>

Enables or disables segment bits for the sweep segments in channel no. <Ch>; see OUTPut<Ch>:UPORt:SEGMent<Seg>[:VALue]. The command is valid for segmented frequency sweep.

<Ch> | Channel number.
<Seg> | Sweep segment number. This suffix is ignored; the setting is valid for all segments.
<Boolean> | ON | OFF - Enables or disables channel bits.
*RST value | OFF
SCPI, Command Types | Device-specific, command or query
Example: | See OUTPut<Ch>:UPORt:SEGMent<Seg>[:VALue]

OUTPut<Ch>:UPORt:SEGMent<Seg>[:VALue] <numeric_value>

Sets or queries a sweep segment-dependent four-bit binary value to control four independent output signals at the USER CONTROL connector (lines 16, 17, 18, 19). The output signals are 3.3 V TTL signals which can be used to differentiate between up to 16 independent analyzer states for each channel. The command is valid for segmented frequency sweeps. It is analogous to the channel-dependent command OUTPut<Ch>:UPORt[:VALue] (for unsegmented sweeps).

The bits for the sweep segments must be enabled explicitly using OUTPut<Ch>:UPORt:SEGMent:STATe.

Segment bit definition and activation

You can use the active segment number as a parameter for OUTPut<Ch>:UPORt:SEGMent<Seg>[:VALue] and monitor the measurement in up to 16 different segments per channel at the USER CONTROL connector; see example below. You can also use the USER CONTROL output signals as segment-dependent trigger signals for external devices. Use CONTrol:AUXiliary:C[:DATA] to transfer the four bit value in decimal representation.

<Ch>

Channel number.

<Seg>

Sweep segment number

<numeric_value>

Binary value.

Range [def. unit]

#B0000 to #B1111 (for setting command), 0 to 15 (query) [–]

The transferred values correspond to the following states of the USER CONTROL connector:
#B0000 – no signal at any of the four pins 16, 17, 18, 19
#B0001 – output signal at pin 16
#B0010 – output signal at pin 17
#B0011 – output signal at pin 16 and 17
...
#B1111 – output signal at pin 16, 17, 18, and 19

*RST value

#B0000 (0)

SCPI, Command Types

Device-specific, with query. The query returns a decimal value.

Example:

*RST; :SEGM:INS 1MHZ, 1.5MHZ, 111, -21DBM, 0.5S, 0, 10KHZ

Create a sweep segment no. 1 with a sweep range between 1.0 MHz and 1.5 MHz.

SWE:TYPE SEGM

Set the segmented frequency sweep active.

OUTP:UPOR:SEGM:STAT ON

Enable segment bits.

OUTP:UPOR:SEGM1 #B0001

Assign the segment bit value #B0001 to segment no. 1. The output signal at pin 16 is switched on while the first segment is measured.

SEGM2:ADD

Create a second sweep segment. The frequency range of the second segment will be between 1.5 MHz and the maximum frequency of the analyzer.

OUTP:UPOR:SEGM2 #B0010

Assign the segment bit value #B0010 to segment no. 2. While the analyzer measures the second segment, the output signal changes from pin 16 to pin 17.

OUTPut<Ch>:UPORt[:VALue] <numeric_value>

Sets or queries a channel-dependent four-bit binary value to control four independent output signals at the USER CONTROL connector (lines 8, 9, 10, 11). The output signals are 3.3 V TTL signals which can be used to differentiate between up to 16 independent analyzer states. OUTPut<Ch>:UPORt[:VALue] itself does not change the analyzer state.

Channel bit definition and activation

You can use the active channel number as a parameter for OUTPut<Ch>:UPORt[:VALue] and monitor the activity of up to 16 different channels at the USER CONTROL connector; see example below. You can also use the USER CONTROL output signals as channel-dependent trigger signals for external devices. Use CONTrol:AUXiliary:C[:DATA] to transfer the four bit value in decimal representation.

<Ch>

Channel number.

<numeric_value>

Binary value.

Range [def. unit]

#B0000 to #B1111 (for setting command), 0 to 15 (query) [–]

The transferred values correspond to the following states of the USER CONTROL connector:
#B0000 – no signal at any of the four pins 8, 9, 10, 11
#B0001 – output signal at pin 8
#B0010 – output signal at pin 9
#B0011 – output signal at pin 8 and 9
...
#B1111 – output signal at pin 8, 9, 10 and 11

*RST value

#B0000 (0)

SCPI, Command Types

Device-specific, with query. The query returns a decimal value.

Example:

*RST; :OUTP1:UPOR #B0001

Assign the channel bit value #B0001 to the active channel no. 1. The analyzer performs a measurement in channel no. 1, therefore the output signal at pin 8 is switched on.

CONF:CHAN2:STAT ON; OUTP2:UPOR #B0010

Create channel no. 2, causing it to become the active channel, and assign the channel bit value #B0010. The analyzer performs no measurement in channel no. 2, therefore the output signal is not changed.

CALC2:PAR:SDEF 'Ch2Tr1', 'S11'

Create a trace named 'Ch2Tr1' and assign it to channel 2. While the analyzer measures in channel 2, the output signal changes from pin 8 to pin 9.


Program

:EXECute

:INIMessage

:INIParameter

:NAME

:WAIT

When executing batch scripts or other DOS applications, the analyzer does not display any DOS windows; the screen is left for the network analyzer (NWA) application. The same applies to the Windows NT command prompt (cmd.exe).

To access the command prompt, proceed as follows:

1. Create a batch file (e.g. "Start_cmd.bat") containing the command line start cmd.exe and store the file to C:\Winnt\system32.

2. Execute the batch file: PROG:EXEC 'C:\winnt\system32\Start_cmd.bat'

The command prompt window is displayed in front of the NWA application. You can also open several command prompt windows simultaneously.

PROGram...

This subsystem controls external application programs that can be run on the analyzer.

Command tree: PROGram[:SELected]

PROGram[:SELected]:EXECute '<file_path>[ <command>]'

Starts an application program or open a file using an application available on the analyzer.

It is not possible to run several programs simultaneously. If the command PROGram[:SELected]:EXECute is sent while a previously started program is still executed, the analyzer generates a SCPI error –100,"Command error...".

Executing batch files; command prompt

'<file_path>' | Name and path of an application program to be executed or of a file to be opened. The path can be defined as an absolute path (e.g. 'c:\...') or relative to the current directory (MMEMory:CDIRectory). Blanks in the file name are not allowed because everything after a blank is interpreted as a <command>.
<command> | Command name in the selected application <file_name> (optional).
*RST value | –
SCPI, Command Types | Confirmed, no query.
Example: | PROG:SEL:NAME PROG Select general program execution on the analyzer. MMEM:CDIR 'C:\Program Files\Rohde&Schwarz\Network Analyzer\Bin' Go to the program directory. PROG:EXEC 'iecwin32.exe' Start the application iecwin32. PROG:WAIT Lock command execution and manual control of the analyzer until iecwin32 is paused or stopped.

PROGram[:SELected]:INIMessage '<file_path>', '<message>'
PROGram[:SELected]:INIMessage? '<file_path>'

Writes <message> into the preference file (*.ini) specified by <file_path> under the [MESSAGE] section using the fixed key 'Send' and sets the value for the fixed key 'Receive' to an empty string.

The query reads the value associated with the fixed key 'Receive' from the [MESSAGE] section of the preferences file specified by <file_path>. If no value exists for that key, the query returns an empty string.

Both commands can be used to establish a simple file-based two-way communication mechanism to an external application launched by PROGram[:SELected]:EXECute; see example.

'<file_path>'

Name and path of the ini-File. The *.ini extension may be omitted as it is created automatically by the command.

<message>

Value for the fixed key 'Send'

*RST value

–

SCPI, Command Types

Device-specific, command or query.

Example:

PROG:INIM 'c:\preferences\myapp', 'this is a message'

Write the string 'this is a message' into the file c:\preferences\myapp.ini. The contents of the file look like:

[MESSAGE]
Send="this is a message"
Receive=

Suppose the external program writes the string "this is a response" to the "Receive" key (and possibly deletes the contents of the "Send" key.

PROG:INIM? 'c:\preferences\myapp'

Query the value of the key 'Receive' in the *.ini file. The response is "this is a response".

PROGram[:SELected]:INIParameter '<file_path>', '<parameter>', '<value>' | <value> [[, 'parameter2', '<value2>' | <value2>], .... ]
PROGram[:SELected]:INIParameter? '<file_path>', '<parameter>'

Defines and writes a key/value pair into the preferences file (*.ini) specified by <file_path> under the [PARAMETER] section. If the *.ini file doesn't exist, it will be created. Multiple key/value pairs can be written with a single command.

This command can be used to supply information to an external application launched by :PROGram[:SELected]:EXECute.

The query reads a value associated to a key from the [PARAMETERS] section of the preferences file specified by <file_path>. If the key/value pair doesn't exist, the query returns an empty string.

'<file_path>'

Name and path of the ini-File. The *.ini extension may be omitted as it is created automatically by the command.

<parameter>

Key for the key/value pair

<value>

String or numeric value for the key/value pair. If a string parameter is supplied, it has to be enclosed in single or double quotes.

*RST value

–

SCPI, Command Types

Device-specific, command or query.

Example:

PROG:INIP 'c:\preferences\myapp', 'myparameter', 'myvalue', 'startf', 123.05

Write the key/value pairs into the file c:\preferences\myapp.ini. The contents of the file look like:

[PARAMETER]
myparameter="myvalue"
startf="123.05"

PROG:INIP? 'c:\preferences\myapp', 'myparameter'

Query the value of the key 'myparameter' in the *.ini file. The response is "myvalue".

PROGram[:SELected]:NAME PROG

Selects the application to be run on the analyzer. At present, only the general parameter PROG is available: PROGram[:SELected]:EXECute can start any program.

Use this command in order to avoid problems should the default value change in future firmware versions.

PROG | Any program running under Windows XP or any file that can be opened with an application program available on the analyzer.
*RST value | PROG
SCPI, Command Types | Confirmed, command or query.
Example: | See PROGram[:SELected]:EXECute.

PROGram[:SELected]:WAIT

Locks command execution and manual control of the analyzer while a program started via PROGram[:SELected]:EXECute is running. The analyzer does not execute any further commands or queries until the program is stopped or paused.

Parameters | None.
*RST value | –
SCPI, Command Types | Confirmed, command or query. The query also locks command execution; it returns 1 when the executed program is stopped or paused.
Example: | See PROGram[:SELected]:EXECute.


ROUTe

:CFILe

:PORTs

ROUTe<Ch>...

This subsystem configures the internal signal paths of a connected switch matrix R&S ZV-Z81/-82 or a multiport test set R&S ZV-83.

Command tree: ROUTe<Ch>

ROUTe<Ch>:CFILe <Boolean>

Overwrites the current settings of the switch matrix/multiport test set with the settings stored in the configuration file matrix.mtx. The file is stored in the directory C:\Program Files\Rohde&Schwarz\Network Analyzer\resources\extdev.

<Ch>

Channel number. This parameter is ignored; the settings in the configuration file affect all channels no. Ch1 to Ch9.

<Boolean>

ON - The multiport test set uses the default settings of the configuration file
OFF - The default settings have been changed (for query only)

*RST value

ON

SCPI, Command Types

Device-specific, with query.

Example:

*RST; :ROUT:CFIL?

Reset the analyzer and query the default configuration state. The response is 1 (default settings are used).

ROUT5:PORTS A, 2

Change the signal routing for channel no. 5 and port group A.

ROUT:CFIL?

Query the default configuration state again. The response is 0 (default settings are no longer used).

ROUTe<Ch>:PORTs <port group>, <port no>{, <port group>, <port no>}

Configures the internal signal paths of the switch matrix/multiport test set for channel no. <Ch>.

<Ch>

Channel number.

<port group>

Group of "output" ports of the test set.

Range [def. unit]

A | B | C | D

*RST value

See example below

<port no.>

"Output" port number

Range [def. unit]

0 – retain the existing port configuration when channel <Ch> is measured.

1 | 2 | 3 | 4 – use port no. 1, 2, 3, 4

*RST value

0 (see example below)

SCPI, Command Types

Device-specific, command or query

Example:

*RST; :ROUT1:PORT?

Query the default port configuration of the switch matrix/multiport test set. The analyzer returns A, 0, B, 0, C, 0, D, 0. Channel 1 does not change the previous port configuration.

CONF:CHAN2 ON; CHAN3 ON; CHAN4 ON

Create channels no. 2, 3, 4.

ROUT1:PORT A, 1, B, 1, C, 1, D, 1; :ROUT2:PORT A, 2, B, 3, C, 4, D, 4

Use the "output" ports no. A1, B1, C1, D1 for channel 1, A2, B3, C4, D4 for channel 2.

ROUT3:PORT A, 4, D, 3

Use the "output" port no. A4 and D3 for channel 3, do not change port B and C when measuring channel 3.

ROUT4:PORT A, 4, B, 0, C, 0, D, 3

Select the port configuration for channel 4 to be identical with channel 3.


SENSe:AVERage

:COUNt

:CURRent?

[:STATe]

:CLEar

[SENSe<Ch>:]AVERage...

This subsystem sets sweep averaging parameters. The sweep average is a noise-reduction technique which consists of calculating each measurement point as an average of the same measurement point over several consecutive sweeps.

In contrast to the sweep count (for single sweep mode, [SENSe<Ch>:]SWEep:COUNt), averaging is always channel-specific. Both features are completely independent from each other.

Command tree: [SENSe<Ch>:]AVERage

[SENSe<Ch>:]AVERage:CLEar

Starts a new average cycle, clearing all previous results and thus eliminating their effect on the new cycle.

<Ch> | Channel number. If unspecified the numeric suffix is set to 1.
*RST value | –
SCPI, Command Types | Confirmed, no query
Example: | SENS1:AVER:COUN 15; :AVER ON Set the average factor for channel 1 to 15 (the mnemonic SENS1 can be omitted) and enable the sweep average. SENS1:AVER:COUN:CURR? Query the currently measured sweep. AVER:COUN 5; CLE Reduce the average factor and restart the average.

[SENSe<Ch>:]AVERage:COUNt <factor>

Defines the number of consecutive sweeps to be combined for the sweep average (Average Factor).

<Ch> | Channel number.
<factor> | Average factor
Range [def. unit] | 1 to 1000 [1]
*RST value | 10
SCPI, Command Types | Confirmed, command or query
Example: | See [SENSe<Ch>:]AVERage:CLEar

[SENSe<Ch>:]AVERage:COUNt:CURRent?

Queries the number of the sweep which is currently measured. Use this command to monitor the progress of sweep averaging.

<Ch> | Channel number.
Response | Number of current sweep
Range [def. unit] | 1 to the average factor ([SENSe<Ch>:]AVERage:COUNt) [1]
*RST value | 10
SCPI, Command Types | Device-specific, query only
Example: | See [SENSe<Ch>:]AVERage:CLEar

[SENSe<Ch>:]AVERage[:STATe] <Boolean>

Enable or disable the sweep average.

<Ch> | Channel number.
<Boolean> | ON | OFF - Enables or disables the automatic calculation of the sweep average over the specified number of sweeps ([SENSe<Ch>:]AVERage:COUNt).
*RST value | ON
SCPI, Command Types | Confirmed, command or query
Example: | See [SENSe<Ch>:]AVERage:CLEar


SENSe:BANDwidth

[:RESolution]

:SELect

[SENSe<Ch>:]BANDwidth...

This subsystem sets the bandwidth of the IF measurement filter (resolution bandwidth).The forms BANDwidth and BWIDth are equivalent.

Command tree: [SENSe<Ch>:]BANDwidth|BWIDth

[SENSe<Ch>:]BANDwidth|BWIDth[:RESolution] <bandwidth>

Defines the resolution bandwidth of the analyzer (Meas. Bandwidth).

<Ch> | Channel number. If unspecified the numeric suffix is set to 1.
<bandwidth> | Resolution bandwidth
Range [def. unit] | 1 Hz to 1 MHz (5 (10) MHz with option R&S ZVA-K17, 10 (30) MHz with option R&S ZVA-K7; see Pulsed Measurements) [Hz]. UP and DOWN increment/decrement the bandwidth in 1-2-5 steps for each decade. The analyzer rounds up any entered value between these steps and rounds down values exceeding the maximum bandwidth.
*RST value | 10 kHz
SCPI, Command Types | Confirmed, command or query
Example: | BAND 1.1 Set a resolution bandwidth of approx. 1.1 Hz for channel 1. BAND? The analyzer returns the rounded bandwidth of 2 Hz.

[SENSe<Ch>:]BANDwidth|BWIDth[:RESolution]:SELect NORMal | HIGH

Defines the selectivity of the IF filter for an unsegmented sweep. The value is also used for all segments of a segmented sweep, provided that separate selectivity setting is disabled ([SENSe<Ch>:]SEGMent<Seg>:BWIDth[:RESolution]:SELect:CONTrol OFF).

<Ch> | Channel number.
NORMal | Use IF filter with normal selectivity and short settling time.
HIGH | Use IF filter with higher selectivity but larger settling time.
*RST value | NORMal
SCPI, Command Types | Device-specific, command or query
Example: | See [SENSe<Ch>:]SEGMent<Seg>:BWIDth[:RESolution]:SELect:CONTrol


SENSe:CONVerter

:AMODel

:DESCription

:PATH

[SENSe<Ch>:]CONVerter...

This subsystem provides general frequency converter settings.

Command tree: [SENSe<Ch>:]CONVerter

[SENSe<Ch>:]CONVerter:AMODel <Boolean>

Enables or disables the advanced power transfer model for frequency converters.

This command overwrites the port specific power transfer model selection; see SOURce<Ch>:POWer<Pt>:CONVerter:TRANsfer:AMODel.

<Ch> | Channel number.
<Boolean> | ON | OFF - Enables or disables the advanced model.
*RST value | n/a (a *RST does not affect the general frequency converter settings)
SCPI, Command Types | Device-specific, command or query
Example: | CONV:AMOD ON; DESC LAPP Enable the advanced power transfer model based on a linear approximation for all converter ports.

[SENSe<Ch>:]CONVerter:DESCription DSET | LAPProx

Selects the type of advanced power transfer model.

This command overwrites the port specific setting; see SOURce<Ch>:POWer<Pt>:CONVerter:TRANsfer:DESCription.

<Ch> | Channel number.
Parameters | DSET - Data set (for future extensions) LAPProx - Linear approximation
*RST value | n/a (a *RST does not affect the general frequency converter settings)
SCPI, Command Types | Device-specific, command or query
Example: | See [SENSe<Ch>:]CONVerter:AMODel

[SENSe<Ch>:]CONVerter:PATH '<directory>'

Selects the directory containing the power calibration data files for the data set-based advanced power transfer model.

<Ch> | Channel number.
'<directory>' | String parameter to specify an existing directory path.
*RST value | n/a (a *RST does not affect the general frequency converter settings)
SCPI, Command Types | Device-specific, command or query
Example: | CONV:AMOD ON; DESC DSET Enable the advanced power transfer model based on a data set for all converter ports. CONV:PATH 'C:\Rohde&Schwarz\Nwa\FrequencyConverter' Define a directory for calibration files. 'C:\Rohde&Schwarz\Nwa\FrequencyConverter' is the factory default setting.


SENSe:CORRection

:CDATa

:CKIT (cal kit commands)

:COLLect (perform calibration)

:CONNection

:CATalog?

:DELete

:DATA

:PARameter?

:DATE

:EDELay

:AUTO

:DIELectric

:DISTance

:ELENgth

[:TIME]

:FACTory

[:STATe]

:LOSS

:AUTO

:FREQuency

:OFFSet

:OFFSet

:DFComp

[:STATe]

[:STATe]

:POWer (power calibration commands)

:SSTate?

[:STATe]

The 7-term calibration types named Txx (e.g. TOM, TRM, TRL, TNA) are based on a network analyzer with two ports i and j, each equipped with a test receiver and a reference receiver. The system errors are described in terms of two "error two-ports" PG and PH:

  • The error two-port PG is assigned to port i of the analyzer. Its transmission matrix G describes how the system errors modify the outgoing and incident waves at port i:

  • The error two-port PH is assigned to port j of the analyzer. Its transmission matrix H describes how the system errors modify the measured incident and outgoing waves at port j:

In the two equations above, a and b denote the waves at the calibrated reference plane i and j (e.g. the input and output of the 2-port DUT). The m waves are the raw measured waves of test port i and j. The subscripts "ref" and "test" refer to the reference and test receivers, respectively.

During the calibration the network analyzer acquires ratios of wave quantities, which leaves one of non-diagonal matrix elements of G or H as a free normalization factor. The network analyzer uses the normalization H21 = 1.

[SENSe<Ch>:]CORRection...

This subsystem controls system error correction and recording of correction data.

Command tree: [SENSe<Ch>:]CORRection

Program example: Calibration

[SENSe<Ch>:]CORRection:CDATa
'DIRECTIVITY' | 'SRCMATCH' | 'REFLTRACK' | 'LOADMATCH' | 'TRANSTRACK' | 'G11' | ... 'G22' | 'H11' | ... | 'H22', <port1_no>, <port2_no>

Writes or reads system error correction data for a specific channel <Ch>, calibration method ([SENSe<Ch>:]CORRection:COLLect:METHod:DEFine), and port combination <Port1_no>, <Port2_no>. The setting command can be used to transfer user-defined correction data to the analyzer; the query returns the current correction data set. ASCII or block data can be transferred, depending on the selected data transfer format (FORMat[:DATA]).

The sweep must be stopped to transfer calibration data; see program example for [SENSe<Ch>:]CORRection:COLLect:SAVE:SELected:DEFault.

This command affects the active calibration of channel no. <Ch> or the factory calibration (if no channel calibration is active). For the factory calibration, the query form is allowed only (no change of factory calibration data).

For an overview of calibration methods and error terms refer to section Calibration Types.

<Ch>

Channel number of the calibrated channel. If unspecified the numeric suffix is set to 1.

Error term parameters

String parameters describing the different error terms, depending on the current calibration method; see table below. Each term contains one complex value (real and imaginary part) for each sweep point.

Range [def. unit]

The error terms are dimensionless complex numbers. The parameters must be transferred in full length and have the following meaning:

'DIRECTIVITY' – Directivity at port <port1_no>
'SRCMATCH' – Source match at port <port1_no>
'REFLTRACK' – Reflection tracking at port <port1_no>
'LOADMATCH' – Load match at <port2_no>
'TRANSTRACK' – Transmission tracking between port <port1_no> and <port2_no>
'G11' ... 'G22' – G matrix elements, referenced to <port1_no> (irrespective of the values of <port1_no> and <port2_no>)
'H11' ... 'H22' – H matrix elements, referenced to <port2_no> (irrespective of the values of <port1_no> and <port2_no>)

G and H Matrices

*RST value

–
The analyzer provides a default calibration corresponding to a test setup which does not introduce any systematic errors; see [SENSe<Ch>:] CORRection:COLLect:SAVE:SELected:DEFault.

<port1_no>

Source port number.

<port2_no>

Load port number. If the error term is not related to the load port, a dummy number can be used; e.g. CORR:CDAT 'REFLTRACK', 1, 0

SCPI, Command Types

Device-specific, command or query

After a system error correction in one of the sweep types Power, Time, or CW Mode, the query returns two sets of correction data, corresponding to the fixed CW frequency and the CW frequency plus 1 Hz (minus 1 Hz if the CW frequency is equal to the maximum frequency of the analyzer).

Example:

See [SENSe<Ch>:]CORRection:COLLect:SAVE:SELected:DEFault.

The different calibration types of the analyzer provide the following error terms:
Calibration type | Parameters in [SENSe<Ch>:]CORRection:COLLect:METHod:DEFine | Available error terms (depending on port numbers)
One-port normalization (reflection) using an open or a short standard | REFL, RSHort | 'REFLTRACK'
Full one port | FOPort | 'DIRECTIVITY', 'SRCMATCH', 'REFLTRACK'
Two-port normalization | FRTRans | 'TRANSTRACK'
One path two port | OPTPort | 'DIRECTIVITY', 'SRCMATCH', 'REFLTRACK', 'TRANSTRACK'
TOSM | TOSM | 'DIRECTIVITY', 'SRCMATCH', 'REFLTRACK', 'LOADMATCH', 'TRANSTRACK'
TOM, TRM, TRL, TNA | TOM | TRM | TRL | TNA | 'DIRECTIVITY', 'SRCMATCH', 'REFLTRACK', 'LOADMATCH', 'TRANSTRACK' (for reading and writing) 'G11' ... 'G22' and 'H11', 'H12', 'H22' (for reading only; the 'H21' matrix elements are normalized to 1)


SENSe:CORRection:CKIT

:CKIT

:<std_type>

:<conn_type>

:<std_type>

:SELect

:CATalog?

:DELete

:INSTall

:LABel

:SELect

:STANdard

:CATalog?

Calibration kit names must be entered as string parameters. The string contains the cal kit name used in the Calibration Kits dialog; a Ω in the name must be replaced by 'Ohm', e.g.:

  • 'NewKit1' denotes the user-defined calibration kit NewKit1.

  • 'N 50 Ohm Ideal Kit' denotes the N 50 Ω Ideal Kit.

  • 'ZV-Z21 typical' denotes the cal kit ZV-Z21 typical.

[SENSe<Ch>:]CORRection:CKIT...

This subsystem deal with calibration kits and cal kit data.

Command tree: [SENSe<Ch>:]CORRection:CKIT

Program example: Calibration

[SENSe<Ch>:]CORRection:CKIT:<std_type>
'<Conn_Name>','<Ckit_Name>','<Std_No>',<Min_Freq>,<Max_Freq>,<El_Length>,<Loss>,<Z0>,<C0> , <C1>, <C2>, <C3>, <L0>, <L1>, <L2>, <L3>[, OPEN | SHORt | MATCh, <Resistance>, <Port_1>, <Port_2>]

Defines the parameters of a non-ideal 1 port or 2-port calibration standard <std_type>. A particular physical standard can be selected by specifying the name of the calibration kit and its serial number. Depending on the standard type, only a subset of the parameters may be used; see table below.

If the specified cal kit does not exist, it is created with the specified calibration standard.

<Ch>

Channel number. This suffix is ignored because calibration kits are channel-independent.

<std_type>

Standard type. For reflection standards, the first character denotes the gender, e.g.:
FOPEN, MOPEN: Open (f) or Open (m) standard.

The following reflection standards are supported: MOPen, FOPen, MSHort, FSHort, OSHort, MOSHort, FOSHort, MMTCh, FFTCh, MREFLect, FREFLect

For transmission standards, the first two characters denotes the genders on both ends, e.g.:
FFSNetwork, MFSNetwork, MMSNetwork: Symm. network (ff), symm. network (mf) or symm. network (mm) standard.

For a complete list of standard types refer to the table of standard types.

Parameter list

String parameters to specify the configured standard ('<Conn_Name>','<Ckit_Name>','<Std_No>') and numeric parameters defining its properties. See detailed description below.

Note: The following transmission standards have only 8 parameters (until <Z0>):
MMTHrough, MFTHrough, FFTHrough, MMLine, MFLine, FFLine
The following reflection and transmission standards have only 5 parameters (until <Max_Freq>):
MSMatch, FSMatch, MMATten, MFATten, FFATten

*RST value

–

SCPI, Command Types

Device-specific, command or query (see examples below)

Example:

CORR:CKIT:FOP 'N 50 Ohm','Test Kit',...

Define the properties of the open (f) standard for a N 50 Ω connector type in cal kit 'Test Kit'. See also example for [SENSe<Ch>:] CORRection:CKIT:<conn_type>:<std_type>.

CORR:CKIT:FOP? 'N 50 Ohm'

Query the properties of the open (f) standard for a N 50 Ω connector type in the active cal kit.

CORR:CKIT:FOP? 'N 50 Ohm','Test Kit'

Query the properties of the open (f) standard for a N 50 Ω connector type in cal kit 'Test Kit'.

[SENSe<Ch>:]CORRection:CKIT:<conn_type>:<std_type>
'<Ckit_Name>','<Std_No>',<Min_Freq>,<Max_Freq>,<El_Length>,<Loss>,<C0> | <L0>,<C1> | <L1>,<C2> | <L2>,<C3> | <L3>, OPEN | SHORt

Defines the parameters of a calibration standard <std_type> for a specified connector type <conn_type>. A particular physical standard can be selected by specifying the name of the calibration kit and its serial number. Depending on the standard type, only a subset of the parameters may be used; see table below.

If the specified cal kit does not exist, it is created with the specified calibration standard.

<Ch>

Channel number. This suffix is ignored because calibration kits are channel-independent.

<conn_type>

Connector type, one of the following identifiers:
N50, N75: N 50 Ω or N 75 Ω connectors
PC7, PC35, PC292: PC 7, PC 3.5 or 2.92 mm connectors
USER<no>: User-defined connectors UserConn1, UserConn2,
SMA: User-defined connector type SMA...

Note: This command only supports ZVR-compatible connector types. For general definitions use [SENSe<Ch>:] CORRection:CKIT:<std_type>.

<std_type>

Standard type. For reflection standards, the first character denotes the gender, e.g.:
FOPEN, MOPEN: Open (f) or Open (m) standard.

For transmission standards, the first two characters denotes the genders on both ends, e.g.:
FFTHrough, MFTHrough, MMTHrough: Through (ff), Through (mf) or Through (mm) standard.

For a complete list of standard types refer to the table of standard types.

Parameter list

String parameters to specify the configured standard ('<Ckit_Name>','<Std_No>') and numeric parameters defining its properties. See detailed description below.

*RST value

–

SCPI, Command Types

Device-specific, command or query

Example:

CORR:CKIT:N50:FOPEN 'ZV-Z21','',0,1.8E+010,0.0151,0,0,0.22,-0.22,0.0022

Define the properties of the open (f) standard for the N 50 Ω connector type contained in the ZV-Z21 calibration kit: Assign a valid frequency range of 0 Hz to 18 GHz, an electrical length of 15.1 mm, 0 dB loss and define the polynomial coefficients of the fringing capacitance as 0 fF, 0.22 fF/GHz, –0.22 fF/(GHz)2, 0.0022 fF/(GHz)3.

The parameters in the [SENSe<Ch>:] CORRection:CKIT:<std_type> and [SENSe<Ch>:]CORRection:CKIT:<conn_type>:<std_type> commands have the following meaning:

Parameter | Meaning | Comment/Unit
'<Conn_Name>' | Name of the connector type. Use SENSe1:CORRection:CONNection:CATalog? to query connector names. | String parameter
'<Ckit_Name>' | Name of the calibration kit. Use [SENSe<Ch>:] CORRection:CKIT:CATalog? to query cal kit names. | String parameter
'<Std_No>' | Label (e.g. the serial number) of the standard | String parameter
<Min_Freq> | Min. frequency for which the circuit model is valid | Default unit is Hz
<Max_Freq> | Max. frequency for which the circuit model is valid | Default unit is Hz
<El_Length> | Electrical length (offset parameter) of the standard | Default unit is m
<Loss> | Loss (offset parameter) of the standard | To be specified without unit (implicit unit is dB)
<Z0> | Reference impedance (no unit) | To be specified without unit (implicit unit is Ω)
<C0> | <L0> | Polynomial coefficients C0 or L0 for the fringing capacitance or residual inductance of the standard (load parameter) | To be specified without unit (implicit unit is fF or pH)
<C1> | <L1> | Polynomial coefficients C1 or L1 for the fringing capacitance or residual inductance of the standard (load parameter) | To be specified without unit (implicit unit is fF /GHz or pH /GHz)
<C2> | <L2> | Polynomial coefficients C2 or L2 for the fringing capacitance or residual inductance of the standard (load parameter) | To be specified without unit (implicit unit is fF/GHz2 or pH/GHz2)
<C3> | <L3> | Polynomial coefficients C3 or L3 for the fringing capacitance or residual inductance of the standard (load parameter) | To be specified without unit (implicit unit is fF/GHz3 or pH/GHz3)
OPEN | SHORt | MATCh | Simplified modelling as an open or short or match standard. The load circuit model generally consists of capacitance C which is connected in parallel to an inductance L and a resistance R, both connected in series. OPEN means that R is infinite so that the standard behaves like a capacitor (no inductance, the polynomial coefficients specify C). SHORt means that R is zero so that the standard behaves like an inductance (no capacitance, the polynomial coefficients specify L). MATCh means that the standard behaves like a match with the specified <Resistance> | Character data
<Resistance> | Optional resistance for the MATCh standard | Numeric value
, <Port_1>, <Port_2> | Optional port restriction: one port number for one port standards, two port numbers for two port standards | Integer value

The different standard types are defined by the following parameters. Port restrictions are indicated in brackets:

<std_type> | Meaning | Parameters in [SENSe<Ch>:]CORRection:CKIT:<conn_type>:<std_type>
MOPen | FOPen MOPen(P1) | FOPen(P2) ... | Open (m) or open (f) Open (m or f with port restriction)... | '<Ckit_Name>' ... <C3>[, <Port_1>] complete parameter list with capacitance coefficients, no OPEN | SHORT | MATCh
MSHort | FSHort | Short (m) or short (f) | '<Ckit_Name>' ... <L3>[, <Port_1>] complete parameter list with inductance coefficients, no OPEN | SHORT| MATCh
OSHort | MOSHort | MOSHORT1 | MOSHORT2 | MOSHORT3 | FOSHort | FOSHORT1 | FOSHORT2 | FOSHORT3 (MOSHort and MOSHORT1 etc. are equivalent) | Offset short (sexless) or offset short (m) or offset short (f) (for user-defined connector types only) | '<Ckit_Name>' ... <L3>[, <Port_1>] complete parameter list with inductance coefficients, no OPEN | SHORT| MATCh
MMTCh | FMTCh | Match (m) or match (f) | '<Ckit_Name>' ... <Max_Freq>[, <Port_1>] no offset parameters, no load parameters (polynomial coefficients), no OPEN | SHORt| MATCh
MSMatch |FSMatch | Sliding match (m) or sliding match (f) | '<Ckit_Name>' ... <Max_Freq>[, <Port_1>] no offset parameters, no load parameters (polynomial coefficients), no OPEN | SHORt| MATCh
MREFlect | FREFlect | Reflect (m) or reflect (f) | '<Ckit_Name>' ... OPEN | SHORt[, <Port_1>] no loss, otherwise complete parameter list
MMTHrough | MFTHrough | FFTHrough | Through (m - m) or through (m - f) or through (f - f) | '<Ckit_Name>' ... <Loss>[, <Port_1>, <Port_2>] no load parameters (polynomial coefficients), no OPEN | SHORt| MATCh
MMLine | MMLINE1 | MFLine | MFLINE1 | FFLine | FFLINE1 MMLine(P2P3) ... | Line1 (m - m) or line1 (m - f) or line1 (f - f) Line1 (m - m, with port restriction)... | '<Ckit_Name>' ... <Loss>[, <Port_1>, <Port_2>] no load parameters (polynomial coefficients), no OPEN | SHORt| MATCh
MMLINE2 | MFLINE2 | FFLINE2 | Line2 (m - m) or line2 (m - f) or line2 (f - f), especially for TRL calibration | '<Ckit_Name>' ... <Loss>[, <Port_1>, <Port_2>] no load parameters (polynomial coefficients), no OPEN | SHORt| MATCh
MMLINE3 | MFLINE3 | FFLINE3 | Line3 (m - m) or line3 (m - f) or line3 (f - f), especially for TRL calibration | '<Ckit_Name>' ... <Loss>[, <Port_1>, <Port_2>] no load parameters (polynomial coefficients), no OPEN | SHORt| MATCh
MMATten | MFATten | FFATten | Attenuation (m - m) or attenuation (m - f) or attenuation (f - f) | '<Ckit_Name>' ... <Max_Freq>[, <Port_1>, <Port_2>] no offset parameters, no load parameters (polynomial coefficients), no OPEN | SHORt| MATCh
MMSNetwork | MFSNetwork | FFSNetwork | Symmetric network (m - m) or symmetric network (m - f) or symmetric network (f - f) | '<Ckit_Name>' ... OPEN | SHORt| MATCh[, <Port_1>, <Port_2>] no loss, otherwise complete parameter list

[SENSe<Ch>:]CORRection:CKIT:CATalog? '<Conn_Name>'

Returns a list of all cal kits for a given connector type.

<Ch> | Channel number. This suffix is ignored because cal kits are channel-independent.
<Conn_Name> | Name of the connector type. Use SENSe1:CORRection:CONNection:CATalog?to query connector names.
*RST value | –
SCPI, Command Types | Device-specific, query only
Example: | See SENSe1:CORRection:CONNection:CATalog?

[SENSe<Ch>:]CORRection:CKIT:DELete '<ckit_name>'

Deletes an imported or user-defined cal kit.

It is not possible to modify or store predefined or ideal kits.

<Ch> | Channel number. This suffix is ignored because calibration kits are channel-independent.
'<ckit_name>' | String parameter containing an imported or user-defined calibration kit available on the analyzer.
*RST value | – (A *RST does not affect calibration kits)
SCPI, Command Types | Device-specific, no query
Example: | CORR:CKIT:N50:FOPEN 'NewKit1','',0,1.8E+010,0.0151,0,0,0.22,-0.22,0.0022 Create a new cal kit NewKit1 and assign an open (f) standard for the N 50 Ω connector type with specific properties. CORR:CKIT:DEL 'NewKit1' Delete the previously created kit.

[SENSe<Ch>:]CORRection:CKIT:INSTall '<file_name>'

Loads cal kit data from a specified ZVR cal kit file.

<Ch> | Channel number. This suffix is ignored because calibration kits are channel-independent.
'<file_name>' | String parameter to specify the name and directory of the cal kit file to be loaded. Note: The loaded file must be a ZVR-specific cal kit file with the extension *.ck. NWA cal kit files (*.calkit) can be imported using the MMEMory:LOAD:CKIT command. Agilent cal kit files can be imported manually and converted into *.calkit files.
*RST value | –
SCPI, Command Types | Device-specific, no query.
Example: | CORR:CKIT:INST 'C:\Rohde&Schwarz\NWA\Calibration\Kits\ZCAN.ck' Load the previously created ZVR cal kit file ZCAN.ck from the default cal kit directory. MMEM:STOR:CKIT 'ZCAN', 'C:\Rohde&Schwarz\NWA\Calibration\Kits\ZCAN.calkit' Store the imported cal kit data to a NWA cal kit file ZCAN.calkit (assuming that the cal kit name stored in ZCAN.ck reads ZCAN).

[SENSe<Ch>:]CORRection:CKIT:LABel '<ckit_name>', '<label>'
[SENSe<Ch>:]CORRection:CKIT:LABel? '<ckit_name>'

Assigns a label to an imported or user-defined calibration kit.

<Ch> | Channel number. This suffix is ignored because calibration kits are channel-independent.
'<ckit_name>' | String parameter containing an imported or user-defined calibration kit available on the analyzer.
'<label>' | String parameter containing the label.
*RST value | – (A *RST does not affect calibration kits)
SCPI, Command Types | Device-specific, no query
Example: | CORR:CKIT:N50:FOPEN 'NewKit1','',0,1.8E+010,0.0151,0,0,0.22,-0.22,0.0022 Create a new cal kit NewKit1 and assign an open (f) standard for the N 50 Ω connector type with specific properties. CORR:CKIT:LAB 'NewKit1', 'Test kit created today' Label the previously created kit. CORR:CKIT:LAB? 'NewKit1' Check the label.

[SENSe<Ch>:]CORRection:CKIT:<conn_type>:SELect '<ckit_name>'

Selects the calibration kit to be used for a specified connector type <conn_type>.

For connector types with arbitrary, user-defined names you can use the command [SENSe<Ch>:] CORRection:CKIT:SELect '<conn_name>', '<ckit_name>'.

<Ch> | Channel number. This suffix is ignored because calibration kits are channel-independent.
<conn_type> | Connector type, one of the following identifiers: N50, N75: N 50 Ω or N 75 Ω connectors PC7, PC35, PC292: PC 7, PC 3.5 or 2.92 mm connectors USER<no>: User-defined connectors UserConn1, UserConn2 SMA: User-defined connector type SMA ...
'<ckit_name>' | String parameter containing the name of a calibration kit available on the analyzer.
*RST value | – (A *RST does not change the assignment between connector types and calibration kits.)
SCPI, Command Types | Device-specific, command or query
Example: | MMEM:LOAD:CKIT 'C:\Rohde&Schwarz\NWA\Calibration\Kits\New_kit.calkit' Load the previously created cal kit file New_kit.calkit from the default cal kit directory. CORR:CKIT:N50:SEL 'New_kit' Assign the imported kit to the N 50 Ω connector type (assuming that the cal kit name stored in New_kit.calkit reads New_kit).

Cal kit naming conventions

[SENSe<Ch>:]CORRection:CKIT:SELect '<conn_name>', '<ckit_name>'

Selects the calibration kit to be used for a specified connector type <conn_type>.

The command is suitable for connector types with arbitrary, user-defined names. For standard connector types you can use the command [SENSe<Ch>:] CORRection:CKIT:<conn_type>:SELect.

<Ch> | Channel number. This suffix is ignored because calibration kits are channel-independent.
'<conn_name>' | Connector type, e.g. a user-defined connector type (string variable)
'<ckit_name>' | String parameter containing the name of a calibration kit available on the analyzer.
*RST value | – (A *RST does not change the assignment between connector types and calibration kits.)
SCPI, Command Types | Device-specific, command or query (the query requires the first string parameter only)
Example: | MMEM:LOAD:CKIT 'C:\Rohde&Schwarz\NWA\Calibration\Kits\New_kit.calkit' Load the previously created cal kit file New_kit.calkit from the default cal kit directory. CORR:CKIT:SEL 'N 50 Ohm', 'New_kit' Assign the imported kit to the N 50 Ω connector type (assuming that the cal kit name stored in New_kit.calkit reads New_kit).

[SENSe<Ch>:]CORRection:CKIT:STANdard:CATalog? '<Ckit_Name>'

Returns a list of all standards in a given calibration kit.

<Ch> | Channel number. This suffix is ignored because cal kits are channel-independent.
<Ckit_Name> | Name of the cal kit. Use SENSe1:CORRection:CKIT:CATalog?to query cal kit names.
*RST value | –
SCPI, Command Types | Device-specific, query only
Example: | See SENSe1:CORRection:CONNection:CATalog?


SENSe:CORRection:COLLect

[:ACQuire]

:RSAVe

:DEFault

:SELected

:AUTO

:CKIT

:PORTs

:CONNection

:TYPE

:TYPE

:CONNection

:GENDers

:PORTs

:DELete

:DETector

:FIXTure

[:ACQuire]

:LMParameter

:LOSS

[:STATe]

[:STATe]

:SAVE

:STARt

:METHod

:DEFine

:NFIGure

[:ACQuire]

:END

:SAVE

:STARt

:SAVE

:DEFault

:SELected

:DEFault

:SCONnection

The UOSM algorithm provides the transmission factor of the unknown through standard up to an ambiguous sign. This yields the two alternative phase values displayed in the calibration wizard; see Unknown Through Standard.

In remote control, the analyzer performs a plausibility check in order to determine the correct phase. No manual selection is necessary. The check starts at the first sweep point, using the transmission factor with negative phase. The analyzer measures the phase at the subsequent sweep points, assuming that the phase difference between any two consecutive points is less than 90 deg. From these phase values, the analyzer calculates a linear extrapolation and derives an estimate for the DC phase limit. If this DC phase is in the vicinity of ... –180 deg, +180 deg, ... then the transmission factor with negative phase is adopted. If the DC phase is in the vicinity of ... 0 deg, +360 deg, ... then the transmission factor with inverted sign (corresponding to a 180 deg phase shift) is adopted.

[SENSe<Ch>:]CORRection:COLLect...

This subsystem controls the system error correction.

Command tree: [SENSe<Ch>:]CORRection:COLLect

Program example: Calibration

[SENSe<Ch>:]CORRection:COLLect[:ACQuire]
THRough | OPEN1 | OPEN2 | OPEN12 | SHORT1 | SHORT2 | SHORT12 | MATCH1 | MATCH2 | MATCH12 | NET | ATT | IMATCH12 | REFL1 | REFL2 | SLIDE1 | SLIDE2 | SLIDE12 | LINE1 | LINE2 | LINE3 | M1O2 | O1M2 | M1S2 | S1M2 | OSHORT1 | OSHORT11 | OSHORT12 | OSHORT13 | OSHORT2 | OSHORT21 | OSHORT22 | OSHORT23 | UTHRough | ISOLation [, <Dispersion>, AUTO | <delay | phase>]

Starts a calibration measurement in order to acquire measurement data for the selected standards. The standards are reflection or transmission standards and must be connected to port 1 or 2 of the analyzer.

Use the generalized command [SENSe<Ch>:] CORRection:COLLect[:ACQuire]:SELected to obtain measurement data at arbitrary analyzer ports.

<Ch>

Channel number of the calibrated channel. If unspecified the numeric suffix is set to 1.

THRough ... UTHRough

Standard types: Through (between port 1 and 2), Open, Short, Match (MATCH12 and IMATCH12 are synonymous), Symmetric Network (NET), Attenuation (ATT), Reflect, Sliding Match (SLIDe), Line1 (LINE1 and LINE are synonymous), Line2 and Line3 (esp. for TRL calibration), Match/Open (M1O2, O1M2), Match/Short (M1S2, S1M2), Offset Short (OSHORT), Unknown Through (UTHRough), Isolation (optional, between port 1 and 2).

The numbers in the parameter names denote the analyzer ports. Two numbers 12 mean that two separate calibrations are performed at ports 1 and 2. For Offset Short standards, the first number denotes the port (1 or 2), the second number denotes the number of the standard (1 to 3).

*RST value

ON

<Dispersion>

Optional status parameter for UTHRough standard:

OFF – Unknown through standard is non-dispersive
ON – Unknown through standard is dispersive

*RST value

OFF

AUTO | <delay | phase>

Optional entry of delay time or phase for UTHRough standard:

AUTO – The analyzer determines the delay time or phase during the calibration sweep
<delay or phase> – entry of the delay time in ps (for non-dispersive standards) or of an estimate of the phase at the start frequency of the sweep in deg (for dispersive standards).

See also background information for [SENSe<Ch>:] CORRection:COLLect[:ACQuire]:SELected.

*RST value

AUTO

SCPI, Command Types

Confirmed (with device-specific standards), no query

Example:

See [SENSe<Ch>:]CORRection:COLLect:SAVE.

[SENSe<Ch>:]CORRection:COLLect[:ACQuire]:RSAVe <Boolean>

Activates or deactivates the calibration mode where the raw measurement data of the standards is stored after the calibration is completed. The setting is valid for the current calibration, where it overwrites the global setting ([SENSe<Ch>:] CORRection:COLLect[:ACQuire]:RSAVe:DEFault). A new calibration deletes the calibration data acquired in previous calibrations.

<Ch> | Channel number of the calibrated channel.
<Boolean> | ON | OFF - Keep measurement data on or off.
*RST value | OFF
SCPI, Command Types | Device-specific, command or query
Example: | CORR:COLL:RSAV:DEF ON Generally keep the raw measurement data of the standards after the calibration is completed. CORR:COLL:METH:DEF 'Test',RSHort,1 Select a one-port normalization at port 1 with a short standard as calibration type. CORR:COLL:SEL SHOR,1 Measure a short standard connected to port 1 and store the raw measurement results of this standard. CORR:COLL:RSAV OFF To save disk space, delete the current raw calibration data after the calibration is completed. CORR:COLL:SAVE:SEL Calculate the system error correction data and apply them to the active channel.

[SENSe<Ch>:]CORRection:COLLect[:ACQuire]:RSAVe:DEFault <Boolean>

Activates or deactivates the calibration mode where the raw measurement data of the standards is stored after the calibration is completed. The setting remains valid for all subsequent calibrations until it is changed explicitly. A new calibration deletes the calibration data acquired in previous calibrations.

<Ch> | Channel number of the calibrated channel.
<Boolean> | ON | OFF - Keep measurement data on or off.
*RST value | OFF
SCPI, Command Types | Device-specific, command or query
Example: | See [SENSe<Ch>:]CORRection:COLLect[:AQUire]:RSAVe.

[SENSe<Ch>:]CORRection:COLLect[:ACQuire]:SELected
THRough | OPEN | SHORt | MATCh | NET | ATT | REFL | SLIDe | LINE1 | LINE2 | LINE3 | OSHort | OSHORT1 | OSHORT2 | OSHORT3 | UTHRough | ISOLation, <port_no>, <port_no> [, <Dispersion>, AUTO | <delay | phase>]

Starts a calibration measurement in order to acquire measurement data for the selected standards. The standards are reflection or transmission standards and can be connected to arbitrary analyzer ports.

<Ch> | Channel number of the calibrated channel.
THRough ... UTHRough | Standard types: Through, Open, Short, Match, Symmetric Network (NET), Attenuation (ATT), Reflect, Sliding Match (SLIDe), Line1 (LINE1 and LINE are synonymous), Line2 and Line3 (esp. for TRL calibration), Offset Short 1 to 3 (OSHort), Unknown Through, Isolation (optional).
<port_no> | Port numbers of the analyzer. For a transmission standard (through, line, attenuation, symmetric network) the input and output port numbers must be specified, for reflection standards, only one port number is required.
*RST value | –
<Dispersion> | Optional status parameter for UTHRough standard: OFF – Unknown through standard is non-dispersive ON – Unknown through standard is dispersive
*RST value | OFF
AUTO | <delay | phase> | Optional entry of delay time or phase for UTHRough standard: AUTO – The analyzer determines the delay time or phase during the calibration sweep <delay or phase> – entry of the delay time in ps (for non-dispersive standards) or of the phase at the start frequency of the sweep in deg (for dispersive standards). If an estimate of the start phase is entered, the analyzer uses the calculated value which is closest to the estimate. Automatic determination of the phase
*RST value | AUTO
SCPI, Command Types | Device-specific, no query
Example: | See [SENSe<Ch>:]CORRection:COLLect:SAVE:SELected.

[SENSe<Ch>:]CORRection:COLLect:AUTO
'<file_name>',<port_no>{,<port_no>}

Selects and initiates a one-port, two-port, three-port or four-port automatic calibration at arbitrary analyzer and cal unit ports.

If the test setup contains a high attenuation the analyzer may fail to detect the cal unit ports connected to each of its ports. In this case use the extended command [SENSe<Ch>:] CORRection:COLLect:AUTO:PORTs. Use [SENSe<Ch>:] CORRection:COLLect:AUTO:TYPE if you want to specify a particular calibration type for the automatic calibration.

If several calibration units are connected, use SYSTem:COMMunicate:RDEVice:AKAL:ADDRess to select a unit for the calibration.

<Ch>

Channel number of the calibrated channel.

'<file_name>'

Name and (possibly) directory of the cal kit file to be used for the automatic calibration (string parameter):

  • If nothing is specified (empty string ' '), the default cal kit file stored in the active calibration unit is used. This file is also used in manual control.

  • A NWA cal kit file name *.calkit without path denotes a specific cal kit file stored in the active calibration unit.

  • A NWA cal kit file name *.calkit with path denotes a specific cal kit file stored in an arbitrary directory.

<port_no>

Port numbers of the analyzer. For an n-port automatic calibration (n = 1 to 4), n arbitrary (not necessarily consecutive) port numbers must be specified. The analyzer automatically detects the calibration unit ports connected to each analyzer port.

*RST value

–

SCPI, Command Types

Device-specific, no query

Example:

CORR:COLL:AUTO '', 1, 2, 4

Perform an automatic 3-port calibration at test ports 1, 2, and 4 using the calibration unit's default calibration kit file and arbitrary test ports of the cal unit.

[SENSe<Ch>:]CORRection:COLLect:AUTO:CKIT
'<file_name>'

Generate a cal kit file with the specified name containing the cal kit data of the active calibration unit (SYSTem:COMMunicate:RDEVice:AKAL:ADDRess). The cal kit file can be stored in the calibration unit or written to a directory on the analyzer.

<Ch>

Channel number of the calibrated channel (not relevant for this command).

'<file_name>'

Name and (possibly) directory of the created cal kit file (string parameter, extension *.calkit):

  • If no path and directory is specified, the file is stored in the calibration unit (see also [SENSe<Ch>:] CORRection:COLLect:AUTO). The factory calibration data on the unit is not overwritten.

  • If a path and directory is specified, the file is stored in the directory on the analyzer's hard disk.

The default directory (MMEMory:CDIRectory) is not used.

*RST value

–

SCPI, Command Types

Device-specific, no query

Example:

CORR:COLL:AUTO:CKIT 'AutoCalChar.calkit'

Generate a cal kit file AutoCalChar.calkit for the active calibration unit and store it internally.

[SENSe<Ch>:]CORRection:COLLect:AUTO:PORTs
'<file_name>',<analyzer_port_no>,<cal_unit_port_no>{,<analyzer_port_no>,<cal_unit_port_no>}

Selects and initiates a one-port, two-port, three-port or four-port automatic calibration at arbitrary analyzer and calibration unit ports.

This command is necessary if the analyzer fails to detect the cal unit ports connected to each of its ports (e.g. because of a high attenuation in the test setup). If auto-detection works you can use the simpler command [SENSe<Ch>:] CORRection:COLLect:AUTO.

<Ch>

Channel number of the calibrated channel.

'<file_name>'

Name and (possibly) directory of the cal kit file to be used for the automatic calibration (string parameter):

  • If nothing is specified (empty string ' '), the default cal kit file stored in the calibration unit is used. This file should be used to operate the calibration unit like in manual control; specifying another cal kit file is primarily for service purposes.

  • A NWA cal kit file name *.calkit without path denotes a specific cal kit file stored in the Calibration Unit.

  • A NWA cal kit file name *.calkit with path denotes a specific cal kit file stored in an arbitrary directory.

<analyzer_port_no>

Port numbers of the analyzer. For an n-port automatic calibration (n = 1 to 4), n arbitrary (not necessarily consecutive) port numbers must be specified.

<cal_unit__port_no>

Port numbers of the cal unit. For an n-port automatic calibration (n = 1 to 4), n arbitrary (not necessarily consecutive) port numbers must be specified. It is possible to combine arbitrary (not necessarily matching) pairs of analyzer and cal unit ports.

*RST value

–

SCPI, Command Types

Device-specific, no query

Example:

CORR:COLL:AUTO:PORT '', 1, 2, 2, 4, 4, 1

Perform an automatic 3-port calibration at the analyzer test ports 1, 2, and 4 using the calibration unit's default calibration kit file and ports 2, 4, and 1 of the cal unit.

[SENSe<Ch>:]CORRection:COLLect:AUTO:PORTs:CONNection?

Returns the assignment between the network analyzer ports and the ports of the connected automatic calibration unit.

<Ch>

Channel number of the calibrated channel (not relevant for this command).

*RST value

–

SCPI, Command Types

Device-specific, query only

Example:

CORR:COLL:AUTO:PORT '', 1, 2, 2, 4, 4, 1

Perform an automatic 3-port calibration at the analyzer test ports 1, 2, and 4 using the calibration unit's default calibration kit file and ports 2, 4, and 1 of the cal unit.

CORR:COLL:AUTO:PORT:CONN?

Query the actual port assignment. If the cal unit is properly connected according to the previous command, the response is 1,2,2,4,3,0,4,1. A zero means that the corresponding analyzer port is not connected to any port of the calibration unit.

[SENSe<Ch>:]CORRection:COLLect:AUTO:PORTs:TYPE
<cal_type>, '<file_name>', <analyzer_port_no>, <cal_unit_port_no> {,<analyzer_port_no>, <cal_unit_port_no>}

Selects and initiates a one-port, two-port, three-port or four-port automatic calibration at arbitrary analyzer and calibration unit ports.

This command is necessary if the analyzer fails to detect the cal unit ports connected to each of its ports (e.g. because of a high attenuation in the test setup). If auto-detection works you can use the simpler command [SENSe<Ch>:] CORRection:COLLect:AUTO.

<Ch>

Channel number of the calibrated channel.

<cal_type>

FNPort – Full N-port calibration
FOPort – Full One Port calibration
SFTPort – Separate Full Two-Port calibration
OPTPort – One Path Two Port calibration
FRTRans – Transmission normalization, bidirectional
FTRans – Transmission normalization, forward
RTRans – Transmission normalization, reverse

'<file_name>'

Name and (possibly) directory of the cal kit file to be used for the automatic calibration (string parameter):

  • If nothing is specified (empty string ' '), the factory cal kit file stored in the calibration unit is used. This file should be used to operate the calibration unit like in manual control; specifying another cal kit file is primarily for service purposes.

  • A NWA cal kit file name *.calkit without path denotes a specific cal kit file stored in the calibration unit.

  • A NWA cal kit file name *.calkit with path denotes a specific cal kit file stored in an arbitrary directory.

<analyzer_port_no>

Port numbers of the analyzer. For an n-port automatic calibration (n = 1 to 4), n arbitrary (not necessarily consecutive) port numbers must be specified. For a one path two port calibration (OPTPort), the first port no. denotes the node port (fully calibrated port). The transmission normalizations are two-port calibrations.

<cal_unit__port_no>

Port numbers of the cal unit. For an n-port automatic calibration (n = 1 to 4), n arbitrary (not necessarily consecutive) port numbers must be specified. It is possible to combine arbitrary (not necessarily matching) pairs of analyzer and cal unit ports.

*RST value

–

SCPI, Command Types

Device-specific, no query

Example:

CORR:COLL:AUTO:PORT FNPort, '', 1, 2, 2, 4, 4, 1

Perform an automatic full 3-port calibration at the analyzer test ports 1, 2, and 4 using the calibration unit's default calibration kit file and ports 2, 4, and 1 of the cal unit.

[SENSe<Ch>:]CORRection:COLLect:AUTO:TYPE
<cal_type>, '<file_name>',<port_no>{,<port_no>}

Selects and initiates a one-port, two-port, three-port or four-port automatic calibration at arbitrary analyzer and cal unit ports. This command also selects the calibration type.

If the test setup contains a high attenuation the analyzer may fail to detect the cal unit ports connected to each of its ports. In this case use the extended command [SENSe<Ch>:] CORRection:COLLect:AUTO:PORTs:TYPE.

If several calibration units are connected, use SYSTem:COMMunicate:RDEVice:AKAL:ADDRess to select a unit for the calibration.

<Ch>

Channel number of the calibrated channel.

<cal_type>

FNPort – Full N-port calibration
FOPort – Full One Port calibration
SFTPort – Separate Full Two-Port calibration
OPTPort – One Path Two Port calibration
FRTRans – Transmission normalization, bidirectional
FTRans – Transmission normalization, forward
RTRans – Transmission normalization, reverse

'<file_name>'

Name and (possibly) directory of the cal kit file to be used for the automatic calibration (string parameter):

  • If nothing is specified (empty string ' '), the factory cal kit file stored in the calibration unit is used.

  • A NWA cal kit file name *.calkit without path denotes a specific cal kit file stored in the calibration unit.

  • A NWA cal kit file name *.calkit with path denotes a specific cal kit file stored in an arbitrary directory.

<port_no>

Port numbers of the analyzer. For an n-port automatic calibration (n = 1 to 4), n arbitrary (not necessarily consecutive) port numbers must be specified. The analyzer automatically detects the calibration unit ports connected to each analyzer port. For a one path two port calibration (OPTPort), the first port no. denotes the node port (fully calibrated port). The transmission normalizations are two-port calibrations.

*RST value

–

SCPI, Command Types

Device-specific, no query

Example:

CORR:COLL:AUTO:TYPE FNPort, '', 1, 2, 4

Perform an automatic full 3-port calibration at test ports 1, 2, and 4 using the calibration unit's default calibration kit file and arbitrary test ports of the cal unit.

[SENSe<Ch>:]CORRection:COLLect:CONNection<port_no>
N50FEMALE | N50MALE | N75FEMALE | N75MALE | PC7 | PC35FEMALE | PC35MALE | PC292FEMALE | PC292MALE | PC24FEMALE | PC24MALE | PC185FEMALE | PC185MALE | PC1FEMALE | PC1MALE
Additional parameters ( ): UFEMALE1 | UMALE1 | UFEMALE2 | UMALE2 | SMAFEMALE | SMAMALE

Selects a connector type at a specified port <port_no> and its gender.

Use [SENSe<Ch>:] CORRection:COLLect:SCONnection<port_no> to select an arbitrary connector type using a string variable.

<Ch> | Channel number of the calibrated channel.
<port_no> | Port number of the analyzer. Note: If the analyzer is set to use the same connectors at all ports ([SENSe<Ch>:] CORRection:COLLect:CONNection<port_no>:PORTs ALL), then a change of a connector type is valid for all ports. The gender of the connectors can still be different.
Parameters | Connector type and gender of the connectors (omitted for query). PC1MALE denotes a 1.0 mm (m) connector, PC185MALE a 1.85 mm (m) connector and so forth. UFEMALE1 and UMALE1 denote the user-defined connector type UserConn1, UFEMALE2 and UMALE2 denote the user-defined connector type UserConn2. SMAFEMALE and SMAMALE denote the user-defined connector type SMA. The user-defined connector types must be defined before being addressed by [SENSe<Ch>:]CORRection:COLLect:CONNection<port_no>.
*RST value | N50FEMALE for all ports.
SCPI, Command Types | Device-specific, command or query.
Example: | *RST; :CORR:COLL:CONN1 N75MALE; CONN4? Change the connector type at port 1 from N50FEMALE to N75MALE. The connector type at the other ports is also changed to N75, however, the gender (female) is maintained. CORR:COLL:CONN4? returns N75FEMALE.

[SENSe<Ch>:]CORRection:COLLect:CONNection<port_no>:GENDers
ALL | SINGle

Qualifies whether the genders of the connectors at the analyzer ports (but not their types) are equal or independent.

<Ch> | Channel number of the calibrated channel.
<port_no> | Port number of the analyzer. This suffix is ignored; the command affects all ports.
Parameters | ALL: Equal (uniform) connector genders. If the gender at one port is changed, the gender at all other ports is changed accordingly. SINGle: Independent (possibly non-uniform) connector genders at the ports.
*RST value | SINGle
SCPI, Command Types | Device-specific, command or query.
Example: | See [SENSe<Ch>:]CORRection:COLLect:CONNection:PORTs.

[SENSe<Ch>:]CORRection:COLLect:CONNection<port_no>:PORTs
ALL | SINGle

Qualifies whether the connector types at the analyzer ports (but not their genders) are equal or independent. Some calibration types require uniform port connector types.

<Ch> | Channel number of the calibrated channel.
<port_no> | Port number of the analyzer. This suffix is ignored; the command affects all ports.
Parameters | ALL: Equal (uniform) connector types. If the connector type at one port is changed, the connector type at all other ports is changed accordingly. SINGle: Independent (possibly non-uniform) connector types at the ports.
*RST value | ALL
SCPI, Command Types | Device-specific, command or query.
Example: | CORR:COLL:CONN:PORT SING; :CORR:COLL:CONN:GEND SING Select independent connector types and genders at the ports. CORR:COLL:CONN1 N50MALE; CONN4 N75FEMALE; CONN2? Select independent connector types at ports 1 and 4. The connector type at port 2 is not changed; the query returns the original connector type (depending on the analyzer model), e.g. N50FEMALE. CORR:COLL:DET AVER Select an average detector for the calibration, e.g. for a noise figure measurement.

[SENSe<Ch>:]CORRection:COLLect:DELete ['<cal_name>' | ALL]

Deletes system error correction data generated and stored previously.

<Ch>

Channel number of the calibrated channel.

'<cal_name>' | ALL

Name of the calibration (string parameter) defined together with calibration type [SENSe<Ch>:] CORRection:COLLect:METHod:DEFine.

ALL – The analyzer deletes all calibrations

If nothing is specified the analyzer deletes the last system error correction stored by means of [SENSe<Ch>:] CORRection:COLLect:SAVE.

*RST value

–

SCPI, Command Types

Device-specific, no query

Example:

CORR:COLL:METH:DEF 'Test',RSHort,1

Select a one-port normalization at port 1 with a short standard as calibration type.

CORR:COLL:SEL SHOR,1

Measure a short standard connected to port 1 and store the measurement results of this standard.

CORR:COLL:SAVE:SEL
CORR:COLL:DEL

Calculate the system error correction data and apply them to the active channel, then delete the data.

[SENSe<Ch>:]CORRection:COLLect:DETector
NORMal | AVERage

Selects the S-parameter detector type during the calibration.

<Ch> | Channel number of the calibrated channel.
Parameters | AVERage: AVG detector, especially for noise figure measurements NORMal: Normal detector, recommended for all other applications
*RST value | NORMal
SCPI, Command Types | Device-specific, command or query.
Example: | See [SENSe<Ch>:]CORRection:COLLect:CONNection<port_no>:PORTs

[SENSe<Ch>:]CORRection:COLLect:FIXTure[:ACQuire]
OPEN | SHORT, <port_no>{,<port_no>}

Starts a fixture compensation sweep in order to acquire measurement data for a test fixture that has its inner conductor terminated with the selected standards.

<Ch>

Channel number of the corrected channel

OPEN, SHORt

Standard type, open or short circuit

<port_no>

Port numbers of the analyzer. For an n-port fixture compensation (n = 1 to 4), n arbitrary (not necessarily consecutive) port numbers must be specified.

*RST value

–

SCPI, Command Types

Device-specific, no query

Example:

*RST; CORR:COLL:FIXT:LMP:LOSS OFF

Configure a fixture compensation measurement (for all channels): The analyzer performs an Auto Length (no loss) calculation.

CORR:COLL:FIXT:ACQ OPEN, 2; :CORR:COLL:FIXT:ACQ SHOR, 4

Perform a fixture compensation sweep at port 2, terminated with an open standard, and at port 4, terminated with a short.

CORR:COLL:FIXT:SAVE

Save and apply the compensation data.

CORR:COLL:FIXT:STAR

Prepare a new fixture compensation measurement, deleting the previous data for channel 1.

CORR:COLL:FIXT:LMP OFF

Select a Direct Compensation measurement (for all channels and traces).

CORR:COLL:FIXT:ACQ SHOR, 1, 3

Perform a fixture compensation sweep at ports 1 and 3, terminated with a short standard.

CALC2:PAR:SDEF 'Trc2', 'S22'

Create channel no. 2 with a trace named Trc2.

SENS2:CORR:COLL:FIXT:STAR

Prepare a fixture compensation measurement for channel 2. The channel 1 data is not affected.

SENS2:CORR:COLL:FIXT:ACQ SHOR, 1, 3

Repeat the previous fixture compensation sweep for channel 2.

SENS1:CORR:COLL:FIXT:SAVE; :SENS2:CORR:COLL:FIXT:SAVE

Save and apply the compensation data for both channels.

SENS1:CORR:OFFS3:DFC?; :SENS2:CORR:OFFS3:DFC?

Query whether the analyzer uses Direct Compensation results at port 3. The response is 1;1 (true for both channels).

[SENSe<Ch>:]CORRection:COLLect:FIXTure:LMParameter:LOSS[:STATe] <Boolean>

Selects an Auto Length or an Auto Length and Loss calculation.

<Ch> | Channel number of the corrected channel. This suffix is ignored; the setting is valid for all channels.
<Boolean> | 1 – Auto Length and Loss 0 – Auto Length, no loss
*RST value | 1
SCPI, Command Types | Device-specific, command or query
Example: | See [SENSe<Ch>:] CORRection:COLLect:FIXTure[:ACQuire]

[SENSe<Ch>:]CORRection:COLLect:FIXTure:LMParameter[:STATe] <Boolean>

Selects an Auto Length (and Loss) calculation or a Direct Compensation.

<Ch> | Channel number of the corrected channel. This suffix is ignored; the setting is valid for all channels.
<Boolean> | 1 – Auto Length (and Loss), depending on the last [SENSe<Ch>:] CORRection:COLLect:FIXTure:LMParameter:LOSS[:STATe] setting 0 – Direct Compensation
*RST value | 0
SCPI, Command Types | Device-specific, command or query
Example: | See [SENSe<Ch>:] CORRection:COLLect:FIXTure[:ACQuire]

[SENSe<Ch>:]CORRection:COLLect:FIXTure:SAVE

Completes a fixture compensation, storing and applying the acquired data.

<Ch> | Channel number of the corrected channel
SCPI, Command Types | Device-specific, no query
Example: | See [SENSe<Ch>:] CORRection:COLLect:FIXTure[:ACQuire]

[SENSe<Ch>:]CORRection:COLLect:FIXTure:STARt

Prepares the analyzer for fixture compensation comprising a single or a series of fixture compensation sweeps ([SENSe<Ch>:] CORRection:COLLect:FIXTure[:ACQuire]). Previous compensation data is deleted.

<Ch> | Channel number of the corrected channel
SCPI, Command Types | Device-specific, no query
Example: | See [SENSe<Ch>:] CORRection:COLLect:FIXTure[:ACQuire]

[SENSe<Ch>:]CORRection:COLLect:METHod
TOM | TRM | TRL | TNA | TOSM | FOPORT1 | FOPORT2 | FOPORT12 | FOPTport | ROPTport | REFL1 | REFL2 | REFL12 | FRTRans | FTRans | RTRans | TPORt | UOSM

Selects a one-port or two-port calibration type for channel <Ch> at ports 1/2.

Use the generalized command [SENSe<Ch>:] CORRection:COLLect:METHod:DEFine to select the calibration type for arbitrary analyzer ports or a multiport calibration type.

<Ch>

Channel number of the calibrated channel.

Parameters

Calibration types, TOM, TRM, TRL, TNA, TOSM, Full One Port, One Path Two Port, Normalization (REFL1, REFL2 and REFL12 for one-port, FRTRans, FTRans, RTRans, and TPORT for two-port), TOSM with unknown through.

The numbers in the parameters denote the analyzer ports. Parameters for two-port calibration types contain no numbers because the command is only valid for ports 1 and 2.

UOSM is interpreted as a mixer vector calibration if vector mixer measurements are active ([SENSe<Ch>:]FREQuency:CONVersion VMIXer).

*RST value

–

SCPI, Command Types

Confirmed (with device-specific calibration types), command or query. If several "merged" calibration types are assigned to channel <Ch> (see MMEMory:LOAD:CORRection:MERGe), the query returns a list of all calibration types.

Example:

See [SENSe<Ch>:]CORRection:COLLect:SAVE.

[SENSe<Ch>:]CORRection:COLLect:METHod:DEFine
'<cal_name>', REFL | RSHort | FOPort | FRTRans | FTRans | RTRans | OPTPort | TOSM | TOM | TRM | TRL | TNA | UOSM, <port_no>[,<port_no>][,<port_no>][,<port_no>]

Selects a one-port, two-port, three-port or four-port calibration type for channel <Ch> at arbitrary analyzer ports.

<Ch> | Channel number of the calibrated channel.
'<cal_name>' | Name of the calibration (string parameter). The name serves as a reference to delete a particular set of system correction data ([SENSe<Ch>:] CORRection:COLLect:DELete).
Parameters | Calibration types; see list below. UOSM is interpreted as a mixer vector calibration if vector mixer measurements are active ([SENSe<Ch>:]FREQuency:CONVersion VMIXer).
<port_no> | Port numbers of the analyzer. For an n-port calibration type (n = 1 to 4), n port numbers must be specified. If more than n numbers are defined, the spare numbers (the last ones in the list) are ignored. Entering less than n numbers causes an error message. For a one path two port calibration (OPTPort), the first port no. denotes the node port (fully calibrated port).
*RST value | –
SCPI, Command Types | Device-specific, command or query. If several "merged" calibration types are assigned to channel <Ch> (see MMEMory:LOAD:CORRection:MERGe), the query returns a list of all calibration types.
Example: | See [SENSe<Ch>:]CORRection:COLLect:SAVE:SELected.

The supported calibration types are listed below.

Parameter | Type (Add Calibration dialog)
REFL | RSHort | Refl Norm Open | Refl Norm Short
FOPort | Full One Port
FRTRans | FTRans | RTRans | Trans Norm - Bidirectional | Trans Norm - Forward | Trans Norm - Backward
OPTPort | One Path Two Port
TOSM | TOSM
TOM | TRM | TRL | TNA | TOM | TRM | TRL | TNA
UOSM | UOSM

[SENSe<Ch>:]CORRection:COLLect:NFIGure[:ACQuire]
RECeiver | SOURce | ATTenuator

Starts a noise figure calibration sweep for the NWA receiver, NWA source, or an external attenuator. The port assignment is defined via [SENSe<Ch>:] CORRection:COLLect:NFIGure:STARt.

A noise figure calibration must be terminated with one of the following commands, to be sent immediately after the sequence of ...[:ACQuire] commands:
[SENSe<Ch>:]CORRection:COLLect:NFIGure:END – terminate calibration, discarding the acquired calibration data (the active channel is not calibrated)
[SENSe<Ch>:]CORRection:COLLect:NFIGure:SAVE – terminate calibration, applying the acquired calibration data (the active channel is calibrated)
These commands ensure that the analyzer is able to start a new measurement sweep.

<Ch> | Channel number of the corrected channel
RECeiver, SOURce, ATTenuator | Calibration step, to be performed in the order RECeiver -> SOURce -> ATTenuator (optional, only if an external attenuator is used)
*RST value | –
SCPI, Command Types | Device-specific, no query
Example: | See Noise Figure Measurement (condensed programming examples)

[SENSe<Ch>:]CORRection:COLLect:NFIGure:END

Terminates a noise figure calibration, discarding the acquired data (see note for [SENSe<Ch>:] CORRection:COLLect:NFIGure[:ACQuire]).

<Ch> | Channel number of the corrected channel
SCPI, Command Types | Device-specific, no query
Example: | See Noise Figure Measurement (condensed programming examples)

[SENSe<Ch>:]CORRection:COLLect:NFIGure:SAVE

Completes a noise figure calibration, storing and applying the acquired data (see note for [SENSe<Ch>:] CORRection:COLLect:NFIGure[:ACQuire]).

<Ch> | Channel number of the corrected channel
SCPI, Command Types | Device-specific, no query
Example: | See Noise Figure Measurement (condensed programming examples)

[SENSe<Ch>:]CORRection:COLLect:NFIGure:STARt
<port1_no>, <port2_no>, <ext_att_ON | OFF>, <src_ncal_att>, <DUT_meas_att>

Defines the calibration settings (port assignment, attenuations) for a noise figure calibration.

<Ch> | Channel number of the corrected channel
<port1_no>, <port2_no>, | Port numbers of the DUT output (<port1_no>) and the DUT input. The port numbers may be different from each other or equal.
<ext_att_ON | OFF>, | ON | OFF – Boolean parameter, indicates whether an external attenuator is used.
<src_ncal_att>, | Attenuation of the source level during the source noise calibration.
<DUT_meas_att> | Attenuation of the source level during the measurement (i.e. after calibration).
*RST value | –
SCPI, Command Types | Device-specific, no query
Example: | See Noise Figure Measurement (condensed programming examples)

[SENSe<Ch>:]CORRection:COLLect:SAVE

Calculates the system error correction data from the acquired one or two-port measurement results ([SENSe<Ch>:] CORRection:COLLect[:ACQuire]), stores them and applies them to the calibrated channel <Ch>. To avoid incompatibilities, older system error correction data is deleted unless it has been transferred into a cal pool (MMEMory:STORe:CORRection <Ch>, '<file_name>').

This command is the ZVR-compatible equivalent of [SENSe<Ch>:] CORRection:COLLect:SAVE:SELected. It must be used in combination with the ZVR-compatible commands for calibration method and standard selection; see example below.

<Ch> | Channel number of the calibrated channel.
*RST value | –
SCPI, Command Types | Confirmed, no query
Example: | CORR:COLL:METH REFL1 Select a one-port normalization at port 1 as calibration type. CORR:COLL OPEN1 Measure an open standard connected to port 1 and store the measurement results of this standard. CORR:COLL:SAVE Calculate the system error correction data and apply them to the active channel.

[SENSe<Ch>:]CORRection:COLLect:SAVE:DEFault

Generates a set of default system error correction data for the selected ports and calibration type. The default data set corresponds to a test setup which does not introduce any systematic errors; none of the measurement results acquired previously ([SENSe<Ch>:] CORRection:COLLect[:ACQuire]) is taken into account.

The main purpose of the default correction data set is to provide a dummy system error correction which you can replace with your own, external correction data. You may have acquired the external data in a previous session or even on an other instrument. If you want to use the external correction data on the analyzer, simply generate the default data set corresponding to your port configuration and calibration type and overwrite the default data. For details refer to the program example below.

This command must be used in combination with the ZVR-compatible commands [SENSe<Ch>:]CORRection:COLLect:METHod and [SENSe<Ch>:]CORRection:DATa. Use [SENSe<Ch>:]CORRection:COLLect:SAVE:SELected:DEFault if you want to use ZVA-specific calibration commands or if you want to calibrate more than 2 ports.

<Ch>

Channel number of the calibrated channel.

*RST value

–

SCPI, Command Types

Device-specific, no query

Example:

CORR:COLL:METH REFL1

Select a one-port normalization at port 1 with an open standard as calibration type.

CORR:COLL:SAVE:DEF

Calculate a dummy system error correction for the normalization at port 1. The dummy system error correction provides the reflection tracking error term 'SCORR3'.

INIT:CONT OFF; :INIT; *WAI

Stop the sweep to ensure correct transfer of calibration data.

CORR:DATA? 'SCORR3'

Query the dummy system error correction term. The response is a 1 (written as 1,0 for the real and imaginary part) for each sweep point (no attenuation and no phase shift between the analyzer and the calibration plane).

CORR:DATA 'SCORR3',<ASCII_data>

Replace the dummy system error correction term with your own correction data, transferred in ASCII format.

INIT:CONT ON

Restart the sweep in continuous mode.

[SENSe<Ch>:]CORRection:COLLect:SAVE:SELected

Calculates the system error correction data from the acquired measurement results ([SENSe<Ch>:] CORRection:COLLect[:ACQuire]:SELected), stores them and applies them to the calibrated channel <Ch>. To avoid incompatibilities, older system error correction data is deleted unless it has been transferred into a cal pool (MMEMory:STORe:CORRection <Ch>, '<file_name>').

<Ch> | Channel number of the calibrated channel.
*RST value | –
SCPI, Command Types | Confirmed, no query
Example: | CORR:COLL:METH:DEF 'Test',RSHort,1 Select a one-port normalization at port 1 with a short standard as calibration type. CORR:COLL:SEL SHOR,1 Measure a short standard connected to port 1 and store the measurement results of this standard. CORR:COLL:SAVE:SEL Calculate the system error correction data and apply them to the active channel.

[SENSe<Ch>:]CORRection:COLLect:SAVE:SELected:DEFault

Generates a set of default system error correction data for the selected ports and calibration type. The default data set corresponds to a test setup which does not introduce any systematic errors; none of the measurement results acquired previously ([SENSe<Ch>:] CORRection:COLLect[:ACQuire]:SELected) is taken into account.

The main purpose of the default correction data set is to provide a dummy system error correction which you can replace with your own, external correction data. You may have acquired the external data in a previous session or even on an other instrument. If you want to use the external correction data on the analyzer, simply generate the default data set corresponding to your port configuration and calibration type and overwrite the default data. For details refer to the program example below.

<Ch>

Channel number of the calibrated channel.

*RST value

–

SCPI, Command Types

Device-specific, no query

Example:

CORR:COLL:METH:DEF 'Test',RSHort,1

Select a one-port normalization at port 1 with a short standard as calibration type.

CORR:COLL:SAVE:SEL:DEF

Calculate a dummy system error correction for the normalization at port 1. The dummy system error correction provides the reflection tracking error term 'REFLTRACK'.

CORR:CDAT? 'REFLTRACK',1,0

Query the dummy system error correction term. The response is a 1 (written as 1,0 for the real and imaginary part) for each sweep point (no attenuation and no phase shift between the analyzer and the calibration plane).

INIT:CONT OFF; :INIT; *WAI

Stop the sweep to ensure correct transfer of calibration data.

CORR:CDAT 'REFLTRACK',1,0,<ASCII_data>

Replace the dummy system error correction term with your own correction data, transferred in ASCII format.

INIT:CONT ON

Restart the sweep in continuous mode.

[SENSe<Ch>:]CORRection:COLLect:SCONnection<port_no>
'<conn_name>', MALE | FEMale

Selects a connector type at a specified port <port_no> and its gender. In contrast to [SENSe<Ch>:] CORRection:COLLect:CONnection<port_no>, this command uses a string variable to identify the connector type.

<Ch> | Channel number of the calibrated channel.
<port_no> | Port numbers of the analyzer. Note: If the analyzer is set to use the same connectors at all ports ([SENSe<Ch>:] CORRection:COLLect:CONNection<port_no>:PORTs ALL), then a change of a connector type is valid for all ports. The gender of the connectors can still be different.
Parameters | Connector type (string parameter) and gender of the connectors. The gender designation MALE | FEMale is not necessary (and ignored) for sexless connector types.
*RST value | 'N 50 Ohm',FEM for all ports.
SCPI, Command Types | Device-specific, command or query.
Example: | *RST; :CORR:COLL:SCON1 'N 75 Ohm', MALE; SCON4? Change the connector type at port 1 from 'N 50 Ohm', FEM to 'N 75 Ohm', MALE. The connector type at the other ports is also changed to N 75 Ohm, however, the gender (female) is maintained. CORR:COLL:SCON4? returns 'N 75 Ohm', FEM.


SENSe:CORRection:DATA

The 7-term calibration types named Txx (e.g. TOM, TRM, TRL, TNA) are based on a network analyzer with two ports i and j, each equipped with a test receiver and a reference receiver. The system errors are described in terms of two "error two-ports" PG and PH:

  • The error two-port PG is assigned to port i of the analyzer. Its transmission matrix G describes how the system errors modify the outgoing and incident waves at port i:

  • The error two-port PH is assigned to port j of the analyzer. Its transmission matrix H describes how the system errors modify the measured incident and outgoing waves at port j:

In the two equations above, a and b denote the waves at the calibrated reference plane i and j (e.g. the input and output of the 2-port DUT). The m waves are the raw measured waves of test port i and j. The subscripts "ref" and "test" refer to the reference and test receivers, respectively.

During the calibration the network analyzer acquires ratios of wave quantities, which leaves one of non-diagonal matrix elements of G or H as a free normalization factor. The network analyzer uses the normalization H21 = 1.

[SENSe<Ch>:]CORRection:CONNection
'<conn_name>', TEM | WGUide, GENDer | NGENder, <perm_rel>, <imped>

Configures the user-defined connector types.

<Ch> | Channel number
'<conn_name>' | Name of the user-defined connectors, string parameter
TEM | WGUide | Transverse electric or waveguide type propagation mode
GENDer | NGENder | Polar connector type (m/f) Sexless connector type
<perm_rel> | Relative permittivity
Range [def. unit] | 0.0000000001 to 1000. [–] UP/DOWN/MIN/MAX parameters are not available for this command
*RST value | –
<imped> | For TEM type connectors: reference impedance in Ω (without unit), For WGUide type connectors: cutoff frequency in Hz (without unit)
Range [def. unit] | Ref. impedance: 1mW to 1000 MΩ Cutoff frequency: 0 Hz to 1000 GHz
*RST value | –
SCPI, Command Types | Device-specific, command or query
Example: | CORR:CONN 'USERCON',TEM,GEND,1.00000,50 Define a TEM type connector type names USERCON. CORR:CONN? 'USERCON' Query the properties of the configured connector type. CORR:CONN:DEL 'USERCON' Delete the configured connector type.

[SENSe<Ch>:]CORRection:CONNection:CATalog?

Returns a list of the connector types of all calibration kits in use.

<Ch>

Channel number. This suffix is ignored because connectors are channel-independent.

*RST value

–

SCPI, Command Types

Device-specific, query only

Example:

:SENSe1:CORRection:CONNection:CATalog?

Query connector types. Possible answer: 'N 50 Ohm,N 75 Ohm,PC 7,PC 3.5,2.92 mm,2.4 mm,1.85 mm,7-16'

:SENSe1:CORRection:CKIT:CATalog? 'PC 7'

Query cal kits for PC 7 connector types. Possible answer: 'PC 7 Ideal Kit,85031B,85050B,85050C,85050D'

:SENSe1:CORRection:CKIT:STANdard:CATalog? '85032B/E' // N 50 cal kit

Query standards in cal kit named 85032B/E. Possible answer: 'MOP,FOP,MSH,FSH,MMMT,FMMT,MFTH'

:SENSe:CORRection:CKIT:STANdard:CATalog? 'newkit2' // PC 7 cal kit

Query standards in user-defined cal kit named newkit2. Possible answer: 'MOP,FOP,MSH(P1),FSH,MMMT,FMMT,MSM,FSM,MREF,FREF,MOSHORT2,FOSHORT2,MOSHORT3,FOSHORT3,MMTH,MMTH(P2P3) ...' (P1 etc. denote restricted port assignments).

[SENSe<Ch>:]CORRection:CONNection:DELete '<conn_name>'

Deletes a user-defined connector type named '<conn_name>'.

<Ch> | Channel number
'<conn_name>' | Name of the user-defined connectors, string parameter
SCPI, Command Types | Device-specific, no query
Example: | See [SENSe<Ch>:]CORRection:CONNection

[SENSe<Ch>:]CORRection:DATA
'SCORR1' | ... | 'SCORR12' | 'G11' | ... 'G22' | 'H11' | ... | H22'

Writes or reads system error correction data for a specific channel <Ch> and calibration method ([SENSe<Ch>:]CORRection:COLLect:METHod). The analyzer test ports 1 or 2 are implicitly specified with the correction terms. The setting command can be used to transfer user-defined correction data to the analyzer; the query returns the current correction data set. ASCII or block data can be transferred, depending on the selected data transfer format (FORMat[:DATA])

The sweep must be stopped to transfer calibration data; see program example for [SENSe<Ch>:] CORRection:COLLect:SAVE:DEFault.

This command affects the active calibration of channel no. <Ch> or the factory calibration (if no channel calibration is active). For the factory calibration, the query form is allowed only (no change of factory calibration data).

Use the generalized command [SENSe<Ch>:] CORRection:COLLect:CDATa to transfer calibration data for arbitrary analyzer ports.

<Ch>

Channel number of the calibrated channel. If unspecified the numeric suffix is set to 1.

Error term parameters

String parameters describing the different error terms, depending on the current calibration method; see table below. Each term contains one complex value (real and imaginary part) for each sweep point.

Range [def. unit]

The error terms consist of dimensionless complex numbers. The parameters must be transferred in full length and have the following meaning:

'SCORR1' – Directivity at port 1
'SCORR2' – Source match at port 1
'SCORR3' – Reflection tracking at port 1
'SCORR4' – Reserved for future extensions
'SCORR5' – Load match at port 2
'SCORR6' – Forward transmission tracking between port 1 and port 2
'SCORR7' – Directivity at port 2
'SCORR8' – Source match at port 2
'SCORR9' – Reflection tracking at port 2
'SCORR10' – Reserved for future extensions
'SCORR11' – Load match at port 1
'SCORR12' – Reverse transmission tracking between port 2 and port 1
'G11' ... 'G22' – G matrix elements
'H11' ... 'H22' – H matrix elements

G and H Matrices

*RST value

–
The analyzer provides a default calibration corresponding to a test setup which does not introduce any systematic errors; see [SENSe<Ch>:] CORRection:COLLect:SAVE:DEFault.

SCPI, Command Types

Device-specific, command or query

After a system error correction in one of the sweep types Power, Time, or CW Mode, the query returns two sets of correction data, corresponding to the fixed CW frequency and the CW frequency plus 1 Hz (minus 1 Hz if the CW frequency is equal to the maximum frequency of the analyzer).

Example:

See [SENSe<Ch>:]CORRection:COLLect:SAVE:DEFault.

The different calibration types of the analyzer provide the following error terms:
Calibration type | Parameter in [SENSe<Ch>:]CORRection:COLLect:METHod | Available error terms (depending on port numbers)
One-port normalization (reflection) using an open standard | REFL1 REFL2 REFL12 | 'SCORR3' 'SCORR9' 'SCORR3' and 'SCORR9'
Full one port | FOPort1 FOPort2 FOPort12 | 'SCORR1' to 'SCORR3' 'SCORR7' to 'SCORR9' 'SCORR1' to 'SCORR3' and 'SCORR7' to 'SCORR9'
Two-port normalization | FTRans RTRans FRTRans | 'SCORR6' 'SCORR12' 'SCORR6' and 'SCORR12'
One path two port | FOPTport ROPTport | 'SCORR1' to 'SCORR3', 'SCORR6' 'SCORR7' to 'SCORR9', 'SCORR12'
TOSM | TOSM | 'SCORR1' to 'SCORR12' (at present the isolation terms 'SCORR4' and 'SCORR10' are not included)
TOM, TRM, TRL, TNA | TOM | TRM | TRL | TNA | 'DIRECTIVITY', 'SRCMATCH', 'REFLTRACK', 'LOADMATCH', 'TRANSTRACK' (for reading and writing) 'G11' ... 'G22' and 'H11', 'H12', 'H22' (for reading only; the 'H21' matrix elements are normalized to 1)

[SENSe<Ch>:]CORRection:DATA:PARameter?

Returns the sweep settings of the active system error correction for channel <Ch> (or of the factory calibration, if no channel calibration is active).

<Ch> | Channel number of the calibrated channel.
Response | Five values, corresponding to the start and stop frequency of the calibration sweep, the number of points, the source power, and the sweep type (LIN | LOG | SEGM).
*RST value | – (the command generates an execution error if no system error correction is active)
SCPI, Command Types | Device-specific, query only
Example: | See [SENSe<Ch>:]CORRection:DATE?

[SENSe<Ch>:]CORRection:DATE?

Returns the date and time when the active system error correction data for channel <Ch> was acquired.

<Ch>

Channel number of the calibrated channel.

*RST value

– (the command generates an execution error if no system error correction is active)

SCPI, Command Types

Device-specific, query only

Example:

CORR:COLL:METH REFL1

Select a one-port normalization at port 1 as calibration type.

CORR:COLL OPEN1

Measure an open standard connected to port 1 and store the measurement results of this standard.

CORR:COLL:SAVE

Calculate the system error correction data and apply them to the active channel.

CORR:DATE?

Query the time when the system error correction became active. The analyzer returns the data and time, e.g. '03/20/06,18:30:39'.

CORR:DATA:PAR?

Query the sweep settings for the calibration sweep. The analyzer returns the start and stop frequency, the number of points, source power, and the sweep type, e.g. 300000,8000000000,201,0,LIN.

CORR:SST?

Query the calibration status. The analyzer returns 'CAL OFF' (because the performed one-port calibration is not sufficient for the measured transmission S-parameter S21).

[SENSe<Ch>:]CORRection:EDELay<port_no>:AUTO ONCE

Defines the offset parameter for the active test port such that the residual delay of the active trace (defined as the negative derivative of the phase response) is minimized across the entire sweep range.

<Ch> | Channel number of the offset-corrected channel.
<port_no> | Port number of the analyzer. This numeric suffix is ignored; the active port is determined by the active trace.
ONCE | Applies the Auto Length function.
*RST value | –
SCPI, Command Types | Device-specific, no query
Example: | *RST; :CORR:EDEL:AUTO ONCE Reset the instrument and apply the auto length function to the default trace (Trc1 in channel 1).

[SENSe<Ch>:]CORRection:EDELay<port_no>:DIELectric <permittivity>

Defines the permittivity for the offset correction at test port <port_no>.

<Ch> | Channel number of the offset-corrected channel
<port_no> | Port number of the analyzer
<permittivity> | Permittivity
Range [def. unit] | 1 to +1E+6 []
*RST value | 1.00062
SCPI, Command Types | Device-specific, command or query
Example: | See [SENSe<Ch>:]CORRection:EDELay<port_no>:ELENgth

[SENSe<Ch>:]CORRection:EDELay<port_no>:DISTance <length>

Defines the offset parameter for test port <port_no> as a mechanical length.

<Ch> | Channel number of the offset-corrected channel
<port_no> | Port number of the analyzer
<length> | Mechanical length
Range [def. unit] | –3.402823466E+038 m to +3.4028234664E+038 m.
*RST value | 0 m [m]
SCPI, Command Types | Device-specific, command or query
Example: | See [SENSe<Ch>:]CORRection:EDELay<port_no>:ELENgth

[SENSe<Ch>:]CORRection:EDELay<port_no>:ELENgth <length>

Defines the offset parameter for test port <port_no> as an electrical length.

<Ch>

Channel number of the offset-corrected channel

<port_no>

Port number of the analyzer

<length>

Electrical length

Range [def. unit]

–1E+9 m to +1E+9 m [m]. The increment (UP, DOWN) is 1 mm.

*RST value

0 m

SCPI, Command Types

Device-specific, command or query

Example:

CORR:EDEL2:ELEN 0.3

Define an electrical length of 30 cm for channel 1 and port no. 2.

CORR:EDEL2:DIST?; DIEL?

Query the values of the mechanical length and the permittivity at port 2. The mechanical length is equal to the electrical length divided by the square root of the permittivity; the latter is set to its default value. The response is 0.29990704322;1.00062.

CORR:EDEL2?

Query the value of the delay at port 2. The delay is equal to the electrical length divided by the speed of light in the vacuum, so the response is 1.0006922856E-009.

CORR:LOSS2 2; LOSS2:FREQ 1.5 GHz; OFFS 3 dB

Define the offset loss parameters at port 2.

[SENSe<Ch>:]CORRection:EDELay<port_no>[:TIME] <delay>

Defines the offset parameter for test port <port_no> as a delay time.

<Ch> | Channel number of the offset-corrected channel
<port_no> | Port number of the analyzer
<delay> | Delay
Range [def. unit] | -3.40282346638529E+038 s to +3.40282346638529E+038 s [s].
*RST value | 0 s
SCPI, Command Types | Device-specific, command or query
Example: | See [SENSe<Ch>:]CORRection:EDELay<port_no>:ELENgth

[SENSe<Ch>:]CORRection:EWAVe[:STATe] <Boolean>

Activates or deactivates the system error correction of all a- and b-waves which are related to the ports of the active calibration.

<Ch> | Number of the active channel
<Boolean> | Enable or disable enhanced wave calibration
*RST value | OFF
SCPI, Command Types | Device-specific, command or query
Example: | See One and Two-Port Calibration

[SENSe<Ch>:]CORRection:FACTory[:STATe] <Boolean>

Enables or disables the factory calibration for all channels in the active setup.

<Ch> | Channel number. This parameter is ignored; the command affects all channels.
<Boolean> | Enable or disable factory calibration
*RST value | ON
SCPI, Command Types | Device-specific, command or query
Example: | *RST; :CORR:FACT? Reset the instrument and query whether the factory calibration for channel 1 is enabled. The response is 1.

[SENSe<Ch>:]CORRection:LOSS<port_no> <ref_loss>

Defines the offset loss at the reference frequency ([SENSe<Ch>:] CORRection:LOSS<port_no>:FREQuency).

<Ch> | Channel number of the offset-corrected channel
<port_no> | Port number of the analyzer
<ref_loss> | Frequency-dependent part of the offset loss
Range [def. unit] | -200 dB to +200 dB [dB]. The increment (UP/DOWN) is 0.001 dB.
*RST value | 0 dB
SCPI, Command Types | Device-specific, command or query
Example: | See [SENSe<Ch>:]CORRection:EDELay<port_no>:ELENgth

[SENSe<Ch>:]CORRection:LOSS<port_no>:AUTO ONCE

Defines the offset parameters for the active test port such that the residual delay of the active trace (defined as the negative derivative of the phase response) is minimized and the measured loss is reproduced as far as possible across the entire sweep range.

<Ch> | Channel number of the offset-corrected channel.
<port_no> | Port number of the analyzer. This numeric suffix is ignored; the active port is determined by the active trace.
ONCE | Applies the Auto Length and Loss function.
*RST value | –
SCPI, Command Types | Device-specific, no query
Example: | *RST; :CORR:LOSS:AUTO ONCE Reset the instrument and apply the Auto Length and Loss function to the default trace (Trc1 in channel 1).

[SENSe<Ch>:]CORRection:LOSS<port_no>:FREQuency <ref_frequency>

Defines the reference frequency for the frequency-dependent part of the offset loss ([SENSe<Ch>:] CORRection:LOSS<port_no>:OFFSet).

<Ch> | Channel number of the offset-corrected channel
<port_no> | Port number of the analyzer
<ref_frequency> | Reference frequency
Range [def. unit] | Frequency range of the analyzer model [Hz]. The increment (UP/DOWN) is 1 MHz.
*RST value | 1000000000 Hz (= 1 GHz)
SCPI, Command Types | Device-specific, command or query
Example: | See [SENSe<Ch>:]CORRection:EDELay<port_no>:ELENgth

[SENSe<Ch>:]CORRection:LOSS<port_no>:OFFSet <DC_loss>

Defines the frequency-independent part (DC value) of the offset loss.

<Ch> | Channel number of the offset-corrected channel
<port_no> | Port number of the analyzer
<DC_loss> | Frequency-independent part of the offset loss
Range [def. unit] | -200 dB to +200 dB [dB]. The increment (UP/DOWN) is 0.001 dB.
*RST value | 0 dB
SCPI, Command Types | Confirmed, command or query
Example: | See [SENSe<Ch>:]CORRection:EDELay<port_no>:ELENgth

[SENSe<Ch>:]CORRection:NFIGure[:STATe] <Boolean>

Disables or enables the Noise Figure Calibration for the active channel <Ch>.

<Ch> | Channel number
<Boolean> | OFF - Disable calibration (select Correction Off) ON - (re-)enable calibration
*RST value | OFF (calibration disabled, no noise figure calibration available after a reset)
SCPI, Command Types | Device-specific, command or query
Example: | See Noise Figure Measurement (condensed programming examples)

[SENSe<Ch>:]CORRection:OFFSet<port_no>:DFComp[:STATe]? <Boolean>

Returns whether a direct fixture compensation has been carried out at port no. <port_no>. A direct fixture compensation resets the offset parameters to zero, the analyzer uses calculated transmission factors instead.

<Ch> | Channel number of the offset-corrected channel
<port_no> | Port number of the analyzer.
<Boolean> | 1 – direct fixture compensation data used 0 – no direct fixture compensation data used
*RST value | -
SCPI, Command Types | Device-specific, query only
Example: | *RST; :CORR:OFFS:DFC? Reset the instrument and query whether the analyzer uses direct fixture compensation data at port 1. The response is 0.

[SENSe<Ch>:]CORRection:OFFSet<port_no>:MAGNitude <DC_loss>

Defines the frequency-independent part (DC value) of the offset loss.

Use the [SENSe<Ch>:]CORRection:LOSS<port_no>... commands to define the complete set of loss offset parameters. [SENSe<Ch>:]CORRection:OFFSet<port_no>:MAGNitude is equivalent to [SENSe<Ch>:] CORRection:LOSS<port_no>:OFFSet

<Ch> | Channel number of the offset-corrected channel
<port_no> | Port number of the analyzer
<DC_loss> | Frequency-independent part of the offset loss
Range [def. unit] | -200 dB to +200 dB [dB]. The increment (UP/DOWN) is 0.001 dB.
*RST value | 0 dB
SCPI, Command Types | Confirmed, command or query
[SENSe<Ch>:]CORRection:OFFSet<port_no>[:STATe] <Boolean>

Resets the offset parameters for all test ports to zero or queries whether any of the offset parameters are different from zero.

<Ch> | Channel number of the offset-corrected channel
<port_no> | Port number of the analyzer. This numeric suffix is ignored; the command affects the parameters of all ports.
<Boolean> | The parameter function depends on whether the command is used as a setting command or as a query: For setting command: ON – no effect OFF – resets all length offsets to zero For query: 1 – at least one length offset is different from zero 0 – all length offsets are zero
*RST value | OFF
SCPI, Command Types | Device-specific, command or query
Example: | *RST; :CORR:OFFS? Reset the instrument and query whether the length offset parameters have been reset as well. The response is 0.


SENSe:CORRection:POWer

:ACQuire

:AWAVe

[:STATe]

:DATA

:HARMonic

[:ACQuire]

:MIXer

:IF

[:ACQuire]

PSTate?

SSTate?

[:STATe]

[SENSe<Ch>:]CORRection:POWer<port_no>...

This subsystem controls the receiver power calibration.

Command tree: [SENSe<Ch>:]CORRection:POWer<port_no>

[SENSe<Ch>:]CORRection:POWer<port_no>:ACQuire
AWAVe | BWAVe | B1 | B2 | B3 | B4[,<cal_port>, PORT | GENerator | CONVerter, <source_no>]

Selects the wave quantity and the source for the receiver power calibration, starts the calibration sweep, and applies the receiver power correction.

The command triggers an event and has no query form. The calibrated waves and the used source are not shown in the Receiver Power Cal dialog.

<Ch>

Calibrated channel number

<port_no>

Calibrated port number. This suffix is ignored because the port number is specified in the parameter list.

AWAVe

Calibration of reference wave a1, a2, ...

BWAVe

Calibration of received wave b1, b2, ....
The port number <cal_port>, the used source (PORT | GENerator), and the source number <source_no> must be specified in addition. Alternative: Parameters B1 and B2.

B1 | B2 | B3 | B4

Direct wave and cal port setting for received waves b1, b2,... The parameters B1 and B2 are ZVR-compatible. No additional parameters need to be specified. The source for B<no> is Port <no>.

<cal_port>

Calibrated port number

Range [def. unit]

1 to port number of the analyzer [–]

PORT |

Internal source at port <source_no>, to be fed to port <cal_port> using an external through connection.

GENerator|

External generator no. <source_no>

CONVerter

Frequuency converter with electronic attenuator (R&S ZVA-ZxxxE) no. <source_no>

<source_no>

Number of the port for the internal source / generator / converter

Range [def. unit]

1 to port number of the analyzer/number of external generators [–]

*RST values

– (for all parameters)

SCPI, Command Types

Device-specific, no query

Example:

*RST; :CORR:POW:ACQ AWAVe,1,PORT,1

Perform a receiver power calibration of the wave a1 using port 1 as a source port, assuming that the transmitted source power a1 is correct. No external cabling is needed.

CORR:POW:AWAV?

Check whether the calibration is applied (the response is 1).

CALC:PAR:MEAS 'TRC1', 'A1'

Select a1 as a measured quantity for the default trace.

CALC:MARK ON; MARK:Y?; :SOUR:POW?

Create marker no. <Mk> in the center of the sweep range and query the measurement value. The calibrated power of the reference wave a1 is approx. equal to the default source power value.

See also example for SENSe<Ch>:] CORRection:POWer<port_no>[:STATe].

[SENSe<Ch>:]CORRection:POWer<port_no>:AWAVe[:STATe] <Boolean>

Enables or disables the receiver power calibration for channel <Ch> and for the reference waves an. The command is disabled unless the reference waves have been power calibrated ([SENSe<Ch>:] CORRection:POWer<port_no>:ACQuire AWAVe,...).

<Ch> | Calibrated channel number
<port_no> | Calibrated port number
<Boolean> | Enables (ON) or disables (OFF) the receiver power calibration for the reference waves an.
*RST value | OFF [–]
SCPI, Command Types | Device-specific, command or query
Example: | See [SENSe<Ch>:]CORRection:POWer<port_no>:ACQuire

[SENSe<Ch>:]CORRection:POWer<port_no>:DATA
'<wave_string>', <block> | <numeric_value>...

Reads or writes receiver power correction data sets. A power correction data set contains n real values where:

  • Each value corresponds to the ratio of the actual power at the receiver input (value provided by the used source) to the uncalibrated power in dB.

  • The number n is equal to the number of sweep points.

Increasing (decreasing) the values in the correction data sets increases (decreases) the input power reading. Writing correction data (the setting command) fails if the number of transferred values is not equal to the number of sweep points.

<Ch>

Calibrated channel number

<port_no>

Calibrated port number

'<wave_string>'

Identifier for the calibrated wave:

  • 'A<n>' or 'AWAV<n>' denote correction data for the reference wave a<n>, where <n> corresponds to the port number.

  • 'B<n>' or 'BWAV<n>' denote correction data for the reference wave b<n>.

<block> | <numeric_value>...

Power correction values in block data format or as a comma-separated list of real numbers. The query returns a list of numbers.

Range [def. unit]

All numbers are interpreted as dB-values.

*RST value

–

SCPI, Command Types

Device-specific, command or query

Example:

*RST; :SWE:POIN 10

Reset the instrument and reduce the number of sweep points to 10.

CORR:POW:ACQ AWAVe,1,PORT,1

Perform a receiver power calibration of the wave a1 using port 1 as a source port, assuming that the transmitted source power a1 is correct. No external cabling is needed.

CORR:POW:DATA? 'AWAV1'

Query the correction values. The analyzer returns 10 comma-separated real numbers.

CORR:POW:DATA 'AWAV2', 1, 2, 3, 4, 5, -6, -7, -8, -9, -0

Replace the correction values by ten (new) numbers.

[SENSe<Ch>:]CORRection:POWer<port_no>:HARMonic:ACQuire

Starts the receiver calibration (3rd power calibration step for harmonic measurements), stores and applies the calibration data.

The receiver calibration relies on the source power calibration acquired in steps no. 1 and 2. [SENSe<Ch>:]CORRection:POWer<port_no>:HARMonic:ACQuire is enabled only after the previous steps have been carried out (SOURce<Ch>:POWer<port_no>:CORRection:HARMonic[:ACQuire]).

<Ch> | Calibrated channel number
<port_no> | Port number. This suffix is ignored; the analyzer calibrates the port that is selected as a receive port for the harmonic measurement ([SENSe<Ch>:]FREQuency:CONVersion:HARMonic:RPORt).
SCPI, Command Types | Device-specific, no query
Example: | See SOURce<Ch>:POWer<port_no>:CORRection:HARMonic[:ACQuire].

[SENSe<Ch>:]CORRection:POWer<port_no>:IMODulation:ACQuire

Starts the receiver calibration (2nd power calibration step for intermodulation measurements), stores and applies the calibration data.

The receiver calibration relies on the source power calibration acquired in step no. 1. [SENSe<Ch>:]CORRection:POWer<port_no>:IMODulation:ACQuire is enabled only after step 1 has been carried out (SOURce<Ch>:POWer<port_no>:CORRection:IMODulation:LTONe[:ACQuire], SOURce<Ch>:POWer<port_no>:CORRection:IMODulation:UTONe[:ACQuire]).

<Ch> | Calibrated channel number
<port_no> | Port number. This suffix is ignored; the analyzer calibrates the port that is selected as a receive port for the intermodulation measurement ([SENSe<Ch>:]FREQuency:IMODulation:RECeiver).
SCPI, Command Types | Device-specific, no query
Example: | See SOURce<Ch>:POWer<port_no>:CORRection:IMODulation:LTONe[:ACQuire].

[SENSe<Ch>:]CORRection:POWer<port_no>:MIXer:IF:ACQuire

Starts the IF receiver calibration (2nd power calibration step for scalar mixer measurements), stores and applies the calibration data.

The receiver calibration relies on the IF source power calibration acquired in step no. 1. [SENSe<Ch>:]CORRection:POWer<port_no>:MIXer:IF:ACQuire is enabled only after step 1 has been carried out (SOURce<Ch>:POWer<Pt>:CORRection:MIXer:RF[:ACQuire]).

<Ch> | Calibrated channel number
<port_no> | Calibrated port number. This suffix is ignored because the IF signal is always assigned to port 2.
SCPI, Command Types | Device-specific, no query
Example: | See SOURce<Ch>:POWer<Pt>:CORRection:MIXer:RF[:ACQuire].
[SENSe<Ch>:]CORRection:POWer<port_no>[:STATe] <Boolean>

Enables or disables the receiver power calibration for channel <Ch> and for the received waves bn. The command is disabled unless the received waves have been power calibrated ([SENSe<Ch>:] CORRection:POWer<port_no>:ACQuire BWAVe,...).

<Ch>

Calibrated channel number

<port_no>

Calibrated port number

<Boolean>

Enables (ON) or disables (OFF) the receiver power calibration for the received waves bn.

*RST value

OFF [–]

SCPI, Command Types

Device-specific, command or query

Example:

*RST; :CORR:POW:ACQ BWAVe,1,PORT,2

Perform a receiver power calibration of the wave b1 using port 2 as a source port, assuming that the source power a2 is correct. A through connection from port 2 to port 1 is needed.

CORR:POW?

Check whether the calibration is applied (the response is 1).

CALC:PAR:MEAS 'TRC1', 'B1D2'

Select b1 as a measured quantity for the default trace.

CALC:MARK ON; MARK:Y?; :SOUR:POW?

Create marker no. <Mk> in the center of the sweep range and query the measurement value. The calibrated power of the received wave b1 is approx. equal to the default source power value.

See also example for SENSe<Ch>:] CORRection:POWer<port_no>:ACQuire.

[SENSe<Ch>:]CORRection:PSTate?

Returns the state of the active power calibration for channel <Ch>.

<Ch> | Channel number of the calibrated channel.
Response | Sting variable containing the power calibration state label in the trace list ('PCal', 'PCai', 'PCa?', 'PCao', 'PCax', 'PCal Off'; see Power Calibration Labels).
*RST value | '' (empty string)
SCPI, Command Types | Device-specific, query only
Example: | See SOURce<Ch>:POWer:CORRection[:ACQuire]

[SENSe<Ch>:]CORRection:SSTate?

Returns the state of the active system error correction for channel <Ch>.

<Ch> | Channel number of the calibrated channel.
Response | Sting variable containing the calibration state label in the trace list ('Cal', 'Cai', 'Ca?', 'Cav', 'Cal Off').
*RST value | '' (empty string)
SCPI, Command Types | Device-specific, query only
Example: | See [SENSe<Ch>:]CORRection:DATE?

[SENSe<Ch>:]CORRection[:STATe] <Boolean>

Enables or disables the system error correction for channel <Ch>.

<Ch> | Calibrated channel number
<Boolean> | Enables (ON) or disables (OFF) the correction.
*RST value | ON [–]
SCPI, Command Types | Confirmed, command or query
Example: | *RST; :CORR? Reset the instrument and query whether channel 1 is system error corrected. The response is 1.

[SENSe<Ch>:]CORRection:STIMulus?

Queries the stimulus values of the active calibration. A calibration must be selected before the command is executed; see example.

<Ch> | Channel number of the calibrated channel.
*RST value | –
SCPI, Command Types | Device-specific, query only
Example: | *RST; :CORR:COLL:METH:DEF 'Test',RSHort,1 Select a one-port normalization at port 1 with a short standard as calibration type. CORR:STIM? Query the stimulus frequencies. The response contains 201 frequency values. CORR:COLL:SEL SHOR,1 Measure a short standard connected to port 1 and store the measurement results of this standard. CORR:COLL:SAVE:SEL Calculate the system error correction data and apply them to the active channel.


SENSe:COUPle

:COUPle

[SENSe<Ch>:]COUPle...

This subsystem selects the sweep type and the measurement parameter.

Command tree: [SENSe<Ch>:]COUPle

[SENSe<Ch>:]COUPle ALL | NONE

Activates normal or alternating sweep mode.

<Ch> | Channel number. If unspecified, this parameter is set to 1.
Parameters | ALL – normal sweep mode (alternate off), complete all partial measurements before proceeding to the next sweep point NONE – alternating sweep mode on, reverse the order of partial measurements and sweeps
*RST value | ALL
SCPI, Command Types | Device-specific, command or query
Example: | COUP NONE Activate the alternating sweep mode. TRIG:LINK 'PPO' Set the triggered measurement sequence equal to one partial measurement. Each trigger event starts one partial measurement for all sweep points.


SENSe:EUNit

:COMBiner

[:STATe]

:HFILter

[:STATe]

:LNAMplifier

[:STATe]

:PGENerator

:ASSignment

:INPut

:EXTernal

:OUTPut

:EXTernal

:PMODulator

[:STATe]

[SENSe<Ch>:]EUNit...

This subsystem configures the different signal paths in the Extension Unit R&S ZVAX24 and selects the connectors for the pulse generators.

Command tree: [SENSe<Ch>:]EUNit

[SENSe<Ch>:]EUNit:COMBiner<Path>[:STATe] <Boolean>

Switches the internal combiner in-between the RF signal paths no. 1 and 3 (source path).

<Ch> | Channel number. If unspecified, this parameter is set to 1.
<Path> | Signal path, must be set to 1 (or omitted).
<Boolean> | ON – Internal combiner used. The combined source signals of the R&S ZVAX signal paths 1 and 3 are available at the NWA port 1. OFF – No combiner used (through path). The source signals of the R&S ZVAX signal paths 1 and 3 are available at the NWA ports no. 1 and 3, respectively.
*RST value | OFF
SCPI, Command Types | Device-specific, command or query
Example: | EUN:COMB ON Activate the internal combiner. EUN:HFIL1 ON; HFIL3 ON Loop harmonic filters into the source signal paths no. 1 and 3. EUN:PMOD1 ON; PMOD3 ON Loop pulse modulators into the source signal paths no. 1 and 3. EUN:LNAM ON Loop the low-noise preamplifier into the receiver signal path no. 2.

[SENSe<Ch>:]EUNit:HFILter<Path>[:STATe] <Boolean>

Loops harmonic filters into the RF signal paths no. <Path>. Paths no. 1 and 3 in the extension unit are source paths, path no. 2 is a receiver path.

<Ch> | Channel number
<Path> | Signal path no. 1, 2, or 3. If unspecified, this parameter is set to 1.
<Boolean> | ON – Harmonic filter used OFF – No harmonic filter (through path)
*RST value | OFF
SCPI, Command Types | Device-specific, command or query
Example: | See [SENSe<Ch>:]EUNit:COMBiner[:STATe]

[SENSe<Ch>:]EUNit:LNAMplifier[:STATe] <Boolean>

Loops the low noise preamplifier into the RF receiver path no. 2. No path suffix is required.

<Ch> | Channel number
<Boolean> | ON – Low-noise amplifier used OFF – No low-noise amplifier (through path)
*RST value | OFF
SCPI, Command Types | Device-specific, command or query
Example: | See [SENSe<Ch>:]EUNit:COMBiner[:STATe]

[SENSe<Ch>:]EUNit:PGENerator:ASSignment
G1Mall | G2Mall | G1M2 | G1M3

Defines the assignment between pulse generator signals and pulse modulators.

<Ch> | Channel number
Parameters | G1Mall – Generator signal 1 controls all three modulators G2Mall – Generator signal 2 controls all three modulators G1M2 – Generator signal 1 controls modulators 1 and 2, generator signal 2 controls modulator 3 G1M3 – Generator signal 1 controls modulators 1 and 3, generator signal 2 controls modulator 2
*RST value | G1M
SCPI, Command Types | Device-specific, command or query
Example: | See [SENSe<Ch>:]EUNit:PGENerator:INPut:EXTernal

[SENSe<Ch>:]EUNit:PGENerator:INPut:EXTernal <Boolean>

Selects the R&S ZVA or an external pulse generator as a source for the pulse generator signals.

<Ch> | Channel number
<Boolean> | ON – External generator signals, fed in via EXT PULSE GENERATOR IN OFF – R&S ZVA signals, fed in via CASCADE IN
*RST value | OFF
SCPI, Command Types | Device-specific, command or query
Example: | EUN:PGEN:INP:EXT ON Select an external pulse generator. EUN:PGEN:ASS G2Mall Use the pule generator signal 2 to control all three pulse modulators. EUN:PGEN:OUTP:EXT ON Select the EXT PULSE GENERATOR OUT connectors as output connectors for the pulse generator signals.

[SENSe<Ch>:]EUNit:PGENerator:OUTPut:EXTernal <Boolean>

Routes either the R&S ZVA pulse generator signals or the external pulse generator signals to the PULSE GENERATOR OUT connector.

<Ch> | Channel number
<Boolean> | ON – External pulse generator signals, fed in via EXT PULSE GENERATOR IN OFF – R&S ZVA signals, fed in via CASCADE IN
*RST value | OFF
SCPI, Command Types | Device-specific, command or query
Example: | See [SENSe<Ch>:]EUNit:PGENerator:INPut:EXTernal

[SENSe<Ch>:]EUNit:PMODulator<Path>[:STATe] <Boolean>

Loops pulse modulators into the RF signal paths no. <Path>. Paths no. 1 and 3 in the extension unit are source paths, path no. 2 is a receiver path.

<Ch> | Channel number
<Path> | Signal path no. 1, 2, or 3. If unspecified, this parameter is set to 1.
<Boolean> | ON – Pulse modulator used OFF – No pulse modulator (through path)
*RST value | OFF
SCPI, Command Types | Device-specific, command or query
Example: | See [SENSe<Ch>:]EUNit:COMBiner[:STATe]


SENSe:FREQuency

:CENTer

:CONVersion

:ARBitrary

:PMETer

:AWReceiver

[:STATe]

:DEVice

:MODE

:NAME

:PCOefficient<Port>

:DEFault

:HARMonic (commands for harmonic distortion measurement)

:ORDer

:RELative

:RPORt

:SPORt

:MIXer...(commands for mixer measurement)

:CW|FIXed

:IMODulation (commands for intermodulation measurement)

:LPNoise

:MODE

:OFFSet

:PWAVes

:WAVes

:SBANd

:SPAN

:STARt

:STOP

[SENSe<Ch>:]FREQuency...

This subsystem sets frequency-related parameters, especially the measurement and display ranges for the different sweep types, and controls the frequency-converting measurement modes (harmonic distortion, mixer mode, etc.).

The frequency ranges for the different instrument models are listed below:

 | ZVA8 | ZVA24 | ZVA40 | ZVA50 | ZVA67
Start, Stop | 300 kHz to 8 GHz | 10 MHz to 25 GHz (the specified frequency range is 10 MHz to 24 GHz; see data sheet) | 10 MHz to 40 GHz | 10 MHz to 50 GHz | 10 MHz to 67 GHz
Center | > 300 kHz to < 8 GHz | > 10 MHz to < 25 GHz | > 10 MHz to < 40 GHz | > 10 MHz to < 50 GHz | > 10 MHz to < 67 GHz
Span | 10 mHz to 7.9997 GHz | 10 mHz to 24.99 GHz | 10 mHz to 39.99 GHz | 10 mHz to 49.99 GHz | 10 mHz to 66.99 GHz

Use SYSTem:FREQuency? MINimum | MAXimum. to query the frequency range of your analyzer.

Command tree: [SENSe<Ch>:]FREQuency

Note: For a frequency sweep the range can be defined alternatively by a combination of Start/Stop frequencies or a Center frequency and Span. In fixed frequency mode (power sweep or Time/CW Mode; see [SENSe<Chn>:]FUNCtion[:ON]) the measurement frequency is set by means of [SENSe<Ch>:]FREQuency:CW|FIXed.

[SENSe<Ch>:]FREQuency:CENTer <center_frequency>

Defines the center of the measurement and display range for a frequency sweep.

<Ch> | Channel number. If unspecified the numeric suffix is set to 1.
<center_frequency> | Center frequency of the sweep.
Range [def. unit] | Depending on the instrument model [Hz]. The increment (parameters UP or DOWN) is 0.1 kHz.
*RST value | Center of the analyzer's maximum frequency range: (fMIN + fMAX)/2
SCPI, Command Types | Confirmed, command or query.
Example: | FUNC "XFR:POW:RAT B1, A2" Activate a frequency sweep and select the ratio B1/A2 as measured parameter for channel and trace no. 1. SYST:FREQ? MIN; :SYST:FREQ? MAX Query the frequency range of the analyzer. FREQ:CENT 100MHz Set center frequency to 100 MHz. FREQ:SPAN 50000 Set frequency span to 50 kHz.

The measurement range defined by means of the center frequency and the current span ([SENSe<Ch>:]FREQuency:SPAN) must not exceed the allowed frequency range of the analyzer. If necessary, the span is reduced to min (Center – fMIN, fMAX – Center).

[SENSe<Ch>:]FREQuency:CONVersion
FUNDamental | HARMonic | SHARmonic | THARmonic | MIXer | VMIXer

Enables the measurement of a harmonic or the fundamental signal for channel <Ch>.

Enabling a harmonics measurement also resets the measured quantity; see program example below.

<Ch>

Channel number.

FUNDamental

Measurement of the fundamental signal (no frequency-converting mode).

HARMonic

Harmonics measurement. The order of the measured harmonic, the source port, and the receive port must be selected using the [SENSe<Ch>:]FREQuency:CONVersion:HARMonic... commands; see example below.

SHARmonic |
THARmonic

Measurement of the 2nd or 3rd harmonic with source port 1 and receive port 2. These parameters have been introduced for compatibilty with the ZVR. While they are active, a query returns HARM.

MIXer |
VMIXer

Scalar or vector mixer mode. Both mixer modes are configured using the [SENSe<Ch>:]FREQuency:CONVersion:MIXer... commands.

*RST value

FUNDamental

SCPI, Command Types

Device-specific, command or query. Returned values: FUND or HARM.

Example:

*RST; FREQ:STAR 0.5E+9; STOP 1E+9

Reset the analyzer (activating a frequency sweep) and set the sweep range between 1 GHz and 1.1 GHz.

FREQ:CONV:HARM:ORD 4; SPOR 1; RPOR 2

Configure a 4th harmonic measurement with source port 1 and receive port 2. The measurement is still not enabled.

FREQ:CONV HARM

Enable the configured harmonic measurement.

CALC:PAR:MEAS? "TRC1"

Query the measured quantity. The analyzer measures the wave quantity b2, the response is 'B2D1SAM'.

FREQ:CONV:HARM:RELative ON

Enable the relative harmonic measurement, creating a new channel and a new trace Trc2.

CALC2:PAR:MEAS? "TRC2"

Query the measured quantity in the new channel no. 2. The analyzer still measures the wave quantity b2, the response is 'B2D1SAM'.

CALC2:MATH:STAT?

Check whether the active trace in channel no. 2 (i.e. Trc2) is a mathematical trace: the response is 1.

[SENSe<Ch>:]FREQuency:CONVersion:ARBitrary
<numerator>, <denominator>, <offset>, CW | FIXed | SWEep

Defines the receiver frequency for frequency-converting measurements. The receiver frequency is either a range (for frequency sweeps) or a CW frequency (for power, time and CW Mode sweeps). The receiver frequency is valid for all ports.

The frequency formula is applied even if the analyzer returns an error message, because the frequency is outside the allowed range.

<Ch>

Channel number.

<numerator>
<denominator>
<offset>

Parameters of the frequency formula. The receiver frequency fr is calculated according to
fr = <numerator>/<denominator>*fb. + <offset>
where fb represents the sweep range (for frequency sweeps, parameter SWEep). For power, time and CW Mode sweeps (parameters CW or FIXed), fb = 0.

The conversion formula for fr is ZVR-compatible but differs from manual control where the ratio <numerator>/<denominator> also multiplies the <offset>.

Range [def. unit]

The converted frequency or frequency range must be within the analyzer's frequency range, depending on the instrument model [Hz]. In addition the following restrictions apply:
<numerator> – Values are rounded to positive or negative integer numbers; zero is not allowed [1]
<denominator> – Values are rounded to positive integer numbers [1]
<offset> – Values are rounded to (positive or negative) multiples of 1 Hz [Hz].

*RST value

The default frequency/frequency range corresponds to the sweep range or CW frequency of the analyzer, i.e.
<numerator> = <denominator> = 1
<offset> = 0 Hz

Sweep type Parameters

SWEep – A frequency sweep is active, the command defines a frequency range.
CW | FIXed – A power, time or CW Mode sweeps is active, the command defines a fixed frequency.

*RST value

SWEep

SCPI, Command Types

Device-specific, command or query.

Example:

*RST; FREQ:STAR 1E+9; STOP 1.1E+9

Reset the analyzer (activating a frequency sweep) and set the sweep range between 1 GHz and 1.1 GHz.

SENS:FREQ:CONV:ARB 2, 1, 1E+9, SWE

Convert the receiver frequency to the range between 3 GHz and 3.2 GHz.

[SENSe<Ch>:]FREQuency:CONVersion:ARBitrary:PMETer<Mtr>
<numerator>, <denominator>, <offset>, CW | FIXed | SWEep

Defines the receiver frequency for frequency-converting measurements. The receiver frequency is either a range (for frequency sweeps) or a CW frequency (for power, time and CW Mode sweeps). The receiver frequency is valid for all ports.

The frequency formula is applied even if the analyzer returns an error message, because the frequency is outside the allowed range.

<Ch>

Channel number.

<Mtr>

Power meter number

<numerator>
<denominator>
<offset>

Parameters of the frequency formula. The receiver frequency fr is calculated according to
fr = <numerator>/<denominator>*fb. + <offset>
where fb represents the sweep range (for frequency sweeps, parameter SWEep). For power, time and CW Mode sweeps (parameters CW or FIXed), fb = 0.

The conversion formula for fr is ZVR-compatible but differs from manual control where the ratio <numerator>/<denominator> also multiplies the <offset>.

Range [def. unit]

The converted frequency or frequency range must be within the power meter's receive frequency range [Hz]. In addition the following restrictions apply:
<numerator> – Values are rounded to positive or negative integer numbers; zero is not allowed [1]
<denominator> – Values are rounded to positive integer numbers [1]
<offset> – Values are rounded to (positive or negative) multiples of 1 Hz [Hz].

*RST value

The default frequency/frequency range corresponds to the sweep range or CW frequency of the analyzer, i.e.
<numerator> = <denominator> = 1
<offset> = 0 Hz

Sweep type Parameters

SWEep – A frequency sweep is active, the command defines a frequency range.
CW | FIXed – A power, time or CW Mode sweeps is active, the command defines a fixed frequency.

*RST value

SWEep

SCPI, Command Types

Device-specific, command or query.

Example:

*RST; FREQ:STAR 1E+9; STOP 1.1E+9

Reset the analyzer (activating a frequency sweep) and set the sweep range between 1 GHz and 1.1 GHz.

SYST:COMM:RDEV:PMET1:DEF 'USB Power Meter', 'NRP-Z55', 'usb', '100045'

Configure an R&S NRP power meter as external power meter no. 1, assigning the name USB Power Meter and an serial number 100045.

SENS:FREQ:CONV:ARB:PMET 2, 1, 1E+9, SWE

Convert the receiver frequency to the range between 3 GHz and 3.2 GHz.

[SENSe<Ch>:]FREQuency:CONVersion:AWReceiver[:STATe] <Boolean>

Qualifies whether a-waves (outgoing waves) are measured at the source or at the receiver frequency. The setting is relevant for all frequency-converting measurements.

<Ch> | Channel number.
<Boolean> | OFF - Measurement at source frequency ON - Measurement at receiver frequency
*RST value | OFF
SCPI, Command Types | Device-specific, command or query.
Example: | FREQ:CONV:AWR ON Measure a waves at the receiver frequency.
[SENSe<Ch>:]FREQuency:CONVersion:DEVice:MODE RILI | RILE

Selects the test setup (internal or external sources) for the frequency converter measurement (with option ZVA-K8, Converter Control).

<Ch> | Channel number. This suffix is ignored because the device mode is a global setting.
Parameters | RILI - Measurement at source frequency RILE - Measurement at receiver frequency
*RST value | RILI
SCPI, Command Types | Device-specific, command or query.
Example: | FREQ:CONV:DEV:NAME 'ZVA-Z110' Select frequency converter type R&S ZVA-Z110. SYST:COMM:RDEV:GEN1:DEF 'Ext. Gen. 1', 'SME02', 'gpib0', '21' Configure an R&S SME02 generator as external generator no. 1, assigning the name Ext. Gen. 1 and a GPIB address 21. FREQ:CONV:DEV:MODE RILE Measure a waves at the receiver frequency.
[SENSe<Ch>:]FREQuency:CONVersion:DEVice:NAME '<Converter Type>'

Selects the frequency converter type for enhanced frequency-converting measurements (with option ZVA-K8, Converter Control).

<Ch> | Channel number. This suffix is ignored because the converter type is a global setting.
'<Converter Type>' | 'ZVA-Z110' - Frequency converter R&S ZVA-Z110 '' - No frequency converter selected
*RST value | OFF
SCPI, Command Types | Device-specific, command or query.
Example: | See [SENSe<Ch>:]FREQuency:CONVersion:DEVice:MODE

[SENSe<Ch>:]FREQuency:CONVersion:DEVice:PCOefficient<Port> <C0>, <C1>, <C2>, <C3>

Defines power coefficients for frequency converters R&S ZVA-ZxxxE.

<Ch> | Channel number. This suffix is ignored because converter settings are global.
<Port> | NWA port number
<C0>, <C1>, <C2>, C3> | Coefficient of order 0, 1, 2, and 3.
Range [def. unit] | -500 to +500 [–].
*RST value | Depending on the individual converter
SCPI, Command Types | Device-specific, command or query.
Example: | See [SENSe<Ch>:]FREQuency:CONVersion:DEVice:PCOefficient:DEFault

[SENSe<Ch>:]FREQuency:CONVersion:DEVice:PCOefficient<Port>:DEFault <Boolean>

Enables or disables default power coefficients for frequency converters R&S ZVA-ZxxxE.

<Ch> | Channel number. This suffix is ignored because converter settings are global.
<Port> | NWA port number. This suffix is ignored because the command affects all ports.
<Boolean> | ON - Use default power coefficients OFF - Use power coefficients defined via [SENSe<Ch>:]FREQuency:CONVersion:DEVice:PCOefficient<Port>
*RST value | ON
SCPI, Command Types | Device-specific, command or query.
Example: | FREQ:CONV:DEV:NAME 'ZVA-Z110E' Select frequency converter type R&S ZVA-Z110E. FREQ:CONV:DEV:PCO3:DEF OFF FREQ:CONV:DEV:PCO3 0.5479,0.03426,-0.002866,2.124E-006 Re-define the power coefficients for port 3 according to the connected converter unit. FREQ:CONV:DEV:PCO3:DEF ON Use default power coefficients for all ports. FREQ:CONV:DEV:PCO3? Query the default power coefficients for port 3. The analyzer returns the predefined values (generally different from the coefficients entered above).
[SENSe<Ch>:]FREQuency:CONVersion:HARMonic:ORDer <order>

Selects the order of the harmonic measured if a harmonic measurement is enabled ([SENSe<Ch>:]FREQuency:CONVersion HARMonic).

<Ch> | Channel number.
<order> | Order of the harmonic, integer multiple of the fundamental frequency measured.
Range [def. unit] | 2 to 100 [–].
*RST value | 2
SCPI, Command Types | Device-specific, command or query.
Example: | See [SENSe<Ch>:]FREQuency:CONVersion

[SENSe<Ch>:]FREQuency:CONVersion:HARMonic:RELative <Boolean>

Enables or disables the relative harmonic measurement where the harmonic is divided by the fundamental wave.

With enabled relative measurement the analyzer creates a new channel and a new (mathematical) trace; see program example for [SENSe<Ch>:]FREQuency:CONVersion.

<Ch> | Channel number.
<Boolean> | Enable (ON) or disable (OFF) the relative harmonic measurement.
*RST value | OFF
SCPI, Command Types | Device-specific, command or query.
Example: | See [SENSe<Ch>:]FREQuency:CONVersion

[SENSe<Ch>:]FREQuency:CONVersion:HARMonic:RPORt <port_no>

Selects the receive port for the harmonic measurement.

<Ch> | Channel number.
<port_no> | Integer port number.
Range [def. unit] | Depending on the analyzer model [–].
*RST value | 2
SCPI, Command Types | Device-specific, command or query.
Example: | See [SENSe<Ch>:]FREQuency:CONVersion

[SENSe<Ch>:]FREQuency:CONVersion:HARMonic:SPORt <port_no> | <ext. gen. no.>

Selects the source port for the harmonic measurement.

<Ch> | Channel number.
<port_no> | Positive integer analyzer port number.
<ext. gen. no.> | Negative integer external generator number (the minus sign serves as an identifier for external generators; –1 denotes the external generator no. 1)
Range [def. unit] | Depending on the analyzer model and the number of external generators [–].
*RST value | 1
SCPI, Command Types | Device-specific, command or query.
Example: | See [SENSe<Ch>:]FREQuency:CONVersion


SENSe:FREQuency:CONVersion:MIXer

:AEXTernal

:AINTernal

:APORt

:FFIXed

:FIXed

:FUNDamental

:IFFixed

:LOEXternal

:LOFixed

:LOINternal

:RFFixed

:TFRequency

[SENSe<Ch>:]FREQuency:CONVersion:MIXer...

This subsystem controls the analyzer's mixer measurement mode. Together with the Harmonic Distortionmeasurement, the intermodulation measurement, and the arbitrary configuration of generator and receiver frequencies (Port Configuration), the mixer mode is included in option R&S ZVA-K4.

Command tree: [SENSe<Ch>:]FREQuency:CONVersion:MIXer

[SENSe<Ch>:]FREQuency:CONVersion:MIXer:AEXTernal NONE | <gen_number>

Selects an external generator as a signal source for the Aux LO signal in a vector mixer measurement (option R&S ZVA-K5). The Aux LO signal is fed to the MEAS and REF mixers.

<Ch> | Channel number.
NONE | LO signal is not controlled by the analyzer.
<gen_number> | Number of external generator as defined in the System Configuration –External Generators dialog.
*RST value | NONE
SCPI, Command Types | Device-specific, command or query.
Example: | See SOURce<Ch>:FREQuency:CONVersion:MIXer:PAFixed

[SENSe<Ch>:]FREQuency:CONVersion:MIXer:AINTernal NONE | <port_number>

Selects an analyzer port as a signal source for the Aux LO signal in a vector mixer measurement (option R&S ZVA-K5). The Aux LO signal is fed to the MEAS and REF mixers.

<Ch> | Channel number.
NONE | LO signal is not controlled by the analyzer.
<port_number> | Analyzer port number
Range [def. unit] | 3 (for 3-port analyzers), 3, 4 (for 4-port analyzers) No internal source is available for 2-port instruments.
*RST value | NONE
SCPI, Command Types | Device-specific, command or query.
Example: | See SOURce<Ch>:FREQuency:CONVersion:MIXer:PAFixed

[SENSe<Ch>:]FREQuency:CONVersion:MIXer:APORt <port_number>

Selects the Aux Mixer port (and thus the basic test setup) for vector mixer measurements (option R&S ZVA-K5).

<Ch> | Channel number.
<port_number> | Analyzer port number 1 or 2
Range [def. unit] | 1 or 2
*RST value | 2
SCPI, Command Types | Device-specific, command or query.
Example: | See SOURce<Ch>:FREQuency:CONVersion:MIXer:PAFixed

[SENSe<Ch>:]FREQuency:CONVersion:MIXer:FFIXed <fixed_frequency>

Defines a fixed frequency, to be assigned either to the RF, the LO, or the IF signal ([SENSe<Ch>:]FREQuency:CONVersion:MIXer:FIXed RF | LO | IF).

<Ch> | Channel number. If unspecified the numeric suffix is set to 1.
<fixed_frequency> | Fixed frequency.
Range [def. unit] | Depending on the instrument model [Hz]. The increment (parameters UP or DOWN) is 0.1 kHz.
*RST value | Minimum of the analyzer's frequency range, fMIN
SCPI, Command Types | Device-specific, command or query.
Example: | *RST; FREQ:CONV:MIX:FFIX 1 GHz Reset the analyzer and specify a fixed frequency of 1 GHz. FREQ:CONV:MIX:FIX RF Assign the fixed frequency to the RF signal. The fundamental frequency is automatically assigned to the LO signal. FREQ:CONV:MIX:FUND? Query the assignment of the fundamental frequency to prove the last statement. The response is LO.

[SENSe<Ch>:]FREQuency:CONVersion:MIXer:FIXed RF | LO | IF

Selects the mixer input or output signal which is at the fixed frequency defined via ([SENSe<Ch>:]FREQuency:CONVersion:MIXer:FFIXed).

<Ch> | Channel number.
Parameters | RF – mixer input signal LO – local oscillator signal IF – mixer output signal (mixing product)
*RST value | LO
SCPI, Command Types | Device-specific, command or query.
Example: | See SENSe<Ch>:]FREQuency:CONVersion:MIXer:FFIXed

[SENSe<Ch>:]FREQuency:CONVersion:MIXer:FUNDamental RF | LO | IF

Selects the mixer input or output signal which is at the fundamental frequency (channel frequency, to be defined by means of [SENSe<Ch>:]FREQuency:STARt, [SENSe<Ch>:]FREQuency:STOP, [SENSe<Ch>:]FREQuency:CW etc.).

<Ch> | Channel number.
Parameters | RF – mixer input signal LO – local oscillator signal IF – mixer output signal (mixing product)
*RST value | RF
SCPI, Command Types | Device-specific, command or query.
Example: | See SENSe<Ch>:]FREQuency:CONVersion:MIXer:FFIXed

[SENSe<Ch>:]FREQuency:CONVersion:MIXer:IFFixed <fixed freq>

Defines a fixed frequency and assigns it to the IF signal (for alternative commands see example below).

<Ch> | Channel number.
<fixed freq> | Fixed frequency.
Range [def. unit] | Depending on the instrument model [Hz]. The increment (parameters UP or DOWN) is 0.1 kHz.
*RST value | Minimum of the analyzer's frequency range, fMIN
SCPI, Command Types | Device-specific, command or query.
Example: | *RST; FREQ:CONV:MIX:IFF 1 GHz Reset the analyzer and specify a fixed frequency of 1 GHz, to be assigned to the IF signal. FREQ:CONV:MIX:FFIX?; FIX? Query the fixed frequency and the signal assignment using the alternative commands. The response is 1000000000;IF.

[SENSe<Ch>:]FREQuency:CONVersion:MIXer:LOEXternal NONE | <gen_number> | SOURce1 | SOURce2

Selects an external generator as a signal source for the LO signal (external source; to select an internal source use [SENSe<Ch>:]FREQuency:CONVersion:MIXer:LOINternal).

<Ch> | Channel number.
NONE | LO signal is not controlled by the analyzer.
<gen_number> | Number of external generator as defined in the System Configuration –External Generators dialog.
*RST value | NONE
SCPI, Command Types | Device-specific, command or query.
Example: | FREQ:CONV:MIX:LOEX 1 Select the generator no. 1 as a signal source for the LO signal. An error message -222,"Data out of range..." is generated unless an external generator is available.

[SENSe<Ch>:]FREQuency:CONVersion:MIXer:LOFixed <fixed_frequency>

Defines a fixed frequency and assigns it to the LO signal (for alternative commands see example below).

<Ch> | Channel number.
<fixed_frequency> | Fixed frequency.
Range [def. unit] | Depending on the instrument model [Hz]. The increment (parameters UP or DOWN) is 0.1 kHz.
*RST value | Minimum of the analyzer's frequency range, fMIN
SCPI, Command Types | Device-specific, command or query.
Example: | *RST; FREQ:CONV:MIX:LOF 1 GHz Reset the analyzer and specify a fixed frequency of 1 GHz, to be assigned to the LO signal. FREQ:CONV:MIX:FFIX?; FIX? Query the fixed frequency and the signal assignment using the alternative commands. The response is 1000000000;LO.

[SENSe<Ch>:]FREQuency:CONVersion:MIXer:LOINternal NONE | <port_number>

Selects an analyzer port as a signal source for the LO signal (internal source; to select an external generator use [SENSe<Ch>:]FREQuency:CONVersion:MIXer:LOEXternal).

<Ch> | Channel number.
NONE | LO signal is not controlled by the analyzer.
<port_number> | Analyzer port number
Range [def. unit] | 3 (for 3-port analyzers), 3, 4 (for 4-port analyzers) No internal source is available for 2-port instruments.
*RST value | NONE
SCPI, Command Types | Device-specific, command or query.
Example: | FREQ:CONV:MIX:LOIN 3 Select port no. 3 as a signal source for the LO signal.

[SENSe<Ch>:]FREQuency:CONVersion:MIXer:RFFixed <fixed_frequency>

Defines a fixed frequency and assigns it to the RF signal (for alternative commands see example below).

<Ch> | Channel number.
<fixed_frequency> | Fixed frequency.
Range [def. unit] | Depending on the instrument model [Hz]. The increment (parameters UP or DOWN) is 0.1 kHz.
*RST value | Minimum of the analyzer's frequency range, fMIN
SCPI, Command Types | Device-specific, command or query.
Example: | *RST; FREQ:CONV:MIX:RFF 1 GHz Reset the analyzer and specify a fixed frequency of 1 GHz, to be assigned to the RF signal. FREQ:CONV:MIX:FFIX?; FIX? Query the fixed frequency and the signal assignment using the alternative commands. The response is 1000000000;RF.

[SENSe<Ch>:]FREQuency:CONVersion:MIXer:TFRequency
DCLower | DCUPper | UCONversion | BAND1 | BAND2

Selects the frequency conversion mode of the IF signal.

<Ch> | Channel number.
DCLower DCUPper UCONVersion | IF = LO – RF (down conversion lower sideband, equivalent to BAND1) IF = RF – LO (down conversion upper sideband, equivalent to BAND2) IF = LO + RF (up conversion)
*RST value | DCUPper
SCPI, Command Types | Device-specific, command or query.
Example: | *RST; FREQ:CONV:MIX:LOF 3 GHz Reset the analyzer and specify a fixed frequency of 1 GHz, to be assigned to the LO signal. FREQ:STAR 1 GHz; STOP 2 GHz Define a sweep range between 3 and 4 GHz, to be assigned to the RF signal. FREQ:CONV:MIX:TFR DCL Select down conversion to the lower sideband, corresponding to an IF frequency range between 2 GHz and 1 GHz.


SENSe:FREQuency:CW

:CW|FIXed

:LPNoise

:MODE

:OFFSet

:PWAVes

:WAVes

:SBANd

:SPAN

:STARt

:STOP

[SENSe<Ch>:]FREQuency...

This subsystem sets frequency-related parameters, especially the measurement and display ranges for the different sweep types, and controls the harmonic distortion measurement.

Command tree: [SENSe<Ch>:]FREQuency

Note: For a frequency sweep the range can be defined alternatively by a combination of Start/Stop frequencies or a Center frequency and Span. In fixed frequency mode (power sweep or Time/CW Mode; see [SENSe<Chn>:]FUNCtion[:ON]) the measurement frequency is set by means of [SENSe<Ch>:]FREQuency:CW|FIXed.

[SENSe<Ch>:]FREQuency:CW|FIXed <CW_frequency>

Defines the fixed (Continuous Wave, CW) frequency for all sweep types operating at fixed frequency (power sweep, time sweep, CW mode sweep). The two command forms FREQ:CW and FREQ:FIX are equivalent.

[SENSe<Ch>:]FREQuency:CW|FIXed is equivalent to SOURce<Ch>:FREQuency<Pt>:CW|FIXed. Source and receiver frequency are equal; the four commands overwrite each other. With option ZVA-K4, Frequency Conversion, independent offset frequencies can be defined for the source and receiver frequencies; see SOURce<Ch>:FREQuency<Pt>:CONVersion:ARBitrary:IFRequency and [SENSe<Ch>:]FREQuency:CONVersion:ARBitrary.

<Ch> | Channel number.
<CW_frequency> | Fixed stimulus and analyzer frequency.
Range [def. unit] | Depending on the instrument model [Hz]. The increment (parameters UP or DOWN) is 0.1 kHz.
*RST value | 1 GHz
SCPI, Command Types | Confirmed, command or query.
Example: | FUNC "XPOW:POW:A1" Activate a power sweep and select the wave quantity a1 as measured parameter for channel and trace no. 1. FREQ:CW 100MHz Set the CW frequency to 100 MHz.

[SENSe<Ch>:]FREQuency:LPNoise <Boolean>

Enables or disables the Low Phase Noise function.

<Ch> | Channel number.
<Boolean> | ON | OFF - Low phase noise on or off.
*RST value | OFF
SCPI, Command Types | Device-specific, command or query.
Example: | FREQ:LPN ON Enable the Low Phase Noise function.

[SENSe<Ch>:]FREQuency:MODE
SWEep | SEGMent | CW | FIXed

Selects the sweep type and defines which set of commands controls the stimulus frequency.

The command [SENSe<Ch>:]SWEep:TYPE provides a complete list of sweep types.

<Ch> | Channel number.
SWEep | Linear or logarithmic frequency sweep, depending on the selected spacing ([SENSe<Ch>:]SWEep:SPACing LINear | LOGarithmic). The frequency range is set via [SENSe<Ch>:]FREQuency:STARt etc.
SEGMent | Segmented frequency sweep. The sweep range is composed of several continuous frequency ranges or single frequency points defined by means of the commands in the [SENSe<Ch>:]SEGMent<Seg>... subsystem.
CW | FIXed | Time sweep. The measurement is performed at constant frequency ([SENSe<Ch>:]FREQuency:CW|FIXed) and repeated over a specified period of time at constant time intervals.
*RST value | SWEep
SCPI, Command Types | Confirmed (with device-specific *RST value and parameters), command or query.
Example: | FREQ:MODE CW Activate a time sweep. FREQ:CW 100MHz Set the CW frequency to 100 MHz.

[SENSe<Ch>:]FREQuency<Pt>:OFFSet:PWAVes <offset>

Defines the constant receiver frequency offset for primed wave quantities relative to the common receiver frequency.

<Ch> | Channel number.
<Pt> | Test port number of the analyzer.
<offset> | Frequency offset.
Range [def. unit] | Depending on the instrument model [Hz]. The increment (parameters UP or DOWN) is 1 kHz.
*RST value | 0 Hz
SCPI, Command Types | Device-specific, command or query.
Example: | FREQ:STAR 2GHz; STOP 3 GHz Define a sweep range between 2 GHz and 3 GHz. FREQ:OFFS:PWAV 10kHz; WAV 20kHz Modify the receiver frequency settings.

[SENSe<Ch>:]FREQuency<Pt>:OFFSet:WAVes <offset>

Defines the constant receiver frequency offset for unprimed wave quantities relative to the common receiver frequency.

The offset for unprimed waves is not displayed in the Port Configuration dialog.

<Ch> | Channel number.
<Pt> | Test port number of the analyzer.
<offset> | Frequency offset.
Range [def. unit] | Depending on the instrument model [Hz]. The increment (parameters UP or DOWN) is 1 kHz.
*RST value | 0 Hz
SCPI, Command Types | Device-specific, command or query.
Example: | See [SENSe<Ch>:]FREQuency<Pt>:OFFSet:PWAVes

[SENSe<Ch>:]FREQuency:SBANd
POSitive | NEGative | AUTO

Defines whether the analyzer measures with a local oscillator frequency LO below or above the RF input frequency.

In a segmented frequency sweep, it is possible to set the sideband (SBANd) parameter individually for each segment; see [SENSe<Ch>:]SEGMent<Seg>:DEFine. The [SENSe<Ch>:]FREQuency:SBANd setting is global and not valid for segmented sweeps. The two sideband settings do not overwrite each other.

<Ch> | Channel number.
POSitive | The LO frequency is always above the measured RF frequency.
NEGative | The LO frequency is always below the measured RF frequency.
AUTO | The analyzer auto-selects the local oscillator frequency, depending on the receiver (RF) frequency and the test port.
*RST value | AUTO
SCPI, Command Types | Device-specific, command or query.
Example: | *RST; :SWE:TYPE?; :FREQ:SBAN? Query the *RST values for the sweep type and the sideband setting. The response is LIN (linear frequency sweep) and AUTO (automatic setting of the LO frequency).
[SENSe<Ch>:]FREQuency:SPAN <span>

Defines the width of the measurement and display range for a frequency sweep.

<Ch> | Channel number.
<span> | Frequency span of the sweep.
Range [def. unit] | Depending on the instrument model [Hz]. The increment (parameters UP or DOWN) is 0.1 kHz.
*RST value | Maximum frequency range of the analyzer: fMAX - fMIN
SCPI, Command Types | Confirmed, command or query.
Example: | FUNC "XFR:POW:RAT B1, A2" Activate a frequency sweep and select the ratio B1/A2 as measured parameter for channel and trace no. 1. FREQ:CENT 100MHz Set center frequency to 100 MHz. FREQ:SPAN 50000 Set frequency span to 50 kHz, leaving the center frequency unchanged.

Note: The measurement range defined by means of the span and the current center frequency ([SENSe<Ch>:]FREQuency:CENTer), must not exceed the allowed frequency range of the analyzer. If necessary, the center frequency is adjusted to fMIN + Span/2 or fMAX – Span/2.

[SENSe<Ch>:]FREQuency:STARt <start_frequency>

Defines the start frequency for a frequency sweep which is equal to the left edge of a Cartesian diagram.

<Ch> | Channel number.
<start_frequency> | Start frequency of the sweep.
Range [def. unit] | Depending on the instrument model [Hz]. The increment (parameters UP or DOWN) is 0.1 kHz.
*RST value | Minimum frequency of the analyzer: MIN
SCPI, Command Types | Confirmed, command or query.
Example: | FUNC "XFR:POW:RAT B1, A2" Activate a frequency sweep and select the ratio B1/A2 as measured parameter for channel and trace no. 1. FREQ:STAR 100000 Set start frequency to 100 kHz. FREQ:STOP 10MHz Set stop frequency to 10 MHz.

Note: If the start frequency entered is greater than the current stop frequency ([SENSe<Ch>:]FREQuency:STOP), the stop frequency is set to the start frequency plus the minimum frequency span ([SENSe<Ch>:]FREQuency:SPAN).

[SENSe<Ch>:]FREQuency:STOP <stop_frequency>

Defines the stop frequency for a frequency sweep which is equal to the right edge of a Cartesian diagram.

<Ch> | Channel number.
<stop_frequency> | Stop frequency of the sweep.
Range [def. unit] | Depending on the instrument model [Hz]. The increment (parameters UP or DOWN) is 0.1 kHz.
*RST value | Maximum frequency of the analyzer: MAX
SCPI, Command Types | Confirmed, command or query.
Example: | FUNC "XFR:POW:RAT B1, A2" Activate a frequency sweep and select the ratio B1/A2 as measured parameter for channel and trace no. 1. FREQ:STAR 100000 Set start frequency to 100 kHz. FREQ:STOP 10MHz Set stop frequency to 10 MHz.

Note: If the stop frequency entered is smaller than the current start frequency ([SENSe<Ch>:]FREQuency:STARt), the start frequency is set to the stop frequency minus the minimum frequency span ([SENSe<Ch>:]FREQuency:SPAN).


SENSe:FREQuency:IMODulation

:LTONe

:ORDer

[:STATe]

:RECeiver

:SPECtrum

:MORDer

[:STATe]

:TDIStance

:TTOutput

:UTONe

[SENSe<Ch>:]FREQuency:IMODulation...

This subsystem controls the analyzer's intermodulation measurement mode. Together with the Harmonic Distortion measurement, the mixer measurement, and the arbitrary configuration of generator and receiver frequencies (Port Configuration), the intermodulation measurement is included in option R&S ZVA-K4.

Command tree: [SENSe<Ch>:]FREQuency:IMODulation

[SENSe<Ch>:]FREQuency:IMODulation:COMBiner[:STATe] <Boolean>

Enables or disables the internal combiner (for R&S ZVT analyzers with option R&S ZVT20-B11 or R&S ZVA analyzers with an Extension Unit R&S ZVAXxx and option R&S ZVAXxx-B11). The internal combiner requires the following port configuration: Lower Tone: Port 1, Upper Tone: Port 3 (see example).

<Ch> | Channel number. If unspecified the numeric suffix is set to 1.
<Boolean> | ON | OFF – enables or disables the measurement using the internal combiner
*RST value | ON (for <Im> = 3), OFF (for <Im> > 3)
SCPI, Command Types | Device-specific, command or query.
Example: | *RST; FREQ:IMOD:LTON PORT,1 Select port 1 as a source port for the lower tone. FREQ:IMOD:UTON PORT,3 Select port 3 as a source port for the upper tone. FREQ:IMOD:COMB ON Enable internal combiner.

[SENSe<Ch>:]FREQuency:IMODulation:CONVersion OFF

Disables the intermodulation measurement and switches back to normal (non frequency-converting) mode.

<Ch> | Channel number.
OFF | Disable intermodulation measurement
*RST value | OFF
SCPI, Command Types | Device-specific, no query.
Example: | See [SENSe<Ch>:]FREQuency:IMODulation:LTONe

[SENSe<Ch>:]FREQuency:IMODulation:LTONe PORT | GENerator, <source_no>

Selects the source for the lower tone signal that is used for the intermodulation measurement.

<Ch> | Channel number.
Parameters | Lower tone source: PORT – internal source at port <source_no> GENerator – external generator no. <source_no>, as defined in the System Configuration –External Generators dialog.
<source_no> | Number of the port for the internal source or of the generator (to be omitted for source: NONE)
Range [def. unit] | 1 to port number of the analyzer/number of external generators [–]
*RST value | – (for all parameters)
SCPI, Command Types | Device-specific, command or query.
Example: | *RST; FREQ:IMOD:LTON PORT,1 Select port 1 as a source port for the lower tone. FREQ:IMOD:UTON PORT,3 Select port 3 as a source port for the upper tone. FREQ:IMOD:TTO EDEV Select Extenal Device as a source port for the two tone signal. FREQ:IMOD:REC 2 Select port 2 as the receiver port for the intermodulation measurement. FREQ:IMOD:TDIS 2E6 Select a tone distance of 2 MHz. FREQ:IMOD:ORD3 ON; :ORD5 ON; :ORD7 OFF; :ORD9 OFF Enable the measurement of the intermodulation products up to the 5th order. ... (Perform intermodulation measurement, evaluate results.) FREQ:IMOD:CONV OFF Disable intermodulation measurement, switch back to normal (non frequency-converting) mode.

[SENSe<Ch>:]FREQuency:IMODulation:ORDer<Im>[:STATe] <Boolean>

Enables or disables the measurement of the intermodulation products of order <IM order>.

<Ch> | Channel number.
<Im> | Order of IM products
Range [def. unit] | 3 | 5 | 7 | 9 [–]
*RST value | –
<Boolean> | ON | OFF – enables or disables measurement
*RST value | ON (for <Im> = 3), OFF (for <Im> > 3)
SCPI, Command Types | Device-specific, command or query.
Example: | See [SENSe<Ch>:]FREQuency:IMODulation:LTONe

[SENSe<Ch>:]FREQuency:IMODulation:RECeiver <port no.>

Selects the receiver port for the intermodulation measurement.

<Ch> | Channel number.
<port no.> | Analyzer port number
Range [def. unit] | 1 to the number of ports of the analyzer. [–]
*RST value | 2
SCPI, Command Types | Device-specific, command or query.
Example: | See [SENSe<Ch>:]FREQuency:IMODulation:LTONe

[SENSe<Ch>:]FREQuency:IMODulation:SPECtrum:MORDer <IM order>

Defines the maximum order of intermodulation products for the intermodulation spectrum measurement.

<Ch> | Channel number.
<IM order> | Maximum order of IM products
Range [def. unit] | 3 | 5 | 7 | 9 [–]
*RST value | 3
SCPI, Command Types | Device-specific, command or query.
Example: | See [SENSe<Ch>:]FREQuency:IMODulation:SPECtrum[:STATe]

[SENSe<Ch>:]FREQuency:IMODulation:SPECtrum[:STATe] <Boolean>

Enables or disables the measurement of the intermodulation spectrum without creating a new channel. If a new channel is desired, it must be created by other means; see example below.

<Ch>

Channel number.

<Boolean>

ON | OFF – enables or disables intermodulation spectrum measurement

*RST value

OFF

SCPI, Command Types

Device-specific, command or query.

Example:

*RST; FREQ:IMOD:LTON PORT,1; UTON PORT, 3

Reset the instrument to create the default channel no. 1. Select port 1 as a source port for the lower tone, port 3 as a source port for the upper tone.

FREQ:STAR 1GHZ; STOP 2GHz

Define a suitable sweep range to ensure that the analyzer can measure all intermodulation products.

CALC2:PAR:SDEF 'IM_SPEC', 'IP7UI'

Create a new channel no. 2 and a trace named 'IM SPEC'. Select the upper 7th-order intercept point at the DUT input as a measured quantity.

SENS2:FREQ:IMOD:SPEC:MORD 5

Select 5 as the maximum IM order for the intermodulation spectrum measurement.

SENS2:FREQ:IMOD:SPEC ON

Enable the intermodulation spectrum measurement for the new channel no. 2.

[SENSe<Ch>:]FREQuency:IMODulation:TDIStance <tone distance>

Defines the tone distance (frequency offset) between the upper and the lower tone.

<Ch> | Channel number.
<tone distance> | Upper tone frequency minus lower tone frequency.
Range [def. unit] | Lower limit: 0 Hz, upper limit depending on the instrument model and the sweep range for the lower tone [Hz]. The increment (parameters UP or DOWN) is 1 kHz.
*RST value | 1 MHz
SCPI, Command Types | Device-specific, command or query.
Example: | See [SENSe<Ch>:]FREQuency:IMODulation:LTONe

[SENSe<Ch>:]FREQuency:IMODulation:TTOutput PORT | EDEVice

Selects the source for the two tone output signal for intermodulation measurements.

<Ch> | Channel number.
Parameters | Two tone output: PORT – analyzer port 1 (for instruments with option R&S ZVA-B16 or with internal combiner only) EDEVice – external device (Ext. Dev.)
*RST value | EDEVice
SCPI, Command Types | Device-specific, command or query.
Example: | See [SENSe<Ch>:]FREQuency:IMODulation:LTONe

[SENSe<Ch>:]FREQuency:IMODulation:UTONe PORT | GENerator, <source_no>

Selects the source for the upper tone signal that is used for the intermodulation measurement.

<Ch> | Channel number.
Parameters | Upper tone source: NONE – no source selected PORT – internal source at port <source_no> GENerator – external generator no. <source_no>, as defined in the System Configuration –External Generators dialog.
<source_no> | Number of the port for the internal source or of the generator (to be omitted for source: NONE)
Range [def. unit] | 1 to port number of the analyzer/number of external generators [–]
*RST value | – (for all parameters)
SCPI, Command Types | Device-specific, command or query.
Example: | See [SENSe<Ch>:]FREQuency:IMODulation:LTONe


SENSe:FREQuency:MDELay

:ACQuire

:APERture

:CDELay

:CDMode

:COMBinerr

[:STATe]

:CONVersion

:CORRection

[:STATe]

:DIVide

:RECeiver

:USE

:UTONe

[SENSe<Ch>:]FREQuency:MDELay...

This subsystem controls the analyzer's mixer delay measurement mode. This mode requires options R&S ZVA-K9 and R&S ZVA-K4. Option R&S ZVA-K4 also provides Harmonic Distortion measurements, mixer measurements, arbitrary configuration of generator and receiver frequencies (Port Configuration), and intermodulation measurements.

Command tree: [SENSe<Ch>:]FREQuency:MDELay

[SENSe<Ch>:]FREQuency:MDELay:ACQuire

Starts a calibration sweep for the mixer delay measurement. As a prerequisite, the calibrated channel must have at least one mixer delay trace.

<Ch> | Channel number. If unspecified the numeric suffix is set to 1.
SCPI, Command Types | Device-specific, no query.
Example: | See MMEMory:LOAD:MDCData

[SENSe<Ch>:]FREQuency:MDELay:APERture <Aperture>

Defines the frequency difference between the upper and lower tone (aperture).

<Ch> | Channel number. If unspecified the numeric suffix is set to 1.
<Aperture> | Aperture
Range [def. unit] | 0 Hz to 15 MHz [Hz]
*RST value | 0 Hz
SCPI, Command Types | Device-specific, command or query.
Example: | *RST; SENS1:FREQ:STAR 1 GHz; STOP 2 GHz Select a stimulus range between 1 GHz and 2 GHz. FREQ:MDEL:APER 1 MHz Select a 1 MHz aperture. FREQ:MDEL:UTON PORT, 3 Select NWA port 3 as a source port for the upper tone (no external generator). FREQ:MDEL:COMB ON Use the internal combiner to generate the two-tone signal at port 1 (for instruments equipped with the necessary options). ... (Perform mixer delay measurement, evaluate results.) FREQ:MDELay:CONV OFF Disable mixer delay measurement, switch back to normal (non frequency-converting) mode.

[SENSe<Ch>:]FREQuency:MDELay:CDELay <Delay>

Enables constant mixer delay and defines a constant mixer delay value, to be used as a reference for a mixer delay measurement calibration.

<Ch> | Channel number. If unspecified the numeric suffix is set to 1.
<Delay> | Constant delay
Range [def. unit] | 0 s to 0.001 s [s]
*RST value | 0 s
SCPI, Command Types | Device-specific, command or query.
Example: | *RST; :FREQ:MDEL:CDEL 1 ns Enable constant mixer delay and define a constant mixer delay value of 1 ns. FREQ:MDEL:CDM? Query whether the constant delay mode is active. The response is 1.

[SENSe<Ch>:]FREQuency:MDELay:CDMode <Boolean>

Selects constant or variable delay for the mixer delay calibration.

<Ch> | Channel number.
<Boolean> | ON – Constant delay OFF – Variable delay
*RST value | ON
SCPI, Command Types | Device-specific, command or query.
Example: | See [SENSe<Ch>:]FREQuency:MDELay:CDELay

[SENSe<Ch>:]FREQuency:MDELay:COMBiner[:STATe] <Boolean>

Enables or disables the internal combiner (for R&S ZVT analyzers with option R&S ZVT20-B11 or R&S ZVA analyzers with an Extension Unit R&S ZVAXxx and option R&S ZVAXxx-B11). The internal combiner requires the following port configuration: Lower Tone: Port 1, Upper Tone: Port 3. The two-tone signal is available at port 1.

<Ch> | Channel number.
<Boolean> | ON | OFF – enables or disables the measurement using the internal combiner
*RST value | OFF
SCPI, Command Types | Device-specific, command or query.
Example: | See [SENSe<Ch>:]FREQuency:MDELay:APERture

[SENSe<Ch>:]FREQuency:MDELay:CONVersion OFF

Disables the mixer delay measurement and switches back to normal (non frequency-converting) mode.

<Ch> | Channel number.
OFF | Disable mixer delay measurement
*RST value | OFF
SCPI, Command Types | Device-specific, no query.
Example: | See [SENSe<Ch>:]FREQuency:MDELay:APERture

[SENSe<Ch>:]FREQuency:MDELay:CORRection[:STATe] <Boolean>

Qualifies whether the analyzer applies the current mixer delay meas. calibration data.

The analyzer automatically applies the calibration data when a calibration file is loaded (MMEMory:LOAD:MDCData) or after a calibration sweep has been completed ([SENSe<Ch>:]FREQuency:MDELay:ACQuire).

<Ch> | Channel number.
<Boolean> | ON | OFF – Apply / ignore calibration data
*RST value | OFF
SCPI, Command Types | Device-specific, command or query.
Example: | See MMEMory:LOAD:MDCData

[SENSe<Ch>:]FREQuency:MDELay:DIVide <Boolean>

Enables or disables the division of loaded mixer delay calibration data by two.

<Ch> | Channel number.
<Boolean> | ON | OFF – Enable / disable division
*RST value | OFF
SCPI, Command Types | Device-specific, command or query.
Example: | See MMEMory:LOAD:MDCData

[SENSe<Ch>:]FREQuency:MDELay:RECeiver INTernal | EXTernal

Selects the measurement setup/receiver configuration for the mixer delay measurement.

<Ch> | Channel number.
Parameters | INTernal – internal receiver (one network analyzer only) EXTernal – external receiver (second analyzer)
*RST value | INTernal
SCPI, Command Types | Device-specific, command or query.
Example: |

[SENSe<Ch>:]FREQuency:MDELay:RECeiver:USE LAN1 | LAN2

Selects the LAN connection for the mixer delay measurement with external receiver. The command has no effect if a single analyzer (internal receiver) is used.

<Ch> | Channel number.
Parameters | LAN1 | LAN – LAN connector on the rear panel of the analyzer
*RST value | LAN1
SCPI, Command Types | Device-specific, command or query.
Example: | See [SENSe<Ch>:]FREQuency:MDELay:RECeiver

[SENSe<Ch>:]FREQuency:MDELay:UTONe PORT | GENerator, <source_no>

Selects the source for the upper tone signal that is used for the mixer delay measurement.

<Ch> | Channel number.
Parameters | Upper tone source: NONE – no source selected PORT – internal source at port <source_no> GENerator – external generator no. <source_no>, as defined in the System Configuration –External Generators dialog.
<source_no> | Number of the port for the internal source or of the generator (to be omitted for source: NONE)
Range [def. unit] | 1 to port number of the analyzer/number of external generators [–]
*RST value | – (for all parameters)
SCPI, Command Types | Device-specific, command or query.
Example: | See [SENSe<Ch>:]FREQuency:IMODulation:LTONe


SENSe:FUNCtion

[:ON]

[SENSe<Chn>:]FUNCtion...

This subsystem selects the sweep type and the measurement parameter.

Command tree: [SENSe<Chn>:]FUNCtion

[SENSe<Chn>:]FUNCtion[:ON] '<string>'

Defines the sweep type and the measurement parameter in a single string.

Note: To select a measurement parameter without changing the sweep type, use CALCulate<Ch>:PARameter:MEASure. Use the other commands in the CALCulate<Ch>:PARameter... subsystem to create or delete traces and select measurement parameters.

<Chn>

Channel number used to identify the active trace. If [SENSe<Chn>:]FUNCtion[:ON] is not used as a query, the number must be 1.

'<string>'

Single string parameter defining the sweep type and the parameter to be measured: <string> = "<sweep_type>:<parameter>".

Range [def. unit]

See list of strings below [–].

*RST value

"XFR:S21" '

SCPI, Command Types

Confirmed, command or query

Example:

CALC4:PAR:SDEF "Ch4Tr1", "S11"

Create channel 4 and a trace named Ch4Tr1 to measure the input reflection coefficient S11. The trace automatically becomes the active trace.

SENS4:FUNC?

Check (query) the sweep type and measurement parameter of the active trace. The result is 'XFR:POW:S11'.

The following keywords define the sweep type (see SCPI command reference: presentation layer):

XFRequency | Frequency sweep (Lin. Frequency/Log. Frequency/Segmented Frequency)
XPOWer | Power sweep
XTIMe | Time sweep
XCW? | CW Mode sweep (output variable for query only)

The following keywords define the measurement parameter (see SCPI command reference: function name):

POWer:S<Ptout><Ptin>

S-parameter with output and input port number of the DUT, e.g. S11, S21.

POWer:RATio A<Ptout> | B<Ptin>, A<Ptout> | B<Ptin>
Output: A<Ptout>/B<Ptin>

Ratio, e.g. B2, A1 for b2/a1 drive Port 1

POWer:A<Ptout>

Wave quantity with stimulus port number of the analyzer, e.g. A1.

POWer:B<Ptin>

Wave quantity with receive port number of the analyzer, e.g. B2.

POWer:Z<Ptout><Ptin>

Matched-circuit impedance (converted Z-parameter) with output and input port number of the DUT, e.g. Z11, Z21.

POWer:Y<Ptout><Ptin>

Matched-circuit admittance (converted Y-parameter) with output and input port number of the DUT, e.g. Y11, Y21.

POWer:KFACtor
POWer:MUFactor<1|2>

Stability factor K

Stability factors μ1 or μ2

PAE<Ptout><Ptin>

Power Added Efficiency (PAE) with output and input port number of the DUT, e.g. PAE21 (output variable for query only)

VOLTage[:DC] DCIN1 | DCIN2
Output: DC [image] 1 V, DC [image] 10 V

DC Input 1 (DC –1 V...+1 V) or DC Input 2 (DC –10 V...+10 V)

Note: The mnemonics POWer: and VOLTage: are not used in output strings.


SENSe:LOMeasure

:LOMeasure

:LOReference

[SENSe<Ch>:]LO...

This subsystem controls the Local Oscillator (LO) amplifiers for the reference and measurement channels.

Command tree: [SENSe<Ch>:]LO...

[SENSe<Ch>:]LOMeasure<Pt>[:STATe] <Boolean>

Switches the Local Oscillator amplifier for the measurement channel b on or off.

<Ch> | Channel number. If unspecified the numeric suffix is set to 1.
<Pt> | Test port number of the analyzer.
<Boolean> | ON | OFF – Switches the LO oscillator on or off.
*RST value | ON
SCPI, Command Types | Device-specific, command or query
Example: | LOM1 OFF; LOR1 OFF Switch the local oscillators for the measurement channel b and the reference channel a at port no. 1 off.

[SENSe<Ch>:]LOReference<Pt>[:STATe] <Boolean>

Switches the Local Oscillator amplifier for the reference channel a on or off.

<Ch> | Channel number.
<Pt> | Test port number of the analyzer.
<Boolean> | ON | OFF – Switches the LO oscillator on or off.
*RST value | ON
SCPI, Command Types | Device-specific, command or query
Example: | LOM1 OFF; LOR1 OFF Switch the local oscillators for the measurement channel b and the reference channel a at port no. 1 off.


SENSE:LPORt

:ZCOMmon

:ZDIFferent

[SENSe<Ch>:]LPORt...

This subsystem defines the reference impedances of the balanced ports.

Command tree: [SENSe<Chn>:]LPORt<log_port>

[SENSe<Ch>:]LPORt<log_port>:ZCOMmon <real>[, <imaginary>]

Specifies the complex common mode reference impedance for the balanced (logical) port numbered <log_port>.

<Ch> | Channel number. If unspecified the numeric suffix is set to 1.
<log_port> | Logical port number. The logical ports must be defined using SOURce<Ch>:LPORt<log_port> <phys_port1>,<phys_port2>. An n port analyzer supports a maximum of n/2 (n even) or (n – 1)/2 (n odd) logical ports.
<real> <imaginary> | Real and imaginary part of the port impedance. <imaginary> may be omitted to define a real impedance.
Range [def. unit] | 1mΩ to 10 MΩ for the real part [Ω] – 10 MΩ to 10 MΩ for the imaginary part [Ω]
*RST value | 25 Ω (real impedance)
SCPI, Command Types | Device-specific, command or query
Example: | *RST; :CALC:PAR:DEL 'TRC1' Reset the analyzer and delete the (default) trace for channel no. 1. SOUR:LPOR1 1,2 Combine the physical ports no. 1 and 2 to define the balanced (logical) port no. 1. LPOR1:ZCOM 27, 2 Specify a complex common mode reference impedance of 27Ω + j * 2Ω for the defined port.

[SENSe<Ch>:]LPORt<log_port>:ZDIFferent <real>[, <imaginary>]

Specifies the complex differential mode reference impedance for the balanced (logical) port numbered <log_port>.

<Ch> | Channel number. If unspecified the numeric suffix is set to 1.
<log_port> | Logical port number. The logical ports must be defined using SOURce<Ch>:LPORt<log_port> <phys_port1>,<phys_port2>. An n port analyzer supports a maximum of n/2 (n even) or (n – 1)/2 (n odd) logical ports.
<real> <imaginary> | Real and imaginary part of the port impedance. <imaginary> may be omitted to define a real impedance.
Range [def. unit] | 1mΩ to 10 MΩ for the real part [Ω] – 10 MΩ to 10 MΩ for the imaginary part [Ω]
*RST value | 100 Ω (real impedance)
SCPI, Command Types | Device-specific, command or query
Example: | *RST; :CALC:PAR:DEL 'TRC1' Reset the analyzer and delete the (default) trace for channel no. 1. SOUR:LPOR1 1,2 Combine the physical ports no. 1 and 2 to define the balanced (logical) port no. 1. LPOR1:ZDIF 27, 2 Specify a complex differential mode reference impedance of 27Ω + j * 2Ω for the defined port.


SENSe:NFIGure

:ISNoise

:SEQuential

[SENSe<Ch>:]NFIGure...

This subsystem configures the noise figure measurement.

Command tree: [SENSe<Ch>:]NFIGure...

[SENSe<Ch>:]NFIGure:ISNoise <Boolean>

Qualifies whether the analyzer assumes an ideal T0 source noise.

<Ch> | Channel number. If unspecified the numeric suffix is set to 1.
<Boolean> | ON | OFF – Switches the LO oscillator on or off.
*RST value | OFF
SCPI, Command Types | Device-specific, command or query
Example: | See Noise Figure Measurement (condensed programming examples)

[SENSe<Ch>:]NFIGure:SEQuential <Boolean>

Selects sequential or simultaneous measurement mode.

<Ch> | Channel number.
<Boolean> | ON | OFF – Sequential or simultaneous measurement
*RST value | ON
SCPI, Command Types | Device-specific, command or query
Example: | See Noise Figure Measurement (condensed programming examples)


SENSE:PAE

:C

:EXPRession

:K

[SENSe<Chn>:]PAE...

This subsystem configures the measurement of the Power Added Efficiency (PAE).

Command tree: [SENSe<Chn>:]PAE

[SENSe<Chn>:]PAE:C <numeric_value>

Defines the constant c for the PAE measurement.

<Chn>

Channel number used to identify the active trace.

<numeric_value>

Value of the constant c in the PAE test model ([SENSe<Chn>:]PAE:EXPRession). The value is used if one of the test models C10 | C1 | CK11 is selected.

Range [def. unit]

-3.4028234664E+038 W/V to +3.4028234664E+038 W/V [W/V].

*RST value

0 W/V

SCPI, Command Types

Device-specific, command or query

Example:

*RST; CALC:PAR:MEAS "TRC1", "PAE21"

Select the PAE as a measurement parameter for the default trace Trc1. Select port 1 as the DUT input port, port 2 as the DUT output port.

PAE:EXPR CK11

Select the test model involving both constants and no power approximation.

PAE:C 10; K 1

Set the constant c = UDC / R to 10 W/V and the constant k = 1 W/V2. If the test setup is in accordance with the settings made, the trace shows the PAE for a constant DC supply voltage UDC.

[SENSe<Chn>:]PAE:EXPRession
C10 | C1 | K101 | CK11

Selects the test model for the PAE measurement.

<Chn> | Channel number used to identify the active trace.
C10 | The DC power is equal to the constant c ([SENSe<Chn>:]PAE:C) times the DC voltage measured at the DC input DC MEAS –10 V...+10 V.
C1 | The DC power is equal to the constant c times the DC voltage measured at the DC input DC MEAS –1 V...+1 V.
K101 | The DC power is equal to the constant k ([SENSe<Chn>:]PAE:K) times the DC voltage measured at the DC input DC MEAS –10 V...+10 V times the DC voltage measured at the DC input DC MEAS –1 V...+1 V.
CK11 | The DC power is equal to the constant c times the DC voltage measured at the DC input DC MEAS –1 V...+1 V minus k times the square of the DC voltage measured at the DC input DC MEAS –1 V...+1 V.
*RST value | CDC10
SCPI, Command Types | Device-specific, command or query
Example: | See [SENSe<Chn>:]PAE:C
[SENSe<Chn>:]PAE:K <numeric_value>

Defines the constant k for the PAE measurement.

<Chn> | Channel number used to identify the active trace.
<numeric_value> | Value of the constant k in the PAE test model ([SENSe<Chn>:]PAE:EXPRession). The value is used if one of the test models K101 | CK11 is selected.
Range [def. unit] | -3.4028234664E+038 W/V2 to +3.4028234664E+038 W/V2 [W/V2].
*RST value | 0 W/V
SCPI, Command Types | Device-specific, command or query
Example: | See [SENSe<Chn>:]PAE:C


SENSE:PMMO

[SENSe<Ch>:]PMMO

This subsystem controls the sensitivity correction of the external power meter which is used for a source power calibration.

[SENSe<Ch>:]PMMO <boolean>

Selects the frequency range for the sensitivity correction of the power meter.

<Ch> | Calibrated channel number
<boolean> | ON – from power meter entry in Port Configuration OFF – from source to be calibrated
*RST value | ON
SCPI, Command Types | Device-specific, command or query
Example: | *RST; SENS1:PMMO? Query the default frequency range in channel 1. The response is 1.


SENSE:PORT

[SENSe<Ch>:]PORT...

This subsystem controls the frequency reference oscillator.

[SENSe<Ch>:]PORT<phys_port>:ZREFerence <real>[, <imaginary>]

Specifies the complex reference impedance for the physical port numbered <phys_port>.

<Ch> | Channel number. If unspecified the numeric suffix is set to 1.
<phys_port> | Physical port number. The number of ports depends on the analyzer model.
<real> <imaginary> | Real and imaginary part of the port impedance. <imaginary> may be omitted to define a real impedance.
Range [def. unit] | 1mΩ to 10 MΩ for the real part [Ω] –10 MΩ to 10 MΩ for the imaginary part [Ω]
*RST value | Default reference impedance of the connector family assigned to the port (real impedance, e.g. 50 Ω).
SCPI, Command Types | Device-specific, command or query
Example: | PORT2:ZREF 52, 2 Specify a complex reference impedance of 52 Ω + j * 2 Ω for the (physical) port no. 2. CALC:TRAN:IMP:RNOR PWAV Select renormalization of port impedances according to the power waves theory.


SENSe:POWer

:ATTenuation

:IFGain

:MEASure

:REFerence

[SENSe<Ch>:]POWer...

This subsystem controls the power at the input ports of the analyzer.

Command tree: [SENSe<Ch>:]POWer

[SENSe<Ch>:]POWer:ATTenuation ARECeiver | BRECeiver | CRECeiver | DRECeiver, <numeric_value>

Sets an attenuation factor for the received waves. The generated wave is attenuated via SOURce:POWer<Port_no>:ATTenuation.

<Ch> | Channel number. If unspecified the numeric suffix is set to 1.
ARECeiver | BRECeiver | CRECeiver | DRECeiver | Test port of the analyzer, depending on the analyzer model: Test port 1: ARECeiver Test port 2: BRECeiver Test port 3: CRECeiver Test port 4: DRECeiver
<numeric_value> | Attenuation factor for the received wave.
Range [def. unit] | Depending on the analyzer/attenuator model, e.g. 0 dB to 75 dB for ZVA8/ZVA8-B31/32/B33/B34 [dB]. UP and DOWN increment/decrement the attenuation in 5 or 10 dB steps. The analyzer rounds any entered value below the maximum attenuation to the closest step.
*RST value | 0 dB
SCPI, Command Types | Confirmed, command or query
Example: | POW:ATT AREC, 10 Set an attenuation factor of 10 dB for the waves received at test port 1 and channel no. 1. The other test ports and channels are not affected.

[SENSe<Ch>:]POWer:IFGain<Pt>:MEASure
AUTO | LNOise | LDIStortion

Selects the IF gain in the measurement channel (b-waves).

<Ch> | Channel number.
<Pt> | Test port number of the analyzer.
Parameters | AUTO – Adaptive Gain Control according to the RF input level LNOise – Fixed, large IF gain, for low input levels LDIStortion – Fixed, small IF gain, for high input levels
*RST value | AUTO
SCPI, Command Types | Device-specific, command or query
Example: | POWer:IFG2:MEAS LDIS; POWer:IFG2:REF LNO Optimize the measurement channel b for small input levels, the reference channel a for high input levels.

[SENSe<Ch>:]POWer:IFGain<Pt>:REFerence
AUTO | LNOise | LDIStortion

Selects the IF gain in the reference channel (a-waves). This setting is not available on R&S ZVB4, R&S ZVB8, R&S ZVB20, and R&S ZVT20 analyzers.

<Ch> | Channel number.
<Pt> | Test port number of the analyzer.
Parameters | AUTO – Adaptive Gain Control according to the RF input level LNOise – Fixed, small IF gain, for high input levels LDIStortion – Fixed, large IF gain, for low input levels
*RST value | AUTO
SCPI, Command Types | Device-specific, command or query
Example: | See [SENSe<Ch>:]POWer:IFGain<Pt>:MEASure


SENSe:PULSe:GENerator

:CPPRofile

:DELay

:DINCrement

:MODE

:PERiod

:POLarity

[:STATe]

:TRAin

:DATA

:DELete

:ALL

:PERiod

SEGMent

:COUNt

:STARt

[:STATe]

:STOP

:TYPE

:WIDTh

[SENSe<Ch>:]PULSe:GENerator...

This subsystem controls the pulse generator signals to control an Extension Unit R&S ZVAXxx equipped with options R&S ZVAX-B71/-B72/-B73 (Pulse Modulator).

Command tree: [SENSe<Ch>:]PULSe:GENerator

[SENSe<Ch>:]PULSe:GENerator<gen_no>:CPPRofile <Boolean>

Enables or disables the chopped pulse profile mode.

<Ch> | Channel number. If unspecified, this parameter is set to 1.
<gen_no> | Number of the pulse generator signal: 1 for pulse generator, 2 for sync generator signal. This suffix must be set to 1, the chopped pulse profile mode is general.
<Boolean> | ON | OFF – Enable or disable chopped pulse profile settings
*RST value | OFF
SCPI, Command Types | Device-specific, command or query
Example: | PULS:GEN:DINC? Query the delay increment.The response is 0 since chopped pulse profile mode is not active. PULS:GEN:CPPR ON; :PULS:GEN:DINC? Enable chopped pulse profile settings. The delay increment is set to 12.5 ns. PULS:GEN:DINC 0 ns Define a zero delay increment. This disables the chopped pulse profile mode.

[SENSe<Ch>:]PULSe:GENerator<gen_no>:DELay <Delay>

Defines the delay of the sync signal relative to the pulse generator signal.

<Ch> | Channel number.
<gen_no> | Number of the pulse generator signal. This suffix must be set to 1, the setting is general.
<Delay> | Delay (to sync)
Range [def. unit] | -26.8435455875 s to +53.6870911875 s [s]. UP and DOWN increment/decrement the delay in 12.5 ns steps.
*RST value | 0 s
SCPI, Command Types | Device-specific, command or query
Example: | Configure the pulse generator signal (<gen_no> = 1, omitted in commands). PULS:GEN:DEL 100 ns Define a 100 ns delay. PULS:GEN:MODE CONT Select continuous pulse mode. PULS:GEN:PER 200 us Select a pulse period of 200 μs. PULS:GEN ON Turn the pulse generator signals on.
[SENSe<Ch>:]PULSe:GENerator<gen_no>:DINCrement <Increment>

Defines a delay increment for the sync signal in chopped pulse profile mode. The delay increment defines the distance between two measurement intervals (sweep points). For sweep point no. n, the total delay of thhe sync signal relative to the pulse generator signal is <Delay> + n * <Increment>.

This parameter is not available in manual control.

<Ch> | Channel number.
<gen_no> | Number of the pulse generator signal. This suffix must be set to 1, the command is generall.
<Increment> | Delay increment
Range [def. unit] | 0 s to +0.8191875 s [s]. UP and DOWN increment/decrement the delay in 12.5 ns steps. A zero delay disables the chopped pulse profile mode.
*RST value | 0 s
SCPI, Command Types | Device-specific, command or query
Example: | See [SENSe<Ch>:]PULSe:GENerator<gen_no>:CPProfile
[SENSe<Ch>:]PULSe:GENerator<gen_no>:MODE CSPecific | CONTinuous

Selects the channel-specific or continuous pulse mode.

<Ch> | Channel number.
<gen_no> | Number of the pulse generator signal. This parameter is ignored, the setting affects both signals.
Parameters | CSPecific – Channel-specific pulse generator settings CONTinuous – The settings of the active channel are used for all channels; continuous pulse generator signal on a channel change
*RST value | CSPecific
SCPI, Command Types | Device-specific, command or query
Example: | See [SENSe<Ch>:]PULSe:GENerator<gen_no>:DELay

[SENSe<Ch>:]PULSe:GENerator<gen_no>:PERiod <Period>

Defines the pulse period of the single pulse generator signal ([SENSe<Ch>:]PULSe:GENerator<gen_no>:TYPE SINGle).

<Ch> | Channel number.
<gen_no> | Number of the pulse generator signal. This suffix must be set to 1; the period of the sync signal is always adjusted to the pulse generator signal.
<Period> | Pulse period
Range [def. unit] | 12.5 ns to 54948 s [s]. UP and DOWN increment/decrement the period in 1 μs steps.
*RST value | 100 μs
SCPI, Command Types | Device-specific, command or query
Example: | See [SENSe<Ch>:]PULSe:GENerator<gen_no>:DELay
[SENSe<Ch>:]PULSe:GENerator<gen_no>:POLarity NORMal | INVerted

Selects the polarity of the pulse generator signal <gen_no>.

<Ch> | Channel number.
<gen_no> | Number of the pulse generator signal: 1 for pulse generator, 2 for sync generator signal.
Parameters | NORMal – Normal polarity, high pulses INVerted – Inverted polarity
*RST value | NORMal
SCPI, Command Types | Device-specific, command or query
Example: | See [SENSe<Ch>:]PULSe:GENerator<gen_no>:WIDTh

[SENSe<Ch>:]PULSe:GENerator<gen_no>[:STATe] <Boolean>

Turns the pulse generator on or off.

<Ch> | Channel number.
<gen_no> | Number of the pulse generator signal. This parameter is ignored, the setting affects both signals.
<Boolean> | ON | OFF – Turn pulse generator on or off
*RST value | OFF
SCPI, Command Types | Device-specific, command or query
Example: | See [SENSe<Ch>:]PULSe:GENerator<gen_no>:DELay

[SENSe<Ch>:]PULSe:GENerator<gen_no>:TRAin:DATA <Active>, <Start High>, <Stop High>{, <Active>, <Start High>, <Stop High>}

Adds and enables/disables an arbitrary number of pulse train segments. Each segment consists of a single pulse of definite width and position which may be active or inactive.

This command does not overwrite existing pulse train segments. The defined segments are appended to the list as new segments.

<Ch>

Channel number

<gen_no>

Number of the pulse generator signal. This suffix must be set to 1, since pulse trains are available for the pulse generator signal only.

<Active>

Identifier for the state of the pulse train segment. The state of individual segments may be changed using [SENSe<Ch>:]PULSe:GENerator<gen_no>:TRAin:SEGMent<Seg>[:STATe]

Range

0 – Pulse train segment inactive, range defined but no pulse generated.
1 – Pulse train segment active

*RST value

1 (for all segments)

<Start High>

Start time of the segment (pulse).

Range [def. unit]

0 s to 54975.5813622 s [s]

*RST value

0 s (no pulse train segment defined after *RST)

<Stop High>

Stop time of the segment (pulse).

Range [def. unit]

12.5 ns to 54975.5813632 s [s]. The minimum width of a pulse is 12.5 ns, its maximum width is given by the pulse train period ([SENSe<Ch>:]PULSe:GENerator<gen_no>:TRAin:PERiod).

*RST value

12.5 ns (no pulse train segment defined after *RST)

SCPI, Command Types

Device-specific, with query.

Example:

SENS1:PULS:GEN:TYPE TRA

Select a pulse train for the pulse generator signal.

SENS1:PULS:GEN:TRA:PER 1 us

Define a pulse train period of 1000 ns.

SENS1:PULS:GEN:TRA:DATA DEF, DEF, DEF, 0, 2.5E-8, 5E-8

Define and enable a pulse train segment with an active pulse between 0 s and 12.5 ns. Define and enable a second active pulse train segment with an inactive pulse between 25 ns and 50 ns.

PULS:GEN:TRA:SEGM:COUN?

Display the number of defined segments. The response is 1.

PULS:GEN:TRA:SEGM2 ON

Set the second segment active.

PULS:GEN:TRA:SEGM2:STOP 200 ns; STAR 100 ns

Change position and length of second pulse.

PULS:GEN:TRA:DEL:ALL

Delete all pulse train segments

PULS:GEN:TRA:DATA?

Query existing pulse train segments. An error message "-114 "Header suffix out of range..." indicates that there are no segments.

[SENSe<Ch>:]PULSe:GENerator<gen_no>:TRAin:DELete:ALL

Deletes all pulse train segments.

<Ch> | Channel number
<gen_no> | Number of the pulse generator signal. This suffix must be set to 1, since the command affects the pulse generator signal only.
*RST value | –
SCPI, Command Types | Device-specific, no query.
Example: | See [SENSe<Ch>:]PULSe:GENerator<gen_no>:TRAin:DATA

[SENSe<Ch>:]PULSe:GENerator<gen_no>:TRAin:PERiod <Period>

Defines the pulse period of the pulse generator signal.

<Ch> | Channel number.
<gen_no> | Number of the pulse generator signal. This suffix must be set to 1; the period of the sync signal is always adjusted to the pulse generator signal.
<Period> | Pulse period
Range [def. unit] | 12.5 ns to 54948 s [s]. UP and DOWN increment/decrement the delay in 1 μs steps.
*RST value | 100 μs
SCPI, Command Types | Device-specific, command or query
Example: | See [SENSe<Ch>:]PULSe:GENerator<gen_no>:TRAin:DATA
[SENSe<Ch>:]PULSe:GENerator<gen_no>:TRAin:SEGMent<Seg>:COUNt?

Queries the number of pulse train segments.

<Ch> | Channel number
<gen_no> | Number of the pulse generator signal. This suffix must be set to 1, since the command affects the pulse generator signal only.
<Seg> | Pulse train segment number. This suffix is ignored; the command counts all segments.
Response | 0 | 1 | ...- number of (active or inactive)) pulse train segments.
*RST value | 0
SCPI, Command Types | Device-specific, query only.
Example: | See [SENSe<Ch>:]PULSe:GENerator<gen_no>:TRAin:DATA

[SENSe<Ch>:]PULSe:GENerator<gen_no>:TRAin:SEGMent<Seg>:STARt <Start High>

Changes the start time of a pulse train segment. A range must be created first to enable this command (see [SENSe<Ch>:]PULSe:GENerator<gen_no>:TRAin:DATA).

<Ch> | Channel number
<gen_no> | Number of the pulse generator signal. This suffix must be set to 1, since the command affects the pulse generator signal only.
<Seg> | Pulse train segment number
<Start High> | Start time of segment.
Range [def. unit] | 0 s to 54975.5813622 s [s]
*RST value | 0 s (no pulse train segment defined after *RST)
SCPI, Command Types | Device-specific, with query.
Example: | See [SENSe<Ch>:]PULSe:GENerator<gen_no>:TRAin:DATA

[SENSe<Ch>:]PULSe:GENerator<gen_no>:TRAin:SEGMent<Seg>[:STATe] <Boolean>

Set the pulse train segment no. <Seg> active or inactive.

<Ch> | Channel number
<gen_no> | Number of the pulse generator signal. This suffix must be set to 1, since the command affects the pulse generator signal only.
<Seg> | Segment number
<Boolean> | ON | OFF - Segment active or inactive
*RST value | ON (no pulse train segment defined after *RST)
SCPI, Command Types | Device-specific, command or query.
Example: | See [SENSe<Ch>:]PULSe:GENerator<gen_no>:TRAin:DATA

[SENSe<Ch>:]PULSe:GENerator<gen_no>:TRAin:SEGMent<Seg>:STOP <Stop High>

Changes the stop stimulus value (i.e. the largest stimulus value) of a pulse train segment. A range must be created first to enable this command (see [SENSe<Ch>:]PULSe:GENerator<gen_no>:TRAin:DATA).

<Ch> | Channel number
<gen_no> | Number of the pulse generator signal. This suffix must be set to 1, since the command affects the pulse generator signal only.
<Seg> | Segment number
<Stop High> | Stop time of segment.
Range [def. unit] | 12.5 ns to 54975.5813632 s [s]. The minimum width of a pulse is 12.5 ns, its maximum width is given by the pulse train period ([SENSe<Ch>:]PULSe:GENerator<gen_no>:TRAin:PERiod).
*RST value | 12.5 ns (no pulse train segment defined after *RST)
SCPI, Command Types | Device-specific, with query.
Example: | See [SENSe<Ch>:]PULSe:GENerator<gen_no>:TRAin:DATA

[SENSe<Ch>:]PULSe:GENerator<gen_no>:TYPE SINGle | TRAin | CHIGh | CLOW

Selects the pulse type of the pulse generator signal <gen_no>.

<Ch> | Channel number.
<gen_no> | Number of the pulse generator signal: 1 for pulse generator, 2 for sync generator signal.
Parameters | SINGle – Single pulse CHIGh – Constant high CLOW – Constant low TRAin – Pulse train (available for pulse generator signal only, <gen_no> = 1)
*RST value | SINGle (for both signals)
SCPI, Command Types | Device-specific, command or query
Example: | See [SENSe<Ch>:]PULSe:GENerator<gen_no>:TRAin:DATA

[SENSe<Ch>:]PULSe:GENerator<gen_no>:WIDTh <Width>

Defines the pulse width of the pulse generator signal <gen_no>.

<Ch> | Channel number.
<gen_no> | Number of the pulse generator signal: 1 for pulse generator, 2 for sync generator signal.
<Width> | Pulse width
Range [def. unit] | 12.5 ns to 54948 s [s] for pulse generator signal, increment: 100 ns 12.5 ns to 53.6870911875 s [s] for sync signal, increment: 12.5 ns
*RST value | 500 ns (for pulse generator signal) 12.5 ns (for sync signal)
SCPI, Command Types | Device-specific, command or query
Example: | SENS1:PULS:GEN2:TYPE SING Define a single pulse sync signal. SENS1:PULS:GEN2:WIDT 100 ns Define a pulse width of 100 ns for the sync signal. SENS1:PULS:GEN2:POL INV Invert the polarity of the sync signal.


SENSe:PULSe:RECeiver

:COUPled

[:STATe]

:RECeiver

:A1

:GENerator1

:EVALuation

:MODE

:STARt

:STOP

:LINes

[:STATe]

:TRIGger

:DELay

:SRCPort1

:EVALuation

:MODE

:STARt

:STOP

:LINes

[:STATe]

:TRIGger

:DELay

:B1

:GENerator1

:EVALuation

:MODE

:STARt

:STOP

:LINes

[:STATe]

:TRIGger

:DELay

:SRCPort1

:EVALuation

:MODE

:STARt

:STOP

:LINes

[:STATe]

:TRIGger

:DELay

:TIME

:BWIDth

[:RESolution]

:STARt

:STOP

[SENSe<Ch>:]PULSe...

This subsystem controls pulsed measurements (with option ZVA-K7, Measurements on Pulsed Signals).

Command tree: [SENSe<Ch>:]PULSe

[SENSe<Ch>:]PULSe:COUPled[:STATe] <Boolean>

Couples the section limits for averaging (and the section limit lines) for all receivers and source ports and in all channels.

<Ch> | Channel number. If unassigned this value is set to 1.
<Boolean> | ON | OFF - Section limits coupled or uncoupled
*RST value | OFF
SCPI, Command Types | Device-specific, command or query
Example: | *RST; SWE:TYPE PULS; :PULS:COUP ON Select pulse profile mode and activate coupled section limits. SENS2:PULS:REC:A1:SRCP1:EVAL:STAR 200 ns Create channel 2 and define a start value of 200 ns for the averaging section for the a1 receiver and source port no. 1. SENS1:PULS:REC:A1:SRCP1:EVAL:STAR? Query the section start value for channel 1. As the sections are coupled, the response is 2E-007.

[SENSe<Ch>:]PULSe:RECeiver:A<rec_no>:GENerator<gen_no>:EVALuation:MODE
NORMal | MEAN

Specifies whether the wave quantity assigned to the reference receiver <rec_no> and the external generator <gen_no> is displayed as measured or whether it is averaged.

<Ch>

Channel number

<rec_no>

Number of the reference receiver (= port number of the analyzer). Values range from 1 to the total number of test ports.

<gen_no>

Number of a previously configured external generator

Parameters

NORMal – wave quantity is as measured (pulse shape)
MEAN – wave quantity is replaced by its mean value (magnitude and phase) averaged over a configurable time interval; see example below

*RST value

NORMal

SCPI, Command Types

Device-specific, command or query

Example:

SYST:COMM:RDEV:GEN1:DEF 'Ext. Gen. 1', 'SME02', 'gpib0', '21'

Configure an R&S SME02 generator as external generator no. 1, assigning the name Ext. Gen. 1 and a GPIB address 21.

PULS:REC:A2:GEN1:EVAL:STAR 200 ns; STOP 500 ns

Specify the averaging section for the a2 receiver and the configured generator: Define a start value of 200 ns and a stop value of 500 ns.

PULS:REC:A2:GEN1:LIN ON

Display the section limit lines in the diagram.

PULS:REC:A2:GEN1:EVAL:MODE MEAN

Enable averaging of the a2 wave.

PULS:REC:A2:GEN1:TRIG:DEL 100 ns

Shift the stimulus axis of the a2 wave by 100 ns.

[SENSe<Ch>:]PULSe:RECeiver:A<rec_no>:GENerator<gen_no>:EVALuation:STARt
<section_start>

Defines the start time of the averaging section for the wave quantity assigned to the reference receiver <rec_no> and the external generator <gen_no>.

<Ch> | Channel number
<rec_no> | Number of the reference receiver (= port number of the analyzer). Values range from 1 to the total number of test ports.
<gen_no> | Number of a previously configured external generator
<section_start> | Start time of the section
Range [def. unit] | –0.003 s to +0.002999975 s [s]. The increment (UP/DOWN) is 50 ns. The width of the averaging section must be between 25 ns and 3 s.
*RST value | 0 s
SCPI, Command Types | Device-specific, command or query
Example: | See [SENSe<Ch>:]PULSe:RECeiver:A<rec_no>:GENerator<gen_no>:EVALuation:MODE

[SENSe<Ch>:]PULSe:RECeiver:A<rec_no>:GENerator<gen_no>:EVALuation:STOP
<section_stop>

Defines the stop time of the averaging section for the wave quantity assigned to the reference receiver <rec_no> and the external generator <gen_no>.

<Ch> | Channel number
<rec_no> | Number of the reference receiver (= port number of the analyzer). Values range from 1 to the total number of test ports.
<gen_no> | Number of a previously configured external generator
<section_stop> | Stop time of the section
Range [def. unit] | –0.002999975 s to +0.003 s [s]. The increment (UP/DOWN) is 50 ns. The width of the averaging section must be between 25 ns and 3 s.
*RST value | 0 s
SCPI, Command Types | Device-specific, command or query
Example: | See [SENSe<Ch>:]PULSe:RECeiver:A<rec_no>:GENerator<gen_no>:EVALuation:MODE

[SENSe<Ch>:]PULSe:RECeiver:A<rec_no>:GENerator<gen_no>:LINes[:STATe]
<Boolean>

Displays or hides the limit lines of the averaging section for the wave quantity assigned to the reference receiver <rec_no> and the external generator <gen_no>.

<Ch> | Channel number
<rec_no> | Number of the reference receiver (= port number of the analyzer). Values range from 1 to the total number of test ports.
<gen_no> | Number of a previously configured external generator
<Boolean> | ON | OFF – Display or hide lines
*RST value | OFF
SCPI, Command Types | Device-specific, command or query
Example: | See [SENSe<Ch>:]PULSe:RECeiver:A<rec_no>:GENerator<gen_no>:EVALuation:MODE

[SENSe<Ch>:]PULSe:RECeiver:A<rec_no>:GENerator<gen_no>:TRIGger:DELay
<shift_stimulus>

Defines an offset time (shift stimulus) for the wave quantity assigned to the reference receiver <rec_no> and the external generator <gen_no>.

<Ch> | Channel number
<rec_no> | Number of the reference receiver (= port number of the analyzer). Values range from 1 to the total number of test ports.
<gen_no> | Number of a previously configured external generator
<shift_stimulus> | Offset time
Range [def. unit] | –0.003 s to +0.003 s [s]. The increment (UP/DOWN) is 50 ns.
*RST value | 0 s
SCPI, Command Types | Device-specific, command or query
Example: | See [SENSe<Ch>:]PULSe:RECeiver:A<rec_no>:GENerator<gen_no>:EVALuation:MODE

[SENSe<Ch>:]PULSe:RECeiver:A<rec_no>:SRCPort<port_no>:EVALuation:MODE
NORMal | MEAN

Specifies whether the wave quantity assigned to the reference receiver <rec_no> and the analyzer source port <port_no> is displayed as measured or whether it is averaged.

<Ch> | Channel number
<rec_no> | Number of the reference receiver (= port number of the analyzer). Values range from 1 to the total number of test ports.
<port_no> | Number of the analyzer source port. 1 to the total number of test ports.
Parameters | NORMal – wave quantity is as measured (pulse shape) MEAN – wave quantity is replaced by its mean value (magnitude and phase) averaged over a configurable time interval; see example below
*RST value | NORMal
SCPI, Command Types | Device-specific, command or query
Example: | PULS:REC:A2:SRCP2:EVAL:STAR 200 ns; STOP 500 ns Specify the averaging section for the a2 receiver and the analyzer source port no. 2: Define a start value of 200 ns and a stop value of 500 ns. PULS:REC:A2:SRCP2:LIN ON Display the section limit lines in the diagram. PULS:REC:A2:SRCP2:EVAL:MODE MEAN Enable averaging of the a2 wave. PULS:REC:A2:SRCP2:TRIG:DEL 100 ns Shift the stimulus axis of the a2 wave by 100 ns.

[SENSe<Ch>:]PULSe:RECeiver:A<rec_no>:SRCPort<port_no>:EVALuation:STARt
<section_start>

Defines the start time of the averaging section for the wave quantity assigned to the reference receiver <rec_no> and the analyzer source port <port_no>.

<Ch> | Channel number
<rec_no> | Number of the reference receiver (= port number of the analyzer). Values range from 1 to the total number of test ports.
<port_no> | Number of the analyzer source port. 1 to the total number of test ports.
<section_start> | Start time of the section
Range [def. unit] | –0.003 s to +0.002999975 s [s]. The increment (UP/DOWN) is 50 ns. The width of the averaging section must be between 25 ns and 3 s.
*RST value | 0 s
SCPI, Command Types | Device-specific, command or query
Example: | See [SENSe<Ch>:]PULSe:RECeiver:A<rec_no>:SRCPort<gen_no>:EVALuation:MODE

[SENSe<Ch>:]PULSe:RECeiver:A<rec_no>:SRCPort<port_no>:EVALuation:STOP
<section_stop>

Defines the stop time of the averaging section for the wave quantity assigned to the reference receiver <rec_no> and the analyzer source port <port_no>.

<Ch> | Channel number
<rec_no> | Number of the reference receiver (= port number of the analyzer). Values range from 1 to the total number of test ports.
<port_no> | Number of the analyzer source port. 1 to the total number of test ports.
<section_stop> | Stop time of the section
Range [def. unit] | –0.002999975 s to +0.003 s [s]. The increment (UP/DOWN) is 50 ns. The width of the averaging section must be between 25 ns and 3 s.
*RST value | 0 s
SCPI, Command Types | Device-specific, command or query
Example: | See [SENSe<Ch>:]PULSe:RECeiver:A<rec_no>:SRCPort<gen_no>:EVALuation:MODE

[SENSe<Ch>:]PULSe:RECeiver:A<rec_no>:SRCPort<port_no>:LINes[:STATe]
<Boolean>

Displays or hides the limit lines of the averaging section for the wave quantity assigned to the reference receiver <rec_no> and the analyzer source port <port_no>.

<Ch> | Channel number
<rec_no> | Number of the reference receiver (= port number of the analyzer). Values range from 1 to the total number of test ports.
<port_no> | Number of the analyzer source port. 1 to the total number of test ports.
<Boolean> | ON | OFF – Display or hide lines
*RST value | OFF
SCPI, Command Types | Device-specific, command or query
Example: | See [SENSe<Ch>:]PULSe:RECeiver:A<rec_no>:SRCPort<gen_no>:EVALuation:MODE

[SENSe<Ch>:]PULSe:RECeiver:A<rec_no>:SRCPort<port_no>:TRIGger:DELay
<shift_stimulus>

Defines an offset time (shift stimulus) for the wave quantity assigned to the reference receiver <rec_no> and the analyzer source port <port_no>.

<Ch> | Channel number
<rec_no> | Number of the reference receiver (= port number of the analyzer). Values range from 1 to the total number of test ports.
<port_no> | Number of the analyzer source port. 1 to the total number of test ports.
<shift_stimulus> | Offset time
Range [def. unit] | –0.003 s to +0.003 s [s]. The increment (UP/DOWN) is 50 ns.
*RST value | 0 s
SCPI, Command Types | Device-specific, command or query
Example: | See [SENSe<Ch>:]PULSe:RECeiver:A<rec_no>:SRCPort<gen_no>:EVALuation:MODE

[SENSe<Ch>:]PULSe:RECeiver:B<rec_no>:GENerator<gen_no>:EVALuation:MODE
NORMal | MEAN

Specifies whether the wave quantity assigned to the measurement receiver <rec_no> and the external generator <gen_no> is displayed as measured or whether it is averaged.

<Ch>

Channel number

<rec_no>

Number of the measurement receiver (= port number of the analyzer). Values range from 1 to the total number of test ports.

<gen_no>

Number of a previously configured external generator

Parameters

NORMal – wave quantity is as measured (pulse shape)
MEAN – wave quantity is replaced by its mean value (magnitude and phase) averaged over a configurable time interval; see example below

*RST value

NORMal

SCPI, Command Types

Device-specific, command or query

Example:

SYST:COMM:RDEV:GEN1:DEF 'Ext. Gen. 1', 'SME02', 'gpib0', '21'

Configure an R&S SME02 generator as external generator no. 1, assigning the name Ext. Gen. 1 and a GPIB address 21.

PULS:REC:B2:GEN1:EVAL:STAR 200 ns; STOP 500 ns

Specify the averaging section for the b2 receiver and the configured generator: Define a start value of 200 ns and a stop value of 500 ns.

PULS:REC:B2:GEN1:LIN ON

Display the section limit lines in the diagram.

PULS:REC:B2:GEN1:EVAL:MODE MEAN

Enable averaging of the b2 wave.

PULS:REC:B2:GEN1:TRIG:DEL 100 ns

Shift the stimulus axis of the b2 wave by 100 ns.

[SENSe<Ch>:]PULSe:RECeiver:B<rec_no>:GENerator<gen_no>:EVALuation:STARt
<section_start>

Defines the start time of the averaging section for the wave quantity assigned to the measurement receiver <rec_no> and the external generator <gen_no>.

<Ch> | Channel number
<rec_no> | Number of the measurement receiver (= port number of the analyzer). Values range from 1 to the total number of test ports.
<gen_no> | Number of a previously configured external generator
<section_start> | Start time of the section
Range [def. unit] | –0.003 s to +0.002999975 s [s]. The increment (UP/DOWN) is 50 ns. The width of the averaging section must be between 25 ns and 3 s.
*RST value | 0 s
SCPI, Command Types | Device-specific, command or query
Example: | See [SENSe<Ch>:]PULSe:RECeiver:B<rec_no>:GENerator<gen_no>:EVALuation:MODE

[SENSe<Ch>:]PULSe:RECeiver:B<rec_no>:GENerator<gen_no>:EVALuation:STOP
<section_stop>

Defines the stop time of the averaging section for the wave quantity assigned to the measurement receiver <rec_no> and the external generator <gen_no>.

<Ch> | Channel number
<rec_no> | Number of the measurement receiver (= port number of the analyzer). Values range from 1 to the total number of test ports.
<gen_no> | Number of a previously configured external generator
<section_stop> | Stop time of the section
Range [def. unit] | –0.002999975 s to +0.003 s [s]. The increment (UP/DOWN) is 50 ns. The width of the averaging section must be between 25 ns and 3 s.
*RST value | 0 s
SCPI, Command Types | Device-specific, command or query
Example: | See [SENSe<Ch>:]PULSe:RECeiver:B<rec_no>:GENerator<gen_no>:EVALuation:MODE

[SENSe<Ch>:]PULSe:RECeiver:B<rec_no>:GENerator<gen_no>:LINes[:STATe]
<Boolean>

Displays or hides the limit lines of the averaging section for the wave quantity assigned to the measurement receiver <rec_no> and the external generator <gen_no>.

<Ch> | Channel number
<rec_no> | Number of the measurement receiver (= port number of the analyzer). Values range from 1 to the total number of test ports.
<gen_no> | Number of a previously configured external generator
<Boolean> | ON | OFF – Display or hide lines
*RST value | OFF
SCPI, Command Types | Device-specific, command or query
Example: | See [SENSe<Ch>:]PULSe:RECeiver:B<rec_no>:GENerator<gen_no>:EVALuation:MODE

[SENSe<Ch>:]PULSe:RECeiver:B<rec_no>:GENerator<gen_no>:TRIGger:DELay
<shift_stimulus>

Defines an offset time (shift stimulus) for the wave quantity assigned to the measurement receiver <rec_no> and the external generator <gen_no>.

<Ch> | Channel number
<rec_no> | Number of the measurement receiver (= port number of the analyzer). Values range from 1 to the total number of test ports.
<gen_no> | Number of a previously configured external generator
<shift_stimulus> | Offset time
Range [def. unit] | –0.003 s to +0.003 s [s]. The increment (UP/DOWN) is 50 ns.
*RST value | 0 s
SCPI, Command Types | Device-specific, command or query
Example: | See [SENSe<Ch>:]PULSe:RECeiver:B<rec_no>:GENerator<gen_no>:EVALuation:MODE

[SENSe<Ch>:]PULSe:RECeiver:B<rec_no>:SRCPort<port_no>:EVALuation:MODE
NORMal | MEAN

Specifies whether the wave quantity assigned to the measurement receiver <rec_no> and the analyzer source port <port_no> is displayed as measured or whether it is averaged.

<Ch> | Channel number
<rec_no> | Number of the measurement receiver (= port number of the analyzer). Values range from 1 to the total number of test ports.
<port_no> | Number of the analyzer source port. 1 to the total number of test ports.
Parameters | NORMal – wave quantity is as measured (pulse shape) MEAN – wave quantity is replaced by its mean value (magnitude and phase) averaged over a configurable time interval; see example below
*RST value | NORMal
SCPI, Command Types | Device-specific, command or query
Example: | PULS:REC:B2:SRCP2:EVAL:STAR 200 ns; STOP 500 ns Specify the averaging section for the b2 receiver and the analyzer source port no. 2: Define a start value of 200 ns and a stop value of 500 ns. PULS:REC:B2:SRCP2:LIN ON Display the section limit lines in the diagram. PULS:REC:B2:SRCP2:EVAL:MODE MEAN Enable averaging of the b2 wave. PULS:REC:B2:SRCP2:TRIG:DEL 100 ns Shift the stimulus axis of the b2 wave by 100 ns.

[SENSe<Ch>:]PULSe:RECeiver:B<rec_no>:SRCPort<port_no>:EVALuation:STARt
<section_start>

Defines the start time of the averaging section for the wave quantity assigned to the measurement receiver <rec_no> and the analyzer source port <port_no>.

<Ch> | Channel number
<rec_no> | Number of the measurement receiver (= port number of the analyzer). Values range from 1 to the total number of test ports.
<port_no> | Number of the analyzer source port. 1 to the total number of test ports.
<section_start> | Start time of the section
Range [def. unit] | –0.003 s to +0.002999975 s [s]. The increment (UP/DOWN) is 50 ns. The width of the averaging section must be between 25 ns and 3 s.
*RST value | 0 s
SCPI, Command Types | Device-specific, command or query
Example: | See [SENSe<Ch>:]PULSe:RECeiver:B<rec_no>:SRCPort<gen_no>:EVALuation:MODE

[SENSe<Ch>:]PULSe:RECeiver:B<rec_no>:SRCPort<port_no>:EVALuation:STOP
<section_stop>

Defines the stop time of the averaging section for the wave quantity assigned to the measurement receiver <rec_no> and the analyzer source port <port_no>.

<Ch> | Channel number
<rec_no> | Number of the measurement receiver (= port number of the analyzer). Values range from 1 to the total number of test ports.
<port_no> | Number of the analyzer source port. 1 to the total number of test ports.
<section_stop> | Stop time of the section
Range [def. unit] | –0.002999975 s to +0.003 s [s]. The increment (UP/DOWN) is 50 ns. The width of the averaging section must be between 25 ns and 3 s.
*RST value | 0 s
SCPI, Command Types | Device-specific, command or query
Example: | See [SENSe<Ch>:]PULSe:RECeiver:B<rec_no>:SRCPort<gen_no>:EVALuation:MODE

[SENSe<Ch>:]PULSe:RECeiver:B<rec_no>:SRCPort<port_no>:LINes[:STATe]
<Boolean>

Displays or hides the limit lines of the averaging section for the wave quantity assigned to the measurement receiver <rec_no> and the analyzer source port <port_no>.

<Ch> | Channel number
<rec_no> | Number of the measurement receiver (= port number of the analyzer). Values range from 1 to the total number of test ports.
<port_no> | Number of the analyzer source port. 1 to the total number of test ports.
<Boolean> | ON | OFF – Display or hide lines
*RST value | OFF
SCPI, Command Types | Device-specific, command or query
Example: | See [SENSe<Ch>:]PULSe:RECeiver:B<rec_no>:SRCPort<gen_no>:EVALuation:MODE

[SENSe<Ch>:]PULSe:RECeiver:B<rec_no>:SRCPort<port_no>:TRIGger:DELay
<shift_stimulus>

Defines an offset time (shift stimulus) for the wave quantity assigned to the measurement receiver <rec_no> and the analyzer source port <port_no>.

<Ch> | Channel number
<rec_no> | Number of the measurement receiver (= port number of the analyzer). Values range from 1 to the total number of test ports.
<port_no> | Number of the analyzer source port. 1 to the total number of test ports.
<shift_stimulus> | Offset time
Range [def. unit] | –0.003 s to +0.003 s [s]. The increment (UP/DOWN) is 50 ns.
*RST value | 0 s
SCPI, Command Types | Device-specific, command or query
Example: | See [SENSe<Ch>:]PULSe:RECeiver:B<rec_no>:SRCPort<gen_no>:EVALuation:MODE

[SENSe<Ch>:]PULSe:TIME:BWIDth[:RESolution] <bandwidth>

Selects the IF bandwidth for pulse profile measurements.

<Ch> | Channel number
<bandwidth> | IF bandwidth
Range [def. unit] | 100 kHz to 10 MHz [Hz]. UP and DOWN increment/decrement the bandwidth in 1-2-5 steps for each decade (the value 3 MHz is provided in addition). The analyzer rounds up any entered value between these steps and rounds down values exceeding the maximum bandwidth.
*RST value | 10 MHz
SCPI, Command Types | Device-specific, command or query
Example: | *RST; SWE:TYPE PULS; :PULS:TIME:BWID 5 MHz Select pulse profile mode and select an IF bandwidth of 5 MHz. PULS:TIME:STAR -10 us; STOP 200 us Select a displayed time range between –10 μs and +200 μs.

[SENSe<Ch>:]PULSe:TIME:STARt <start>

Selects the start time of the displayed time range relative to the trigger time.

<Ch> | Channel number
<start> | Start time
Range [def. unit] | –0.003 s to +0.002999975 s [s]. The increment (UP/DOWN) is 50 ns. The width of the displayed time range must be between 25 ns and 3 s.
*RST value | –10 μs
SCPI, Command Types | Device-specific, command or query
Example: | See [SENSe<Ch>:]PULSe:TIME:BWIDth[:RESolution]

[SENSe<Ch>:]PULSe:TIME:STOP <stop>

Selects the stop time of the displayed time range relative to the trigger time.

<Ch> | Channel number
<stop> | Stop time
Range [def. unit] | –0.002999975 s to +0.003 s [s]. The increment (UP/DOWN) is 50 ns. The width of the displayed time range must be between 25 ns and 3 s.
*RST value | +100 μs
SCPI, Command Types | Device-specific, command or query
Example: | See [SENSe<Ch>:]PULSe:TIME:BWIDth[:RESolution]


SENSE:ROSCillator

:EXTernal

:FREQuency

[:SOURce]

[SENSe<Ch>:]ROSCillator...

This subsystem controls the frequency reference signal.

Command tree: [SENSe<Chn>:]ROSCillator

[SENSe<Ch>:]ROSCillator[:SOURce] INTernal | EXTernal

Selects the source of the reference oscillator signal.

<Ch> | Channel number. This suffix is ignored in the ROSCillator subsystem and can be set to any value.
INTernal | Select internal 10 MHz reference oscillator.
EXTernal | Select external reference clock. The frequency of the external reference clock is specified via [SENSe<Chn>:]ROSCillator:EXTernal:FREQuency.
*RST value | INTernal
SCPI, Command Types | Confirmed, command or query
Example: | ROSC EXT Select external reference oscillator. ROSC:EXT:FREQ? Query the frequency of the external reference oscillator. The response is 10000000 Hz, i.e. the frequency of the external reference oscillator must be 10 MHz.

[SENSe<Ch>:]ROSCillator:EXTernal:FREQuency <numeric_value>

Specifies or queries the frequency of the external reference oscillator.

<Ch> | Channel number. This suffix is ignored in the ROSCillator subsystem and can be set to any value.
<numeric_value> | Frequency of the external reference clock signal. The frequency must be 10 MHz; any other setting is ignored.
Range [def. unit] | 10 MHz [Hz].
*RST value | 10 MHz
SCPI, Command Types | Confirmed, command or query
Example: | See [SENSe<Ch>:]ROSCillator[:SOURce].


SENSe:SEGMent

:ADD

:BWIDth

[:RESolution]

:CONTrol

:SELect

:CLEar

:COUNt?

:DEFine

:SELect

:DELete

:ALL

:FREQuency

:CENTer?

:SPAN?

:STARt

:STOP

:INSert

:SELect

:OVERlap

:POWer

:LEVel

:CONTrol

[:STATe]

:SWEep

:DWELl

:CONTrol

:POINts

:TIME

:CONTrol

:SUM?

[SENSe<Ch>:]SEGMent<Seg>...

This subsystem defines all channel settings for a Segmented Frequency sweep. A segmented sweep is activated via [SENSe<Ch>:]SWEep:TPYE SEGMent.

Command tree: [SENSe<Ch>:]SEGMent<Seg>

The commands in the [SENSe<Ch>:]SEGMent<Seg>... subsystem do not accept the step parameters UP and DOWN. Numeric values can be entered directly or using the DEFault, MINimum, MAXimum parameters.

[SENSe<Ch>:]SEGMent<Seg>:ADD

Inserts a new sweep segment using default channel settings (Insert New Segment). The added segment covers the frequency interval between the maximum frequency of the existing sweep segments and the stop frequency of the entire sweep range.

Use [SENSe<Ch>:]SEGMent<Seg>:INSert to create a segment with specific channel settings.

<Ch> | Channel number. If unspecified the numeric suffix is set to 1.
<Seg> | Sweep segment number. Segment numbers must be sequential. If n segments already exist, the added segment must have the segment number n+1.
*RST value | –
SCPI, Command Types | Device-specific, no query.
Example: | SEGM:INS 1MHZ, 1.5MHZ, 111, -21DBM, 0.5S, 0, 10KHZ Create a sweep segment with a sweep range between 1.0 MHz and 1.5 MHz. SEGM2:ADD Create a second sweep segment. The frequency range of the second segment will be between 1.5 MHz and the maximum frequency of the analyzer.

[SENSe<Ch>:]SEGMent<Seg>:BWIDth[:RESolution] <Bandwidth>

Defines the resolution bandwidth of the analyzer (Meas. Bandwidth) in sweep segment no. <Seg>. At the same time, the command activates separate bandwidth setting in all sweep segments ([SENSe<Ch>:]SEGMent<Seg>:BWIDth[:RESolution]:CONTrol ON).

<Ch> | Channel number.
<Seg> | Sweep segment number.
<Bandwidth> | Resolution bandwidth.
Range [def. unit] | 1.0E-6 Hz to 5 MHz [Hz]. UP and DOWN increment/decrement the bandwidth in 1-2-5 steps for each decade. The analyzer rounds up any entered value between these steps and rounds down values exceeding the maximum bandwidth.
*RST value | 10 kHz
SCPI, Command Types | Device-specific, command or query
Example: | SEGM:ADD Create a new sweep segment no. 1 in channel no. 1 using default settings and thus 10 kHz measurement bandwidth. SEGM:BWID 1 MHZ Increase the resolution bandwidth to 1 MHz.

[SENSe<Ch>:]SEGMent<Seg>:BWIDth[:RESolution]:CONTrol <Boolean>

Qualifies whether or not the Meas. Bandwidth can be set independently for each sweep segment.

<Ch>

Channel number.

<Seg>

Sweep segment number.

<Boolean>

ON: The bandwidth can be set independently for each sweep segment.
OFF: The bandwidth in all sweep segments is equal to the bandwidth for unsegmented sweeps set via SENSe<Ch>:BWIDth[:RESolution].

*RST value

OFF. The parameter is automatically switched to ON when a bandwidth is entered using [SENSe<Ch>:]SEGMent<Seg>:BWIDth[:RESolution].

SCPI, Command Types

Device-specific, command or query

Example:

SEGM:ADD

Create a new sweep segment no. 1 in channel no. 1 using default settings and thus 10 kHz measurement bandwidth.

SEGM:BWID 1 MHZ

Increase the resolution bandwidth to 1 MHz.

SEGM:BWID:CONT OFF

Couple the bandwidths in all segments and reset the bandwidth in segment no. 1 to the initial value.

[SENSe<Ch>:]SEGMent<Seg>:BWIDth[:RESolution]:SELect
NORMal | HIGH

Defines the Selectivity in sweep segment no. <Seg>. At the same time, the command activates separate selectivity setting in all sweep segments ([SENSe<Ch>:]SEGMent<Seg>:BWIDth[:RESolution]SELect:CONTrol ON).

<Ch> | Channel number.
<Seg> | Sweep segment number.
NORMal | Use IF filter with normal selectivity and short settling time.
HIGH | Use IF filter with higher selectivity but larger settling time.
*RST value | NORMal
SCPI, Command Types | Device-specific, command or query
Example: | SEGM:ADD Create a new sweep segment no. 1 in channel no. 1 using default settings and thus NORMal selectivity. SEGM:BWID:SEL HIGH Activate an IF filter with high selectivity.

[SENSe<Ch>:]SEGMent<Seg>:BWIDth[:RESolution]:SELect:CONTrol <Boolean>

Qualifies whether or not the Selectivity can be set independently for each sweep segment.

<Ch>

Channel number.

<Seg>

Sweep segment number.

<Boolean>

ON – The selectivity can be set independently for each sweep segment.
OFF – The selectivity in all sweep segments is equal to the selectivity for unsegmented sweeps set via SENSe<Ch>:BWIDth[:RESolution]:SELect.

*RST value

OFF. The parameter is automatically switched to ON when a bandwidth is entered using [SENSe<Ch>:]SEGMent<Seg>:BWIDth[:RESolution]:SELect.

SCPI, Command Types

Device-specific, command or query

Example:

*RST; :SEGM:ADD

Create a new sweep segment no. 1 in channel no. 1 using default settings and thus NORMal selectivity.

SEGM:BWID:SEL HIGH

Change the selectivity to HIGH.

BWID:SEL?

Query the (default) selectivity for unsegmented sweeps. The response is NORM.

SEGM:BWID:SEL:CONT OFF

Couple the selectivities in all segments and reset the selectivity in segment no. 1 to the unsegmented value NORMal.

[SENSe<Ch>:]SEGMent<Seg>:CLEar

Deletes all sweep segments in the channel. The command is equivalent to [SENSe<Ch>:]SEGMent<:Seg>:DELete:ALL.

[SENSe<Ch>:]SEGMent<Seg>:COUNt?

Returns the number of sweep segments in the channel including all segments that are switched off ([SENSe<Ch>:]SEGMent<Seg>[:STATe] OFF).

<Ch> | Channel number.
<Seg> | Sweep segment number. This suffix is ignored; the command counts all segments.
*RST value | –
SCPI, Command Types | Device-specific, query only.
Example: | SEGM:ADD Create a new sweep segment no. 1 in channel no. 1 using default settings. SEGM OFF Disable the measurement in the created sweep segment. SEGM:COUN? Query the number of segments.

[SENSe<Ch>:]SEGMent<Seg>:DEFine
<Start>,<Stop>,<Points>,<Power>,<Time>|<Point Delay>,<Unused>,<Meas. Bandwidth>[,<LO>,<Selectivity>]

Re-defines a sweep segment with specific channel settings (Insert New Segment). The segment replaces an existing segment <Seg> in the segment list. The modified segment must not overlap with any of the existing segments.

Entry of the first seven numeric parameters is mandatory; no default values are provided. All settings except <LO> can be changed for existing segments using other commands of the [SENSe<Ch>:]SEGMent<Seg>... subsystem.

Note: Use [SENSe<Ch>:]SEGMent<Seg>:Add to create a segment with default channel settings. Use [SENSe<Ch>:]SEGMent<Seg>:INSert (no query) to insert a new segment into the current segment list.

<Ch> | Channel number.
<Seg> | Sweep segment number. Segment numbers must be sequential. The specified segment number must be smaller or equal to the number of existing segments plus 1. If segment number <Seg> already exists, it is replaced by the new segment.
<Start>, <Stop> | Start and stop frequency of the segment. See [SENSe<Ch>:]SEGMent<Seg>:FREQuency:STARt and [SENSe<Ch>:]SEGMent<Seg>:FREQuency:STOP.
Range [def. unit] | Depending on the analyzer model. [Hz]
<Points> | Number of sweep points in the segment. See [SENSe<Ch>:]SEGMent<Seg>:SWEep:POINts.
Range [def. unit] | 1 to 2147483647. [1] 1 is allowed if start and stop frequencies are equal.
<Power> | Internal source power in the segment. See [SENSe<Ch>:]SEGMent<Seg>:POWer.
Range [def. unit] | –40 dBm to +10 dBm. The exact range depends on the analyzer model; refer to the data sheet [dBm]. UP and DOWN increment/decrement the source power in 1-dB steps.
<Time> | Duration of the sweep in the segment. See [SENSe<Ch>:]SEGMent<Seg>:SWEep:TIME. In the setting [SENSe<Ch>:]SEGMent<Seg>:INSert:SELect DWELl, this parameter is replaced by <Point Delay>.
Range [def. unit] | Depending on other channel settings [s]. AUTO activates automatic sweep time setting in the segment, which is equivalent to the minimum sweep time possible.
<Point Delay> | Delay for each partial measurement in the segment. See [SENSe<Ch>:]SEGMent<Seg>:SWEep:DWELl. In the setting [SENSe<Ch>:]SEGMent<Seg>:INSert:SELect SWTime, this parameter is replaced by <Time>.
Range [def. unit] | 0 s to 2.5E+003 s. [s] AUTO activates automatic sweep time setting in the segment, which is equivalent to a meas. delay of 0 s.
<Unused> | Ignored parameter, should be set to the default value 0.
<Meas. Bandwidth> | Resolution bandwidth in the segment. See [SENSe<Ch>:]SEGMent<Seg>:BWIDth[:RESolution].
Range [def. unit] | 1.0E-6 Hz to 5 MHz [Hz].
<LO> | Position of the local oscillator frequency LO relative to the RF frequency (Spur Avoid). In remote control this parameter must be set when a sweep segment is created.
Range [def. unit] | POSitive: LO > RF NEGative: LO < RF AUTO: The analyzer auto-selects the local oscillator frequency, depending on the receiver (RF) frequency and the test port.
<Selectivity> | Selectivity of the IF filter. See [SENSe<Ch>:]SEGMent<Seg>:BWIDth[:RESolution]:SELect.
Range [def. unit] | NORMal | HIGH [–]
SCPI, Command Types | Device-specific, with query (used to retrieve the channel settings for a particular sweep segment).
Example: | SEGM:ADD Create a new sweep segment no. 1 in channel no. 1 using default settings. SEGM:DEF? Query the channel settings for the new segment.

[SENSe<Ch>:]SEGMent<Seg>:DEFine:SELect
SWTime | DWELl

Defines whether the sweep time of a new segment, i.e. numeric parameter no. 5 of the command [SENSe<Ch>:]SEGMent<Seg>:DEFine, is entered as a segment sweep time or as a meas. delay.

<Ch> | Channel number.
<Seg> | Sweep segment number.
SWTime | Use segment sweep time.
DWELl | Use meas. delay.
*RST value | SWTime
SCPI, Command Types | Device-specific, command or query.
Example: | SEGM:DEF:SEL DWEL Select the meas. delay to determine the sweep time in a new sweep segment. SEGM:DEF 1MHZ, 1.5MHZ, 111, -21DBM, 0.01S, 0, 10KHZ Create a sweep segment with a sweep range between 1.0 MHz and 1.5 MHz and a meas. delay of 10 ms. SEGM:SWE:TIME? Query the sweep time in the new segment.

[SENSe<Ch>:]SEGMent<Seg>:DELete

Deletes the specified (single) sweep segment (Del. Selected Segment). [SENSe<Ch>:]SEGMent<Seg>:DELete:ALL deletes all segments in the channel.

<Ch> | Channel number.
<Seg> | Sweep segment number. If unspecified, the value is set to 1.
*RST value | –
SCPI, Command Types | Device-specific, no query.
Example: | SEGM:ADD Create a new sweep segment no. 1 in channel no. 1 using default settings and thus NORMal selectivity. SEGM:DEL Delete the created segment.

[SENSe<Ch>:]SEGMent<Seg>:DELete:ALL

Deletes all sweep segments in the channel (Del. All Segments). [SENSe<Ch>:]SEGMent<Seg>:DELete deletes a single segment.

<Ch> | Channel number.
<Seg> | Sweep segment number. This suffix is ignored; the command deletes all segments.
*RST value | –
SCPI, Command Types | Device-specific, no query.
Example: | SEGM:ADD Create a new sweep segment no. 1 in channel no. 1 using default settings and thus NORMal selectivity. SEGM:DEL:ALL Delete the created segment and all segments in the channel created before.

[SENSe<Ch>:]SEGMent<Seg>:FREQuency:CENTer?

Returns the center frequency of sweep segment no. <Seg>.

<Ch> | Channel number.
<Seg> | Sweep segment number.
Response | Center frequency of the sweep.
Range [def. unit] | Depending on the instrument model [Hz].
*RST value | –
SCPI, Command Types | Device specific, query only.
Example: | SEGM:INS 1MHZ, 1.5MHZ, 111, -21DBM, 0.5S, 0, 10KHZ Create a sweep segment with a sweep range between 1.0 MHz and 1.5 MHz. SEGM:FREQ:CENT? Query the center frequency of the created segment. The response is 1.2500000000E+006.

Note: The frequency range of the sweep segment can be changed via [SENSe<Ch>:]SEGMent<Seg>:FREQuency:STARt and [SENSe<Ch>:]SEGMent<Seg>:FREQuency:STOP.

[SENSe<Ch>:]SEGMent<Seg>:FREQuency:SPAN?

Returns the width of the frequency range of sweep segment no. <Seg>.

<Ch> | Channel number.
<Seg> | Sweep segment number.
Response | Frequency span of the sweep.
Range [def. unit] | Depending on the instrument model [Hz].
*RST value | –
SCPI, Command Types | Device specific, query only.
Example: | SEGM:INS 1MHZ, 1.5MHZ, 111, -21DBM, 0.5S, 0, 10KHZ Create a sweep segment with a sweep range between 1.0 MHz and 1.5 MHz. SEGM:FREQ:SPAN? Query the span of the created segment. The response is 5.0000000000E+005.

Note: The frequency range of the sweep segment can be changed via [SENSe<Ch>:]SEGMent<Seg>:FREQuency:STARt and [SENSe<Ch>:]SEGMent<Seg>:FREQuency:STOP.

[SENSe<Ch>:]SEGMent<Seg>:FREQuency:STARt <Start>

Defines the Start frequency of sweep segment no. <Seg>.

<Ch> | Channel number.
<Seg> | Sweep segment number.
<Start> | Start frequency of the sweep.
Range [def. unit] | Depending on the instrument model [Hz]. The increment is 0.1 kHz.
*RST value | – (no sweep segment defined after reset)
SCPI, Command Types | Device-specific, command or query
Example: | SEGM:INS 1MHZ, 1.5MHZ, 111, -21DBM, 0.5S, 0, 10KHZ Create a sweep segment with a sweep range between 1.0 MHz and 1.5 MHz. SEGM:FREQ:STAR? Query the start frequency of the created segment. The response is 1.0000000000E+006.

Note: If the start frequency entered is greater than the current stop frequency ([SENSe<Ch>:]SEGMent<Seg>:FREQuency:STOP), the stop frequency is set to the start frequency plus the minimum frequency span of 1 Hz.

[SENSe<Ch>:]SEGMent<Seg>:FREQuency:STOP <Stop>

Defines the Stop frequency of sweep segment no. <Seg>.

<Ch> | Channel number.
<Seg> | Sweep segment number.
<Stop> | Stop frequency of the sweep.
Range [def. unit] | Depending on the instrument model [Hz]. The increment is 0.1 kHz.
*RST value | – (no sweep segment defined after reset)
SCPI, Command Types | Device-specific, command or query
Example: | SEGM:INS 1MHZ, 1.5MHZ, 111, -21DBM, 0.5S, 0, 10KHZ Create a sweep segment with a sweep range between 1.0 MHz and 1.5 MHz. SEGM:FREQ:STOP? Query the stop frequency of the created segment. The response is 1.5000000000E+006.

Note: If the stop frequency entered is smaller than the current start frequency ([SENSe<Ch>:]SEGMent<Seg>:FREQuency:STARt), the start frequency is set to the stop frequency minus the minimum frequency span ([SENSe<Ch>:]SEGMent<Seg>:FREQuency:SPAN).

[SENSe<Ch>:]SEGMent<Seg>:INSert
<Start>,<Stop>,<Points>,<Power>,<Time>|<Point Delay>,<Unused>,<Meas. Bandwidth>[,<LO>,<Selectivity>]

Adds a new sweep segment with specific channel settings.

Entry of the first seven numeric parameters is mandatory; no default values are provided. All settings except <LO> can be changed for existing segments using other commands of the [SENSe<Ch>:]SEGMent<Seg>... subsystem.

Note: Use [SENSe<Ch>:]SEGMent<Seg>:Add to create a segment with default channel settings. Use [SENSe<Ch>:]SEGMent<Seg>:DEFine to change or query all settings of an existing segment.

<Ch>

Channel number.

<Seg>

Sweep segment number. Segment numbers must be sequential. The specified segment number must be smaller or equal to the number of existing segments plus 1. Moreover, segment numbers must selected such that the corresponding frequency ranges are in ascending order.

If one or more sweep segments with segment numbers <Seg> or larger exist in the current channel, then all these existing segment numbers are incremented by 1 and the new segment is inserted as segment no. <Seg>.

<Start>, <Stop>

Start and stop frequency of the segment. See [SENSe<Ch>:]SEGMent<Seg>:FREQuency:STARt and [SENSe<Ch>:]SEGMent<Seg>:FREQuency:STOP.

Range [def. unit]

Depending on the analyzer model. [Hz]

<Points>

Number of sweep points in the segment. See [SENSe<Ch>:]SEGMent<Seg>:SWEep:POINts.

Range [def. unit]

1 to 2147483647. [1] 1 is allowed if start and stop frequencies are equal.

<Power>

Internal source power in the segment. See [SENSe<Ch>:]SEGMent<Seg>:POWer.

Range [def. unit]

–40 dBm to +10 dBm. The exact range depends on the analyzer model; refer to the data sheet [dBm]. UP and DOWN increment/decrement the source power in 1-dB steps.

<Time>

Duration of the sweep in the segment. See [SENSe<Ch>:]SEGMent<Seg>:SWEep:TIME. In the setting [SENSe<Ch>:]SEGMent<Seg>:INSert:SELect DWELl, this parameter is replaced by <Point Delay>. AUTO activates automatic sweep time setting in the segment, which is equivalent to the minimum sweep time possible.

Range [def. unit]

Depending on other channel settings [s].

<Point Delay>

Delay for each partial measurement in the segment. See [SENSe<Ch>:]SEGMent<Seg>:SWEep:DWELl. In the setting [SENSe<Ch>:]SEGMent<Seg>:INSert:SELec SWTime, this parameter is replaced by <Time>.

Range [def. unit]

0 s to 2.5E+003 s. [s] AUTO activates automatic sweep time setting in the segment, which is equivalent to a meas. delay of 0 s.

<Unused>

Ignored parameter, should be set to the default value 0.

<Meas. Bandwidth>

Resolution bandwidth in the segment. See [SENSe<Ch>:]SEGMent<Seg>:BWIDth[:RESolution].

Range [def. unit]

1.0E-6 Hz to 5 MHz [Hz].

<LO>

Position of the local oscillator frequency LO relative to the RF frequency (Spur Avoid). In remote control this parameter must be set when a sweep segment is created.

Range [def. unit]

POSitive: LO > RF
NEGative: LO < RF
AUTO: The analyzer auto-selects the local oscillator frequency, depending on the receiver (RF) frequency and the test port.

<Selectivity>

Selectivity of the IF filter. See [SENSe<Ch>:]SEGMent<Seg>:BWIDth[:RESolution]:SELect.

Range [def. unit]

NORMal | HIGH [–]

SCPI, Command Types

Device-specific, no query.

Example:

SEGM:INS 1MHZ, 1.5MHZ, 111, -21DBM, 0.5S, 0, 10KHZ

Create a sweep segment with a sweep range between 1.0 MHz and 1.5 MHz.

SEGM2:ADD

Create a second sweep segment. The frequency range of the second segment will be between 1.5 MHz and the maximum frequency of the analyzer.

[SENSe<Ch>:]SEGMent<Seg>:INSert:SELect
SWTime | DWELl

Defines whether the sweep time of a new segment, i.e. numeric parameter no. 5 of the command [SENSe<Ch>:]SEGMent<Seg>:INSert, is entered as a segment sweep time or as a meas. delay.

<Ch> | Channel number.
<Seg> | Sweep segment number.
SWTime | Use segment sweep time.
DWELl | Use meas delay.
*RST value | SWTime
SCPI, Command Types | Device-specific, command or query
Example: | SEGM:INS:SEL DWEL Select the meas. delay to determine the sweep time in a new sweep segment. SEGM:INS 1MHZ, 1.5MHZ, 111, -21DBM, 0.01S, 0, 10KHZ Create a sweep segment with a sweep range between 1.0 MHz and 1.5 MHz and a meas. delay of 10 ms. SEGM:SWE:TIME? Query the sweep time in the new segment.

[SENSe<Ch>:]SEGMent<Seg>:OVERlap <Boolean>

Queries whether the analyzer supports overlapping sweep segments.

<Ch> | Channel number. This suffix is ignored; the command is instrument-specific.
<Seg> | Sweep segment number. This suffix is ignored; the command is instrument-specific.
<Boolean> | ON | OFF: No effect.
*RST value | ON. If used as a query, the command returns the information that overlapping sweep segments are supported (ON).
SCPI, Command Types | Device-specific, command (no effect) or query

[SENSe<Ch>:]SEGMent<Seg>:POWer[:LEVel] <Power>

Defines the Power of the internal signal source in sweep segment no. <Seg>. At the same time, the command activates separate power control in all sweep segments ([SENSe<Ch>:]SEGMent<Seg>:POWer[:Level]:CONTrol ON).

<Ch> | Channel number.
<Seg> | Sweep segment number.
<Power> | Internal source power.
Range [def. unit] | –40 dBm to +10 dBm. The exact range depends on the analyzer model; refer to the data sheet [dBm].
*RST value | –10 dBm.
SCPI, Command Types | Device-specific, command or query
Example: | SEGM:ADD Create a new sweep segment no. 1 in channel no. 1 using default settings and thus –10 dBm internal source power. SEGM:POW -20 Decrease the power to –20 dBm.

[SENSe<Ch>:]SEGMent<Seg>:POWer[:LEVel]:CONTrol <Boolean>

Qualifies whether or not the Power of the internal signal source can be set independently for each sweep segment.

<Ch> | Channel number.
<Seg> | Sweep segment number.
<Boolean> | ON: The power can be set independently for each sweep segment. OFF: The power in all sweep segments is equal to the internal source power for unsegmented sweeps set via SOURce<Ch>:POWer[:LEVel][:IMMediate][:AMPlitude].
*RST value | OFF. The parameter is automatically switched to ON when a segment level is entered using [SENSe<Ch>:]SEGMent<Seg>:POWer[:LEVel].
SCPI, Command Types | Device-specific, command or query
Example: | SEGM:ADD Create a new sweep segment no. 1 in channel no. 1 using default settings and thus –10 dBm internal source power. SEGM:POW -20 Decrease the power to –20 dBm. SEGM:POW:CONT OFF Couple the powers in all segments and reset the power in segment no. 1 to the initial value.

[SENSe<Ch>:]SEGMent<Seg>[:STATe] <Boolean>

Activates or deactivates the sweep segment <Seg>. Sweep points belonging to inactive segments only are not measured

<Ch> | Channel number.
<Seg> | Sweep segment number.
<Boolean> | ON | OFF - Activates or deactivates the measurement in sweep segment <Seg>.
*RST value | ON
SCPI, Command Types | Device-specific, command or query
Example: | SEGM:ADD Create a new sweep segment no. 1 in channel no. 1 using default settings. SEGM OFF Disable the measurement in the created sweep segment.

[SENSe<Ch>:]SEGMent<Seg>:SWEep:DWELl <Meas. Delay>

Defines the delay time for each partial measurement in sweep segment no. <Seg> (Meas. Delay). If coupling of the segments is switched on ([SENSe<Ch>:]SEGMent<Seg>:SWEep:DWELl:CONTrol ON) the delay is valid for all sweep segments in the current channel.

<Ch> | Channel number.
<Seg> | Sweep segment number.
<Meas. Delay> | Meas. delay before each partial measurement.
Range [def. unit] | 0 s to 2.5E+003 s. [s] Changing the delay leaves the number of points unchanged but has an impact on the duration of the sweep ([SENSe<Ch>:]SEGMent<Seg>:SWEep:TIME).
*RST value | 0 s
SCPI, Command Types | Device-specific, command or query. This default value corresponds to automatic sweep time setting in manual control.
Example: | SEGM:ADD Create a new sweep segment no. 1 in channel no. 1 using default settings. SEGM:SWE:DWEL 1 MS Set the meas. delay in segment no. 1 to 1 ms. SEGM:DEF? Response: 300000,8000000000,51,-300,0.056559,0,10000,POS,NORM Query the channel parameters for sweep segment 1. The response value for the segment sweep time (olive) implicitly contains the defined meas. delay.

[SENSe<Ch>:]SEGMent<Seg>:SWEep:DWELl:CONTrol <Boolean>

Qualifies whether or not the Meas. Delay defined via [SENSe<Ch>:]SEGMent<Seg>:SWEep:DWELl can be set independently for each sweep segment.

<Ch>

Channel number.

<Seg>

Sweep segment number. This suffix is ignored; the command controls the whole segmented sweep.

<Boolean>

ON: The meas. delay can be set independently for each sweep segment.
OFF: The meas. delay in all sweep segments is equal to the Meas. Delay measurements for unsegmented sweeps set via [SENSe<Ch>:]SWEep:DWELl.

*RST value

OFF. The parameter is automatically switched to ON when a meas. delay time is entered using [SENSe<Ch>:]SEGMent<Seg>:SWEep:DWELl.

SCPI, Command Types

Device-specific, command or query.

Example:

SEGM:ADD

Create a new sweep segment no. 1 in channel no. 1 using default settings and thus 0 s meas. delay.

SEGM:SWE:DWELl 0.1

Increase the meas. delay to 0.1 s.

SEGM:SWE:DWELl:CONT OFF

Couple the meas. delay in all segments and reset the delay in segment no. 1 to the initial value of 0 s.

[SENSe<Ch>:]SEGMent<Seg>:SWEep:POINts <Points>

Defines the total number of measurement Points in sweep segment no. <Seg>.

<Ch> | Channel number.
<Seg> | Sweep segment number.
<Points> | Number of points in the segment.
Range [def. unit] | 1 to 60001. [1] 1 is allowed if start and stop frequencies are equal.
*RST value | 201
SCPI, Command Types | Device-specific, command or query
Example: | SEGM:ADD Create a new sweep segment no. 1 in channel no. 1 using default settings. SEGM:SWE:POIN 401 Increase the number of points to 401.

[SENSe<Ch>:]SEGMent<Seg>:SWEep:TIME <Sweep Time>

Sets the duration of the sweep in sweep segment no. <Seg> (Segment Sweep Time). At the same time, the command activates separate sweep time setting in all sweep segments ([SENSe<Ch>:]SEGMent<Seg>:SWEep:TIME:CONTrol ON).

<Ch> | Channel number.
<Seg> | Sweep segment number.
<Sweep Time> | Segment sweep time.
Range [def. unit] | The minimum duration depends on the other channel settings, in particular on the number of points ([SENSe<Ch>:]SEGMent<Seg>:SWEep:POINts), the IF bandwidth (BWID) and the delay for each partial measurement ([SENSe<Ch>:]SEGMent<Seg>:SWEep:DWELl). The maximum is 1000 s. [s] Changing the duration leaves the number of points unchanged but directly affects the delay.
*RST value | MIN, depending on the channel settings. This default value corresponds to automatic sweep time setting in manual control.
SCPI, Command Types | Device-specific, command or query
Example: | SEGM:ADD Create a new sweep segment no. 1 in channel no. 1. SEGM:SWE:TIME 0.1 Increase the segment sweep time to 0.1 s. SEGM:SWE:TIME:SUM? Query the total duration of the segmented sweep. The response is 0.1, because there is only one sweep segment.

[SENSe<Ch>:]SEGMent<Seg>:SWEep:TIME:CONTrol <Boolean>

Qualifies whether or not the Segment Sweep Time can be set independently for each sweep segment.

<Ch> | Channel number.
<Seg> | Sweep segment number. This suffix is ignored; the command controls the whole segmented sweep.
<Boolean> | ON: The time can be set independently for each sweep segment. OFF: The time in all sweep segments is equal to the sweep time for unsegmented sweeps set via [SENSe<Ch>:]SWEep:TIME.
*RST value | OFF. The parameter is automatically switched to ON when a segment sweep time is entered using [SENSe<Ch>:]SEGMent<Seg>:SWEep:TIME or if the channel settings in a sweep segment require a sweep time larger than the unsegmented sweep time.
SCPI, Command Types | Device-specific, command or query
Example: | SEGM:ADD Create a new sweep segment no. 1 in channel no. 1. SEGM:SWE:TIME 0.1 Increase the segment sweep time to 0.1 s. SEGM:SWE:TIME:CONT OFF Couple the sweep times in all segments and reset the sweep time in segment no. 1 to the initial value.

[SENSe<Ch>:]SEGMent<Seg>:SWEep:TIME:SUM?

Returns the total duration of the segmented sweep, calculated as the sum of the sweep times of the individual segments ([SENSe<Ch>:]SEGMent<Seg>:SWEep:TIME).

<Ch> | Channel number.
<Seg> | Sweep segment number. This suffix is ignored; the command returns the sum of all segments.
<Sweep Time> | Segment sweep time.
Range [def. unit] | See [SENSe<Ch>:]SEGMent<Seg>:SWEep:TIME [s]
*RST value | –
SCPI, Command Types | Device-specific, command or query
Example: | See [SENSe<Ch>:]SEGMent<Seg>:SWEep:TIME


SENSe:SWEep

:AXIS

:FREQuency

:POWer

:COUNt

:DETector

:TIME

:DWELl

:POINts

:SPACing

:SRCPort

:STEP

:TIME

:AUTO

:TYPE

[SENSe<Ch>:]SWEep...

This subsystem provides general settings to control the sweep. Most of the settings have an impact on the sweep time.

Command tree: [SENSe<Ch>:]SWEep

The [SENSe<Ch>:]SWEep... settings apply to non-segmented sweep types. Segmented sweeps are selected via [SENSe<Ch>:]SWEep:TPYE SEGMent and configured in the [SENSe<Ch>:]SEGMent<Seg>... subsystem.

[SENSe<Ch>:]SWEep:AXIS:FREQuency '<frequency_ref>'

Selects the stimulus signal that is used for the definition of the frequency sweep range or CW frequency.

This command is particularly useful in arbitrary mode (with option R&S ZVA-K4), where the frequencies and source powers at the ports are independent. For R&S ZVA analyzers without option R&S ZVA-K4, all frequencies are coupled so that this selection has no effect.

<Ch> | Channel number. If unspecified the numeric suffix is set to 1.
'<frequency_ref>' | String parameter, one of the following signals: 'Channel Base; Source' – Base channel frequency 'Port 1; Source' – Source frequency at port 1, 'Port 2; Source' – Source frequency at port 2 ... 'Port All; Receiver' – Receiver frequency (equal for all analyzer ports) 'Gen 1; Source' – External generator frequency 1 ... 'Pmtr 1; Receiver' – External power meter frequency 1 ...
*RST value | 'Channel Base: Source'
SCPI, Command Types | Device-specific, command or query
Example: | *RST; FREQ:STAR 1 GHz; STOP 2 GHz Define a base channel frequency range between 1 GHz and 2 GHz. This frequency is also used as an (initial) frequency range for all test ports and external generators. SOUR:FREQ1:CONV:ARB:IFR 1, 1, 1E+9, SWE Convert the source frequency at test port no. 1 to the range between 2 GHz and 3 GHz. SWE:AXIS:FREQ 'Port 1; Source' Select the source signal at port 1 as the reference signal for frequency definitions. FREQ:STAR 3 GHz; STOP 4 GHz Shift all frequency ranges by +1 GHz. SWE:AXIS:FREQ 'Port 2; Source' Select the source signal at port 2 as the reference signal for frequency definitions. FREQ:STAR?; STOP? Query the frequency range at test port 2. The response is 2000000000;3000000000. DISP:MENU:KEY:EXEC 'Port Config'

[SENSe<Ch>:]SWEep:AXIS:POWer '<power_ref>'

Selects the stimulus signal that is used for the definition of the power sweep range or fixed power.

This command is particularly useful in arbitrary mode (with option R&S ZVA-K4), where the frequencies and source powers at the ports are independent. For R&S ZVA analyzers without option R&S ZVA-K4, all powers are coupled so that this selection has no effect.

<Ch>

Channel number.

'<frequency_ref>'

String parameter, one of the following signals:
'Channel Base; Source' – Base channel power
'Port 1; Source' – Source power at port 1,
'Port 2; Source' – Source power at port 2
...
'Gen 1; Source' – External generator power 1
...

*RST value

'Channel Base; Source'

SCPI, Command Types

Device-specific, command or query

Example:

*RST; SOUR:POW 5

Define a base channel power of +5 dBm. This power is also used as an (initial) power for all test ports and external generators.

SOUR:POW1:OFFS -5, CPAD

Change the source power at test port no. 1 to 0 dB without affecting the power at the remaining ports.

SWE:AXIS:POW 'Port 1; Source'

Select the source signal at port 1 as the reference signal for power definitions.

SOUR:POW -5

Shift all powers by -5 GHz.

SWE:AXIS:POW 'Port 2; Source'

Select the source signal at port 2 as the reference signal for power definitions.

SOUR:POW?

Query the power at test port 2. The response is 0.

DISP:MENU:KEY:EXEC 'Port Config'

[SENSe<Ch>:]SWEep:COUNt <No_of_Sweeps>

Defines the number of sweeps to be measured in single sweep mode (INITiate<Ch>:CONTinuous OFF).

<Ch> | Channel number. If the single sweep mode settings apply to all channels (INITiate<Ch>[:IMMediate]:SCOPe ALL), this suffix is ignored; see program example in section Single Sweep Mode.
<No_of_Sweeps> | Number of consecutive sweeps to be measured.
Range [def. unit] | 1 to 999. [–]
*RST value | 1
SCPI, Command Types | Confirmed, command or query
Example: | See CALCulate<Chn>:DATA:NSWeep:FIRSt?.

[SENSe<Ch>:]SWEep:DETector:TIME <det_time>

Defines the detector observation time for ratios and wave quantities if a Peak or RMS detector is active. The detector is selected together with the measured quantity (CALCulate<Ch>:PARameter:MEASure or CALCulate<Ch>:PARameter:SDEFine).

<Ch> | Channel number.
<det_time> | Detector time.
Range [def. unit] | 0 s to 3456000 s. [s]
*RST value | 0.01 s
SCPI, Command Types | Confirmed, command or query
Example: | *RST; :CALC:PAR:MEAS 'TRC1', 'a1D1RMS' Select the wave quantity a1 for the default trace and activate the RMS detector. SWE:DET:TIME 1 Specify an observation time of 1 s at each sweep points.

[SENSe<Ch>:]SWEep:DWELl <delay>

Defines the Meas. Delay time for each partial measurement. Setting a delay disables the automatic calculation of the (minimum) sweep time; see [SENSe<Ch>:]SWEep:TIME:AUTO.

<Ch>

Channel number.

<delay>

Meas. delay before each partial measurement.

Range [def. unit]

0 s to 3.179551E+002 s. [s] Changing the delay leaves the number of points unchanged but has an impact on the duration of the sweep ([SENSe<Ch>:]SWEep:TIME).

*RST value

0 s

SCPI, Command Types

Confirmed, command or query

Example:

FUNC "XFR:POW:S12"

Activate a frequency sweep and select the S-parameter S12 as measured parameter for channel and trace no. 1.

SWE:TIME?

Query total sweep time.

SWE:DWEL 1

Set a delay of 1 s for each partial measurement.

SWE:TIME?

Query total sweep time. The time is extended by the delay times the total number of partial measurements per sweep.

[SENSe<Ch>:]SWEep:POINts <no_points>

Defines the total number of measurement points per sweep (Number of Points).

<Ch> | Channel number 1.
<no_points> | Number of points per sweep.
Range [def. unit] | 1 to 60001. [–]
*RST value | 201
SCPI, Command Types | Confirmed, command or query
Example: | FUNC "XFR:POW:S12" Activate a frequency sweep and select the S-parameter S12 as measured parameter for channel and trace no. 1. SWE:TIME? Query total sweep time. SWE:POIN 2010 Multiply the (default) number of points by 10. SWE:TIME? Query total sweep time again. The analyzer estimates a sweep time that is also multiplied by 10.

[SENSe<Ch>:]SWEep:SPACing LINear | LOGarithmic

Defines the frequency vs. time characteristics of a frequency sweep (Lin. Frequency or Log Frequency). The command has no effect on segmented frequency, power or time sweeps.

Note: Use [SENSe<Ch>:]SWEep:TPYE to select sweep types other than Lin. Frequency or Log. Frequency.

<Ch> | Channel number.
LINear | The stimulus frequency is swept in equidistant steps over the frequency range. In a Cartesian diagram, the x-axis is a linear frequency axis.
LOGarithmic | The frequency is swept in equidistant steps on a logarithmic scale. In a Cartesian diagram, the x-axis is a logarithmic frequency axis.
*RST value | LINear
SCPI, Command Types | Confirmed, command or query
Example: | FUNC "XFR:POW:S12" Activate a frequency sweep and select the S-parameter S12 as measured parameter for channel and trace no. 1. SWE:SPAC LOG Change to sweep type Log Frequency.

[SENSe<Chn>:]SWEep:SRCPort 1 | 2 | 3 | 4

Selects a source port for the stimulus signal (Drive Port). The setting acts on the active trace. The effect of the drive port selection depends on the measurement parameter associated to the active trace:

  • If an S-parameter S<out><in> is measured, the second port number index <in> (input port of the DUT = drive port of the analyzer) is set equal to the selected drive port: Drive port selection affects the measured quantity.

  • If a wave quantity or a ratio is measured, the drive port is independent from the measured quantity:

<Chn> | Channel number used to identify the active trace. If unspecified the numeric suffix is set to 1.
1 ... | Test port number of the analyzer, 1 to 2, 3 or 4, depending on the analyzer model.
*RST value | 1 (test port 1)
SCPI, Command Types | Device-specific, with query.
Example: | CALC4:PAR:SDEF "Ch4Tr1", "A1" Create channel 4 and a trace named Ch4Tr1 to measure the wave quantity a1. The trace automatically becomes the active trace. SENS4:SWE:SRCP 2 Select drive port 2 for the active trace.

[SENSe<Ch>:]SWEep:STEP <step_size>

Sets the distance between two consecutive sweep points.

This setting is valid for sweep types with equidistant sweep points only. It does not apply to logarithmic and segmented sweeps.

<Ch>

Channel number.

<step_size>

Stimulus step size.

Range [def. unit]

Depending on the other channel settings. The minimum step size is equal to the sweep span divided by the maximum number of points minus one ([SENSe<Ch>:]SWEep:POINts), the maximum step size is equal to the sweep span ([SENSe<Ch>:]FREQuency:SPAN). See also description of manual control and program example below. [–]

*RST value

Depending on the analyzer model. The default step size is equal to the default sweep span of the analyzer divided by the default number of points minus one.

SCPI, Command Types

Confirmed, with query.

Example:

*RST; :SWE:STEP?

Query the default step size. For a 24 GHz analyzer, the response is 119950000. 119950000 Hz = (24 GHz – 10 MHz) / 200.

SWE:STEP UP

Increase the step size.

FREQ:STOP?; :SWE:POIN?

Query the stop frequency of the sweep and the number of points. Increasing the step size has changed both values.

[SENSe<Ch>:]SWEep:TIME <duration>

Sets the duration of the sweep (Sweep Time). Setting a duration disables the automatic calculation of the (minimum) sweep time; see [SENSe<Ch>:]SWEep:TIME:AUTO.

Note: The sweep duration is ignored for the sweep types Time and CW Mode.

<Ch> | Channel number.
<duration> | Duration of the sweep.
Range [def. unit] | The minimum duration depends on the other channel settings, in particular on the number of points ([SENSe<Ch>:]SWEep:POINts), the IF bandwidth (BWID) and the Meas. Delay for each partial measurement ([SENSe<Ch>:]SWEep:DWELl). The maximum is 100000 s. [s] Changing the duration leaves the number of points unchanged but directly affects the delay.
*RST value | MIN, depending on the channel settings
SCPI, Command Types | Confirmed, command or query
Example: | SWE:TIME 1 Set a total sweep time of 1 s. SWE:DWEL? Query the delay for each partial measurement. SWE:TIME 2 Increase the total sweep time to 2 s. SWE:DWEL? Query the meas. delay for each partial measurement again. The delay is increased by 1 s divided by the total number of partial measurements per sweep.

[SENSe<Ch>:]SWEep:TIME:AUTO <Boolean>

When enabled, the (minimum) sweep duration is calculated internally using the other channel settings and zero delay ([SENSe<Ch>:]SWEep:DWELl).

Note: The automatically calculated sweep duration is ignored for the sweep types Time and CW Mode.

<Ch> | Channel number.
<Boolean> | ON | OFF - Turns the automatic calculation of the sweep time on or off. OFF is also set if the sweep duration or delay is set explicitly using [SENSe<Ch>:]SWEep:TIME or [SENSe<Ch>:]SWEep:DWELl.
*RST value | ON
SCPI, Command Types | Confirmed, command or query
Example: | SWE:TIME 1 Set a total sweep time of 1 s. SWE:TIME:AUTO? A query returns the value 1.

[SENSe<Ch>:]SWEep:TYPE
LINear | LOGarithmic | SEGMent | POWer | CW | POINt | PULSe | IAMPlitude | IPHase

Selects the sweep type, i.e. the sweep variable (frequency/power/time) and the position of the sweep points across the sweep range.

<Ch> | Channel number.
LINear | Lin. frequency sweep at constant source power (SOURce<Ch>:POWer<Pt>[:LEVel][:IMMediate][:AMPlitude]). The stimulus frequency ([SENSe<Ch>:]FREQuency:...) is swept in equidistant steps over the frequency range. In a Cartesian diagram, the x-axis is a linear frequency axis.
LOGarithmic | Log. frequency sweep. The frequency is swept in equidistant steps on a logarithmic scale. In a Cartesian diagram, the x-axis is a logarithmic frequency axis.
SEGMent | Segmented frequency sweep. The sweep range is composed of several continuous frequency ranges or single frequency points defined by means of the commands in the [SENSe<Ch>:]SEGMent<Seg>... subsystem.
POWer | Power sweep. The measurement is performed at constant frequency (SOURce<Ch>:FREQuency<Pt>:CW|FIXed) but with variable generator power that is swept in linear, equidistant steps over a continuous range (SOURce<Ch>:POWer<Pt>:STARt, SOURce<Ch>:POWer<Pt>:STOP). In a Cartesian diagram, the x-axis is a dB-linear power axis.
CW | Time sweep. The measurement is performed at constant frequency (SOURce<Ch>:FREQuency<Pt>:CW|FIXed) and source power (SOURce<Ch>:POWer<Pt>[:LEVel][:IMMediate][:AMPlitude]) and repeated over a specified period of time at constant time intervals.
POINt | CW Mode sweep, time sweep triggered according to the current trigger settings.
PULSe | Pulse profile mode, configured via SENSe:PULSe...
IAMPlitude | Amplitude imbalance sweep, configured via SOURce:TDIF...
IPHase | Phase imbalance sweep, configured via SOURce:TDIF...
*RST value | LINear
SCPI, Command Types | Device-specific, command or query
Example: | FUNC "XFR:POW:S12" Activate a frequency sweep and select the S-parameter S12 as measured parameter for channel and trace no. 1. SWE:TYPE LOG Change to sweep type Log Frequency.


SENSE:UDSParams

:ACTive

:PARam

[SENSe<Chn>:]UDSParams<Pt>...

This subsystem defines user-defined (virtual) ports. All commands are supported for compatibility with R&S ZVR functionalities.

User-defined S-parameters are intended for standard S-parameter measurements. They are not compatible with special measurement modes such as True Differential Mode or Defined Coherence Mode.

Command tree: [SENSe<Chn>:]UDSParams<Pt>

[SENSe<Ch>:]UDSParams<Pt>:ACTive <Boolean>

Enables or disables the user-defines S-parameters for channel <Ch> and port no. <Pt>.

<Ch> | Channel number
<Pt> | Physical analyzer port number
<Boolean> | ON | OFF – Enable or disable user-defined S-parameters
*RST value | OFF
SCPI, Command Types | Device-specific, command or query
Example: | SENSe2:UDSParams1:ACTive ON Enable user-defined ports for channel no. 2 and port no. 1 SENSe2:UDSParams1:PARam '1:a1:b2' Define a port combining the drive port 1, the reference wave a1. (i.e. the source signal which the analyzer transmits at port no. 1) and the measured wave at port 2 b2. The ratio b2/a1 is interpreted as a reflection parameter; a one-port calibration can be performed for the user-defined port.

[SENSe<Ch>:]UDSParams<Pt>:PARam '<port_string>'

Defines a user-defined analyzer port, based on a combination of generator index/drive port, reference wave (a), and measured wave (b). A standard analyzer port no. <n> combines the drive port no. <n> with the waves a<n> and b<n>. With unequal drive port and wave indices, the interpretation of measured quantities can be changed; see measurement example for [SENSe<Ch>:]UDSParams<Pt>:ACTive.

<Ch> | Channel number
<Pt> | Physical analyzer port number
'<port_string>' | Port definition string in the format '<drive port>:<a-wave>:<b-wave>'
Range [def. unit] | Drive ports and waves depending on the number of analyzer ports
*RST value | '1:a1:b1'
SCPI, Command Types | Device-specific, command or query
Example: | See [SENSe<Ch>:]UDSParams<Pt>:ACTive


SOURce<Ch>:CMODe

:CMODe

:PORT<Pt>

:AMPlitude

:PHASe

[:STATe]

:REFerence

:RPORt

:FREQuency

[:CW] | FIXed

:CONVersion

:ARBitrary

:IFRequency

:MIXer

:FUNDamental

:PFIXed

:GROup

:CLEar

:LPORt

:CLEar

:POWer

:ATTenuation

:CORRection(source power calibration commands)

[:LEVel|

[:IMMediate]

[:AMPLitude]

:OFFset

:SLOPe

:STARt

:STATe

:STOP

:TDIF (commands for true differential mode)

SOURce<Ch>:CMODe...

This subsystem controls the frequency and power of the internal signal source for Defined Coherence Mode, configures and starts the source power calibration, and provides output port settings.

Command tree: SOURce<Ch>

Note: The SOURce<Ch>:POWer... subsystem comprises port-specific and general settings. Port-specific settings are valid for the port specified by the numeric suffix <Pt> (...:POWER<Pt>:...). General settings are valid for all test ports of the analyzer; the port suffix is ignored. Refer to the description of the individual commands for more information.

SOURce<Ch>:CMODe:PORT<Pt>:AMPLitude <rel. amplitude>

Defines the amplitude for the coherent signal at port no. <Pt> relative to the amplitude of the reference signal (SOURce<Ch>:CMODe:RPORt). The amplitude replaces the port amplitude (see SOURce<Ch>:POWer<Pt>[:LEVel][:IMMediate][:AMPlitude] and related commands) as long as the port signal is selected as a coherent signal (SOURce<Ch>:CMODe:PORT<Pt>[:STATe] ON).

<Ch> | Channel number. If unspecified the numeric suffix is set to 1.
<Pt> | Test port number of the analyzer.
<rel. amplitude> | Port-specific relative amplitude.
Range [def. unit] | –300 dB to +300 dB [dB]. UP and DOWN increment/decrement the phase in 1-dB steps.
*RST value | 0 dB
SCPI, Command Types | Device-specific, command or query
Example (for an analyzer with 3 or more ports): | *RST; SOUR:CMOD:RPOR 2 Reset the analyzer and select port 2 as the reference port. SOUR:CMOD:PORT3 ON Select the signal from port 3 as a coherent signal. SOUR:CMOD:PORT3:AMPL 10; :PHAS 90 Select the signal from port 3 as a coherent signal. SOUR:CMOD:REF VOLT Assign the specified amplitude and phase relation to the voltage of the coherent signals.

SOURce<Ch>:CMODe:PORT<Pt>:PHASe <rel. phase>

Defines the phase for the coherent signal at port no. <Pt> relative to the phase of the reference signal (SOURce<Ch>:CMODe:RPORt).

<Ch> | Channel number. If unspecified the numeric suffix is set to 1.
<Pt> | Test port number of the analyzer.
<rel. phase> | Port-specific relative phase.
Range [def. unit] | –180 deg to +180 deg [deg]. UP and DOWN increment/decrement the phase in 1-deg steps.
*RST value | 0 deg
SCPI, Command Types | Device-specific, command or query
Example: | See SOURce<Ch>:CMODe:PORT<Pt>:AMPlitude

SOURce<Ch>:CMODe:PORT<Pt>[:STATe] <Boolean>

Qualifies whether the signal at port no. <Pt> is a coherent or a non-coherent signal.

<Ch> | Channel number. If unspecified the numeric suffix is set to 1.
<Pt> | Test port number of the analyzer.
<Boolean> | Signal is coherent (ON) or non-coherent (OFF).
*RST value | OFF
SCPI, Command Types | Device-specific, command or query
Example: | See SOURce<Ch>:CMODe:PORT<Pt>:AMPlitude

SOURce<Ch>:CMODe:RPORt <port no.>

Selects the reference port for the Defined Coherence Mode.

<Ch> | Channel number. If unspecified the numeric suffix is set to 1.
<port no.> | Test port number of the analyzer.
Range [def. unit] | 1 to the total number of ports of the analyzer (must be > 2)
*RST value | 1
SCPI, Command Types | Device-specific, command or query
Example: | See SOURce<Ch>:CMODe:PORT<Pt>:AMPlitude


SOURce<Ch>

:FREQuency

[:CW] | FIXed

:CONVersion

:ARBitrary

:CFRequency

:EFRequency

:IFRequency

:MIXer

:FUNDamental

:PAFixed

:PFIXed

:GROup

:CLEar

:COUNt

:PORTs

:LPORt

:CLEar

:POWer

:ATTenuation

:CORRection(source power calibration commands)

[:LEVel|

[:IMMediate]

[:AMPLitude]

:OFFset

:SLOPe

:STARt

:STATe

:STOP

:TDIF (commands for true differential mode)

SOURce<Ch>:...

This subsystem controls the frequency and power of the internal signal source, configures and starts the source power calibration, and provides output port settings.

Command tree: SOURce<Ch>

Note: The SOURce<Ch>:POWer... subsystem comprises port-specific and general settings. Port-specific settings are valid for the port specified by the numeric suffix <Pt> (...:POWER<Pt>:...). General settings are valid for all test ports of the analyzer; the port suffix is ignored. Refer to the description of the individual commands for more information.

SOURce<Ch>:FREQuency<Pt>[:CW] <fixed frequency>
SOURce<Ch>:FREQuency<Pt>:FIXed <fixed frequency>

Defines the fixed (Continuous Wave, CW) frequency for all sweep types operating at fixed frequency (power sweep, time sweep, CW mode sweep). The two command forms SOUR:FREQ:CW and SOUR:FREQ:FIX are equivalent.

SOURce<Ch>:FREQuency<Pt>:CW|FIXed is equivalent to [SENSe<Ch>:]FREQuency:CW|FIXed. Source and receiver frequency are equal; the four commands overwrite each other. With option ZVA-K4, Frequency Conversion, independent offset frequencies can be defined for the source and receiver frequencies; see SOURce<Ch>:FREQuency<Pt>:CONVersion:ARBitrary:IFRequency and [SENSe<Ch>:]FREQuency:CONVersion:ARBitrary.

<Ch> | Channel number. If unspecified the numeric suffix is set to 1.
<Pt> | Test port number of the analyzer. This suffix is ignored because the selected frequency applies to all source ports used in the active channel.
<fixed_frequency> | Fixed stimulus and analyzer frequency.
Range [def. unit] | Depending on the instrument model [Hz]. The increment (parameters UP or DOWN) is 0.1 kHz.
*RST value | 1 GHz
SCPI, Command Types | Confirmed, command or query
Example: | FUNC "XPOW:POW:A1" Activate a power sweep and select the wave quantity a1 as measured parameter for channel and trace no. 1. SOUR:FREQ:CW 100 MHz Set the CW frequency to 100 MHz.

SOURce<Ch>:FREQuency<Pt>:CONVersion:ARBitrary:CFRequency
<numerator>, <denominator>, <offset>, CW | FIXed | SWEep

Defines the converter source frequency at the converter port <Pt>. This command is available for frequency converters with electronic attenuators R&S ZVA-ZxxxE. The converter source frequency is either a range (for frequency sweeps) or a CW frequency (for power, time and CW Mode sweeps). It is used as a reference during power calibration.

The frequency formula is applied even if the analyzer returns an error message, because the frequency is outside the allowed range.

<Ch>

Channel number.

<Pt>

Test port number of the analyzer.

<numerator>
<denominator>
<offset>

Parameters of the frequency formula. The source frequency fs is calculated according to
fs = <numerator>/<denominator>*fb. + <offset>
where fb represents the sweep range (for frequency sweeps, parameter SWEep). For power, time and CW Mode sweeps (parameters CW or FIXed), fb = 0.

The conversion formula for fs is ZVR-compatible but differs from manual control where the ratio <numerator>/<denominator> also multiplies the <offset>. In manual control, the <offset> is defined as a product of a ratio of two integers times a multiple of 1 Hz.

Range [def. unit]

For consistency the converter source frequency or frequency range should be an integer multiple of the source frequency at the analyzer port (SOURce<Ch>:FREQuency<Pt>:CONVersion:ARBitrary:IFRequency). The multiplier must be equal to the selected harmonic order (<denominator>/<numerator>); see example below. In addition the following restrictions apply:
<numerator> – Values are rounded to positive or negative integer numbers [1]
<denominator> – Values are rounded to positive integer numbers [1]
<offset> – Values are rounded to (positive or negative) multiples of 1 Hz [Hz].

The selected converter source frequency must be within the nominal frequency range of the frequency converter, otherwise an error message "–222, Data out of range..." is generated.

*RST value

The default frequency/frequency range corresponds to the frequency range or start frequency of the converter, i.e.
<numerator> = <denominator> = 1
<offset> = 0 Hz

Sweep type Parameters

SWEep – A frequency sweep is active, the command defines a frequency range.
CW | FIXed – A power, time or CW Mode sweeps is active, the command defines a fixed frequency.

*RST value

SWEep

SCPI, Command Types

Device-specific, command or query

Example:

FREQ:CONV:DEV:NAME 'ZVA-Z110E'

Select frequency converter type R&S ZVA-Z110E.

FREQ:CONV:DEV:MODE RILI

Select internal RF and source frequencies.

FREQ:STAR 7.5E+10; :STOP 1E+11

Restrict the base frequency range to 75 GHz to 100 GHz.

SOUR:FREQ1:CONV:ARB:IFR 1, 6, 5E+7, SWE

Increase the RF source frequency at port 1 by 50 kHz.

SOUR:FREQ1:CONV:ARB:CFR 1, 1, 3E+8, SWE

Adjust the frequency axis of the converter output.

SOUR:POW:CONV:OFFS 3, CPAD

Increase the output power of the converter by +3 dB..

SOURce<Ch>:FREQuency<Pt>:CONVersion:ARBitrary:EFRequency<Gen>
<Boolean>, <numerator>, <denominator>, <offset>, CW | FIXed | SWEep

Defines an external generator frequency for frequency-converting measurements. The external generator frequency is either a range (for frequency sweeps) or a CW frequency (for power, time and CW Mode sweeps).

<Ch>

Channel number.

<Pt>

Test port number of the analyzer. This suffix is ignored because the generator is referenced via <Gen>.

<Gen>

Generator number

<Boolean>

Switch the generator on or off.

<numerator>
<denominator>
<offset>

Parameters of the frequency formula. The source frequency fs is calculated according to
fs = <numerator>/<denominator>*fb. + <offset>
where fb represents the sweep range (for frequency sweeps, parameter SWEep). For power, time and CW Mode sweeps (parameters CW or FIXed), fb = 0.

The conversion formula for fs is ZVR-compatible but differs from manual control where the ratio <numerator>/<denominator> also multiplies the <offset>. In manual control, the <offset> is defined as a product of a ratio of two integers times a multiple of 1 Hz.

Range [def. unit]

The converted frequency or frequency range must be within the external generator's frequency range [Hz]. In addition the following restrictions apply:
<numerator> – Values are rounded to positive or negative integer numbers [1]
<denominator> – Values are rounded to positive integer numbers; zero is not allowed [1]
<offset> – Values are rounded to (positive or negative) multiples of 1 Hz [Hz].

*RST value

The default frequency/frequency range corresponds to the sweep range or CW frequency of the analyzer, i.e.
<numerator> = <denominator> = 1
<offset> = 0 Hz

Sweep type Parameters

SWEep – A frequency sweep is active, the command defines a frequency range.
CW | FIXed – A power, time or CW Mode sweeps is active, the command defines a fixed frequency.

*RST value

SWEep

SCPI, Command Types

Device-specific, command or query

Example:

*RST; FREQ:STAR 1E+9; STOP 1.1E+9

Reset the analyzer (activating a frequency sweep) and set the sweep range between 1 GHz and 1.1 GHz.

SYST:COMM:RDEV:GEN1:DEF 'Ext. Gen. 1', 'SME02', 'gpib0', '21'

Configure an R&S SME02 generator as external generator no. 1, assigning the name Ext. Gen. 1 and a GPIB address 21.

SOUR:FREQ:CONV:ARB:EFR ON, 1, 4, 1E+9, SWE

Switch the generator on and convert the generator frequency to the range between 1.25 GHz and 1.275 GHz.

SOURce<Ch>:FREQuency<Pt>:CONVersion:ARBitrary:IFRequency
<numerator>, <denominator>, <offset>, CW | FIXed | SWEep

Defines the port-specific source frequency for frequency-converting measurements. The source frequency is either a range (for frequency sweeps) or a CW frequency (for power, time and CW Mode sweeps).

The frequency formula is applied even if the analyzer returns an error message, because the frequency is outside the allowed range.

<Ch>

Channel number.

<Pt>

Test port number of the analyzer. Note that the source frequencies at ports 1/2 and at ports 3/4 must be the same if the RF signal is simultaneously fed to two coupled ports.

<numerator>
<denominator>
<offset>

Parameters of the frequency formula. The source frequency fs is calculated according to
fs = <numerator>/<denominator>*fb. + <offset>
where fb represents the sweep range (for frequency sweeps, parameter SWEep). For power, time and CW Mode sweeps (parameters CW or FIXed), fb = 0.

The conversion formula for fs is ZVR-compatible but differs from manual control where the ratio <numerator>/<denominator> also multiplies the <offset>. In manual control, the <offset> is defined as a product of a ratio of two integers times a multiple of 1 Hz.

Range [def. unit]

The converted frequency or frequency range must be within the analyzer's frequency range, depending on the instrument model [Hz]. In addition the following restrictions apply:
<numerator> – Values are rounded to positive or negative integer numbers [1]
<denominator> – Values are rounded to positive integer numbers; zero is not allowed [1]
<offset> – Values are rounded to (positive or negative) multiples of 1 Hz [Hz].

*RST value

The default frequency/frequency range corresponds to the sweep range or CW frequency of the analyzer, i.e.
<numerator> = <denominator> = 1
<offset> = 0 Hz

Sweep type Parameters

SWEep – A frequency sweep is active, the command defines a frequency range.
CW | FIXed – A power, time or CW Mode sweeps is active, the command defines a fixed frequency.

*RST value

SWEep

SCPI, Command Types

Device-specific, command or query

Example:

*RST; FREQ:STAR 1E+9; STOP 1.1E+9

Reset the analyzer (activating a frequency sweep) and set the sweep range between 1 GHz and 1.1 GHz.

SOUR:FREQ2:CONV:ARB:IFR 2, 1, 1E+9, SWE

Convert the source frequency at test port no. 2 to the range between 3 GHz and 3.2 GHz.

SOURce<Ch>:FREQuency<Pt>:CONVersion:MIXer:FUNDamental RF | LO

Selects the mixer input signal which is at the fundamental power (channel power, to be defined by means of SOURce<Ch>:POWer<Pt>:STARt, SOURce<Ch>:POWer<Pt>:STOP, SOURce<Ch>:POWer<Pt>[:LEVel][:IMMediate][:AMPlitude]).

<Ch> | Channel number.
<Pt> | Physical port number of the analyzer. This suffix is ignored, because the port assignments for mixer measurement are fixed.
Parameters | RF – mixer input signal LO – local oscillator signal
*RST value | RF
SCPI, Command Types | Device-specific, command or query.
Example: | See SOURce<Ch>:FREQuency:CONVersion:MIXer:PFIXed

SOURce<Ch>:FREQuency<Pt>:CONVersion:MIXer:PAFixed <aux_fixed_power>

Defines a fixed power for the Aux LO signal in a vector mixer measurement (option R&S ZVA-K5). The Aux LO signal is fed to the MEAS and REF mixers.

<Ch> | Channel number.
<Pt> | Physical port number of the analyzer. This suffix is ignored, because the port assignments for mixer measurement are fixed.
<aux_fixed_power> | Fixed power for Aux LO
Range [def. unit] | –40 dBm to +10 dBm. The exact range depends on the analyzer model or external generator used; refer to the data sheet [dBm]. UP and DOWN increment/decrement the source power in 0.1-dB steps.
*RST value | –25 dBm
SCPI, Command Types | Device-specific, command or query.
Example: | *RST; SOUR:FREQ:CONV:MIX:PAF –10 Reset the analyzer and specify a fixed Aux LO power of –10 dBm. SENS:FREQ:CONV:MIX:APOR 1 Select the test setup where the additional mixers MEAS and REF are connected to port 1 of the NWA. SENS:FREQ:CONV:MIX:AINT 3 Select the analyzer port 3 as a source port for the Aux LO signal. Alternatively, e.g. for a 2-port NWA in combination with an external generator: SYST:COMM:RDEV:GEN1:DEF 'Ext. Gen. 1', 'SME02', 'gpib0', '21' Configure an R&S SME02 generator as external generator no. 1, assigning the name Ext. Gen. 1 and a GPIB address 21. FREQ:CONV:MIX:AEXT 1 Select the generator no. 1 as a signal source for the Aux LO signal.

SOURce<Ch>:FREQuency<Pt>:CONVersion:MIXer:PFIXed <fixed_power>

Defines a fixed power, to be assigned either to the RF or to the LO signal (the signal not addressed by SOURce<Ch>:]FREQuency:CONVersion:MIXer:FUDamental RF | LO).

<Ch> | Channel number.
<Pt> | Physical port number of the analyzer. This suffix is ignored, because the port assignments for mixer measurement are fixed.
<fixed_power> | Fixed power.
Range [def. unit] | –40 dBm to +10 dBm. The exact range depends on the analyzer model or external generator used; refer to the data sheet [dBm]. UP and DOWN increment/decrement the source power in 0.1-dB steps.
*RST value | –25 dBm
SCPI, Command Types | Device-specific, command or query.
Example: | *RST; SOUR:FREQ:CONV:MIX:PFIX –10 Reset the analyzer and specify a fixed power of –10 dBm. SOUR:FREQ:CONV:MIX:FUND LO Assign the fundamental frequency to the LO signal. The fixed power is automatically assigned to the RF signal.

SOURce<Ch>:GROup<group_no> <log_port1>,<log_port2>

Defines a port group numbered <group_no> containing a continuous range of logical ports between <log_port1> and <log_port2>.

<Ch>

Channel number.

<group_no>

Port group number. If unspecified the analyzer automatically selects an unused port group number (existing port groups are not overwritten).

Range [def. unit]

Port groups must contain at least one logical port and must not overlap, so the maximum number of port groups for an n-port analyzer is n. [–]

<log_port1>, <log_port2>

First and last logical port number in the port group. The port group contains all ports with numbers between <log_port1> and <log_port2>. The command generates an error message if only one parameter is transferred. Both parameters must be omitted if the command is used as a query.

Range [def. unit]

1 to n where n is the number of ports of the analyzer. <log_port1> can be smaller than, equal to or larger than <log_port2>, however, a physical port cannot be assigned to several port groups. [–]

SCPI, Command Types

Device-specific, command or query

Example:

SOUR:GRO1 1,2; :SOUR:GRO2 3,4

On a 4-port analyzer, arrange the logical ports no. 1 and 2 in port group 1, the logical ports no 3 and 4 in port group 2.

SOUR:GRO?

Query the port group no. 1. The response is 1,2.

SOUR:GRO:CLE ALL; :SOUR:GRO1?

Dissolve all port group and repeat the query. The response is 1,4: the default port group no. 1 contains all ports.

SOUR:GRO:PORT 1,2,4

Redefine the port group, removing port 3.

SOUR:GRO:PORT?; :SOUR:GRO1?

Query the ports in the port group using two different methods. The response is 1,2,4;1,4.

SOUR:GRO:COUN?

Query the number of port groups. The response is 1.

SOURce<Ch>:GROup<group_no>:CLEar [ALL]

Dissolves a group of measured ports <group_no> or all port groups.

<Ch>

Channel number.

<group_no>

Port group number. If unspecified the numeric suffix is set to 1.

Range [def. unit]

Range according to the current port groups (SOURce<Ch>:GROup<group_no>). If an undefined port group number is used, the analyzer generates an error message. Exception: Parameter ALL, see below. [–]

Note: Port group no 1 is always present and can not be dissolved. After a *RST or after SOURce<Ch>:GROup<group_no>:CLEar ALL, port group no. 1 contains all ports of the analyzer.

ALL

If ALL is specified, all port groups are dissolved (exception: port group 1; see above); the <group_no> suffix is ignored. If ALL is omitted, only the specified port group is dissolved.

SCPI, Command Types

Device-specific, no query

Example:

See SOURce<Ch>:GROup<group_no>

SOURce<Ch>:GROup<group_no>:COUNt?

Queries the number of port groups in channel no. <Ch>.

<Ch>

Channel number.

<group_no>

Port group number. This suffix is ignored, because the command returns the number of all port groups.

Range [def. unit]

Port groups must contain at least one logical port and must not overlap, so the maximum number of port groups for an n-port analyzer is n. [–]

Note: Port group no 1 is always present and can not be dissolved. After a *RST or after SOURce<Ch>:GROup<group_no>:CLEar ALL, port group no. 1 contains all ports of the analyzer.

SCPI, Command Types

Device-specific, query only

Example:

See SOURce<Ch>:GROup<group_no>

SOURce<Ch>:GROup<group_no>:PORTs <log_port1>{,<log_port2> ...}

Defines a port group numbered <group_no> containing an arbitrary selection of logical ports. The ports do not have to be numbered continuously (as for port groups defined via SOURce<Ch>:GROup<group_no>).

It is not possible to create more than one port group with arbitrary ports. To avoid errors, use the setting command only while the channel contains a single port group (e.g. after a *RST). You can use the query to read out the ports for an arbitrary number of port groups created via SOURce<Ch>:GROup<group_no>.

<Ch> | Channel number.
<group_no> | Port group number.
Range [def. unit] | Port groups must contain at least one logical port and must not overlap, so the maximum number of port groups for an n-port analyzer is n. [–]
<log_port1>, ... | Numbers of all logical ports in the port group. The port numbers must be omitted if the command is used as a query.
Range [def. unit] | For each parameter: 1 to n where n is the number of ports of the analyzer. The port numbers must all be different. Besides, a physical port cannot be assigned to several port groups. [–]
SCPI, Command Types | Device-specific, command or query
Example: | See SOURce<Ch>:GROup<group_no>
SOURce<Ch>:LPORt<log_port> <phys_port1>,<phys_port2>

Defines a balanced port numbered <log_port>, combining two physical ports <phys_port1> and <phys_port2>.

A balanced port configuration generally introduces a new set of mixed mode measured quantities. Therefore the traces must be redefined when a balanced port is created. To avoid any inconsistencies the analyzer deletes all traces when SOURce<Ch>:LPORt<log_port> is used.

<Ch>

Channel number.

<log_port>

Logical port number used to number balanced or physical ports. If unspecified the numeric suffix is set to 1.

Range [def. unit]

One balanced port requires two physical ports, so the maximum number of balanced ports for an n-port analyzer is n/2 (n even) or (n – 1)/2 (n odd). If the command is used as a query, then <log_port> can range up to n (no balanced ports, see example below). [–]

<phys_port1>, <phys_port2>

Physical port numbers. The command has no effect if only one parameter is transferred. Both parameters must be omitted if the command is used as a query.

Range [def. unit]

1 to n where n is the number of ports of the analyzer. The port numbers must be different from each other. Moreover, a physical port cannot be assigned to several physical ports. [–]

SCPI, Command Types

Device-specific, command or query

Example:

*RST; :SOUR:LPOR1 1,2; LPOR2 3,4

Assuming that the analyzer provides 4 test ports, combine the physical ports 1 and 2 to the logical port 1, the physical ports 3 and 4 to the logical port 2.

SOUR:LPOR1?

Query the physical ports assigned to logical port no. 1. The response is 1,2.

SOUR:LPOR:CLE ALL
SOUR:LPOR1?

Dissolve all logical ports and repeat the query. The response is 1: the logical port no. 1 is identical to the physical port no. 1.

SOURce<Ch>:LPORt<log_port>:CLEar [ALL]

Dissolves a balanced port numbered <log_port> or all balanced ports.

<Ch> | Channel number.
<log_port> | Logical port number used to number balanced ports. If unspecified the numeric suffix is set to 1.
Range [def. unit] | Range according to the current port configuration (SOURce<Ch>:LPORt<log_port>). If an undefined balanced port number is used, the analyzer generates an error message. Exception: Parameter ALL, see below. [–]
ALL | If ALL is specified, all balanced ports are dissolved; the <log_port> suffix is ignored. If ALL is omitted, only the specified balanced port is dissolved.
SCPI, Command Types | Device-specific, no query
Example: | See SOURce<Ch>:LPORt<log_port>


SOURce<Ch>:POWer[:LEVel]

:ALC

:CONTrol

[:STATe]

:CLAMp

:PIParameter

:GAIN

:ITIMe

:ATTenuation

:AUTO

:MODE

:CORRection(source power calibration commands)

:GENerator

:LLIMit

[:STATe]

:LLIMit

:VALue

:OFFSet

:PERManent[:STATe]

:STATe

[:LEVel|

[:IMMediate]

[:AMPLitude]

:LLIMit

[:STATe]

:LLIMit

:VALue

:OFFset

:SLOPe

:PERManent

[:STATe]

:STARt

:STATe

:STOP

SOURce<Ch>:POWer...

This subsystem controls the power of the internal signal source and provides output port settings.

Command tree: SOURce<Ch>POWer

Note: The SOURce<Ch>:POWer... subsystem comprises port-specific and general settings. Port-specific settings are valid for the port specified by the numeric suffix <Pt> (...:POWER<Pt>:...). General settings are valid for all test ports of the analyzer; the port suffix is ignored. Refer to the description of the individual commands for more information.

SOURce<Ch>:POWer<Pt>:ALC:CLAMp <Boolean>

Suspends the ALC mechanism at source port <Pt> while the analyzer acquires measurement data (Clamp ALC during Measurement).

<Ch> | Channel number
<Pt> | Port number
<Boolean> | ON | OFF - Clamp ALC... on or off.
*RST value | OFF
SCPI, Command Types | Device-specific, command or query.
Example: | See SOURce<Ch>:POWer<Pt>:ALC:CONTrol

SOURce<Ch>:POWer<Pt>:ALC:CONTrol <Boolean>

Enables or disables individual ALC (Automatic Level Control) settings at source port <Pt>.

<Ch> | Channel number
<Pt> | Port number
<Boolean> | Enables (ON) or disables (OFF) individual ALC settings.
*RST value | OFF [–]
SCPI, Command Types | Device-specific, command or query
Example: | DIAG:ALC:SETT ON Disable the ALC function. SOUR:POW2:ALC:CONT ON Enable individual ALC settings at port 2. SOUR:POW2:ALC:CLAM ON Suspend the ALC during the measurement. SOUR:POW2:ALC:PIP MAN; :SOUR:POW2:ALC:PIP:GAIN 0.35; ITIM 6E-7 Enable manual entry of PI controller parameters and define the proportional gain and the integration time. SOUR:POW2:ALC OFF Disable ALC at port 2. The other analyzer ports are not affected.

SOURce<Ch>:POWer<Pt>:ALC:PIParameter AUTO | MANual

Enables automatic or manual setting of the PI controller parameters at source port <Pt>.

<Ch> | Channel number
<Pt> | Port number
Parameters | AUTO – Automatic setting, depending on the bandwidth (DIAGnostic:ALC:BW) MANual – Manual setting using DIAGnostic:ALC:PIParameter:GAIN and DIAGnostic:ALC:PIParameter:ITIMe.
*RST value | NORMal
SCPI, Command Types | Device-specific, command or query.
Example: | See SOURce<Ch>:POWer<Pt>:ALC:CONTrol

SOURce<Ch>:POWer<Pt>:ALC:PIParameter:GAIN <prop_gain>

Defines the proportional gain of the PI controller at source port <Pt>. This setting takes effect when manual setting of the controller parameters is enabled (DIAGnostic:ALC:PIParameter MANual).

<Ch> | Channel number
<Pt> | Port number
<prop_gain> | Proportional gain setting
Range [def. unit] | 0 dB to 100 dB [dB]. UP and DOWN increment the proportional gain in 0.001 dB steps.
*RST value | 0.4 dB
SCPI, Command Types | Device-specific, command or query.
Example: | See SOURce<Ch>:POWer<Pt>:ALC:CONTrol

SOURce<Ch>:POWer<Pt>:ALC:PIParameter:ITIMe <int_time>

Defines the integration time of the PI controller at source port <Pt>. This setting takes effect when manual setting of the controller parameters is enabled (DIAGnostic:ALC:PIParameter MANual).

<Ch> | Channel number
<Pt> | Port number
<prop_gain> | Integration time setting
Range [def. unit] | 10 ns to 100 s [s]. UP and DOWN increment the integration time in 10 ns steps.
*RST value | 500 ns
SCPI, Command Types | Device-specific, command or query.
Example: | See SOURce<Ch>:POWer<Pt>:ALC:CONTrol

SOURce<Ch>:POWer<Pt>:ALC[:STATe] <Boolean>

Enables or disables ALC (Automatic Level Control) at source port <Pt>.

<Ch> | Channel number
<Pt> | Port number
<Boolean> | Enables (ON) or disables (OFF) ALC.
*RST value | OFF [–]
SCPI, Command Types | Device-specific, command or query
Example: | See SOURce<Ch>:POWer<Pt>:ALC:CONTrol

SOURce<Ch>:POWer<Pt>:ATTenuation <numeric_value>

Sets a fixed attenuation factor for the generated wave at test port no. <Pt> and switches the attenuator mode to MANual setting. The incident wave is attenuated via [SENSe<Ch>:]POWer:ATTenuation.

Use SOURce<Ch>:POWer<Pt>:ATTenuation:MODE AUTO for automatic generator attenuator setting.

<Ch> | Channel number.
<Pt> | Test port number of the analyzer.
<numeric_value> | Attenuation factor for the generated wave.
Range [def. unit] | Depending on the analyzer/attenuator model, e.g. 0 dB to 80 dB [dB]. UP and DOWN increment/decrement the attenuation in 10-dB steps. The analyzer rounds any entered value below the maximum attenuation to the closest step.
*RST value | 0 dB
SCPI, Command Types | Confirmed, command or query
Example: | SOUR:POW -6 Set the internal source power for channel 1 to -6 dBm. SOUR:POW2:ATT 10 Set the step attenuator for the wave transmitted at port 2 to 10 dB. The internal source power and the waves at the other test ports are not affected. SOUR:POW2:ATT:MODE? Query whether an automatic or manual generator attenuation is used. The response is MAN. SOUR:POW2:ATT:MODE AUTO Switch back to automatic attenuator setting.

SOURce<Ch>:POWer<Pt>:ATTenuation:AUTO ON | OFF

Qualifies whether the attenuation factor for the generated wave at test port no. <Pt> is set manually or automatically.

Use SOURce<Ch>:POWer<Pt>:ATTenuation to define a fixed generator attenuation factor. Use SOURce<Ch>:POWer<Pt>:ATTenuation:MODE to select an arbitrary attenuator mode.

<Ch> | Channel number.
<Pt> | Test port number of the analyzer.
Parameters | ON – automatic generator attenuator setting OFF – manual entry of a fixed attenuation step
*RST value | AUTO
SCPI, Command Types | Confirmed, command or query. The query returns OFF (0) if MANual or LNOise attenuation mode is set; see SOURce<Ch>:POWer<Pt>:ATTenuation:MODE.
Example: | See SOURce<Ch>:POWer<Pt>:ATTenuation (use SOURce<Ch>:POWer<Pt>:ATTenuation:MODE instead of SOURce<Ch>:POWer<Pt>:ATTenuation:AUTO).

SOURce<Ch>:POWer<Pt>:ATTenuation:MODE AUTO | MANual | LNOise

Defines how the attenuation factor for the generated wave at test port no. <Pt> is set.

Use SOURce<Ch>:POWer<Pt>:ATTenuation to define a fixed (manual) generator attenuation factor.

<Ch> | Channel number.
<Pt> | Test port number of the analyzer.
Parameters | AUTO – automatic generator attenuator setting MANual – manual entry of a fixed attenuation step LNOise – Low noise mode (for measurements involving external power meters with a wide bandwidth)
*RST value | AUTO
SCPI, Command Types | Confirmed, command or query
Example: | See SOURce<Ch>:POWer<Pt>:ATTenuation

SOURce<Ch>:POWer<Pt>:GENerator<Gen>:LLIMit[:STATe] <Boolean>

Enables or disables the limit for the source power of an external generator no. <Gen>. The limit is defined using SOURce<Ch>:POWer< Pt>:GENerator<Gen>:LLIMit:VALue.

<Ch> | Channel number. This suffix is ignored; the setting applies to all channels.
<Pt> | Test port number of the analyzer. This suffix is ignored; the generator is selected via <Gen>.
<Gen> | Generator number
<Boolean> | ON | OFF: Enable or disable the power limit.
*RST value | The power limit settings are not changed after a *RST. The factory setting is OFF.
SCPI, Command Types | Device-specific, command or query
Example: | See SOURce<Ch>:POWer<Pt>[:LEVel][:IMMediate]LLIMit:VALue

SOURce<Ch>:POWer<Pt>:GENerator<Gen>:LLIMit:VALue <limit>

Defines a limit for the source power of an external generator no. <Gen>. The limit must be enabled explicitly using SOURce<Ch>:POWer<Pt>:GENerator<Gen>:LLIMit[:STATe].

<Ch> | Channel number. This suffix is ignored; the limit applies to all channels.
<Pt> | Test port number of the analyzer. This suffix is ignored; the generator is selected via <Gen>.
<Gen> | Generator number
<limit> | Limit for the generator power.
Range [def. unit] | Depending on the generator model [dBm]. UP and DOWN increment/decrement the generator power limit in 0.1-dB steps.
*RST value | The power limit is not changed after a *RST. The factory setting is 0 dBm.
SCPI, Command Types | Device-specific, command or query
Example: | See SOURce<Ch>:POWer<Pt>[:LEVel][:IMMediate]LLIMit:VALue

SOURce<Ch>:POWer<Pt>:GENerator<Gen>:OFFSet
<numeric_value>, ONLY | CPADd

Defines the power of an external generator or its power offset relative to the channel power (SOURce<Ch>:POWer<Pt>[:LEVel][:IMMediate][:AMPlitude]).

<Ch>

Channel number.

<Pt>

Test port number of the analyzer. This suffix is ignored; the generator is selected via <Gen>.

<Gen>

Generator number

<numeric_value>

Port-specific power offset.

Range [def. unit]

–300 dB to +300 dB [dB]. UP and DOWN increment/decrement the phase in 1-dB steps.

*RST value

0 dB

Offset parameters

ONLY – only the port-specific power is used; the channel power is ignored.

CPADd – the port-specific power is added as an offset to the channel power.

*RST value

CPADd

SCPI, Command Types

Device-specific, command or query

Example:

*RST; SOUR:POW -6

Reset the instrument, activating a frequency sweep and set the internal source power (channel power) for the default channel 1 to -6 dBm.

SYST:COMM:RDEV:GEN1:DEF 'Ext. Gen. 1', 'SME02', 'gpib0', '21';
SYST:COMM:RDEV:GEN2:DEF 'Ext. Gen. 2', 'SME02', 'gpib0', '22'

Configure an R&S SME02 generator as external generator no. 1, assigning the name Ext. Gen. 1 and a GPIB address 21. Configure a second R&S SME02 generator, assigning the name Ext. Gen. 2 and a GPIB address 22.

SOUR:POW:GEN1:OFFS 6, ONLY; :SOUR:POW:GEN2:OFFS 6, CPAD

Set the source power of generator no. 1 to +6 dBm, the source power of generator no. 2 to 0 dBm.

SOURce<Ch>:POWer<Pt>:GENerator<Gen>:PERManent[:STATe] <Boolean>

Defines whether the external generator power is permanently on.

<Ch> | Channel number.
<Pt> | Test port number of the analyzer. This suffix is ignored; the generator is selected via <Gen>.
<Gen> | Generator number
<Boolean> | ON - Power at port <Pt> is permanently on OFF - Power is only on for the partial measurements that require the port as a drive port.
*RST value | OFF
SCPI, Command Types | Device-specific, command or query
Example: | SYST:COMM:RDEV:GEN1:DEF 'Ext. Gen. 1', 'SME02', 'gpib0', '21' Configure an R&S SME02 generator as external generator no. 1, assigning the name Ext. Gen. 1 and a GPIB address 21. SOUR:POW:GEN:PERM ON Activate a permanent external generator signal.

SOURce<Ch>:POWer<Pt>:GENerator<Gen>:STATe <Boolean>

Turns an external generator numbered <Gen> on or off.

<Ch>

Channel number.

<Pt>

Test port number of the analyzer. This suffix is ignored; the generator is selected via <Gen>.

<Gen>

Generator number

<Boolean>

ON | OFF - Generator is on or off

*RST value

ON

SCPI, Command Types

Device-specific, command or query

Example:

SYST:COMM:RDEV:GEN1:DEF 'Ext. Gen. 1', 'SME02', 'gpib0', '21'

Configure an R&S SME02 generator as external generator no. 1, assigning the name Ext. Gen. 1 and a GPIB address 21.

SOUR:POW:GEN:STAT OFF

Turn the external generator off. In the Port Configuration dialog, RF Off is checked for generator no. 1.

SOURce<Ch>:POWer<Pt>[:LEVel][:IMMediate][:AMPLitude] <power>

Defines the power of the internal signal source (channel power). The setting is valid for all sweep types except power sweep.

Use SOURce<Ch>:POWer<Pt>:STARt and SOURce<Ch>:POWer<Pt>:STOP to define the sweep range for a power sweep.

<Ch>

Channel number.

<Pt>

Test port number of the analyzer. This suffix is ignored because the selected channel power applies to all source ports used in the active channel. It is possible though to define a port-specific power limit (SOURce<Ch>:POWer<Pt>[:LEVel][:IMMediate]LLIMit:VALue) and a slope factor for the source power (SOURce<Ch>:POWer<Pt>[:LEVel][:IMMediate]:SLOPe). Moreover, it is possible to define a port-specific power offset (SOURce<Ch>:POWer<Pt>[:LEVel][:IMMediate]:OFFSet).

<power>

Internal source power.

Range [def. unit]

–40 dBm to +10 dBm. The exact range depends on the analyzer model; refer to the data sheet [dBm]. UP and DOWN increment/decrement the source power in 0.1-dB steps.

*RST value

–10 dBm

SCPI, Command Types

Confirmed, command or query

Example:

FUNC "XFR:POW:RAT B1, A2"

Activate a frequency sweep and select the ratio B1/A2 as measured parameter for channel and trace no. 1.

SOUR:POW -6

Set the internal source power for channel 1 to -6 dBm.

SOUR:POW2:SLOP 10

Set the power slope factor for the wave transmitted at port 2 to 10 dB/GHz. The internal source power and the waves at the other test ports are not affected.

SOURce<Ch>:POWer<Pt>[:LEVel][:IMMediate]:LLIMit:DGRaccess <Boolean>

Optimizes the automatic level control (ALC) for test setups where the additional connectors of option R&S ZVA-B16 are used. If the optimization is enabled, the ALC is limited to +1 dB so that the active port power limits cannot be exceeded by more than 1 dB.

This command is unavailable unless option R&S ZVA-B16, Direct Generator and Receiver Access, is installed.

<Ch> | Channel number. This suffix is ignored; the setting applies to all channels.
<Pt> | Test port number of the analyzer. This suffix is ignored; the setting applies to all ports.
<Boolean> | ON | OFF: Optimize ALC for additional connectors | use normal ALC algorithm
*RST value | The setting is not changed after a *RST. The factory setting is OFF.
SCPI, Command Types | Device-specific, command or query
Example: | See SOURce<Ch>:POWer<Pt>[:LEVel][:IMMediate]LLIMit:VALue

SOURce<Ch>:POWer<Pt>[:LEVel][:IMMediate]:LLIMit[:STATe] <Boolean>

Enables or disables the limit for the source power at port no. <Pt>. The limit is defined using SOURce<Ch>:POWer<Pt>[:LEVel][:IMMediate]LLIMit:VALue.

<Ch> | Channel number. This suffix is ignored; the setting applies to all channels.
<Pt> | Test port number of the analyzer.
<Boolean> | ON | OFF: Enable or disable the power limit.
*RST value | The power limit settings are not changed after a *RST. The factory setting is OFF.
SCPI, Command Types | Device-specific, command or query
Example: | See SOURce<Ch>:POWer<Pt>[:LEVel][:IMMediate]LLIMit:VALue

SOURce<Ch>:POWer<Pt>[:LEVel][:IMMediate]:LLIMit:VALue <limit>

Defines a limit for the source power at port no. <Pt>. The limit must be enabled explicitly; see example.

<Ch> | Channel number. This suffix is ignored; the limit applies to all channels.
<Pt> | Test port number of the analyzer.
<limit> | Limit for the internal source power at port no. <Pt>.
Range [def. unit] | –40 dBm to +10 dBm. The exact range depends on the analyzer model; refer to the data sheet [dBm]. UP and DOWN increment/decrement the source power limit in 0.1-dB steps.
*RST value | The power limit is not changed after a *RST. The factory setting is 0 dBm.
SCPI, Command Types | Device-specific, command or query
Example: | SOUR:POW2:LLIM:VAL -10; STAT ON Limit the analyzer source power at port 2 to –10 dBm and enable the source power limit. SOUR:POW2:LLIM:DGR ON Optimize the automatic level control (ALC) for additional connectors (option R&S ZVA-B16). SYST:COMM:RDEV:GEN1:DEF 'Ext. Gen. 1', 'SME02', 'gpib0', '21' Configure an R&S SME02 generator as external generator no. 1, assigning the name Ext. Gen. 1 and a GPIB address 21. SOUR:POW3:GEN:LLIM:VAL -10; STAT ON Limit the power of the external generator port 3 to –10 dBm and enable the source power limit.

SOURce<Ch>:POWer<Pt>[:LEVel][:IMMediate]:OFFSet
<numeric_value>, ONLY | CPADd

Defines a port-specific source power or a power offset relative to the channel power (SOURce<Ch>:POWer<Pt>[:LEVel][:IMMediate][:AMPlitude]). An additional Cal Power Offset can be defined via SOURce<Ch>:POWer<Pt>:CORRection:LEVel:OFFSet.

<Ch>

Channel number.

<Pt>

Test port number of the analyzer.

<numeric_value>

Port-specific power offset.

Range [def. unit]

–300 dB to +300 dB [dB]. UP and DOWN increment/decrement the phase in 1-dB steps.

*RST value

0 dB

Offset parameters

ONLY – only the port-specific power is used; the channel power is ignored.

CPADd – the port-specific power is added as an offset to the channel power.

*RST value

CPADd

SCPI, Command Types

Confirmed (with additional device-specific character data parameters), command or query

Example:

*RST; SOUR:POW -6

Reset the instrument, activating a frequency sweep and set the internal source power (channel power) for the default channel 1 to -6 dBm.

SOUR:POW1:OFFS 6, ONLY; SOUR:POW2:OFFS 6, CPAD

Replace the source power at port 1 by +6 dBm, the source power at port 2 by 0 dBm. The powers at the remaining ports (if available) are not affected.

SOURce<Ch>:POWer<Pt>[:LEVel][:IMMediate]:SLOPe <numeric_value>

Defines a linear factor to modify the internal source power at port <Pt> as a function of the stimulus frequency.

<Ch> | Channel number.
<Pt> | Test port number of the analyzer.
<numeric_value> | Port-specific slope factor.
Range [def. unit] | –40 dB/GHz to +40 dB/GHz. The resulting power range over the entire frequency sweep must be within the power range of the analyzer; refer to the data sheet [dBm]. UP and DOWN increment/decrement the source power in 0.1-dB/GHz steps.
*RST value | 0 dB/GHz
SCPI, Command Types | Device-specific, command or query
Example: | See SOURce<Ch>:POWer<Pt>[:LEVel][:IMMediate][:AMPlitude]

SOURce<Ch>:POWer<Pt>:PERManent[:STATe] <Boolean>

Defines whether the source power is permanently on.

<Ch> | Channel number.
<Pt> | Test port number of the analyzer.
<Boolean> | ON - Power at port <Pt> is permanently on OFF - Power is only on for the partial measurements that require the port as a drive port.
*RST value | OFF
SCPI, Command Types | Device-specific, command or query
Example: | SOUR:POW2:STAT ON Switch the RF power at port no. 2 on. SOUR:POW2:PERM ON Activate a permanent signal source.

SOURce<Ch>:POWer<Pt>:STARt <numeric_value>

Defines the start power for a power sweep which is equal to the left edge of a Cartesian diagram. A power sweep must be active ([SENSe<Ch>:]SWEep:TYPE POWer) before this command can be used.

<Ch> | Channel number.
<Pt> | Test port number of the analyzer. This suffix is ignored because the selected power sweep range applies to all source ports used in the active channel.
<numeric_value> | Start power of the sweep.
Range [def. unit] | –40 dBm to +9.99 dBm. The exact range depends on the analyzer model; refer to the data sheet [dBm]. UP and DOWN increment/decrement the source power in 1-dB steps.
*RST value | –25 dBm
SCPI, Command Types | Confirmed, command or query
Example: | SWE:TYPE POW Activate a power sweep. SOUR:POW:STAR -6; STOP 10 Select a power sweep range between –6 dBm and +10 dBm.

Note: If the start power entered is greater than the current stop power (SOURce<Ch>:POWer<Pt>:STOP), the stop power is set to the start power plus the minimum power span of 0.01 dB.

SOURce<Ch>:POWer<Pt>:STATe <Boolean>

Turns the RF source power at a specified test port on or off.

<Ch> | Channel number.
<Pt> | Test port number of the analyzer.
<Boolean> | ON | OFF - Turns the internal source power at the specified test port no. <Pt> on or off.
*RST value | ON
SCPI, Command Types | Device-specific, command or query
Example: | *RST; SOUR:POW -6 Set the internal source power for channel 1 and all test ports to -6 dBm. SOUR:POW2:STAT? Query whether the source power at test port 2 is on. The analyzer returns a 1.

SOURce<Ch>:POWer<Pt>:STOP <numeric_value>

Defines the stop power for a power sweep which is equal to the right edge of a Cartesian diagram. A power sweep must be active ([SENSe<Ch>:]SWEep:TYPE POWer) before this command can be used.

<Ch> | Channel number.
<Pt> | Test port number of the analyzer. This suffix is ignored because the selected power sweep range applies to all source ports used in the active channel.
<numeric_value> | Stop power of the sweep.
Range [def. unit] | –39.99 dBm to +10 dBm. The exact range depends on the analyzer model; refer to the data sheet [dBm]. UP and DOWN increment/decrement the source power in 1-dB steps.
*RST value | 0 dBm
SCPI, Command Types | Confirmed, command or query
Example: | SWE:TYPE POW Activate a power sweep. SOUR:POW:STAR -6; STOP 10 Select a power sweep range between –6 dBm and +10 dBm.

If the stop power entered is smaller than the current start power (SOURce<Ch>:POWer<Pt>:STARt), the start power is set to the stop power minus the minimum power span of 0.01 dB.


SOURCe<Ch>:POWer:CONVerter

:OFFSet

:TRANsfer

:AMODel

:ATTenuator

:DESCription

:ELECtronic

:LIMit

:MATTenuation

:REDuction

:MECHanical

:ATTenuation

:OFFSet

:SLOPe

SOURce<Ch>:POWer<Pt>:CONVerter...

This subsystem provides general frequency converter settings.

Command tree: [SENSe<Ch>:]POWer<Pt>:CONVerter...

SOURce<Ch>:POWer<Pt>:CONVerter:OFFSet
<offset>, ONLY | CPADd

Defines a source power or a power offset relative to the channel power (SOURce<Ch>:POWer<Pt>[:LEVel][:IMMediate][:AMPlitude]) for a frequency converter port <Pt>. The command is available for converters with electronic attenuators (R&S ZVA-ZxxxE). An additional Cal Power Offset can be defined via SOURce<Ch>:POWer<Pt>:CORRection:LEVel:OFFSet.

<Ch> | Channel number
<Pt> | Converter port number
<offset> | Port-specific power offset
Range [def. unit] | –300 dB to +300 dB [dB]. UP and DOWN increment/decrement the phase in 1-dB steps.
*RST value | 0 dB
Offset parameters | ONLY – only the port-specific power is used; the channel power is ignored. CPADd – the port-specific power is added as an offset to the channel power.
*RST value | CPADd
SCPI, Command Types | Device-specific, command or query
Example: | See SOURce<Ch>:FREQuency<Pt>:CONVersion:ARBitrary:CFRequency

SOURce<Ch>:POWer<Pt>:CONVerter:TRANsfer:AMODel <Boolean>

Enables or disables the advanced power transfer model for the converter port <Pt>.

This command is overwritten by the general power transfer model settings; see [SENSe<Ch>:]CONVerter:AMODel.

<Ch>

Channel number.

<Pt>

Converter port number

<Boolean>

ON | OFF - Enables or disables the advanced model.

*RST value

OFF

SCPI, Command Types

Device-specific, command or query

Example:

SOUR:POW2:CONV:TRAN:AMOD ON; DESC LAPP

Enable the advanced power transfer model at the frequency converter port 2 and select a linear approximation.

SOUR:POW2:CONV:TRAN:SLOP 1; OFFS 0

Define the slope and offset for the linear model with0 dB waveguide attenuators setting.

SOUR:POW2:CONV:TRAN:ATT MECH
SOUR:POW2:CONV:TRAN:MECH:ATT 3

Select a converter type with a mechanical waveguide attenuator and define a 3-dB attenuation

Alternatively....

SOUR:POW2:CONV:TRAN:ATT ELEC
SOUR:POW2:CONV:TRAN:ELEC:LIM -5; RED 50; MATT 20

Select a converter type with electronic attenuators and define a power threshold of -5 dBm, 50 % power reduction due to the waveguide attenuator, and a maximum attenuation of 20 dB.

SOURce<Ch>:POWer<Pt>:CONVerter:TRANsfer:ATTenuator MECHanical | ELECtronic

Selects the waveguide attenuator type of the converter port <Pt>.

<Ch> | Channel number.
<Pt> | Converter port number
Parameters | MECHanical - Adjustment screw (most converter models R&S ZVA-Zxxx) ELECtronic - Electronic attenuator (converters R&S ZVA.ZxxxE)
*RST value | MECH
SCPI, Command Types | Device-specific, command or query
Example: | See SOURce<Ch>:POWer<Pt>:CONVerter:TRANsfer:AMODel

SOURce<Ch>:POWer<Pt>:CONVerter:TRANsfer:DESCription DSET | LAPProx

Selects the type of advanced power transfer model for the converter port <Pt>.

This command is overwritten by the general power transfer model settings; see [SENSe<Ch>:]CONVerter:DESCription.

<Ch> | Channel number.
<Pt> | Converter port number
Parameters | DSET - Data set (for future extensions) LAPProx - Linear approximation
*RST value | n/a (a *RST does not affect the general frequency converter settings)
SCPI, Command Types | Device-specific, command or query
Example: | See SOURce<Ch>:POWer<Pt>:CONVerter:TRANsfer:AMODel

SOURce<Ch>:POWer<Pt>:CONVerter:TRANsfer:ELECtronic:LIMit <threshold>

Specifies the converter output power threshold for a converter with electronic attenuators at port <Pt>.

<Ch> | Channel number.
<Pt> | Converter port number
<threshold> | Converter output power below which the waveguide attenuator is used
Range [def. unit] | –300 dBm to +200 dBm [dBm], the increment (UP | DOWN) is 0.1 dB
*RST value | –5 dBm
SCPI, Command Types | Device-specific, command or query
Example: | See SOURce<Ch>:POWer<Pt>:CONVerter:TRANsfer:AMODel

SOURce<Ch>:POWer<Pt>:CONVerter:TRANsfer:ELECtronic:MATTenuation <attenuation>

Specifies the maximum attenuation for a converter with electronic attenuators at port <Pt>.

<Ch> | Channel number.
<Pt> | Converter port number
<attenuation> | Maximum attenuation due to the waveguide attenuator
Range [def. unit] | 0 dB to INF [dB], the increment (UP | DOWN) is 0.1 dB
*RST value | 20 dB
SCPI, Command Types | Device-specific, command or query
Example: | See SOURce<Ch>:POWer<Pt>:CONVerter:TRANsfer:AMODel

SOURce<Ch>:POWer<Pt>:CONVerter:TRANsfer:ELECtronic:REDuction <percentage>

Specifies the percentage of power reduction for a converter with electronic attenuators at port <Pt>.

<Ch> | Channel number.
<Pt> | Converter port number
<percentage> | Percentage of power reduction due to the waveguide attenuator
Range [def. unit] | 1 % to 100 % [%], the increment (UP | DOWN) is 1 %
*RST value | 50 %
SCPI, Command Types | Device-specific, command or query
Example: | See SOURce<Ch>:POWer<Pt>:CONVerter:TRANsfer:AMODel

SOURce<Ch>:POWer<Pt>:CONVerter:TRANsfer:MECHanical:ATTenuation <attenuation>

Specifies the attenuation factor for a converter with mechanical adjustment screw at port <Pt>.

<Ch> | Channel number.
<Pt> | Converter port number
<attenuation> | Attenuation due to the adjustment screw
Range [def. unit] | 0 dB to INF [dB], the increment (UP | DOWN) is 0.1 dB
*RST value | 8 dB
SCPI, Command Types | Device-specific, command or query
Example: | See SOURce<Ch>:POWer<Pt>:CONVerter:TRANsfer:AMODel

SOURce<Ch>:POWer<Pt>:CONVerter:TRANsfer:OFFSet <offset>

Specifies the offset factor for the linear power transfer model with 0 dB waveguide attenuation.

<Ch> | Channel number.
<Pt> | Converter port number
Parameters | Offset in the linear power transfer model
Range [def. unit] | –300 dB to +300 dB [dB], the increment (UP | DOWN) is 1 dB
*RST value | 0 dB
SCPI, Command Types | Device-specific, command or query
Example: | See SOURce<Ch>:POWer<Pt>:CONVerter:TRANsfer:AMODel

SOURce<Ch>:POWer<Pt>:CONVerter:TRANsfer:SLOPe <slope>

Specifies the slope for the linear power transfer model with 0 dB waveguide attenuation.

<Ch> | Channel number.
<Pt> | Converter port number
<slope> | Slope in the linear power transfer model
Range [def. unit] | 1 to 1000000 [1], the increment (UP | DOWN) is 1
*RST value | 1
SCPI, Command Types | Device-specific, command or query
Example: | See SOURce<Ch>:POWer<Pt>:CONVerter:TRANsfer:AMODel


SOURce<Ch>:POWer:CORRection

[:AQUire]

:VERification

:RESult?

:COLLect

[:AQUire]

[:SCALe]

:PDIVision

:VERification

[:STATe]

:AVERage

:COUNt

:NTOLerance

:CFACtor

:FLATness

:METHod

:PMReadings

:RRECeiver

:CONVerter

[:STATe]

:DATA

:DEFault

:FAST:

:GENerator

[:STATe]

:HARMonic

[:ACQuire]

:LEVel

:OFFSet

:MIXer

:IF

[:ACQuire]

:LO

[:ACQuire]

:RF

[:ACQuire]

:NREadings

:OSOurces

[:STATe]

:PMETer

:ID

:STATe

SOURce<Ch>:POWer<Pt>:CORRection...

This subsystem controls the source power calibration.

Command tree: SOURce<Ch>POWer<Pt>:CORRection

Note: The SOURce<Ch>:POWer... subsystem comprises port-specific and general settings. Port-specific settings are valid for the port specified by the numeric suffix <Pt> (...:POWER<Pt>:...). General settings are valid for all test ports of the analyzer; the port suffix is ignored. Refer to the description of the individual commands for more information.

SOURce<Ch>:POWer<Pt>:CORRection[:ACQuire]
PORT | GENerator | CONVerter | A1 | A2 | A3 | A4 | ESRC1 | ESRC2, <source_pt>

Selects the source for the source power calibration, starts and applies the source power calibration.

The command cannot be used unless a power meter is connected via GPIB bus, USB or LAN interface and configured in the External Power Meters dialog.

<Ch>

Calibrated channel number

<pt>

Calibrated port number. This suffix is ignored because the port number is specified in the parameter list.

PORT
GENerator
CONVerter

Analyzer port is the source of the calibrated wave.
External generator is the source.
Frequency converter with electronic attenuator (R&S ZVA-ZxxxE) is the source
The port, generator, or converter numbers are specified by means of the <source_number> parameter.

A1 | A2 | A3 | A4

Direct analyzer port selection. The parameters A1 and A2 are ZVR-compatible. No additional <port_number> parameter needs to be specified.

ESRC1 | ESRC2

Direct external generator selection. The parameters are ZVR-compatible. No additional parameters need to be specified.

<source_pt>

Analyzer port / generator port / converter port number, if PORT / GENerator / CONVerter is the first parameter.

Range [def. unit]

1 to port number of the analyzer/number of external generators [–]

*RST values

– (for all parameters)

SCPI, Command Types

Device-specific, no query

Example 1:

*RST; SOUR:POW:CORR:COLL:VER 0

Disable the verification sweep to speed up the source power calibration procedure.

SOUR:POW:CORR:OSO:STAT OFF

To improve the accuracy, switch off all other sources during the calibration sweep.

SOUR:POWer:CORR:COLL:METH RRAF; COLL:PMR 2

Enable fast power correction with two power meter readings.

SOUR:POW:CORR:NRE 2; COLL:AVER:NTOL 0.5

Increase the number of readings and reduce the power tolerance to improve the accuracy.

SOURce:POW:CORR:COLL:CFAC 0.9

Reduce the correction factor to 0.9.

SOUR:POW:CORR:ACQ PORT,1

Perform a source power calibration using port 1 as a source port.

SOUR:POW:CORR:STAT?

Check whether the calibration is applied (if no error occurred during the calibration sweep, the response is 1).

SENSe:CORRection:PSTATe?

Query the calibration label (if no error occurred during the calibration sweep, the response is 'Pcal').

Change the test setup, connect an external generator no. 1 to the reference plane.

SOUR:POW:CORR:ACQ GEN,1

Perform a source power calibration using the external generator no. 1 as a source.

SOUR:POW:CORR:GEN?

Check whether the calibration is applied (if no error occurred during the calibration sweep, the response is 1).

Example 2:

Suppose that an external frequency converter with electronic attenuator is connected to port 1 of the analyzer and that the instrument is configured for frequency converter measurements.

SOUR:POW:CORR:ACQ CONV,1

Perform a source power calibration using the external converter no. 1 as a source.

SOUR:POW:CORR:CONV?

Check whether the calibration is applied (if no error occurred during the calibration sweep,(the response is 1).

SOURce<Ch>:POWer<Pt>:CORRection:COLLect[:ACQuire]
ASENsor | BSENsor

Initiates a source power calibration for the source port <Pt> using an external power meter no. 1 or 2. To initiate a source power calibration for arbitrary power meters, use the alternative commands listed in the program example below.

The command cannot be used unless a power meter is connected via GPIB bus, USB or LAN interface and configured in the External Power Meters dialog.

<Ch> | Calibrated channel number
<Pt> | Calibrated port number.
ASENsor | BSENsor | External power meter Pmtr 1 External power meter Pmtr 2
*RST value | ASENsor
SCPI, Command Types | Device-specific, no query
Example: | SOUR:POW3:CORR:COLL BSEN Perform a source power calibration for port 3 using power meter no. 2. SOUR:POW:CORR:PMET:ID 2 Select power meter no. 2. SOUR:POW:CORR:ACQ PORT,3 Perform a source power calibration for port 3 using the previously selected power meter no. 2.

SOURce<Ch>:POWer<Pt>:CORRection[:ACQuire]:VERification:RESult?

Returns the result of the last verification sweep. This command requires an enabled verification sweep (SOURce<Ch>:POWer<Pt>:CORRection:COLLect[:ACQuire]:VERification[:STATe] ON, see example below).

<Ch> | Calibrated channel number. This parameter is ignored; the result is based on the last verification sweep acquired.
<Pt> | Calibrated port number. This parameter is ignored; the result is based on the last verification sweep acquired.
Response: | Result of the sweep in the format <Boolean>, <Max. Offset> where:
<Boolean> | Calibration passed, i.e. the cal. power offset is below the tolerance (1), or failed (0).
<Max. Offset> | Maximum power offset between the measured power at the reference plane and the Cal Power during the verification sweep in dB.
*RST value | – If no verification sweep result is available, the command returns 0.
SCPI, Command Types | Device-specific, command or query
Example: | *RST; SOUR:POW:CORR:COLL:VER ON Enable the verification sweep. SOUR:POW:CORR:NRE 2; COLL:AVER:NTOL 0.5 Increase the number of readings and reduce the power tolerance to improve the accuracy. SOUR:POW:CORR:ACQ PORT,1 Perform a source power calibration using port 1 as a source port. SOUR:POW:CORR:COLL:VER:RES? Query the result of the verification sweep.

SOURce<Ch>:POWer<Pt>:CORRection:COLLect[:ACQuire]:VERification[:STATe] <Boolean>

Enables or disables a verification sweep that the analyzer performs after the source power calibration. The command is valid for all channels, ports and external generators.

<Ch> | Calibrated channel number. This parameter is ignored; the verification is either enabled or disabled for all channels.
<Pt> | Calibrated port number. This parameter is ignored; the verification is either enabled or disabled for all sources.
<Boolean> | Enables (ON) or disables (OFF) the verification sweep.
*RST value | ON
SCPI, Command Types | Device-specific, command or query
Example: | See SOURce<Ch>:POWer<Pt>:CORRection[:ACQuire], SOURce<Ch>:POWer<Pt>:CORRection[:ACQuire]:VERification:RESult?

SOURce<Ch>:POWer<Pt>:CORRection:COLLect:AVERage[:COUNt] <readings>

Sets a limit for the number of calibration sweeps in the source power calibration. The command is valid for all channels, ports and external generators. Equivalent command: SOURce<Ch>:POWer<Pt>:CORRection:NREadings.

<Ch> | Calibrated channel number. This parameter is ignored; the limit applies to all channels.
<Pt> | Calibrated port number. This parameter is ignored; the limit applies to all sources.
<readings> | Number of readings
Range [def. unit] | 1 to 100 [–]
*RST value | 1
SCPI, Command Types | Device-specific, command or query
Example: | See SOURce<Ch>:POWer<Pt>:CORRection[:ACQuire] (for equivalent command SOURce<Ch>:POWer<Pt>:CORRection:NREadings).

SOURce<Ch>:POWer<Pt>:CORRection:COLLect:AVERage:NTOLerance <tolerance>

Specifies the maximum deviation of the measured power from the target power of the calibration. The command is valid for all channels and calibrated ports.

<Ch> | Calibrated channel number. This parameter is ignored; the tolerance value is valid for all sources.
<Pt> | Calibrated port number. This parameter is ignored; the tolerance value is valid for all sources.
<tolerance> | Tolerance value
Range [def. unit] | 0.001 dB to 1000 dB [dB]
*RST value | 1 dB
SCPI, Command Types | Device-specific, command or query
Example: | See SOURce<Ch>:POWer<Pt>:CORRection[:ACQuire].

SOURce<Ch>:POWer<Pt>:CORRection:COLLect:CFACtor <convergence>

Specifies the convergence factor for a source power calibration.

<Ch> | Calibrated channel number. This parameter is ignored; the convergence factor is valid for all sources.
<Pt> | Calibrated port number. This parameter is ignored; the convergence factor is valid for all sources.
<convergence> | Convergence factor
Range [def. unit] | 0 to 2 [–]. UP and DOWN increment/decrement the convergence factor in 1-dB steps.
*RST value | 1
SCPI, Command Types | Device-specific, command or query
Example: | See SOURce<Ch>:POWer<Pt>:CORRection[:ACQuire].

SOURce<Ch>:POWer<Pt>:CORRection:COLLect:FLATness <Boolean>

Enables or disables the source power calibration. The command is valid for all channels, ports and external generators.

It is not possible to disable flatness calibration and the reference receiver calibration simultaneously (SOURce<Ch>:POWer<Pt>:CORRection:COLLect:RRECeiver).

<Ch> | Calibrated channel number. This parameter is ignored; the verification is either enabled or disabled for all channels.
<Pt> | Calibrated port number. This parameter is ignored; the verification is either enabled or disabled for all sources.
<Boolean> | Enables (ON) or disables (OFF) the flatness calibration. With disabled flatness calibration, only one calibration sweep is performed in order to calibrate the reference receiver; the previous source calibration data is not overwritten.
*RST value | ON
SCPI, Command Types | Device-specific, command or query
Example: | *RST; SOUR:POW:CORR:COLL:VER 0 Disable the verification sweep to speed up the source power calibration procedure. SOUR:POW:CORR:COLL:FLAT OFF; RREC ON Disable flatness cal and enable reference receiver calibration. SOUR:POW:CORR:ACQ PORT,1 Perform a single source power calibration sweep using port 1 as a source port.

SOURce<Ch>:POWer<Pt>:CORRection:COLLect:METHod PMONly | RRAFter | RRONly

Selects the source power calibration method.

<Ch>

Calibrated channel number. This parameter is ignored; the method is valid for all channels.

<Pt>

Calibrated port number. This parameter is ignored; the method is valid for all sources.

Parameters

PMONly – Power Meter only (requires SOURce<Ch>:POWer<Pt>:CORRection:COLLect:FLATness ON and SOURce<Ch>:POWer<Pt>:CORRection:COLLect:RRECeiver OFF)

RRAFter – Reference Receiver after the number of readings specified via SOURce<Ch>:POWer<Pt>:CORRection:COLLect:PMReadings (requires SOURce<Ch>:POWer<Pt>:CORRection:COLLect:FLATness ON)

RRONly – Reference Receiver only (requires SOURce<Ch>:POWer<Pt>:CORRection:COLLect:RRECeiver OFF)

*RST value

RRAFter

SCPI, Command Types

Device-specific, command or query

Example:

See SOURce<Ch>:POWer<Pt>:CORRection[:ACQuire].

SOURce<Ch>:POWer<Pt>:CORRection:COLLect:PMReadings <no_readings>

Selects the number of power meter readings for source power calibration method SOURce<Ch>:POWer<Pt>:CORRection:COLLect:METHod RRAFter.

<Ch> | Calibrated channel number. This parameter is ignored; the parameter is valid for all channels.
<Pt> | Calibrated port number. This parameter is ignored; the parameter is valid for all sources.
<no_readings> | Number of power meter readings. If the value exceeds the maximum number of calibration sweeps (SOURce<Ch>:POWer<Pt>:CORRection:COLLect:AVERage[:COUNt]) the latter is adjusted.
Range [def. unit] | 1 to 100 [–]
*RST value | 1
SCPI, Command Types | Device-specific, command or query
Example: | See SOURce<Ch>:POWer<Pt>:CORRection[:ACQuire].

SOURce<Ch>:POWer<Pt>:CORRection:COLLect:RRECeiver <Boolean>

Enables or disables calibration of the reference receiver together with the source power calibration.

It is not possible to disable flatness calibration (SOURce<Ch>:POWer<Pt>:CORRection:COLLect:FLATness) and the reference receiver calibration simultaneously.

<Ch> | Calibrated channel number. This parameter is ignored; the verification is either enabled or disabled for all channels.
<Pt> | Calibrated port number. This parameter is ignored; the verification is either enabled or disabled for all sources.
<Boolean> | Enables (ON) or disables (OFF) reference receiver calibration.
*RST value | ON
SCPI, Command Types | Device-specific, command or query
Example: | See SOURce<Ch>:POWer<Pt>:CORRection:COLLect:FLATness

SOURce<Ch>:POWer<Pt>:CORRection:CONVerter<Con>[:STATe] <Boolean>

Enables or disables the source power calibration for channel <Ch> and for an external frequency converter number <Con>. The converter must be equipped with an electronic attenuator (R&S ZVA-ZxxxE). The command is disabled unless a source power calibration for the external converter has been performed (SOURce<Ch>:POWer<Pt>:CORRection[:ACQuire] CONVerter, <source_pt>). To enable or disable a source power calibration for an analyzer port use SOURce<Ch>:POWer<Pt>:CORRection[:STATe].

<Ch> | Calibrated channel number
<Pt> | Calibrated port number. This suffix is ignored; the converter is selected via <Con>.
<Con> | Converter number
<Boolean> | Enables (ON) or disables (OFF) the source power calibration for the converter <Con>.
*RST value | OFF [–]
SCPI, Command Types | Device-specific, command or query
Example: | See SOURce<Ch>:POWer<Pt>:CORRection[:ACQuire].

SOURce<Ch>:POWer<Pt>:CORRection:DATA
'<src_string>', <block> | <numeric_value>...

Reads or writes source power correction data sets. A power correction data set contains n real values where:

  • Each value corresponds to the ratio of the actual power at the reference plane (value provided by the used source) to the uncalibrated power in dB.

  • The number n is equal to the number of sweep points.

Increasing (decreasing) the values in the correction data sets increases (decreases) the power at the reference plane. Writing correction data (the setting command) fails if the number of transferred values is not equal to the number of sweep points.

<Ch>

Calibrated channel number

<Pt>

Calibrated port number. This parameter is ignored; the port is identified by the '<src_string>'.

'<src_string>'

Identifier for the source of the calibrated wave:

  • 'A<n>' or 'PORT<n>' denote correction data for the analyzer port no. <n>.

  • 'ESRC<n>' or 'GEN<n>' denote correction data for the external generator no. <n>.

  • 'CONV<n>' denotes correction data for a frequency converter (e.g. R&S ZVA-Z110E) at port no. <n>

<block> | <numeric_value>...

Power correction values in block data format or as a comma-separated list of real numbers. The query returns a list of numbers.

Range [def. unit]

All numbers are interpreted as dB-values.

*RST value

–

SCPI, Command Types

Device-specific, command or query

Example:

*RST; :SWE:POIN 10

Reset the instrument and reduce the number of sweep points to 10.

SOUR:POW:CORR:ACQ PORT,1

Perform a source power calibration using port 1 as a source port.

SOUR:POW:CORR:DATA? 'A1'

Query the correction values. The analyzer returns 10 comma-separated real numbers.

SOUR:POW:CORR:DATA 'A1', 1, 2, 3, 4, 5, -6, -7, -8, -9, -0

Replace the correction values by ten (new) numbers.

SOURce<Ch>:POWer<Pt>:CORRection:DEFault <Boolean>

Enables the analyzer to create a set of default source power calibration data. The analyzer uses the reference channel power to acquire the default calibration data. No external power meter is required.

The main purpose of the default calibration data set is to provide a dummy power calibration which you can replace with your own, external power calibration data. You may have acquired the external data in a previous session or even on an other instrument. If you want to use the external power calibration data on the analyzer, generate the default data set first and overwrite it with the external data. For details refer to the program example below.

<Ch> | Calibrated channel number. This parameter is ignored, the channel settings are relevant only when the default data set is created (SOURce<Ch>:POWer<Pt>:CORRection[:ACQuire]).
<Pt> | Calibrated port number. This parameter is ignored.
<Boolean> | Enables (ON) or disables (OFF) the dummy source power calibration for port number <Pt>. OFF means that a real source power calibration is performed, for which an external power meter must be connected to the analyzer.
*RST value | OFF [–]
SCPI, Command Types | Device-specific, command or query
Example: | *RST; :SWE:POIN 10 Reset the instrument and reduce the number of sweep points to 10. SOUR:POW:CORR:DEF ON Enable a dummy source power calibration. SOUR:POW:CORR:ACQ PORT,1 Perform a dummy source power calibration using port 1 as a source port. SOUR:POW:CORR:DATA? 'A1' Query the correction values. The analyzer returns 10 comma-separated real numbers. MMEM:STOR:CORR 1,'Calgroup_Ch1.cal' Store the default source power calibration data to the calibration pool in the default directory C:\Rohde&Schwarz\NWA\Calibration\Data. <Replace the generated file Calgroup_Ch1.cal with your external power calibration data.> MMEM:LOAD:CORR 1,'Calgroup_Ch1.cal' Load the external data and apply them to channel 1 and port 1. DISP:MENU:KEY:EXEC 'Cal Manager' Open the Calibration Manager dialog to check the result of the previous actions.

SOURce<Ch>:POWer<Pt>:CORRection:FAST <Boolean>

Enables or disables a fast source power calibration, where the external power meter is used for the first calibration sweep only.

In firmware versions V2.71 and higher, it is recommended to use the generalized commands SOURce<Ch>:POWer<Pt>:CORRection:COLLect:METHod and SOURce<Ch>:POWer<Pt>:CORRection:COLLect:PMReadings.

<Ch> | Calibrated channel number. This parameter is ignored; the fast calibration mode applies to all channels.
<Pt> | Calibrated port number. This parameter is ignored; the fast calibration mode is either enabled or disabled for all sources.
<Boolean> | Enables (ON) or disables (OFF) fast source power calibration.
*RST value | OFF [–]
SCPI, Command Types | Device-specific, command or query

SOURce<Ch>:POWer<Pt>:CORRection:GENerator<Gen>:LEVel:OFFSet <offset>

Specifies a gain (positive values) or an attenuation (negative values) in the signal path between the external generator and the calibrated reference plane (Cal Power Offset). The value has no impact on the generator power.

<Ch>

Calibrated channel number

<Pt>

Calibrated port number. This suffix is ignored; the generator is selected via <Gen>.

<Gen>

Generator number

<offset>

Gain or attenuation value

Range [def. unit]

–300 dB to +300 dB [dB]

*RST value

0 dB

SCPI, Command Types

Device-specific, command or query

Example:

Assume that a DUT requires a constant input power of +35 dBm at its port 2, and that the measurement path contains an amplifier with a 30 dB gain.

SYST:COMM:RDEV:GEN1:DEF 'Ext. Gen. 1', 'SME02', 'gpib0', '21'

Configure an R&S SME02 generator as external generator no. 1, assigning the name Ext. Gen. 1 and a GPIB address 21.

SOUR:POW:GEN1:OFFS 5, ONLY

Set the source power of generator no. 1 to +5 dBm.

SOUR:POW:CORR:GEN1:LEV:OFFS 30

Specify the gain of the amplifier in the signal path between the external generator and the input port of the DUT.

SOUR:POW:CORR:ACQ GEN,1

Perform a source power calibration using the external generator no. 1 as a source port and the target power of +35 dBm.

SOURce<Ch>:POWer<Pt>:CORRection:GENerator<Gen>[:STATe] <Boolean>

Enables or disables the source power calibration for channel <Ch> and for an external generator number <Gen>. The command is disabled unless a source power calibration for the external generator has been performed (SOURce<Ch>:POWer<Pt>:CORRection[:ACQuire] GENerator, <source_pt>). To enable or disable a source power calibration for an analyzer port use SOURce<Ch>:POWer<Pt>:CORRection[:STATe].

<Ch> | Calibrated channel number
<Pt> | Calibrated port number. This suffix is ignored; the generator is selected via <Gen>.
<Gen> | Generator number
<Boolean> | Enables (ON) or disables (OFF) the source power calibration for an external generator number <Gen>.
*RST value | OFF [–]
SCPI, Command Types | Device-specific, command or query
Example: | See SOURce<Ch>:POWer<Pt>:CORRection[:ACQuire].

SOURce<Ch>:POWer<Pt>:CORRection:HARMonic[:ACQuire]

Starts the source calibration (1st power calibration step for harmonic measurements), stores and applies the calibration data. The external power meter used is selected via SOURce<Ch>:POWer<Pt>:CORRection:PMETer:ID.

<Ch>

Calibrated channel number

<pt>

Port number This suffix is ignored; the analyzer calibrates the port that is selected as a source port for the harmonic measurement ([SENSe<Ch>:]FREQuency:CONVersion:HARMonic:SPORt).

SCPI, Command Types

Device-specific, no query

Example:

*RST; FREQ:STAR 0.5E+9; STOP 1E+9

Reset the analyzer (activating a frequency sweep) and set the sweep range between 1 GHz and 1.1 GHz.

FREQ:CONV:HARM:ORD 4; SPOR 1; RPOR 2

Configure a 4th harmonic measurement with source port 1 and receive port 2. The measurement is still not enabled.

FREQ:CONV HARM

Enable the configured harmonic measurement.

SOUR:POW:CORR:PMET:ID 1

Select power meter no. 1 (previously configured in the External Power Meters dialog and properly connected) for the RF source calibration.

SOUR:POW:CORR:HARM

Start source power calibration at the previously selected source port 1.

CORR:POW:HARM:ACQ

Start receiver power calibration at the previously selected receive port 2.

CALC:PAR:MEAS? "TRC1"

Query the measured quantity. The analyzer measures the wave quantity b2, the response is 'B2D1SAM'.

SOURce<Ch>:POWer<Pt>:CORRection:IMODulation:LTONe[:ACQuire]

Starts the source calibration for the lower tone (1st power calibration step for intermodulation measurements), stores and applies the calibration data. The external power meter used is selected via SOURce<Ch>:POWer<Pt>:CORRection:PMETer:ID.

<Ch>

Calibrated channel number

<pt>

Port number This suffix is ignored; the analyzer calibrates the port that is selected as a source port for the intermodulation measurement ([SENSe<Ch>:]FREQuency:IMODulation:LTONe).

SCPI, Command Types

Device-specific, no query

Example:

*RST; FREQ:IMOD:LTON PORT,1; UTON PORT, 3

Reset the instrument to create the default channel no. 1. Select port 1 as a source port for the lower tone, port 3 as a source port for the upper tone.

FREQ:IMOD:REC 2

Select port 2 as a receiver port.

FREQ:STAR 1GHZ; STOP 2GHz

Define a suitable sweep range to ensure that the analyzer can measure all intermodulation products.

SOUR:POW:CORR:PMET:ID 1

Select power meter no. 1 (previously configured in the External Power Meters dialog and properly connected) for the RF source calibration.

SOUR:POW:CORR:IMOD:LTON

Start source power calibration for the lower tone at the previously selected source port 1.

SOUR:POW:CORR:IMOD:UTON

Start source power calibration for the upper tone at the previously selected source port 3.

CORR:POW:IMOD:ACQ

Start receiver power calibration at the previously selected receive port 2.

CALC:PAR:SDEF 'IM_Meas', 'IP3UI'

Create a new channel no. 2 and a trace named 'IM_Meas'. Select the upper 3rd-order intercept point at the DUT input as a measured quantity.

SOURce<Ch>:POWer<Pt>:CORRection:IMODulation:UTONe[:ACQuire]

Starts the source calibration for the upper tone (2nd power calibration step for intermodulation measurements), stores and applies the calibration data. The external power meter used is selected via SOURce<Ch>:POWer<Pt>:CORRection:PMETer:ID.

<Ch> | Calibrated channel number
<pt> | Port number This suffix is ignored; the analyzer calibrates the port that is selected as a source port for the intermodulation measurement ([SENSe<Ch>:]FREQuency:IMODulation:UTONe).
SCPI, Command Types | Device-specific, no query
Example: | See SOURce<Ch>:POWer<Pt>:CORRection:IMODulation:LOWer[:ACQuire]

SOURce<Ch>:POWer<Pt>:CORRection:LEVel:OFFSet <offset>

Specifies a gain (positive values) or an attenuation (negative values) in the signal path between the source port and the calibrated reference plane (Cal Power Offset). The value has no impact on the source power.

<Ch>

Calibrated channel number

<Pt>

Calibrated port number

<offset>

Gain or attenuation value

Range [def. unit]

–300 dB to +300 dB [dB]

*RST value

0 dB

SCPI, Command Types

Device-specific, command or query

Example:

Assume that a DUT requires a constant input power of +35 dBm at port 2, and that the measurement path contains an amplifier with a 30 dB gain.

*RST; SOUR:POW 0

Reset the instrument and set the internal source power (base channel power) for the default channel 1 to 0 dBm.

SOUR:POW2:OFFS 5, ONLY

Replace the source power at port 2 by +5 dBm. The powers at the remaining ports are not affected.

SOUR:POW2:CORR:LEV:OFFS 30

Specify the gain of the amplifier in the signal path between the analyzer port 2 and the input port of the DUT.

SOUR:POW:CORR:ACQ PORT,2

Perform a source power calibration using port 2 as a source port and the target power of +35 dBm.

SOURce<Ch>:POWer<Pt>:CORRection:MIXer:IF[:ACQuire]

Starts the IF source calibration (2nd power calibration step for vector (not scalar) mixer measurements), stores and applies the calibration data. The external power meter is selected via SOURce<Ch>:POWer<Pt>:CORRection:PMETer:ID.

The IF source calibration is independent of the RF source and LO source calibration; see description of the mixer calibration procedure.

<Ch>

Calibrated channel number

<pt>

Calibrated port number. This suffix is ignored because the IF signal is always assigned to port 2.

SCPI, Command Types

Device-specific, no query

Example:

FREQ:CONV VMIX
...

Select a vector mixer measurement; set frequencies, see e.g. example for [SENSe<Ch>:]FREQuency:CONVersion:MIXer:TFRequency.

SOUR:POW:CORR:PMET:ID 1

Select power meter no. 1 (previously configured in the External Power Meters dialog and properly connected) for the RF source calibration.

SOUR:POW:CORR:MIX:RF

Start the RF source calibration. Change the test setup for the IF source calibration (see mixer calibration procedure).

SOUR:POW:CORR:MIX:IF

Start the IF source calibration.

FREQ:CONV:MIX:LOIN 3

Select port no. 3 as a signal source for the LO signal. Adjust the test setup for the LO source calibration.

SOUR:POW:CORR:MIX:LO

Start the LO source calibration.

SOURce<Ch>:POWer<Pt>:CORRection:MIXer:LO[:ACQuire]

Starts the LO source calibration (3rd power calibration step for scalar and vector mixer measurements), stores and applies the calibration data. The external power meter is selected via SOURce<Ch>:POWer<Pt>:CORRection:PMETer:ID.

The LO source calibration is independent of the RF source and IF receiver calibration; see description of the mixer calibration procedure.

<Ch> | Calibrated channel number
<pt> | Calibrated port number. This suffix is ignored; the port is selected via [SENSe<Ch>:]FREQuency:CONVersion:MIXer:LOINternal or [SENSe<Ch>:]FREQuency:CONVersion:MIXer:LOEXternal.
SCPI, Command Types | Device-specific, no query
Example: | See SOURce<Ch>:POWer<Pt>:CORRection:MIXer:RF[:ACQuire].

SOURce<Ch>:POWer<Pt>:CORRection:MIXer:RF[:ACQuire]

Starts the RF source calibration (1st power calibration step for scalar and vector mixer measurements), stores and applies the calibration data. The external power meter used is selected via SOURce<Ch>:POWer<Pt>:CORRection:PMETer:ID.

For scalar mixer measurements the command initiates two calibration steps, the first over the RF frequency range, the second over the IF frequency range (for a subsequent receiver power calibration, [SENSe<Ch>:]CORRection:POWer<port_no>:MIXer:IF:ACQuire). See description of the mixer calibration procedure.

<Ch>

Calibrated channel number

<pt>

Calibrated port number. This suffix is ignored because the RF signal is always assigned to port 1.

SCPI, Command Types

Device-specific, no query

Example:

FREQ:CONV MIX
...

Select a scalar mixer measurement; set frequencies, see e.g. example for [SENSe<Ch>:]FREQuency:CONVersion:MIXer:TFRequency.

SOUR:POW:CORR:PMET:ID 1

Select power meter no. 1 (previously configured in the External Power Meters dialog and properly connected) for the RF source calibration.

SOUR:POW:CORR:MIX:RF

Start the RF source calibration. Change the test setup for the IF receiver calibration (see mixer calibration procedure).

CORR:POWer:MIX:IF:ACQuire

Start the IF receiver calibration.

FREQ:CONV:MIX:LOIN 3

Select port no. 3 as a signal source for the LO signal. Adjust the test setup for the LO source calibration.

SOUR:POW:CORR:MIX:LO

Start the LO source calibration.

SOURce<Ch>:POWer<Pt>:CORRection:NREadings <readings>

Sets a limit for the number of calibration sweeps in the source power calibration. The command is valid for all channels, ports and external generators. Equivalent command: SOURce<Ch>:POWer<Pt>:CORRection:COLLect:AVERage[:COUNt].

<Ch> | Calibrated channel number. This parameter is ignored; the limit applies to all sources.
<Pt> | Calibrated port number. This parameter is ignored; the limit applies to all sources.
<readings> | Number of readings
Range [def. unit] | 1 to 100 [–]
*RST value | 1
SCPI, Command Types | Device-specific, command or query
Example: | See SOURce<Ch>:POWer<Pt>:CORRection[:ACQuire].

SOURce<Ch>:POWer<Pt>:CORRection:OSOurces[:STATe] <Boolean>

Switches off all other sources during the calibration sweep for channel <Ch>.

<Ch> | Calibrated channel number
<Pt> | Calibrated port number. This parameter is ignored; the setting is valid for all sources.
<Boolean> | ON – Other sources not necessarily switched off OFF – Other sources switched off during the calibration sweep
*RST value | ON [–]
SCPI, Command Types | Device-specific, command or query
Example: | See SOURce<Ch>:POWer<Pt>:CORRection[:ACQuire].

SOURce<Ch>:POWer<Pt>:CORRection:PMETer:ID <pmeter_no>

Selects an external power meter for the source power calibration.

The command cannot be used unless a power meter is connected via GPIB bus, USB or LAN interface and configured in the External Power Meters dialog.

<Ch> | Calibrated channel number
<Pt> | Calibrated port number. This parameter is ignored; the power meter selection is valid for all sources.
<pmeter_no> | Number of external power meter. The parameters UP, DOWN, MIN, MAX are not available for this command.
Range [def. unit] | 1 to number of external generators [–]
*RST value | The power meter selection is not changed by a reset of the analyzer.
SCPI, Command Types | Device-specific, command or query.
Example: | See SOURce<Ch>:POWer<Pt>:CORRection:COLLect[:ACQuire] and SOURce<Ch>:POWer<Pt>:CORRection:MIXer:RF[:ACQuire].

SOURce<Ch>:POWer<Pt>:CORRection:STATe <Boolean>

Enables or disables the source power calibration for channel <Ch> and for port number <Pt>. The command is disabled unless a source power calibration for the analyzer port has been performed (SOURce<Ch>:POWer<Pt>:CORRection[:ACQuire]). To enable or disable a source power calibration for an external generator use SOURce<Ch>:POWer<Pt>:CORRection:GENerator[:STATe].

<Ch> | Calibrated channel number
<Pt> | Calibrated port number
<Boolean> | Enables (ON) or disables (OFF) the source power calibration for port number <Pt>.
*RST value | OFF [–]
SCPI, Command Types | Device-specific, command or query
Example: | See SOURce<Ch>:POWer<Pt>:CORRection[:ACQuire].


SOURce<Ch>:POWer:CORRection:TCOefficient

:CALibration

:COUNt?

:DEFine

:DELete

:ALL

[:DUMMy]

:FEED

:INSert

[:STATe]

SOURce<Ch>:POWer<Pt:CORRection:TCOefficient...

This subsystem defines the transmission coefficients for an additional two-port in the test setup (power loss list)).

Command tree: SOURce<Ch>POWer<Pt>:CORRection:TCOefficient

SOURce<Ch>:POWer<Pt>:CORRection:TCOefficient:CALibration <Boolean>

Selects the position of the additional two-port in the test setup.

<Ch>

Calibrated channel number. This parameter is ignored; the transmission coefficient settings are valid for all channels.

<Pt>

Calibrated port number. This parameter is ignored; the transmission coefficient settings are valid for all sources.

<Boolean>

ON – Power sensor (during calibration)
OFF – Device under test (during measurement)

*RST value

ON

SCPI, Command Types

Device-specific, command or query

Example:

*RST; :SOUR:POW:CORR:TCO:CAL OFF

Select the test setup with the additional two-port in front of the DUT.

SOUR:POW:CORR:TCO:DEF 1GHz, -5; DEF 2GHz, -10; DEF2?

Define two points in the power loss list; query the second point.

SOUR:POW:CORR:TCO:INS2 1.5 GHz, -7.5

Insert a third point as point no. 2 in the list.

SOUR:POW:CORR:TCO:COUN?

Query the number of points. The response is 3.

SOUR:POW:CORR:TCO ON

Enable the use of two-port transmission coefficients.

SOUR:POW:CORR:TCO:FEED 'Trc1'

Replace the previous 3 points by the trace points of the default trace 'Trc1'.

MMEM:STOR:CORR:TCO 'C:\Rohde&Schwarz\NWA\PowermeterCorrLists\Test.pmcl'

Store the power loss list to the power meter correction list file Test.pmcl in the directory C:\Rohde&Schwarz\NWA\PowermeterCorrLists.

MMEM:LOAD:CORR:TCO 'C:\Rohde&Schwarz\NWA\PowermeterCorrLists\Test.pmcl'

Re-load the stored power meter correction list file.

SOUR:POW:CORR:TCO:DEL1

Delete the first point in the list.

SOUR:POW:CORR:TCO:DEL:ALL; :SOUR:POW:CORR:TCO?

Clear the entire list. Query whether the transmission coefficients are still taken into account. The response is 0.

MMEM:LOAD:CORR:TCO 'C:\Rohde&Schwarz\NWA\Traces\Test.s2p', 'S21'

Load a power loss list from a previously created 2-port Touchstone file. .

SOURce<Ch>:POWer<Pt>:CORRection:TCOefficient:COUNt?

Queries the number of frequency values and transmission coefficients in the power loss list.

<Ch> | Calibrated channel number. This parameter is ignored; the transmission coefficient settings are valid for all channels.
<Pt> | Calibrated port number. This parameter is ignored; the transmission coefficient settings are valid for all sources.
SCPI, Command Types | Device-specific, query only
Example: | See SOURce<Ch>:POWer<Pt>:CORRection:TCOefficient:CALibration

SOURce<Ch>:POWer<Pt>:CORRection:TCOefficient:DEFine<List_No> <frequency>, <transmission>

Adds a new frequency and transmission coefficient to the end of the power loss list.

<Ch> | Calibrated channel number. This parameter is ignored; the transmission coefficient settings are valid for all channels.
<Pt> | Calibrated port number. This parameter is ignored; the transmission coefficient settings are valid for all sources.
<List_no> | Number of point in the list. This suffix is only used for queries.
<frequency> | Stimulus frequency value
Range [def. unit] | According to frequency range of the analyzer; see list of analyzer models [Hz]. If several points with identical frequencies are added, the analyzer automatically ensures a frequency spacing of 1 Hz.
<transmission> | Transmission coefficient
Range [def. unit] | –300 dB to +200 dB [dB]
*RST values | n/a
SCPI, Command Types | Device-specific, command or query. The query returns the frequency and transmission coefficient no. <List_No>.
Example: | See SOURce<Ch>:POWer<Pt>:CORRection:TCOefficient:CALibration

SOURce<Ch>:POWer<Pt>:CORRection:TCOefficient:DELete<List_No>:ALL

Clears the power loss list.

<Ch> | Calibrated channel number. This parameter is ignored; the transmission coefficient settings are valid for all channels.
<Pt> | Calibrated port number. This parameter is ignored; the transmission coefficient settings are valid for all sources.
<List_no> | Number of point in the list. This suffix is ignored; the command deletes all points.
*RST values | n/a
SCPI, Command Types | Device-specific, no query.
Example: | See SOURce<Ch>:POWer<Pt>:CORRection:TCOefficient:CALibration

SOURce<Ch>:POWer<Pt>:CORRection:TCOefficient:DELete<List_No>[:DUMMy]

Deletes a single point no. <List_No> in the power loss list.

<Ch> | Calibrated channel number. This parameter is ignored; the transmission coefficient settings are valid for all channels.
<Pt> | Calibrated port number. This parameter is ignored; the transmission coefficient settings are valid for all sources.
<List_no> | Number of point in the list.
*RST values | n/a
SCPI, Command Types | Device-specific, no query.
Example: | See SOURce<Ch>:POWer<Pt>:CORRection:TCOefficient:CALibration

SOURce<Ch>:POWer<Pt>:CORRection:TCOefficient:FEED '<trace_name>'

Selects a trace which provides the points for the power loss list..

<Ch> | Calibrated channel number. This parameter is ignored; the transmission coefficient settings are valid for all channels.
<Pt> | Calibrated port number. This parameter is ignored; the transmission coefficient settings are valid for all sources.
'<trace_name>' | String parameter for the trace name, e.g. 'Trc1'. The trace must exist in the active setup.
*RST value | n/a
SCPI, Command Types | Device-specific, no query
Example: | See SOURce<Ch>:POWer<Pt>:CORRection:TCOefficient:CALibration

SOURce<Ch>:POWer<Pt>:CORRection:TCOefficient:INSert<List_No> <frequency>, <transmission>

Inserts a new frequency and transmission coefficient at position no. <List_no> in the power loss list. The following points are shifted down in the list.

<Ch> | Calibrated channel number. This parameter is ignored; the transmission coefficient settings are valid for all channels.
<Pt> | Calibrated port number. This parameter is ignored; the transmission coefficient settings are valid for all sources.
<List_no> | Number of inserted point in the list.
<frequency> | Stimulus frequency value
Range [def. unit] | According to frequency range of the analyzer; see list of analyzer models [Hz]. If several points with identical frequencies are added, the analyzer automatically ensures a frequency spacing of 1 Hz.
<transmission> | Transmission coefficient
Range [def. unit] | –300 dB to +200 dB [dB]
*RST values | n/a
SCPI, Command Types | Device-specific, command or query.
Example: | See SOURce<Ch>:POWer<Pt>:CORRection:TCOefficient:CALibration

SOURce<Ch>:POWer<Pt>:CORRection:TCOefficient[:STATe] <Boolean>

Enables or disables the use of two-port transmission coefficients.

The power loss list must contain at least one point before the transmission coefficients can be enabled.

<Ch> | Calibrated channel number. This parameter is ignored; the transmission coefficient settings are valid for all channels.
<Pt> | Calibrated port number. This parameter is ignored; the transmission coefficient settings are valid for all sources.
<Boolean> | Enables (ON) or disables (OFF) the two-port transmission factors.
*RST value | OFF [–]
SCPI, Command Types | Device-specific, command or query
Example: | See SOURce<Ch>:POWer<Pt>:CORRection:TCOefficient:CALibration


SOURce<Ch>:TDIF

:IMBalance

:AMPLitude

:LPORt

:STARt

:STOP

:PHASe

:LPORt

:STARt

:STOP

:STATe

The true differential mode requires at least one balanced port. The two physical ports of the balanced port must be supplied by different power sources. This means that the analyzer port combinations 1/2, 3/4 are forbidden.

The number of possible port configurations increases with the number of analyzer ports:

  • For 2-port analyzers, no suitable balanced port configuration is possible.

  • For 3-port analyzers, either ports no. 1 and 3 or ports no. 2 and 3 can be combined to form a single balanced port. The third port is single-ended (unbalanced).

  • For 4-port analyzers, the port combinations 1/3, 1/4, 2/3, 2/4 are allowed. The analyzer may contain either one or two balanced ports.

SOURce<Ch>:TDIF...

This subsystem controls the True Differential Mode (with option R&S ZVA-K6).

Command tree: SOURce<Ch>TDIF

SOURce<Ch>:TDIF:IMBalance:AMPLitude:LPORt <Log Port>

Selects a logical (balanced) port for the amplitude imbalance sweep in true differential mode. A balanced port configuration must be defined and an amplitude imbalance sweep must be active to use this command; see program example.

<Ch>

Channel number.

<Log Port>

Logical port number of the balanced port. The balanced port must be defined using SOURce<Ch>:LPORt<log_port> before it can be selected.

Range [def. unit]

Depending on the number of balanced ports defined. [–]

SCPI, Command Types

Device-specific, command or query

Example:

*RST; SOUR:LPOR1 1,3

Reset the analyzer and combine the physical ports 1 and 3 to the logical port 1.

SWE:TYPE IAMP; :SOUR:TDIF?

Select an amplitude imbalance sweep. This sweep type automatically activates the true differential mode (the query returns 1).

CALC:TDIF:IMB:COMP ON

Use imbalance-compensated wave quantities to calculate S-parameters, ratios and derived quantities.

SOUR:TDIF:IMB:AMPL:LPOR 1; STAR -20; STOP 0

Configure the amplitude imbalance sweep, selecting the logical port no. 1 and a swept power range between -20 dBm and 0 dBm at the physical port no. 3 (i.e. at the physical port with the highest port number that belongs to the selected logical port).

CALC:PAR:SDEF 'Trc1', 'SDS12'

Create a new trace named 'Trc1' to measure the mixed mode S-parameter Sds12.

DISP:TRAC:FEED 'Trc1'

Display the result

SOURce<Ch>:TDIF:IMBalance:AMPLitude:STARt <Start Power>

Defines the start power for an amplitude imbalance sweep, which is equal to the left edge of a Cartesian diagram. A balanced port configuration must be defined and an amplitude imbalance sweep must be active to use this command; see program example.

<Ch> | Channel number.
<Start Power> | Start power of the sweep.
Range [def. unit] | –40 dBm to +9.99 dBm. The exact range depends on the analyzer model; refer to the data sheet [dBm]. UP and DOWN increment/decrement the source power in 0.01-dB steps. The start power must be smaller than the stop power (SOURce<Ch>:TDIF:IMBalance:AMPLitude:STOP).
*RST value | –10 dBm
SCPI, Command Types | Device-specific, command or query
Example: | See SOURce<Ch>:TDIF:IMBalance:AMPLitude:LPORt

SOURce<Ch>:TDIF:IMBalance:AMPLitude:STOP <Stop Power>

Defines the stop power for an amplitude imbalance sweep, which is equal to the right edge of a Cartesian diagram. A balanced port configuration must be defined and an amplitude imbalance sweep must be active to use this command; see program example.

<Ch> | Channel number.
<Stop Power> | Stop power of the sweep.
Range [def. unit] | –39.99 dBm to +10 dBm. The exact range depends on the analyzer model; refer to the data sheet [dBm]. UP and DOWN increment/decrement the source power in 0.01-dB steps. The stop power must be larger than the start power (SOURce<Ch>:TDIF:IMBalance:AMPLitude:STARt).
*RST value | +10 dBm
SCPI, Command Types | Device-specific, command or query
Example: | See SOURce<Ch>:TDIF:IMBalance:AMPLitude:LPORt

SOURce<Ch>:TDIF:IMBalance:PHASe:LPORt <Log Port>

Selects a logical (balanced) port for the phase imbalance sweep in true differential mode. A balanced port configuration must be defined and a phase imbalance sweep must be active to use this command; see program example.

<Ch>

Channel number.

<Log Port>

Logical port number of the balanced port. The balanced port must be defined using SOURce<Ch>:LPORt<log_port> before it can be selected.

Range [def. unit]

Depending on the number of balanced ports defined. [–]

SCPI, Command Types

Device-specific, command or query

Example:

*RST; SOUR:LPOR1 1,3

Reset the analyzer and combine the physical ports 1 and 3 to the logical port 1.

SWE:TYPE IPH; :SOUR:TDIF?

Select a phase imbalance sweep. This sweep type automatically activates the true differential mode (the query returns 1).

SOUR:TDIF:IMB:PHAS:LPOR 1; STAR -20; STOP 0

Configure the phase imbalance sweep, selecting the logical port no. 1 and a swept phase range between -20 deg and 0 deg at the physical port no. 3 (i.e. at the physical port with the highest port number that belongs to the selected logical port).

CALC:PAR:SDEF 'Trc1', 'SDS12'

Create a new trace named 'Trc1' to measure the mixed mode S-parameter Sds12.

DISP:TRAC:FEED 'Trc1'

Display the result

SOURce<Ch>:TDIF:IMBalance:PHASe:STARt <Start Phase>

Defines the start phase for a phase imbalance sweep, which is equal to the left edge of a Cartesian diagram. A balanced port configuration must be defined and a phase imbalance sweep must be active to use this command; see program example.

<Ch> | Channel number.
<Start Phase> | Start phase of the sweep.
Range [def. unit] | –180 deg to +179.99 deg [deg]. UP and DOWN increment/decrement the phase in 1-deg / 0.1-deg / 0.01-deg steps. The start phase must be smaller than the stop phase (SOURce<Ch>:TDIF:IMBalance:PHASe:STOP).
*RST value | –180 deg
SCPI, Command Types | Device-specific, command or query
Example: | See SOURce<Ch>:TDIF:IMBalance:PHASe:LPORt

SOURce<Ch>:TDIF:IMBalance:PHASe:STOP <Stop Phase>

Defines the stop phase for a phase imbalance sweep, which is equal to the right edge of a Cartesian diagram. A balanced port configuration must be defined and a phase imbalance sweep must be active to use this command; see program example.

<Ch> | Channel number.
<Stop Phase> | Stop phase of the sweep.
Range [def. unit] | –179.99 deg to +180 deg [deg]. UP and DOWN increment/decrement the phase in 1-deg / 0.1-deg / 0.01-deg steps. The stop phase must be larger than the start phase (SOURce<Ch>:TDIF:IMBalance:PHASe:STARt).
*RST value | +180 deg
SCPI, Command Types | Device-specific, command or query
Example: | See SOURce<Ch>:TDIF:IMBalance:PHASe:LPORt

SOURce<Ch>:TDIF[:STATe] <Boolean>

Switches the true differential mode on or off. This command is available only if a suitable balanced port configuration is active.

Balanced port configurations for true differential mode

<Ch>

Channel number.

<Boolean>

ON - True differential mode active
OFF - True differential mode inactive, the virtual differential mode provides balanced results

*RST value

OFF

SCPI, Command Types

Device-specific, command or query

Example:

*RST; SOUR:LPOR1 1,3

Reset the analyzer and combine the physical ports 1 and 3 to the logical port 1. Defining a balanced port configuration deletes the default trace.

SOUR:TDIF ON

Switch true differential mode on.

CALC:PAR:SDEF 'Trc1', 'BD1D2S'

Create a new trace to measure the differential received wave quantity bd1, using the single-ended analyzer port no. 2 as a source port.

SOURce<Ch>:TDIF:WAVes SENDed | DCMode

Qualifies whether the source power (SOURce<Ch>:POWer<Pt>[:LEVel][:IMMediate][:AMPlitude]) is equal to the power of each single-ended wave or to the balanced waves in true differential mode.

<Ch> | Channel number.
SENDed | DCMode | Single-ended: Same Differential and Common Mode Voltages as in Single-Ended Mode. Differential and common mode: Apply to Differential (Zd = 2Z0) and Common Mode (Zd = Z0/2) Waves.
*RST value | – (a reset leaves the setting unchanged)
SCPI, Command Types | Device-specific, command or query
Example: | *RST; SOUR:LPOR1 1,3 Reset the analyzer and combine the physical ports 1 and 3 to the logical port 1. Defining a balanced port configuration deletes the default trace. SOUR:TDIF ON Switch true differential mode on. SOUR:TDIF:WAV SEND Select single-ended source power mode.


STATus

:OPERation

:CONDition?

:ENABle

:EVENt?

:NTRansition

:PTRansition

:PRESet

:QUEStionable

:CONDition?

:ENABle

:EVENt?

:INTegrity

:CONDition?

:ENABle

:EVENt?

:HARDware

:CONDition?

:ENABle

:EVENt?

:NTRansition

:PTRansition

:NTRansition

:PTRansition

:LIMit<1|2>

:CONDition?

:ENABle

:EVENt?

:NTRansition

:PTRansition

:NTRansition

:PTRansition

:QUEue

[:NEXT]?

STATus...

This subsystem controls the Status Reporting System. Status registers are not reset by *RST; use *CLS for this purpose.

Command tree: STATus

STATus:PRESet

Configures the status reporting system such that device-dependent events are reported at a higher level.

The command affects only the transition filter registers, the ENABle registers, and queue enabling:

  • The ENABle parts of the STATus:OPERation and STATus:QUEStionable... registers are set to all 1's.

  • The PTRansition parts are set all 1's, the NTRansition parts are set to all 0's, so that only positive transitions in the CONDition part are recognized.

The status reporting system is also affected by other commands, see Reset Values of the Status Reporting System.

*RST value | –
SCPI, Command Types | Confirmed, no query
Example: | STAT:PRES Preset the status registers.

STATus:QUEStionable:CONDition?

Returns the contents of the CONDition part of the QUEStionable register. Reading the CONDition registers is nondestructive.

*RST value | –
SCPI, Command Types | Confirmed, query only
Example: | STAT:QUES:COND? Query the CONDition part of the QUEStionable register to check for questionable instrument states.

STATus:QUEStionable:ENABle

Sets the enable mask which allows true conditions in the EVENt part of the QUEStionable register to be reported in the summary bit. If a bit is 1 in the enable register and its associated event bit transitions to true, a positive transition will occur in the summary bit (bit 3 of the STatus Byte).

<NRf> | 0 to 65535 (decimal representation)
*RST value | – (see also Reset Values of the Status Reporting System)
SCPI, Command Types | Confirmed, command or query
Example: | STAT:QUES:ENABle 1536 Set bits no. 9 and 10 of the QUEStionable:ENABle register (see decimal representation of a bit pattern).

STATus:QUEStionable[:EVENt]?

Returns the contents of the EVENt part of the QUEStionable register. Reading an EVENt register clears it.

*RST value | –
SCPI, Command Types | Confirmed, query only
Example: | STAT:OPER? Query the EVENt part of the OPERation register to check whether an event has occurred since the last reading.

STATus:QUEStionable:NTRansition

Sets the negative transition filter. Setting a bit causes a 1 to 0 transition in the corresponding bit of the associated condition register to cause a 1 to be written in the associated bit of the corresponding event register.

<NRf> | 0 to 65535 (decimal representation)
*RST value | – (see also Reset Values of the Status Reporting System)
SCPI, Command Types | Confirmed, command or query
Example: | STAT:QUES:NTR 1536 Set bits no. 9 and 10 of the QUEStionable:NTRansition register (see decimal representation of a bit pattern).

STATus:QUEStionable:PTRansition

Sets the positive transition filter. Setting a bit causes a 0 to 1 transition in the corresponding bit of the associated condition register to cause a 1 to be written in the associated bit of the corresponding event register.

<NRf> | 0 to 65535 (decimal representation)
*RST value | – (see also Reset Values of the Status Reporting System)
SCPI, Command Types | Confirmed, command or query
Example: | STAT:QUES:PTR 1536 Set bits no. 9 and 10 of the QUEStionable:PTRansition register (see decimal representation of a bit pattern).

STATus:QUEStionable:INTegrity:CONDition?

Returns the contents of the CONDition part of the QUEStionable:INTegrity register. Reading the CONDition registers is nondestructive.

*RST value | –
SCPI, Command Types | Confirmed, query only
Example: | STAT:QUES:INT:COND? Query the CONDition part of the QUEStionable:INTegrity register to detect current hardware failures.

STATus:QUEStionable:INTegrity:ENABle

Sets the enable mask which allows true conditions in the EVENt part of the QUEStionable:INTegrity register to be reported in the summary bit. If a bit is 1 in the enable register and its associated event bit transitions to true, a positive transition will occur in the summary bit (bit 9 of the QUEStionable register).

<NRf> | 0 to 65535 (decimal representation)
*RST value | – (see also Reset Valuesof the status reporting system)
SCPI, Command Types | Confirmed, command or query
Example: | STAT:QUES:INT:ENAB 4 Set bit no. 2 of the QUEStionable:INTegrity:ENABle register (see decimal representation of a bit pattern).

STATus:QUEStionable:INTegrity[:EVENt]?

Returns the contents of the EVENt part of the QUEStionable:INTegrity register. Reading an EVENt register clears it.

*RST value | –
SCPI, Command Types | Confirmed, query only
Example: | STAT:QUES:INT? Query the EVENt part of the QUEStionable:INTegrity register to check whether an event has occurred since the last reading.

STATus:QUEStionable:INTegrity:HARDware:CONDition?

Returns the contents of the CONDition part of the QUEStionable:INTegrity:HARDware register. Reading the CONDition registers is nondestructive.

*RST value | –
SCPI, Command Types | Confirmed, query only
Example: | STAT:QUES:INT:HARD:COND? Query the CONDition part of the QUEStionable:INTegrity:HARDware register to detect current hardware failures.

STATus:QUEStionable:INTegrity:HARDware:ENABle

Sets the enable mask which allows true conditions in the EVENt part of the QUEStionable:INTegrity:HARDware register to be reported in the summary bit. If a bit is 1 in the enable register and its associated event bit transitions to true, a positive transition will occur in the summary bit (bit 2 of the QUEStionable:INTegrity register).

<NRf> | 0 to 65535 (decimal representation)
*RST value | – (see also Reset Valuesof the status reporting system)
SCPI, Command Types | Confirmed, command or query
Example: | STAT:QUES:INT:HARD:ENAB 394 Set bits no. 1, 3, 7, and 8 of the QUEStionable:INTegrity:HARDware:ENABle register (see decimal representation of a bit pattern).

STATus:QUEStionable:INTegrity:HARDware[:EVENt]?

Returns the contents of the EVENt part of the QUEStionable:INTegrity:HARDware register. Reading an EVENt register clears it.

*RST value | –
SCPI, Command Types | Confirmed, query only
Example: | STAT:QUES:INT:HARD? Query the EVENt part of the QUEStionable:INTegrity:HARDware register to check whether an event has occurred since the last reading.

STATus:QUEStionable:INTegrity:HARDware:NTRansition

Sets the negative transition filter. Setting a bit causes a 1 to 0 transition in the corresponding bit of the associated condition register to cause a 1 to be written in the associated bit of the corresponding event register.

<NRf> | 0 to 65535 (decimal representation)
*RST value | – (see also Reset Valuesof the status reporting system)
SCPI, Command Types | Confirmed, command or query
Example: | STAT:QUES:INT:HARD:NTR 394 Set bits no. 1, 3, 7, and 8 of the QUEStionable:INTegrity:HARDware:NTRansition register (see decimal representation of a bit pattern).

STATus:QUEStionable:INTegrity:HARDware:PTRansition

Sets the positive transition filter. Setting a bit causes a 0 to 1 transition in the corresponding bit of the associated condition register to cause a 1 to be written in the associated bit of the corresponding event register.

<NRf> | 0 to 65535 (decimal representation)
*RST value | – (see also Reset Values of the status reporting system)
SCPI, Command Types | Confirmed, command or query
Example: | STAT:QUES:INT:HARD:PTR 394 Set bits no. 1, 3, 7, and 8 of the QUEStionable:INTegrity:HARDware:PTRansition register (see decimal representation of a bit pattern).

STATus:QUEStionable:INTegrity:NTRansition

Sets the negative transition filter. Setting a bit causes a 1 to 0 transition in the corresponding bit of the associated condition register to cause a 1 to be written in the associated bit of the corresponding event register.

<NRf> | 0 to 65535 (decimal representation)
*RST value | – (see also Reset Valuesof the status reporting system)
SCPI, Command Types | Confirmed, command or query
Example: | STAT:QUES:INT:NTR 4 Set bit no. 2 of the QUEStionable:INTegrity:NTRansition register (see decimal representation of a bit pattern).

STATus:QUEStionable:INTegrity:PTRansition

Sets the positive transition filter. Setting a bit causes a 0 to 1 transition in the corresponding bit of the associated condition register to cause a 1 to be written in the associated bit of the corresponding event register.

<NRf> | 0 to 65535 (decimal representation)
*RST value | – (see also Reset Values of the status reporting system)
SCPI, Command Types | Confirmed, command or query
Example: | STAT:QUES:INT:PTR 4 Set bit no. 2 of the QUEStionable:INTegrity:PTRansition register (see decimal representation of a bit pattern).

STATus:QUEStionable:LIMit<1|2>:CONDition?

Returns the contents of the CONDition part of the QUEStionable:LIMit<1|2> register. Reading the CONDition registers is nondestructive.

*RST value | –
SCPI, Command Types | Confirmed, query only
Example: | STAT:QUES:LIMit:COND? Query the CONDition part of the QUEStionable:LIMit1 register to retrieve the current status of the limit check.

STATus:QUEStionable:LIMit<1|2>:ENABle

Sets the enable mask which allows true conditions in the EVENt part of the QUEStionable:LIMit<1|2> register to be reported in the summary bit. If a bit is 1 in the enable register and its associated event bit transitions to true, a positive transition will occur in the summary bit (bit 10 of the QUEStionable register for the LIMit1 register, bit 0 of the LIMit1 register for the LIMit2 register).

<NRf> | 0 to 65535 (decimal representation)
*RST value | – (see also Reset Valuesof the status reporting system)
SCPI, Command Types | Confirmed, command or query
Example: | STAT:QUES:LIM2:ENAB 6 Set bits no. 1 and 2 of the QUEStionable:LIMit2:ENABle register (see decimal representation of a bit pattern).

STATus:QUEStionable:LIMit<1|2>[:EVENt]?

Returns the contents of the EVENt part of the QUEStionable:LIMit<1|2> register. Reading an EVENt register clears it.

*RST value | –
SCPI, Command Types | Confirmed, query only
Example: | STAT:QUES:LIM1? Query the EVENt part of the QUEStionable:LIMit1 register to check whether an event has occurred since the last reading.

STATus:QUEStionable:LIMit<1|2>:NTRansition

Sets the negative transition filter. Setting a bit causes a 1 to 0 transition in the corresponding bit of the associated condition register to cause a 1 to be written in the associated bit of the corresponding event register.

<NRf> | 0 to 65535 (decimal representation)
*RST value | – (see also Reset Values of the Status Reporting System)
SCPI, Command Types | Confirmed, command or query
Example: | STAT:QUES:LIM2:NTR 6 Set bits no. 1 and 2 of the QUEStionable:LIMit2:NTRansition register (see decimal representation of a bit pattern).

STATus:QUEStionable:LIMit<1|2>:PTRansition

Sets the positive transition filter. Setting a bit causes a 0 to 1 transition in the corresponding bit of the associated condition register to cause a 1 to be written in the associated bit of the corresponding event register.

<NRf> | 0 to 65535 (decimal representation)
*RST value | – (see also Reset Values of the Status Reporting System)
SCPI, Command Types | Confirmed, command or query
Example: | STAT:QUES:LIM2:PTR 6 Set bits no. 1 and 2 of the QUEStionable:LIMit2:PTRansition register (see decimal representation of a bit pattern).

STATus:QUEue[:NEXT]?

Queries and at the same time deletes the oldest entry in the error queue. Operation is identical to that of SYSTem:ERRor[:NEXT]?

The entry consists of an error number and a short description of the error. Positive error numbers are instrument-dependent. Negative error numbers are reserved by the SCPI standard; see Error Messages.

*RST value | –
SCPI, Command Types | Confirmed, query only
Example: | STAT:QUE? Query the oldest entry in the error queue. 0,"No error" is returned if the error queue is empty.


SYSTem

:COMMunicate

:AKAL

:CONNection

:MMEMory

[:STATe]

:GPIB

[:SELF]

:ADDRess

:RTERminator

:RDEVice

:AKAL

:ADDRess

:ALL?

:PREDuction

[:STATe]

:EUNit

:IDN?

:OPT?

:GENerator<no>

:CATalog?

:COUNt?

:DEFine

:DELete

:PMETer<no>

:AZERo

:CONFigure

:AUTO

:CATalog?

:COUNt?

:DEFine

:DELete

:RECeiver

:DEFine

:DELete

:CORRection

:FMPort

[:STATe]

:DATA

:SIZE

:DISPlay

:COLor

:UPDate

:ERRor

[:NEXT]

:ALL?

:DISPlay

:FIRMware

:UPDate

:FPReset

:FREQuency?

:KLOCk

:LOGGing

:REMote

[:STATe]

:PASSword

[:CENable]

:PRESet

:SCOPe

:USER

:NAME

:PRIority

:SETTings

:UPDate

:SHUTdown

:SOUNd

:ALARm

[:STATe]

:STATus

[:STATe]

:TRESet

[:STATe]

:USER

:DISPlay

:TITLe

:KEY

:FUNCtion

:VERSion?

SYSTem...

This subsystem collects the functions that are not related to instrument performance, such as function for general housekeeping and function related to global configurations.

Command tree: SYSTem

SYSTem:COMMunicate:AKAL:CONNection
THRough | OPEN | SHORt | MATCh, <port_1>, <port_2>

Connects the selected calibration standard to one or two ports of the active calibration unit (see SYSTem:COMMunicate:RDEVice:AKAL:ADDRess).

THRough | OPEN | SHORt | MATCh | Connected one or two-port standard
<port_1> | Port number of the calibration unit, for one and two-port standards
<port_2> | Second port number of the calibration unit, for two-port standards (THRough) only, omitted for the one-port standards
*RST value | –
SCPI, Command Types | Device-specific, command or query
Example: | SYST:COMM:AKAL:CONN THR, 1, 2 Connect a trough standard between ports 1 and 2 of the cal unit.

SYSTem:COMMunicate:AKAL:MMEMory[:STATe] <Boolean>

Shows or hides the memory of the active calibration unit (see SYSTem:COMMunicate:RDEVice:AKAL:ADDRess).

<Boolean> | ON – memory is shown in a separate drive OFF – memory is not shown
*RST value | OFF
SCPI, Command Types | Device-specific, command or query
Example: | SYST:COMM:AKAL:MMEM ON Show the memory of the active calibration unit.

SYSTem:COMMunicate:GPIB[:SELF]:ADDRess <address_no>

Sets the GPIB address of the analyzer.

<address_no> | GPIB address (integer number)
Range [def. unit] | 0 to 30 [–].
*RST value | The GPIB address is factory-preset. *RST has no effect on the value.
SCPI, Command Types | Confirmed, command or query
Example: | SYST:COMM:GPIB:ADDR 10 Set the GPIB address to 10. *RST; :SYST:COMM:GPIB:ADDR? After a reset, the address is maintained (the response is 10).

SYSTem:COMMunicate:GPIB[:SELF]:RTERminator
LFEoi | EOI

Sets the receive terminator of the analyzer. The receive terminator indicates the end of a command or a data block.

The receive terminator setting is relevant if block data is transferred to the analyzer (FORMat[:DATA] REAL). In the default setting LFEOI, the analyzer recognizes an LF character sequence with or without the EOI control bus message as a receive terminator. An accidental LF in a data block can be recognized as a terminator and cause an interruption of the data transfer.

The EOI setting is especially important if commands are transferred in block data format, because it ensures that the parser for command decoding is activated by the terminator only after the command has been completely transferred. Readout of binary data does not require a change of the receive terminator.

LFEoi | LF character sequence with or without EOI recognized
EOI | EOI recognized only
*RST value | LFEoi.
SCPI, Command Types | Device-specific, command or query
Example: | SYST:COMM:GPIB:RTER EOI Set the terminator to EOI.

SYSTem:COMMunicate:RDEVice:AKAL:ADDRess '<cal_unit_name>'

Selects one of the USB-connected calibration units for calibration (see commands SENSe<Ch>:CORRection:COLLect:AUTO...). This command is not necessary if only one cal unit is connected.

<cal_unit_name> | Name (USB address) of a connected calibration unit (string variable). The names of all connected cal units can be queried using SYSTem:COMMunicate:RDEVice:AKAL:ADDRess:ALL?
*RST values | '' (empty string; *RST has no effect on external devices).
SCPI, Command Types | Device-specific, command or query
Example: | SYST:COMM:RDEV:AKAL:ADDR:ALL? Query the names of all connected calibration units. SYST:COMM:RDEV:AKAL:ADDR 'ZV-Z52::1234' Select the cal unit named 'ZV-Z52::1234' for calibration. CORR:COLL:AUTO '', 1, 2, 4 Perform an automatic 3-port TOSM calibration at test ports 1, 2, and 4 using the calibration unit's default calibration kit file and arbitrary test ports of the cal unit.

SYSTem:COMMunicate:RDEVice:AKAL:ADDRess:ALL?

Queries the names (USB addresses) of all connected calibration units.

Response | Names (USB addresses) of all connected calibration units (comma-separated list of string variables).
*RST values | '' (empty string; *RST has no effect on external devices).
SCPI, Command Types | Device-specific, query only
Example: | See SYSTem:COMMunicate:RDEVice:AKAL:ADDRess

SYSTem:COMMunicate:RDEVice:AKAL:PREDuction[:STATe] <Boolean>

Enables or disables automatic power reduction at all test ports while an automatic calibration using the calibration unit R&S ZV-Zxx is active..

<Boolean> | ON – automatic power reduction enabled OFF – automatic power reduction disabled
*RST value | ON
SCPI, Command Types | Device-specific, command or query
Example: | SYST:COMM:AKAL:PRED OFF Disable automatic power reduction.

SYSTem:COMMunicate:RDEVice:EUNit:IDN?

Queries the device ID of a connected extension unit ZVAXxx.

Response

Manufacturer, type of the extension unit, 10-digit order number, serial number, see example below. If no extension unit is connected, an execution error is generated.

*RST values

– (*RST has no effect on external devices)

SCPI, Command Types

Device-specific, query only

Example:

SYST:COMM:RDEV:EUN:IDN?

Query the device ID. A possible device response is Rohde&Schwarz,ZVAX24,1311250902100001, where 1311.2509.02 is the order number of the extension unit R&S ZVAX24, 100001 is the serial number of the connected unit.

SYST:COMM:RDEV:EUN:OPT?

Query the installed hardware options of the extension unit. A possible device response is ZVAX-B211, ZVAX-B252, ZVAX-B273.

SYSTem:COMMunicate:RDEVice:EUNit:OPT?

Queries the hardware options of a connected extension unit ZVAXxx.

Response | Comma-separated list of options, see example.
*RST values | – (*RST has no effect on external devices)
SCPI, Command Types | Device-specific, query only
Example: | See SYSTem:COMMunicate:RDEVice:EUNit:IDN?

SYSTem:COMMunicate:RDEVice:GENerator<gen_no>:CATalog?

Queries the numbers of all configured external generators.

<gen_no>

Number of the configured generator. This suffix is ignored; the command affects all generators.

Response

String parameter with a comma-separated list of generator numbers.

*RST values

*RST has no effect on the configured generators.

SCPI, Command Types

Device-specific, query only

Example:

SYST:COMM:RDEV:GEN1:DEF 'Ext. Gen. 1', 'SME02', 'gpib0', '21'
SYST:COMM:RDEV:GEN2:DEF 'Ext. Gen. 2', 'SME02', 'gpib0', '22'

Configure two R&S SME02 generators as external generators no. 1 and 2, assigning different names and GPIB addresses.

SYST:COMM:RDEV:GEN1:CAT?

Query the generator numbers. The response is '1, 2'.

SYST:COMM:RDEV:GEN1:COUN?

Query the number of configured generators. The response is 2.

SYSTem:COMMunicate:RDEVice:GENerator<gen_no>:COUNt?

Queries the number of configured external generators.

<gen_no> | Number of the configured generator. This suffix is ignored; the command affects all generators.
Response | Number of generators.
*RST values | *RST has no effect on the configured generators.
SCPI, Command Types | Device-specific, query only
Example: | See SYSTem:COMMunicate:RDEVice:GENerator<gen_no>:CATalog?

SYSTem:COMMunicate:RDEVice:GENerator<gen_no>:DEFine
'<gen_name>', '<driver>', '<interface>', '<address>'[, <fast_sweep>, <10_MHz_Ref>]

Configures an external generator and adds it to the list of available generators.

<gen_no>

Number of the configured generator. Generators must be numbered in ascending order, starting with 1. If a number is re-used, the previous generator configuration is overwritten.

Generators can be assigned several times so that the number of configured generators is practically unlimited.

'<gen_name>'

Name of the external generator (string parameter). An empty string means that no particular name is assigned to the generator.

'<driver>'

Generator type (string parameter). The generator type is identical with the name of the generator driver file (*.gen) stored in the resources\extdev subdirectory of the analyzer's program directory. Type the driver file name as shown in the Add External Generator dialog, i.e. without the file extension ".gen" (example: use 'sme02', if the corresponding driver file name is sme02.gen).

Alternative: The '<driver>' string may also contain the generator driver file name with its complete path, e.g. 'C:\Program Files\Rohde&Schwarz\Network Analyzer\resources\extdev\sme02.gen'.

'<interface>'

Interface type (string parameter): 'GPIB0', 'VXI-11',...

'<address>'

Interface address (string parameter), depending on the interface type.

<fast_sweep>

Optional Boolean parameter, enables or disables the list mode (triggered mode).

<10_MHz_Ref>

Optional Boolean parameter, sets the analyzer to internal (OFF) or external (ON) reference frequency.

*RST values

*RST has no effect on the configured generators.

SCPI, Command Types

Device-specific, command or query

Example:

SYST:COMM:RDEV:GEN1:DEF 'Ext. Gen. 1', 'SME02', 'gpib0', '21'

Configure an R&S SME02 generator as external generator no. 1, assigning the name Ext. Gen. 1 and a GPIB address 21.

SYST:COMM:RDEV:GEN1:DEF?

Query the generator configuration. The response 'Ext. Gen. 1','SME02','GPIB0','21',OFF, OFF indicates that the fast sweep mode is disabled and that the analyzer is set to internal reference frequency.

SYST:COMM:RDEV:GEN1:DEL

Clear the generator configuration table.

SYST:COMM:RDEV:GEN1:DEF?

Query the generator configuration. The analyzer returns an error message because the generator no. 1 is no longer configured.

SYSTem:COMMunicate:RDEVice:GENerator<gen_no>:DELete

Clears the configuration table for external generators.

<gen_no> | Number of the configured generator. This number is ignored, the command clears all entries in the configuration table.
SCPI, Command Types | Device-specific, no query
Example: | See SYSTem:COMMunicate:RDEVice:GENerator<gen_no>:DEFine

SYSTem:COMMunicate:RDEVice:PMETer<pmeter_no>:AZERo

Starts auto zeroing of the external power meter.

<pmeter_no>

Number of the configured power meter. Power meters must be numbered in ascending order, starting with 1. If a number is re-used, the previous power meter configuration is overwritten.

Power meters can be assigned several times so that the number of configured power meters is practically unlimited.

*RST values

*RST has no effect on the configured power meters.

SCPI, Command Types

Device-specific, no query

Example:

See SYSTem:COMMunicate:RDEVice:PMETer<pmeter_no>:DEFine

SYSTem:COMMunicate:RDEVice:PMETer<pmeter_no>:CATalog?

Queries the numbers of all configured external power meters.

<pmeter_no>

Number of the configured power meter. This suffix is ignored; the command affects all power meters.

Response

String parameter with a comma-separated list of power meter numbers.

*RST values

*RST has no effect on the configured power meters.

SCPI, Command Types

Device-specific, query only

Example:

SYST:COMM:RDEV:PMET1:DEF 'USB Power Meter 1', 'NRP-Z55', 'usb', '100045'
SYST:COMM:RDEV:PMET2:DEF 'USB Power Meter 2', 'NRP-Z55', 'usb', '100046'

Configure two R&S NRP power meters as external power meter no. 1 and 2, assigning names and serial numbers.

SYST:COMM:RDEV:PMET1:CAT?

Query the power meter numbers. The response is '1, 2'.

SYST:COMM:RDEV:PMET1:COUN?

Query the number of configured power meters. The response is 2.

SYSTem:COMMunicate:RDEVice:PMETer<pmeter_no>:CONFigure:AUTO[:STATe] <Boolean>

Enables or disables Auto Config NRP-Zxx. If the function is enabled, the analyzer automatically configures all power meters detected at any of the USB ports as Pmtr 1, Pmtr2, ...

<pmeter_no>

Number of the configured power meter. This suffix is ignored; the command affects all power meters.

Power meters can be assigned several times so that the number of configured power meters is practically unlimited.

<Boolean>

ON | OFF – Enable or disable Auto Config NRP-Zxx

*RST values

*RST has no effect on the configured power meters.

SCPI, Command Types

Device-specific, command or query

Example:

See SYSTem:COMMunicate:RDEVice:PMETer<pmeter_no>:DEFine

SYSTem:COMMunicate:RDEVice:PMETer<pmeter_no>:COUNt?

Queries the number of configured external power meters.

<pmeter_no> | Number of the configured power meter. This suffix is ignored; the command affects all power meters.
Response | Number of power meters.
*RST values | *RST has no effect on the configured power meters.
SCPI, Command Types | Device-specific, query only
Example: | See SYSTem:COMMunicate:RDEVice:PMETer<pmeter_no>:CATalog?

SYSTem:COMMunicate:RDEVice:PMETer<pmeter_no>:DEFine
'<pmeter_name>', '<driver>', '<interface>', '<address>'

Configures an external power meter and adds it to the list of available power meters.

<pmeter_no>

Number of the configured power meter. Power meters must be numbered in ascending order, starting with 1. If a number is re-used, the previous power meter configuration is overwritten.

Power meters can be assigned several times so that the number of configured power meters is practically unlimited.

'<pmeter_name>'

Name of the external power meter (string parameter). An empty string means that no particular name is assigned to the power meter.

'<driver>'

Power meter type (string parameter). The power meter type is identical with the name of the power meter driver file (*.pwm) stored in the resources\extdev subdirectory of the analyzer's program directory. Type the driver file name as shown in the Add External Generator dialog, i.e. without the file extension ".pwm" (example: use 'NRVD', if the corresponding driver file name is NRVD.pwm).

Alternative: The '<driver>' string may also contain the power meter driver file name with its complete path, e.g. 'C:\Program Files\Rohde&Schwarz\Network Analyzer\resources\extdev\nrvd.pwm'.

'<interface>'

Interface type (string parameter): 'USB' (for the supported USB devices)

'<address>'

Interface address (string parameter), depending on the interface type.

*RST values

*RST has no effect on the configured power meters.

SCPI, Command Types

Device-specific, command or query

Example:

SYST:COMM:RDEV:PMET:CONF:AUTO OFF

Disables Auto Config NRP-Zxx (if it was enabled previously).

SYST:COMM:RDEV:PMET1:DEF 'USB Power Meter', 'NRP-Z55', 'usb', '100045'

Configure an R&S NRP power meter as external power meter no. 1, assigning the name USB Power Meter and a serial number 100045.

SYST:COMM:RDEV:PMET:DEL

Clear the power meter configuration table.

SYST:COMM:RDEV:PMET:DEF?

Query the power meter configuration. The analyzer returns an error message because the power meter no. 1 is no longer configured.

SYSTem:COMMunicate:RDEVice:PMETer<pmeter_no>:DELete

Clears the configuration table for external power meters.

<pmeter_no> | Number of the configured power meter. This number is ignored, the command clears all entries in the configuration table.
SCPI, Command Types | Device-specific, no query
Example: | See SYSTem:COMMunicate:RDEVice:PMETer<pmeter_no>:DEFine

SYSTem:COMMunicate:RDEVice:RECeiver:DEFine '<IP_address>'

Configures a network analyzer as an external receiver for the mixer delay measurement and adds it to the list of available receivers.

'<IP_address>' | IP address (string parameter)
*RST values | *RST has no effect on the configured receivers.
SCPI, Command Types | Device-specific, command or query
Example: | See [SENSe<Ch>:]FREQuency:MDELay:RECeiver

SYSTem:COMMunicate:RDEVice:RECeiver:DELete

Clears the configuration table for external receivers for the mixer delay measurement.

SCPI, Command Types | Device-specific, no query
Example: | See [SENSe<Ch>:]FREQuency:MDELay:RECeiver

SYSTem:CORRection:FMPort[:STATe] <Boolean>

Enables or disables Fast Multiport Correction. In manual control, the setting appears in the System Configuration – General tab.

<Boolean> | ON | OFF – Enable or disable fast multiport correction.
*RST value | *RST has no effect on the calibration algorithm.
SCPI, Command Types | Device-specific, command or query
Example: | SYST:CORR:FMP ON Enable fast multiport correction.

SYSTem:DATA:SIZE ALL | AUTO

Defines the block size for the data transfer between the instrument hardware and the software. The block size has an impact on the display of traces and on the readout of trace data using the commands of the TRACe... or CALCulate<Chn>:DATA... subsystems.

ALL

Data transfer with full buffer size. The data for each sweep are transferred together so that each displayed trace contains the data of exactly one sweep. The same is true for queried trace data. The trace is displayed or updated at once, the sweep progress is not visible on the screen.

To make sure that all queried trace points stem from the same sweep you can also use single sweep mode (INITiate<Ch>:CONTinuous OFF) and the common command *OPC?

AUTO

Data transfer with an automatically determined block size. In general the data blocks comprise only part of a trace, therefore the sweep progress is visible on the screen. On the other hand the displayed trace can show the results of two consecutive sweeps.

*RST value

AUTO.

SCPI, Command Types

Device-specific, command or query

Example:

SYST:DATA:SIZE ALL

Select data transfer with full buffer size in order to view the trace data from a single sweep..

SYSTem:DISPlay:COLor
DBACkground | LBACkground | BWLStyles | BWSolid

Selects the color scheme for all diagram areas in the active setup.

DBACkground | Dark background
LBACkground | Light background
BWLStyles | Black and white line styles
BWSolid | Black and white solid
*RST value | – *RST does not affect the color settings; see also description of the Preset command.
SCPI, Command Types | Device-specific, command or query
Example: | SYST:DISP:COL LBAC Select a light background, e.g. to generate color hardcopies.

SYSTem:DISPlay:UPDate <Boolean> | ONCE

Switches the display on or off while the analyzer is in the remote state. The command has no effect while the analyzer is in the Local operating state.

Switching off the display speeds up the measurement. This command may have an impact on the update of trace and channel settings; see SYSTem:SETTings:UPDate.

<Boolean> | ON | OFF – Switch the display on or off. If the display is switched on, the analyzer shows the diagrams and traces like in manual control.
ONCE | Switch the display on and show the current trace. This parameter can be used for occasional checks of the measurement results or settings. The measurement is continued, however, the measurement results are not updated. Compared to the ON setting, ONCE does not slow down the measurement speed.
*RST value | OFF
SCPI, Command Types | Device-specific, command or query
Example: | SYST:DISP:UPD ON Switch the display on to view the traces and diagrams.

SYSTem:ERRor[:NEXT]?

Queries and at the same time deletes the oldest entry in the error queue. Operation is identical to that of STATus:QUEue[:NEXT]?

The entry consists of an error number and a short description of the error. Positive error numbers are instrument-dependent. Negative error numbers are reserved by the SCPI standard; see Error Messages.

*RST value | –
SCPI, Command Types | Confirmed, query only
Example: | SYST:ERR? Query the oldest entry in the error queue. 0,"No error" is returned if the error queue is empty.

SYSTem:ERRor:ALL?

Queries and at the same time deletes all entries in the error queue.

The entries consist of an error number and a short description of the error. Positive error numbers are instrument-dependent. Negative error numbers are reserved by the SCPI standard; see Error Messages.

*RST value | –
SCPI, Command Types | Confirmed, command or query
Example: | SYST:ERR:ALL? Query all entries in the error queue. 0,"No error" is returned if the error queue is empty.

SYSTem:ERRor:DISPlay <Boolean>

Switches the display of a tooltip for remote command errors on or off. The tooltip appears at the bottom of the remote screen and of the manual screen; it is not displayed for SCPI errors no. –113, Undefined header.

<Boolean> | ON | OFF – Switch the tooltip on or off.
*RST value | OFF
SCPI, Command Types | Device-specific, command or query
Example: | SYST:ERR:DISP ON Switch the display of the tooltip for remote command errors on. FREQ:STAR 1

SYSTem:FIRMware:UPDate '<file_name>'

Installs a firmware version stored in a NWA setup file (*.msi) on the analyzer. The installation is automatic and does not require any further action.

'<file_name>' | String variable for the name and directory of a NWA setup file (*.msi).
*RST value | –
SCPI, Command Types | Device-specific, no query
Example: | SYST:FIRM:UPD 'C:\Setup\ZVAB_01.10.msi' Install the firmware version 01.10 from the setup file stored in the Setup directory of the analyzer's internal hard disk.

SYSTem:FPReset

Performs a factory preset of all instrument settings (i.e. all open setups) or of the active setup, depending on the SYSTem:PRESet:SCOPe settings, and deletes channel 1 in the active setup. As a result, the active setup contains no channels, traces, and diagram areas.

*RST value | –
SCPI, Command Types | Device-specific, no query
Example: | SYST:PRES:SCOP SING Define the scope of a preset: the active setup is reset only. SYST:FPR Reset the parameters of the current setup and delete channel 1.
SYSTem:FREQuency? MINimum | MAXimum

Queries the minimum and maximum frequency of the network analyzer; see frequency ranges.

In contrast to [SENSe<Ch>:]FREQuency:STARt? MAXimum. etc., SYSTem:FREQuency? can be used in all sweep modes.

Parameters | Center frequency of the sweep.
*RST value | n/a
SCPI, Command Types | Device-specific, query only
Example: | See [SENSe<Ch>:]FREQuency:CENTer

SYSTem:KLOCk <Boolean>

Locks or unlocks the local controls of the analyzer. This includes the front panel keys, the keyboard, or other local interfaces.

<Boolean> | ON | OFF – Lock or unlock the local keys.
*RST value | OFF
SCPI, Command Types | Confirmed, command or query
Example: | SYST:KLOCk ON Lock the local keys.

SYSTem:LANGuage '<Language>'

Specifies the Remote Language for the analyzer.

'<Language>'

Command syntax for the analyzer, string variable:
'SCPI' - R&S ZVA-specific command set: the analyzer supports all commands described in this help system

'PNA' | 'HP8510' | 'HP8720' | 'HP8753' - Compatibility with network analyzers from other manufacturers.

*RST value

SCPI

SCPI, Command Types

Device-specific, command or query

Example:

SYST:LANG 'PNA'

Select a PNA-compatible command set.

SYSTem:LOGGing:REMote[:STATe] <Boolean>

Enables logging of all remote control commands transferred to the analyzer.

<Boolean> | ON - Command sequence stored to file 'c:\Rohde&Schwarz\Nwa\RemoteLog\NWARemote.log' OFF - Command sequence not logged
*RST value | – (the function is not affected by *RST)
SCPI, Command Types | Device-specific, command or query.
Example: | SYST:LOGG:REM ON Enable remote logging. The log file 'c:\Rohde&Schwarz\Nwa\RemoteLog\NWARemote.log'' is fixed and does not have to be specified.

SYSTem:PASSword[:CENable] '<password>'

Sends a password to the analyzer enabling a class of service functions to function (Command ENable). Service functions are activated with the commands of the DIAGnostic system and should be used by a R&S service representative only. Refer to the service manual for more information.

'<password>' | Case-sensitive string variable. Sending an invalid password generates error -221, (settings conflict).
*RST value | – (neither the password nor the protection of service functions is affected by *RST)
SCPI, Command Types | Confirmed, no query
Example: | SYST:PASS "XXXX" Enter password.

SYSTem:PRESet

Performs a factory preset of all instrument settings (i.e. all open setups) or of the active setup, depending on the SYSTem:PRESet:SCOPe settings. The command is equivalent to *RST and to the action of the PRESET key on the front panel.

If a user-defined preset is active (SYSTem:PRESet:USER[:STATe] ON), the PRESET key initiates a user-defined preset, while SYSTem:PRESet and *RST still activate the factory preset. If Align *RST to User Defined Preset is selected in the System Configuration –Preset dialog and a valid user preset file is available, *RST and SYSTem:PRESet also restore the user-defined settings.

*RST value | –
SCPI, Command Types | Confirmed, no query
Example: | SYST:PRES:SCOP SING Define the scope of a preset: the active setup is reset only. SYST:PRES Reset the parameters of the current setup.

SYSTem:PRESet:SCOPe ALL | SINGle

Specifies whether a preset (SYSTem:PRESet; *RST) affects the active setup only or all open setups.

ALL | All open setups are deleted and the setup Set1 is created with default trace and channel settings.
SINGle | The settings of the active setup are reset; the name of the active setup and the parameters of all other setups remain unchanged.
*RST value | – (*RST does not affect the preset scope setting)
SCPI, Command Types | Device-specific, command or query
Example: | See SYSTem:PRESet

SYSTem:PRESet:USER[:STATe] <Boolean>

Selects a factory preset or a user-defined preset.

The user-defined preset can be initiated using System – Preset (manual control) or MMEMory:LOAD:STATe. *RST and SYSTem:PRESet always initiate a factory preset.

<Boolean>

OFF - User-defined preset switched off (factory preset is used)
ON - User-defined preset switched on

*RST value

– (*RST does not affect the preset state setting)

SCPI, Command Types

Device-specific, command or query

Example:

SYST:PRES:USER ON

Enable a user-defined preset.

SYST:PRES:USER:NAME 'C:\Rohde&Schwarz\Nwa\RecallSets\Setup_2.zvx'

Select a setup file for the user-defined preset.

Press System – Preset (manual control) or use
MMEM:LOAD:STAT 1, 'C:\Rohde&Schwarz\Nwa\RecallSets\Setup_2.zvx'

Carry out the use-defined preset.

SYSTem:PRESet:USER:NAME '<Setup_file>'

Specifies the name of a setup file (.zvx) to be used for a user-defined preset.

'<Setup_file>' | String parameter to specify the name and directory of the setup file to be loaded. The default extension (manual control) for setup files is *.zvx, although other extensions are allowed. If no path is specified the analyzer searches the default directory (subdirectory ...RecallSets)
*RST value | – (*RST does not affect the preset settings)
SCPI, Command Types | Device-specific, command or query
Example: | See SYSTem:PRESet:USER[:STATe]

SYSTem:PRIority NORMal | ANORmal | HIGH

Selects the priority of the running NWA application.

Parameters | Normal priority, priority above normal, high priority
*RST value | NORMal (*RST does not affect the priority settings)
SCPI, Command Types | Device-specific, command or query
Example: | SYST:PRI ANOR Enhance the priority of the NWA application.

SYSTem:SETTings:UPDate ONCE

Initiates an immediate update of the channel or trace settings.

The command has an effect if the analyzer operates in single sweep mode (INITiate<Ch>:CONTinuous OFF) and if the display update is switched off (SYSTem:DISPlay:UPDate OFF). In this scenario, a change of the channel or trace settings is usually not taken into account immediately. The analyzer aborts the current sweep sequence but postpones the preparation of the next sweep sequence (including a re-configuration of all settings made during the last sweep period) until the next single sweep sequence is initiated. Several settings can be made en bloc, which generally saves time.

See also programming example in section Initiating Measurements, Speed Considerations.

SYSTem:SETTings:UPDate ONCE causes the analyzer to apply the settings immediately without waiting for the end of the current single sweep sequence. The command has no effect in continuous sweep mode or if the display update is switched on.

The settings are also updated when the continuous sweep mode is activated deliberately (INITiate<Ch>:CONTinuous ON).

ONCE | Causes an immediate update of the settings.
*RST value | –
SCPI, Command Types | Confirmed, no query
Example: | INIT:CONT OFF Activate single sweep mode. SYST:SETT:UPD ONCE Update the settings made during the current single sweep period.

SYSTem:SHUTdown

Switches the analyzer to the standby state.

*RST value | –
SCPI, Command Types | Device-specific, no query
Example: | SYST:SHUT Switch the network analyzer to standby state.

SYSTem:SOUNd:ALARm[:STATe] <Boolean>

Switches alarm sounds on or off.

<Boolean> | OFF - Alarm sounds switched off ON - Alarm sounds switched on
*RST value | ON
SCPI, Command Types | Device-specific, command or query.
Example: | SYST:SOUN:ALAR OFF; STAT OFF Switch alarm and status sounds off.

SYSTem:SOUNd:STATus[:STATe] <Boolean>

Switches status sounds on or off.

<Boolean> | OFF - Status sounds switched off ON - Status sounds switched on
*RST value | ON
SCPI, Command Types | Device-specific, command or query.
Example: | See SYSTem:SOUNd:ALARm[:STATe]

SYSTem:TRESet[:STATe] <Boolean>

Defines the restart behavior of the instrument.

<Boolean> | OFF - Keep previous measurement ON - Set all traces to 0
*RST value | n/a (a reset does not change the restart behavior)
SCPI, Command Types | Device-specific, command or query.
Example: | SYST:TRES ON Define the sweep restart behavior such that trace values are set to 0.

SYSTem:USER:DISPlay:TITLe '<title>'

Defines a title for the remote display.

'<title>' | Title (string variable). \n in the string starts a new line; see example
*RST value | – (*RST does not affect the title)
SCPI, Command Types | Device-specific, command or query.
Example: | SYST:USER:DISP:TITL 'Rohde & Schwarz \n Vector Network Analyzer \n Remote test running' Define a title for the remote display. The title is displayed in three lines; \n is not displayed.

SYSTem:USER:KEY <ukey_no>[, '<ukey_name>']

Labels a user-defined key in the remote display. In the query form the command returns whether or not a user-defined key was used.

<ukey_no>

Number of the user key

Range [def. unit]

0 – Delete all user keys and restore the default keys (Go to Local, Display Off)
1 to 8 – user key numbers

*RST value

0

'<ukey_name>'

Label for user key no. 1 to 8 (string variable)

*RST value

'' (empty string)

SCPI, Command Types

Device-specific, command or query.

Example:

SYST:USER:KEY 1, 'User S11'

Define a user key no. 1 labeled S11. The user key is only labeled, no functionality has been assigned yet.

SYST:USER:KEY:FUNC 1, 'S11'

Assign the functionality 'S11' (select S11 as a measured quantity for the active trace) to the created user key.

SYST:USER:KEY?

The query returns 0,'', indicating that no user key has been pressed. If you press the user softkey no. 1, the response is 1, 'User S11'.

CALC:PAR:MEAS? 'Trc1'

The query returns 'S11','', indicating that the measured quantity for trace 'Trc1' has been changed.

SYST:USER:KEY 0

Delete the user key and restore the default keys..

SYSTem:USER:KEY:FUNCtion <ukey_no>[, '<ukey_name>']

Labels the functionality of a function key to a user-defined key in the remote display.

You can use this command to execute part of your measurement task manually; see Combining Manual and Remote Control.

<ukey_no> | Number of the user key
Range [def. unit] | 1 to 8 – user key numbers
*RST value | – (the parameter is also needed in the query form)
'<ukey_name>' | Name of a function key, e.g. 'S11', 'Start' etc. (string variable)
*RST value | '' (empty string)
SCPI, Command Types | Device-specific, command or query.
Example: | See SYST:USER:KEY

SYSTem:VERSion?

Returns the SCPI version number to which the analyzer complies. The analyzer complies to the final SCPI version 1999.0

*RST value | –
SCPI, Command Types | Confirmed, query only
Example: | SYST:VERS? Query the SCPI version. The response is 1999.0.


TRACe

:COPY

:MATH

:CLEar

[:DATA]

[:RESPonse]

[:ALL]?

:STIMulus

[:ALL]?

TRACe...

This subsystem handles active trace data and trace data stored in the analyzer's internal memory.

Command tree: TRACe

Trace data is transferred in either ASCII or block data (REAL) format, depending on the FORMat[:DATA] setting. If the block data format is used, it is recommended to select EOI as receive terminator (SYSTem:COMMunicate:GPIB[:SELF]:RTERminator EOI).

Reserved Trace Names

The commands in the TRACe... menu use the following ZVR-compatible parameters to specify traces:

Parameter

Meaning

Used in

CH1DATA, CH2DATA, CH3DATA, CH4DATA

Active data trace of channels 1 to 4

TRACe:COPY
TRACe[:DATA][:RESPonse][:ALL]?
TRACe[:DATA][:STIMulus][:ALL]?
CALCulate<Chn>:MATH[:EXPRession][:DEFine]

CH1MEM, CH2MEM, CH3MEM, CH4MEM

Active memory trace associated to the active data trace CH1DATA, CH2DATA, CH3DATA, CH4DATA, respectively.

TRACe[:DATA][:RESPonse][:ALL]?
TRACe[:DATA][:STIMulus][:ALL]?

IMPLied

Active data trace, addressed with <Chn>

CALCulate<Chn>:MATH[:EXPRession][:DEFine]

CHMem

Active memory trace assigned to the IMPlied trace

CALCulate<Chn>:MATH[:EXPRession][:DEFine]

MDATA1, MDATA2, MDATA3, MDATA4, MDATA5, MDATA6, MDATA7, MDATA8

Memory trace named Mem<n>[Trc<m>]. The trace name is unique because <n> counts all data and memory traces in the active setup.

TRACe:CLEar
TRACe:COPY
TRACe[:DATA][:RESPonse][:ALL]?
TRACe[:DATA][:STIMulus][:ALL]?
CALCulate<Chn>:MATH[:EXPRession][:DEFine]

TRACe:CLEar
MDATA1 | MDATA2 | MDATA3 | MDATA4 | MDATA5 | MDATA6 | MDATA7 | MDATA8

Deletes one of the memory traces Mem<n>[Trc<m>], where n = 1, ... 8.

Parameters

Identifier for the memory trace; see list of trace names. .

Range [def. unit]

MDATA<n> where <n> = 1 to 8. [–]

*RST value

–

SCPI, Command Types

Device-specific, no query

Example:

SWE:POIN 20

Create a trace with 20 sweep points, making the created trace the active trace of channel 1 (omitted optional mnemonic SENSe1).

TRAC:COPY "Mem_Pt20",CH1DATA

Copy the current state of the created trace to a memory trace named "Mem_Pt20". The memory trace is not displayed.

DISP:WIND:TRAC2:FEED "MEM_PT20"

Display the created memory trace in the active diagram area (diagram area no. 1).

TRACe:COPY <memory_trc>,<data_trc>

Copies a data trace to a memory trace. The trace to be copied can be specified by two alternative methods:

  • As the active data trace of channels 1 to 4 (CH1DATA, CH2DATA, CH3DATA, CH4DATA). If a mathematical trace is active, the associated data trace is copied.

  • As a trace with a name (string variable)

The created memory trace can be specified as follows:

  • As the memory trace named Mem<n>[Trc<m>], where n = 1, ... 8 and Trc<m> is the name of the copied data trace (MDATA1, MDATA2, MDATA3, MDATA4, MDATA5, MDATA6, MDATA7, MDATA8)

  • As a memory trace with an arbitrary name (string variable)

An existing memory trace with the same name is overwritten.

The copied trace is the data trace which is not modified by any mathematical operations. To copy a mathematical trace to a memory trace, use TRACe:COPY:MATH. To copy the active trace to the memory using an automatic memory trace name, use CALCulate<Chn>:MATH:MEMorize.

<memory_trc>

Name of the memory trace.

Range [def. unit]

<memory_trace> is either a string variable (enclosed in single or double quotes) or one of the following reserved names (no string variables):

MDATA1 | MDATA2 | MDATA3 | MDATA4 | MDATA5 | MDATA6 | MDATA7 | MDATA8 (only for memory traces Mem<n>[Trc<m>], where n = 1, ... 8; see list of trace names). [–]

*RST value

–

<data_trc>

Name of the data trace

Range [def. unit]

<data_trace> is either a string variable (enclosed in single or double quotes) or one of the following reserved names (no string variables):

CH1DATA | CH2DATA | CH3DATA | CH4DATA (only for the active data trace in channels Ch1, Ch2, Ch3, Ch4; see list of trace names). [–]

*RST value

–

SCPI, Command Types

Confirmed, no query

Example:

*RST; :SWE:POIN 20

Create a trace with 20 sweep points, making the created trace the active trace of channel 1 (omitted optional mnemonic SENSe1).

TRAC:COPY "Mem_Pt20",CH1DATA

Copy the current state of the created trace to a memory trace named "Mem_Pt20". The memory trace is not displayed.

DISP:WIND:TRAC2:FEED "MEM_PT20"

Display the created memory trace in the active diagram area (diagram area no. 1).

TRACe:COPY:MATH <memory_trc>,<data_trc>

Copies a mathematical trace to a memory trace. The trace to be copied can be specified by two alternative methods:

  • As the active mathematical trace of channels 1 to 4 (CH1DATA, CH2DATA, CH3DATA, CH4DATA)

  • As a trace with a name (string variable)

The created memory trace can be specified as follows:

  • As the memory trace named Mem<n>[Trc<m>], where n = 1, ... 8 and Trc<m> is the name of the copied data trace (MDATA1, MDATA2, MDATA3, MDATA4, MDATA5, MDATA6, MDATA7, MDATA8)

  • As a memory trace with an arbitrary name (string variable)

An existing memory trace with the same name is overwritten.

To copy a data trace which is not modified by any mathematical operations, use TRACe:COPY.

<memory_trc>

Name of the memory trace.

Range [def. unit]

<memory_trace> is either a string variable (enclosed in single or double quotes) or one of the following reserved names (no string variables):

MDATA1 | MDATA2 | MDATA3 | MDATA4 | MDATA5 | MDATA6 | MDATA7 | MDATA8 (only for memory traces Mem<n>[Trc<m>], where n = 1, ... 8; see list of trace names). [–]

*RST value

–

<data_trc>

Name of the data trace

Range [def. unit]

<data_trace> is either a string variable (enclosed in single or double quotes) or one of the following reserved names (no string variables):

CH1DATA | CH2DATA | CH3DATA | CH4DATA (only for the active data trace in channels Ch1, Ch2, Ch3, Ch4; see list of trace names). [–]

*RST value

–

SCPI, Command Types

Confirmed, no query

Example:

*RST; :SWE:POIN 20

Create a trace with 20 sweep points, making the created trace the active trace of channel 1 (omitted optional mnemonic SENSe1).

CALC:MATH:SDEF 'Trc1 / 2'; :CALC:MATH:STAT ON

Define a mathematical trace, dividing the data trace by 2. Activate the mathematical mode and display the mathematical trace instead of the data trace.

TRAC:COPY:MATH 'Mem_Pt20',CH1DATA; :CALC:MATH:STAT OFF

Copy the current state of the mathematical trace to a memory trace named "Mem_Pt20". The memory trace is not displayed. Switch the display back to the data trace.

DISP:WIND:TRAC2:FEED 'MEM_PT20'

Display the created memory trace together with the data trace.

TRACe[:DATA][:RESPonse][:ALL]?
CH1DATA | CH2DATA | CH3DATA | CH4DATA | CH1MEM | CH2MEM | CH3MEM | CH4MEM | MDATA1 | MDATA2 | MDATA3 | MDATA4 | MDATA5 | MDATA6 | MDATA7 | MDATA8

Returns the response values of the active data trace or memory trace (see trace names).

To read the response values of an arbitrary data or memory trace, use CALCulate<Chn>:DATA? To read the response values of a trace acquired in single sweep mode (INITiate<Ch>:CONTinuous OFF), use CALCulate<Chn>:DATA:NSWeep:FIRSt?

<Response>

Response data of the selected trace, see list of trace names.

Range [def. unit]

The data is transferred in the data format defined via FORMat[:DATA] and FORMat:DEXPort:SOURce. The unit is the default unit of the measured parameter; see CALCulate<Ch>:PARameter:SDEFine.

*RST value

–

SCPI, Command Types

Device-specific, query only

Example:

SWE:POIN 20

Create a trace with 20 sweep points, making the created trace the active trace of channel 1 (omitted optional mnemonic SENSe1).

CALC:FORM MLIN; :FORM ASCII; FORM:DEXP:SOUR FDAT

Select the trace data format: linear magnitude values, ASCII format and formatted trace data (1 value per sweep point).

TRAC? CH1DATA

Query the 20 response values of the created trace according to the previous format settings.

TRACe[:DATA]:STIMulus[:ALL]?
CH1DATA | CH2DATA | CH3DATA | CH4DATA | CH1MEM | CH2MEM | CH3MEM | CH4MEM | MDATA1 | MDATA2 | MDATA3 | MDATA4 | MDATA5 | MDATA6 | MDATA7 | MDATA8

Returns the stimulus values of the active data trace or memory trace (see trace names).

To read the stimulus values of an arbitrary data or memory trace, use CALCulate<Chn>:DATA:STIMulus?

<Response>

Response data of the selected trace, see list of trace names.

Range [def. unit]

The data is transferred in the data format defined via FORMat[:DATA]. The numeric values are expressed in the default unit of the stimulus variable. [Hz, dBm or s, depending on the sweep type]

*RST value

–

SCPI, Command Types

Device-specific, query only

Example:

SWE:POIN 20

Create a trace with 20 sweep points, making the created trace the active trace of channel 1 (omitted optional mnemonic SENSe1).

TRAC:STIM? CH1DATA

Query the 20 stimulus values of the created trace. In the default format setting, the data is returned as a comma-separated list of 10-digit ASCII values.


TRIGger<Ch>...

This subsystem is used to synchronize the analyzer's actions (in particular, the start of a measurement sequence) with events.

Command tree: TRIGger<Ch>

TRIGger<Ch>[:SEQuence]:HOLDoff <delay>

Sets a delay time between the trigger event and the start of the measurement (Trigger Delay).

<Ch> | Channel number. If unspecified the numeric suffix is set to 1.
<delay> | Delay time.
Range [def. unit] | 0 s to 13680 s [s]. UP and DOWN increment/decrement the trigger delay in 10 ms steps.
*RST value | 0 s
SCPI, Command Types | Confirmed, command or query
Example: | TRIG:SOUR TIM Activate internal timer as trigger source. TRIG:HOLD UP Set a delay time of 10 ms.

TRIGger<Ch>[:SEQuence]:HOLDoff:GENerator<Gen> <delay>

Defines the trigger delay for a generator port <Gen>. The setting takes effect when a port-specific trigger delay is selected (TRIGger<Ch>[:SEQuence]:HOLDoff:MODE PSPecific).

<Ch> | Channel number
<Gen> | Generator number
<delay> | Delay time.
Range [def. unit] | 0 s to 13680 s [s]. UP and DOWN increment/decrement the trigger delay in 10 ms steps.
*RST value | 0 s
SCPI, Command Types | Device-specific, command or query
Example: | See TRIGger<Ch>[:SEQuence]:HOLDoff:MODE

TRIGger<Ch>[:SEQuence]:HOLDoff:MODE PALL | PSPecific

Qualifies whether the trigger delay is valid for all physical ports (including external generator) or source port-specific. This setting is available if the triggered measurement sequence is a partial measurement (TRIGger<Ch>[:SEQuence]:LINK 'PPOint').

<Ch> | Channel number
Parameters | PALL – Same trigger delay at all ports (TRIGger<Ch>[:SEQuence]:HOLDoff) PSPecific – Port-specific trigger delay defined via TRIGger<Ch>[:SEQuence]:HOLDoff:PORT<Pt> (for physical analyzer ports) or TRIGger<Ch>[:SEQuence]:HOLDoff:GENerator<Gen> (for external generators).
*RST value | PALL
SCPI, Command Types | Device-specific, command or query
Example: | TRIG:LINK 'PPOint' Select partial measurement as triggered measurement sequence. TRIG:HOLD:MODE PSP Select port-specific trigger delay. SYST:COMM:RDEV:GEN1:DEF 'Ext. Gen. 1', 'SME02', 'gpib0', '21' Configure an R&S SME02 generator as external generator no. 1. TRIG:HOLD:PORT1 0.001; PORT2 0.002; GEN1 0.003 Define port-specific trigger delays at the analyzer ports 1 and 2 and at the external generator port 1.

TRIGger<Ch>[:SEQuence]:HOLDoff:PORT<Pt> <delay>

Defines the trigger delay for a physical analyzer port <Pt>. The setting takes effect when a port-specific trigger delay is selected (TRIGger<Ch>[:SEQuence]:HOLDoff:MODE PSPecific).

<Ch> | Channel number
<Pt> | Analyzer port number
<delay> | Delay time.
Range [def. unit] | 0 s to 13680 s [s]. UP and DOWN increment/decrement the trigger delay in 10 ms steps.
*RST value | 0 s
SCPI, Command Types | Device-specific, command or query
Example: | See TRIGger<Ch>[:SEQuence]:HOLDoff:MODE

TRIGger<Ch>[:SEQuence]:LINK
'POINt' | 'SWEep' | 'PPOint' | 'SEGMent'

Selects the Triggered Meas. Sequence. The identifier for the sequence is a string variable.

<Ch> | Channel number
'SWEep' | | Trigger event starts an entire sweep.
'SEGMent' | | Trigger event starts a sweep segment, if segmented frequency sweep is active (see example below). If another sweep type is active, the trigger event starts an entire sweep.
'POINt' | | Trigger event starts measurement at the next sweep point.
'PPOint' | Trigger event starts the next partial measurement at the current or at the next sweep point.
*RST value | 'SWEep'
SCPI, Command Types | Confirmed, command or query. The query returns the complete string; see example below.
Example: | SEGM:ADD; :SWE:TYPE SEGM Select segmented frequency sweep. TRIG:LINK 'SEGM' Select a trigger segment as triggered measurement sequence. TRIG:LINK? Query the triggered measurement sequence. The response is 'SEGMENT'.

TRIGger<Ch>[:SEQuence]:PULSe
REPulse | FEPulse | RESYnc | FESYnc

Selects the trigger source for pulsed measurements (option R&S ZVA-K27) using an Extension Unit R&S ZVAXxx equipped with a Pulse Modulator option (R&S ZVAX-B71 or Z&S ZVAX-B73).

<Ch> | Channel number
REPulse | | Rising edge of (external) pulse signal (generator 1)
FEPulse | | Falling edge of pulse signal
RESYnc | | Rising edge of (internal) sync signal (generator 2)
FESYnc | Falling edge of sync signal
*RST value | REPulse
SCPI, Command Types | Device-specific, command or query.
Example: | TRIG:PULS REP Trigger pulsed measurement by rising edge of external pulse signal

TRIGger<Ch>[:SEQuence]:SLOPe
POSitive | NEGative

Qualifies whether the trigger event occurs on the rising or on the falling edge of the external TTL trigger signal.

<Ch> | Channel number
POSitive | | Rising edge.
NEGative | Falling edge.
*RST value | POSitive
SCPI, Command Types | Confirmed, command or query
Example: | TRIG:SOUR EXT Activate external signal as trigger source. TRIG:SLOP NEG Trigger on the negative edge of the (external TTL) trigger signal.

TRIGger<Ch>[:SEQuence]:SOURce
IMMediate | EXTernal | TIMer | MANual | PGENerator

Selects the source for the events that the analyzer uses to start a measurement sequence.

<Ch> | Channel number
IMMediate | Free run measurement (untriggered)
EXTernal | Trigger by external signal applied to the EXT TRIGGER or pin 2 of USER CONTROL connector on the rear panel.
TIMer | Periodic internal trigger signal. The period of the timer is specified by the TRIGger[:SEQuence]:TIMer command.
MANual | Trigger event generated by pressing the Manual Trigger softkey.
PGENerator | Trigger event generated the pulse generator (with option R&S ZVA-K27), depending on the TRIGger<Ch>[:SEQuence]:PULSe settings.
*RST value | IMMediate
SCPI, Command Types | Confirmed, command or query.
Example: | TRIG:SOUR MAN Activate manual trigger mode. The analyzer starts the next sweep when the Manual Trigger softkey is pressed.

TRIGger<Ch>[:SEQuence]:TIMer <numeric_value>

Sets the period of the internal periodic signal that can be used as a trigger source (TRIGger<Ch>[:SEQuence]:SOURce TIMer).

<Ch> | Channel number
<numeric_value> | Timer period
Range [def. unit] | 1E-005 s to 13680 s [s]. UP and DOWN increment/decrement the timer period in 10 ms steps.
*RST value | 1 s
SCPI, Command Types | Confirmed, command or query
Example: | TRIG:SOUR TIM Activate internal timer as trigger source. TRIG:TIM 0.1 Set a timer period of 100 ms.


About Program Examples

Programming Examples

This chapter contains detailed programming examples on the following subjects:

Typical Stages of a Remote Control Program

Traces, Channels and Diagram Areas

Calibration, Operations on Traces and other issues; see section Condensed Programming Examples

The syntax and use of all SCPI commands is described in the SCPI Reference chapter, where you will also find additional examples. For a general introduction to remote control of the analyzer refer to chapter Remote Control. For an overview of special remote control features of the network analyzers refer to section NWA Remote Control Features.


The measurement speed depends on the sweep time but also on an efficient preparation of the instrument and on proper command synchronization. The following items should be kept in mind:

  • For maximum speed the basic channel settings should be set while the sweep is stopped and with a minimum of sweep points. It is advisable to increase the number of points after all instrument settings have been performed, and to initiate the sweep after the test setup has been completed.

  • Execution of the INITiate[:IMMediate] command is fastest in synchronized mode. Insertion of fixed waiting periods into the command sequence is possible but generally less efficient.

  • The sweep time depends on several parameters discussed in section Optimizing the Measurement Speed. In particular it is recommended to select the best set of sweep points, e.g. using the segmented sweep.

Typical Stages of a Remote Control Program

A typical remote control program comprises the following stages:

1. Performing the basic instrument settings

2. Adjusting the test setup

3. Initiating the measurement, command synchronization

4 . Retrieving the measurement results

Very often, steps 3 and 4 (or steps 2 to 4) must be repeated several times.

All example programs in this section have been developed and tested by means of the GPIB Explorer provided with the network analyzer. No extra programming environment is needed.

Basic Instrument Settings

Programming task: Adjust the basic network analyzer settings to your measurement tasks, optimizing the instrument for fast measurements.

Considerations for high measurement speed

// Reset the instrument, switch off the measurement (after one sweep),

// reduce the number of sweep points.

*RST

INITiate1:CONTinuous OFF

SENSe1:SWEep:POINts 2

//

// Avoid a delay time between different partial measurements and before the start of the sweeps (is default setting).

SENSe1:SWEep:TIME:AUTO ON

TRIGger1:SEQuence:SOURce IMMediate

//

// Select the widest bandwidth compatible with your measurement.

SENSe1:BANDwidth:RESolution 10

//

// Adjust your sweep points to your measurement task, e.g. using a segmented sweep.

SENSe1:SEGMent...

Adjusting the Test Setup

In general the preparatives described above can be used for a series of measurements. In-between the measurements it is often necessary to change the test setup, e.g. in order to replace the DUT, change the connected ports, connect external devices etc.

Start of the Measurement and Command Synchronization

Programming task: Start a measurement in single sweep mode. Wait until all single sweep data has been acquired before you proceed to the next stage of the measurement.

INITiate<Ch>[:IMMediate] is used to start a single sweep or a group of single sweeps. This command has been implemented for overlapped execution. The advantage of overlapped commands is that they allow the program to do other tasks while being executed.

In the present example the sweep must be completed before measurement results can be retrieved. To prevent wrong results (e.g. a mix-up of results from consecutive sweeps) the controller must synchronize its operation to the execution of INITiate<Ch>[:IMMediate]. IEEE 488.2 defines three common commands (*WAI, *OPC?, *OPC) for synchronization.

//

// 1. Start single sweep, use *WAI

// *WAI is the easiest method of synchronization. It has no effect when sent after sequential commands.

// If *WAI follows INITiate<Ch>[:IMMediate] (overlapped command),

// the analyzer executes no further commands or queries until the sweep is terminated.

// *WAI does prevent the controller from sending other commands to the analyzer or other devices

// on the GPIB bus

INITiate1:SCOPe SINGle // Single sweep will be started in the referenced channel only

INITiate1:IMMediate; *WAI // Start single sweep in channel no. 1, wait until the end of the sweep

<Continue program sequence>

//

// 2. Start single sweep, use *OPC?

// If *OPC follows INITiate<Ch>[:IMMediate], it places a 1 into the output queue when the sweep is terminated.

// An appropriate condition in the remote control program must cause the controller to wait until *OPC? returns one.

// The controller is stopped from the moment when the condition is set.

INITiate1:IMMediate; *OPC? // Start single sweep in channel no. 1, indicate the end of the sweep by a 1 in the output queue.

// So far the controller may still send messages to other devices on the GPIB bus.

<Condition OPC=1> // Stop the controller until *OPC? returns one (program syntax depends on your programming environment).

<Continue program sequence>

//

// 3. Start single sweep, use *OPC

// If *OPC follows INITiate<Ch>[:IMMediate], it sets the OPC bit in the ESR after the sweep is terminated.

// This event can be polled or used to trigger a service request of the analyzer.

// The advantage of *OPC synchronization is that both the controller and the analyzer can continue

// processing commands while the sweep is in progress.

*SRE 32 // Enable a service request for the ESR

*ESE 1 // Set event enable bit for operation complete bit

INITiate1::IMMediate; *OPC // Start single sweep in channel no. 1, set the OPC bit in the ESR after the sweep is terminated.

// The controller may still send messages, the analyzer continues to parse and execute commands.

<Wait for service request> // Controller waits for service request from the analyzer (program syntax depends on your programming environment).

<Continue program sequence>

Retrieving Measurement Results

Programming task: Read the results acquired in a single sweep.

//

// 1. Read single values (-> Markers)

// Markers are the most convenient tool for determining and retrieving single values on traces.

// The analyzer provides up to ten markers; see Markers and Limit Lines.

//

// 2. Read complete trace

// Select a trace format and read formatted trace data.

CALCulate1:FORMat MLINear // Calculate the linear magnitude of z

CALCulate1:DATA? FDATa // Read the formatted trace data

//

Use CALCulate<Chn>:DATA:NSWeep:FIRSt? to retrieve a particular trace within a group of sweeps.


Creating Traces and Channels

The following command sequence illustrates the structure of the remote commands discussed in section Basic Remote Control Concepts. In particular it shows that:

  • A trace can be created and handled without being displayed.

  • Traces are referenced by trace names. The active trace of a channel is often referenced by the channel suffix.

  • Diagram areas are referenced by a window suffix <Wnd>. An additional suffix <WndTr> in the DISPlay:WINDow<Wnd>:TRACe<WndTr>... commands numbers the different traces in a diagram area.

  • In remote control, it is possible to display the same trace in several diagram areas.

  • The analyzer provides several commands allowing a smooth transition between remote and manual control.

// Go to local

SYSTem:DISPlay:UPDate ONCE

// Go to local

SYSTem:DISPlay:UPDate ONCE

// Go to local

SYSTem:DISPlay:UPDate ONCE

// The trace manager gives an overview of the current channel/trace configuration

DISPlay:MENU:KEY:EXECute 'Trace Manager'

The following command sequence illustrates the structure of the remote commands discussed in section Basic Remote Control Concepts. In particular it shows that:

  • Channels are always referenced by a channel suffix.

  • Traces are referenced by trace names. The active trace of a channel is often referenced by the channel suffix.

  • Diagram areas are referenced by a window suffix <Wnd>. An additional suffix <WndTr> in the DISPlay:WINDow<Wnd>:TRACe<WndTr>... commands numbers the different traces in a diagram area.

  • The analyzer provides several commands allowing a smooth transition between remote and manual control.

// The trace manager gives an overview of the current channel/trace configuration

DISPlay:MENU:KEY:EXECute 'Trace Manager'

// Go to local

SYSTem:DISPlay:UPDate ONCE

// Go to local

SYSTem:DISPlay:UPDate ONCE

The following command sequence illustrates the structure of the remote commands discussed in section Basic Remote Control Concepts. In particular it shows that:

  • Traces are referenced by trace names. The active trace of a channel is often referenced by the channel suffix. This simplifies the program syntax, e.g. in the commands for marker settings and for the limit check.

  • Diagram areas are referenced by a window suffix <Wnd>. An additional suffix <WndTr> in the DISPlay:WINDow<Wnd>:TRACe<WndTr>... commands numbers the different traces in a diagram area.

  • The analyzer provides several commands allowing a smooth transition between remote and manual control.

// Go to local

SYSTem:DISPlay:UPDate ONCE

// Go to local

SYSTem:DISPlay:UPDate ONCE

// Go to local

SYSTem:DISPlay:UPDate ONCE

// The Define Limit Line dialog gives an overview of the limit line segments of the active trace.

DISPlay:MENU:KEY:EXECute 'Define Limit Line'

Handling of Channels, Traces and Diagram Areas

The following examples show you how to perform basic tasks related to channel and trace definition and to the display of traces in diagram areas.

Creating several traces with equal channel settings

Creating traces with different channel settings

Defining markers and limit lines

All example programs in this section have been developed and tested by means of the GPIB Explorer provided with the network analyzer. No extra programming environment is needed.

Several Traces with Equal Channel Settings

Programming task: Create up to four different traces with equal channel settings, assign the four 2-port standard S-parameters to the traces and display them in up to four diagram areas.

Important remote control features for this program example

//

// 1. One channel, two traces, one diagram area

// Reset the instrument, creating the default trace Trc1 in channel 1.

// The default measured quantity is the forward transmission S-parameter S21.

// The default format is dB Mag.

*RST

//

// Create a second trace in channel 1, assign the format Phase,
// and display the new trace in the same diagram area.

CALCulate1:PARameter:SDEFine 'Trc2', 'S21' // the trace becomes the active trace but is not displayed

CALCulate1:FORMat PHASe // the trace is referenced by the channel suffix 1

DISPlay:WINDow1:TRACe2:FEED 'Trc2' // display the second trace, numbering it the second trace in diagram area no. 1

//

// [image] Check the result on the local screen

//

//

// 2. One channel, two traces, two diagram areas

// Create a second diagram area, assign Trc2 to the new area, and remove it from the first area.

DISPlay:WINDow2:STATe ON

DISPlay:WINDow2:TRACe2:FEED 'Trc2' // Trc2 is now displayed in both diagram areas

DISPlay:WINDow1:TRACe2:DELete

//

// [image] Check the result on the local screen

//

//

// 3. One channel, four traces, four diagram areas

// Reset the instrument, add diagram areas no. 2, 3, 4.

*RST; :DISPlay:WINDow2:STATe ON

DISPlay:WINDow3:STATe ON

DISPlay:WINDow4:STATe ON

//

// Assign the reflection parameter S11 to the default trace.

:CALCulate1:PARameter:MEASure 'Trc1', 'S11'

//

// Assign the remaining S-parameters to new traces Trc2, Trc3, Tr4;

// select the Smith chart format for the reflection parameters.

CALCulate1:FORMat SMITh // Smith chart for the active trace Trc1

CALCulate1:PARameter:SDEFine 'Trc2', 'S21'

CALCulate1:PARameter:SDEFine 'Trc3', 'S12'

CALCulate1:PARameter:SDEFine 'Trc4', 'S22'

CALCulate1:FORMat SMITh // Smith chart for the active trace Trc4, referenced by the channel number

//

// Display the new traces in diagram areas no. 2 to 4.

DISPlay:WINDow2:TRACe2:FEED 'Trc2'

DISPlay:WINDow3:TRACe3:FEED 'Trc3'

DISPlay:WINDow4:TRACe4:FEED 'Trc4'

//

// [image] Check the result on the local screen

//

// [image] Check the result in the trace manager

Several Traces with Different Channel Settings...

Programming task: Create three channels with 3, 1 and 2 traces, respectively, and display the traces in two diagram areas.

Important remote control features for this program example

//

// 1. Create all channels and traces

// Reset the instrument, creating the default trace Trc1 in channel 1.

// The default measured quantity is the forward transmission S-parameter S21.

// The default format is dB Mag.

*RST

//

// Create two more traces in channel 1, assigning a trace name and a measured quantity

// to each of them. Choose descriptive trace names (instead of the short default names used above).

CALCulate1:PARameter:SDEFine 'Impedance_trace', 'Z-S21' // the trace becomes the active trace for channel 1 but is not displayed

CALCulate1:PARameter:SDEFine 'Admittance_trace', 'Y-S21' // the trace becomes the active trace for channel 1

//

// Create channel 2 with one new trace, channel 3 with two new traces.

CALCulate2:PARameter:SDEFine 'Ratio_trace', 'B1/B2'

CALCulate3:PARameter:SDEFine 'Z_trace', 'Z21'

CALCulate3:PARameter:SDEFine 'Y_trace', 'Y21'

CALCulate3:PARameter:SELect 'Z_trace' // the trace created previously becomes the active trace for channel 3

// So far, only the default trace is displayed.

//

// [image] Check the result in the trace manager

//

// [image] Check the result on the local screen

//

//

// 2. Create second diagram area and display traces

DISPlay:WINDow2:STATe ON

DISPlay:WINDow1:TRACe2:FEED 'Admittance_trace'

DISPlay:WINDow1:TRACe3:FEED 'Y_trace'

DISPlay:WINDow2:TRACe1:FEED 'Impedance_trace'

DISPlay:WINDow2:TRACe2:FEED 'Ratio_trace'

DISPlay:WINDow2:TRACe3:FEED 'Z_trace'

//

// [image] Check the result on the local screen

//

//

// 3. Check and modify your configuration

// Query the traces in channel 1.

CALCulate1:PARameter:CATalog?

// The response is 'Trc1,S21,Impedance_trace,Z-S21,Admittance_trace,Y-S21'

//

// Query the reference level for the 'Z_trace'.

// The trace is referenced by its number in diagram area no. 2.

DISPlay:WINDow2:TRACe3:Y:RLEVel?

//

// Change the display format for the 'Z_trace'. The trace is the active trace in channel 3,
// so it is referenced by the channel suffix 3.

CALCulate3:FORMat PHASe

Markers and Limit Lines...

Programming task: Display two traces in a single diagram ares, use markers to read results, and perform a limit check.

Important remote control features for this program example

//

//

// 1. Create one channel, two traces, one diagram area

// Reset the instrument, creating the default trace Trc1 in channel 1.

// The default measured quantity is the forward transmission S-parameter S21.

// The default format is dB Mag.

*RST

//

// Create a second trace in channel 1, assign the format Phase,
// and display the new trace in the same diagram area.

CALCulate1:PARameter:SDEFine 'Trc2', 'S21' // the trace becomes the active trace but is not displayed

CALCulate1:FORMat PHASe // the trace is referenced by the channel suffix 1

DISPlay:WINDow1:TRACe2:FEED 'Trc2' // display the second trace, numbering it the second trace in diagram area no. 1

//

// [image] Check the result on the local screen

//

//

// 2. Marker settings

// Adjust the sweep range to consider an interesting segment of the trace and re-scale the diagram.

SENSe1:FREQuency:STARt 4.5 GHz; STOP 5.5 GHz

DISPlay:WINDow1:TRACe1:Y:SCALe:AUTO ONCE // in the autoscale command the trace is referenced by its number in the diagram

//

// Select trace Trc1 as the active trace of the channel, define a reference marker and a delta marker.

// In the marker commands the active trace is referenced by the channel suffix.

CALCulate1:PARameter:SELect 'Trc1'

CALCulate1:MARKer1:STATe ON // the marker is set to the center of the sweep range

CALCulate1:MARKer1:DELTa:STATe ON // this command also creates the reference marker

CALCulate1:MARKer1:REFerence:X 4.5 GHz // set the reference marker to the beginning of the sweep range

//

// Use the delta marker to search for the minimum of the trace and query the result.

CALCulate1:MARKer1:FUNCtion:EXECute MIN; RES? // the query returns the stimulus and the response value at the marker position

//

// [image] Check the result on the local screen

//

Use the CALCulate<Chn>:DATA... commands to retrieve the complete trace; see Retrieving Measurement Results.

//

//

// 2. Limit lines and limit check

// Remove all markers and define a limit line for the active trace.

CALCulate1:MARKer1:AOFF

CALCulate1:LIMit:DATA 1, 4500000000, 5500000000, -5, -5 // define an upper limit line across the entire sweep range

CALCulate1:LIMit:DATA 2, 4500000000, 5000000000, -10, -15

CALCulate1:LIMit:DATA 2, 5000000000, 5500000000, -15, -10 // define two segments for the lower limit line

//

// Display the limit line and perform the limit check.

CALCulate1:LIMit:DISPlay:STATe ON

CALCulate1:LIMit:STATe ON; FAIL? // if the trace is failed; the response is 1.

//

// [image] Check the result on the local screen

//

// [image] Check the result in the Define Limit Line dialog


Condensed Program Examples

Condensed Programming Examples

This section contains short program examples for select issues. The comments have been commented in concise style; for more detailed information on the commands refer to the SCPI Reference chapter.

If the example you are looking for is not in this section, we suggest you to refer to the short command sequences in the reference chapter. Proceed as follows:

1. Find your subject in the help system, preferably using context-sensitivity (of the help system on your network analyzer) or the index:

2. Activate the link to the command description:

3. A short example appears at the end of each command description:

The command SYSTEM:DISPLAY:UPDATE ON precedes some of the command scripts so that you can watch the progress of the script on the screen. For maximum performance, simply omit this command.


Channel Trace Window

Assigning Channels, Traces, and Diagram Areas

The following example is a short version of section Creating Traces and Channels.

// Reset the analyzer

*RST

:SYSTEM:DISPLAY:UPDATE ON

// Create a new trace for S21 with the name TrcDisp

:CALCULATE1:PARAMETER:SDEFINE "TrcDisp","S21"

// Display the trace in the display area 1

:DISPLAY:WINDOW1:TRACE9:FEED 'TrcDisp'

:DISPLAY:WINDOW1:TRACE9:DELETE

// List the traces, assigned to a certain Channel

// format "<trace name>,<meas param>[,<trace name>,<meas param>...]"

:CALCULATE1:PARAMETER:CATALOG?

// Channel 4 does not exist, a new channel and trace is created

:CALCULATE4:PARAMETER:SDEFINE "Ch4Trc2","S22"

:CALCULATE4:PARAMETER:SDEFINE "Ch4Trc3","S33"

:CALCULATE4:PARAMETER:CATALOG?

// Select active traces for channel 4

:CALCULATE4:PARAMETER:SELECT "Ch4Trc2"

:CALCULATE4:PARAMETER:SELECT?

//:CALCULATE4:FORMAT POLAR

:CALCULATE4:PARAMETER:SELECT "Ch4Trc3"

//:CALCULATE4:FORMAT DB_LIN

:CALCULATE4:PARAMETER:SELECT?

:CALCULATE4:PARAMETER:SELECT "Ch4Trc2"

:CALCULATE4:FORMAT?

:CALCULATE4:PARAMETER:SELECT "Ch4Trc3"

:CALCULATE4:FORMAT?

// Create trace

:CALCULATE1:PARAMETER:SDEFINE "Trc2","S21"

:CALCULATE1:PARAMETER:SDEFINE "Trc3","S31"

:CALCULATE1:PARAMETER:CATALOG?

// Delete trace

:CALCULATE1:PARAMETER:DELETE "Trc2"

:CALCULATE1:PARAMETER:CATALOG?

// Assign a trace to a window = diagram, diagram 1 always exists

:DISPLAY:WINDOW1:TRACE2:FEED 'TrcDisp'

// Create diagram 2

:DISPLAY:WINDOW2:STATE?

:DISPLAY:WINDOW2:STATE ON

:DISPLAY:WINDOW2:STATE?

:DISPLAY:WINDOW2:TRACE6:FEED 'Ch4Trc2'

:DISPLAY:WINDOW2:TRACE2:FEED 'Trc1'

:DISPLAY:WINDOW2:TRACE3:FEED 'Ch4Trc3'

// Create traces: trace names are not case sensitive

:CALCULATE4:PARAMETER:SELECT "Ch4Trc2"

:CALCULATE4:PARAMETER:SELECT?

:CALCULATE4:PARAMETER:SELECT "CH4TRC3"

:CALCULATE4:PARAMETER:SELECT?

:CALCULATE4:PARAMETER:SELECT "ch4trc2"

:CALCULATE4:PARAMETER:SELECT?


S-Parameter Export

Exporting S-Parameters

The following example is a short version of section Creating Traces and Channels.

// Reset the analyzer

*RST

:SYSTEM:DISPLAY:UPDATE ON

// Select current directory

:MMEMory:CDIRectory 'C:\Rohde&Schwarz\Nwa\Traces'

// The calibration defines which S-Parameters are allowed to be exported to a Touchstone file.

// In this example create default calibration to make all S-Parameters available

:SENSe1:CORRection:COLLect:METHod:DEFine 'Test', TOSM, 1, 2, 3, 4

:SENSe1:CORRection:COLLect:SAVE:SELected:DEFault

// Initiate a complete sweep

:INITiate1:CONTinuous OFF; :INITiate:IMMediate;*WAI

:MMEMory:STORe:TRACe:PORTs 1, 'ParserTouchstonePorts.s1p', COMPlex, 2

:MMEMory:STORe:TRACe:PORTs 1, 'ParserTouchstonePorts.s2p', COMPlex, 3, 2

:MMEMory:STORe:TRACe:PORTs 1, 'ParserTouchstonePorts.s4p', COMPlex, 1, 4, 3, 2

:MMEMory:CDIRectory DEFault


Path Independent RC Programs

The default directory for R&S ZVA user data is C:\Rohde&Schwarz\Nwa. Other instruments may use different default directories. To make remote control programs compatible, it is recommended to define all paths relative to the default directory, to be set via MMEMory:CDIRectory DEFault.

// Select default directory, change to sub-directory (relative to default directory)

MMEMory:CDIRectory DEFault

MMEMory:CDIRectory 'Traces'

MMEMory:STORe:TRACe 'Trc1', 'S21.s1p'

MMEMory:LOAD:TRACe 'Trc1', 'S21.s1p'

// Alternative, more compact definition

MMEMory:CDIRectory DEFault

MMEMory:STORe:TRACe 'Trc1', 'Traces\S21.s1p'

You may also read the default path (MMEMory:CDIRectory?) and use the external RC program to build the complete paths.


Noise Figure Measurement (Programming)

Noise Figure Measurement

The following example shows how to calibrate and perform a noise figure measurement.

// Reset the analyzer

*RST

:SYSTEM:DISPLAY:UPDATE ON

// Reduce number of sweep points for slow measurement

:SENSe1:SWEep:POINts 11

// Configure measurement (dialog "Define Noise Figure Measurement")

:SENSe1:SWEep:DETector:TIME 40 ms

:SENSe1:NFIGure:SEQuential OFF // simultaneous

// Configure meas. and noise figure calibration (dialog "Noise Figure Calibration")

:SENSe1:BANDwidth:RESolution 5 MHz

:SENSe1:BANDwidth:RESolution:SELect HIGH

:SENSe1:POWer:IFGain2:MEASure LNOise

//:SENSe1:POWer:IFGain1:REFerence LDIStortion

// Perform noise figure measurement (uncalibrated)

:SENSe1:CORRection:NFIGure? %0

:CALCulate1:PARameter:MEASure 'Trc1', 'NF21'

:CALCulate1:PARameter:MEASure? 'Trc1' %'NF21'

// Noise figure calibration without external attenuator

:SENSe1:CORRection:COLLect:NFIGure:STARt 2, 1, OFF, 10, 20

:SENSe1:CORRection:COLLect:NFIGure:ACQuire RECeiver

:SENSe1:CORRection:COLLect:NFIGure SOURce

:SENSe1:CORRection:COLLect:NFIGure ATTenuator

:SENSe1:CORRection:COLLect:NFIGure:SAVE

// Note: The previous SAVE command switches the correction ON !

:SENSe1:CORRection:NFIGure? %1

:SENSe1:CORRection:NFIGure OFF

:SENSe1:CORRection:NFIGure ON

// Noise figure calibration with external attenuator

:SENSe1:CORRection:COLLect:NFIGure:STARt 1, 2, ON, 30, 30

:SENSe1:CORRection:COLLect:NFIGure:ACQuire RECeiver

:SENSe1:CORRection:COLLect:NFIGure SOURce

:SENSe1:CORRection:COLLect:NFIGure ATTenuator

:SENSe1:CORRection:COLLect:NFIGure:SAVE

// Noise figure without ext. attenuator --> The third (unnecessary) cal. step fails

:SENSe1:CORRection:COLLect:NFIGure:STARt 1, 2, OFF, 30, 30

:SENSe1:CORRection:COLLect:NFIGure:ACQuire RECeiver

:SENSe1:CORRection:COLLect:NFIGure SOURce

:SENSe1:CORRection:COLLect:NFIGure ATTenuator |-200

:SENSe1:CORRection:COLLect:NFIGure:SAVE

// If a ...:STARt command sequence is not terminated by a ...:SAVE,

// an ...:END command has to be used (to enable measurement sweeps)

:SENSe1:CORRection:COLLect:NFIGure:STARt 1, 2, OFF, 0, 0

:SENSe1:CORRection:COLLect:NFIGure:ACQuire RECeiver

// calibration has not been finished !!!

:SENSe:CORRection:COLLect:NFIGure:END

// Adjust channel settings to previous noise figure calibration

:CALCulate1:PARameter:NFIGure:CSETtings 'Trc1'

:CALCulate1:PARameter:MEASure 'Trc1', 'NF21'


Memory Traces

The following example shows how to work with memory traces.

// Reset the analyzer

*RST

:SYSTEM:DISPLAY:UPDATE ON

:SENSE1:SWEEP:POINTS 20

// Create memory trace of the "active" trace (active for the parser !)

// the name of the created memory trace is "Mem2[Trc1]"

:TRACE:COPY MDATA2,CH1DATA

:SENSE1:FUNCTION:ON 'XFREQUENCY:POWER:S11'

:CALCULATE1:PARAMETER:CATALOG?

// Assign the memory trace to a window = diagram, diagram 1 always exists

:DISPLAY:WINDOW1:TRACE2:FEED 'Mem2[Trc1]'

// Create further memory traces and assign them to a window

:TRACE:COPY 'Mem3x[Trc1]',CH1DATA // mixed parameters String, Char

:DISPLAY:WINDOW1:TRACE3:FEED 'Mem3x[Trc1]'

:TRACE:COPY MDATA4,CH1DATA

:DISPLAY:WINDOW1:TRACE4:FEED 'Mem4[Trc1]'

// Create new normal trace on channel 1, assign it to a window

:CALCULATE1:PARAMETER:SDEFINE "Trc2","S22"

:DISPLAY:WINDOW1:TRACE5:FEED 'Trc2'

:CALCULATE1:PARAMETER:SELECT 'Trc2' // now active for channel 1

:CALCULATE1:PARAMETER:SELECT?

:CALCULATE1:PARAMETER:CATALOG?

// Create memory trace for 'Trc2',
// the memory trace can be assigned to the diagram of the mother trace only (diagram 1)

:TRACE:COPY MDATA6,CH1DATA

:DISPLAY:WINDOW1:TRACE6:FEED 'Mem6[Trc2]'

// Create new diagram 2 and new channel and trace

:DISPLAY:WINDOW2:STATE ON

:CALCULATE2:PARAMETER:SDEFINE "Ch2Trc1","S22"

:CALCULATE2:PARAMETER:SELECT 'Ch2Trc1' // now active for channel 2

:SENSE1:SWEEP:POINTS 21

:TRACE:COPY MDATA1,CH2DATA

:DISPLAY:WINDOW2:TRACE7:FEED 'Mem1[Ch2Trc1]'

:TRACE:DATA:STIMULUS? CH1DATA

:TRACE:DATA:RESPONSE? MDATA6

// Create new channel 3 and new trace

:CALCULATE3:PARAMETER:SDEFINE "Ch3Trc1","S21"

:CALCULATE3:PARAMETER:SELECT 'Ch3Trc1' // now active for channel 3

:CALCULATE3:PARAMETER:SELECT? %'Ch3Trc1'

:SENSE1:SWEEP:POINTS 22

:TRACE:COPY MDATA8,CH3DATA

:TRACE:COPY MDATA7,CH3DATA

:DISPLAY:WINDOW2:TRACE1:FEED 'Mem8[Ch3Trc1]'

:TRACE:DATA:RESPONSE? MDATA7 // assigned to no diagram

//

// Copy with arbitrary trace names, no blanks in trace names !!!

:TRACE:COPY 'Trace_Name','Ch3Trc1'

:DISPLAY:WINDOW2:TRACE2:FEED 'Trace_Name'

:CALCULATE3:PARAMETER:SELECT 'Trace_Name'

:CALCULATE3:PARAMETER:SELECT?

:TRACE:COPY 'XYZ','Ch2Trc1'

:DISPLAY:WINDOW2:TRACE3:FEED 'XYZ'

:CALCULATE2:PARAMETER:SELECT 'XYZ'

:CALCULATE2:PARAMETER:SELECT?

:TRACE:COPY MDATA4 ,'Ch3Trc1' // mixed parameters Char, String

:DISPLAY:WINDOW2:TRACE4:FEED 'Mem4[Ch3Trc1]'

// Copy to existing memory traces = update trace data

:TRACE:COPY MDATA6,CH1DATA

:TRACE:COPY 'XYZ','Ch2Trc1'

:CALCULATE1:PARAMETER:CATALOG?

:CALCULATE2:PARAMETER:CATALOG?

:CALCULATE3:PARAMETER:CATALOG?


Using Markers

The following example shows you how to define markers and use them to read trace values.

// Reset the analyzer

*RST

:SYSTEM:DISPLAY:UPDATE ON

// Initiate a single sweep

:INITiate1:CONTinuous OFF

:INITiate1:IMMediate;*WAI

// The following marker commands have the channel no. as a numeric suffix.

// The parameter belongs to a trace, the assignment channel -> trace

// is done via a "active" trace for each channel

:CALCULATE1:PARAMETER:SELECT 'Trc1'

// Marker ON / OFF

:CALCULATE1:MARKER1 ON

:CALCULATE1:MARKER1:STATE?

//

// Coupled Markers

// All markers belonging to channels with the same sweep type

// (FREQUENCY, TIME, POWER, CW FREQUENCY) are coupled/decoupled

:CALCULATE1:MARKER:COUPLED ON

// Marker Continous / Discrete

:CALCULATE1:MARKER1:MODE CONTINUOUS

//

// Normal / Delta / Reference / Fixed Marker

:CALCULATE1:MARKER:AOFF // all markers off

:CALCULATE1:MARKER1 ON

:CALCULATE1:MARKER1:X 1GHZ

:CALCULATE1:MARKER2 ON

:CALCULATE1:MARKER2:X 2GHZ

:CALCULATE1:MARKER3 ON

:CALCULATE1:MARKER3:X 3GHZ

:CALCULATE1:MARKER4:DELTA:STATE ON

:CALCULATE1:MARKER:REFERENCE ON

:CALCULATE1:MARKER:REFERENCE:X 5GHZ

:CALCULATE1:MARKER1:TYPE FIXED

// Query marker response values

:CALCULATE1:FORMAT MLINEAR

:CALCULATE1:MARKER1 ON

:CALCULATE1:MARKER1:X DEF

:CALCULATE1:MARKER1:FORMAT MLINEAR // DataBase EMarkerFormat::LIN_MAG

:CALCULATE1:MARKER1:Y?

:CALCULATE1:MARKER1:FORMAT MLOGARITHMIC // ..... DB_MAG

:CALCULATE1:MARKER1:Y?

Marker Search Functions

The following example shows how to search for particular measurement points using markers.

// Reset the analyzer

*RST

:DISPlay:WINDow1:TITLe:DATA 'Max Hold Function Emulation'

// Define marker and stimulus range

:CALCULATE1:MARKER1 ON

:SENSE1:FREQUENCY:START 1GHZ

:SENSE1:FREQUENCY:STOP 2GHZ

// Do the marker search in the format DB Magnitude

:CALCULATE1:FORMAT MLOGARITHMIC

//

// Define marker search ranges (stimulus range of the marker search)

// Range 0 is always the stimulus range of the trace (can't be changed)

:CALCULATE1:MARKER1:FUNCTION:DOMAIN:USER 0

:CALCulate1:MARKer1:FUNCtion:DOMain:USER:START?

:CALCulate1:MARKer1:FUNCtion:DOMain:USER:STOP?

// Range 1 (within the stimulus range)

:CALCULATE1:MARKER1:FUNCTION:DOMAIN:USER 1

:CALCulate1:MARKer1:FUNCtion:DOMain:USER:START 1.2GHZ

:CALCulate1:MARKer1:FUNCtion:DOMain:USER:STOP 1.8GHZ

// Range 2 (includes the stimulus range)

:CALCULATE1:MARKER1:FUNCTION:DOMAIN:USER 2

:CALCulate1:MARKer1:FUNCtion:DOMain:USER:START 0.8GHZ

:CALCulate1:MARKer1:FUNCtion:DOMain:USER:STOP 2.2GHZ

// Use range 0 (stimulus range of the trace)

:CALCULATE1:MARKER1:FUNCTION:DOMAIN:USER 0

//

// Select linear magnitude scale for diagram

:CALCULATE1:FORMAT MLINEAR

// Search for global minimum and maximum (MIN, MAX)

// (initial marker value may be inside or outside the marker search range)

:CALCULATE1:MARKER1:X 1.5GHZ

:CALCULATE1:MARKER:MIN

:CALCULATE1:MARKER1:X?

:CALCULATE1:MARKER1:X 1.5GHZ

:CALCULATE1:MARKER:MAX

:CALCULATE1:MARKER1:X?

//

// Minimum peak search functions

:CALCULATE1:MARKER1:FUNCTION:SELECT MINIMUM

:CALCULATE1:MARKER1:FUNCTION:SELECT?

// NEXT PEAK

:CALCULATE1:MARKER1:X 1.5GHZ

:CALCULATE1:MARKER:SEARCH:NEXT

:CALCULATE1:MARKER1:X?

// PEAK RIGHT

:CALCULATE1:MARKER1:X 1.5GHZ

:CALCULATE1:MARKER:SEARCH:RIGHT

:CALCULATE1:MARKER1:X?

// PEAK LEFT

:CALCULATE1:MARKER1:X 1.5GHZ

:CALCULATE1:MARKER:SEARCH:LEFT

:CALCULATE1:MARKER1:X?

//

// Maximum peak search functions

:CALCULATE1:MARKER1:FUNCTION:SELECT MAXIMUM

// Proceed as for minimum search


Trace Mathematics

The following script contains examples for trace mathematics.

// Reset the analyzer

*RST

:SYSTEM:DISPLAY:UPDATE ON

// Create memory trace on active trace of channel 1,

// assign the memory trace to a diagram

:CALCULATE1:MATH:MEMORIZE

:DISPLAY:WINDOW1:TRACE2:FEED 'Mem2[Trc1]'

// Define simple trace mathematics

:CALCULATE1:MATH:FUNCTION ADD

:CALCULATE1:MATH:FUNCTION?

// Trace mathematics off

:CALCULATE1:MATH:FUNCTION NORMAL

:CALCULATE1:MATH:FUNCTION?

*RST

// Create Trc2 in channel 1 and display it in diagram 1

:CALCULATE1:PARAMETER:SDEFINE "Trc2","S11"

:DISPLAY:WINDOW1:TRACE2:FEED 'Trc2'

// Create diagram 2 and Trc3 in new channel

:DISPLAY:WINDOW2:STATE ON

:CALCULATE2:PARAMETER:SDEFINE "Trc3","S11"

:DISPLAY:WINDOW2:TRACE1:FEED 'Trc3'

// Select active traces for channels 1 and 2

:CALCULATE1:PARAMETER:SELECT "Trc1"

:CALCULATE2:PARAMETER:SELECT "Trc3"

// Create memory trace on Trc1 and assign it to a diagram, same for TRC3

:TRACE:COPY MDATA7,CH1DATA

:DISPLAY:WINDOW1:TRACE3:FEED 'Mem7[Trc1]'

:TRACE:COPY MDATA8,CH2DATA

:DISPLAY:WINDOW2:TRACE2:FEED 'Mem8[Trc3]'

// Examples for Trace Mathematics

// Special operands Data and Mem

:CALCULATE1:MATH:SDEFINE "Data * Mem"

:CALCULATE1:MATH:STATE ON

// Constants

:CALCULATE1:MATH:SDEFINE "Pi * e * j"

// Functions

:CALCULATE1:MATH:SDEFINE "linMag (1) + dBMag (2) + Arg (3) + Re (4) + Im (5j)"

:CALCULATE1:MATH:SDEFINE "log (2) * ln (3) * Min (1, 2) * Max (2, 3)"

:CALCULATE1:MATH:SDEFINE "StimVal + asin (sin (3)) + acos (cos (4)) + atan (tan (4))"

:CALCULATE1:MATH:SDEFINE "(Trc1 + 2) * 1.1"

:CALCULATE1:MATH:SDEFINE "(tRC1 + e) * Pi + STIMVAL - sin (1) + Min (TRC1, Trc1)"

// Imaginary unit j = sqrt (-1)

// j is no ordinary operand: 1j not 1 * j

:CALCULATE1:MATH:SDEFINE "(1 + 3 ^ (1 / 2) * 1j) / 2" // magnitude: 1, phase: 60 degree

:CALCULATE1:MATH:SDEFINE "sin (1) + ACOS (0.5)"

// 2 periods for sin (), ... when stop frequency 8 GHz = 8e9 Hz

:CALCULATE1:MATH:SDEFINE "sin (2 * 2 * Pi * StimVal / 8e9) "

:CALCULATE1:MATH:SDEFINE "cos (2 * 2 * Pi * StimVal / 8e9) "

:CALCULATE1:MATH:SDEFINE "tan (2 * 2 * Pi * StimVal / 8e9) "

:CALCULATE1:MATH:SDEFINE "Min (sin (6 * Pi * StimVal / 8e9), cos (6 * Pi * StimVal / 8e9))"

:CALCULATE1:MATH:SDEFINE "Max (sin (6 * Pi * StimVal / 8e9), cos (6 * Pi * StimVal / 8e9))"

:CALCULATE1:MATH:SDEFINE "Trc1 ^ 2"

:CALCULATE1:MATH:SDEFINE "Trc1 + Trc2 + Trc3"

:CALCULATE1:MATH:SDEFINE "(Trc1 + e) * Pi + Mem8[Trc3] + StimVal + Min (Trc1, Mem7[Trc1])"

:CALCULATE1:MATH:SDEFINE "tan (5 * 2 * Pi * StimVal / 8e9)"


Trace Statistics

The following script contains examples for trace statistics.

// Reset the analyzer

*RST

:SYSTEM:DISPLAY:UPDATE ON

// Create new channel and trace

:CALCULATE2:PARAMETER:SDEFINE 'Trc2', 'S11'

:CALCULATE2:PARAMETER:SELECT 'Trc2'

:DISPLAY:WINDOW2:STATE ON

:DISPLAY:WINDOW2:TRACE1:FEED 'Trc2'

:SENSE1:SWEEP:TIME:AUTO ON

:SENSE2:SWEEP:TIME:AUTO ON

// Search full-span evaluation range, display statistical results

:CALCulate1:STATistics:DOMain:USER 0

:CALCulate2:STATistics:DOMain:USER 0

:CALCULATE1:STATISTICS ON

:CALCULATE2:STATISTICS ON

// Single sweep, global scope

:INITIATE:CONTINUOUS OFF

:INITIATE:IMMEDIATE:SCOPE ALL

:SENSE:SWEEP:COUNT 4

:INITIATE:IMMEDIATE; *WAI

// Calculate statistical results (also possible if info field is switched off)

:CALCULATE1:STATISTICS:RESULT? MEAN

:CALCulate1:STATistics:RESult? ELENgth

:CALCULATE1:STATISTICS:RESULT? ALL

// Modify evaluation range (is automatically confined to sweep range)

:CALCulate1:STATistics:DOMain:USER 1

:CALCulate1:STATistics:DOMain:USER:STARt 0 HZ

:CALCulate1:STATistics:DOMain:USER:STOP 100 GHZ

:CALCULATE1:STATISTICS:RESULT? MEAN

:CALCULATE1:STATISTICS:RESULT? MAX


Bandfilter Search

The following example shows how to use markers for a bandpass or bandstop search.

// Reset the analyzer

*RST

:SYSTEM:DISPLAY:UPDATE ON

:SENSe1:FREQuency:STARt 1 GHZ

:SENSe1:FREQuency:STOP 6 GHZ

// Bandpass search ref. to max.

:CALCulate1:MARKer:FUNCtion:BWIDth:MODE BPASs

:CALCulate1:MARKer:FUNCtion:BWIDth:MODE? %BPAS

// Measure single sweep, wait until complete sweep is finished

:INITiate:CONTinuous OFF

:INITiate; *WAI;

:CALCulate1:MARKer:FUNCtion:EXECute BFILter

// All markers OFF

:CALCulate1:MARKer:AOFF

// Bandpass search ref. to marker

:CALCulate1:MARKer1:STATe ON

:CALCulate1:MARKer1:X 3.0 GHz

:CALCulate1:MARKer:FUNCtion:BWIDth:MODE BPRMarker

:CALCulate1:MARKer:FUNCtion:BWIDth:MODE? %BPRM

:INITiate; *WAI;

:CALCulate1:MARKer:FUNCtion:EXECute BFILter

:CALCulate1:MARKer:AOFF

// Bandstop search ref. to max.

:CALCulate1:MARKer:FUNCtion:BWIDth:MODE BSTop

:CALCulate1:MARKer:FUNCtion:BWIDth:MODE? %BST

:INITiate; *WAI;

:CALCulate1:MARKer:FUNCtion:EXECute BFILter

:CALCulate1:MARKer:AOFF

// Bandstop search ref. to marker

:CALCulate1:MARKer1:STATe ON

:CALCulate1:MARKer1:X 1.7 GHz

:CALCulate1:MARKer:FUNCtion:BWIDth:MODE BsRMarker

:CALCulate1:MARKer:FUNCtion:BWIDth:MODE? %BsRM

:INITiate; *WAI;

:CALCulate1:MARKer:FUNCtion:EXECute BFILter


Single Sweep Mode

The commands CALCulate<Ch>:DATA:NSWeep...? SDATa, <Trace_Hist_Count> retrieve the results of any sweep within a previously defined single sweep group. This means that, in single sweep mode, you can first measure a specified number of sweeps (SENSe<Ch>:SWEep:COUNt <sweeps>) and then read any of the data traces acquired.

This feature has no equivalent in manual control where always the last data trace is displayed.

// Reset the analyzer

*RST

:SYSTEM:DISPLAY:UPDATE ON

// Create a second and third channel with new diagram areas and traces.

:CALCULATE2:PARAMETER:SDEFINE "Trc2","S11"

:CALCULATE2:PARAMETER:SELECT "Trc2"

:DISPLAY:WINDOW2:STATE ON

:DISPLAY:WINDOW2:TRACE1:FEED 'Trc2'

:CALCULATE3:PARAMETER:SDEFINE "Trc3","S11"

:CALCULATE3:PARAMETER:SELECT "Trc3"

:DISPLAY:WINDOW3:STATE ON

:DISPLAY:WINDOW3:TRACE1:FEED 'Trc3'

// Select sweep time for the channels.

:SENSE1:SWEEP:TIME 1 S

:SENSE2:SWEEP:TIME 1 S

:SENSE3:SWEEP:TIME 1 S

// Enable single sweep mode for all channels so that sweep count settings are used

:INITIATE:CONTINUOUS OFF

// Select single sweep mode with channel-specific sweep count settings

// Set sweep counts and start measurement in all channels

:INITIATE:IMMEDIATE:SCOPE SINGLE

:SENSE1:SWEEP:COUNT 1

:SENSE2:SWEEP:COUNT 2

:SENSE3:SWEEP:COUNT 3

:INITIATE1:IMMEDIATE; *WAI

:INITIATE2:IMMEDIATE; *WAI

:INITIATE3:IMMEDIATE; *WAI

// Select single sweep mode with global sweep count settings

// Set global sweep count for all channels, start measurement in all channels

:INITIATE:IMMEDIATE:SCOPE ALL

:SENSE:SWEEP:COUNT 4

:INITIATE:IMMEDIATE; *WAI


Max Hold Function

Modeling a Max Hold Function

The following example shows you how to emulate a max hold function.

// Reset the analyzer

*RST

:DISPlay:WINDow1:TITLe:DATA 'Max Hold Function Emulation'

// Create a trace with the last extremum as memory trace.

:TRACe:COPY 'LastExtr', 'Trc1'

// Display this last extremum trace.

// Because it's a memory trace it must be displayed in the same diagram as the mother trace.

:DISPlay:WINDow1:TRACe2:FEED 'LastExtr'

:CALCulate1:MATH:SDEFine 'Max (Data, Mem)'

:CALCulate1:MATH:STATe ON

// Single sweep mode

:INITIATE:CONTINUOUS OFF

// Do a single sweep and update trace with the current extremum.

// This is the last extremum for the next sweep

:INITIATE:IMMEDIATE; *WAI

:TRACe:COPY:MATH 'LastExtr', 'Trc1'

// Loop over these 2 commands

:INITIATE:IMMEDIATE; *WAI

:TRACe:COPY:MATH 'LastExtr', 'Trc1'

:INITIATE:IMMEDIATE; *WAI

:TRACe:COPY:MATH 'LastExtr', 'Trc1'

// ..............

// Continuous sweep mode

:INITIATE:CONTINUOUS ON

//


Sweep History

Retrieving the Results of Previous Sweeps

The commands CALCulate<Ch>:DATA:NSWeep...? SDATa, <Trace_Hist_Count> retrieve the results of any sweep within a previously defined single sweep group. This means that, in single sweep mode, you can first measure a specified number of sweeps (SENSe<Ch>:SWEep:COUNt <sweeps>) and then read any of the data traces acquired.

This feature has no equivalent in manual control where always the last data trace is displayed.

// Reset the analyzer

*RST

:SYSTEM:DISPLAY:UPDATE ON

// Create a second channel with a second trace.

:CALCULATE2:PARAMETER:SDEFINE "Trc2","S11"

:CALCULATE2:PARAMETER:SELECT "Trc2"

:DISPLAY:WINDOW2:STATE ON

:DISPLAY:WINDOW2:TRACE1:FEED 'Trc2'

// Select active trace for the created channel 2. Adjust the number of sweep points.

:CALCULATE2:PARAMETER:SELECT "Trc2"

:SENSE1:SWEEP:POINTS 3

:SENSE2:SWEEP:POINTS 4

// Set sweep time and sweep count for the channels

// (3 traces per single sweep in channel 1, 4 traces in channel 2)

:SENSE1:SWEEP:TIME 1 S

:SENSE2:SWEEP:TIME 1 S

:SENSE1:SWEEP:COUNT 3

:SENSE2:SWEEP:COUNT 4

// State that INITIATE<Ch>:IMMEDIATE will start a single sweep for the

// referenced channel <Ch> only, not for all channels

:INITIATE:IMMEDIATE:SCOPE SINGLE

:INITIATE:CONTINUOUS OFF

// 1st Alternative: Reverse reading with command synchronization

// Select single sweep mode and measure a single sweep group for channels no. 1 and 2

:INITIATE:IMMEDIATE:SCOPE ALL

:INITIATE1:IMMEDIATE; *WAI

:INITIATE2:IMMEDIATE; *WAI

// Read trace data (without history, i.e. the last trace acquired in each channel)

:CALCULATE1:DATA? SDATA

:CALCULATE2:DATA? SDATA

// Read last and previous trace data in channel 1 and 2

:CALCULATE1:DATA:NSWEEP? SDATA, 1 // last trace data

:CALCULATE1:DATA:NSWEEP? SDATA, 3 // previous trace data

:CALCULATE2:DATA:NSWEEP? SDATA, 1 // last trace data

:CALCULATE2:DATA:NSWEEP? SDATA, 4 // previous trace data

// 2nd Alternative: Forward reading (no command synchronization necessary)

// Select single sweep mode and measure a single sweep group for channel no. 1

:INITIATE:IMMEDIATE:SCOPE SINGLE

:INITIATE1:IMMEDIATE

// Read the first and the following trace data in channel 1

if (CALCULATE1:DATA:NSWEEP:COUNT? > 2)

:CALCULATE1:DATA:NSWEEP:FIRST? SDATA, 1 // first trace data

:CALCULATE1:DATA:NSWEEP:FIRST? SDATA, 3 // third trace data


Multiport Calibration

One and Two-Port Calibration

The following example calibrates one or two analyzer ports.

// Reset the analyzer

*RST

:SYSTEM:DISPLAY:UPDATE ON

//

// Set cal kit as active kit for N50

:SENSE:CORRECTION:CKIT:N50:SELECT 'ZV-Z121'

//

// Select connectors for the ports

:SENSE1:CORRECTION:COLLECT:CONNECTION1 N50MALE

:SENSE1:CORRECTION:COLLECT:CONNECTION2 N50MALE

//

//

// Full one port = OSM

// Select cal procedure

:SENSe1:CORRection:COLLect:METHod:DEFine 'Test SFK OSM 1', FOPORT, 1

//

// Measure Standards

:SENSe1:CORRection:COLLect:ACQuire:SELected OPEN, 1

:SENSe1:CORRection:COLLect:ACQuire:SELected SHORT, 1

:SENSe1:CORRection:COLLect:ACQuire:SELected MATCH, 1

//

// Apply cal, activate enhanced wave calibration in addition

:SENSe1:CORRection:COLLect:SAVE:SELected

:SENSe1:CORRection:EWAVe:STATe ON

//

//

// 2 port TOSM

// Select cal procedure

:SENSe1:CORRection:COLLect:METHod:DEFine 'Test SFK TOSM 12', TOSM, 1, 2

//

// Measure Standards

:SENSe1:CORRection:COLLect:ACQuire:SELected THROUGH, 1, 2

:SENSe1:CORRection:COLLect:ACQuire:SELected OPEN, 1

:SENSe1:CORRection:COLLect:ACQuire:SELected SHORT, 1

:SENSe1:CORRection:COLLect:ACQuire:SELected MATCH, 1

:SENSe1:CORRection:COLLect:ACQuire:SELected OPEN, 2

:SENSe1:CORRection:COLLect:ACQuire:SELected SHORT, 2

:SENSe1:CORRection:COLLect:ACQuire:SELected MATCH, 2

//

// Apply calibration

:SENSe1:CORRection:COLLect:SAVE:SELected

//

// Save / load cal files

// Save calibration in calibration file pool in directory

// C:\Rohde&Schwarz\Nwa\Calibration\Data

// the file name in the commands must not contain the path !

:MMEMORY:STORE:CORRection 1, 'OSM1 TOSM12.cal'

//

// load cal file from calibration file pool

:MMEMORY:LOAD:CORRection 1, 'OSM1 TOSM12.cal'


Create Calibration Kit

The following example defines the properties of different calibration standards.

// Reset the analyzer

*RST

:SYSTEM:DISPLAY:UPDATE ON

////////////////////////////////////////////////////////////////////////////////

//

// Remarks: if a cal kit name contains "Ohm", this "Ohm" (case insensitive) is replaced by the

// capital greek omega for the cal kit name used in the DataBase !!!

//

////////////////////////////////////////////////////////////////////////////////

// One port standards

////////////////////////////////////////////////////////////////////////////////

//

// All commands to set the parameters of a physical standard

// have the following first 4 parameters :

// standard label, serial number, min frequency, max frequency

//

// The one port standard REFLECT and the two port standard SYMMETRIC NETWORK

// have 2 possibilities for parameter 10:

// OPEN: parameters 6 ... 9 are polynomial coefficients of the capacitance

// SHORt: parameters 6 ... 9 are polynomial coefficients of the inductance

// Define OPEN (female): + length, loss, capacitance[4]

:SENSE:CORRECTION:CKIT:N50:FOPEN "Parser N50 Ohm","Ser 1-1",1.1MHZ,2.1MHZ,0.1m,11,12,13,14,15

// Set active cal kit for the connector N50. This active cal kit is used in the

// query commands for the standard data of the connector

// This active cal kit isn't changed in the command above to set the standard data.

// Therefore set the active cal kit for the current connector.

//

:SENSE:CORRECTION:CKIT:N50:SELECT "Parser N50 Ohm"

:SENSE:CORRECTION:CKIT:N50:SELECT?

// Now the query works

:SENSE:CORRECTION:CKIT:N50:FOPEN?

// Define SHORT (male): + length, loss, inductivity[4]

:SENSE:CORRECTION:CKIT:N50:MSHORT "Parser N50 Ohm","Ser 2-2",1.2MHZ,2.2MHZ,0.2m,21,22,23,24,25

:SENSE:CORRECTION:CKIT:N50:MSHORT?

// Define REFLECT (female): + length, capacity[4] | inductivity[4], OPEN | SHORT

// See also two port standard SYMMETRIC NETWORK

// First option: REFLECT : + length, capacity[4], OPEN

:SENSE:CORRECTION:CKIT:N50:FREFLECT "Parser N50 Ohm","Ser 4-4",1.4MHZ,2.4MHZ,0.4m,41,42,43,44,OPEN

:SENSE:CORRECTION:CKIT:N50:FREFLECT?

// Scond option: REFLECT : + length, inductivity[4], SHORT

:SENSE:CORRECTION:CKIT:N50:MREFLECT "Parser N50 Ohm","Ser 5-5",1.5MHZ,2.5MHZ,0.5m,51,52,53,54,SHORT

:SENSE:CORRECTION:CKIT:N50:MREFLECT?

// Define MATCH (male): + no further parameters

:SENSE:CORRECTION:CKIT:N50:MMTCH "Parser N50 Ohm","Ser 6-6",1.6MHZ,2.6MHZ

:SENSE:CORRECTION:CKIT:N50:MMTCH?

// Define SLIDING MATCH (female): + no further parameters

:SENSE:CORRECTION:CKIT:N50:FSMATCH "Parser N50 Ohm","Ser 7-7",1.7MHZ,2.7MHZ

:SENSE:CORRECTION:CKIT:N50:FSMATCH?

//

////////////////////////////////////////////////////////////////////////////////

// Two port standards

////////////////////////////////////////////////////////////////////////////////

//

// Define THROUGH (male/male): + length, loss

:SENSE:CORRECTION:CKIT:N50:MMTHROUGH "Parser N50 Ohm","Ser 8-8",1.8MHZ,2.8MHZ,0.8m,81

:SENSE:CORRECTION:CKIT:N50:MMTHROUGH?

//

// Define LINE1/2 = LINE : + length, loss

:SENSE:CORRECTION:CKIT:N50:FFLINE1 "Parser N50 Ohm","Ser 9-9",1.9MHZ,2.9MHZ,0.9m,91

:SENSE:CORRECTION:CKIT:N50:FFLINE1?

:SENSE:CORRECTION:CKIT:N50:MMLINE2 "Parser N50 Ohm","Ser 99-99",1.9MHZ,2.9MHZ,0.9m,92

:SENSE:CORRECTION:CKIT:N50:MMLINE2?

:SENSE:CORRECTION:CKIT:N50:MFLINE3 "Parser N50 Ohm","Ser 999-999",1.9MHZ,2.9MHZ,0.9m,93

:SENSE:CORRECTION:CKIT:N50:MFLINE3?

// Define ATTENUATION: + no further parameters

:SENSE:CORRECTION:CKIT:N50:MFATTEN "Parser N50 Ohm","Ser 10-10",2.0MHZ,3.0MHZ

:SENSE:CORRECTION:CKIT:N50:MFATTEN?

// Define SYMMETRIC NETWORK: + length, capacity[4] | inductivity[4], OPEN SHORT

// See also one port standard REFLECT

// SYMMETRIC NETWORK : + length, capacity[4], OPEN

:SENSE:CORRECTION:CKIT:N50:MMSNETWORK "Parser N50 Ohm","Ser 11-11",2.1MHZ,3.1MHZ,1.1m,111,112,113,114,OPEN

:SENSE:CORRECTION:CKIT:N50:MMSNETWORK?

// SYMMETRIC NETWORK : + length, inductivity[4], SHORT

:SENSE:CORRECTION:CKIT:N50:MFSNETWORK "Parser N50 Ohm","Ser 12-12",2.2MHZ,3.2MHZ,1.2m,121,122,123,124,SHORT

:SENSE:CORRECTION:CKIT:N50:MFSNETWORK?

// Set cal kit label

:SENSe:CORRection:CKIT:LABel 'Parser N50 Ohm', 'Parser N 50'

:SENSe:CORRection:CKIT:LABel? 'Parser N50 Ohm' %'Parser N 50'


Power Calibration

Perform Power Calibration

The following example performs a source power calibration at port 1 and a receiver power calibration at ports 2 and 4.

// Reset the analyzer

*RST

:SYSTEM:DISPLAY:UPDATE ON

// Delete external device tables

:SYSTem:COMMunicate:RDEVice:GENerator:DELete

:SYSTem:COMMunicate:RDEVice:PMETer:DELete

// Define external devices

:SYSTem:COMMunicate:RDEVice:PMETer1:DEFine 'Power Meter 1', 'NRVD', 'VXI-11', '127.0.0.0'

// Measure b2 instead of default parameter S21

:CALCulate1:PARameter:MEASure 'Trc1', 'b2

// Create a new trace Trc2 with the b4 wave and display it

:CALCulate1:PARameter:SDEFine 'Trc2', 'B4'

:DISPlay:WINDow1:TRACe2:FEED 'Trc2'

// Set sweep parameters: Start and Stop frequency, No. of Points, IF Bandwidth and Power

:SENSe1:FREQuency:STARt 300 KHZ

:SENSe1:FREQuency:STOP 1.0 GHZ

:SENSe1:SWEEp:POINts 51

:SENSe1:BANDwidth 10000

:SOURce1:POWer -10

// Configure source power calibration sweeps.

// Set number of readings, tolerance and no verification sweep for the power calibration

:SOURce:POWer:CORRection:COLLect:AVERage:COUNt 3

:SOURce:POWer:CORRection:COLLect:AVERage:NTOLerance 0.1 dB

:SOURce:POWer:CORRection:COLLect:ACQuire:VERification OFF

// Enable the source power calibration

:SOURce:POWer:CORRection:COLLect:FLATness ON

// Enable reference receiver calibration within the source power calibration

:SOURce:POWer:CORRection:COLLect:RRECeiver ON

// Set ID of the power meter used for the calibration

:SOURce:POWer:CORRection:PMETer:ID 1

// Switch off all other sources during cal sweep

:SOURce:POWer:CORRection:OSOurces OFF

// Initiate source power cal of port 1

:SOURce1:POWer:CORRection:ACQuire PORT, 1

:SOURce1:POWer1:CORRection:STATe ON

// Initiate receiver power cal of ports 2 and 4

:SENSe1:CORRection:POWer:ACQuire BWAV, 2, PORT, 1

:SENSe1:CORRection:POWer:ACQuire BWAV, 4, PORT, 1

// Save power cal correction values as file to calibration pool in directory

// C:\Rohde&Schwarz\Nwa\Calibration\Data

// the file name in the commands must not contain the path !

:MMEMORY:STORE:CORRection 1,'B2_B4_Pwr_cal.cal'


Saving and Recalling Error Terms

The following examples show you how to perform a system error correction, save the acquired system error correction data to a file and re-load them.

Performing a Calibration, Saving the Error Terms

// Reset the analyzer

*RST

//

// Set frequency range

:SENSe1:FREQuency1:STARt 1GHz

:SENSe1:FREQuency1:STOP 4GHz

:SENSe1:SWEep:POINts 6

//

// Select calibration type: TOSM at ports 1 and 2

:SENSe1:CORRection:COLLect:METHod:DEFine 'Test SFK TOSM 12', TOSM, 1, 2

//

// Measure Standards

:SENSe1:CORRection:COLLect:ACQuire:SELected THROUGH, 1, 2

:SENSe1:CORRection:COLLect:ACQuire:SELected OPEN, 1

:SENSe1:CORRection:COLLect:ACQuire:SELected SHORT, 1

:SENSe1:CORRection:COLLect:ACQuire:SELected MATCH, 1

:SENSe1:CORRection:COLLect:ACQuire:SELected OPEN, 2

:SENSe1:CORRection:COLLect:ACQuire:SELected SHORT, 2

:SENSe1:CORRection:COLLect:ACQuire:SELected MATCH, 2

//

// Apply calibration

SENSe1:CORRection:COLLect:SAVE:SELected

//

// Save error terms

:FORMAT REAL,32

@TRACEFILE:scorr1.dat

:CALCulate1:DATA? SCORr1

@TRACEFILE:scorr2.dat

:CALCulate1:DATA? SCORr2

@TRACEFILE:scorr3.dat

:CALCulate1:DATA? SCORr3

// We are omitting the isolation term, as it is not implemented on the ZVAB

// @TRACEFILE:scorr4.dat

// :CALCulate1:DATA? SCORr4

@TRACEFILE:scorr5.dat

:CALCulate1:DATA? SCORr5

@TRACEFILE:scorr6.dat

:CALCulate1:DATA? SCORr6

@TRACEFILE:scorr7.dat

:CALCulate1:DATA? SCORr7

@TRACEFILE:scorr8.dat

:CALCulate1:DATA? SCORr8

@TRACEFILE:scorr9.dat

:CALCulate1:DATA? SCORr9

// We are omitting the isolation term, as it is not implemented on the ZVAB

// @TRACEFILE:scorr10.dat

// :CALCulate1:DATA? SCORr10

@TRACEFILE:scorr11.dat

:CALCulate1:DATA? SCORr11

@TRACEFILE:scorr12.dat

:CALCulate1:DATA? SCORr1

Performing a New Calibration, Recalling the Error Terms

// Reset the analyzer

*RST

//

// Set frequency range

:SENSe1:FREQuency1:STARt 1GHz

:SENSe1:FREQuency1:STOP 4GHz

:SENSe1:SWEep:POINts 6

//

// Select calibration type: TOSM at ports 1 and 2

:SENSe1:CORRection:COLLect:METHod:DEFine 'XYZ', TOSM, 1, 2

//

// Generate a set of default correction data, switch on user calibration

:SENSe1:CORRection:COLLect:SAVE:SELected:DEFault

:SENSE1:CORRECTION:STATE ON

//

// In the previous section, the following error terms were saved:

// SCORR1 Forward Directivity

// SCORR2 Forward Source Match

// SCORR3 Forward Reflection Tracking

// SCORR4 Forward Isolation

// SCORR5 Forward Load Match

// SCORR6 Forward Transmission Tracking

// SCORR7 Reverse Directivity

// SCORR8 Reverse Source Match

// SCORR9 Reverse Reflection Tracking

// SCORR10 Reverse Isolation

// SCORR11 Reverse Load Match

// SCORR12 Reverse Transmission Tracking

//

//

// Equivalences between the first parameter of CALculate:DATA

// and the first 3 Parameters of SENSe:CORRection:CDATa

//

// 'SCORR1' 'DIRECTIVITY', 1, 0 <Port 2> = 0 ignored

// 'SCORR2' 'SRCMATCH', 1, 0 <Port 2> = 0 ignored

// 'SCORR3' 'REFLTRACK', 1, 0 <Port 2> = 0 ignored

// 'SCORR4' 'ISOLATION', 1, 2

// 'SCORR5' 'LOADMATCH', 1, 2

// 'SCORR6' 'TRANSTRACK', 1, 2

// 'SCORR7' 'DIRECTIVITY', 2, 0 <Port 2> = 0 ignored

// 'SCORR8' 'SRCMATCH', 2, 0 <Port 2> = 0 ignored

// 'SCORR9' 'REFLTRACK', 2, 0 <Port 2> = 0 ignored

// 'SCORR10' 'ISOLATION', 2, 1

// 'SCORR11' 'LOADMATCH', 2, 1

// 'SCORR12' 'TRANSTRACK', 2, 1

//

// Set format for data transfer

:FORMAT REAL,32

//

// !!! Important !!! Stop sweep when loading error terms

:INITiate:CONTinuous OFF

//

// Recall error terms

// CALCulate:DATA is suitable for 2-port terms;

// use SENSe:CORRection:CDATa for more than 2 ports

:CALCulate1:DATA SCORR1,#@scorr1.dat

:CALCulate1:DATA SCORR2,#@scorr2.dat

:CALCulate1:DATA SCORR3,#@scorr3.dat

// We are omitting the isolation term, as it is not implemented on the ZVAB

//:CALCulate1:DATA SCORR4,#@scorr4.dat

:CALCulate1:DATA SCORR5,#@scorr5.dat

:CALCulate1:DATA SCORR6,#@scorr6.dat

:CALCulate1:DATA SCORR7,#@scorr7.dat

:CALCulate1:DATA SCORR8,#@scorr8.dat

:CALCulate1:DATA SCORR9,#@scorr9.dat

// We are omitting the isolation term, as it is not implemented on the ZVAB

//:CALCulate1:DATA SCORR10,#@scorr10.dat

:CALCulate1:DATA SCORR11,#@scorr11.dat

:CALCulate1:DATA SCORR12,#@scorr12.dat

:INITiate:CONTinuous ON

Using a Calibration Data Recorded Previously

You can re-use any set of correction data that you acquired in earlier sessions on your analyzer. In general you have to carry out the following steps:

  1. Create a dummy correction data set and store it to a file.

  2. Replace the dummy data with your correction data.

  3. Re-import the correction data file and apply it to a channel.

See also the program examples for the following commands:

  • [SENSe<Ch>:]CORRection:COLLect:SAVE:SELected:DEFault (dummy system error correction)

  • SOURce<Ch>:POWer<Pt>:CORRection:DEFault (dummy source power calibration without external power meter)


If the keyboard shortcut CRTL + ALT + F12 does not work, try one of the following:

  • Open the Windows XP control panel and select “Intel Graphics Technology”.

  • Click Properties in the context menu of the Windows XP desktop. In the Settings tab, press the Advanced button, select the Intel Graphics Technology tab and press the Graphics Properties button.

Increasing the Monitor Resolution

The default resolution of the external VGA monitor or LCD display is equal to the resolution of the analyzer's display (800 by 600 pixels). A higher resolution leaves additional space on the external monitor. A software utility which is pre-installed on your analyzer helps you perform the following tasks.

  • Connecting and activating the monitor

  • Changing the monitor resolution

  • Switching back to the analyzer's display

Connecting and Activating the Monitor

The monitor must be connected while the analyzer is switched off or in standby mode. An external keyboard and a mouse is recommended.

  1. Connect a monitor or LCD display to the analog VGA connector (labeled MONITOR) at the rear panel.

  2. Switch on the monitor or LCD display.

  3. Switch on the instrument.

  4. When the instrument is running, press CRTL + ALT+ F12 on your external keyboard to start the Intel Graphics Controller Properties dialog and select the Devices tab.

Alternatives for starting the Graphics Controller

  5. Select Monitor, select the Activate Monitor check box and then press OK.

The internal LCD-Display will be turned off and the external monitor should display the instrument screen with the internal resolution of 800 by 600 pixels.

  6. Confirm this change in the next dialog opened. Press OK to close the Controller Properties dialog.

Changing the Resolution

After the external monitor is active, the Graphics Controller displays a list of possible resolutions.

  1. Press CRTL + ALT + F12 again. Now the Screen Area contains all possible resolutions of the external monitor. Select a valid combination of resolution and refresh rate for your monitor.

  2. Press OK and confirm the changes in the next dialog box opened. Press OK to close the Controller Properties dialog.

The network analyzer application is now displayed with the selected resolution.

Click Display – Display Config –Hardkey Barto display the analyzer's hardkeys together with the menus, softkeys and the diagram areas. This allows you to control the instrument very comfortably with the mouse. You do not have to change between hardkeys and mouse.

Switching back to the Analyzer's Display

  1. Press CRTL + ALT + F12 and select Digital Display.

  2. Select the Activate Digital Display check box and press OK. The external monitor is turned off and the analyzer's internal LCD display is reactivated.


About HW Interfaces

Interfaces and Connectors

This chapter provides a detailed description of the hardware interfaces and connectors of the instrument. For a graphical overview of the front panel and rear panel connectors and their use refer to the following topics:

Front panel tour

Rear panel tour


Rear Panel Connectors

The rear panel of the analyzer provides various connectors for external devices and control signals.

PORT BIAS

Coaxial BNC connectors used to apply an external DC voltage (bias) to the test ports. The PORT BIAS connectors are numbered 1 to 4 (for four-port analyzers). The internal equivalent circuit is shown in section Direct Generator and Receiver Access.

Each PORT BIAS input is protected by an exchangeable fuse.

Pin No. | Name | Input (I) or Output (O) or Bidirectional (B) | Voltage Range | Function
Center conductor | PORTBIAS1/2/3/4 | I | See data sheet | DC input for test port 1/2/3/4
Outer conductor | GNDA | – | 0 V | Analog ground

Attention!

Use double shielded cables at the BNC rear panel connectors and match signal with 50 Ω in order to comply with EMC directives!

See also EMI Suppression

AUX

Coaxial bidirectional auxiliary connector that can be wired as needed. The AUX connector is not fitted on standard instruments.

LAN1 / LAN 2

8-pin connector RJ-45 used to connect the analyzer to a Local Area Network (LAN). The pin assignment of the RF-45 connector supports category 6 / 7 UTP/STP (Unshielded/Shielded Twisted Pair) cables.

See also EMI Suppression

UNIVERSAL INTERFACE

For a detailed description refer to section Universal Interface.

Important note:

Use only well shielded cables or disconnect the input pins of the UNIVERSAL INTERFACE connector in order to avoid spurious input signals which may cause undesirable events.

IEC BUS, IEC SYSTEM BUS

GPIB bus (IEC/IEEE) connector. For a detailed description refer to section GPIB Bus Interface. See also EMI Suppression

USB

Double Universal Serial Bus connector of type A (master USB), equivalent to the USB connectors at the front panel. See also EMI Suppression

DC MEAS

Two inputs for DC measurements. The connectors are of the same type but specified for different input voltage ranges, see data sheet. The DC measurement provides the voltage between pins 6 and 8 of the connectors.

Pin No. | Name | Input (I) or Output (O) | Function
3 | GNDA | - | Analog ground
5 | GNDA | - | Analog ground
6 | DCMEAS1VPOS DCMEAS10VPOS | I | Positive 1 V or 10 V DC input (see data sheet)
8 | DCMEAS1VNEG DCMEAS10VNEG | I | Negative 1 V or 10 V DC input (see data sheet)

10 MHz REF

Coaxial BNC connector used as an input or output for the 10 MHz reference clock signal.

The function of the 10 MHz REF connector depends on the Int. Reference or Ext. Reference setting in the System menu:

  • If Int. Reference is active, 10 MHz REF is used as an output connector for the 10 MHz internal reference clock signal of the analyzer.

  • If Ext. Reference is active, 10 MHz REF is used as an input connector for an external 10 MHz reference clock signal. The external reference signal must meet the specifications of the data sheet. The internal reference signal is synchronized to the external signal.

Pin No. | Name | Input (I) or Output (O) or Bidirectional (B) | Voltage Range | Function
Center conductor | FR_REF_10_OUT/IN | B | See data sheet | Reference frequency
Outer conductor | GNDA | – | 0 V | Analog ground

Use double shielded cables at the BNC rear panel connectors and match signal with 50 Ω in order to comply with EMC directives!
See also EMI Suppression

MONITOR

15-pole Sub-Min-D connector used to connect and external VGA monitor.

Pin No. | Name | Input (I) or Output (O) | Voltage Range | Function
1 | RED | O | 75 Ω shielded | Red signal
2 | GREEN | O | 75 Ω shielded | Green signal
3 | BLUE | O | 75 Ω shielded | Blue signal
4 | NC | – | – | –
5 | GNDA | – | 0 V | Analog ground
6 | GNDA | – | 0 V | Analog ground
7 | GNDA | – | 0 V | Analog ground
8 | GNDA | – | 0 V | Analog ground
9 | GNDA | – | 0 V | Analog ground
10 | GNDA | – | 0 V | Analog ground
11 | NC | – | – | –
12 | DDCDAT |  |  |
13 |  |  |  |
14 |  |  |  |
15 |  |  |  |

CASCADE

8-pin RJ-45 connector used as output and input connectors for pulse generator signals. The CASCADE connector is located between the MONITOR and the USER CONTROL connectors.

On older instruments the CASCADE connector may be hidden behind a cover plate. Simply unscrew the plate if you want to use the connector.

USER CONTROL

25-pole D-Sub connector used as an input and output for low-voltage (3.3 V) TTL control signals. Some of the USER CONTROL lines can be controlled via GPIB bus (see CONTrol... and OUTPut... subsystems).

Pin No. | Name | Input (I) or Output (O) | Function
1 | GNDD | - | Digital ground
2 | EXT TRG | I | External trigger signal *)
3 | GNDD | - | Digital ground
4 | BUSY | O | Measurement running, configurable signal (see Define Busy Signal)
5 | GNDD | - | Digital ground
6 | READY FOR TRIGGER | O | Measurement terminated, ready for trigger (not available for pulsed measurements)
7 | GNDD | - | Digital ground
8 | CHANNEL BIT 0 | O | Channel-specific bit 0; see CONTrol:AUXiliary:C[:DATA] and OUTPut<Ch>:UPORt[:VALue]
9 | CHANNEL BIT 1 | O | Channel-specific bit 1
10 | CHANNEL BIT 2 | O | Channel-specific bit 2
11 | CHANNEL BIT 3 | O | Channel-specific bit 3
12 | GNDD | - | Digital ground
13 | PASS 1 | O | Pass/fail result of limit check TTL Out Pass 1
14 | PASS 2 | O | Pass/fail result of limit check TTL Out Pass 2
15 | GNDD | - | Digital ground
16 | DRIVE PORT 1 | O | Test port 1 is source port (drive port)
17 | DRIVE PORT 2 | O | Test port 2 is source port (drive port)
18 | DRIVE PORT 3 | O | Test port 3 is source port (drive port)
19 | DRIVE PORT 4 | O | Test port 4 is source port (drive port)
20 | GNDD | - | Digital ground
21 | EXT GEN TRG | O | Control signal for external generator
22 | EXT GEN BLANK | I | Handshake signal from external generator
23 | GNDD | - | Digital ground
24 | FOOT SWITCH 1 | I | Control input A
25 | FOOT SWITCH 2 | I | Control input B

*) Note: Feeding in the external trigger signal via the BNC connector EXT TRIGGER is equivalent.
Both input connectors must not be used simultaneously, because this can cause malfunctions of the analyzer.

Important note:

Use only well shielded cables or disconnect the input pins of the USER CONTROL connector in order to avoid spurious input signals which may cause undesirable events.

This is of particular importance for the external trigger input (pin no. 2) if the EXT TRIGGER input is used.

EXT TRIGGER

Coaxial BNC connector used as an input for a low-voltage (3.3 V) TTL external trigger signal.

*) Note: Feeding in the external trigger signal at pin 2 of the D-Sub connector USER CONTROL is equivalent. Both input connectors must not be used simultaneously, because this can cause malfunctions of the analyzer.

Pin No. | Name | Input (I) or Output (O) or Bidirectional (B) | Voltage Range | Function
Center conductor | RP_EXT_TRG | I | 3.3 V TTL | External trigger signal
Outer conductor | GNDA | – | 0 V | Analog ground

Use double shielded cables at the BNC rear panel connectors and match signal with 50 Ω in order to comply with EMC directives!
See also EMI Suppression


LAN Interface

The analyzer provides two LAN connectors for direct connection to a Local Area Network. Remote control via LAN requires a VISA installation but no additional hardware at the controller. VISA provides the TCPIP interface type and several protocol types to communicate with LAN-connected devices. The analyzer supports the following protocols

  • VXI-11

  • RSIB


VXI-11 Protocol

The VXI–11 standard is based on the RPC protocol which in turn relies on TCP/IP as the network/transport layer. The TCP/IP network protocol and the associated network services are pre-configured. TCP/IP ensures connection–oriented communication, where the order of the exchanged messages is adhered to and interrupted links are identified. With this protocol, messages cannot be lost.

Remote control of an instrument via a network is based on standardized protocols which follow the OSI reference model (see Fig. below).

Based on TCP/UDP, messages between the controller and the instrument are exchanged via open network computing (ONC) – remote procedure calls (RPC). With XDR (VXI–11), legal RPC messages are known as VXI–11 standard. Based on this standard, messages are exchanged between the controller and the instrument. The messages are identical with SCPI commands. They can be organized in four groups:

  • Program messages (control command to the instrument)

  • Response messages (values returned by the instrument)

  • Service request (spontaneous queries of the instrument)

  • Low–level control messages (interface messages)

A VXI–11 link between a controller and an instrument uses three channels: core, abort and interrupt channel. Instrument control is mainly performed on the core channel (program, response and low–level control messages). The abort channel is used for immediate abort of the core channel; the interrupt channel transmits spontaneous service requests of the instrument. Link setup itself is very complex. For more details refer to the VXI–11 specification.

The number of controllers that can address an instrument is practically unlimited in the network. In the instrument, the individual controllers are clearly distinguished. This distinction continues up to the application level in the controller, i.e. two applications on a computer are identified by the instrument as two different controllers.

The controllers can lock and unlock the instrument for exclusive access. This regulates access to the instrument of several controllers.

VXI-11 Interface Messages

On the Ethernet link, the interface messages are called low–level control messages. These messages can be used to emulate interface messages of the IEC/IEEE bus.

Command |  | Effect on the instrument
&ABO | (Abort) | Aborts processing of the commands just received.
&DCL | (Device Clear) | Aborts processing of the commands just received and sets the command processing software to a defined initial state. Does not change the instrument setting.
&GTL | (Go to Local) | Transition to the "Local" state (manual control).
&GTR | (Go to Remote) | Transition to the "Remote" state (remote control).
&GET | (Group Execute Trigger) | Triggers a previously active device function (e.g. a sweep). The effect of the command is the same as with that of a pulse at the external trigger signal input.
&LLO | (Local Lockout) | Disables switchover from remote control to manual control by means of the front panel keys.
&POL | (Serial Poll) | Starts a serial poll.
&NREN | (Not Remote Enable) | Enables switchover from remote control to manual control by means of the front panel keys.


RSIB Protocol

RSIB Interface Functions

This section lists all functions of the DLL "RSIB.DLL" or "RSIB32.DLL" or "librsib.so", which allow to produce control applications.

  • Variables

  • Interface Functions

Variables ibsta, iberr, ibcntl

Same as with the National Instruments interface, successful execution of a command can be checked by means of the variables ibsta, iberr and ibcntl. To this end, references to the three variables are transferred to all RSIB functions. In addition, the status word ibsta is returned as a function value by all functions.

Status word ibsta

All functions send back a status word that provides information on the status of the RSIB interface. The following bits are defined:

Bit name | Bit | Hex code | Description
ERR | 15 | 8000 | This bit is set if an error occurs during a function call. If this bit is set, iberr contains an error code which specifies the error.
TIMO | 14 | 4000 | This bit is set if a timeout occurs during a function call. A timeout may occur in the following situations: - while waiting for an SRQ with the function RSDLLWaitSrq(). - if no acknowledgment is received for data sent to an instrument with RSDLLibwrt() or RSDLLilwrt(). - if no response from server to a data request with function RSDLLibrd() or RSDLLilrd().
CMPL | 8 | 0100 | This bit is set if the reply of the IEC/IEEE-bus parser is completely read. If a reply of the parser is read with the function RSDLLilrd() and the buffer length is not sufficient, the bit is cleared.
Error variable iberr

If the ERR bit (8000h) is set in the status word, iberr contains an error code that specifies the error. The RSIB has error codes of its own independent of the National Instrument interface.

Error | Error code | Description
IBERR_DEVICE_REGISTER | 1 | RSIB.DLL cannot register any new device.
IBERR_CONNECT | 2 | Link to the device has failed.
IBERR_NO_DEVICE | 3 | An interface function was called with an invalid device handle.
IBERR_MEM | 4 | No free memory available.
IBERR_TIMEOUT | 5 | Timeout has occurred.
IBERR_BUSY | 6 | The RSIB interface is blocked by a function not yet completed. Windows is not blocked, for example, by function RSDLLibrd() if data is still to be transmitted in response to this function. In this case a new call is possible. Further calls are however rejected by RSIB.DLL with error code IBERR_BUSY.
IBERR_FILE | 7 | Error in reading from or writing to a file.
IBERR_SEMA | 8 | Error upon creating or assigning a semaphore (only under Unix)
Count variable - ibcntl

The variable ibcntl is updated with the number of bytes transmitted on every read and write function call.

Overview of Interface Functions

The library functions are adapted to the interface functions of National Instruments for GPIB programming. The functions supported by the libraries are listed in the following table.

Function | Description
RSDLLibfind() | Provides a handle for access to a device.
RSDLLibwrt() | Sends a zero-terminated string to a device.
RSDLLilwrt() | Sends a certain number of bytes to a device.
RSDLLibwrtf() | Sends the contents of a file to a device.
RSDLLibrd() | Reads data from a device into a string.
RSDLLilrd() | Reads a certain number of bytes from a device.
RSDLLibrdf() | Reads data from a device into a file.
RSDLLibtmo() | Sets timeout for RSIB functions
RSDLLibsre() | Switches a device into the local or remote state
RSDLLibloc() | Temporarily switches a device into the local state
RSDLLibeot() | Enables/disables the END message for write operations.
RSDLLibrsp() | Performs a serial poll and provides the status byte.
RSDLLibclr | Sends the command SDC (Device Clear) to the instrument.
RSDLLibonl() | Sets the device On/Offlline.
RSDLLTestSrq() | Checks whether a device has generated an SRQ.
RSDLLWaitSrq() | Waits until a device generates an SRQ.
RSDLLSwapBytes | Swaps the byte sequence for binary numeric display (only required for non-Intel platforms)

Description of Interface Functions

RSDLLibfind()

The function provides a handle for access to the device with the name udName.

VB format | Function RSDLLibfind (ByVal udName$, ibsta%, iberr%, ibcntl&) As Integer
C-format | short WINAPI RSDLLibfind( char far *udName, short far *ibsta, short far *iberr, unsigned long far *ibcntl)
C format (Unix) | short RSDLLibfind( char *udName, short *ibsta, short *iberr, unsigned long *ibcntl)
Parameter | udName // IP address of device
Example | ud = RSDLLibfind ("89.10.38.97", ibsta, iberr, ibcntl)

The function must be called prior to all other functions of the interface.

As return value, the function provides a handle that must be indicated in all functions for access to the device. If the device with the name udName is not found, the handle has a negative value.

RSDLLibwrt

This function sends data to the device with the handle ud.

VB format | Function RSDLLibwrt (ByVal ud%, ByVal Wrt$, ibsta%, iberr%, ibcntl&) As Integer
C-format | short WINAPI RSDLLibwrt( short ud, char far *Wrt, short far *ibsta, short far *iberr, unsigned long far *ibcntl )
C format (Unix) | short RSDLLibwrt( short ud, char *Wrt, short *ibsta, short *iberr, unsigned long *ibcntl )
Parameters | ud // Device handle Wrt // String sent to the device
Example | RSDLLibwrt(ud, "SENS:FREQ:STAR?", ibsta, iberr, ibcntl)

This function allows to send setting and query commands to the measuring instruments. Whether the data is interpreted as a complete command can be set using the function RSDLLibeot().

RSDLLilwrt

This function sends Cnt bytes to a device with the handle ud.

VB format | Function RSDLLilwrt (ByVal ud%, ByVal Wrt$, ByVal Cnt&, ibsta%, iberr%, ibcntl&) As Integer
C-format | short WINAPI RSDLLilwrt( short ud, char far *Wrt, unsigned long Cnt, short far *ibsta, short far *iberr, unsigned long far *ibcntl)
C format (Unix) | short RSDLLilwrt( short ud, char *Wrt, unsigned long Cnt, short *ibsta, short *iberr, unsigned long *ibcntl)
Parameters | ud // Device handle Wrt // String sent to the device Cnt // Number of bytes sent to the device
Example | RSDLLilwrt (ud, '......', 100, ibsta, iberr, ibcntl)

Like RSDLLibwrt() this function sends data to a device. The only difference is that binary data can be sent as well. The length of the data is not determined by a zero-terminated string, but by the indication of Cnt bytes. If the data is to be terminated with EOS (0Ah), the EOS byte must be appended to the string.

RSDLLibwrtf

This function sends the contents of a file file$ to the device with the handle ud.

VB format | Function RSDLLibwrtf (ByVal ud%, ByVal file$, ibsta%, iberr%, ibcntl&) As Integer
C-format | short WINAPI RSDLLibwrt( short ud, char far *Wrt, short far *ibsta, short far *iberr, unsigned long far *ibcntl )
C format (Unix) | short RSDLLibwrt( short ud, char *Wrt, short *ibsta, short *iberr, unsigned long *ibcntl )
Parameters | ud // Device handle file // File the contents of which are sent to the device
Example | RSDLLibwrtf(ud, "C:\db.sav", ibsta, iberr, ibcntl)

This function allows to send setting and query commands to the measuring instruments. Whether the data is interpreted as complete command can be set using the function RSDLLibeot().

RSDLLibrd()

The function reads data from the device with the handle ud into the string Rd.

VB format | Function RSDLLibrd (ByVal ud%, ByVal Rd$, ibsta%, iberr%, ibcntl&) As Integer
C-format | short WINAPI RSDLLibrd( short ud, char far *Rd, short far *ibsta, short far *iberr, unsigned long far *ibcntl )
C format (Unix) | short RSDLLibrd( short ud, char *Rd, short *ibsta, short *iberr, unsigned long *ibcntl )
Parameters | ud // Device handle Rd // String into which the read data is copied
Example | RSDLLibrd (ud, Rd, ibsta, iberr, ibcntl)

This function fetches the responses of the GPIB parser to a query.

In the case of Visual Basic programming, a string of sufficient length must be generated before. This can be done during the definition of the string or using the command Space$().

Generation of a string of the length 100:

   - Dim Rd as String * 100
   - Dim Rd as String
   Rd = Space$(100)

RSDLLilrd

This function reads Cnt bytes from the device with the handle ud.

VB format | Function RSDLLilrd (ByVal ud%, ByVal Rd$, ByVal Cnt&, ibsta%, iberr%, ibcntl&) As Integer
C-format | short WINAPI RSDLLilrd( short ud, char far *Rd, unsigned long Cnt, short far *ibsta, short far *iberr, unsigned long far *ibcntl )
C format (Unix) | short RSDLLilrd( short ud, char *Rd, unsigned long Cnt, short *ibsta, short *iberr, unsigned long *ibcntl )
Parameters | ud // Device handle cnt // Maximum number of bytes copied from the DLL into the target // string Rd.
Example | RSDLLilrd (ud, RD, 100, ibsta, iberr, ibcntl)

Like the function RSDLLibrd(), this function reads data from a device. The only difference is that in this case the maximum number of bytes to be copied into the target string Rd can be indicated by means of Cnt. This function prevents writing beyond the end of the string.

RSDLLibrdf()

Reads data from the device with the handle ud into the file file.

VB format | Function RSDLLibrdf (ByVal ud%, ByVal file$, ibsta%, iberr%, ibcntl&) As Integer
C-format | short WINAPI RSDLLibrd( short ud, char far *file, short far *ibsta, short far *iberr, unsigned long far *ibcntl )
C format (Unix) | short RSDLLibrd( short ud, char *file, short *ibsta, short *iberr, unsigned long *ibcntl )
Parameters | ud // Device handle file // File into which the read data is written
Example | RSDLLibrdf (ud, "c:\db.sav", ibsta, iberr, ibcntl)

The file name may as well include a drive or path specification.

RSDLLibtmo

This function defines the timeout for a device. The default value for the timeout is set to 5 seconds.

VB format | Function RSDLLibtmo (ByVal ud%, ByVal tmo%, ibsta%, iberr%, ibcntl&) As Integer
C-format | short WINAPI RSDLLibtmo( short ud, short tmo, short far *ibsta, short far *iberr, unsigned long far *ibcntl )
C format (Unix) | short RSDLLibtmo( short ud, short tmo, short *ibsta, short *iberr, unsigned long *ibcntl )
Parameters | ud // Device handle tmo // Timeout in seconds
Example | RSDLLibtmo (ud, 10, ibsta, iberr, ibcntl)

RSDLLibsre

This function sets the device to the 'LOCAL' or 'REMOTE' state.

VB format | Function RSDLLibsre (ByVal ud%, ByVal v%, ibsta%, iberr%, ibcntl&) As Integer
C-format | short WINAPI RSDLLibsre( short ud, short v, short far *ibsta, short far *iberr, unsigned long far *ibcntl)
C format (Unix) | short RSDLLibsre( short ud, short v, short *ibsta, short *iberr, unsigned long *ibcntl)
Parameters | ud // Device handle v // State of device (0 - local or 1 - remote)
Example | RSDLLibsre (ud, 0, ibsta, iberr, ibcntl)

RSDLLibloc

This function temporarily switches the device to the 'LOCAL' state.

VB format | Function RSDLLibloc (ByVal ud%, ibsta%, iberr%, ibcntl&) As Integer
C-format | short WINAPI RSDLLibloc( short ud, short far *ibsta, short far *iberr, unsigned long far *ibcntl)
C format (Unix) | short RSDLLibloc( short ud, short *ibsta, short *iberr, unsigned long *ibcntl)
Parameter | ud // Device handle
Example | RSDLLibloc (ud, ibsta, iberr, ibcntl)

After switchover to LOCAL state, the instrument can be manually operated via the GUI. On the next access to the instrument by means of one of the functions of the library the instrument is switched again to the REMOTE state.

RSDLLibeot

This function enables or disables the END message after write operations.

VB format | Function RSDLLibeot (ByVal ud%, ByVal v%, ibsta%, iberr%, ibcntl&) As Integer
C-format | short WINAPI RSDLLibsre( short ud, short v, short far *ibsta, short far *iberr, unsigned long far *ibcntl)
C format (Unix) | short RSDLLibsre( short ud, short v, short *ibsta, short *iberr, unsigned long *ibcntl)
Parameters | ud // Device handle v // State of END message (0 - no END message or 1 - send END message)
Example | RSDLLibeot (ud, 1, ibsta, iberr, ibcntl)

If the END message is disabled, the data of a command can be sent with several successive calls of write functions. The END message must be enabled again before sending the last data block.

RSDLLibrsp

This function performs a serial poll and provides the status byte of the device.

VB format | Function RSDLLibrsp(ByVal ud%, spr%, ibsta%, iberr%, ibcntl&) As Integer
C-format | short WINAPI RSDLLibrsp( short ud, char far* spr, short far *ibsta, short far *iberr, unsigned long far *ibcntl)
C format (Unix) | short RSDLLibrsp( short ud, char *spr, short *ibsta, short *iberr, unsigned long *ibcntl)
Parameters | ud // Device handle spr // Pointer to status byte
Example | RSDLLibrsp(ud, spr, ibsta, iberr, ibcntl)

RSDLLibclr

Sends the command SDC (Device Clear) to the instrument.

VB format | Function RSDLLibclr(ByVal ud%, spr%, ibsta%, iberr%, ibcntl&) As Integer
C-format | short WINAPI RSDLLibclr( short ud, short far *ibsta, short far *iberr, unsigned long far *ibcntl)
C format (Unix) | short RSDLLibclr( short ud, short *ibsta, short *iberr, unsigned long *ibcntl)
Parameter | ud // Device handle
Example | RSDLLibclr(ud, ibsta, iberr, ibcntl)

RSDLLibonl

This function switches the device to 'online' or 'offline' mode. When it is switched to ‘offline’ mode, the interface is released and the device handle becomes invalid. By calling RSDLLibfind again, the communication is set up again.

VB format | Function RSDLLibonl (ByVal ud%, ByVal v%, ibsta%, iberr%, ibcntl&) As Integer
C-format | short WINAPI RSDLLibonl( short ud, short v, short far *ibsta, short far *iberr, unsigned long far *ibcntl)
C format (Unix) | short RSDLLibonl( short ud, short v, short *ibsta, short *iberr, unsigned long *ibcntl)
Parameters | ud // Device handle v // State of device (0 - local or 1 - remote)
Example | RSDLLibonl(ud, 0, ibsta, iberr, ibcntl)

RSDLLTestSRQ

This function checks the status of the SRQ bit.

VB format | Function RSDLLTestSrq (ByVal ud%, Result%, ibsta%, iberr%, ibcntl&) As Integer
C-format | short WINAPI RSDLLTestSrq( short ud, short far *result, short far *ibsta, short far *iberr, unsigned long far *ibcntl)
C format (Unix) | short RSDLLTestSrq( short ud, short *result, short *ibsta, short *iberr, unsigned long *ibcntl)
Parameters | ud // Device handle result // Reference to an integer value in which the library returns the status of the SRQ bit (0 - no SRQ, or 1 - SRQ active, device requests service)
Example | RSDLLTestSrq (ud, result%, ibsta, iberr, ibcntl)

This function corresponds to the function RSDLLWaitSrq. The only difference is that RSDLLTestSRQ immediately returns the current status of the SRQ bit, whereas RSDLLWaitSrq waits for an SRQ to occur.

RSDLLWaitSrq

This function waits until the device triggers an SRQ with the handle ud.

VB format

Function RSDLLWaitSrq (ByVal ud%, Result%, ibsta%, iberr%, ibcntl&) As Integer

C-format

short WINAPI RSDLLWaitSrq( short ud, short far *result, short far *ibsta, short far *iberr, unsigned long far *ibcntl)

C format (Unix)

short RSDLLWaitSrq( short ud, short *result, short *ibsta, short *iberr, unsigned long *ibcntl)

Parameters

ud // Device handle
result // Reference to an integer value in which the library returns the status of the SRQ bit (0 - No SRQ has occurred during the timeout, or 1 - SRQ has occurred during the timeout)

Example

RSDLLWaitSrq( ud, result, ibsta, iberr, ibcntl );

The function waits until one of the following two events occurs:

  • The measuring instrument triggers an SRQ

  • No SRQ occurs during the timeout defined with RSDLLibtmo()

RSDLLSwapBytes

This function changes the display of binary numbers on non-Intel platforms.

VB format | Not provided at present since it is required only on non-Intel platforms.
C-format | void WINAPI RSDLLSwapBytes( void far *pArray, const long size, const long count)
C format (Unix) | void RSDLLSwapBytes( void *pArray, const long size, const long count)
Parameters | pArray // Array in which modifications are made size // Size of a single element in pArray count // Number of elements in pArray
Example | RSDLLSwapBytes( Buffer, sizeof(float), ibcntl/sizeof(float))

This function swaps the display of various elements from Big Endian to Little Endian and vice versa. It is expected that a coherent storage area of elements of the same file type (size byte) is transferred to pArray. This function has no effect on Intel platforms.

Different types of processor architecture store data in different byte sequences. For example, Intel processors store data in the reverse order of Motorola processors. Comparison of byte sequences:

Byte sequence | Use in | Display in memory | Description
Big Endian | Motorola processors, network standard | Most significant byte at least significant address | The most significant byte is at the left end of the word.
Little Endian | Intel processors | Least significant byte at least significant address | The most significant byte is at the right end of the word.


GPIB Bus Interface

Option R&S ZVAB-B44 consists of an adapter and a driver software for controlling external devices which are equipped with a GPIB bus interface (but do not provide a USB interface). The driver software is installed on the network analyzer. It includes the VISA library which is a prerequisite for establishing a connection from the analyzer to an external device.

Connect the USB port of the adapter to any of the master USB connectors on the front or rear panel of the analyzer. The GPIB port of the adapter is connected to the external device.

  • 8-it parallel data transfer

  • Bidirectional data transfer

  • Three-line handshake

  • High data transfer rate of max. 1 MByte/s

  • Up to 15 devices can be connected

  • Maximum length of the connecting cables 15 m. The length of a single connecting cable should not exceed 2 m, if many devices are used, it should not exceed 1 m.

  • Wired OR if several instruments are connected in parallel

1. Data bus with 8 lines D0 to D7

2. Control bus with five lines

3.Handshake bus with three lines

The transmission is bit-parallel and byte-serial in the ASCII/ISO code. D0 is the least significant bit, D7 the most significant bit.

IFC (Interface Clear):

ATN (Attention):

SRQ (Service Request):

REN (Remote Enable):

EOI (End or Identify):

active LOW resets the interfaces of the instruments connected to the default setting.

active LOW signals the transmission of interface messages, inactive HIGH signals the transmission of device messages.

active LOW enables the connected device to send a service request to the controller.

active LOW permits switchover to remote control.

has two functions in connection with ATN:
ATN=HIGH active LOW marks the end of data transmission.
ATN=LOW active LOW triggers a parallel poll.

DAV (Data Valid):

NRFD (Not Ready For Data):

NDAC (Not Data Accepted):

active LOW signals a valid data byte on the data bus.

active LOW signals that one of the connected devices is not ready for data transfer.

active LOW signals that the instrument connected is accepting the data on the data bus.

IEC/IEEE Bus Interface

The standard instrument is equipped with a GPIB bus (IEC/IEEE bus) interface. The two interface connectors labeled IEC BUS and IEC SYSTEM BUS are located on the rear panel of the instrument.

  • The IEC BUS connector is intended for remote control of the analyzer from a controller (slave GPIB bus connector).

  • The IEC SYSTEM BUS is not fitted. To use the analyzer as a GPIB master and control other devices, e.g. external generators or power meters, option R&S ZVAB-B44 is required.

Option R&S ZVAB-B44, USB-to-IEC/IEEE Adapter

Always use a shielded cable to connect the GPIB bus interfaces.

Characteristics of the interface

Pin assignment

Bus lines

The analyzer provides the following functions to communicate via GPIB bus:

  • Interface functions

  • Interface messages

  • Instrument messages

Interface Functions

Instruments which can be controlled via GPIB bus can be equipped with different interface functions. The interface function for the network analyzer are listed in the following table.

Control character | Interface function
SH1 | Handshake source function (source handshake), full capability
AH1 | Handshake sink function (acceptor handshake), full capability
L4 | Listener function, full capability, de-addressed by MTA.
T6 | Talker function, full capability, ability to respond to serial poll, deaddressed by MLA
SR1 | Service request function (Service Request), full capability
PP1 | Parallel poll function, full capability
RL1 | Remote/Local switch over function, full capability
DC1 | Reset function (Device Clear), full capability
DT1 | Trigger function (Device Trigger), full capability

Interface Messages

Interface messages are transmitted to the instrument on the data lines, with the attention line being active (LOW). They serve to communicate between controller and instrument.

Universal Commands

Universal commands are encoded in the range 10 through 1F hex. They are effective for all instruments connected to the bus without pervious addressing.

Command | QuickBASIC command | Effect on the instrument
DCL (Device Clear) | IBCMD (controller%, CHR$(20)) | Aborts the processing of the commands just received and sets the command processing software to a defined initial state. Does not change the instrument settings.
IFC (Interface Clear) | IBSIC (controller%) | Resets the interfaces to the default setting.
LLO (Local Lockout) | IBCMD (controller%, CHR$(17)) | The LOC/IEC ADDR key is disabled.
SPE (Serial Poll Enable) | IBCMD (controller%, CHR$(24)) | Ready for serial poll.
SPD (Serial Poll Disable) | IBCMD (controller%, CHR$(25)) | End of serial poll.
PPU (Parallel Poll Unconfigure) | IBCMD (controller%, CHR$(21)) | End of the parallel-poll state.

Addressed Commands

Addressed commands are encoded in the range 00 through 0F hex. They are only effective for instruments addressed as listeners.

Command | QuickBASIC command | Effect on the instrument
GET (Group Execute Trigger) | IBTRG (device%) | Triggers a previously active device function (e.g. a sweep). The effect of the command is the same as with that of a pulse at the external trigger signal input.
GTL (Go to Local) | IBLOC (device%) | Transition to the "Local" state (manual control).
PPC (Parallel Poll Configure) | IBPPC (device%, data%) | Configures the instrument for parallel poll. Additionally, the QuickBASIC command executes PPE/PPD.
SDC (Selected Device Clear) | IBCLR (device%) | Aborts the processing of the commands just received and sets the command processing software to a defined initial state. Does not change the instrument setting.

Instrument Messages

Instrument messages (commands) are transferred on the data lines of the GPIB bus while the ATN line is not active. ASCII code is used.

Structure and syntax of the instrument messages are described the SCPI Reference chapter. The chapter also provides a detailed description of all messages implemented by the analyzers.


The network analyzer configuration depends on the measurement to be made. Starting from the preset state, you will usually have to adjust the following settings:

  • Enable external trigger: Channel – Sweep – Trigger – External

  • Select single sweep mode: Channel – Sweep – Single(All Chans)

  • Define limit lines and enable the limit check: Trace – Lines – Define Limit Line....

The Universal Interface connector must be connected to the part handler using an appropriate cable. If required, configure the data ports to ensure that the network analyzer and the part handler are compatible.

Universal Interface

A network analyzer which is equipped with option R&S ZVAB-K14, Universal Interface, can interact with an external part handler. The digital control signals on the interface connector indicate the possible start and the end of a measurement, as well as a global limit check result. Typically, the handler will insert the device to be tested into a test fixture, provide a trigger pulse to initiate the measurement, remove and replace the device after the measurement is complete and sort it into pass/fail bins. A sample flow diagram for this process is shown below.

Possible stages of an automated test

Preparation of the network analyzer and the part handler

Control Signals

Most of the signals in the figure below are controlled by the measurement. It is possible though to configure the Output 1 and Output 2 signals and to route the Index and Ready for Trigger signals using SCPI commands.

  • The CONTrol:HANDler:OUTPut<port>... commands set the output signals to a definite initial state and specify whether this state will change when the Input 1 signal changes to "Low". This mechanism provides either static output signals or output signals which are controlled by Input 1.

  • The Index and Ready for Trigger signals can be routed to pins 20 and 21 of the Universal Interface connector, where they replace the PORT B6 and PORT B7 input/output signals. See section Data Ports.

Control signals and power supply

Remote control:

CONTrol:HANDler...

Data Ports

In addition to the control signals, the Universal Interface provides four bi-directional data ports A, B, C, D. The data ports must be configured explicitly using SCPI commands; they are not controlled by the measurement.

  • With an output data port you can configure the part handler or other devices used in testing from the network analyzer.

  • With an input data port you can configure the network analyzer using external signals and an appropriate control program.

Device configurations via data port signals are usually performed in a preliminary stage, prior to the actual measurement sequence. If the Index and Ready for Trigger signals are enabled at this stage (see section Control Signals), they replace the PORT B6 and PORT B7 signals. Port B can still be used as a 6-bit parallel input/output port.

Data ports and related signals

Remote control:

CONTrol:HANDler...

Universal Interface Connector

Option R&S ZVAB-K14, Universal Interface, must be installed by an R&S service representative. The option includes a Centronics 36 input/output connector which is placed in the top left panel of the rear panel. The pin assignment of the connector is shown below. A slash (/) at the beginning of the signal name indicates that it is an active low (negative logic) signal.

Pin assignment of the Universal Interface connector

The input and output signals at the connector are described below.

Pin No. | Signal | Input (I) or Output (O) | Function
1 | GND | – | Ground
2 | /INPUT 1 | I | When a negative pulse is fed to this port, the /OUTPUT 1 and /OUTPUT 2 signals (pins no. 3 and 4) change to "Low".
3 | /OUTPUT 1 | O | Changes to "Low" when the /INPUT 1 (pin no. 2) receives a negative pulse.
4 | /OUTPUT 2 | O | Changes to "Low" when the /INPUT 1 (pin no. 2) receives a negative pulse.
5 | /PORT A0 | I or O | Port A, bit no. 0 (8-bit parallel input or output port)
6 | /PORT A1 | I or O | Port A, bit no. 1
7 | /PORT A2 | I or O | Port A, bit no. 2
8 | /PORT A3 | I or O | Port A, bit no. 3
9 | /PORT A4 | I or O | Port A, bit no. 4
10 | /PORT A5 | I or O | Port A, bit no. 5
11 | /PORT A6 | I or O | Port A, bit no. 6
12 | /PORT A7 | I or O | Port A, bit no. 7
13 | /PORT B0 | I or O | Port B, bit no. 0 (8-bit parallel input or output port)
14 | /PORT B1 | I or O | Port B, bit no. 1
15 | /PORT B2 | I or O | Port B, bit no. 2
16 | /PORT B3 | I or O | Port B, bit no. 3
17 | /PORT B4 | I or O | Port B, bit no. 4
18 | /EXTERNAL TRIGGER | I | External trigger signal
19 | /PORT B5 | I or O | Port B, bit no. 5
20 | /PORT B6 or /INDEX | I or O O | Port B, bit no. 6 The /INDEX signal changes to "Low" when a measurement is complete (all sweeps in all channels have been performed; the DUT can be removed, but the measurement results may not be valid yet).
21 | /PORT B7 or /READY FOR TRIGGER | I or O O | Port B, bit no. 7 The /READY FOR TRIGGER signal changes to "Low" when the analyzer is ready to receive a trigger for a new measurement.
22 | /PORT C0 | I or O | Port C, bit no. 0 (4-bit parallel input or output port)
23 | /PORT C1 | I or O | Port C, bit no. 1
24 | /PORT C2 | I or O | Port C, bit no. 2
25 | /PORT C3 | I or O | Port C, bit no. 3
26 | /PORT D0 | I or O | Port D, bit no. 0 (4-bit parallel input or output port)
27 | /PORT D1 | I or O | Port D, bit no. 1
28 | /PORT D2 | I or O | Port D, bit no. 2
29 | /PORT D3 | I or O | Port D, bit no. 3
30 | /PORT C STATUS | O | Indicates the status of port C: – Low: port C is an input port – High: port C is an output port
31 | /PORT D STATUS | O | Indicates the status of port D: – Low: port D is an input port – High: port D is an output port
32 | /WRITE STROBE | O | Changes to "Low" when valid data is present at any of the output ports (i.e. when the output level at any port changes).
33 | /PASS FAIL | O | Indicates the status of the global limit check for the last measurement: – Low: global limit check failed – High: global limit check passed
34 | /SWEEP END | O | Indicates the end of the measurement. Changes to "Low" after all sweeps in all channels have been completed and the measurement data has been processed.
35 | +5 V DC | O | DC power supply for external devices; +5 V ± 250 mV, max. 0.1 A
36 | /PASS FAIL STROBE | O | Changes to "Low" when limit check results are present on /PASS FAIL (pin no. 33).

All digital input signals must be TTL compatible with an allowed input voltage range between –0.5 V and +5.5 V. The circuit diagram of the input path is shown below.

Circuit diagram of the input path

Digital output signals are low-voltage TTL compatible with output voltages between 0 V and +3.3 V. The circuit diagram of the output path is shown below.

Circuit diagram of the output path

The default configuration of the signals is listed below. Notice that *RST or Preset do not change the configuration of the Universal Interface. Use CONTrol:HANDler:RESet to restore default values.

Signal | *RST Configuration
Port A, Port B | Output ports, all bits "High" (decimal 0)
Port C, Port D | Input ports
/PORT C STATUS, /PORT D STATUS | "Low"
/OUTPUT 1, /OUTPUT 2 | "High"
/SWEEP END | "High"
/PASS_FAIL | "High"

Remote control:

CONTrol:HANDler:RESet(resets all configurable signals)

Timing of Control Signals

The timing of the essential measurement control signals is shown in the figure below. The duration of the shaded time intervals depends on the measurement settings.

Timing of measurement control signals

The figure above contains the following pulse durations and response times.

Time | Description | Value
T1 | Pulse duration of /EXTERNAL TRIGGER | Minimum value: 1 μs
T2 | Response time of /PASS FAIL STROBE | 25 μs
T3 | Pulse duration of /PASS FAIL STROBE | 1 μs
T4 | Pulse duration of /SWEEP END | 12 μs

The timing of the data port signals and the input/output signals is as follows:

  • The low pulse of the /WRITE STROBE signal occurs approx. 0.2 μs after a value is written to the output ports A to D. The pulse duration of the /WRITE STROBE signal is 1 μs.

  • The low pulse of the /OUTPUT 1 or /OUTPUT 2 signals (if enabled) occur approx. 0.6 μs after the falling edge of the /INPUT 1 signal. The pulse duration of the /OUTPUT 1 and /OUTPUT 2 signals is 1 μs.


Maintenance

The network analyzer does not require any special maintenance. Make sure that the air vents are not obstructed. The outside of the instrument is suitably cleaned using a soft, lint-free dust cloth.

Attention!

Never use solvents such as thinners, acetone and similar things, as they may damage the front panel labeling or plastic parts.

The address of our support center and a list of useful contact addresses can be found on the Contact page.

Storing and Packing

The network analyzer can be stored at the temperature range quoted in the data sheet. When it is stored for a longer period of time the instrument should be protected against dust.

The original packing should be used, particularly the protective caps at the front and rear, when the instrument is to be transported or dispatched. If the original packing is no longer available, use a sturdy cardboard box of suitable size and carefully wrap the instrument to protect it against mechanical damage.


Error Messages

Hardware errors can be detected at various stages of the start-up or measurement procedure.

  • Configuration errors occur on start-up of the analyzer, e.g. if a hardware module or configuration file cannot be detected. Configuration errors cause an entry in the error log (Info –Error Log).

  • Asynchronous errors can occur any time while the analyzer is operating. The analyzer is checked periodically for asynchronous errors.

  • Measurement errors are due to inadmissible hardware settings and states during the measurement process.

Error Messages, Troubleshooting

An error generally causes the analyzer to display a tooltip across the lower part of the screen. The tooltip provides a textual description of the error, e. g.:

The errors can be divided into three categories:

  • Remote errors (SCPI errors) may occur during the execution of a remote control program. They include an error code, followed by the short description of the error. Remote errors are specified and described in the SCPI standard; they are cleared upon *CLS.

  • Software errors (setting errors) can occur e.g. if numeric entries in an analyzer dialog are incompatible with each other or with the current analyzer state. These errors are generally self-explanatory and easy to correct.

  • Hardware errors indicate an incorrect hardware state. Some of the hardware errors cause the instrument to be switched off in order to avoid damage. Hardware errors with possible causes and remedies are listed below.

A misspelled command header causes SCPI error –113, "Undefined header;..."; a misspelled parameter causes SCPI error –141, "Invalid character data;...". The GPIB explorer provides a list of all supported commands and their character data parameters.

Hardware error categories

Asynchronous Errors

Asynchronous errors can occur any time while the analyzer is operating. The analyzer is checked periodically for asynchronous errors. Many of these errors also cause an entry in the status reporting system.

Error | Description | Remedy | Bit no.*)
Instrument temperature is too high | The analyzer detects that the instrument temperature is too high. After three warnings, the analyzer is shut down. | Reduce ambient temperature, keep ventilation holes of the casing unobstructed. | 7
Receiver overload protection tripped | The analyzer detects an excessive input level at one of the ports. If this condition persists, all internal and external generators are switched off (Channel – Power Bandwidth Average – RF Off). | Reduce RF input level at the port. Check amplifiers in the external test setup. | 3
Reference frequency lock failure | With external reference signal (System – External Reference active) or option ZVAB-B4 (oven quartz), the reference oscillator is phase locked to a 10 MHz signal. The message appears when this phase locked loop (PLL) fails. | For external reference: check frequency and level of the supplied reference signal. | 1
Converter clock frequency lock failure | The clock generator for the AD converter clock is phase locked to the reference oscillator. The message appears when this PLL fails. | – | –
Oven cold | With option R&S ZVAB-B4, oven quartz: The oven temperature is too low. | Wait until the oven has been heated up | 8

*) The following bits in the STATus:QUEStionable:INTegrity:HARDware register are set when the error occurs.

Errors during the Measurement

The following errors are due to inadmissible hardware settings and states during the measurement process. Some of the errors also cause an entry in the status reporting system.

Error | Description | Remedy | Bit no.*)
Unstable level control at port <i> | The analyzer detects an excessive source level at one of the ports. The signal is turned off and the sweep halted. | Check signal path for the wave ai, especially check external components. Then press Channel – Sweep – Restart. | 9
Problem concerning external generator Gen<i> | An external generator has been configured, however, it cannot be controlled or provides error messages. If several generators cause problems, the lowest number is indicated. | Check whether the generator is properly connected and switched on. Check the GPIB address; exclude address conflicts when using several external generators or other equipment. | 10
Problem concerning external power meter Pmet<i> | An external power meter has been configured, however, it cannot be controlled or provides error messages. If several power meters cause problems, the lowest number is indicated. | Check whether the power meter is properly connected and switched on. Check the GPIB address; exclude address conflicts when using several external power meters or other equipment. | 11
Time grid too close | The sweep points for a time sweep are too close, the analyzer cannot process the measurement data until the next sweep point starts. | Increase stop time, reduce no. of points, increase IF bandwidth. If possible reduce number of partial measurements, e.g. by restricting the number of ports measured. | 12
Overload at DC MEAS <range> | The input voltage at one of the DC input connectors on the rear panel is too high. | Reduce input voltage. | 13
Port <i> output power unleveled | The level control is unsettled or unstable, possibly due to an external disturbing signal. | Change generator level at the port; check external components. | 2

*) The following bits in the STATus:QUEStionable:INTegrity:HARDware register are set when the error occurs.

Performance Problems

This section applies to instruments which are not equipped with option R&S ZVAB-B18, "Removable Hard Disk".

On older network analyzers, the virtual memory paging file is disabled. This means that the operating system cannot use the hard disk to extend its RAM. For very complex setups with many traces and large numbers of sweep points the limited RAM size may cause software crashes.

To enable the paging file, press the Windows key to access the desktop of your analyzer. Press Start > Control Panel > System > Advanced > Performance: Settings > Advanced > Virtual Memory: Change. In the Virtual Memory dialog, select System managed size > Set and close all dialogs using the OK buttons.

Restart the analyzer to enable the new virtual memory settings.

Obtaining Technical Support

Our customer support centers are there to assist you in solving any problems that you may encounter with your network analyzer. We will find solutions more quickly and efficiently if you provide us with the information listed below. Simply open the relevant dialogs in the Info menu, press Print to File, and send us the file.

  • Setup Info: The instrument setup information (Info – Setup Info) contains your instrument settings. You can also send us the NWA setup file (*.zvx) that you generate after the fault occurs (File – Save...).

  • Option Info: The option info (Info – Option Info) informs us about the status of all software and hardware options of your analyzer.

  • Hardware Info: The hardware info (Info – Hardware Info) shows us the installed options and hardware assemblies.

  • Error Log: The error log (Info – Error Log) contains a chronological record of errors.

  • Save System Report: The system report command (Info – Save System Report) starts a selftest, collects the setup, option, and hardware information and the error log and writes everything to a *.zip file. The *.zip file also contains the current eeprom data and a screenshot of the NWA display. It is written to the report directory C:\Rohde&Schwarz\Nwa\Report. The file name contains the current date and time, e.g. report_16112010_1120.zip.
    Save System Report     provides the most comprehensive information, comprising all other Info files.

  • If possible, list the operating sequence (after the last preset of the instrument) that caused the fault.

Please refer to the Contact section for information about useful Rohde & Schwarz addresses.


Trace Mathematics (Meas. Examples)

Trace Mathematics

Mathematical relations between traces can be used to compare different traces, correct traces, re-design measurements or create new measurements. Trace mathematics is always based on linear, complex trace data (irrespective of the actual trace format).

Comparing two traces displayed in dB Mag format

To compare two traces displayed in dB Mag format...

Suppose you have created a channel no. 1 with two traces named Trc1 and Mem2[Trc1] and that you wish to compare the magnitudes of the two traces.

  1. Display the traces in a common diagram area using the default trace format dB Mag (see example of two traces with approx. constant magnitude difference).

  2. Click Trace – Trace Select – Add Trace to add a new trace to the diagram area. The new trace is automatically assigned a trace name (e.g. Trc3) and selected as the active trace.

  3. Click Channel – Trace Funct – User Def Math to open the User Def Math for Trc3 dialog and enter the following mathematical relation for the new trace: Trc1/Mem2[Trc1]. Click OK to confirm your definition and close the dialog

  4. Select Trace – Trace Funct – Math = User Def to display Trc3 as a mathematical trace.

The mathematical relation Trc1/Mem2[Trc1] is applied to the linear trace data. In logarithmic representation, the effect is a subtraction of the two traces. The mathematical trace shows the difference of the dB Mag values of Trc1 and Mem2[Trc1]. In our example the difference trace is approximately constant.


Fixture Compensation

Fixture compensation is an automated length offset and loss compensation for test fixtures with up to four ports (for 4-port analyzers). The analyzer performs a one-port reflection measurement at each port, assuming the inner contacts of the test fixtures to be terminated with an open or short circuit.

Fixture compensation complements a previous system error correction and replaces a possible manual length offset and loss correction. For maximum accuracy, it is recommendable to place the reference plane as close as possible towards the outer test fixture connectors using a full n-port calibration. The fixture compensation is then carried out in a second step, it only has to compensate for the effect of the test fixture connections.

The following features can further improve the accuracy of the fixture compensation:

  • Direct Compensation provides a frequency-dependent transmission factor (instead of a global electrical length and loss).

  • Open and Short causes the analyzer to calculate the correction data from two subsequent sweeps. The results are averaged in order to compensate for errors due to non-ideal terminations.

Auto Length and Loss compensation is a descriptive correction type: The effects of the test fixture connection are traced back to quantities that are commonly used to characterize transmission lines. Use this correction type if your test fixture connections have suitable properties in the considered frequency range:

  • The electrical length is approximately constant.

  • The loss varies essentially due to the skin effect.

Refer to section Channel - Offset for details.

Direct Compensation provides a frequency-dependent transmission factor. The phase of the transmission factor is calculated from the square root of the measured reflection factor, assuming a reciprocal test fixture. The sign ambiguity of this calculated transmission factor is resolved by a comparison with the phase obtained in an Auto Length calculation. This compensation type is recommended for test fixture connections that do not have the properties described above.

A Direct Compensation resets the offset parameters to zero. In the Electrical Length, Mechanical Length, and Delay dialogs, a checkmark indicates the ports for which a direct compensation has been carried out.

A non-ideal open or short termination of the test fixture connections during fixture compensation impairs subsequent measurements, causing an artificial ripple in the measured reflection factor of the DUT. If you observe this effect, an Open and Short compensation may improve the accuracy.

Open and Short compensation is more time-consuming because it requires two consecutive fixture compensation sweeps for each port, the first with an open, the second with a short circuit. The analyzer automatically calculates suitable averages from both fixture compensation sweeps in order to compensate for the inaccuracies of the individual Open and Short compensations.

Fixture Compensation

Fixture Compensation opens a submenu to correct the measurement result for the effects of a text fixture.

Fixture Compensation

The Fixture Compensation dialog provides the following control elements:

  • Physical Ports selects the NWA/fixture ports where the analyzer performs a fixture compensation sweep in order to determine the compensation data.

  • Prompt for Each Standard interrupts the fixture compensation process after each fixture compensation sweep so that you can modify your test setup (e.g. terminate the next measured port). Disable Prompt for Each Standard to perform all calibration sweeps without interruption.

  • Use Measurement Data for selects the type of compensation that the network analyzer calculates from the acquired compensation data. Auto Length or Auto Length and Loss implies that a global electrical length offset and loss is determined in analogy to the general offset compensation (see Auto Length, Auto Length and Loss). With Direct Compensation, a frequency-dependent transmission factor is calculated.

  • The Open, Short, and Open and Short buttons open the Measure Fixture dialog to start the fixture compensation sweeps for test fixture connections which are terminated with an open circuit, a short circuit, or both (Open and Short).

Auto Length and Loss vs. Direct Compensation

Open / Short vs. Open and Short compensation

Remote control:

[SENSe<Ch>:]CORRection:COLLect:FIXTure[:ACQuire]
[SENSe<Ch>:]CORRection:COLLect:FIXTure:LMParameter:LOSS[:STATe]
[SENSe<Ch>:]CORRection:COLLect:FIXTure:LMParameter[:STATe]

Remote control provides additional flexibility. You can:

  • Measure the same port(s) repeatedly without changing the standards and attribute the results to different channels.

  • Calculate the compensation data for different ports, using mixed Open and Short standards.

Refer to the program example for [SENSe<Ch>:]CORRection:COLLect:FIXTure[:ACQuire].

Measure Fixture

The Measure Fixture dialog is opened when an Open, Short, or Open and Short fixture compensation is selected.

The dialog acts as a wizard for fixture compensation measurements, depending on the settings in the Fixture Compensation dialog. Proceed as indicated below the title bar. Press Take Sweep to start a fixture compensation sweep after establishing the required test setup.

Remote control:


To obtain the Linearity Deviation trace, the analyzer calculates a regression line to all trace points. The corrected trace is based on the deviation dlin of each trace point from the regression line:

The effect of the operation on an almost straight trace is shown below.

The Linearity Deviation operation is useful in all applications where the deviation of the trace from linearity is investigated, e.g. the mixer delay measurement.

Linearity Deviation

Compensate the active trace for the average slope and response value.

Effect and purpose of the linearity deviation calculation

The Linearity Deviation functions are selected from a submenu:

  • Manual... calls up dialog for manual entry of the correction factors.

  • Auto calculates the correction factors from the measured trace using a regression line.

  • On / Tracking / Off are alternative functions to enable/disable the correction and re-calculate it for each trace.

Manual...

The Linearity Deviation Manual dialog is used for manual entry of the correction factors.

When it is opened, the dialog shows the latest set of correction values used.

  • Slope and Constant can be set irrespective of the active trace format.

  • Electrical Length is available if the active trace shows the phase vs. frequency. The electrical length is calculated as the negative slope times the velocity of light divided by a factor of 360°. Entry of a slope or an electrical length is equivalent; the values overwrite each other.

  • Reset All Values sets all values to zero. This effectively disables the linearity deviation correction.

Remote control:

CALCulate< Chn >:LDEViation:SLOPe
CALCulate< Chn >:LDEViation:ELENgth
CALCulate< Chn >:LDEViation:CONStant

Auto

Initiates a (re-)calculation of the linearity deviation from the active measured trace.

Remote control:

CALCulate< Chn >:LDEViation:AUTO ONCE

On / Tracking / Off

On / Off and Tracking are alternative functions to apply/discard the correction factors or re-calculate them for each trace (Tracking).

While On or Tracking is selected, the correction factors are displayed in an info field.

Remote control:

CALCulate< Chn >:LDEViation:MODE OFF | ON | TRACking